FIMAS - Financial Market Simulation

FIMAS

Class Tree
Index
Previous
Next

Name
FIMAS

Description
Financial Market Simulation

Author
Alexander Federyakov aka Da Stranger

Units
Unit | Description
asCommonInterfaces | Application specific interfaces.
asDemoScenario | Application specific demo scenario.
asMisc | Application script editor.
asScriptEditor | Application script editor.
asScriptingUtils | Application scripting utilities.
asTypesAndConstants | Application specific constants.
asWatchListEditor | Application Watch List Editor.
FMSCommonClasses | FMS Common Classes. This unit can be used by any FMS unit. It cannot contain references to other core FMS units.
FMSCommonInterfaces | FMS common interfaces. It contains only interfaces and common types. It will be used to create an import unit for a DLLs.
FMSEventDrivenWorld | FMS Event Driven World. All classes in this unit generate events that user can handle as he wishes in his code.
FMSProject | Project definition file.
FMSSimulatedActivityClasses | FMS Simulated Activity Classes. Implements classes that simulate real participants in a very primitive way. Current implementation includes TFMSSimulatedActivityCompanyRole and News Generator.
FMSStandardRoles | FMS Standard Roles. Implements some standard roles and classe that can be used to simulate share market.
FMSStatistics | FMS Statistics. This unit cannot be used by any core FMS unit. It is supposed to be sort of a layer on top of FMS Engine. But ***non-core*** units may reference this one freely.
FMSTimeEventsManager | FMS Time Events Manager.
FMSTraderStrategies | FMS Traders. Implements various types of traders.
FMSTypesAndConstants | FMS Types and constants.
FMSUtils | FMS Utilitiess.
FMSVCLTypesAndConstants
FMSWorld | FMS World. This is the core unit of FMS. It describes the world, its abstract participants, time and classificators.
uArrayAnalizerForm | Application Array Analizer Form.
uMainForm | Application Main Form.
uOptionsForm | Application Options Form.
uProgressForm | Application Progress Form.
uPropertyEditorForm | Application Property Editor Form.
uScenarioEditorForm | Application Simulation Control Form.
uScriptLogForm | Application Script Log Form.
uSimulationControlForm | Application Simulation Control Form.
uWatchListForm | Application Watch List Form.

FIMAS
Class Tree
Index
Previous
Next

Copyright Alexander Federyakov aka Da Stranger
Created with DelphiCodeToDoc. To obtain the latest revision, please visit http://dephicodetodoc.sourceforge.net/


Previous (FIMAS)
Next

Name
_ClassHierarchy

Class Hierarchy

#ROOT#

TObject

* TEventHandlerDummy

IInterface

* IFMSWorldTimeUpdateAble

* IFMSAutoGenerateNewsCommonParams

* IFMSAutoGenerateNewsForRoleParams

* IFMSAutoGenerateNewsForClassificatorParams

* IFMSClassificatorNewsGenerationHandler

* IFMSParticipantRoleNewsGenerationHandler

* IFMSWorldTime

* IFMSWorld

* IFMSRtStdEventDrivenWorld

* IFMSUtils

* IFMSShareTransactionsOverallStats

* IFMSCompanyFinancialStatsCollection

* IFMSGenerateNews

* IFMSCompanyInformationUser

* IasScriptEditorFrame

* IasWatchItem

* IasWatchItems

* IasWatchListEditor

* IasOptions

* IasScriptInformation

No parent

#OrphanClass#

* TMainForm

* TPropertyEditorForm

* TArrayAnalizerForm

* TSimulationControlForm

* TScenarioEditorForm

* TWatchListForm

* TOptionsForm

* TScriptLogForm

* TProgressForm

* TFMSUtils

* TFMSWorldTime

* TFMSWorldTimeUpdateAbleList

* TFMSWorkingHours

* TFMSCompanyInformation

* TFMSCompanyInformationCollection

* TFMSShareTransactionRequestsStats

* TFMSUpdateAbleCollectionItem

* TFMSClassificatorType

* TFMSUpdateAbleCollection

* TFMSClassificatorTypes

* TFMSUniqueNamed

* TFMSUpdateAble

* TFMSClassificator

* TFMSParticipantRole

* TFMSStandardParticipantRole

* TFMSTraderRole

* TFMSFamilyRole

* TFMSConsumerRole

* TFMSCompanyRole

* TFMSEventDrivenCompanyRole

* TFMSSimulatedActivityCompanyRole

* TFMSBrokerRole

* TFMSMarketRole

* TFMSParticipant

* TFMSStandardParticipant

* TFMSShareTransactionCommisionPlan

* TFMSPeriodicCommisionPlan

* TFMSSimpleCommisionPlan

* TFMSNewsAutoGenerator

* TFMSStrategy

* TFMSCompanyStrategy

* TFMSTraderStrategy

* TFMSStandardTraderStrategy

* TFMSTraderFundamentalStrategy

* TFMSTraderRandomBuyStrategy

* TFMSTraderMarketMakerStrategy

* TFMSTraderInvestorStrategy

* TFMSTraderCompanyOwnerStrategy

* TFMSTraderNoiseStrategy

* TFMSBrokerStrategy

* TFMSStandardBrokerStrategy

* TFMSMarketStrategy

* TFMSPlan

* TFMSWaitPlan

* TFMSTraderPlan

* TFMSTraderPlanBuyIf

* TFMSTraderPlanSellOnDate

* TFMSTraderPlanSellIf

* TFMSTraderPlanBuyOnDate

* TFMSCompanyPlan

* TFMSBrokerPlan

* TFMSMarketPlan

* TFMSUniqueNamedCollection

* TFMSUpdateAbles

* TFMSClassificators

* TFMSParticipantRoles

* TFMSStandardParticipantRoles

* TFMSParticipants

* TFMSStandardParticipants

* TFMSShareTransactionCommisionPlans

* TFMSStrategies

* TFMSCompanyStrategies

* TFMSTraderStrategies

* TFMSBrokerStrategies

* TFMSMarketStrategies

* TFMSPlans

* IFMSUpdateAbleCollectionItem

* IFMSClassificatorType

* IFMSUniqueNamed

* IFMSUpdateAble

* IFMSParticipantRole

* IFMSClassificator

* EFMSException

* EFMSAddonsException

* TFMSNewsItem

* TFMSNewsItems

* TFMSNewsItemList

* TFMSClassificatorList

* TFMSClassificatorTypeList

* TFMSClassificatorLink

* TFMSClassificatorLinks

* TFMSParticipantRoleLink

* TFMSParticipantRoleLinks

* TFMSParticipantRoleLinkList

* TFMSParticipantRoleList

* TFMSStandardParticipantRoleList

* TFMSTraderRoleList

* TFMSCompanyRoleList

* TFMSBrokerRoleList

* TFMSMarketRoleList

* TFMSWorldOptions

* TFMSWorld

* TFMSRealTimeWorld

* TFMSRtStandardWorld

* TFMSRtStdEventDrivenWorld

* TFMSThread

* TFMSThreadEx

* TFMSShareType

* TFMSShareTypes

* TFMSShareTypeList

* TFMSShareTransactionRequest

* TFMSShareTransactionTraderRequest

* TFMSShareTransactionBrokerRequest

* TFMSShareTransactionRequests

* TFMSShareTransactionTraderRequests

* TFMSShareTransactionBrokerRequests

* TFMSShareTransactionRequestList

* TFMSShareTransactionTraderRequestList

* TFMSShareTransactionBrokerRequestList

* TFMSSharePortfolioItem

* TFMSSharePortfolio

* TFMSSharePortfolioItemList

* TFMSShareTransaction

* TFMSShareTransactions

* TFMSShareTransactionList

* TFMSPlanList

* TFMSStandardAccount

* TFMSMoneyAccount

* TFMSTransactionRequestAccount

* TFMSTraderAccount

* TFMSBrokerAccount

* TFMSShareTypeAccount

* TFMSStandardAccounts

* TFMSMoneyAccounts

* TFMSTransactionRequestAccounts

* TFMSTraderAccounts

* TFMSBrokerAccounts

* TFMSShareTypeAccounts

* TFMSShareTypeAccountList

* TFMSTraderStrategyStats

* TFMSMarketMakerTraderStrategyStats

* TFMSAutoGenerateNewsCommonParams

* TFMSAutoGenerateNewsForRoleParams

* TFMSAutoGenerateNewsForClassificatorParams

* TFMSAutoGenerateNewsForRoleEntry

* TFMSAutoGenerateNewsForRoleEntries

* TFMSAutoGenerateNewsForClassificatorEntry

* TFMSAutoGenerateNewsForClassificatorEntries

* IFMSCompanyInformationFromParent

* TFMSCompanyFinancialStatsItem

* TFMSCompanyProfitabilityRatios

* TFMSCompanyGearingRatios

* TFMSCompanyLiquidityRatios

* TFMSCompanyInvestmentRatios

* TFMSCompanyActivityRatios

* TFMSCompanyFinancialStats

* TFMSCompanyFinancialStatsCollection

* TFMSShareTransactionsInfo

* TFMSShareTransactionsInfoCollection

* TFMSShareTransactionsOverallStats

* TFMSTraderStats

* TFMSTimeEventsManager

* TFMSTimeEvents

* TFMSTimeEvent

* TasScriptEditorFrame

* TasWatchItem

* TasWatchItems

* TasWatchListEditor

* TasOptions

* TasScriptInformation

* THackPSScript

* THackControl

* I_FMS_SimulationControlForm

* I_FMS_ScenarioEditorForm

* I_FMS_ScriptLogForm

* I_FMS_ArrayAnalizerForm

* I_FMS_PropertyEditorForm

* I_FMS_WatchListForm

* I_FMS_ProgressForm

* I_FMS_MainForm

FIMAS
Class Tree
Index
Previous (FIMAS)
Next


Previous
Next (asDemoScenario)

Name
asCommonInterfaces

Parent
FIMAS

Description
Application specific interfaces.

Classes
Class Description
IasOptions (+)
IasScriptEditorFrame (+)
IasScriptInformation (+)
IasWatchItem (+)
IasWatchItems (+)
IasWatchListEditor (+)
I_FMS_ArrayAnalizerForm (+)
I_FMS_MainForm (+)
I_FMS_ProgressForm (+)
I_FMS_PropertyEditorForm (+)
I_FMS_ScenarioEditorForm (+)
I_FMS_ScriptLogForm (+)
I_FMS_SimulationControlForm (+)
I_FMS_WatchListForm (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous
Next (asDemoScenario)


Previous
Next (IasScriptEditorFrame)

Name
IasOptions

Parent
asCommonInterfaces

Class Hierarchy
IInterface

Visibility
PUBLIC

Members
Methods
Method Description
GetCycleInterval (+)
GetEditorDisplayReadOnly (+)
GetEditorReadOnly (+)
GetFirstStatusBarInfo (+)
GetPStatusText (+)
GetScriptVerboseMode (+)
GetSecondStatusBarInfo (+)
SetEditorDisplayReadOnly (+)
SetEditorReadOnly (+)
SetScriptVerboseMode (+)
UpdateStatusBar (+)

Properties
Property Description
CycleInterval (+)
EditorDisplayReadOnly (+)
EditorReadOnly (+)
FirstStatusBarInfo (+)
ScriptVerboseMode (+)
SecondStatusBarInfo (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous
Next (IasScriptEditorFrame)


Previous
Next (EditorDisplayReadOnly)

Name
CycleInterval

Parent
IasOptions

Visibility
PUBLIC

Source code
property CycleInterval : Single read GetCycleInterval

Read Access
GetCycleInterval

FIMAS
Class Tree
Index
Previous
Next (EditorDisplayReadOnly)


Previous (CycleInterval)
Next (EditorReadOnly)

Name
EditorDisplayReadOnly

Parent
IasOptions

Visibility
PUBLIC

Source code
property EditorDisplayReadOnly : Boolean read GetEditorDisplayReadOnly write SetEditorDisplayReadOnly

Read Access
GetEditorDisplayReadOnly

Write Access
SetEditorDisplayReadOnly

FIMAS
Class Tree
Index
Previous (CycleInterval)
Next (EditorReadOnly)


Previous (EditorDisplayReadOnly)
Next (FirstStatusBarInfo)

Name
EditorReadOnly

Parent
IasOptions

Visibility
PUBLIC

Source code
property EditorReadOnly : Boolean read GetEditorReadOnly write SetEditorReadOnly

Read Access
GetEditorReadOnly

Write Access
SetEditorReadOnly

FIMAS
Class Tree
Index
Previous (EditorDisplayReadOnly)
Next (FirstStatusBarInfo)


Previous (EditorReadOnly)
Next (ScriptVerboseMode)

Name
FirstStatusBarInfo

Parent
IasOptions

Visibility
PUBLIC

Source code
property FirstStatusBarInfo : TasStatusBarInfo read GetFirstStatusBarInfo

Read Access
GetFirstStatusBarInfo

FIMAS
Class Tree
Index
Previous (EditorReadOnly)
Next (ScriptVerboseMode)


Previous (FirstStatusBarInfo)
Next (SecondStatusBarInfo)

Name
ScriptVerboseMode

Parent
IasOptions

Visibility
PUBLIC

Source code
property ScriptVerboseMode : TasScriptVerboseMode read GetScriptVerboseMode write SetScriptVerboseMode

Read Access
GetScriptVerboseMode

Write Access
SetScriptVerboseMode

FIMAS
Class Tree
Index
Previous (FirstStatusBarInfo)
Next (SecondStatusBarInfo)


Previous (ScriptVerboseMode)
Next

Name
SecondStatusBarInfo

Parent
IasOptions

Visibility
PUBLIC

Source code
property SecondStatusBarInfo : TasStatusBarInfo read GetSecondStatusBarInfo

Read Access
GetSecondStatusBarInfo

FIMAS
Class Tree
Index
Previous (ScriptVerboseMode)
Next


Previous
Next (GetEditorDisplayReadOnly)

Name
GetCycleInterval

Parent
IasOptions

Visibility
PUBLIC

Source code
function GetCycleInterval : Single

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (GetEditorDisplayReadOnly)


Previous (GetCycleInterval)
Next (GetEditorReadOnly)

Name
GetEditorDisplayReadOnly

Parent
IasOptions

Visibility
PUBLIC

Source code
function GetEditorDisplayReadOnly : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCycleInterval)
Next (GetEditorReadOnly)


Previous (GetEditorDisplayReadOnly)
Next (GetFirstStatusBarInfo)

Name
GetEditorReadOnly

Parent
IasOptions

Visibility
PUBLIC

Source code
function GetEditorReadOnly : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetEditorDisplayReadOnly)
Next (GetFirstStatusBarInfo)


Previous (GetEditorReadOnly)
Next (GetPStatusText)

Name
GetFirstStatusBarInfo

Parent
IasOptions

Visibility
PUBLIC

Source code
function GetFirstStatusBarInfo : TasStatusBarInfo

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetEditorReadOnly)
Next (GetPStatusText)


Previous (GetFirstStatusBarInfo)
Next (GetScriptVerboseMode)

Name
GetPStatusText

Parent
IasOptions

Visibility
PUBLIC

Source code
function GetPStatusText ( const AStatusBarInfo : TasStatusBarInfo ; const IncludeHeader : Boolean = True ) : PChar

Parameters
Parameter | Description
AStatusBarInfo : TasStatusBarInfo | &nbsp;
IncludeHeader : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (GetFirstStatusBarInfo)
Next (GetScriptVerboseMode)


Previous (GetPStatusText)
Next (GetSecondStatusBarInfo)

Name
GetScriptVerboseMode

Parent
IasOptions

Visibility
PUBLIC

Source code
function GetScriptVerboseMode : TasScriptVerboseMode

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetPStatusText)
Next (GetSecondStatusBarInfo)


Previous (GetScriptVerboseMode)
Next (SetEditorDisplayReadOnly)

Name
GetSecondStatusBarInfo

Parent
IasOptions

Visibility
PUBLIC

Source code
function GetSecondStatusBarInfo : TasStatusBarInfo

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetScriptVerboseMode)
Next (SetEditorDisplayReadOnly)


Previous (GetSecondStatusBarInfo)
Next (SetEditorReadOnly)

Name
SetEditorDisplayReadOnly

Parent
IasOptions

Visibility
PUBLIC

Source code
procedure SetEditorDisplayReadOnly ( const Value : Boolean )

Parameters
Parameter | Description
Value : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (GetSecondStatusBarInfo)
Next (SetEditorReadOnly)


Previous (SetEditorDisplayReadOnly)
Next (SetScriptVerboseMode)

Name
SetEditorReadOnly

Parent
IasOptions

Visibility
PUBLIC

Source code
procedure SetEditorReadOnly ( const Value : Boolean )

Parameters
Parameter | Description
Value : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (SetEditorDisplayReadOnly)
Next (SetScriptVerboseMode)


Previous (SetEditorReadOnly)
Next (UpdateStatusBar)

Name
SetScriptVerboseMode

Parent
IasOptions

Visibility
PUBLIC

Source code
procedure SetScriptVerboseMode ( const Value : TasScriptVerboseMode )

Parameters
Parameter | Description
Value : TasScriptVerboseMode | &nbsp;

FIMAS
Class Tree
Index
Previous (SetEditorReadOnly)
Next (UpdateStatusBar)


Previous (SetScriptVerboseMode)
Next

Name
UpdateStatusBar

Parent
IasOptions

Visibility
PUBLIC

Source code
procedure UpdateStatusBar ( const APaused : Boolean )

Parameters
Parameter | Description
APaused : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (SetScriptVerboseMode)
Next


Previous (IasOptions)
Next (IasScriptInformation)

Name
IasScriptEditorFrame

Parent
asCommonInterfaces

Class Hierarchy
IInterface

Visibility
PUBLIC

Members
Methods
Method Description
ClearScript (+)
CompileAndExecuteScript (+)
CompileScriptSafe (+)
ExecuteScript (+)
GetCurrentScriptChanged (+)
GetScriptInformation (+)
GetScriptSuccessfullyCompiled (+)
LoadFromFile (+)
LoadFromString (+)
PressApplyButtom (+)
SaveScript (+)

Properties
Property Description
CurrentScriptChanged (+)
ScriptInformation (+)
ScriptSuccessfullyCompiled (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (IasOptions)
Next (IasScriptInformation)


Previous
Next (ScriptInformation)

Name
CurrentScriptChanged

Parent
IasScriptEditorFrame

Visibility
PUBLIC

Source code
property CurrentScriptChanged : Boolean read GetCurrentScriptChanged

Read Access
GetCurrentScriptChanged

FIMAS
Class Tree
Index
Previous
Next (ScriptInformation)


Previous (CurrentScriptChanged)
Next (ScriptSuccessfullyCompiled)

Name
ScriptInformation

Parent
IasScriptEditorFrame

Visibility
PUBLIC

Source code
property ScriptInformation : IasScriptInformation read GetScriptInformation

Read Access
GetScriptInformation

FIMAS
Class Tree
Index
Previous (CurrentScriptChanged)
Next (ScriptSuccessfullyCompiled)


Previous (ScriptInformation)
Next

Name
ScriptSuccessfullyCompiled

Parent
IasScriptEditorFrame

Visibility
PUBLIC

Source code
property ScriptSuccessfullyCompiled : Boolean read GetScriptSuccessfullyCompiled

Read Access
GetScriptSuccessfullyCompiled

FIMAS
Class Tree
Index
Previous (ScriptInformation)
Next


Previous
Next (CompileAndExecuteScript)

Name
ClearScript

Parent
IasScriptEditorFrame

Visibility
PUBLIC

Source code
procedure ClearScript

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (CompileAndExecuteScript)


Previous (ClearScript)
Next (CompileScriptSafe)

Name
CompileAndExecuteScript

Parent
IasScriptEditorFrame

Visibility
PUBLIC

Source code
procedure CompileAndExecuteScript

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (ClearScript)
Next (CompileScriptSafe)


Previous (CompileAndExecuteScript)
Next (ExecuteScript)

Name
CompileScriptSafe

Parent
IasScriptEditorFrame

Visibility
PUBLIC

Source code
function CompileScriptSafe : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (CompileAndExecuteScript)
Next (ExecuteScript)


Previous (CompileScriptSafe)
Next (GetCurrentScriptChanged)

Name
ExecuteScript

Parent
IasScriptEditorFrame

Visibility
PUBLIC

Source code
procedure ExecuteScript

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (CompileScriptSafe)
Next (GetCurrentScriptChanged)


Previous (ExecuteScript)
Next (GetScriptInformation)

Name
GetCurrentScriptChanged

Parent
IasScriptEditorFrame

Visibility
PUBLIC

Source code
function GetCurrentScriptChanged : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (ExecuteScript)
Next (GetScriptInformation)


Previous (GetCurrentScriptChanged)
Next (GetScriptSuccessfullyCompiled)

Name
GetScriptInformation

Parent
IasScriptEditorFrame

Visibility
PUBLIC

Source code
function GetScriptInformation : IasScriptInformation

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCurrentScriptChanged)
Next (GetScriptSuccessfullyCompiled)


Previous (GetScriptInformation)
Next (LoadFromFile)

Name
GetScriptSuccessfullyCompiled

Parent
IasScriptEditorFrame

Visibility
PUBLIC

Source code
function GetScriptSuccessfullyCompiled : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetScriptInformation)
Next (LoadFromFile)


Previous (GetScriptSuccessfullyCompiled)
Next (LoadFromString)

Name
LoadFromFile

Parent
IasScriptEditorFrame

Visibility
PUBLIC

Source code
procedure LoadFromFile ( const FileName : PChar )

Parameters
Parameter | Description
FileName : PCHAR | &nbsp;

FIMAS
Class Tree
Index
Previous (GetScriptSuccessfullyCompiled)
Next (LoadFromString)


Previous (LoadFromFile)
Next (PressApplyButtom)

Name
LoadFromString

Parent
IasScriptEditorFrame

Visibility
PUBLIC

Source code
procedure LoadFromString ( const AString : PChar )

Parameters
Parameter | Description
AString : PCHAR | &nbsp;

FIMAS
Class Tree
Index
Previous (LoadFromFile)
Next (PressApplyButtom)


Previous (LoadFromString)
Next (SaveScript)

Name
PressApplyButtom

Parent
IasScriptEditorFrame

Visibility
PUBLIC

Source code
procedure PressApplyButtom ( )

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (LoadFromString)
Next (SaveScript)


Previous (PressApplyButtom)
Next

Name
SaveScript

Parent
IasScriptEditorFrame

Visibility
PUBLIC

Source code
procedure SaveScript

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (PressApplyButtom)
Next


Previous (IasScriptEditorFrame)
Next (IasWatchItem)

Name
IasScriptInformation

Parent
asCommonInterfaces

Class Hierarchy
IInterface

Visibility
PUBLIC

Members
Methods
Method Description
CompileAndExecuteScript (+)
CompileScript (+)
ExecuteScript (+)
GetErrorOutputTarget (+)
GetInputTarget (+)
GetPrimaryOutputTarget (+)
GetPScriptText (+)
GetPSourceString (+)
GetSecondaryOutputTarget (+)
GetVerboseMode (+)
SetErrorOutputTarget (+)
SetInputTarget (+)
SetPrimaryOutputTarget (+)
SetPScriptText (+)
SetSecondaryOutputTarget (+)
SetVerboseMode (+)
StopScript (+)

Properties
Property Description
ErrorOutputTarget (+)
InputTarget (+)
PrimaryOutputTarget (+)
PScriptText (+)
SecondaryOutputTarget (+)
VerboseMode (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (IasScriptEditorFrame)
Next (IasWatchItem)


Previous
Next (InputTarget)

Name
ErrorOutputTarget

Parent
IasScriptInformation

Visibility
PUBLIC

Source code
property ErrorOutputTarget : Integer read GetErrorOutputTarget write SetErrorOutputTarget

Read Access
GetErrorOutputTarget

Write Access
SetErrorOutputTarget

FIMAS
Class Tree
Index
Previous
Next (InputTarget)


Previous (ErrorOutputTarget)
Next (PrimaryOutputTarget)

Name
InputTarget

Parent
IasScriptInformation

Visibility
PUBLIC

Source code
property InputTarget : TFMSScriptInputTarget read GetInputTarget write SetInputTarget

Read Access
GetInputTarget

Write Access
SetInputTarget

FIMAS
Class Tree
Index
Previous (ErrorOutputTarget)
Next (PrimaryOutputTarget)


Previous (InputTarget)
Next (PScriptText)

Name
PrimaryOutputTarget

Parent
IasScriptInformation

Visibility
PUBLIC

Source code
property PrimaryOutputTarget : Integer read GetPrimaryOutputTarget write SetPrimaryOutputTarget

Read Access
GetPrimaryOutputTarget

Write Access
SetPrimaryOutputTarget

FIMAS
Class Tree
Index
Previous (InputTarget)
Next (PScriptText)


Previous (PrimaryOutputTarget)
Next (SecondaryOutputTarget)

Name
PScriptText

Parent
IasScriptInformation

Visibility
PUBLIC

Source code
property PScriptText : PChar read GetPScriptText write SetPScriptText

Read Access
GetPScriptText

Write Access
SetPScriptText

FIMAS
Class Tree
Index
Previous (PrimaryOutputTarget)
Next (SecondaryOutputTarget)


Previous (PScriptText)
Next (VerboseMode)

Name
SecondaryOutputTarget

Parent
IasScriptInformation

Visibility
PUBLIC

Source code
property SecondaryOutputTarget : Integer read GetSecondaryOutputTarget write SetSecondaryOutputTarget

Read Access
GetSecondaryOutputTarget

Write Access
SetSecondaryOutputTarget

FIMAS
Class Tree
Index
Previous (PScriptText)
Next (VerboseMode)


Previous (SecondaryOutputTarget)
Next

Name
VerboseMode

Parent
IasScriptInformation

Visibility
PUBLIC

Source code
property VerboseMode : TasScriptVerboseMode read GetVerboseMode write SetVerboseMode

Read Access
GetVerboseMode

Write Access
SetVerboseMode

FIMAS
Class Tree
Index
Previous (SecondaryOutputTarget)
Next


Previous
Next (CompileScript)

Name
CompileAndExecuteScript

Parent
IasScriptInformation

Visibility
PUBLIC

Source code
function CompileAndExecuteScript : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (CompileScript)


Previous (CompileAndExecuteScript)
Next (ExecuteScript)

Name
CompileScript

Parent
IasScriptInformation

Visibility
PUBLIC

Source code
function CompileScript : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (CompileAndExecuteScript)
Next (ExecuteScript)


Previous (CompileScript)
Next (GetErrorOutputTarget)

Name
ExecuteScript

Parent
IasScriptInformation

Visibility
PUBLIC

Source code
function ExecuteScript : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (CompileScript)
Next (GetErrorOutputTarget)


Previous (ExecuteScript)
Next (GetInputTarget)

Name
GetErrorOutputTarget

Parent
IasScriptInformation

Visibility
PUBLIC

Source code
function GetErrorOutputTarget : Integer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (ExecuteScript)
Next (GetInputTarget)


Previous (GetErrorOutputTarget)
Next (GetPrimaryOutputTarget)

Name
GetInputTarget

Parent
IasScriptInformation

Visibility
PUBLIC

Source code
function GetInputTarget : TFMSScriptInputTarget

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetErrorOutputTarget)
Next (GetPrimaryOutputTarget)


Previous (GetInputTarget)
Next (GetPScriptText)

Name
GetPrimaryOutputTarget

Parent
IasScriptInformation

Visibility
PUBLIC

Source code
function GetPrimaryOutputTarget : Integer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetInputTarget)
Next (GetPScriptText)


Previous (GetPrimaryOutputTarget)
Next (GetPSourceString)

Name
GetPScriptText

Parent
IasScriptInformation

Visibility
PUBLIC

Source code
function GetPScriptText : PChar

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetPrimaryOutputTarget)
Next (GetPSourceString)


Previous (GetPScriptText)
Next (GetSecondaryOutputTarget)

Name
GetPSourceString

Parent
IasScriptInformation

Visibility
PUBLIC

Source code
function GetPSourceString : PChar

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetPScriptText)
Next (GetSecondaryOutputTarget)


Previous (GetPSourceString)
Next (GetVerboseMode)

Name
GetSecondaryOutputTarget

Parent
IasScriptInformation

Visibility
PUBLIC

Source code
function GetSecondaryOutputTarget : Integer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetPSourceString)
Next (GetVerboseMode)


Previous (GetSecondaryOutputTarget)
Next (SetErrorOutputTarget)

Name
GetVerboseMode

Parent
IasScriptInformation

Visibility
PUBLIC

Source code
function GetVerboseMode : TasScriptVerboseMode

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetSecondaryOutputTarget)
Next (SetErrorOutputTarget)


Previous (GetVerboseMode)
Next (SetInputTarget)

Name
SetErrorOutputTarget

Parent
IasScriptInformation

Visibility
PUBLIC

Source code
procedure SetErrorOutputTarget ( const Value : Integer )

Parameters
Parameter | Description
Value : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetVerboseMode)
Next (SetInputTarget)


Previous (SetErrorOutputTarget)
Next (SetPrimaryOutputTarget)

Name
SetInputTarget

Parent
IasScriptInformation

Visibility
PUBLIC

Source code
procedure SetInputTarget ( const AInputTarget : TFMSScriptInputTarget )

Parameters
Parameter | Description
AInputTarget : TFMSScriptInputTarget | &nbsp;

FIMAS
Class Tree
Index
Previous (SetErrorOutputTarget)
Next (SetPrimaryOutputTarget)


Previous (SetInputTarget)
Next (SetPScriptText)

Name
SetPrimaryOutputTarget

Parent
IasScriptInformation

Visibility
PUBLIC

Source code
procedure SetPrimaryOutputTarget ( const Value : Integer )

Parameters
Parameter | Description
Value : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (SetInputTarget)
Next (SetPScriptText)


Previous (SetPrimaryOutputTarget)
Next (SetSecondaryOutputTarget)

Name
SetPScriptText

Parent
IasScriptInformation

Visibility
PUBLIC

Source code
procedure SetPScriptText ( const AText : PChar )

Parameters
Parameter | Description
AText : PCHAR | &nbsp;

FIMAS
Class Tree
Index
Previous (SetPrimaryOutputTarget)
Next (SetSecondaryOutputTarget)


Previous (SetPScriptText)
Next (SetVerboseMode)

Name
SetSecondaryOutputTarget

Parent
IasScriptInformation

Visibility
PUBLIC

Source code
procedure SetSecondaryOutputTarget ( const Value : Integer )

Parameters
Parameter | Description
Value : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (SetPScriptText)
Next (SetVerboseMode)


Previous (SetSecondaryOutputTarget)
Next (StopScript)

Name
SetVerboseMode

Parent
IasScriptInformation

Visibility
PUBLIC

Source code
procedure SetVerboseMode ( const Value : TasScriptVerboseMode )

Parameters
Parameter | Description
Value : TasScriptVerboseMode | &nbsp;

FIMAS
Class Tree
Index
Previous (SetSecondaryOutputTarget)
Next (StopScript)


Previous (SetVerboseMode)
Next

Name
StopScript

Parent
IasScriptInformation

Visibility
PUBLIC

Source code
procedure StopScript

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetVerboseMode)
Next


Previous (IasScriptInformation)
Next (IasWatchItems)

Name
IasWatchItem

Parent
asCommonInterfaces

Class Hierarchy
IInterface

Visibility
PUBLIC

Members
Methods
Method Description
Clear (+)
GetEnabled (+)
GetName (+)
GetScript (+)
GetValue (+)
SetEnabled (+)
SetName (+)
SetScript (+)
SetValue (+)

Properties
Property Description
Enabled (+)
NAME (+)
Script (+)
Value (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (IasScriptInformation)
Next (IasWatchItems)


Previous
Next (NAME)

Name
Enabled

Parent
IasWatchItem

Visibility
PUBLIC

Source code
property Enabled : Boolean read GetEnabled write SetEnabled

Read Access
GetEnabled

Write Access
SetEnabled

FIMAS
Class Tree
Index
Previous
Next (NAME)


Previous (Enabled)
Next (Script)

Name
NAME

Parent
IasWatchItem

Visibility
PUBLIC

Source code
property Name : PChar read GetName write SetName

Read Access
GetName

Write Access
SetName

FIMAS
Class Tree
Index
Previous (Enabled)
Next (Script)


Previous (NAME)
Next (Value)

Name
Script

Parent
IasWatchItem

Visibility
PUBLIC

Source code
property Script : PChar read GetScript write SetScript

Read Access
GetScript

Write Access
SetScript

FIMAS
Class Tree
Index
Previous (NAME)
Next (Value)


Previous (Script)
Next

Name
Value

Parent
IasWatchItem

Visibility
PUBLIC

Source code
property Value : PChar read GetValue write SetValue

Read Access
GetValue

Write Access
SetValue

FIMAS
Class Tree
Index
Previous (Script)
Next


Previous
Next (GetEnabled)

Name
Clear

Parent
IasWatchItem

Visibility
PUBLIC

Source code
procedure Clear

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (GetEnabled)


Previous (Clear)
Next (GetName)

Name
GetEnabled

Parent
IasWatchItem

Visibility
PUBLIC

Source code
function GetEnabled : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Clear)
Next (GetName)


Previous (GetEnabled)
Next (GetScript)

Name
GetName

Parent
IasWatchItem

Visibility
PUBLIC

Source code
function GetName : PChar

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetEnabled)
Next (GetScript)


Previous (GetName)
Next (GetValue)

Name
GetScript

Parent
IasWatchItem

Visibility
PUBLIC

Source code
function GetScript : PChar

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetName)
Next (GetValue)


Previous (GetScript)
Next (SetEnabled)

Name
GetValue

Parent
IasWatchItem

Visibility
PUBLIC

Source code
function GetValue : PChar

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetScript)
Next (SetEnabled)


Previous (GetValue)
Next (SetName)

Name
SetEnabled

Parent
IasWatchItem

Visibility
PUBLIC

Source code
procedure SetEnabled ( const Value : Boolean )

Parameters
Parameter | Description
Value : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (GetValue)
Next (SetName)


Previous (SetEnabled)
Next (SetScript)

Name
SetName

Parent
IasWatchItem

Visibility
PUBLIC

Source code
procedure SetName ( const Value : PChar )

Parameters
Parameter | Description
Value : PCHAR | &nbsp;

FIMAS
Class Tree
Index
Previous (SetEnabled)
Next (SetScript)


Previous (SetName)
Next (SetValue)

Name
SetScript

Parent
IasWatchItem

Visibility
PUBLIC

Source code
procedure SetScript ( const Value : PChar )

Parameters
Parameter | Description
Value : PCHAR | &nbsp;

FIMAS
Class Tree
Index
Previous (SetName)
Next (SetValue)


Previous (SetScript)
Next

Name
SetValue

Parent
IasWatchItem

Visibility
PUBLIC

Source code
procedure SetValue ( const Value : PChar )

Parameters
Parameter | Description
Value : PCHAR | &nbsp;

FIMAS
Class Tree
Index
Previous (SetScript)
Next


Previous (IasWatchItem)
Next (IasWatchListEditor)

Name
IasWatchItems

Parent
asCommonInterfaces

Class Hierarchy
IInterface

Visibility
PUBLIC

Members
Methods
Method Description
GetItems (+)
GetLastItem (+)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (IasWatchItem)
Next (IasWatchListEditor)


Previous
Next

Name
Items

Parent
IasWatchItems

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : IasWatchItem read GetItems ; default

Read Access
GetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (GetLastItem)

Name
GetItems

Parent
IasWatchItems

Visibility
PUBLIC

Source code
function GetItems ( const Index : Integer ) : IasWatchItem

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (GetLastItem)


Previous (GetItems)
Next

Name
GetLastItem

Parent
IasWatchItems

Visibility
PUBLIC

Source code
function GetLastItem : IasWatchItem

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next


Previous (IasWatchItems)
Next (I_FMS_ArrayAnalizerForm)

Name
IasWatchListEditor

Parent
asCommonInterfaces

Class Hierarchy
IInterface

Visibility
PUBLIC

Members
Methods
Method Description
ADD (+)
Delete (+)
SelectCell (+)
UpdateCells (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (IasWatchItems)
Next (I_FMS_ArrayAnalizerForm)


Previous
Next (Delete)

Name
ADD

Parent
IasWatchListEditor

Visibility
PUBLIC

Source code
procedure Add

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (Delete)


Previous (ADD)
Next (SelectCell)

Name
Delete

Parent
IasWatchListEditor

Visibility
PUBLIC

Source code
procedure Delete

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (ADD)
Next (SelectCell)


Previous (Delete)
Next (UpdateCells)

Name
SelectCell

Parent
IasWatchListEditor

Visibility
PUBLIC

Source code
function SelectCell ( ACol , ARow : Longint ) : Boolean

Parameters
Parameter | Description
ACol : LONGINT | &nbsp;
ARow : LONGINT | &nbsp;

FIMAS
Class Tree
Index
Previous (Delete)
Next (UpdateCells)


Previous (SelectCell)
Next

Name
UpdateCells

Parent
IasWatchListEditor

Visibility
PUBLIC

Source code
procedure UpdateCells

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SelectCell)
Next


Previous (IasWatchListEditor)
Next (I_FMS_MainForm)

Name
I_FMS_ArrayAnalizerForm

Parent
asCommonInterfaces

Class Hierarchy
IStrangeSimpleNotificationSenderForm

Visibility
PUBLIC

Members
Methods
Method Description
GetNotificationSender (+)
GetUpdateFrequency (+)
SetUpdateFrequency (+)

Properties
Property Description
NotificationSender (+)
UpdateFrequency (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (IasWatchListEditor)
Next (I_FMS_MainForm)


Previous
Next (UpdateFrequency)

Name
NotificationSender

Parent
I_FMS_ArrayAnalizerForm

Visibility
PUBLIC

Source code
property NotificationSender : IStrangeSimpleNotificationSender read GetNotificationSender

Read Access
GetNotificationSender

FIMAS
Class Tree
Index
Previous
Next (UpdateFrequency)


Previous (NotificationSender)
Next

Name
UpdateFrequency

Parent
I_FMS_ArrayAnalizerForm

Visibility
PUBLIC

Source code
property UpdateFrequency : TFMSUpdateFrequency read GetUpdateFrequency write SetUpdateFrequency

Read Access
GetUpdateFrequency

Write Access
SetUpdateFrequency

FIMAS
Class Tree
Index
Previous (NotificationSender)
Next


Previous
Next (GetUpdateFrequency)

Name
GetNotificationSender

Parent
I_FMS_ArrayAnalizerForm

Visibility
PUBLIC

Source code
function GetNotificationSender : IStrangeSimpleNotificationSender

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (GetUpdateFrequency)


Previous (GetNotificationSender)
Next (SetUpdateFrequency)

Name
GetUpdateFrequency

Parent
I_FMS_ArrayAnalizerForm

Visibility
PUBLIC

Source code
function GetUpdateFrequency : TFMSUpdateFrequency

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetNotificationSender)
Next (SetUpdateFrequency)


Previous (GetUpdateFrequency)
Next

Name
SetUpdateFrequency

Parent
I_FMS_ArrayAnalizerForm

Visibility
PUBLIC

Source code
procedure SetUpdateFrequency ( const Value : TFMSUpdateFrequency )

Parameters
Parameter | Description
Value : TFMSUpdateFrequency | &nbsp;

FIMAS
Class Tree
Index
Previous (GetUpdateFrequency)
Next


Previous (I_FMS_ArrayAnalizerForm)
Next (I_FMS_ProgressForm)

Name
I_FMS_MainForm

Parent
asCommonInterfaces

Class Hierarchy
IStrangeSimpleNotificationSenderForm

Visibility
PUBLIC

Members
Methods
Method Description
ApplyAllEditorScripts (+)
CloseMDIChildren (+)
GetCadencer (+)
GetCompanyFinancialStats (+)
GetCurrentFileName (+)
GetFMSUtils (+)
GetMainScriptInfo (+)
GetOptions (+)
GetOrCreateScriptLogForm (+)
GetOrCreateSimulationControlForm (+)
GetProgressForm (+)
GetScenarioEditorForm (+)
GetShortFileName (+)
GetTransactionsOverallStats (+)
GetVCLStandardFunctions (+)
GetVCLStandardObjects (+)
GetWorld (+)
Reset (+)
SetCurrentFileName (+)
UnMinimizeMDIChildren (+)

Properties
Property Description
Cadencer (+)
CompanyFinancialStats (+)
CurrentFileName (+)
FMSUtils (+)
MainScriptInfo (+)
Options (+)
TransactionsOverallStats (+)
VCLStandardFunctions (+)
VCLStandardObjects (+)
World (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (I_FMS_ArrayAnalizerForm)
Next (I_FMS_ProgressForm)


Previous
Next (CompanyFinancialStats)

Name
Cadencer

Parent
I_FMS_MainForm

Visibility
PUBLIC

Source code
property Cadencer : IStrangeCadencer read GetCadencer

Read Access
GetCadencer

FIMAS
Class Tree
Index
Previous
Next (CompanyFinancialStats)


Previous (Cadencer)
Next (CurrentFileName)

Name
CompanyFinancialStats

Parent
I_FMS_MainForm

Visibility
PUBLIC

Source code
property CompanyFinancialStats : IFMSCompanyFinancialStatsCollection read GetCompanyFinancialStats

Read Access
GetCompanyFinancialStats

FIMAS
Class Tree
Index
Previous (Cadencer)
Next (CurrentFileName)


Previous (CompanyFinancialStats)
Next (FMSUtils)

Name
CurrentFileName

Parent
I_FMS_MainForm

Visibility
PUBLIC

Source code
property CurrentFileName : PChar read GetCurrentFileName write SetCurrentFileName

Read Access
GetCurrentFileName

Write Access
SetCurrentFileName

FIMAS
Class Tree
Index
Previous (CompanyFinancialStats)
Next (FMSUtils)


Previous (CurrentFileName)
Next (MainScriptInfo)

Name
FMSUtils

Parent
I_FMS_MainForm

Visibility
PUBLIC

Source code
property FMSUtils : IFMSUtils read GetFMSUtils

Read Access
GetFMSUtils

FIMAS
Class Tree
Index
Previous (CurrentFileName)
Next (MainScriptInfo)


Previous (FMSUtils)
Next (Options)

Name
MainScriptInfo

Parent
I_FMS_MainForm

Visibility
PUBLIC

Source code
property MainScriptInfo : IasScriptInformation read GetMainScriptInfo

Read Access
GetMainScriptInfo

FIMAS
Class Tree
Index
Previous (FMSUtils)
Next (Options)


Previous (MainScriptInfo)
Next (TransactionsOverallStats)

Name
Options

Parent
I_FMS_MainForm

Visibility
PUBLIC

Source code
property Options : IasOptions read GetOptions

Read Access
GetOptions

FIMAS
Class Tree
Index
Previous (MainScriptInfo)
Next (TransactionsOverallStats)


Previous (Options)
Next (VCLStandardFunctions)

Name
TransactionsOverallStats

Parent
I_FMS_MainForm

Visibility
PUBLIC

Source code
property TransactionsOverallStats : IFMSShareTransactionsOverallStats read GetTransactionsOverallStats

Read Access
GetTransactionsOverallStats

FIMAS
Class Tree
Index
Previous (Options)
Next (VCLStandardFunctions)


Previous (TransactionsOverallStats)
Next (VCLStandardObjects)

Name
VCLStandardFunctions

Parent
I_FMS_MainForm

Visibility
PUBLIC

Source code
property VCLStandardFunctions : IStrangeVCLStandardFunctions read GetVCLStandardFunctions

Read Access
GetVCLStandardFunctions

FIMAS
Class Tree
Index
Previous (TransactionsOverallStats)
Next (VCLStandardObjects)


Previous (VCLStandardFunctions)
Next (World)

Name
VCLStandardObjects

Parent
I_FMS_MainForm

Visibility
PUBLIC

Source code
property VCLStandardObjects : IStrangeVCLStandardObjects read GetVCLStandardObjects

Read Access
GetVCLStandardObjects

FIMAS
Class Tree
Index
Previous (VCLStandardFunctions)
Next (World)


Previous (VCLStandardObjects)
Next

Name
World

Parent
I_FMS_MainForm

Visibility
PUBLIC

Source code
property World : IFMSRtStdEventDrivenWorld read GetWorld

Read Access
GetWorld

FIMAS
Class Tree
Index
Previous (VCLStandardObjects)
Next


Previous
Next (CloseMDIChildren)

Name
ApplyAllEditorScripts

Parent
I_FMS_MainForm

Visibility
PUBLIC

Source code
procedure ApplyAllEditorScripts

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (CloseMDIChildren)


Previous (ApplyAllEditorScripts)
Next (GetCadencer)

Name
CloseMDIChildren

Parent
I_FMS_MainForm

Visibility
PUBLIC

Source code
function CloseMDIChildren : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (ApplyAllEditorScripts)
Next (GetCadencer)


Previous (CloseMDIChildren)
Next (GetCompanyFinancialStats)

Name
GetCadencer

Parent
I_FMS_MainForm

Visibility
PUBLIC

Source code
function GetCadencer : IStrangeCadencer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (CloseMDIChildren)
Next (GetCompanyFinancialStats)


Previous (GetCadencer)
Next (GetCurrentFileName)

Name
GetCompanyFinancialStats

Parent
I_FMS_MainForm

Visibility
PUBLIC

Source code
function GetCompanyFinancialStats : IFMSCompanyFinancialStatsCollection

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCadencer)
Next (GetCurrentFileName)


Previous (GetCompanyFinancialStats)
Next (GetFMSUtils)

Name
GetCurrentFileName

Parent
I_FMS_MainForm

Visibility
PUBLIC

Source code
function GetCurrentFileName : PChar

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCompanyFinancialStats)
Next (GetFMSUtils)


Previous (GetCurrentFileName)
Next (GetMainScriptInfo)

Name
GetFMSUtils

Parent
I_FMS_MainForm

Visibility
PUBLIC

Source code
function GetFMSUtils : IFMSUtils

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCurrentFileName)
Next (GetMainScriptInfo)


Previous (GetFMSUtils)
Next (GetOptions)

Name
GetMainScriptInfo

Parent
I_FMS_MainForm

Visibility
PUBLIC

Source code
function GetMainScriptInfo : IasScriptInformation

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetFMSUtils)
Next (GetOptions)


Previous (GetMainScriptInfo)
Next (GetOrCreateScriptLogForm)

Name
GetOptions

Parent
I_FMS_MainForm

Visibility
PUBLIC

Source code
function GetOptions : IasOptions

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetMainScriptInfo)
Next (GetOrCreateScriptLogForm)


Previous (GetOptions)
Next (GetOrCreateSimulationControlForm)

Name
GetOrCreateScriptLogForm

Parent
I_FMS_MainForm

Visibility
PUBLIC

Source code
function GetOrCreateScriptLogForm : I_FMS_ScriptLogForm

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetOptions)
Next (GetOrCreateSimulationControlForm)


Previous (GetOrCreateScriptLogForm)
Next (GetProgressForm)

Name
GetOrCreateSimulationControlForm

Parent
I_FMS_MainForm

Visibility
PUBLIC

Source code
function GetOrCreateSimulationControlForm : I_FMS_SimulationControlForm

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetOrCreateScriptLogForm)
Next (GetProgressForm)


Previous (GetOrCreateSimulationControlForm)
Next (GetScenarioEditorForm)

Name
GetProgressForm

Parent
I_FMS_MainForm

Visibility
PUBLIC

Source code
function GetProgressForm : I_FMS_ProgressForm

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetOrCreateSimulationControlForm)
Next (GetScenarioEditorForm)


Previous (GetProgressForm)
Next (GetShortFileName)

Name
GetScenarioEditorForm

Parent
I_FMS_MainForm

Visibility
PUBLIC

Source code
function GetScenarioEditorForm : I_FMS_ScenarioEditorForm

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetProgressForm)
Next (GetShortFileName)


Previous (GetScenarioEditorForm)
Next (GetTransactionsOverallStats)

Name
GetShortFileName

Parent
I_FMS_MainForm

Visibility
PUBLIC

Source code
function GetShortFileName : PChar

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetScenarioEditorForm)
Next (GetTransactionsOverallStats)


Previous (GetShortFileName)
Next (GetVCLStandardFunctions)

Name
GetTransactionsOverallStats

Parent
I_FMS_MainForm

Visibility
PUBLIC

Source code
function GetTransactionsOverallStats : IFMSShareTransactionsOverallStats

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetShortFileName)
Next (GetVCLStandardFunctions)


Previous (GetTransactionsOverallStats)
Next (GetVCLStandardObjects)

Name
GetVCLStandardFunctions

Parent
I_FMS_MainForm

Visibility
PUBLIC

Source code
function GetVCLStandardFunctions : IStrangeVCLStandardFunctions

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetTransactionsOverallStats)
Next (GetVCLStandardObjects)


Previous (GetVCLStandardFunctions)
Next (GetWorld)

Name
GetVCLStandardObjects

Parent
I_FMS_MainForm

Visibility
PUBLIC

Source code
function GetVCLStandardObjects : IStrangeVCLStandardObjects

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetVCLStandardFunctions)
Next (GetWorld)


Previous (GetVCLStandardObjects)
Next (Reset)

Name
GetWorld

Parent
I_FMS_MainForm

Visibility
PUBLIC

Source code
function GetWorld : IFMSRtStdEventDrivenWorld

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetVCLStandardObjects)
Next (Reset)


Previous (GetWorld)
Next (SetCurrentFileName)

Name
Reset

Parent
I_FMS_MainForm

Visibility
PUBLIC

Source code
procedure Reset

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetWorld)
Next (SetCurrentFileName)


Previous (Reset)
Next (UnMinimizeMDIChildren)

Name
SetCurrentFileName

Parent
I_FMS_MainForm

Visibility
PUBLIC

Source code
procedure SetCurrentFileName ( const Value : PChar )

Parameters
Parameter | Description
Value : PCHAR | &nbsp;

FIMAS
Class Tree
Index
Previous (Reset)
Next (UnMinimizeMDIChildren)


Previous (SetCurrentFileName)
Next

Name
UnMinimizeMDIChildren

Parent
I_FMS_MainForm

Visibility
PUBLIC

Source code
procedure UnMinimizeMDIChildren

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetCurrentFileName)
Next


Previous (I_FMS_MainForm)
Next (I_FMS_PropertyEditorForm)

Name
I_FMS_ProgressForm

Parent
asCommonInterfaces

Class Hierarchy
IStrangeInterfacedForm

Visibility
PUBLIC

Members
Methods
Method Description
Progress (+)
SetLoadingProgressInfoLabelVisible (+)
SetupProperties (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (I_FMS_MainForm)
Next (I_FMS_PropertyEditorForm)


Previous
Next (SetLoadingProgressInfoLabelVisible)

Name
Progress

Parent
I_FMS_ProgressForm

Visibility
PUBLIC

Source code
procedure Progress ( const AOperationPosition : Integer ; const AOperationDescription : PChar )

Parameters
Parameter | Description
AOperationPosition : INTEGER | &nbsp;
AOperationDescription : PCHAR | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (SetLoadingProgressInfoLabelVisible)


Previous (Progress)
Next (SetupProperties)

Name
SetLoadingProgressInfoLabelVisible

Parent
I_FMS_ProgressForm

Visibility
PUBLIC

Source code
procedure SetLoadingProgressInfoLabelVisible ( const AValue : Boolean )

Parameters
Parameter | Description
AValue : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (Progress)
Next (SetupProperties)


Previous (SetLoadingProgressInfoLabelVisible)
Next

Name
SetupProperties

Parent
I_FMS_ProgressForm

Visibility
PUBLIC

Source code
procedure SetupProperties ( const ACaption : PChar ; const AMinPosition , AMaxPosition , ACurrentPosition : Integer ; const ALoadingProgressInfoLabelVisible : Boolean ; const ALoadingProgressInfoLabelText : PChar )

Parameters
Parameter | Description
ACaption : PCHAR | &nbsp;
AMinPosition : INTEGER | &nbsp;
AMaxPosition : INTEGER | &nbsp;
ACurrentPosition : INTEGER | &nbsp;
ALoadingProgressInfoLabelVisible : BOOLEAN | &nbsp;
ALoadingProgressInfoLabelText : PCHAR | &nbsp;

FIMAS
Class Tree
Index
Previous (SetLoadingProgressInfoLabelVisible)
Next


Previous (I_FMS_ProgressForm)
Next (I_FMS_ScenarioEditorForm)

Name
I_FMS_PropertyEditorForm

Parent
asCommonInterfaces

Class Hierarchy
IStrangeSimpleNotificationSenderForm

Visibility
PUBLIC

Members
Methods
Method Description
GetInspectedObject (+)
GetInspectedObjectHistoryLastObject (+)
GetNotificationSender (+)
GetRootObject (+)
GetUpdateFrequency (+)
SetInspectedObject (+)
SetRootObject (+)
SetUpdateFrequency (+)
UpdateCaption (+)
UpdateInspectedObjectHistoryList (+)

Properties
Property Description
InspectedObject (+)
NotificationSender (+)
RootObject (+)
UpdateFrequency (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (I_FMS_ProgressForm)
Next (I_FMS_ScenarioEditorForm)


Previous
Next (NotificationSender)

Name
InspectedObject

Parent
I_FMS_PropertyEditorForm

Visibility
PUBLIC

Source code
property InspectedObject : TObject read GetInspectedObject write SetInspectedObject

Read Access
GetInspectedObject

Write Access
SetInspectedObject

FIMAS
Class Tree
Index
Previous
Next (NotificationSender)


Previous (InspectedObject)
Next (RootObject)

Name
NotificationSender

Parent
I_FMS_PropertyEditorForm

Visibility
PUBLIC

Source code
property NotificationSender : IStrangeSimpleNotificationSender read GetNotificationSender

Read Access
GetNotificationSender

FIMAS
Class Tree
Index
Previous (InspectedObject)
Next (RootObject)


Previous (NotificationSender)
Next (UpdateFrequency)

Name
RootObject

Parent
I_FMS_PropertyEditorForm

Visibility
PUBLIC

Source code
property RootObject : TObject read GetRootObject write SetRootObject

Read Access
GetRootObject

Write Access
SetRootObject

FIMAS
Class Tree
Index
Previous (NotificationSender)
Next (UpdateFrequency)


Previous (RootObject)
Next

Name
UpdateFrequency

Parent
I_FMS_PropertyEditorForm

Visibility
PUBLIC

Source code
property UpdateFrequency : TFMSUpdateFrequency read GetUpdateFrequency write SetUpdateFrequency

Read Access
GetUpdateFrequency

Write Access
SetUpdateFrequency

FIMAS
Class Tree
Index
Previous (RootObject)
Next


Previous
Next (GetInspectedObjectHistoryLastObject)

Name
GetInspectedObject

Parent
I_FMS_PropertyEditorForm

Visibility
PUBLIC

Source code
function GetInspectedObject : TObject

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (GetInspectedObjectHistoryLastObject)


Previous (GetInspectedObject)
Next (GetNotificationSender)

Name
GetInspectedObjectHistoryLastObject

Parent
I_FMS_PropertyEditorForm

Visibility
PUBLIC

Source code
function GetInspectedObjectHistoryLastObject : TObject

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetInspectedObject)
Next (GetNotificationSender)


Previous (GetInspectedObjectHistoryLastObject)
Next (GetRootObject)

Name
GetNotificationSender

Parent
I_FMS_PropertyEditorForm

Visibility
PUBLIC

Source code
function GetNotificationSender : IStrangeSimpleNotificationSender

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetInspectedObjectHistoryLastObject)
Next (GetRootObject)


Previous (GetNotificationSender)
Next (GetUpdateFrequency)

Name
GetRootObject

Parent
I_FMS_PropertyEditorForm

Visibility
PUBLIC

Source code
function GetRootObject : TObject

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetNotificationSender)
Next (GetUpdateFrequency)


Previous (GetRootObject)
Next (SetInspectedObject)

Name
GetUpdateFrequency

Parent
I_FMS_PropertyEditorForm

Visibility
PUBLIC

Source code
function GetUpdateFrequency : TFMSUpdateFrequency

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetRootObject)
Next (SetInspectedObject)


Previous (GetUpdateFrequency)
Next (SetRootObject)

Name
SetInspectedObject

Parent
I_FMS_PropertyEditorForm

Visibility
PUBLIC

Source code
procedure SetInspectedObject ( const Value : TObject )

Parameters
Parameter | Description
Value : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (GetUpdateFrequency)
Next (SetRootObject)


Previous (SetInspectedObject)
Next (SetUpdateFrequency)

Name
SetRootObject

Parent
I_FMS_PropertyEditorForm

Visibility
PUBLIC

Source code
procedure SetRootObject ( const Value : TObject )

Parameters
Parameter | Description
Value : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (SetInspectedObject)
Next (SetUpdateFrequency)


Previous (SetRootObject)
Next (UpdateCaption)

Name
SetUpdateFrequency

Parent
I_FMS_PropertyEditorForm

Visibility
PUBLIC

Source code
procedure SetUpdateFrequency ( const Value : TFMSUpdateFrequency )

Parameters
Parameter | Description
Value : TFMSUpdateFrequency | &nbsp;

FIMAS
Class Tree
Index
Previous (SetRootObject)
Next (UpdateCaption)


Previous (SetUpdateFrequency)
Next (UpdateInspectedObjectHistoryList)

Name
UpdateCaption

Parent
I_FMS_PropertyEditorForm

Visibility
PUBLIC

Source code
procedure UpdateCaption

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetUpdateFrequency)
Next (UpdateInspectedObjectHistoryList)


Previous (UpdateCaption)
Next

Name
UpdateInspectedObjectHistoryList

Parent
I_FMS_PropertyEditorForm

Visibility
PUBLIC

Source code
procedure UpdateInspectedObjectHistoryList

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (UpdateCaption)
Next


Previous (I_FMS_PropertyEditorForm)
Next (I_FMS_ScriptLogForm)

Name
I_FMS_ScenarioEditorForm

Parent
asCommonInterfaces

Class Hierarchy
IStrangeSimpleNotificationSenderForm

Visibility
PUBLIC

Members
Methods
Method Description
GetCustomScriptEditorFrame (+)
GetIncludeScriptsEditorFrame (+)
GetScenarioEditorFrame (+)

Properties
Property Description
CustomScriptEditorFrame (+)
IncludeScriptsEditorFrame (+)
ScenarioEditorFrame (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (I_FMS_PropertyEditorForm)
Next (I_FMS_ScriptLogForm)


Previous
Next (IncludeScriptsEditorFrame)

Name
CustomScriptEditorFrame

Parent
I_FMS_ScenarioEditorForm

Visibility
PUBLIC

Source code
property CustomScriptEditorFrame : IasScriptEditorFrame read GetCustomScriptEditorFrame

Read Access
GetCustomScriptEditorFrame

FIMAS
Class Tree
Index
Previous
Next (IncludeScriptsEditorFrame)


Previous (CustomScriptEditorFrame)
Next (ScenarioEditorFrame)

Name
IncludeScriptsEditorFrame

Parent
I_FMS_ScenarioEditorForm

Visibility
PUBLIC

Source code
property IncludeScriptsEditorFrame : IasScriptEditorFrame read GetIncludeScriptsEditorFrame

Read Access
GetIncludeScriptsEditorFrame

FIMAS
Class Tree
Index
Previous (CustomScriptEditorFrame)
Next (ScenarioEditorFrame)


Previous (IncludeScriptsEditorFrame)
Next

Name
ScenarioEditorFrame

Parent
I_FMS_ScenarioEditorForm

Visibility
PUBLIC

Source code
property ScenarioEditorFrame : IasScriptEditorFrame read GetScenarioEditorFrame

Read Access
GetScenarioEditorFrame

FIMAS
Class Tree
Index
Previous (IncludeScriptsEditorFrame)
Next


Previous
Next (GetIncludeScriptsEditorFrame)

Name
GetCustomScriptEditorFrame

Parent
I_FMS_ScenarioEditorForm

Visibility
PUBLIC

Source code
function GetCustomScriptEditorFrame : IasScriptEditorFrame

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (GetIncludeScriptsEditorFrame)


Previous (GetCustomScriptEditorFrame)
Next (GetScenarioEditorFrame)

Name
GetIncludeScriptsEditorFrame

Parent
I_FMS_ScenarioEditorForm

Visibility
PUBLIC

Source code
function GetIncludeScriptsEditorFrame : IasScriptEditorFrame

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCustomScriptEditorFrame)
Next (GetScenarioEditorFrame)


Previous (GetIncludeScriptsEditorFrame)
Next

Name
GetScenarioEditorFrame

Parent
I_FMS_ScenarioEditorForm

Visibility
PUBLIC

Source code
function GetScenarioEditorFrame : IasScriptEditorFrame

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetIncludeScriptsEditorFrame)
Next


Previous (I_FMS_ScenarioEditorForm)
Next (I_FMS_SimulationControlForm)

Name
I_FMS_ScriptLogForm

Parent
asCommonInterfaces

Class Hierarchy
IStrangeInterfacedForm

Visibility
PUBLIC

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (I_FMS_ScenarioEditorForm)
Next (I_FMS_SimulationControlForm)


Previous (I_FMS_ScriptLogForm)
Next (I_FMS_WatchListForm)

Name
I_FMS_SimulationControlForm

Parent
asCommonInterfaces

Class Hierarchy
IStrangeSimpleNotificationSenderForm

Visibility
PUBLIC

Members
Methods
Method Description
UpdateStatusLabels (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (I_FMS_ScriptLogForm)
Next (I_FMS_WatchListForm)


Previous
Next

Name
UpdateStatusLabels

Parent
I_FMS_SimulationControlForm

Visibility
PUBLIC

Source code
procedure UpdateStatusLabels ( const APaused : Boolean )

Parameters
Parameter | Description
APaused : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous
Next


Previous (I_FMS_SimulationControlForm)
Next

Name
I_FMS_WatchListForm

Parent
asCommonInterfaces

Class Hierarchy
IStrangeInterfacedForm

Visibility
PUBLIC

Members
Methods
Method Description
DoExecuteWatchListScript (+)
DoExecuteWatchListScripts (+)
GetUpdateFrequency (+)
GetWatchListEditor (+)
SetUpdateFrequency (+)

Properties
Property Description
UpdateFrequency (+)
WatchListEditor (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (I_FMS_SimulationControlForm)
Next


Previous
Next (WatchListEditor)

Name
UpdateFrequency

Parent
I_FMS_WatchListForm

Visibility
PUBLIC

Source code
property UpdateFrequency : TFMSUpdateFrequency read GetUpdateFrequency write SetUpdateFrequency

Read Access
GetUpdateFrequency

Write Access
SetUpdateFrequency

FIMAS
Class Tree
Index
Previous
Next (WatchListEditor)


Previous (UpdateFrequency)
Next

Name
WatchListEditor

Parent
I_FMS_WatchListForm

Visibility
PUBLIC

Source code
property WatchListEditor : IasWatchListEditor read GetWatchListEditor

Read Access
GetWatchListEditor

FIMAS
Class Tree
Index
Previous (UpdateFrequency)
Next


Previous
Next (DoExecuteWatchListScripts)

Name
DoExecuteWatchListScript

Parent
I_FMS_WatchListForm

Visibility
PUBLIC

Source code
procedure DoExecuteWatchListScript ( const AIndex : Integer )

Parameters
Parameter | Description
AIndex : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (DoExecuteWatchListScripts)


Previous (DoExecuteWatchListScript)
Next (GetUpdateFrequency)

Name
DoExecuteWatchListScripts

Parent
I_FMS_WatchListForm

Visibility
PUBLIC

Source code
procedure DoExecuteWatchListScripts

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoExecuteWatchListScript)
Next (GetUpdateFrequency)


Previous (DoExecuteWatchListScripts)
Next (GetWatchListEditor)

Name
GetUpdateFrequency

Parent
I_FMS_WatchListForm

Visibility
PUBLIC

Source code
function GetUpdateFrequency : TFMSUpdateFrequency

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoExecuteWatchListScripts)
Next (GetWatchListEditor)


Previous (GetUpdateFrequency)
Next (SetUpdateFrequency)

Name
GetWatchListEditor

Parent
I_FMS_WatchListForm

Visibility
PUBLIC

Source code
function GetWatchListEditor : IasWatchListEditor

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetUpdateFrequency)
Next (SetUpdateFrequency)


Previous (GetWatchListEditor)
Next

Name
SetUpdateFrequency

Parent
I_FMS_WatchListForm

Visibility
PUBLIC

Source code
procedure SetUpdateFrequency ( const Value : TFMSUpdateFrequency )

Parameters
Parameter | Description
Value : TFMSUpdateFrequency | &nbsp;

FIMAS
Class Tree
Index
Previous (GetWatchListEditor)
Next


Previous (asCommonInterfaces)
Next (asMisc)

Name
asDemoScenario

Parent
FIMAS

Description
Application specific demo scenario.

Constants
Constant Description
BROKER_COUNT (+)
BROKER_MONEY (+)
CLASSIFICATORS_COUNT (+)
COMPANY_COUNT (+)
COMPANY_MAX_ASSETS (+)
COMPANY_MIN_ASSETS (+)
FUNDAMENTAL_TRADER_COUNT (+)
MARKET_COUNT (+)
MARKET_MAKER_TRADER_COUNT (+)
MAX_BROKER_MARKET_ACCOUNT_MONEY (+)
MAX_COMMISION_PLANS (+)
MAX_FUNTAMENTAL_TRADER_ACCOUNT_MONEY (+)
MAX_MM_TRADER_CHANGE_PERCENT (+)
MAX_RANDOM_TRADER_ACCOUNT_MONEY (+)
MAX_RANDOM_TRADER_MONEY (+)
MAX_RANDOM_TRADER_PORTFOLIOS (+)
MAX_RANDOM_TRADER_PORTF_ITEM_PRICE (+)
MAX_RANDOM_TRADER_RISK_AMOUNT (+)
MIN_BROKER_MARKET_ACCOUNT_MONEY (+)
MIN_FUNTAMENTAL_TRADER_ACCOUNT_MONEY (+)
MIN_MM_TRADER_CHANGE_PERCENT (+)
MIN_RANDOM_TRADER_ACCOUNT_MONEY (+)
MIN_RANDOM_TRADER_MONEY (+)
MIN_RANDOM_TRADER_PORTFOLIOS (+)
MIN_RANDOM_TRADER_PORTF_ITEM_PRICE (+)
MIN_RANDOM_TRADER_RISK_AMOUNT (+)
RANDOM_TRADER_COUNT (+)

Variables
Variable Description
vEventHandlerDummy (+)
vWorld (+)

Methods
Method Description
CreateStandardWorld (+)
DoWorldInitializeDemo (+)
RandomInt (+)

Classes
Class Description
TEventHandlerDummy (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (asCommonInterfaces)
Next (asMisc)


Previous
Next

Name
TEventHandlerDummy

Parent
asDemoScenario

Class Hierarchy
TObject

Visibility
PUBLIC

Members
Methods
Method Description
DoOnEvent1 (-)
DoOnEvent2 (-)
DoOnEvent3 (-)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (DoOnEvent2)

Name
DoOnEvent1

Parent
TEventHandlerDummy

Visibility
PRIVATE

Source code
procedure DoOnEvent1 ( const AEvent : TFMSTimeEvent ; const ATime : TFMSWorldTime )

Parameters
Parameter | Description
AEvent : TFMSTimeEvent | &nbsp;
ATime : TFMSWorldTime | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (DoOnEvent2)


Previous (DoOnEvent1)
Next (DoOnEvent3)

Name
DoOnEvent2

Parent
TEventHandlerDummy

Visibility
PRIVATE

Source code
procedure DoOnEvent2 ( const AEvent : TFMSTimeEvent ; const ATime : TFMSWorldTime )

Parameters
Parameter | Description
AEvent : TFMSTimeEvent | &nbsp;
ATime : TFMSWorldTime | &nbsp;

FIMAS
Class Tree
Index
Previous (DoOnEvent1)
Next (DoOnEvent3)


Previous (DoOnEvent2)
Next

Name
DoOnEvent3

Parent
TEventHandlerDummy

Visibility
PRIVATE

Source code
procedure DoOnEvent3 ( const AEvent : TFMSTimeEvent ; const ATime : TFMSWorldTime )

Parameters
Parameter | Description
AEvent : TFMSTimeEvent | &nbsp;
ATime : TFMSWorldTime | &nbsp;

FIMAS
Class Tree
Index
Previous (DoOnEvent2)
Next


Previous
Next (BROKER_MONEY)

Name
BROKER_COUNT

Parent
asDemoScenario

Visibility
PUBLIC

Source code
BROKER_COUNT = 5

FIMAS
Class Tree
Index
Previous
Next (BROKER_MONEY)


Previous (BROKER_COUNT)
Next (CLASSIFICATORS_COUNT)

Name
BROKER_MONEY

Parent
asDemoScenario

Visibility
PUBLIC

Source code
BROKER_MONEY = 10000

FIMAS
Class Tree
Index
Previous (BROKER_COUNT)
Next (CLASSIFICATORS_COUNT)


Previous (BROKER_MONEY)
Next (COMPANY_COUNT)

Name
CLASSIFICATORS_COUNT

Parent
asDemoScenario

Visibility
PUBLIC

Source code
CLASSIFICATORS_COUNT = 31

FIMAS
Class Tree
Index
Previous (BROKER_MONEY)
Next (COMPANY_COUNT)


Previous (CLASSIFICATORS_COUNT)
Next (COMPANY_MAX_ASSETS)

Name
COMPANY_COUNT

Parent
asDemoScenario

Visibility
PUBLIC

Source code
COMPANY_COUNT = 10

FIMAS
Class Tree
Index
Previous (CLASSIFICATORS_COUNT)
Next (COMPANY_MAX_ASSETS)


Previous (COMPANY_COUNT)
Next (COMPANY_MIN_ASSETS)

Name
COMPANY_MAX_ASSETS

Parent
asDemoScenario

Visibility
PUBLIC

Source code
COMPANY_MAX_ASSETS = 50000000

FIMAS
Class Tree
Index
Previous (COMPANY_COUNT)
Next (COMPANY_MIN_ASSETS)


Previous (COMPANY_MAX_ASSETS)
Next (FUNDAMENTAL_TRADER_COUNT)

Name
COMPANY_MIN_ASSETS

Parent
asDemoScenario

Visibility
PUBLIC

Source code
COMPANY_MIN_ASSETS = 1000000

FIMAS
Class Tree
Index
Previous (COMPANY_MAX_ASSETS)
Next (FUNDAMENTAL_TRADER_COUNT)


Previous (COMPANY_MIN_ASSETS)
Next (MARKET_COUNT)

Name
FUNDAMENTAL_TRADER_COUNT

Parent
asDemoScenario

Visibility
PUBLIC

Source code
FUNDAMENTAL_TRADER_COUNT = 10000

FIMAS
Class Tree
Index
Previous (COMPANY_MIN_ASSETS)
Next (MARKET_COUNT)


Previous (FUNDAMENTAL_TRADER_COUNT)
Next (MARKET_MAKER_TRADER_COUNT)

Name
MARKET_COUNT

Parent
asDemoScenario

Visibility
PUBLIC

Source code
MARKET_COUNT = 1

FIMAS
Class Tree
Index
Previous (FUNDAMENTAL_TRADER_COUNT)
Next (MARKET_MAKER_TRADER_COUNT)


Previous (MARKET_COUNT)
Next (MAX_BROKER_MARKET_ACCOUNT_MONEY)

Name
MARKET_MAKER_TRADER_COUNT

Parent
asDemoScenario

Visibility
PUBLIC

Source code
MARKET_MAKER_TRADER_COUNT = 2

FIMAS
Class Tree
Index
Previous (MARKET_COUNT)
Next (MAX_BROKER_MARKET_ACCOUNT_MONEY)


Previous (MARKET_MAKER_TRADER_COUNT)
Next (MAX_COMMISION_PLANS)

Name
MAX_BROKER_MARKET_ACCOUNT_MONEY

Parent
asDemoScenario

Visibility
PUBLIC

Source code
MAX_BROKER_MARKET_ACCOUNT_MONEY = 300000

FIMAS
Class Tree
Index
Previous (MARKET_MAKER_TRADER_COUNT)
Next (MAX_COMMISION_PLANS)


Previous (MAX_BROKER_MARKET_ACCOUNT_MONEY)
Next (MAX_FUNTAMENTAL_TRADER_ACCOUNT_MONEY)

Name
MAX_COMMISION_PLANS

Parent
asDemoScenario

Visibility
PUBLIC

Source code
MAX_COMMISION_PLANS = 3

FIMAS
Class Tree
Index
Previous (MAX_BROKER_MARKET_ACCOUNT_MONEY)
Next (MAX_FUNTAMENTAL_TRADER_ACCOUNT_MONEY)


Previous (MAX_COMMISION_PLANS)
Next (MAX_MM_TRADER_CHANGE_PERCENT)

Name
MAX_FUNTAMENTAL_TRADER_ACCOUNT_MONEY

Parent
asDemoScenario

Visibility
PUBLIC

Source code
MAX_FUNTAMENTAL_TRADER_ACCOUNT_MONEY = 7000

FIMAS
Class Tree
Index
Previous (MAX_COMMISION_PLANS)
Next (MAX_MM_TRADER_CHANGE_PERCENT)


Previous (MAX_FUNTAMENTAL_TRADER_ACCOUNT_MONEY)
Next (MAX_RANDOM_TRADER_ACCOUNT_MONEY)

Name
MAX_MM_TRADER_CHANGE_PERCENT

Parent
asDemoScenario

Visibility
PUBLIC

Source code
MAX_MM_TRADER_CHANGE_PERCENT = 0.5

FIMAS
Class Tree
Index
Previous (MAX_FUNTAMENTAL_TRADER_ACCOUNT_MONEY)
Next (MAX_RANDOM_TRADER_ACCOUNT_MONEY)


Previous (MAX_MM_TRADER_CHANGE_PERCENT)
Next (MAX_RANDOM_TRADER_MONEY)

Name
MAX_RANDOM_TRADER_ACCOUNT_MONEY

Parent
asDemoScenario

Visibility
PUBLIC

Source code
MAX_RANDOM_TRADER_ACCOUNT_MONEY = 7000

FIMAS
Class Tree
Index
Previous (MAX_MM_TRADER_CHANGE_PERCENT)
Next (MAX_RANDOM_TRADER_MONEY)


Previous (MAX_RANDOM_TRADER_ACCOUNT_MONEY)
Next (MAX_RANDOM_TRADER_PORTFOLIOS)

Name
MAX_RANDOM_TRADER_MONEY

Parent
asDemoScenario

Visibility
PUBLIC

Source code
MAX_RANDOM_TRADER_MONEY = 5000

FIMAS
Class Tree
Index
Previous (MAX_RANDOM_TRADER_ACCOUNT_MONEY)
Next (MAX_RANDOM_TRADER_PORTFOLIOS)


Previous (MAX_RANDOM_TRADER_MONEY)
Next (MAX_RANDOM_TRADER_PORTF_ITEM_PRICE)

Name
MAX_RANDOM_TRADER_PORTFOLIOS

Parent
asDemoScenario

Visibility
PUBLIC

Source code
MAX_RANDOM_TRADER_PORTFOLIOS = 2

FIMAS
Class Tree
Index
Previous (MAX_RANDOM_TRADER_MONEY)
Next (MAX_RANDOM_TRADER_PORTF_ITEM_PRICE)


Previous (MAX_RANDOM_TRADER_PORTFOLIOS)
Next (MAX_RANDOM_TRADER_RISK_AMOUNT)

Name
MAX_RANDOM_TRADER_PORTF_ITEM_PRICE

Parent
asDemoScenario

Visibility
PUBLIC

Source code
MAX_RANDOM_TRADER_PORTF_ITEM_PRICE = 4000

FIMAS
Class Tree
Index
Previous (MAX_RANDOM_TRADER_PORTFOLIOS)
Next (MAX_RANDOM_TRADER_RISK_AMOUNT)


Previous (MAX_RANDOM_TRADER_PORTF_ITEM_PRICE)
Next (MIN_BROKER_MARKET_ACCOUNT_MONEY)

Name
MAX_RANDOM_TRADER_RISK_AMOUNT

Parent
asDemoScenario

Visibility
PUBLIC

Source code
MAX_RANDOM_TRADER_RISK_AMOUNT = 0.10

FIMAS
Class Tree
Index
Previous (MAX_RANDOM_TRADER_PORTF_ITEM_PRICE)
Next (MIN_BROKER_MARKET_ACCOUNT_MONEY)


Previous (MAX_RANDOM_TRADER_RISK_AMOUNT)
Next (MIN_FUNTAMENTAL_TRADER_ACCOUNT_MONEY)

Name
MIN_BROKER_MARKET_ACCOUNT_MONEY

Parent
asDemoScenario

Visibility
PUBLIC

Source code
MIN_BROKER_MARKET_ACCOUNT_MONEY = 100000

FIMAS
Class Tree
Index
Previous (MAX_RANDOM_TRADER_RISK_AMOUNT)
Next (MIN_FUNTAMENTAL_TRADER_ACCOUNT_MONEY)


Previous (MIN_BROKER_MARKET_ACCOUNT_MONEY)
Next (MIN_MM_TRADER_CHANGE_PERCENT)

Name
MIN_FUNTAMENTAL_TRADER_ACCOUNT_MONEY

Parent
asDemoScenario

Visibility
PUBLIC

Source code
MIN_FUNTAMENTAL_TRADER_ACCOUNT_MONEY = 2000

FIMAS
Class Tree
Index
Previous (MIN_BROKER_MARKET_ACCOUNT_MONEY)
Next (MIN_MM_TRADER_CHANGE_PERCENT)


Previous (MIN_FUNTAMENTAL_TRADER_ACCOUNT_MONEY)
Next (MIN_RANDOM_TRADER_ACCOUNT_MONEY)

Name
MIN_MM_TRADER_CHANGE_PERCENT

Parent
asDemoScenario

Visibility
PUBLIC

Source code
MIN_MM_TRADER_CHANGE_PERCENT = 0.1

FIMAS
Class Tree
Index
Previous (MIN_FUNTAMENTAL_TRADER_ACCOUNT_MONEY)
Next (MIN_RANDOM_TRADER_ACCOUNT_MONEY)


Previous (MIN_MM_TRADER_CHANGE_PERCENT)
Next (MIN_RANDOM_TRADER_MONEY)

Name
MIN_RANDOM_TRADER_ACCOUNT_MONEY

Parent
asDemoScenario

Visibility
PUBLIC

Source code
MIN_RANDOM_TRADER_ACCOUNT_MONEY = 2000

FIMAS
Class Tree
Index
Previous (MIN_MM_TRADER_CHANGE_PERCENT)
Next (MIN_RANDOM_TRADER_MONEY)


Previous (MIN_RANDOM_TRADER_ACCOUNT_MONEY)
Next (MIN_RANDOM_TRADER_PORTFOLIOS)

Name
MIN_RANDOM_TRADER_MONEY

Parent
asDemoScenario

Visibility
PUBLIC

Source code
MIN_RANDOM_TRADER_MONEY = 500

FIMAS
Class Tree
Index
Previous (MIN_RANDOM_TRADER_ACCOUNT_MONEY)
Next (MIN_RANDOM_TRADER_PORTFOLIOS)


Previous (MIN_RANDOM_TRADER_MONEY)
Next (MIN_RANDOM_TRADER_PORTF_ITEM_PRICE)

Name
MIN_RANDOM_TRADER_PORTFOLIOS

Parent
asDemoScenario

Visibility
PUBLIC

Source code
MIN_RANDOM_TRADER_PORTFOLIOS = 0

FIMAS
Class Tree
Index
Previous (MIN_RANDOM_TRADER_MONEY)
Next (MIN_RANDOM_TRADER_PORTF_ITEM_PRICE)


Previous (MIN_RANDOM_TRADER_PORTFOLIOS)
Next (MIN_RANDOM_TRADER_RISK_AMOUNT)

Name
MIN_RANDOM_TRADER_PORTF_ITEM_PRICE

Parent
asDemoScenario

Visibility
PUBLIC

Source code
MIN_RANDOM_TRADER_PORTF_ITEM_PRICE = 2000

FIMAS
Class Tree
Index
Previous (MIN_RANDOM_TRADER_PORTFOLIOS)
Next (MIN_RANDOM_TRADER_RISK_AMOUNT)


Previous (MIN_RANDOM_TRADER_PORTF_ITEM_PRICE)
Next (RANDOM_TRADER_COUNT)

Name
MIN_RANDOM_TRADER_RISK_AMOUNT

Parent
asDemoScenario

Visibility
PUBLIC

Source code
MIN_RANDOM_TRADER_RISK_AMOUNT = 0.01

FIMAS
Class Tree
Index
Previous (MIN_RANDOM_TRADER_PORTF_ITEM_PRICE)
Next (RANDOM_TRADER_COUNT)


Previous (MIN_RANDOM_TRADER_RISK_AMOUNT)
Next

Name
RANDOM_TRADER_COUNT

Parent
asDemoScenario

Visibility
PUBLIC

Source code
RANDOM_TRADER_COUNT = 10000

FIMAS
Class Tree
Index
Previous (MIN_RANDOM_TRADER_RISK_AMOUNT)
Next


Previous
Next (vWorld)

Name
vEventHandlerDummy

Parent
asDemoScenario

Visibility
PUBLIC

Source code
vEventHandlerDummy : TEventHandlerDummy

FIMAS
Class Tree
Index
Previous
Next (vWorld)


Previous (vEventHandlerDummy)
Next

Name
vWorld

Parent
asDemoScenario

Visibility
PUBLIC

Source code
vWorld : TFMSRtStdEventDrivenWorld

FIMAS
Class Tree
Index
Previous (vEventHandlerDummy)
Next


Previous
Next (DoWorldInitializeDemo)

Name
CreateStandardWorld

Parent
asDemoScenario

Visibility
PUBLIC

Source code
procedure CreateStandardWorld ( const AWorld : TFMSRtStdEventDrivenWorld ; const ApplicationForm : I_FMS_MainForm )

Parameters
Parameter | Description
AWorld : TFMSRtStdEventDrivenWorld | &nbsp;
ApplicationForm : I_FMS_MainForm | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (DoWorldInitializeDemo)


Previous (CreateStandardWorld)
Next (RandomInt)

Name
DoWorldInitializeDemo

Parent
asDemoScenario

Visibility
PUBLIC

Source code
procedure DoWorldInitializeDemo ( const AWorld : TFMSRtStdEventDrivenWorld ; const ATimeEvents : TFMSTimeEventsManager ; const ApplicationForm : I_FMS_MainForm )

Parameters
Parameter | Description
AWorld : TFMSRtStdEventDrivenWorld | &nbsp;
ATimeEvents : TFMSTimeEventsManager | &nbsp;
ApplicationForm : I_FMS_MainForm | &nbsp;

FIMAS
Class Tree
Index
Previous (CreateStandardWorld)
Next (RandomInt)


Previous (DoWorldInitializeDemo)
Next

Name
RandomInt

Parent
asDemoScenario

Visibility
PUBLIC

Source code
function RandomInt ( const AValue : Integer ) : Integer

Parameters
Parameter | Description
AValue : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (DoWorldInitializeDemo)
Next


Previous (asDemoScenario)
Next (asScriptEditor)

Name
asMisc

Parent
FIMAS

Description
Application script editor.

Types
Type Description
TasMDIChildProcedure (+)

Classes
Class Description
TasOptions (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (asDemoScenario)
Next (asScriptEditor)


Previous
Next

Name
TasOptions

Parent
asMisc

Class Hierarchy
TComponent,IasOptions

Visibility
PUBLIC

Members
Fields
Field Description
FCadencer (-)
FCycleInterval (-)
FEditorDisplayReadOnly (-)
FEditorReadOnly (-)
FFirstStatusBarInfo (-)
FMainTimer (-)
FProjectStorageFormat (-)
FScriptVerboseMode (-)
FSecondStatusBarInfo (-)
FStatusBar (-)
FWorld (-)

Methods
Method Description
Assign (+)
ChangeDisplayReadOnly (#)
ChangeReadOnly (#)
ChangeScriptVerboseMode (#)
Create (+)
Destroy (+)
DoWithAllMDIChildren (#)
GetCycleInterval (-)
GetEditorDisplayReadOnly (-)
GetEditorReadOnly (-)
GetFirstStatusBarInfo (-)
GetMainForm (#)
GetPStatusText (-)
GetScriptVerboseMode (-)
GetSecondStatusBarInfo (-)
GetStatusText (+)
Notification (#)
SetCadencer (-)
SetEditorDisplayReadOnly (-)
SetEditorReadOnly (-)
SetMainTimer (-)
SetScriptVerboseMode (-)
SetStatusBar (-)
SetWorld (-)
StoreCycleInterval (-)
UpdateStatusBar (+)

Properties
Property Description
Cadencer (+)
CycleInterval (*)
EditorDisplayReadOnly (*)
EditorReadOnly (*)
FirstStatusBarInfo (*)
MainTimer (+)
ProjectStorageFormat (*)
ScriptVerboseMode (*)
SecondStatusBarInfo (*)
StatusBar (+)
World (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (FCycleInterval)

Name
FCadencer

Parent
TasOptions

Visibility
PRIVATE

Source code
FCadencer : TStrangeCadencer

FIMAS
Class Tree
Index
Previous
Next (FCycleInterval)


Previous (FCadencer)
Next (FEditorDisplayReadOnly)

Name
FCycleInterval

Parent
TasOptions

Visibility
PRIVATE

Source code
FCycleInterval : Single

FIMAS
Class Tree
Index
Previous (FCadencer)
Next (FEditorDisplayReadOnly)


Previous (FCycleInterval)
Next (FEditorReadOnly)

Name
FEditorDisplayReadOnly

Parent
TasOptions

Visibility
PRIVATE

Source code
FEditorDisplayReadOnly : Boolean

FIMAS
Class Tree
Index
Previous (FCycleInterval)
Next (FEditorReadOnly)


Previous (FEditorDisplayReadOnly)
Next (FFirstStatusBarInfo)

Name
FEditorReadOnly

Parent
TasOptions

Visibility
PRIVATE

Source code
FEditorReadOnly : Boolean

FIMAS
Class Tree
Index
Previous (FEditorDisplayReadOnly)
Next (FFirstStatusBarInfo)


Previous (FEditorReadOnly)
Next (FMainTimer)

Name
FFirstStatusBarInfo

Parent
TasOptions

Visibility
PRIVATE

Source code
FFirstStatusBarInfo : TasStatusBarInfo

FIMAS
Class Tree
Index
Previous (FEditorReadOnly)
Next (FMainTimer)


Previous (FFirstStatusBarInfo)
Next (FProjectStorageFormat)

Name
FMainTimer

Parent
TasOptions

Visibility
PRIVATE

Source code
FMainTimer : TTimer

FIMAS
Class Tree
Index
Previous (FFirstStatusBarInfo)
Next (FProjectStorageFormat)


Previous (FMainTimer)
Next (FScriptVerboseMode)

Name
FProjectStorageFormat

Parent
TasOptions

Visibility
PRIVATE

Source code
FProjectStorageFormat : TAsProjectStorageFormat

FIMAS
Class Tree
Index
Previous (FMainTimer)
Next (FScriptVerboseMode)


Previous (FProjectStorageFormat)
Next (FSecondStatusBarInfo)

Name
FScriptVerboseMode

Parent
TasOptions

Visibility
PRIVATE

Source code
FScriptVerboseMode : TasScriptVerboseMode

FIMAS
Class Tree
Index
Previous (FProjectStorageFormat)
Next (FSecondStatusBarInfo)


Previous (FScriptVerboseMode)
Next (FStatusBar)

Name
FSecondStatusBarInfo

Parent
TasOptions

Visibility
PRIVATE

Source code
FSecondStatusBarInfo : TasStatusBarInfo

FIMAS
Class Tree
Index
Previous (FScriptVerboseMode)
Next (FStatusBar)


Previous (FSecondStatusBarInfo)
Next (FWorld)

Name
FStatusBar

Parent
TasOptions

Visibility
PRIVATE

Source code
FStatusBar : TStatusBar

FIMAS
Class Tree
Index
Previous (FSecondStatusBarInfo)
Next (FWorld)


Previous (FStatusBar)
Next

Name
FWorld

Parent
TasOptions

Visibility
PRIVATE

Source code
FWorld : TFMSRealTimeWorld

FIMAS
Class Tree
Index
Previous (FStatusBar)
Next


Previous
Next (CycleInterval)

Name
Cadencer

Parent
TasOptions

Visibility
PUBLIC

Source code
property Cadencer : TStrangeCadencer read FCadencer write SetCadencer stored False

Read Access
FCadencer

Write Access
SetCadencer

FIMAS
Class Tree
Index
Previous
Next (CycleInterval)


Previous (Cadencer)
Next (EditorDisplayReadOnly)

Name
CycleInterval

Parent
TasOptions

Visibility
PUBLISHED

Source code
property CycleInterval : Single read FCycleInterval write FCycleInterval stored StoreCycleInterval

Read Access
FCycleInterval

Write Access
FCycleInterval

FIMAS
Class Tree
Index
Previous (Cadencer)
Next (EditorDisplayReadOnly)


Previous (CycleInterval)
Next (EditorReadOnly)

Name
EditorDisplayReadOnly

Parent
TasOptions

Visibility
PUBLISHED

Source code
property EditorDisplayReadOnly : Boolean read FEditorDisplayReadOnly write SetEditorDisplayReadOnly default True

Read Access
FEditorDisplayReadOnly

Write Access
SetEditorDisplayReadOnly

FIMAS
Class Tree
Index
Previous (CycleInterval)
Next (EditorReadOnly)


Previous (EditorDisplayReadOnly)
Next (FirstStatusBarInfo)

Name
EditorReadOnly

Parent
TasOptions

Visibility
PUBLISHED

Source code
property EditorReadOnly : Boolean read FEditorReadOnly write SetEditorReadOnly default False

Read Access
FEditorReadOnly

Write Access
SetEditorReadOnly

FIMAS
Class Tree
Index
Previous (EditorDisplayReadOnly)
Next (FirstStatusBarInfo)


Previous (EditorReadOnly)
Next (MainTimer)

Name
FirstStatusBarInfo

Parent
TasOptions

Visibility
PUBLISHED

Source code
property FirstStatusBarInfo : TasStatusBarInfo read FFirstStatusBarInfo write FFirstStatusBarInfo default spiSimulationTime

Read Access
FFirstStatusBarInfo

Write Access
FFirstStatusBarInfo

FIMAS
Class Tree
Index
Previous (EditorReadOnly)
Next (MainTimer)


Previous (FirstStatusBarInfo)
Next (ProjectStorageFormat)

Name
MainTimer

Parent
TasOptions

Visibility
PUBLIC

Source code
property MainTimer : TTimer read FMainTimer write SetMainTimer stored False

Read Access
FMainTimer

Write Access
SetMainTimer

FIMAS
Class Tree
Index
Previous (FirstStatusBarInfo)
Next (ProjectStorageFormat)


Previous (MainTimer)
Next (ScriptVerboseMode)

Name
ProjectStorageFormat

Parent
TasOptions

Visibility
PUBLISHED

Source code
property ProjectStorageFormat : TAsProjectStorageFormat read FProjectStorageFormat write FProjectStorageFormat default psfCompressedZip

Read Access
FProjectStorageFormat

Write Access
FProjectStorageFormat

FIMAS
Class Tree
Index
Previous (MainTimer)
Next (ScriptVerboseMode)


Previous (ProjectStorageFormat)
Next (SecondStatusBarInfo)

Name
ScriptVerboseMode

Parent
TasOptions

Visibility
PUBLISHED

Source code
property ScriptVerboseMode : TasScriptVerboseMode read FScriptVerboseMode write SetScriptVerboseMode default svmOnlyMainMessages

Read Access
FScriptVerboseMode

Write Access
SetScriptVerboseMode

FIMAS
Class Tree
Index
Previous (ProjectStorageFormat)
Next (SecondStatusBarInfo)


Previous (ScriptVerboseMode)
Next (StatusBar)

Name
SecondStatusBarInfo

Parent
TasOptions

Visibility
PUBLISHED

Source code
property SecondStatusBarInfo : TasStatusBarInfo read FSecondStatusBarInfo write FSecondStatusBarInfo default spiSimulationSpeed

Read Access
FSecondStatusBarInfo

Write Access
FSecondStatusBarInfo

FIMAS
Class Tree
Index
Previous (ScriptVerboseMode)
Next (StatusBar)


Previous (SecondStatusBarInfo)
Next (World)

Name
StatusBar

Parent
TasOptions

Visibility
PUBLIC

Source code
property StatusBar : TStatusBar read FStatusBar write SetStatusBar stored False

Read Access
FStatusBar

Write Access
SetStatusBar

FIMAS
Class Tree
Index
Previous (SecondStatusBarInfo)
Next (World)


Previous (StatusBar)
Next

Name
World

Parent
TasOptions

Visibility
PUBLIC

Source code
property World : TFMSRealTimeWorld read FWorld write SetWorld stored False

Read Access
FWorld

Write Access
SetWorld

FIMAS
Class Tree
Index
Previous (StatusBar)
Next


Previous
Next (ChangeDisplayReadOnly)

Name
Assign

Parent
TasOptions

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (ChangeDisplayReadOnly)


Previous (Assign)
Next (ChangeReadOnly)

Name
ChangeDisplayReadOnly

Parent
TasOptions

Visibility
PROTECTED

Source code
procedure ChangeDisplayReadOnly ( Sender : TForm )

Parameters
Parameter | Description
Sender : TForm | &nbsp;

FIMAS
Class Tree
Index
Previous (Assign)
Next (ChangeReadOnly)


Previous (ChangeDisplayReadOnly)
Next (ChangeScriptVerboseMode)

Name
ChangeReadOnly

Parent
TasOptions

Visibility
PROTECTED

Source code
procedure ChangeReadOnly ( Sender : TForm )

Parameters
Parameter | Description
Sender : TForm | &nbsp;

FIMAS
Class Tree
Index
Previous (ChangeDisplayReadOnly)
Next (ChangeScriptVerboseMode)


Previous (ChangeReadOnly)
Next (Create)

Name
ChangeScriptVerboseMode

Parent
TasOptions

Visibility
PROTECTED

Source code
procedure ChangeScriptVerboseMode ( Sender : TForm )

Parameters
Parameter | Description
Sender : TForm | &nbsp;

FIMAS
Class Tree
Index
Previous (ChangeReadOnly)
Next (Create)


Previous (ChangeScriptVerboseMode)
Next (Destroy)

Name
Create

Parent
TasOptions

Visibility
PUBLIC

Source code
constructor Create ( Owner : TComponent ) ; override

Parameters
Parameter | Description
Owner : TComponent | &nbsp;

FIMAS
Class Tree
Index
Previous (ChangeScriptVerboseMode)
Next (Destroy)


Previous (Create)
Next (DoWithAllMDIChildren)

Name
Destroy

Parent
TasOptions

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (DoWithAllMDIChildren)


Previous (Destroy)
Next (GetCycleInterval)

Name
DoWithAllMDIChildren

Parent
TasOptions

Visibility
PROTECTED

Source code
procedure DoWithAllMDIChildren ( const Proc : TasMDIChildProcedure )

Parameters
Parameter | Description
Proc : TasMDIChildProcedure | &nbsp;

FIMAS
Class Tree
Index
Previous (Destroy)
Next (GetCycleInterval)


Previous (DoWithAllMDIChildren)
Next (GetEditorDisplayReadOnly)

Name
GetCycleInterval

Parent
TasOptions

Visibility
PRIVATE

Source code
function GetCycleInterval : Single

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoWithAllMDIChildren)
Next (GetEditorDisplayReadOnly)


Previous (GetCycleInterval)
Next (GetEditorReadOnly)

Name
GetEditorDisplayReadOnly

Parent
TasOptions

Visibility
PRIVATE

Source code
function GetEditorDisplayReadOnly : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCycleInterval)
Next (GetEditorReadOnly)


Previous (GetEditorDisplayReadOnly)
Next (GetFirstStatusBarInfo)

Name
GetEditorReadOnly

Parent
TasOptions

Visibility
PRIVATE

Source code
function GetEditorReadOnly : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetEditorDisplayReadOnly)
Next (GetFirstStatusBarInfo)


Previous (GetEditorReadOnly)
Next (GetMainForm)

Name
GetFirstStatusBarInfo

Parent
TasOptions

Visibility
PRIVATE

Source code
function GetFirstStatusBarInfo : TasStatusBarInfo

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetEditorReadOnly)
Next (GetMainForm)


Previous (GetFirstStatusBarInfo)
Next (GetPStatusText)

Name
GetMainForm

Parent
TasOptions

Visibility
PROTECTED

Source code
function GetMainForm : TForm

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetFirstStatusBarInfo)
Next (GetPStatusText)


Previous (GetMainForm)
Next (GetScriptVerboseMode)

Name
GetPStatusText

Parent
TasOptions

Visibility
PRIVATE

Source code
function GetPStatusText ( const AStatusBarInfo : TasStatusBarInfo ; const IncludeHeader : Boolean = True ) : PChar

Parameters
Parameter | Description
AStatusBarInfo : TasStatusBarInfo | &nbsp;
IncludeHeader : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (GetMainForm)
Next (GetScriptVerboseMode)


Previous (GetPStatusText)
Next (GetSecondStatusBarInfo)

Name
GetScriptVerboseMode

Parent
TasOptions

Visibility
PRIVATE

Source code
function GetScriptVerboseMode : TasScriptVerboseMode

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetPStatusText)
Next (GetSecondStatusBarInfo)


Previous (GetScriptVerboseMode)
Next (GetStatusText)

Name
GetSecondStatusBarInfo

Parent
TasOptions

Visibility
PRIVATE

Source code
function GetSecondStatusBarInfo : TasStatusBarInfo

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetScriptVerboseMode)
Next (GetStatusText)


Previous (GetSecondStatusBarInfo)
Next (Notification)

Name
GetStatusText

Parent
TasOptions

Visibility
PUBLIC

Source code
function GetStatusText ( const AStatusBarInfo : TasStatusBarInfo ; const IncludeHeader : Boolean = True ) : string

Parameters
Parameter | Description
AStatusBarInfo : TasStatusBarInfo | &nbsp;
IncludeHeader : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (GetSecondStatusBarInfo)
Next (Notification)


Previous (GetStatusText)
Next (SetCadencer)

Name
Notification

Parent
TasOptions

Visibility
PROTECTED

Source code
procedure Notification ( AComponent : TComponent ; Operation : TOperation ) ; override

Parameters
Parameter | Description
AComponent : TComponent | &nbsp;
Operation : TOperation | &nbsp;

FIMAS
Class Tree
Index
Previous (GetStatusText)
Next (SetCadencer)


Previous (Notification)
Next (SetEditorDisplayReadOnly)

Name
SetCadencer

Parent
TasOptions

Visibility
PRIVATE

Source code
procedure SetCadencer ( const Value : TStrangeCadencer )

Parameters
Parameter | Description
Value : TStrangeCadencer | &nbsp;

FIMAS
Class Tree
Index
Previous (Notification)
Next (SetEditorDisplayReadOnly)


Previous (SetCadencer)
Next (SetEditorReadOnly)

Name
SetEditorDisplayReadOnly

Parent
TasOptions

Visibility
PRIVATE

Source code
procedure SetEditorDisplayReadOnly ( const Value : Boolean )

Parameters
Parameter | Description
Value : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (SetCadencer)
Next (SetEditorReadOnly)


Previous (SetEditorDisplayReadOnly)
Next (SetMainTimer)

Name
SetEditorReadOnly

Parent
TasOptions

Visibility
PRIVATE

Source code
procedure SetEditorReadOnly ( const Value : Boolean )

Parameters
Parameter | Description
Value : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (SetEditorDisplayReadOnly)
Next (SetMainTimer)


Previous (SetEditorReadOnly)
Next (SetScriptVerboseMode)

Name
SetMainTimer

Parent
TasOptions

Visibility
PRIVATE

Source code
procedure SetMainTimer ( const Value : TTimer )

Parameters
Parameter | Description
Value : TTimer | &nbsp;

FIMAS
Class Tree
Index
Previous (SetEditorReadOnly)
Next (SetScriptVerboseMode)


Previous (SetMainTimer)
Next (SetStatusBar)

Name
SetScriptVerboseMode

Parent
TasOptions

Visibility
PRIVATE

Source code
procedure SetScriptVerboseMode ( const Value : TasScriptVerboseMode )

Parameters
Parameter | Description
Value : TasScriptVerboseMode | &nbsp;

FIMAS
Class Tree
Index
Previous (SetMainTimer)
Next (SetStatusBar)


Previous (SetScriptVerboseMode)
Next (SetWorld)

Name
SetStatusBar

Parent
TasOptions

Visibility
PRIVATE

Source code
procedure SetStatusBar ( const Value : TStatusBar )

Parameters
Parameter | Description
Value : TStatusBar | &nbsp;

FIMAS
Class Tree
Index
Previous (SetScriptVerboseMode)
Next (SetWorld)


Previous (SetStatusBar)
Next (StoreCycleInterval)

Name
SetWorld

Parent
TasOptions

Visibility
PRIVATE

Source code
procedure SetWorld ( const Value : TFMSRealTimeWorld )

Parameters
Parameter | Description
Value : TFMSRealTimeWorld | &nbsp;

FIMAS
Class Tree
Index
Previous (SetStatusBar)
Next (StoreCycleInterval)


Previous (SetWorld)
Next (UpdateStatusBar)

Name
StoreCycleInterval

Parent
TasOptions

Visibility
PRIVATE

Source code
function StoreCycleInterval : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetWorld)
Next (UpdateStatusBar)


Previous (StoreCycleInterval)
Next

Name
UpdateStatusBar

Parent
TasOptions

Visibility
PUBLIC

Source code
procedure UpdateStatusBar ( const APaused : Boolean )

Parameters
Parameter | Description
APaused : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (StoreCycleInterval)
Next


Previous
Next

Name
TasMDIChildProcedure

Parent
asMisc

Visibility
PUBLIC

Source code
TasMDIChildProcedure = procedure ( Sender : TForm ) of object ;

Parameters
Parameter | Description
Sender : TForm | &nbsp;

FIMAS
Class Tree
Index
Previous
Next


Previous (asMisc)
Next (asScriptingUtils)

Name
asScriptEditor

Parent
FIMAS

Description
Application script editor.

Types
Type Description
TasScriptEditorFrameGetScriptEvent (+)

Classes
Class Description
TasScriptEditorFrame (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (asMisc)
Next (asScriptingUtils)


Previous
Next

Name
TasScriptEditorFrame

Parent
asScriptEditor

Class Hierarchy
TFrame,IasScriptEditorFrame

Visibility
PUBLIC

Members
Fields
Field Description
btApplyScript (*)
btSaveScript (*)
btSaveScriptAs (*)
cbScriptFileList (*)
CodeProposal (*)
dlgSaveScript (*)
FCurrentScriptChanged (-)
FInitialDir (-)
FLastItemIndex (-)
FLastOpenedFile (-)
FOnGetScript (-)
FScriptInformation (-)
FScriptSuccessfullyCompiled (-)
sbtRefresh (*)
StatusBar (*)
SynEdit (*)
SynEditSearch (*)
SynPasSyn (*)
ToolBarPanel (*)
ToolBarPanelParent (*)

Methods
Method Description
btApplyScriptClick (*)
btSaveScriptAsClick (*)
btSaveScriptClick (*)
cbScriptFileListChange (*)
ClearScript (+)
CodeProposalExecute (*)
CompileAndExecuteScript (+)
CompileScriptSafe (+)
Create (+)
DoLoadFromFile (+)
ExecuteScript (+)
GetCurrentScriptChanged (#)
GetScriptInformation (#)
GetScriptSuccessfullyCompiled (#)
LoadFromFile (#)
LoadFromMemIniFile (+)
LoadFromString (#)
Notification (+)
PressApplyButtom (#)
SaveScript (+)
SaveToMemIniFile (+)
sbtRefreshClick (*)
SetFileListBoxItemIndex (#)
SetInitialDir (-)
SetScriptInformation (-)
SynEditChange (*)
SynEditStatusChange (*)
ToolBarPanelParentResize (*)

Properties
Property Description
CurrentScriptChanged (*)
InitialDir (+)
OnGetScript (+)
ScriptInformation (*)
ScriptSuccessfullyCompiled (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (btSaveScript)

Name
btApplyScript

Parent
TasScriptEditorFrame

Visibility
PUBLISHED

Source code
btApplyScript : TButton

FIMAS
Class Tree
Index
Previous
Next (btSaveScript)


Previous (btApplyScript)
Next (btSaveScriptAs)

Name
btSaveScript

Parent
TasScriptEditorFrame

Visibility
PUBLISHED

Source code
btSaveScript : TButton

FIMAS
Class Tree
Index
Previous (btApplyScript)
Next (btSaveScriptAs)


Previous (btSaveScript)
Next (cbScriptFileList)

Name
btSaveScriptAs

Parent
TasScriptEditorFrame

Visibility
PUBLISHED

Source code
btSaveScriptAs : TButton

FIMAS
Class Tree
Index
Previous (btSaveScript)
Next (cbScriptFileList)


Previous (btSaveScriptAs)
Next (CodeProposal)

Name
cbScriptFileList

Parent
TasScriptEditorFrame

Visibility
PUBLISHED

Source code
cbScriptFileList : TComboBox

FIMAS
Class Tree
Index
Previous (btSaveScriptAs)
Next (CodeProposal)


Previous (cbScriptFileList)
Next (dlgSaveScript)

Name
CodeProposal

Parent
TasScriptEditorFrame

Visibility
PUBLISHED

Source code
CodeProposal : TSynCompletionProposal

FIMAS
Class Tree
Index
Previous (cbScriptFileList)
Next (dlgSaveScript)


Previous (CodeProposal)
Next (FCurrentScriptChanged)

Name
dlgSaveScript

Parent
TasScriptEditorFrame

Visibility
PUBLISHED

Source code
dlgSaveScript : TSaveDialog

FIMAS
Class Tree
Index
Previous (CodeProposal)
Next (FCurrentScriptChanged)


Previous (dlgSaveScript)
Next (FInitialDir)

Name
FCurrentScriptChanged

Parent
TasScriptEditorFrame

Visibility
PRIVATE

Source code
FCurrentScriptChanged : Boolean

FIMAS
Class Tree
Index
Previous (dlgSaveScript)
Next (FInitialDir)


Previous (FCurrentScriptChanged)
Next (FLastItemIndex)

Name
FInitialDir

Parent
TasScriptEditorFrame

Visibility
PRIVATE

Source code
FInitialDir : string

FIMAS
Class Tree
Index
Previous (FCurrentScriptChanged)
Next (FLastItemIndex)


Previous (FInitialDir)
Next (FLastOpenedFile)

Name
FLastItemIndex

Parent
TasScriptEditorFrame

Visibility
PRIVATE

Source code
FLastItemIndex : Integer

FIMAS
Class Tree
Index
Previous (FInitialDir)
Next (FLastOpenedFile)


Previous (FLastItemIndex)
Next (FOnGetScript)

Name
FLastOpenedFile

Parent
TasScriptEditorFrame

Visibility
PRIVATE

Source code
FLastOpenedFile : string

FIMAS
Class Tree
Index
Previous (FLastItemIndex)
Next (FOnGetScript)


Previous (FLastOpenedFile)
Next (FScriptInformation)

Name
FOnGetScript

Parent
TasScriptEditorFrame

Visibility
PRIVATE

Source code
FOnGetScript : TasScriptEditorFrameGetScriptEvent

FIMAS
Class Tree
Index
Previous (FLastOpenedFile)
Next (FScriptInformation)


Previous (FOnGetScript)
Next (FScriptSuccessfullyCompiled)

Name
FScriptInformation

Parent
TasScriptEditorFrame

Visibility
PRIVATE

Source code
FScriptInformation : TasScriptInformation

FIMAS
Class Tree
Index
Previous (FOnGetScript)
Next (FScriptSuccessfullyCompiled)


Previous (FScriptInformation)
Next (sbtRefresh)

Name
FScriptSuccessfullyCompiled

Parent
TasScriptEditorFrame

Visibility
PRIVATE

Source code
FScriptSuccessfullyCompiled : Boolean

FIMAS
Class Tree
Index
Previous (FScriptInformation)
Next (sbtRefresh)


Previous (FScriptSuccessfullyCompiled)
Next (StatusBar)

Name
sbtRefresh

Parent
TasScriptEditorFrame

Visibility
PUBLISHED

Source code
sbtRefresh : TSpeedButton

FIMAS
Class Tree
Index
Previous (FScriptSuccessfullyCompiled)
Next (StatusBar)


Previous (sbtRefresh)
Next (SynEdit)

Name
StatusBar

Parent
TasScriptEditorFrame

Visibility
PUBLISHED

Source code
StatusBar : TStatusBar

FIMAS
Class Tree
Index
Previous (sbtRefresh)
Next (SynEdit)


Previous (StatusBar)
Next (SynEditSearch)

Name
SynEdit

Parent
TasScriptEditorFrame

Visibility
PUBLISHED

Source code
SynEdit : TSynEdit

FIMAS
Class Tree
Index
Previous (StatusBar)
Next (SynEditSearch)


Previous (SynEdit)
Next (SynPasSyn)

Name
SynEditSearch

Parent
TasScriptEditorFrame

Visibility
PUBLISHED

Source code
SynEditSearch : TSynEditSearch

FIMAS
Class Tree
Index
Previous (SynEdit)
Next (SynPasSyn)


Previous (SynEditSearch)
Next (ToolBarPanel)

Name
SynPasSyn

Parent
TasScriptEditorFrame

Visibility
PUBLISHED

Source code
SynPasSyn : TSynPasSyn

FIMAS
Class Tree
Index
Previous (SynEditSearch)
Next (ToolBarPanel)


Previous (SynPasSyn)
Next (ToolBarPanelParent)

Name
ToolBarPanel

Parent
TasScriptEditorFrame

Visibility
PUBLISHED

Source code
ToolBarPanel : TPanel

FIMAS
Class Tree
Index
Previous (SynPasSyn)
Next (ToolBarPanelParent)


Previous (ToolBarPanel)
Next

Name
ToolBarPanelParent

Parent
TasScriptEditorFrame

Visibility
PUBLISHED

Source code
ToolBarPanelParent : TPanel

FIMAS
Class Tree
Index
Previous (ToolBarPanel)
Next


Previous
Next (InitialDir)

Name
CurrentScriptChanged

Parent
TasScriptEditorFrame

Visibility
PUBLISHED

Source code
property CurrentScriptChanged : Boolean read FCurrentScriptChanged write FCurrentScriptChanged

Read Access
FCurrentScriptChanged

Write Access
FCurrentScriptChanged

FIMAS
Class Tree
Index
Previous
Next (InitialDir)


Previous (CurrentScriptChanged)
Next (OnGetScript)

Name
InitialDir

Parent
TasScriptEditorFrame

Visibility
PUBLIC

Source code
property InitialDir : string read FInitialDir write SetInitialDir

Read Access
FInitialDir

Write Access
SetInitialDir

FIMAS
Class Tree
Index
Previous (CurrentScriptChanged)
Next (OnGetScript)


Previous (InitialDir)
Next (ScriptInformation)

Name
OnGetScript

Parent
TasScriptEditorFrame

Visibility
PUBLIC

Source code
property OnGetScript : TasScriptEditorFrameGetScriptEvent read FOnGetScript write FOnGetScript

Read Access
FOnGetScript

Write Access
FOnGetScript

FIMAS
Class Tree
Index
Previous (InitialDir)
Next (ScriptInformation)


Previous (OnGetScript)
Next (ScriptSuccessfullyCompiled)

Name
ScriptInformation

Parent
TasScriptEditorFrame

Visibility
PUBLISHED

Source code
property ScriptInformation : TasScriptInformation read FScriptInformation write SetScriptInformation

Read Access
FScriptInformation

Write Access
SetScriptInformation

FIMAS
Class Tree
Index
Previous (OnGetScript)
Next (ScriptSuccessfullyCompiled)


Previous (ScriptInformation)
Next

Name
ScriptSuccessfullyCompiled

Parent
TasScriptEditorFrame

Visibility
PUBLISHED

Source code
property ScriptSuccessfullyCompiled : Boolean read FScriptSuccessfullyCompiled write FScriptSuccessfullyCompiled

Read Access
FScriptSuccessfullyCompiled

Write Access
FScriptSuccessfullyCompiled

FIMAS
Class Tree
Index
Previous (ScriptInformation)
Next


Previous
Next (btSaveScriptAsClick)

Name
btApplyScriptClick

Parent
TasScriptEditorFrame

Visibility
PUBLISHED

Source code
procedure btApplyScriptClick ( Sender : TObject ) ; virtual

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (btSaveScriptAsClick)


Previous (btApplyScriptClick)
Next (btSaveScriptClick)

Name
btSaveScriptAsClick

Parent
TasScriptEditorFrame

Visibility
PUBLISHED

Source code
procedure btSaveScriptAsClick ( Sender : TObject ) ; virtual

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (btApplyScriptClick)
Next (btSaveScriptClick)


Previous (btSaveScriptAsClick)
Next (cbScriptFileListChange)

Name
btSaveScriptClick

Parent
TasScriptEditorFrame

Visibility
PUBLISHED

Source code
procedure btSaveScriptClick ( Sender : TObject ) ; virtual

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (btSaveScriptAsClick)
Next (cbScriptFileListChange)


Previous (btSaveScriptClick)
Next (ClearScript)

Name
cbScriptFileListChange

Parent
TasScriptEditorFrame

Visibility
PUBLISHED

Source code
procedure cbScriptFileListChange ( Sender : TObject ) ; virtual

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (btSaveScriptClick)
Next (ClearScript)


Previous (cbScriptFileListChange)
Next (CodeProposalExecute)

Name
ClearScript

Parent
TasScriptEditorFrame

Visibility
PUBLIC

Source code
procedure ClearScript

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (cbScriptFileListChange)
Next (CodeProposalExecute)


Previous (ClearScript)
Next (CompileAndExecuteScript)

Name
CodeProposalExecute

Parent
TasScriptEditorFrame

Visibility
PUBLISHED

Source code
procedure CodeProposalExecute ( Kind : TSynCompletionType ; Sender : TObject ; var CurrentInput : String ; var x , y : Integer ; var CanExecute : Boolean )

Parameters
Parameter | Description
Kind : TSynCompletionType | &nbsp;
Sender : TObject | &nbsp;
CurrentInput : STRING | &nbsp;
x : INTEGER | &nbsp;
y : INTEGER | &nbsp;
CanExecute : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (ClearScript)
Next (CompileAndExecuteScript)


Previous (CodeProposalExecute)
Next (CompileScriptSafe)

Name
CompileAndExecuteScript

Parent
TasScriptEditorFrame

Visibility
PUBLIC

Source code
procedure CompileAndExecuteScript

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (CodeProposalExecute)
Next (CompileScriptSafe)


Previous (CompileAndExecuteScript)
Next (Create)

Name
CompileScriptSafe

Parent
TasScriptEditorFrame

Visibility
PUBLIC

Source code
function CompileScriptSafe : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (CompileAndExecuteScript)
Next (Create)


Previous (CompileScriptSafe)
Next (DoLoadFromFile)

Name
Create

Parent
TasScriptEditorFrame

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TComponent ) ; override

Parameters
Parameter | Description
AOwner : TComponent | &nbsp;

FIMAS
Class Tree
Index
Previous (CompileScriptSafe)
Next (DoLoadFromFile)


Previous (Create)
Next (ExecuteScript)

Name
DoLoadFromFile

Parent
TasScriptEditorFrame

Visibility
PUBLIC

Source code
procedure DoLoadFromFile ( const FileName : string )

Parameters
Parameter | Description
FileName : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (ExecuteScript)


Previous (DoLoadFromFile)
Next (GetCurrentScriptChanged)

Name
ExecuteScript

Parent
TasScriptEditorFrame

Visibility
PUBLIC

Source code
procedure ExecuteScript

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoLoadFromFile)
Next (GetCurrentScriptChanged)


Previous (ExecuteScript)
Next (GetScriptInformation)

Name
GetCurrentScriptChanged

Parent
TasScriptEditorFrame

Visibility
PROTECTED

Source code
function GetCurrentScriptChanged : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (ExecuteScript)
Next (GetScriptInformation)


Previous (GetCurrentScriptChanged)
Next (GetScriptSuccessfullyCompiled)

Name
GetScriptInformation

Parent
TasScriptEditorFrame

Visibility
PROTECTED

Source code
function GetScriptInformation : IasScriptInformation

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCurrentScriptChanged)
Next (GetScriptSuccessfullyCompiled)


Previous (GetScriptInformation)
Next (LoadFromFile)

Name
GetScriptSuccessfullyCompiled

Parent
TasScriptEditorFrame

Visibility
PROTECTED

Source code
function GetScriptSuccessfullyCompiled : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetScriptInformation)
Next (LoadFromFile)


Previous (GetScriptSuccessfullyCompiled)
Next (LoadFromMemIniFile)

Name
LoadFromFile

Parent
TasScriptEditorFrame

Visibility
PROTECTED

Source code
procedure LoadFromFile ( const FileName : PChar )

Parameters
Parameter | Description
FileName : PCHAR | &nbsp;

FIMAS
Class Tree
Index
Previous (GetScriptSuccessfullyCompiled)
Next (LoadFromMemIniFile)


Previous (LoadFromFile)
Next (LoadFromString)

Name
LoadFromMemIniFile

Parent
TasScriptEditorFrame

Visibility
PUBLIC

Source code
procedure LoadFromMemIniFile ( const AMemIniFile : TStrangeCustomIniFile ; const ASectionName : string ; const AItemName : string ; const AStoreOnlyFileName : Boolean = False )

Parameters
Parameter | Description
AMemIniFile : TStrangeCustomIniFile | &nbsp;
ASectionName : STRING | &nbsp;
AItemName : STRING | &nbsp;
AStoreOnlyFileName : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (LoadFromFile)
Next (LoadFromString)


Previous (LoadFromMemIniFile)
Next (Notification)

Name
LoadFromString

Parent
TasScriptEditorFrame

Visibility
PROTECTED

Source code
procedure LoadFromString ( const AString : PChar )

Parameters
Parameter | Description
AString : PCHAR | &nbsp;

FIMAS
Class Tree
Index
Previous (LoadFromMemIniFile)
Next (Notification)


Previous (LoadFromString)
Next (PressApplyButtom)

Name
Notification

Parent
TasScriptEditorFrame

Visibility
PUBLIC

Source code
procedure Notification ( AComponent : TComponent ; Operation : TOperation ) ; override

Parameters
Parameter | Description
AComponent : TComponent | &nbsp;
Operation : TOperation | &nbsp;

FIMAS
Class Tree
Index
Previous (LoadFromString)
Next (PressApplyButtom)


Previous (Notification)
Next (SaveScript)

Name
PressApplyButtom

Parent
TasScriptEditorFrame

Visibility
PROTECTED

Source code
procedure PressApplyButtom ( )

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Notification)
Next (SaveScript)


Previous (PressApplyButtom)
Next (SaveToMemIniFile)

Name
SaveScript

Parent
TasScriptEditorFrame

Visibility
PUBLIC

Source code
procedure SaveScript

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (PressApplyButtom)
Next (SaveToMemIniFile)


Previous (SaveScript)
Next (sbtRefreshClick)

Name
SaveToMemIniFile

Parent
TasScriptEditorFrame

Visibility
PUBLIC

Source code
procedure SaveToMemIniFile ( const AMemIniFile : TStrangeCustomIniFile ; const ASectionName : string ; const AItemName : string ; const AStoreOnlyFileName : Boolean = False )

Parameters
Parameter | Description
AMemIniFile : TStrangeCustomIniFile | &nbsp;
ASectionName : STRING | &nbsp;
AItemName : STRING | &nbsp;
AStoreOnlyFileName : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (SaveScript)
Next (sbtRefreshClick)


Previous (SaveToMemIniFile)
Next (SetFileListBoxItemIndex)

Name
sbtRefreshClick

Parent
TasScriptEditorFrame

Visibility
PUBLISHED

Source code
procedure sbtRefreshClick ( Sender : TObject ) ; virtual

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (SaveToMemIniFile)
Next (SetFileListBoxItemIndex)


Previous (sbtRefreshClick)
Next (SetInitialDir)

Name
SetFileListBoxItemIndex

Parent
TasScriptEditorFrame

Visibility
PROTECTED

Source code
procedure SetFileListBoxItemIndex ( const AName : string )

Parameters
Parameter | Description
AName : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (sbtRefreshClick)
Next (SetInitialDir)


Previous (SetFileListBoxItemIndex)
Next (SetScriptInformation)

Name
SetInitialDir

Parent
TasScriptEditorFrame

Visibility
PRIVATE

Source code
procedure SetInitialDir ( const Value : string )

Parameters
Parameter | Description
Value : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (SetFileListBoxItemIndex)
Next (SetScriptInformation)


Previous (SetInitialDir)
Next (SynEditChange)

Name
SetScriptInformation

Parent
TasScriptEditorFrame

Visibility
PRIVATE

Source code
procedure SetScriptInformation ( const Value : TasScriptInformation )

Parameters
Parameter | Description
Value : TasScriptInformation | &nbsp;

FIMAS
Class Tree
Index
Previous (SetInitialDir)
Next (SynEditChange)


Previous (SetScriptInformation)
Next (SynEditStatusChange)

Name
SynEditChange

Parent
TasScriptEditorFrame

Visibility
PUBLISHED

Source code
procedure SynEditChange ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (SetScriptInformation)
Next (SynEditStatusChange)


Previous (SynEditChange)
Next (ToolBarPanelParentResize)

Name
SynEditStatusChange

Parent
TasScriptEditorFrame

Visibility
PUBLISHED

Source code
procedure SynEditStatusChange ( Sender : TObject ; Changes : TSynStatusChanges )

Parameters
Parameter | Description
Sender : TObject | &nbsp;
Changes : TSynStatusChanges | &nbsp;

FIMAS
Class Tree
Index
Previous (SynEditChange)
Next (ToolBarPanelParentResize)


Previous (SynEditStatusChange)
Next

Name
ToolBarPanelParentResize

Parent
TasScriptEditorFrame

Visibility
PUBLISHED

Source code
procedure ToolBarPanelParentResize ( Sender : TObject ) ; virtual

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (SynEditStatusChange)
Next


Previous
Next

Name
TasScriptEditorFrameGetScriptEvent

Parent
asScriptEditor

Visibility
PUBLIC

Source code
TasScriptEditorFrameGetScriptEvent = procedure ( Sender : TasScriptEditorFrame ; var AScript : string ) of object ;

Parameters
Parameter | Description
Sender : TasScriptEditorFrame | &nbsp;
AScript : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous
Next


Previous (asScriptEditor)
Next (asTypesAndConstants)

Name
asScriptingUtils

Parent
FIMAS

Description
Application scripting utilities.

Types
Type Description
TFMScriptEvent (+)

Variables
Variable Description
fmsBackUpOutputTargets (+)
fmsOutputTargets (+)
fmsScriptingImportModules (+)

Methods
Method Description
FinalizeBackUpOutputTargets (+)
FinalizeOutputTargets (+)
FinalizeScriptEngine (+)
FinalizeScriptingModules (+)
GetBackUpOutputTarget (+)
GetOrCreateBackUpOutputTarget (+)
GetOutputTarget (+)
GetScriptInfo (+)
InitializeBackUpOutputTargets (+)
InitializeOutputTargets (+)
InitializeScriptEngine (+)
InitializeScriptingModules (+)
RunScriptProcedure (+)
RunScriptProcedure (+)
RunScriptProcedurePtr (+)
RunScriptProcedurePtr (+)
SetVarToInstance (+)

Classes
Class Description
TasScriptInformation (+)
THackControl (+)
THackPSScript (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (asScriptEditor)
Next (asTypesAndConstants)


Previous
Next (THackControl)

Name
TasScriptInformation

Parent
asScriptingUtils

Class Hierarchy
TComponent,IasScriptInformation

Visibility
PUBLIC

Members
Fields
Field Description
FErrorOutputTarget (-)
FGlobalBaseVariables (-)
FGlobalClassVariables (-)
FGlobalInterfaceVariables (-)
FGlobalVariables (-)
FInputTarget (-)
FLogs (-)
FOnCompile (-)
FOnCompileError (-)
FOnExecute (-)
FOnExecuteError (-)
FPrimaryOutputTarget (-)
FScript (-)
FSecondaryOutputTarget (-)
FShareLogs (-)
FSourceName (-)
FVerboseMode (-)

Methods
Method Description
CompileAndExecuteScript (+)
CompileScript (+)
Create (+)
DecodeIDTypeBase (#)
DecodeNameBase (#)
DecodeNameType (#)
DecodeStringTypeBase (#)
Destroy (+)
DoCompileError (#)
DoExecuteError (#)
DoOnCompile (#)
DoOnCompImport (#)
DoOnExecute (#)
DoOnNeedFile (#)
DoRegisterGlobalBaseVariables (#)
DoRegisterGlobalClassVariables (#)
DoRegisterGlobalInterfaceVariables (#)
DoRegisterGlobalVariables (#)
ExecuteFunction (+)
ExecuteScript (+)
GetCurrentOutputTarget (+)
GetErrorOutputTarget (-)
GetInputTarget (#)
GetLocalLog (+)
GetPrimaryOutputTarget (-)
GetPScriptText (-)
GetPSourceString (#)
GetSecondaryOutputTarget (-)
GetSourceString (+)
GetVerboseMode (#)
Notification (#)
ScriptReadLn (+)
ScriptWriteLnErrors (+)
ScriptWriteLnPrimary (+)
ScriptWriteLnSecondary (+)
SetErrorOutputTarget (#)
SetGlobalBaseVariables (-)
SetGlobalClassVariables (-)
SetGlobalInterfaceVariables (-)
SetGlobalVariables (-)
SetInputTarget (#)
SetLogs (-)
SetPrimaryOutputTarget (#)
SetPScriptText (-)
SetScript (-)
SetSecondaryOutputTarget (#)
SetVerboseMode (#)
StopScript (+)

Properties
Property Description
ErrorOutputTarget (*)
GlobalBaseVariables (*)
GlobalClassVariables (*)
GlobalInterfaceVariables (*)
GlobalVariables (*)
InputTarget (*)
Logs (+)
OnCompile (*)
OnCompileError (*)
OnExecute (*)
OnExecuteError (*)
PrimaryOutputTarget (*)
Script (*)
SecondaryOutputTarget (*)
ShareLogs (*)
SourceName (*)
VerboseMode (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous
Next (THackControl)


Previous
Next (FGlobalBaseVariables)

Name
FErrorOutputTarget

Parent
TasScriptInformation

Visibility
PRIVATE

Source code
FErrorOutputTarget : Integer

FIMAS
Class Tree
Index
Previous
Next (FGlobalBaseVariables)


Previous (FErrorOutputTarget)
Next (FGlobalClassVariables)

Name
FGlobalBaseVariables

Parent
TasScriptInformation

Visibility
PRIVATE

Source code
FGlobalBaseVariables : TStringList

FIMAS
Class Tree
Index
Previous (FErrorOutputTarget)
Next (FGlobalClassVariables)


Previous (FGlobalBaseVariables)
Next (FGlobalInterfaceVariables)

Name
FGlobalClassVariables

Parent
TasScriptInformation

Visibility
PRIVATE

Source code
FGlobalClassVariables : TStringList

FIMAS
Class Tree
Index
Previous (FGlobalBaseVariables)
Next (FGlobalInterfaceVariables)


Previous (FGlobalClassVariables)
Next (FGlobalVariables)

Name
FGlobalInterfaceVariables

Parent
TasScriptInformation

Visibility
PRIVATE

Source code
FGlobalInterfaceVariables : TStringList

FIMAS
Class Tree
Index
Previous (FGlobalClassVariables)
Next (FGlobalVariables)


Previous (FGlobalInterfaceVariables)
Next (FInputTarget)

Name
FGlobalVariables

Parent
TasScriptInformation

Visibility
PRIVATE

Source code
FGlobalVariables : TStringList

FIMAS
Class Tree
Index
Previous (FGlobalInterfaceVariables)
Next (FInputTarget)


Previous (FGlobalVariables)
Next (FLogs)

Name
FInputTarget

Parent
TasScriptInformation

Visibility
PRIVATE

Source code
FInputTarget : TFMSScriptInputTarget

FIMAS
Class Tree
Index
Previous (FGlobalVariables)
Next (FLogs)


Previous (FInputTarget)
Next (FOnCompile)

Name
FLogs

Parent
TasScriptInformation

Visibility
PRIVATE

Source code
FLogs : TList

FIMAS
Class Tree
Index
Previous (FInputTarget)
Next (FOnCompile)


Previous (FLogs)
Next (FOnCompileError)

Name
FOnCompile

Parent
TasScriptInformation

Visibility
PRIVATE

Source code
FOnCompile : TFMScriptEvent

FIMAS
Class Tree
Index
Previous (FLogs)
Next (FOnCompileError)


Previous (FOnCompile)
Next (FOnExecute)

Name
FOnCompileError

Parent
TasScriptInformation

Visibility
PRIVATE

Source code
FOnCompileError : TFMScriptEvent

FIMAS
Class Tree
Index
Previous (FOnCompile)
Next (FOnExecute)


Previous (FOnCompileError)
Next (FOnExecuteError)

Name
FOnExecute

Parent
TasScriptInformation

Visibility
PRIVATE

Source code
FOnExecute : TFMScriptEvent

FIMAS
Class Tree
Index
Previous (FOnCompileError)
Next (FOnExecuteError)


Previous (FOnExecute)
Next (FPrimaryOutputTarget)

Name
FOnExecuteError

Parent
TasScriptInformation

Visibility
PRIVATE

Source code
FOnExecuteError : TFMScriptEvent

FIMAS
Class Tree
Index
Previous (FOnExecute)
Next (FPrimaryOutputTarget)


Previous (FOnExecuteError)
Next (FScript)

Name
FPrimaryOutputTarget

Parent
TasScriptInformation

Visibility
PRIVATE

Source code
FPrimaryOutputTarget : Integer

FIMAS
Class Tree
Index
Previous (FOnExecuteError)
Next (FScript)


Previous (FPrimaryOutputTarget)
Next (FSecondaryOutputTarget)

Name
FScript

Parent
TasScriptInformation

Visibility
PRIVATE

Source code
FScript : TPSScriptExtension

FIMAS
Class Tree
Index
Previous (FPrimaryOutputTarget)
Next (FSecondaryOutputTarget)


Previous (FScript)
Next (FShareLogs)

Name
FSecondaryOutputTarget

Parent
TasScriptInformation

Visibility
PRIVATE

Source code
FSecondaryOutputTarget : Integer

FIMAS
Class Tree
Index
Previous (FScript)
Next (FShareLogs)


Previous (FSecondaryOutputTarget)
Next (FSourceName)

Name
FShareLogs

Parent
TasScriptInformation

Visibility
PRIVATE

Source code
FShareLogs : Boolean

FIMAS
Class Tree
Index
Previous (FSecondaryOutputTarget)
Next (FSourceName)


Previous (FShareLogs)
Next (FVerboseMode)

Name
FSourceName

Parent
TasScriptInformation

Visibility
PRIVATE

Source code
FSourceName : string

FIMAS
Class Tree
Index
Previous (FShareLogs)
Next (FVerboseMode)


Previous (FSourceName)
Next

Name
FVerboseMode

Parent
TasScriptInformation

Visibility
PRIVATE

Source code
FVerboseMode : TasScriptVerboseMode

FIMAS
Class Tree
Index
Previous (FSourceName)
Next


Previous
Next (GlobalBaseVariables)

Name
ErrorOutputTarget

Parent
TasScriptInformation

Visibility
PUBLISHED

Source code
property ErrorOutputTarget : Integer read FErrorOutputTarget write SetErrorOutputTarget default - 1

Read Access
FErrorOutputTarget

Write Access
SetErrorOutputTarget

FIMAS
Class Tree
Index
Previous
Next (GlobalBaseVariables)


Previous (ErrorOutputTarget)
Next (GlobalClassVariables)

Name
GlobalBaseVariables

Parent
TasScriptInformation

Visibility
PUBLISHED

Source code
property GlobalBaseVariables : TStringList read FGlobalBaseVariables write SetGlobalBaseVariables

Read Access
FGlobalBaseVariables

Write Access
SetGlobalBaseVariables

FIMAS
Class Tree
Index
Previous (ErrorOutputTarget)
Next (GlobalClassVariables)


Previous (GlobalBaseVariables)
Next (GlobalInterfaceVariables)

Name
GlobalClassVariables

Parent
TasScriptInformation

Visibility
PUBLISHED

Source code
property GlobalClassVariables : TStringList read FGlobalClassVariables write SetGlobalClassVariables

Read Access
FGlobalClassVariables

Write Access
SetGlobalClassVariables

FIMAS
Class Tree
Index
Previous (GlobalBaseVariables)
Next (GlobalInterfaceVariables)


Previous (GlobalClassVariables)
Next (GlobalVariables)

Name
GlobalInterfaceVariables

Parent
TasScriptInformation

Visibility
PUBLISHED

Source code
property GlobalInterfaceVariables : TStringList read FGlobalInterfaceVariables write SetGlobalInterfaceVariables

Read Access
FGlobalInterfaceVariables

Write Access
SetGlobalInterfaceVariables

FIMAS
Class Tree
Index
Previous (GlobalClassVariables)
Next (GlobalVariables)


Previous (GlobalInterfaceVariables)
Next (InputTarget)

Name
GlobalVariables

Parent
TasScriptInformation

Visibility
PUBLISHED

Source code
property GlobalVariables : TStringList read FGlobalVariables write SetGlobalVariables

Read Access
FGlobalVariables

Write Access
SetGlobalVariables

FIMAS
Class Tree
Index
Previous (GlobalInterfaceVariables)
Next (InputTarget)


Previous (GlobalVariables)
Next (Logs)

Name
InputTarget

Parent
TasScriptInformation

Visibility
PUBLISHED

Source code
property InputTarget : TFMSScriptInputTarget read FInputTarget write SetInputTarget default sitInputBox

Read Access
FInputTarget

Write Access
SetInputTarget

FIMAS
Class Tree
Index
Previous (GlobalVariables)
Next (Logs)


Previous (InputTarget)
Next (OnCompile)

Name
Logs

Parent
TasScriptInformation

Visibility
PUBLIC

Source code
property Logs : TList read FLogs write SetLogs

Read Access
FLogs

Write Access
SetLogs

FIMAS
Class Tree
Index
Previous (InputTarget)
Next (OnCompile)


Previous (Logs)
Next (OnCompileError)

Name
OnCompile

Parent
TasScriptInformation

Visibility
PUBLISHED

Source code
property OnCompile : TFMScriptEvent read FOnCompile write FOnCompile

Read Access
FOnCompile

Write Access
FOnCompile

FIMAS
Class Tree
Index
Previous (Logs)
Next (OnCompileError)


Previous (OnCompile)
Next (OnExecute)

Name
OnCompileError

Parent
TasScriptInformation

Visibility
PUBLISHED

Source code
property OnCompileError : TFMScriptEvent read FOnCompileError write FOnCompileError

Read Access
FOnCompileError

Write Access
FOnCompileError

FIMAS
Class Tree
Index
Previous (OnCompile)
Next (OnExecute)


Previous (OnCompileError)
Next (OnExecuteError)

Name
OnExecute

Parent
TasScriptInformation

Visibility
PUBLISHED

Source code
property OnExecute : TFMScriptEvent read FOnExecute write FOnExecute

Read Access
FOnExecute

Write Access
FOnExecute

FIMAS
Class Tree
Index
Previous (OnCompileError)
Next (OnExecuteError)


Previous (OnExecute)
Next (PrimaryOutputTarget)

Name
OnExecuteError

Parent
TasScriptInformation

Visibility
PUBLISHED

Source code
property OnExecuteError : TFMScriptEvent read FOnExecuteError write FOnExecuteError

Read Access
FOnExecuteError

Write Access
FOnExecuteError

FIMAS
Class Tree
Index
Previous (OnExecute)
Next (PrimaryOutputTarget)


Previous (OnExecuteError)
Next (Script)

Name
PrimaryOutputTarget

Parent
TasScriptInformation

Visibility
PUBLISHED

Source code
property PrimaryOutputTarget : Integer read FPrimaryOutputTarget write SetPrimaryOutputTarget default - 1

Read Access
FPrimaryOutputTarget

Write Access
SetPrimaryOutputTarget

FIMAS
Class Tree
Index
Previous (OnExecuteError)
Next (Script)


Previous (PrimaryOutputTarget)
Next (SecondaryOutputTarget)

Name
Script

Parent
TasScriptInformation

Visibility
PUBLISHED

Source code
property Script : TPSScriptExtension read FScript write SetScript

Read Access
FScript

Write Access
SetScript

FIMAS
Class Tree
Index
Previous (PrimaryOutputTarget)
Next (SecondaryOutputTarget)


Previous (Script)
Next (ShareLogs)

Name
SecondaryOutputTarget

Parent
TasScriptInformation

Visibility
PUBLISHED

Source code
property SecondaryOutputTarget : Integer read FSecondaryOutputTarget write SetSecondaryOutputTarget default - 1

Read Access
FSecondaryOutputTarget

Write Access
SetSecondaryOutputTarget

FIMAS
Class Tree
Index
Previous (Script)
Next (ShareLogs)


Previous (SecondaryOutputTarget)
Next (SourceName)

Name
ShareLogs

Parent
TasScriptInformation

Visibility
PUBLISHED

Source code
property ShareLogs : Boolean read FShareLogs write FShareLogs default False

Read Access
FShareLogs

Write Access
FShareLogs

FIMAS
Class Tree
Index
Previous (SecondaryOutputTarget)
Next (SourceName)


Previous (ShareLogs)
Next (VerboseMode)

Name
SourceName

Parent
TasScriptInformation

Visibility
PUBLISHED

Source code
property SourceName : string read FSourceName write FSourceName

Read Access
FSourceName

Write Access
FSourceName

FIMAS
Class Tree
Index
Previous (ShareLogs)
Next (VerboseMode)


Previous (SourceName)
Next

Name
VerboseMode

Parent
TasScriptInformation

Visibility
PUBLISHED

Source code
property VerboseMode : TasScriptVerboseMode read FVerboseMode write FVerboseMode default svmOnlyMainMessages

Read Access
FVerboseMode

Write Access
FVerboseMode

FIMAS
Class Tree
Index
Previous (SourceName)
Next


Previous
Next (CompileScript)

Name
CompileAndExecuteScript

Parent
TasScriptInformation

Visibility
PUBLIC

Source code
function CompileAndExecuteScript : Boolean ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (CompileScript)


Previous (CompileAndExecuteScript)
Next (Create)

Name
CompileScript

Parent
TasScriptInformation

Visibility
PUBLIC

Source code
function CompileScript : Boolean ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (CompileAndExecuteScript)
Next (Create)


Previous (CompileScript)
Next (DecodeIDTypeBase)

Name
Create

Parent
TasScriptInformation

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TComponent ) ; override

Parameters
Parameter | Description
AOwner : TComponent | &nbsp;

FIMAS
Class Tree
Index
Previous (CompileScript)
Next (DecodeIDTypeBase)


Previous (Create)
Next (DecodeNameBase)

Name
DecodeIDTypeBase

Parent
TasScriptInformation

Visibility
PROTECTED

Source code
function DecodeIDTypeBase ( const AInput : string ) : Byte

Parameters
Parameter | Description
AInput : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (DecodeNameBase)


Previous (DecodeIDTypeBase)
Next (DecodeNameType)

Name
DecodeNameBase

Parent
TasScriptInformation

Visibility
PROTECTED

Source code
function DecodeNameBase ( const AInput : string ) : string

Parameters
Parameter | Description
AInput : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (DecodeIDTypeBase)
Next (DecodeNameType)


Previous (DecodeNameBase)
Next (DecodeStringTypeBase)

Name
DecodeNameType

Parent
TasScriptInformation

Visibility
PROTECTED

Source code
procedure DecodeNameType ( const AInput : string ; var AName : string ; var AType : string )

Parameters
Parameter | Description
AInput : STRING | &nbsp;
AName : STRING | &nbsp;
AType : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (DecodeNameBase)
Next (DecodeStringTypeBase)


Previous (DecodeNameType)
Next (Destroy)

Name
DecodeStringTypeBase

Parent
TasScriptInformation

Visibility
PROTECTED

Source code
function DecodeStringTypeBase ( const AInput : string ) : string

Parameters
Parameter | Description
AInput : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (DecodeNameType)
Next (Destroy)


Previous (DecodeStringTypeBase)
Next (DoCompileError)

Name
Destroy

Parent
TasScriptInformation

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DecodeStringTypeBase)
Next (DoCompileError)


Previous (Destroy)
Next (DoExecuteError)

Name
DoCompileError

Parent
TasScriptInformation

Visibility
PROTECTED

Source code
procedure DoCompileError ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Destroy)
Next (DoExecuteError)


Previous (DoCompileError)
Next (DoOnCompile)

Name
DoExecuteError

Parent
TasScriptInformation

Visibility
PROTECTED

Source code
procedure DoExecuteError ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoCompileError)
Next (DoOnCompile)


Previous (DoExecuteError)
Next (DoOnCompImport)

Name
DoOnCompile

Parent
TasScriptInformation

Visibility
PROTECTED

Source code
procedure DoOnCompile ( Sender : TPSScript ) ; virtual

Parameters
Parameter | Description
Sender : TPSScript | &nbsp;

FIMAS
Class Tree
Index
Previous (DoExecuteError)
Next (DoOnCompImport)


Previous (DoOnCompile)
Next (DoOnExecute)

Name
DoOnCompImport

Parent
TasScriptInformation

Visibility
PROTECTED

Source code
procedure DoOnCompImport ( Sender : TObject ; ACompiler : TPSPascalCompiler ) ; virtual

Parameters
Parameter | Description
Sender : TObject | &nbsp;
ACompiler : TPSPascalCompiler | &nbsp;

FIMAS
Class Tree
Index
Previous (DoOnCompile)
Next (DoOnExecute)


Previous (DoOnCompImport)
Next (DoOnNeedFile)

Name
DoOnExecute

Parent
TasScriptInformation

Visibility
PROTECTED

Source code
procedure DoOnExecute ( Sender : TPSScript ) ; virtual

Parameters
Parameter | Description
Sender : TPSScript | &nbsp;

FIMAS
Class Tree
Index
Previous (DoOnCompImport)
Next (DoOnNeedFile)


Previous (DoOnExecute)
Next (DoRegisterGlobalBaseVariables)

Name
DoOnNeedFile

Parent
TasScriptInformation

Visibility
PROTECTED

Source code
function DoOnNeedFile ( Sender : TObject ; const OrginFileName : string ; var FileName , Output : string ) : Boolean ; virtual

Parameters
Parameter | Description
Sender : TObject | &nbsp;
OrginFileName : STRING | &nbsp;
FileName : STRING | &nbsp;
Output : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (DoOnExecute)
Next (DoRegisterGlobalBaseVariables)


Previous (DoOnNeedFile)
Next (DoRegisterGlobalClassVariables)

Name
DoRegisterGlobalBaseVariables

Parent
TasScriptInformation

Visibility
PROTECTED

Source code
procedure DoRegisterGlobalBaseVariables

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoOnNeedFile)
Next (DoRegisterGlobalClassVariables)


Previous (DoRegisterGlobalBaseVariables)
Next (DoRegisterGlobalInterfaceVariables)

Name
DoRegisterGlobalClassVariables

Parent
TasScriptInformation

Visibility
PROTECTED

Source code
procedure DoRegisterGlobalClassVariables

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoRegisterGlobalBaseVariables)
Next (DoRegisterGlobalInterfaceVariables)


Previous (DoRegisterGlobalClassVariables)
Next (DoRegisterGlobalVariables)

Name
DoRegisterGlobalInterfaceVariables

Parent
TasScriptInformation

Visibility
PROTECTED

Source code
procedure DoRegisterGlobalInterfaceVariables

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoRegisterGlobalClassVariables)
Next (DoRegisterGlobalVariables)


Previous (DoRegisterGlobalInterfaceVariables)
Next (ExecuteFunction)

Name
DoRegisterGlobalVariables

Parent
TasScriptInformation

Visibility
PROTECTED

Source code
procedure DoRegisterGlobalVariables

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoRegisterGlobalInterfaceVariables)
Next (ExecuteFunction)


Previous (DoRegisterGlobalVariables)
Next (ExecuteScript)

Name
ExecuteFunction

Parent
TasScriptInformation

Visibility
PUBLIC

Source code
function ExecuteFunction ( const Params : array of Variant ; const ProcName : string ) : Variant ; virtual

Parameters
Parameter | Description
Params : VARIANT | &nbsp;
ProcName : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (DoRegisterGlobalVariables)
Next (ExecuteScript)


Previous (ExecuteFunction)
Next (GetCurrentOutputTarget)

Name
ExecuteScript

Parent
TasScriptInformation

Visibility
PUBLIC

Source code
function ExecuteScript : Boolean ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (ExecuteFunction)
Next (GetCurrentOutputTarget)


Previous (ExecuteScript)
Next (GetErrorOutputTarget)

Name
GetCurrentOutputTarget

Parent
TasScriptInformation

Visibility
PUBLIC

Source code
function GetCurrentOutputTarget ( const AIndex : Integer ) : TStrings

Parameters
Parameter | Description
AIndex : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (ExecuteScript)
Next (GetErrorOutputTarget)


Previous (GetCurrentOutputTarget)
Next (GetInputTarget)

Name
GetErrorOutputTarget

Parent
TasScriptInformation

Visibility
PRIVATE

Source code
function GetErrorOutputTarget : Integer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCurrentOutputTarget)
Next (GetInputTarget)


Previous (GetErrorOutputTarget)
Next (GetLocalLog)

Name
GetInputTarget

Parent
TasScriptInformation

Visibility
PROTECTED

Source code
function GetInputTarget : TFMSScriptInputTarget

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetErrorOutputTarget)
Next (GetLocalLog)


Previous (GetInputTarget)
Next (GetPrimaryOutputTarget)

Name
GetLocalLog

Parent
TasScriptInformation

Visibility
PUBLIC

Source code
function GetLocalLog ( const AIndex : Integer ) : TStrings

Parameters
Parameter | Description
AIndex : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetInputTarget)
Next (GetPrimaryOutputTarget)


Previous (GetLocalLog)
Next (GetPScriptText)

Name
GetPrimaryOutputTarget

Parent
TasScriptInformation

Visibility
PRIVATE

Source code
function GetPrimaryOutputTarget : Integer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetLocalLog)
Next (GetPScriptText)


Previous (GetPrimaryOutputTarget)
Next (GetPSourceString)

Name
GetPScriptText

Parent
TasScriptInformation

Visibility
PRIVATE

Source code
function GetPScriptText : PChar

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetPrimaryOutputTarget)
Next (GetPSourceString)


Previous (GetPScriptText)
Next (GetSecondaryOutputTarget)

Name
GetPSourceString

Parent
TasScriptInformation

Visibility
PROTECTED

Source code
function GetPSourceString : PChar

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetPScriptText)
Next (GetSecondaryOutputTarget)


Previous (GetPSourceString)
Next (GetSourceString)

Name
GetSecondaryOutputTarget

Parent
TasScriptInformation

Visibility
PRIVATE

Source code
function GetSecondaryOutputTarget : Integer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetPSourceString)
Next (GetSourceString)


Previous (GetSecondaryOutputTarget)
Next (GetVerboseMode)

Name
GetSourceString

Parent
TasScriptInformation

Visibility
PUBLIC

Source code
function GetSourceString : string

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetSecondaryOutputTarget)
Next (GetVerboseMode)


Previous (GetSourceString)
Next (Notification)

Name
GetVerboseMode

Parent
TasScriptInformation

Visibility
PROTECTED

Source code
function GetVerboseMode : TasScriptVerboseMode

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetSourceString)
Next (Notification)


Previous (GetVerboseMode)
Next (ScriptReadLn)

Name
Notification

Parent
TasScriptInformation

Visibility
PROTECTED

Source code
procedure Notification ( AComponent : TComponent ; Operation : TOperation ) ; override

Parameters
Parameter | Description
AComponent : TComponent | &nbsp;
Operation : TOperation | &nbsp;

FIMAS
Class Tree
Index
Previous (GetVerboseMode)
Next (ScriptReadLn)


Previous (Notification)
Next (ScriptWriteLnErrors)

Name
ScriptReadLn

Parent
TasScriptInformation

Visibility
PUBLIC

Source code
procedure ScriptReadLn ( var AInput : string ) ; virtual

Parameters
Parameter | Description
AInput : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (Notification)
Next (ScriptWriteLnErrors)


Previous (ScriptReadLn)
Next (ScriptWriteLnPrimary)

Name
ScriptWriteLnErrors

Parent
TasScriptInformation

Visibility
PUBLIC

Source code
procedure ScriptWriteLnErrors ( const AOutput : string )

Parameters
Parameter | Description
AOutput : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (ScriptReadLn)
Next (ScriptWriteLnPrimary)


Previous (ScriptWriteLnErrors)
Next (ScriptWriteLnSecondary)

Name
ScriptWriteLnPrimary

Parent
TasScriptInformation

Visibility
PUBLIC

Source code
procedure ScriptWriteLnPrimary ( const AOutput : string )

Parameters
Parameter | Description
AOutput : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (ScriptWriteLnErrors)
Next (ScriptWriteLnSecondary)


Previous (ScriptWriteLnPrimary)
Next (SetErrorOutputTarget)

Name
ScriptWriteLnSecondary

Parent
TasScriptInformation

Visibility
PUBLIC

Source code
procedure ScriptWriteLnSecondary ( const AOutput : string )

Parameters
Parameter | Description
AOutput : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (ScriptWriteLnPrimary)
Next (SetErrorOutputTarget)


Previous (ScriptWriteLnSecondary)
Next (SetGlobalBaseVariables)

Name
SetErrorOutputTarget

Parent
TasScriptInformation

Visibility
PROTECTED

Source code
procedure SetErrorOutputTarget ( const Value : Integer ) ; virtual

Parameters
Parameter | Description
Value : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (ScriptWriteLnSecondary)
Next (SetGlobalBaseVariables)


Previous (SetErrorOutputTarget)
Next (SetGlobalClassVariables)

Name
SetGlobalBaseVariables

Parent
TasScriptInformation

Visibility
PRIVATE

Source code
procedure SetGlobalBaseVariables ( const Value : TStringList )

Parameters
Parameter | Description
Value : TStringList | &nbsp;

FIMAS
Class Tree
Index
Previous (SetErrorOutputTarget)
Next (SetGlobalClassVariables)


Previous (SetGlobalBaseVariables)
Next (SetGlobalInterfaceVariables)

Name
SetGlobalClassVariables

Parent
TasScriptInformation

Visibility
PRIVATE

Source code
procedure SetGlobalClassVariables ( const Value : TStringList )

Parameters
Parameter | Description
Value : TStringList | &nbsp;

FIMAS
Class Tree
Index
Previous (SetGlobalBaseVariables)
Next (SetGlobalInterfaceVariables)


Previous (SetGlobalClassVariables)
Next (SetGlobalVariables)

Name
SetGlobalInterfaceVariables

Parent
TasScriptInformation

Visibility
PRIVATE

Source code
procedure SetGlobalInterfaceVariables ( const Value : TStringList )

Parameters
Parameter | Description
Value : TStringList | &nbsp;

FIMAS
Class Tree
Index
Previous (SetGlobalClassVariables)
Next (SetGlobalVariables)


Previous (SetGlobalInterfaceVariables)
Next (SetInputTarget)

Name
SetGlobalVariables

Parent
TasScriptInformation

Visibility
PRIVATE

Source code
procedure SetGlobalVariables ( const Value : TStringList )

Parameters
Parameter | Description
Value : TStringList | &nbsp;

FIMAS
Class Tree
Index
Previous (SetGlobalInterfaceVariables)
Next (SetInputTarget)


Previous (SetGlobalVariables)
Next (SetLogs)

Name
SetInputTarget

Parent
TasScriptInformation

Visibility
PROTECTED

Source code
procedure SetInputTarget ( const AInputTarget : TFMSScriptInputTarget ) ; virtual

Parameters
Parameter | Description
AInputTarget : TFMSScriptInputTarget | &nbsp;

FIMAS
Class Tree
Index
Previous (SetGlobalVariables)
Next (SetLogs)


Previous (SetInputTarget)
Next (SetPrimaryOutputTarget)

Name
SetLogs

Parent
TasScriptInformation

Visibility
PRIVATE

Source code
procedure SetLogs ( const Value : TList )

Parameters
Parameter | Description
Value : TList | &nbsp;

FIMAS
Class Tree
Index
Previous (SetInputTarget)
Next (SetPrimaryOutputTarget)


Previous (SetLogs)
Next (SetPScriptText)

Name
SetPrimaryOutputTarget

Parent
TasScriptInformation

Visibility
PROTECTED

Source code
procedure SetPrimaryOutputTarget ( const Value : Integer ) ; virtual

Parameters
Parameter | Description
Value : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (SetLogs)
Next (SetPScriptText)


Previous (SetPrimaryOutputTarget)
Next (SetScript)

Name
SetPScriptText

Parent
TasScriptInformation

Visibility
PRIVATE

Source code
procedure SetPScriptText ( const AText : PChar )

Parameters
Parameter | Description
AText : PCHAR | &nbsp;

FIMAS
Class Tree
Index
Previous (SetPrimaryOutputTarget)
Next (SetScript)


Previous (SetPScriptText)
Next (SetSecondaryOutputTarget)

Name
SetScript

Parent
TasScriptInformation

Visibility
PRIVATE

Source code
procedure SetScript ( const Value : TPSScriptExtension )

Parameters
Parameter | Description
Value : TPSScriptExtension | &nbsp;

FIMAS
Class Tree
Index
Previous (SetPScriptText)
Next (SetSecondaryOutputTarget)


Previous (SetScript)
Next (SetVerboseMode)

Name
SetSecondaryOutputTarget

Parent
TasScriptInformation

Visibility
PROTECTED

Source code
procedure SetSecondaryOutputTarget ( const Value : Integer ) ; virtual

Parameters
Parameter | Description
Value : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (SetScript)
Next (SetVerboseMode)


Previous (SetSecondaryOutputTarget)
Next (StopScript)

Name
SetVerboseMode

Parent
TasScriptInformation

Visibility
PROTECTED

Source code
procedure SetVerboseMode ( const Value : TasScriptVerboseMode ) ; virtual

Parameters
Parameter | Description
Value : TasScriptVerboseMode | &nbsp;

FIMAS
Class Tree
Index
Previous (SetSecondaryOutputTarget)
Next (StopScript)


Previous (SetVerboseMode)
Next

Name
StopScript

Parent
TasScriptInformation

Visibility
PUBLIC

Source code
procedure StopScript ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetVerboseMode)
Next


Previous (TasScriptInformation)
Next (THackPSScript)

Name
THackControl

Parent
asScriptingUtils

Class Hierarchy
TControl

Visibility
PUBLIC

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TasScriptInformation)
Next (THackPSScript)


Previous (THackControl)
Next

Name
THackPSScript

Parent
asScriptingUtils

Class Hierarchy
TPSScriptExtension

Visibility
PUBLIC

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (THackControl)
Next


Previous
Next

Name
TFMScriptEvent

Parent
asScriptingUtils

Visibility
PUBLIC

Source code
TFMScriptEvent = procedure ( Sender : TasScriptInformation ) of object ;

Parameters
Parameter | Description
Sender : TasScriptInformation | &nbsp;

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (fmsOutputTargets)

Name
fmsBackUpOutputTargets

Parent
asScriptingUtils

Visibility
PUBLIC

Source code
fmsOutputTargets , fmsBackUpOutputTargets : TList

FIMAS
Class Tree
Index
Previous
Next (fmsOutputTargets)


Previous (fmsBackUpOutputTargets)
Next (fmsScriptingImportModules)

Name
fmsOutputTargets

Parent
asScriptingUtils

Visibility
PUBLIC

Source code
fmsOutputTargets , fmsBackUpOutputTargets : TList

FIMAS
Class Tree
Index
Previous (fmsBackUpOutputTargets)
Next (fmsScriptingImportModules)


Previous (fmsOutputTargets)
Next

Name
fmsScriptingImportModules

Parent
asScriptingUtils

Visibility
PUBLIC

Source code
fmsScriptingImportModules : array of TPSPlugin

FIMAS
Class Tree
Index
Previous (fmsOutputTargets)
Next


Previous
Next (FinalizeOutputTargets)

Name
FinalizeBackUpOutputTargets

Parent
asScriptingUtils

Visibility
PUBLIC

Source code
procedure FinalizeBackUpOutputTargets

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (FinalizeOutputTargets)


Previous (FinalizeBackUpOutputTargets)
Next (FinalizeScriptEngine)

Name
FinalizeOutputTargets

Parent
asScriptingUtils

Visibility
PUBLIC

Source code
procedure FinalizeOutputTargets

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FinalizeBackUpOutputTargets)
Next (FinalizeScriptEngine)


Previous (FinalizeOutputTargets)
Next (FinalizeScriptingModules)

Name
FinalizeScriptEngine

Parent
asScriptingUtils

Visibility
PUBLIC

Source code
procedure FinalizeScriptEngine ( const AScript : TPSScriptExtension )

Parameters
Parameter | Description
AScript : TPSScriptExtension | &nbsp;

FIMAS
Class Tree
Index
Previous (FinalizeOutputTargets)
Next (FinalizeScriptingModules)


Previous (FinalizeScriptEngine)
Next (GetBackUpOutputTarget)

Name
FinalizeScriptingModules

Parent
asScriptingUtils

Visibility
PUBLIC

Source code
procedure FinalizeScriptingModules

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FinalizeScriptEngine)
Next (GetBackUpOutputTarget)


Previous (FinalizeScriptingModules)
Next (GetOrCreateBackUpOutputTarget)

Name
GetBackUpOutputTarget

Parent
asScriptingUtils

Visibility
PUBLIC

Source code
function GetBackUpOutputTarget ( const AIndex : Integer ) : TStrings

Parameters
Parameter | Description
AIndex : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (FinalizeScriptingModules)
Next (GetOrCreateBackUpOutputTarget)


Previous (GetBackUpOutputTarget)
Next (GetOutputTarget)

Name
GetOrCreateBackUpOutputTarget

Parent
asScriptingUtils

Visibility
PUBLIC

Source code
function GetOrCreateBackUpOutputTarget ( const AIndex : Integer ) : TStrings

Parameters
Parameter | Description
AIndex : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetBackUpOutputTarget)
Next (GetOutputTarget)


Previous (GetOrCreateBackUpOutputTarget)
Next (GetScriptInfo)

Name
GetOutputTarget

Parent
asScriptingUtils

Visibility
PUBLIC

Source code
function GetOutputTarget ( const AIndex : Integer ) : TStrings

Parameters
Parameter | Description
AIndex : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetOrCreateBackUpOutputTarget)
Next (GetScriptInfo)


Previous (GetOutputTarget)
Next (InitializeBackUpOutputTargets)

Name
GetScriptInfo

Parent
asScriptingUtils

Visibility
PUBLIC

Source code
function GetScriptInfo ( const AScript : TPSScript ) : TasScriptInformation

Parameters
Parameter | Description
AScript : TPSScript | &nbsp;

FIMAS
Class Tree
Index
Previous (GetOutputTarget)
Next (InitializeBackUpOutputTargets)


Previous (GetScriptInfo)
Next (InitializeOutputTargets)

Name
InitializeBackUpOutputTargets

Parent
asScriptingUtils

Visibility
PUBLIC

Source code
procedure InitializeBackUpOutputTargets ( const ACount : Integer )

Parameters
Parameter | Description
ACount : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetScriptInfo)
Next (InitializeOutputTargets)


Previous (InitializeBackUpOutputTargets)
Next (InitializeScriptEngine)

Name
InitializeOutputTargets

Parent
asScriptingUtils

Visibility
PUBLIC

Source code
procedure InitializeOutputTargets ( const ScriptOutTargetList : array of TStrings )

Parameters
Parameter | Description
ScriptOutTargetList : TStrings | &nbsp;

FIMAS
Class Tree
Index
Previous (InitializeBackUpOutputTargets)
Next (InitializeScriptEngine)


Previous (InitializeOutputTargets)
Next (InitializeScriptingModules)

Name
InitializeScriptEngine

Parent
asScriptingUtils

Visibility
PUBLIC

Source code
function InitializeScriptEngine ( const AScript : TPSScriptExtension ; const AOnErrorsEvent : TFMScriptEvent = nil ; const ASourceName : string = '' ) : TasScriptInformation

Parameters
Parameter | Description
AScript : TPSScriptExtension | &nbsp;
AOnErrorsEvent : TFMScriptEvent | &nbsp;
ASourceName : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (InitializeOutputTargets)
Next (InitializeScriptingModules)


Previous (InitializeScriptEngine)
Next (RunScriptProcedure)

Name
InitializeScriptingModules

Parent
asScriptingUtils

Visibility
PUBLIC

Source code
procedure InitializeScriptingModules

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (InitializeScriptEngine)
Next (RunScriptProcedure)


Previous (InitializeScriptingModules)
Next (RunScriptProcedure)

Name
RunScriptProcedure

Parent
asScriptingUtils

Visibility
PUBLIC

Source code
function RunScriptProcedure ( const AScript : TPSScript ; const ObjectParams : array of TObject ; const Params : array of Variant ; const ProcName : string ) : Variant ; overload

Parameters
Parameter | Description
AScript : TPSScript | &nbsp;
ObjectParams : TObject | &nbsp;
Params : VARIANT | &nbsp;
ProcName : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (InitializeScriptingModules)
Next (RunScriptProcedure)


Previous (RunScriptProcedure)
Next (RunScriptProcedure)

Name
RunScriptProcedure

Parent
asScriptingUtils

Visibility
PUBLIC

Source code
function RunScriptProcedure ( const AScript : TPSScript ; const ObjectParams : array of TObject ; const Params : array of Variant ; const Procno : Cardinal ) : Variant ; overload

Parameters
Parameter | Description
AScript : TPSScript | &nbsp;
ObjectParams : TObject | &nbsp;
Params : VARIANT | &nbsp;
Procno : CARDINAL | &nbsp;

FIMAS
Class Tree
Index
Previous (RunScriptProcedure)
Next (RunScriptProcedure)


Previous (RunScriptProcedure)
Next (RunScriptProcedurePtr)

Name
RunScriptProcedurePtr

Parent
asScriptingUtils

Visibility
PUBLIC

Source code
function RunScriptProcedurePtr ( const AScript : TPSScript ; const ObjectParams : array of TObject ; var Params : array of Variant ; const ProcName : string ) : Variant ; overload

Parameters
Parameter | Description
AScript : TPSScript | &nbsp;
ObjectParams : TObject | &nbsp;
Params : VARIANT | &nbsp;
ProcName : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (RunScriptProcedure)
Next (RunScriptProcedurePtr)


Previous (RunScriptProcedurePtr)
Next (RunScriptProcedurePtr)

Name
RunScriptProcedurePtr

Parent
asScriptingUtils

Visibility
PUBLIC

Source code
function RunScriptProcedurePtr ( const AScript : TPSScript ; const ObjectParams : array of TObject ; var Params : array of Variant ; const Procno : Cardinal ) : Variant ; overload

Parameters
Parameter | Description
AScript : TPSScript | &nbsp;
ObjectParams : TObject | &nbsp;
Params : VARIANT | &nbsp;
Procno : CARDINAL | &nbsp;

FIMAS
Class Tree
Index
Previous (RunScriptProcedurePtr)
Next (RunScriptProcedurePtr)


Previous (RunScriptProcedurePtr)
Next

Name
SetVarToInstance

Parent
asScriptingUtils

Visibility
PUBLIC

Source code
function SetVarToInstance ( const AScript : TPSScript ; const VarName : string ; const cl : IInterface ) : Boolean

Parameters
Parameter | Description
AScript : TPSScript | &nbsp;
VarName : STRING | &nbsp;
cl : IInterface | &nbsp;

FIMAS
Class Tree
Index
Previous (RunScriptProcedurePtr)
Next


Previous (asScriptingUtils)
Next (asWatchListEditor)

Name
asTypesAndConstants

Parent
FIMAS

Description
Application specific constants.

Types
Type Description
TAsProjectStorageFormat (+)
TasScriptVerboseMode (+)
TasStatusBarInfo (+)
TFMSScriptInputTarget (+)

Constants
Constant Description
FMS_AS_ARCHIVE_FORMAT_IDENTITY (+)
FMS_AS_ArrayAnalizer_PATH (+)
FMS_AS_CAPTION (+)
FMS_AS_CLASS_SPECIFIC_SETTINGS (+)
FMS_AS_CONFIG_FILE_NAME (+)
FMS_AS_CURRENT_ARCHIVE_VERSION (+)
FMS_AS_CURRENT_INI_FORMAT_VERSION (+)
FMS_AS_CustomScripts_PATH (+)
FMS_AS_EXT_MASK (+)
FMS_AS_FORMAT_IDENTITY_SIZE (+)
FMS_AS_FORM_CAPTION (+)
FMS_AS_Includes_PATH (+)
FMS_AS_OPTION_NOT_IMPLEMENTED (+)
FMS_AS_PAUSED (+)
FMS_AS_PLUGINS_PATH (+)
FMS_AS_PLUGIN_MENU_ICON_RESOURCE_NAME (+)
FMS_AS_PLUGIN_PROCEDURES_PREFIX (+)
FMS_AS_PropertyEditorScripts_PATH (+)
FMS_AS_Scenarios_PATH (+)
FMS_AS_SCRIPTS (+)
FMS_AS_SCRIPT_FAILED_TO_COMPILE_RUNTIME_ERROR (+)
FMS_AS_SIMULATION_CONTROL (+)
FMS_AS_SSU_ITEM_SEPARATOR (+)
FMS_AS_WatchList_PATH (+)
SNM_FMS_AS_AFTER_COMPILE (+)
SNM_FMS_AS_AFTER_FORM_CLOSE (+)
SNM_FMS_AS_AFTER_FORM_CREATE (+)
SNM_FMS_AS_AFTER_FORM_HIDE (+)
SNM_FMS_AS_AFTER_FORM_SHOW (+)
SNM_FMS_AS_BASE (+)
SNM_FMS_AS_BEFORE_FORM_CLOSE (+)
SNM_FMS_AS_CADENCER_UPDATE (+)
SNM_FMS_AS_TIMER (+)
SNM_FMS_AS_UPDATE_ACCORDING_TO_FREQUENCY (+)
SNM_FMS_AS_WORLD_INITIALIZE (+)
SNM_FMS_START_NEW_PROJECT (+)

Methods
Method Description
GetSimulationSpeedList (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (asScriptingUtils)
Next (asWatchListEditor)


Previous
Next (TasScriptVerboseMode)

Name
TAsProjectStorageFormat

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
TAsProjectStorageFormat = ( psfIniFile , psfCompressedZip ) ;

FIMAS
Class Tree
Index
Previous
Next (TasScriptVerboseMode)


Previous (TAsProjectStorageFormat)
Next (TasStatusBarInfo)

Name
TasScriptVerboseMode

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
TasScriptVerboseMode = ( svmSilent , svmOnlyMainMessages , svmAllMessages ) ;

FIMAS
Class Tree
Index
Previous (TAsProjectStorageFormat)
Next (TasStatusBarInfo)


Previous (TasScriptVerboseMode)
Next (TFMSScriptInputTarget)

Name
TasStatusBarInfo

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
TasStatusBarInfo = ( spiRealTime , spiRealSpeed , spiSimulationTimeFromStart , spiSimulationTime , spiSimulationSpeed , spiCycleAllValues ) ;

FIMAS
Class Tree
Index
Previous (TasScriptVerboseMode)
Next (TFMSScriptInputTarget)


Previous (TasStatusBarInfo)
Next

Name
TFMSScriptInputTarget

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
TFMSScriptInputTarget = ( sitInputBox ) ;

FIMAS
Class Tree
Index
Previous (TasStatusBarInfo)
Next


Previous
Next (FMS_AS_ArrayAnalizer_PATH)

Name
FMS_AS_ARCHIVE_FORMAT_IDENTITY

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
FMS_AS_ARCHIVE_FORMAT_IDENTITY : PChar = 'ZIP'

FIMAS
Class Tree
Index
Previous
Next (FMS_AS_ArrayAnalizer_PATH)


Previous (FMS_AS_ARCHIVE_FORMAT_IDENTITY)
Next (FMS_AS_CAPTION)

Name
FMS_AS_ArrayAnalizer_PATH

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
FMS_AS_ArrayAnalizer_PATH : PChar = 'Scripts\ArrayAnalizer'

FIMAS
Class Tree
Index
Previous (FMS_AS_ARCHIVE_FORMAT_IDENTITY)
Next (FMS_AS_CAPTION)


Previous (FMS_AS_ArrayAnalizer_PATH)
Next (FMS_AS_CLASS_SPECIFIC_SETTINGS)

Name
FMS_AS_CAPTION

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
FMS_AS_CAPTION : PChar = 'Financial Market Simulation'

FIMAS
Class Tree
Index
Previous (FMS_AS_ArrayAnalizer_PATH)
Next (FMS_AS_CLASS_SPECIFIC_SETTINGS)


Previous (FMS_AS_CAPTION)
Next (FMS_AS_CONFIG_FILE_NAME)

Name
FMS_AS_CLASS_SPECIFIC_SETTINGS

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
FMS_AS_CLASS_SPECIFIC_SETTINGS = 'Class-specific settings'

FIMAS
Class Tree
Index
Previous (FMS_AS_CAPTION)
Next (FMS_AS_CONFIG_FILE_NAME)


Previous (FMS_AS_CLASS_SPECIFIC_SETTINGS)
Next (FMS_AS_CURRENT_ARCHIVE_VERSION)

Name
FMS_AS_CONFIG_FILE_NAME

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
FMS_AS_CONFIG_FILE_NAME : PChar = 'config.ini'

FIMAS
Class Tree
Index
Previous (FMS_AS_CLASS_SPECIFIC_SETTINGS)
Next (FMS_AS_CURRENT_ARCHIVE_VERSION)


Previous (FMS_AS_CONFIG_FILE_NAME)
Next (FMS_AS_CURRENT_INI_FORMAT_VERSION)

Name
FMS_AS_CURRENT_ARCHIVE_VERSION

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
FMS_AS_CURRENT_ARCHIVE_VERSION : ShortInt = 0

FIMAS
Class Tree
Index
Previous (FMS_AS_CONFIG_FILE_NAME)
Next (FMS_AS_CURRENT_INI_FORMAT_VERSION)


Previous (FMS_AS_CURRENT_ARCHIVE_VERSION)
Next (FMS_AS_CustomScripts_PATH)

Name
FMS_AS_CURRENT_INI_FORMAT_VERSION

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
FMS_AS_CURRENT_INI_FORMAT_VERSION : PChar = '1.0'

FIMAS
Class Tree
Index
Previous (FMS_AS_CURRENT_ARCHIVE_VERSION)
Next (FMS_AS_CustomScripts_PATH)


Previous (FMS_AS_CURRENT_INI_FORMAT_VERSION)
Next (FMS_AS_EXT_MASK)

Name
FMS_AS_CustomScripts_PATH

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
FMS_AS_CustomScripts_PATH : PChar = 'Scripts\Custom'

FIMAS
Class Tree
Index
Previous (FMS_AS_CURRENT_INI_FORMAT_VERSION)
Next (FMS_AS_EXT_MASK)


Previous (FMS_AS_CustomScripts_PATH)
Next (FMS_AS_FORMAT_IDENTITY_SIZE)

Name
FMS_AS_EXT_MASK

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
FMS_AS_EXT_MASK : PChar = '*.fms'

FIMAS
Class Tree
Index
Previous (FMS_AS_CustomScripts_PATH)
Next (FMS_AS_FORMAT_IDENTITY_SIZE)


Previous (FMS_AS_EXT_MASK)
Next (FMS_AS_FORM_CAPTION)

Name
FMS_AS_FORMAT_IDENTITY_SIZE

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
FMS_AS_FORMAT_IDENTITY_SIZE = 3

FIMAS
Class Tree
Index
Previous (FMS_AS_EXT_MASK)
Next (FMS_AS_FORM_CAPTION)


Previous (FMS_AS_FORMAT_IDENTITY_SIZE)
Next (FMS_AS_Includes_PATH)

Name
FMS_AS_FORM_CAPTION

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
FMS_AS_FORM_CAPTION : PChar = 'Financial Market Simulation'

FIMAS
Class Tree
Index
Previous (FMS_AS_FORMAT_IDENTITY_SIZE)
Next (FMS_AS_Includes_PATH)


Previous (FMS_AS_FORM_CAPTION)
Next (FMS_AS_OPTION_NOT_IMPLEMENTED)

Name
FMS_AS_Includes_PATH

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
FMS_AS_Includes_PATH : PChar = 'Scripts\Includes'

FIMAS
Class Tree
Index
Previous (FMS_AS_FORM_CAPTION)
Next (FMS_AS_OPTION_NOT_IMPLEMENTED)


Previous (FMS_AS_Includes_PATH)
Next (FMS_AS_PAUSED)

Name
FMS_AS_OPTION_NOT_IMPLEMENTED

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
FMS_AS_OPTION_NOT_IMPLEMENTED : PChar = 'Sorry, this option has not been implemented yet'

FIMAS
Class Tree
Index
Previous (FMS_AS_Includes_PATH)
Next (FMS_AS_PAUSED)


Previous (FMS_AS_OPTION_NOT_IMPLEMENTED)
Next (FMS_AS_PLUGINS_PATH)

Name
FMS_AS_PAUSED

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
FMS_AS_PAUSED : PChar = ' (paused)'

FIMAS
Class Tree
Index
Previous (FMS_AS_OPTION_NOT_IMPLEMENTED)
Next (FMS_AS_PLUGINS_PATH)


Previous (FMS_AS_PAUSED)
Next (FMS_AS_PLUGIN_MENU_ICON_RESOURCE_NAME)

Name
FMS_AS_PLUGINS_PATH

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
FMS_AS_PLUGINS_PATH : PChar = 'Plugins'

FIMAS
Class Tree
Index
Previous (FMS_AS_PAUSED)
Next (FMS_AS_PLUGIN_MENU_ICON_RESOURCE_NAME)


Previous (FMS_AS_PLUGINS_PATH)
Next (FMS_AS_PLUGIN_PROCEDURES_PREFIX)

Name
FMS_AS_PLUGIN_MENU_ICON_RESOURCE_NAME

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
FMS_AS_PLUGIN_MENU_ICON_RESOURCE_NAME : PChar = 'FMS_PLUGIN_MENU_ICON'

FIMAS
Class Tree
Index
Previous (FMS_AS_PLUGINS_PATH)
Next (FMS_AS_PLUGIN_PROCEDURES_PREFIX)


Previous (FMS_AS_PLUGIN_MENU_ICON_RESOURCE_NAME)
Next (FMS_AS_PropertyEditorScripts_PATH)

Name
FMS_AS_PLUGIN_PROCEDURES_PREFIX

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
FMS_AS_PLUGIN_PROCEDURES_PREFIX : PChar = 'FMS_'

FIMAS
Class Tree
Index
Previous (FMS_AS_PLUGIN_MENU_ICON_RESOURCE_NAME)
Next (FMS_AS_PropertyEditorScripts_PATH)


Previous (FMS_AS_PLUGIN_PROCEDURES_PREFIX)
Next (FMS_AS_Scenarios_PATH)

Name
FMS_AS_PropertyEditorScripts_PATH

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
FMS_AS_PropertyEditorScripts_PATH : PChar = 'Scripts\PropertyEditor'

FIMAS
Class Tree
Index
Previous (FMS_AS_PLUGIN_PROCEDURES_PREFIX)
Next (FMS_AS_Scenarios_PATH)


Previous (FMS_AS_PropertyEditorScripts_PATH)
Next (FMS_AS_SCRIPTS)

Name
FMS_AS_Scenarios_PATH

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
FMS_AS_Scenarios_PATH : PChar = 'Scripts\Scenarios'

FIMAS
Class Tree
Index
Previous (FMS_AS_PropertyEditorScripts_PATH)
Next (FMS_AS_SCRIPTS)


Previous (FMS_AS_Scenarios_PATH)
Next (FMS_AS_SCRIPT_FAILED_TO_COMPILE_RUNTIME_ERROR)

Name
FMS_AS_SCRIPTS

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
FMS_AS_SCRIPTS : PChar = 'Scripts'

FIMAS
Class Tree
Index
Previous (FMS_AS_Scenarios_PATH)
Next (FMS_AS_SCRIPT_FAILED_TO_COMPILE_RUNTIME_ERROR)


Previous (FMS_AS_SCRIPTS)
Next (FMS_AS_SIMULATION_CONTROL)

Name
FMS_AS_SCRIPT_FAILED_TO_COMPILE_RUNTIME_ERROR

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
FMS_AS_SCRIPT_FAILED_TO_COMPILE_RUNTIME_ERROR : PChar = '[Runtime Error]: Script failed to compile and could not be executed!'

FIMAS
Class Tree
Index
Previous (FMS_AS_SCRIPTS)
Next (FMS_AS_SIMULATION_CONTROL)


Previous (FMS_AS_SCRIPT_FAILED_TO_COMPILE_RUNTIME_ERROR)
Next (FMS_AS_SSU_ITEM_SEPARATOR)

Name
FMS_AS_SIMULATION_CONTROL

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
FMS_AS_SIMULATION_CONTROL : PChar = 'Simulation Control'

FIMAS
Class Tree
Index
Previous (FMS_AS_SCRIPT_FAILED_TO_COMPILE_RUNTIME_ERROR)
Next (FMS_AS_SSU_ITEM_SEPARATOR)


Previous (FMS_AS_SIMULATION_CONTROL)
Next (FMS_AS_WatchList_PATH)

Name
FMS_AS_SSU_ITEM_SEPARATOR

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
FMS_AS_SSU_ITEM_SEPARATOR = '|'

FIMAS
Class Tree
Index
Previous (FMS_AS_SIMULATION_CONTROL)
Next (FMS_AS_WatchList_PATH)


Previous (FMS_AS_SSU_ITEM_SEPARATOR)
Next (SNM_FMS_AS_AFTER_COMPILE)

Name
FMS_AS_WatchList_PATH

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
FMS_AS_WatchList_PATH : PChar = 'Scripts\WatchList'

FIMAS
Class Tree
Index
Previous (FMS_AS_SSU_ITEM_SEPARATOR)
Next (SNM_FMS_AS_AFTER_COMPILE)


Previous (FMS_AS_WatchList_PATH)
Next (SNM_FMS_AS_AFTER_FORM_CLOSE)

Name
SNM_FMS_AS_AFTER_COMPILE

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
SNM_FMS_AS_AFTER_COMPILE = SNM_FMS_AS_BASE + 8

FIMAS
Class Tree
Index
Previous (FMS_AS_WatchList_PATH)
Next (SNM_FMS_AS_AFTER_FORM_CLOSE)


Previous (SNM_FMS_AS_AFTER_COMPILE)
Next (SNM_FMS_AS_AFTER_FORM_CREATE)

Name
SNM_FMS_AS_AFTER_FORM_CLOSE

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
SNM_FMS_AS_AFTER_FORM_CLOSE = SNM_REMOVE

FIMAS
Class Tree
Index
Previous (SNM_FMS_AS_AFTER_COMPILE)
Next (SNM_FMS_AS_AFTER_FORM_CREATE)


Previous (SNM_FMS_AS_AFTER_FORM_CLOSE)
Next (SNM_FMS_AS_AFTER_FORM_HIDE)

Name
SNM_FMS_AS_AFTER_FORM_CREATE

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
SNM_FMS_AS_AFTER_FORM_CREATE = SNM_FMS_AS_BASE + 3

FIMAS
Class Tree
Index
Previous (SNM_FMS_AS_AFTER_FORM_CLOSE)
Next (SNM_FMS_AS_AFTER_FORM_HIDE)


Previous (SNM_FMS_AS_AFTER_FORM_CREATE)
Next (SNM_FMS_AS_AFTER_FORM_SHOW)

Name
SNM_FMS_AS_AFTER_FORM_HIDE

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
SNM_FMS_AS_AFTER_FORM_HIDE = SNM_FMS_AS_BASE + 5

FIMAS
Class Tree
Index
Previous (SNM_FMS_AS_AFTER_FORM_CREATE)
Next (SNM_FMS_AS_AFTER_FORM_SHOW)


Previous (SNM_FMS_AS_AFTER_FORM_HIDE)
Next (SNM_FMS_AS_BASE)

Name
SNM_FMS_AS_AFTER_FORM_SHOW

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
SNM_FMS_AS_AFTER_FORM_SHOW = SNM_FMS_AS_BASE + 4

FIMAS
Class Tree
Index
Previous (SNM_FMS_AS_AFTER_FORM_HIDE)
Next (SNM_FMS_AS_BASE)


Previous (SNM_FMS_AS_AFTER_FORM_SHOW)
Next (SNM_FMS_AS_BEFORE_FORM_CLOSE)

Name
SNM_FMS_AS_BASE

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
SNM_FMS_AS_BASE = 100

FIMAS
Class Tree
Index
Previous (SNM_FMS_AS_AFTER_FORM_SHOW)
Next (SNM_FMS_AS_BEFORE_FORM_CLOSE)


Previous (SNM_FMS_AS_BASE)
Next (SNM_FMS_AS_CADENCER_UPDATE)

Name
SNM_FMS_AS_BEFORE_FORM_CLOSE

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
SNM_FMS_AS_BEFORE_FORM_CLOSE = SNM_FMS_AS_BASE + 2

FIMAS
Class Tree
Index
Previous (SNM_FMS_AS_BASE)
Next (SNM_FMS_AS_CADENCER_UPDATE)


Previous (SNM_FMS_AS_BEFORE_FORM_CLOSE)
Next (SNM_FMS_AS_TIMER)

Name
SNM_FMS_AS_CADENCER_UPDATE

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
SNM_FMS_AS_CADENCER_UPDATE = SNM_FMS_AS_BASE + 6

FIMAS
Class Tree
Index
Previous (SNM_FMS_AS_BEFORE_FORM_CLOSE)
Next (SNM_FMS_AS_TIMER)


Previous (SNM_FMS_AS_CADENCER_UPDATE)
Next (SNM_FMS_AS_UPDATE_ACCORDING_TO_FREQUENCY)

Name
SNM_FMS_AS_TIMER

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
SNM_FMS_AS_TIMER = SNM_FMS_AS_BASE

FIMAS
Class Tree
Index
Previous (SNM_FMS_AS_CADENCER_UPDATE)
Next (SNM_FMS_AS_UPDATE_ACCORDING_TO_FREQUENCY)


Previous (SNM_FMS_AS_TIMER)
Next (SNM_FMS_AS_WORLD_INITIALIZE)

Name
SNM_FMS_AS_UPDATE_ACCORDING_TO_FREQUENCY

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
SNM_FMS_AS_UPDATE_ACCORDING_TO_FREQUENCY = SNM_FMS_AS_BASE + 9

FIMAS
Class Tree
Index
Previous (SNM_FMS_AS_TIMER)
Next (SNM_FMS_AS_WORLD_INITIALIZE)


Previous (SNM_FMS_AS_UPDATE_ACCORDING_TO_FREQUENCY)
Next (SNM_FMS_START_NEW_PROJECT)

Name
SNM_FMS_AS_WORLD_INITIALIZE

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
SNM_FMS_AS_WORLD_INITIALIZE = SNM_FMS_AS_BASE + 7

FIMAS
Class Tree
Index
Previous (SNM_FMS_AS_UPDATE_ACCORDING_TO_FREQUENCY)
Next (SNM_FMS_START_NEW_PROJECT)


Previous (SNM_FMS_AS_WORLD_INITIALIZE)
Next

Name
SNM_FMS_START_NEW_PROJECT

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
SNM_FMS_START_NEW_PROJECT = SNM_FMS_AS_BASE + 1

FIMAS
Class Tree
Index
Previous (SNM_FMS_AS_WORLD_INITIALIZE)
Next


Previous
Next

Name
GetSimulationSpeedList

Parent
asTypesAndConstants

Visibility
PUBLIC

Source code
function GetSimulationSpeedList : PChar

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next


Previous (asTypesAndConstants)
Next (FMSCommonClasses)

Name
asWatchListEditor

Parent
FIMAS

Description
Application Watch List Editor.

Constants
Constant Description
cDisabled (+)
cWatchNum (+)
INITIAL_SCRIPT (+)
INITIAL_SCRIPT_VALUE (+)

Classes
Class Description
TasWatchItem (+)
TasWatchItems (+)
TasWatchListEditor (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (asTypesAndConstants)
Next (FMSCommonClasses)


Previous
Next (TasWatchItems)

Name
TasWatchItem

Parent
asWatchListEditor

Class Hierarchy
TStrangeInterfacedCollectionItem,IasWatchItem

Visibility
PUBLIC

Members
Fields
Field Description
FEnabled (-)
FName (-)
FScript (-)
FValue (-)

Methods
Method Description
Clear (+)
Create (*)
GetEnabled (-)
GetName (-)
GetScript (-)
GetValue (-)
SetEnabled (-)
SetName (-)
SetScript (-)
SetValue (-)

Properties
Property Description
Enabled (*)
NAME (*)
Script (*)
Value (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous
Next (TasWatchItems)


Previous
Next (FName)

Name
FEnabled

Parent
TasWatchItem

Visibility
PRIVATE

Source code
FEnabled : Boolean

FIMAS
Class Tree
Index
Previous
Next (FName)


Previous (FEnabled)
Next (FScript)

Name
FName

Parent
TasWatchItem

Visibility
PRIVATE

Source code
FName : string

FIMAS
Class Tree
Index
Previous (FEnabled)
Next (FScript)


Previous (FName)
Next (FValue)

Name
FScript

Parent
TasWatchItem

Visibility
PRIVATE

Source code
FScript : string

FIMAS
Class Tree
Index
Previous (FName)
Next (FValue)


Previous (FScript)
Next

Name
FValue

Parent
TasWatchItem

Visibility
PRIVATE

Source code
FValue : string

FIMAS
Class Tree
Index
Previous (FScript)
Next


Previous
Next (NAME)

Name
Enabled

Parent
TasWatchItem

Visibility
PUBLISHED

Source code
property Enabled : Boolean read FEnabled write SetEnabled default True

Read Access
FEnabled

Write Access
SetEnabled

FIMAS
Class Tree
Index
Previous
Next (NAME)


Previous (Enabled)
Next (Script)

Name
NAME

Parent
TasWatchItem

Visibility
PUBLISHED

Source code
property Name : string read FName write FName

Read Access
FName

Write Access
FName

FIMAS
Class Tree
Index
Previous (Enabled)
Next (Script)


Previous (NAME)
Next (Value)

Name
Script

Parent
TasWatchItem

Visibility
PUBLISHED

Source code
property Script : string read FScript write FScript

Read Access
FScript

Write Access
FScript

FIMAS
Class Tree
Index
Previous (NAME)
Next (Value)


Previous (Script)
Next

Name
Value

Parent
TasWatchItem

Visibility
PUBLISHED

Source code
property Value : string read FValue write FValue

Read Access
FValue

Write Access
FValue

FIMAS
Class Tree
Index
Previous (Script)
Next


Previous
Next (Create)

Name
Clear

Parent
TasWatchItem

Visibility
PUBLIC

Source code
procedure Clear

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (Clear)
Next (GetEnabled)

Name
Create

Parent
TasWatchItem

Visibility
PUBLISHED

Source code
constructor Create ( Collection : TCollection ) ; override

Parameters
Parameter | Description
Collection : TCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (Clear)
Next (GetEnabled)


Previous (Create)
Next (GetName)

Name
GetEnabled

Parent
TasWatchItem

Visibility
PRIVATE

Source code
function GetEnabled : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (GetName)


Previous (GetEnabled)
Next (GetScript)

Name
GetName

Parent
TasWatchItem

Visibility
PRIVATE

Source code
function GetName : PChar

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetEnabled)
Next (GetScript)


Previous (GetName)
Next (GetValue)

Name
GetScript

Parent
TasWatchItem

Visibility
PRIVATE

Source code
function GetScript : PChar

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetName)
Next (GetValue)


Previous (GetScript)
Next (SetEnabled)

Name
GetValue

Parent
TasWatchItem

Visibility
PRIVATE

Source code
function GetValue : PChar

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetScript)
Next (SetEnabled)


Previous (GetValue)
Next (SetName)

Name
SetEnabled

Parent
TasWatchItem

Visibility
PRIVATE

Source code
procedure SetEnabled ( const Value : Boolean )

Parameters
Parameter | Description
Value : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (GetValue)
Next (SetName)


Previous (SetEnabled)
Next (SetScript)

Name
SetName

Parent
TasWatchItem

Visibility
PRIVATE

Source code
procedure SetName ( const Value : PChar )

Parameters
Parameter | Description
Value : PCHAR | &nbsp;

FIMAS
Class Tree
Index
Previous (SetEnabled)
Next (SetScript)


Previous (SetName)
Next (SetValue)

Name
SetScript

Parent
TasWatchItem

Visibility
PRIVATE

Source code
procedure SetScript ( const Value : PChar )

Parameters
Parameter | Description
Value : PCHAR | &nbsp;

FIMAS
Class Tree
Index
Previous (SetName)
Next (SetValue)


Previous (SetScript)
Next

Name
SetValue

Parent
TasWatchItem

Visibility
PRIVATE

Source code
procedure SetValue ( const Value : PChar )

Parameters
Parameter | Description
Value : PCHAR | &nbsp;

FIMAS
Class Tree
Index
Previous (SetScript)
Next


Previous (TasWatchItem)
Next (TasWatchListEditor)

Name
TasWatchItems

Parent
asWatchListEditor

Class Hierarchy
TStrangeInterfacedOwnedCollection,IasWatchItems

Visibility
PUBLIC

Members
Methods
Method Description
GetItems (-)
GetItemsIntf (-)
GetLastItem (+)
GetLastItemIntf (-)
IasWatchItems (-)
IasWatchItems (-)
SetItems (-)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TasWatchItem)
Next (TasWatchListEditor)


Previous
Next

Name
Items

Parent
TasWatchItems

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TasWatchItem read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (GetItemsIntf)

Name
GetItems

Parent
TasWatchItems

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TasWatchItem

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (GetItemsIntf)


Previous (GetItems)
Next (GetLastItem)

Name
GetItemsIntf

Parent
TasWatchItems

Visibility
PRIVATE

Source code
function GetItemsIntf ( const Index : Integer ) : IasWatchItem

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetItems)
Next (GetLastItem)


Previous (GetItemsIntf)
Next (GetLastItemIntf)

Name
GetLastItem

Parent
TasWatchItems

Visibility
PUBLIC

Source code
function GetLastItem : TasWatchItem

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItemsIntf)
Next (GetLastItemIntf)


Previous (GetLastItem)
Next (IasWatchItems)

Name
GetLastItemIntf

Parent
TasWatchItems

Visibility
PRIVATE

Source code
function GetLastItemIntf : IasWatchItem

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (IasWatchItems)


Previous (IasWatchItems)
Next (IasWatchItems)

Name
IasWatchItems

Parent
TasWatchItems

Visibility
PRIVATE

Source code
function IasWatchItems . GetLastItem = GetLastItemIntf

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (IasWatchItems)
Next (IasWatchItems)


Previous (IasWatchItems)
Next

Name
SetItems

Parent
TasWatchItems

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TasWatchItem )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TasWatchItem | &nbsp;

FIMAS
Class Tree
Index
Previous (IasWatchItems)
Next


Previous (TasWatchItems)
Next

Name
TasWatchListEditor

Parent
asWatchListEditor

Class Hierarchy
TStrangeInterfacedStringGrid,IasWatchListEditor

Visibility
PUBLIC

Members
Fields
Field Description
FWatches (-)

Methods
Method Description
ADD (+)
Create (+)
Delete (+)
Destroy (+)
GenerateScript (+)
SelectCell (#)
SetEditText (#)
UpdateCell (+)
UpdateCells (+)

Properties
Property Description
Watches (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TasWatchItems)
Next


Previous
Next

Name
FWatches

Parent
TasWatchListEditor

Visibility
PRIVATE

Source code
FWatches : TasWatchItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next

Name
Watches

Parent
TasWatchListEditor

Visibility
PUBLISHED

Source code
property Watches : TasWatchItems read FWatches write FWatches

Read Access
FWatches

Write Access
FWatches

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Create)

Name
ADD

Parent
TasWatchListEditor

Visibility
PUBLIC

Source code
procedure Add

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (ADD)
Next (Delete)

Name
Create

Parent
TasWatchListEditor

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TComponent ) ; override

Parameters
Parameter | Description
AOwner : TComponent | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (Delete)


Previous (Create)
Next (Destroy)

Name
Delete

Parent
TasWatchListEditor

Visibility
PUBLIC

Source code
procedure Delete

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (Destroy)


Previous (Delete)
Next (GenerateScript)

Name
Destroy

Parent
TasWatchListEditor

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Delete)
Next (GenerateScript)


Previous (Destroy)
Next (SelectCell)

Name
GenerateScript

Parent
TasWatchListEditor

Visibility
PUBLIC

Source code
procedure GenerateScript ( const AScript : TStrings ) ; virtual

Parameters
Parameter | Description
AScript : TStrings | &nbsp;

FIMAS
Class Tree
Index
Previous (Destroy)
Next (SelectCell)


Previous (GenerateScript)
Next (SetEditText)

Name
SelectCell

Parent
TasWatchListEditor

Visibility
PROTECTED

Source code
function SelectCell ( ACol , ARow : Longint ) : Boolean ; override

Parameters
Parameter | Description
ACol : LONGINT | &nbsp;
ARow : LONGINT | &nbsp;

FIMAS
Class Tree
Index
Previous (GenerateScript)
Next (SetEditText)


Previous (SelectCell)
Next (UpdateCell)

Name
SetEditText

Parent
TasWatchListEditor

Visibility
PROTECTED

Source code
procedure SetEditText ( ACol , ARow : Longint ; const Value : string ) ; override

Parameters
Parameter | Description
ACol : LONGINT | &nbsp;
ARow : LONGINT | &nbsp;
Value : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (SelectCell)
Next (UpdateCell)


Previous (SetEditText)
Next (UpdateCells)

Name
UpdateCell

Parent
TasWatchListEditor

Visibility
PUBLIC

Source code
procedure UpdateCell ( const AIndex : Integer ) ; virtual

Parameters
Parameter | Description
AIndex : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (SetEditText)
Next (UpdateCells)


Previous (UpdateCell)
Next

Name
UpdateCells

Parent
TasWatchListEditor

Visibility
PUBLIC

Source code
procedure UpdateCells ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (UpdateCell)
Next


Previous
Next (cWatchNum)

Name
cDisabled

Parent
asWatchListEditor

Visibility
PUBLIC

Source code
cDisabled = 'Disabled'

FIMAS
Class Tree
Index
Previous
Next (cWatchNum)


Previous (cDisabled)
Next (INITIAL_SCRIPT)

Name
cWatchNum

Parent
asWatchListEditor

Visibility
PUBLIC

Source code
cWatchNum = 'Watch # '

FIMAS
Class Tree
Index
Previous (cDisabled)
Next (INITIAL_SCRIPT)


Previous (cWatchNum)
Next (INITIAL_SCRIPT_VALUE)

Name
INITIAL_SCRIPT

Parent
asWatchListEditor

Visibility
PUBLIC

Source code
INITIAL_SCRIPT = 'begin' + # 13 # 10 + ' Result := ''[nothing]'';' + # 13 # 10 + 'end;'

FIMAS
Class Tree
Index
Previous (cWatchNum)
Next (INITIAL_SCRIPT_VALUE)


Previous (INITIAL_SCRIPT)
Next

Name
INITIAL_SCRIPT_VALUE

Parent
asWatchListEditor

Visibility
PUBLIC

Source code
INITIAL_SCRIPT_VALUE = '[nothing]'

FIMAS
Class Tree
Index
Previous (INITIAL_SCRIPT)
Next


Previous (asWatchListEditor)
Next (FMSCommonInterfaces)

Name
FMSCommonClasses

Parent
FIMAS

Description
FMS Common Classes. This unit can be used by any FMS unit. It cannot contain references to other core FMS units.

Constants
Constant Description
FMS_MIN_MAX_UPDATE_PERIOD_ERROR (+)

Classes
Class | Description
IFMSWorldTimeUpdateAble (+) | Object that can be updated using World Time reference.
TFMSCompanyInformation (+) | Information about a company.
TFMSCompanyInformationCollection (+) | Collection of information about a company.
TFMSShareTransactionRequestsStats (+) | Information and statistics about transaction requests.
TFMSUniqueNamed (+) | Each object in colection has a unique name.
TFMSUniqueNamedCollection (+) | Collection of TFMSUniqueNamed.
TFMSUpdateAble (+) | This can be any object that needs periodic updates.
TFMSUpdateAbleCollection (+) | Collection of TFMSUpdateAbleCollection.
TFMSUpdateAbleCollectionItem (+) | Object that can be updated each step.
TFMSUpdateAbles (+) | Collection of TFMSUpdateAble.
TFMSUtils (+) | Class that implements IFMSUtils, for them to be accessable via an interface.
TFMSWorkingHours (+) | Working hours.
TFMSWorldTime (+) | World time.
TFMSWorldTimeUpdateAbleList (+) | List of IFMSWorldTimeUpdateAble.

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (asWatchListEditor)
Next (FMSCommonInterfaces)


Previous
Next (TFMSCompanyInformation)

Name
IFMSWorldTimeUpdateAble

Parent
FMSCommonClasses

Class Hierarchy
IInterface

Visibility
PUBLIC

Description
Object that can be updated using World Time reference.

Members
Methods
Method Description
DoFMSWordlTimeUpdate (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous
Next (TFMSCompanyInformation)


Previous
Next

Name
DoFMSWordlTimeUpdate

Parent
IFMSWorldTimeUpdateAble

Visibility
PUBLIC

Source code
procedure DoFMSWordlTimeUpdate ( const ATime : TFMSWorldTime )

Parameters
Parameter | Description
ATime : TFMSWorldTime | &nbsp;

FIMAS
Class Tree
Index
Previous
Next


Previous (IFMSWorldTimeUpdateAble)
Next (TFMSCompanyInformationCollection)

Name
TFMSCompanyInformation

Parent
FMSCommonClasses

Class Hierarchy
TStrangeInterfacedCollectionItem

Visibility
PUBLIC

Description
Information about a company.

Members
Fields
Field Description
FCurrentAssets (-)
FDividents (-)
FFixedAssets (-)
FIncome (-)
FLongTermDebt (-)
FShortTermDebt (-)

Methods
Method Description
Assign (+)
GetNetAssets (-)
GetNetDebt (-)

Properties
Property Description
CurrentAssets (*)
Dividents (*)
FixedAssets (*)
Income (*)
LongTermDebt (*)
NetAssets (*)
NetDebt (*)
ShortTermDebt (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (IFMSWorldTimeUpdateAble)
Next (TFMSCompanyInformationCollection)


Previous
Next (FDividents)

Name
FCurrentAssets

Parent
TFMSCompanyInformation

Visibility
PRIVATE

Source code
FCurrentAssets : Double

FIMAS
Class Tree
Index
Previous
Next (FDividents)


Previous (FCurrentAssets)
Next (FFixedAssets)

Name
FDividents

Parent
TFMSCompanyInformation

Visibility
PRIVATE

Source code
FDividents : Double

FIMAS
Class Tree
Index
Previous (FCurrentAssets)
Next (FFixedAssets)


Previous (FDividents)
Next (FIncome)

Name
FFixedAssets

Parent
TFMSCompanyInformation

Visibility
PRIVATE

Source code
FFixedAssets : Double

FIMAS
Class Tree
Index
Previous (FDividents)
Next (FIncome)


Previous (FFixedAssets)
Next (FLongTermDebt)

Name
FIncome

Parent
TFMSCompanyInformation

Visibility
PRIVATE

Source code
FIncome : Double

FIMAS
Class Tree
Index
Previous (FFixedAssets)
Next (FLongTermDebt)


Previous (FIncome)
Next (FShortTermDebt)

Name
FLongTermDebt

Parent
TFMSCompanyInformation

Visibility
PRIVATE

Source code
FLongTermDebt : Double

FIMAS
Class Tree
Index
Previous (FIncome)
Next (FShortTermDebt)


Previous (FLongTermDebt)
Next

Name
FShortTermDebt

Parent
TFMSCompanyInformation

Visibility
PRIVATE

Source code
FShortTermDebt : Double

FIMAS
Class Tree
Index
Previous (FLongTermDebt)
Next


Previous
Next (Dividents)

Name
CurrentAssets

Parent
TFMSCompanyInformation

Visibility
PUBLISHED

Source code
property CurrentAssets : Double read FCurrentAssets write FCurrentAssets

Read Access
FCurrentAssets

Write Access
FCurrentAssets

FIMAS
Class Tree
Index
Previous
Next (Dividents)


Previous (CurrentAssets)
Next (FixedAssets)

Name
Dividents

Parent
TFMSCompanyInformation

Visibility
PUBLISHED

Source code
property Dividents : Double read FDividents write FDividents

Read Access
FDividents

Write Access
FDividents

FIMAS
Class Tree
Index
Previous (CurrentAssets)
Next (FixedAssets)


Previous (Dividents)
Next (Income)

Name
FixedAssets

Parent
TFMSCompanyInformation

Visibility
PUBLISHED

Source code
property FixedAssets : Double read FFixedAssets write FFixedAssets

Read Access
FFixedAssets

Write Access
FFixedAssets

FIMAS
Class Tree
Index
Previous (Dividents)
Next (Income)


Previous (FixedAssets)
Next (LongTermDebt)

Name
Income

Parent
TFMSCompanyInformation

Visibility
PUBLISHED

Source code
property Income : Double read FIncome write FIncome

Read Access
FIncome

Write Access
FIncome

FIMAS
Class Tree
Index
Previous (FixedAssets)
Next (LongTermDebt)


Previous (Income)
Next (NetAssets)

Name
LongTermDebt

Parent
TFMSCompanyInformation

Visibility
PUBLISHED

Source code
property LongTermDebt : Double read FLongTermDebt write FLongTermDebt

Read Access
FLongTermDebt

Write Access
FLongTermDebt

FIMAS
Class Tree
Index
Previous (Income)
Next (NetAssets)


Previous (LongTermDebt)
Next (NetDebt)

Name
NetAssets

Parent
TFMSCompanyInformation

Visibility
PUBLISHED

Source code
property NetAssets : Double read GetNetAssets stored False

Read Access
GetNetAssets

FIMAS
Class Tree
Index
Previous (LongTermDebt)
Next (NetDebt)


Previous (NetAssets)
Next (ShortTermDebt)

Name
NetDebt

Parent
TFMSCompanyInformation

Visibility
PUBLISHED

Source code
property NetDebt : Double read GetNetDebt stored False

Read Access
GetNetDebt

FIMAS
Class Tree
Index
Previous (NetAssets)
Next (ShortTermDebt)


Previous (NetDebt)
Next

Name
ShortTermDebt

Parent
TFMSCompanyInformation

Visibility
PUBLISHED

Source code
property ShortTermDebt : Double read FShortTermDebt write FShortTermDebt

Read Access
FShortTermDebt

Write Access
FShortTermDebt

FIMAS
Class Tree
Index
Previous (NetDebt)
Next


Previous
Next (GetNetAssets)

Name
Assign

Parent
TFMSCompanyInformation

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (GetNetAssets)


Previous (Assign)
Next (GetNetDebt)

Name
GetNetAssets

Parent
TFMSCompanyInformation

Visibility
PRIVATE

Source code
function GetNetAssets : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Assign)
Next (GetNetDebt)


Previous (GetNetAssets)
Next

Name
GetNetDebt

Parent
TFMSCompanyInformation

Visibility
PRIVATE

Source code
function GetNetDebt : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetNetAssets)
Next


Previous (TFMSCompanyInformation)
Next (TFMSShareTransactionRequestsStats)

Name
TFMSCompanyInformationCollection

Parent
FMSCommonClasses

Class Hierarchy
TStrangeInterfacedOwnedCollection

Visibility
PUBLIC

Description
Collection of information about a company.

Members
Methods
Method Description
ADD (+)
Create (+)
GetItems (-)
SetItems (-)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSCompanyInformation)
Next (TFMSShareTransactionRequestsStats)


Previous
Next

Name
Items

Parent
TFMSCompanyInformationCollection

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSCompanyInformation read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Create)

Name
ADD

Parent
TFMSCompanyInformationCollection

Visibility
PUBLIC

Source code
function Add : TFMSCompanyInformation

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (ADD)
Next (GetItems)

Name
Create

Parent
TFMSCompanyInformationCollection

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TPersistent )

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (GetItems)


Previous (Create)
Next (SetItems)

Name
GetItems

Parent
TFMSCompanyInformationCollection

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSCompanyInformation

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (SetItems)


Previous (GetItems)
Next

Name
SetItems

Parent
TFMSCompanyInformationCollection

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSCompanyInformation )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSCompanyInformation | &nbsp;

FIMAS
Class Tree
Index
Previous (GetItems)
Next


Previous (TFMSCompanyInformationCollection)
Next (TFMSUniqueNamed)

Name
TFMSShareTransactionRequestsStats

Parent
FMSCommonClasses

Class Hierarchy
TStrangeInterfacedPersistent

Visibility
PUBLIC

Description
Information and statistics about transaction requests.

Members
Fields
Field Description
FFailed (-)
FOtherStatus (-)
FPartiallySucceded (-)
FSucceded (-)
FTotal (-)

Methods
Method Description
GetSuccessRating (-)

Properties
Property Description
Failed (*)
OtherStatus (*)
PartiallySucceded (*)
Succeded (*)
SuccessRating (*)
Total (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSCompanyInformationCollection)
Next (TFMSUniqueNamed)


Previous
Next (FOtherStatus)

Name
FFailed

Parent
TFMSShareTransactionRequestsStats

Visibility
PRIVATE

Source code
FFailed : Integer

FIMAS
Class Tree
Index
Previous
Next (FOtherStatus)


Previous (FFailed)
Next (FPartiallySucceded)

Name
FOtherStatus

Parent
TFMSShareTransactionRequestsStats

Visibility
PRIVATE

Source code
FOtherStatus : Integer

FIMAS
Class Tree
Index
Previous (FFailed)
Next (FPartiallySucceded)


Previous (FOtherStatus)
Next (FSucceded)

Name
FPartiallySucceded

Parent
TFMSShareTransactionRequestsStats

Visibility
PRIVATE

Source code
FPartiallySucceded : Integer

FIMAS
Class Tree
Index
Previous (FOtherStatus)
Next (FSucceded)


Previous (FPartiallySucceded)
Next (FTotal)

Name
FSucceded

Parent
TFMSShareTransactionRequestsStats

Visibility
PRIVATE

Source code
FSucceded : Integer

FIMAS
Class Tree
Index
Previous (FPartiallySucceded)
Next (FTotal)


Previous (FSucceded)
Next

Name
FTotal

Parent
TFMSShareTransactionRequestsStats

Visibility
PRIVATE

Source code
FTotal : Integer

FIMAS
Class Tree
Index
Previous (FSucceded)
Next


Previous
Next (OtherStatus)

Name
Failed

Parent
TFMSShareTransactionRequestsStats

Visibility
PUBLISHED

Source code
property Failed : Integer read FFailed write FFailed

Read Access
FFailed

Write Access
FFailed

FIMAS
Class Tree
Index
Previous
Next (OtherStatus)


Previous (Failed)
Next (PartiallySucceded)

Name
OtherStatus

Parent
TFMSShareTransactionRequestsStats

Visibility
PUBLISHED

Source code
property OtherStatus : Integer read FOtherStatus write FOtherStatus

Read Access
FOtherStatus

Write Access
FOtherStatus

FIMAS
Class Tree
Index
Previous (Failed)
Next (PartiallySucceded)


Previous (OtherStatus)
Next (Succeded)

Name
PartiallySucceded

Parent
TFMSShareTransactionRequestsStats

Visibility
PUBLISHED

Source code
property PartiallySucceded : Integer read FPartiallySucceded write FPartiallySucceded

Read Access
FPartiallySucceded

Write Access
FPartiallySucceded

FIMAS
Class Tree
Index
Previous (OtherStatus)
Next (Succeded)


Previous (PartiallySucceded)
Next (SuccessRating)

Name
Succeded

Parent
TFMSShareTransactionRequestsStats

Visibility
PUBLISHED

Source code
property Succeded : Integer read FSucceded write FSucceded

Read Access
FSucceded

Write Access
FSucceded

FIMAS
Class Tree
Index
Previous (PartiallySucceded)
Next (SuccessRating)


Previous (Succeded)
Next (Total)

Name
SuccessRating

Parent
TFMSShareTransactionRequestsStats

Visibility
PUBLISHED

Source code
property SuccessRating : Double read GetSuccessRating

Read Access
GetSuccessRating

FIMAS
Class Tree
Index
Previous (Succeded)
Next (Total)


Previous (SuccessRating)
Next

Name
Total

Parent
TFMSShareTransactionRequestsStats

Visibility
PUBLISHED

Source code
property Total : Integer read FTotal write FTotal

Read Access
FTotal

Write Access
FTotal

FIMAS
Class Tree
Index
Previous (SuccessRating)
Next


Previous
Next

Name
GetSuccessRating

Parent
TFMSShareTransactionRequestsStats

Visibility
PRIVATE

Source code
function GetSuccessRating : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next


Previous (TFMSShareTransactionRequestsStats)
Next (TFMSUniqueNamedCollection)

Name
TFMSUniqueNamed

Parent
FMSCommonClasses

Class Hierarchy
TStrangeInterfacedXCollectionItem,IFMSUniqueNamed

Visibility
PUBLIC

Description
Each object in colection has a unique name.

Members
Fields
Field Description
FTag (-)
FTagDescription (-)

Methods
Method Description
Assign (+)
Create (+)
FriendlyDescription (+)
FriendlyName (+)
GetParent (#)
SetName (#)

Properties
Property Description
Tag (*)
TagDescription (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSShareTransactionRequestsStats)
Next (TFMSUniqueNamedCollection)


Previous
Next (FTagDescription)

Name
FTag

Parent
TFMSUniqueNamed

Visibility
PRIVATE

Source code
FTag : Variant

FIMAS
Class Tree
Index
Previous
Next (FTagDescription)


Previous (FTag)
Next

Name
FTagDescription

Parent
TFMSUniqueNamed

Visibility
PRIVATE

Source code
FTagDescription : string

FIMAS
Class Tree
Index
Previous (FTag)
Next


Previous
Next (TagDescription)

Name
Tag

Parent
TFMSUniqueNamed

Visibility
PUBLISHED

Source code
property Tag : Variant read FTag write FTag

Read Access
FTag

Write Access
FTag

FIMAS
Class Tree
Index
Previous
Next (TagDescription)


Previous (Tag)
Next

Name
TagDescription

Parent
TFMSUniqueNamed

Visibility
PUBLISHED

Source code
property TagDescription : string read FTagDescription write FTagDescription

Read Access
FTagDescription

Write Access
FTagDescription

FIMAS
Class Tree
Index
Previous (Tag)
Next


Previous
Next (Create)

Name
Assign

Parent
TFMSUniqueNamed

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (Assign)
Next (FriendlyDescription)

Name
Create

Parent
TFMSUniqueNamed

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TXCollection ) ; override

Parameters
Parameter | Description
AOwner : TXCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (Assign)
Next (FriendlyDescription)


Previous (Create)
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSUniqueNamed

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (FriendlyName)


Previous (FriendlyDescription)
Next (GetParent)

Name
FriendlyName

Parent
TFMSUniqueNamed

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next (GetParent)


Previous (FriendlyName)
Next (SetName)

Name
GetParent

Parent
TFMSUniqueNamed

Visibility
PROTECTED

Source code
function GetParent : TFMSUniqueNamedCollection

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyName)
Next (SetName)


Previous (GetParent)
Next

Name
SetName

Parent
TFMSUniqueNamed

Visibility
PROTECTED

Source code
procedure SetName ( const Value : string ) ; override

Parameters
Parameter | Description
Value : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (GetParent)
Next


Previous (TFMSUniqueNamed)
Next (TFMSUpdateAble)

Name
TFMSUniqueNamedCollection

Parent
FMSCommonClasses

Class Hierarchy
TXCollection

Visibility
PUBLIC

Description
Collection of TFMSUniqueNamed.

Members
Methods
Method Description
ADD (+)
AddByID (+)
CanAdd (+)
Create (+)
GenerateUniqueName (+)
GenerateUniqueNameDirect (+)
GetItems (-)
ItemsClass (+)
NameExists (+)
SetItems (-)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSUniqueNamed)
Next (TFMSUpdateAble)


Previous
Next

Name
Items

Parent
TFMSUniqueNamedCollection

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSUniqueNamed read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (AddByID)

Name
ADD

Parent
TFMSUniqueNamedCollection

Visibility
PUBLIC

Source code
function Add ( AClass : TFMSUpdateAbleClass ) : TFMSUniqueNamed

Parameters
Parameter | Description
AClass : TFMSUpdateAbleClass | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (AddByID)


Previous (ADD)
Next (CanAdd)

Name
AddByID

Parent
TFMSUniqueNamedCollection

Visibility
PUBLIC

Source code
function AddByID ( AClass : TStrangeClassID ) : TFMSUniqueNamed

Parameters
Parameter | Description
AClass : TStrangeClassID | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (CanAdd)


Previous (AddByID)
Next (Create)

Name
CanAdd

Parent
TFMSUniqueNamedCollection

Visibility
PUBLIC

Source code
function CanAdd ( AClass : TXCollectionItemClass ) : Boolean ; override

Parameters
Parameter | Description
AClass : TXCollectionItemClass | &nbsp;

FIMAS
Class Tree
Index
Previous (AddByID)
Next (Create)


Previous (CanAdd)
Next (GenerateUniqueName)

Name
Create

Parent
TFMSUniqueNamedCollection

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TPersistent ) ; override

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (CanAdd)
Next (GenerateUniqueName)


Previous (Create)
Next (GenerateUniqueNameDirect)

Name
GenerateUniqueName

Parent
TFMSUniqueNamedCollection

Visibility
PUBLIC

Source code
function GenerateUniqueName ( const AClassName : TFMSUniqueNamedClass ) : string

Parameters
Parameter | Description
AClassName : TFMSUniqueNamedClass | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (GenerateUniqueNameDirect)


Previous (GenerateUniqueName)
Next (GetItems)

Name
GenerateUniqueNameDirect

Parent
TFMSUniqueNamedCollection

Visibility
PUBLIC

Source code
function GenerateUniqueNameDirect ( const ABaseName : string ) : string

Parameters
Parameter | Description
ABaseName : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (GenerateUniqueName)
Next (GetItems)


Previous (GenerateUniqueNameDirect)
Next (ItemsClass)

Name
GetItems

Parent
TFMSUniqueNamedCollection

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSUniqueNamed

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GenerateUniqueNameDirect)
Next (ItemsClass)


Previous (GetItems)
Next (NameExists)

Name
ItemsClass

Parent
TFMSUniqueNamedCollection

Visibility
PUBLIC

Source code
class function ItemsClass : TXCollectionItemClass ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (NameExists)


Previous (ItemsClass)
Next (SetItems)

Name
NameExists

Parent
TFMSUniqueNamedCollection

Visibility
PUBLIC

Source code
function NameExists ( const Name : string ) : Boolean ; virtual

Parameters
Parameter | Description
NAME : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (ItemsClass)
Next (SetItems)


Previous (NameExists)
Next

Name
SetItems

Parent
TFMSUniqueNamedCollection

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSUniqueNamed )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSUniqueNamed | &nbsp;

FIMAS
Class Tree
Index
Previous (NameExists)
Next


Previous (TFMSUniqueNamedCollection)
Next (TFMSUpdateAbleCollection)

Name
TFMSUpdateAble

Parent
FMSCommonClasses

Class Hierarchy
TFMSUniqueNamed,IFMSUpdateAble

Visibility
PUBLIC

Description
This can be any object that needs periodic updates.

Members
Fields
Field Description
FActive (-)

Methods
Method | Description
FriendlyDescription (+)
FriendlyName (+)
GetActive (#) | Implementing IFMSUpdateAble.
GetParent (#)
SetActive (#) | Implementing IFMSUpdateAble.
Step (#)

Properties
Property | Description
Active (*) | Implementing IFMSUpdateAble.

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSUniqueNamedCollection)
Next (TFMSUpdateAbleCollection)


Previous
Next

Name
FActive

Parent
TFMSUpdateAble

Visibility
PRIVATE

Source code
FActive : Boolean

FIMAS
Class Tree
Index
Previous
Next


Previous
Next

Name
Active

Parent
TFMSUpdateAble

Visibility
PUBLISHED

Description
Implementing IFMSUpdateAble.

Source code
property Active : Boolean read FActive write SetActive default True

Read Access
FActive

Write Access
SetActive

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSUpdateAble

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (FriendlyName)


Previous (FriendlyDescription)
Next (GetActive)

Name
FriendlyName

Parent
TFMSUpdateAble

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next (GetActive)


Previous (FriendlyName)
Next (GetParent)

Name
GetActive

Parent
TFMSUpdateAble

Visibility
PROTECTED

Description
Implementing IFMSUpdateAble.
Implementing IFMSUpdateAble.

Source code
function GetActive : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyName)
Next (GetParent)


Previous (GetActive)
Next (SetActive)

Name
GetParent

Parent
TFMSUpdateAble

Visibility
PROTECTED

Source code
function GetParent : TFMSUpdateAbles

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetActive)
Next (SetActive)


Previous (GetParent)
Next (Step)

Name
SetActive

Parent
TFMSUpdateAble

Visibility
PROTECTED

Description
Implementing IFMSUpdateAble.
Implementing IFMSUpdateAble.

Source code
procedure SetActive ( const AValue : Boolean )

Parameters
Parameter | Description
AValue : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (GetParent)
Next (Step)


Previous (SetActive)
Next

Name
Step

Parent
TFMSUpdateAble

Visibility
PROTECTED

Source code
procedure Step ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetActive)
Next


Previous (TFMSUpdateAble)
Next (TFMSUpdateAbleCollectionItem)

Name
TFMSUpdateAbleCollection

Parent
FMSCommonClasses

Class Hierarchy
TStrangeInterfacedOwnedCollection

Visibility
PUBLIC

Description
Collection of TFMSUpdateAbleCollection.

Members
Methods
Method Description
ADD (+)
Create (+)
GetItems (-)
GetLastItem (+)
SetItems (-)
Step (#)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSUpdateAble)
Next (TFMSUpdateAbleCollectionItem)


Previous
Next

Name
Items

Parent
TFMSUpdateAbleCollection

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSUpdateAbleCollectionItem read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Create)

Name
ADD

Parent
TFMSUpdateAbleCollection

Visibility
PUBLIC

Source code
function Add : TFMSUpdateAbleCollectionItem

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (ADD)
Next (GetItems)

Name
Create

Parent
TFMSUpdateAbleCollection

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TPersistent ) ; overload

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (GetItems)


Previous (Create)
Next (GetLastItem)

Name
GetItems

Parent
TFMSUpdateAbleCollection

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSUpdateAbleCollectionItem

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (GetLastItem)


Previous (GetItems)
Next (SetItems)

Name
GetLastItem

Parent
TFMSUpdateAbleCollection

Visibility
PUBLIC

Source code
function GetLastItem : TFMSUpdateAbleCollectionItem

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (SetItems)


Previous (GetLastItem)
Next (Step)

Name
SetItems

Parent
TFMSUpdateAbleCollection

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSUpdateAbleCollectionItem )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSUpdateAbleCollectionItem | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (Step)


Previous (SetItems)
Next

Name
Step

Parent
TFMSUpdateAbleCollection

Visibility
PROTECTED

Source code
procedure Step ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetItems)
Next


Previous (TFMSUpdateAbleCollection)
Next (TFMSUpdateAbles)

Name
TFMSUpdateAbleCollectionItem

Parent
FMSCommonClasses

Class Hierarchy
TStrangeInterfacedCollectionItem,IFMSUpdateAbleCollectionItem

Visibility
PUBLIC

Description
Object that can be updated each step.

Members
Methods
Method Description
GetParent (#)
Step (#)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSUpdateAbleCollection)
Next (TFMSUpdateAbles)


Previous
Next (Step)

Name
GetParent

Parent
TFMSUpdateAbleCollectionItem

Visibility
PROTECTED

Source code
function GetParent : TFMSUpdateAbleCollection

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (Step)


Previous (GetParent)
Next

Name
Step

Parent
TFMSUpdateAbleCollectionItem

Visibility
PROTECTED

Source code
procedure Step ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetParent)
Next


Previous (TFMSUpdateAbleCollectionItem)
Next (TFMSUtils)

Name
TFMSUpdateAbles

Parent
FMSCommonClasses

Class Hierarchy
TFMSUniqueNamedCollection

Visibility
PUBLIC

Description
Collection of TFMSUpdateAble.

Members
Methods
Method Description
ADD (+)
AddByID (+)
CanAdd (+)
GetActiveCount (+)
GetItems (-)
ItemsClass (+)
SetItems (-)
Step (+)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSUpdateAbleCollectionItem)
Next (TFMSUtils)


Previous
Next

Name
Items

Parent
TFMSUpdateAbles

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSUpdateAble read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (AddByID)

Name
ADD

Parent
TFMSUpdateAbles

Visibility
PUBLIC

Source code
function Add ( AClass : TFMSUpdateAbleClass ) : TFMSUpdateAble

Parameters
Parameter | Description
AClass : TFMSUpdateAbleClass | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (AddByID)


Previous (ADD)
Next (CanAdd)

Name
AddByID

Parent
TFMSUpdateAbles

Visibility
PUBLIC

Source code
function AddByID ( AClass : TStrangeClassID ) : TFMSUpdateAble

Parameters
Parameter | Description
AClass : TStrangeClassID | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (CanAdd)


Previous (AddByID)
Next (GetActiveCount)

Name
CanAdd

Parent
TFMSUpdateAbles

Visibility
PUBLIC

Source code
function CanAdd ( AClass : TXCollectionItemClass ) : Boolean ; override

Parameters
Parameter | Description
AClass : TXCollectionItemClass | &nbsp;

FIMAS
Class Tree
Index
Previous (AddByID)
Next (GetActiveCount)


Previous (CanAdd)
Next (GetItems)

Name
GetActiveCount

Parent
TFMSUpdateAbles

Visibility
PUBLIC

Source code
function GetActiveCount : Integer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (CanAdd)
Next (GetItems)


Previous (GetActiveCount)
Next (ItemsClass)

Name
GetItems

Parent
TFMSUpdateAbles

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSUpdateAble

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetActiveCount)
Next (ItemsClass)


Previous (GetItems)
Next (SetItems)

Name
ItemsClass

Parent
TFMSUpdateAbles

Visibility
PUBLIC

Source code
class function ItemsClass : TXCollectionItemClass ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (SetItems)


Previous (ItemsClass)
Next (Step)

Name
SetItems

Parent
TFMSUpdateAbles

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSUpdateAble )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSUpdateAble | &nbsp;

FIMAS
Class Tree
Index
Previous (ItemsClass)
Next (Step)


Previous (SetItems)
Next

Name
Step

Parent
TFMSUpdateAbles

Visibility
PUBLIC

Source code
procedure Step

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetItems)
Next


Previous (TFMSUpdateAbles)
Next (TFMSWorkingHours)

Name
TFMSUtils

Parent
FMSCommonClasses

Class Hierarchy
TStrangeInterfacedOwnedPersistent,IFMSUtils

Visibility
PUBLIC

Description
Class that implements IFMSUtils, for them to be accessable via an interface.

Members
Methods
Method Description
BigNumberToStr (+)
DayOfWeekToStr (+)
FMSDateTimeToStr (+)
FMSRound (+)
GetFMSDayOfWeek (+)
IncDayFloat (+)
IncHourFloat (+)
IncMilliSecondFloat (+)
IncMinuteFloat (+)
IncSecondFloat (+)
IncWeekFloat (+)
SecondsToStrAdv (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSUpdateAbles)
Next (TFMSWorkingHours)


Previous
Next (DayOfWeekToStr)

Name
BigNumberToStr

Parent
TFMSUtils

Visibility
PUBLIC

Source code
procedure BigNumberToStr ( const ANumber : Double ; const AOutput : PChar )

Parameters
Parameter | Description
ANumber : DOUBLE | &nbsp;
AOutput : PCHAR | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (DayOfWeekToStr)


Previous (BigNumberToStr)
Next (FMSDateTimeToStr)

Name
DayOfWeekToStr

Parent
TFMSUtils

Visibility
PUBLIC

Source code
procedure DayOfWeekToStr ( const ADateTime : TDateTime ; const AOutput : PChar )

Parameters
Parameter | Description
ADateTime : TDateTime | &nbsp;
AOutput : PCHAR | &nbsp;

FIMAS
Class Tree
Index
Previous (BigNumberToStr)
Next (FMSDateTimeToStr)


Previous (DayOfWeekToStr)
Next (FMSRound)

Name
FMSDateTimeToStr

Parent
TFMSUtils

Visibility
PUBLIC

Source code
procedure FMSDateTimeToStr ( const ADateTime : TDateTime ; const AOutput : PChar )

Parameters
Parameter | Description
ADateTime : TDateTime | &nbsp;
AOutput : PCHAR | &nbsp;

FIMAS
Class Tree
Index
Previous (DayOfWeekToStr)
Next (FMSRound)


Previous (FMSDateTimeToStr)
Next (GetFMSDayOfWeek)

Name
FMSRound

Parent
TFMSUtils

Visibility
PUBLIC

Source code
function FMSRound ( const AInput : Double ) : Double

Parameters
Parameter | Description
AInput : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (FMSDateTimeToStr)
Next (GetFMSDayOfWeek)


Previous (FMSRound)
Next (IncDayFloat)

Name
GetFMSDayOfWeek

Parent
TFMSUtils

Visibility
PUBLIC

Source code
function GetFMSDayOfWeek ( const ADateTime : TDateTime ) : TFMSDayOfWeek

Parameters
Parameter | Description
ADateTime : TDateTime | &nbsp;

FIMAS
Class Tree
Index
Previous (FMSRound)
Next (IncDayFloat)


Previous (GetFMSDayOfWeek)
Next (IncHourFloat)

Name
IncDayFloat

Parent
TFMSUtils

Visibility
PUBLIC

Source code
function IncDayFloat ( const AValue : TDateTime ; const ANumberOfDays : Double ) : TDateTime

Parameters
Parameter | Description
AValue : TDateTime | &nbsp;
ANumberOfDays : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (GetFMSDayOfWeek)
Next (IncHourFloat)


Previous (IncDayFloat)
Next (IncMilliSecondFloat)

Name
IncHourFloat

Parent
TFMSUtils

Visibility
PUBLIC

Source code
function IncHourFloat ( const AValue : TDateTime ; const ANumberOfHours : Double ) : TDateTime

Parameters
Parameter | Description
AValue : TDateTime | &nbsp;
ANumberOfHours : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (IncDayFloat)
Next (IncMilliSecondFloat)


Previous (IncHourFloat)
Next (IncMinuteFloat)

Name
IncMilliSecondFloat

Parent
TFMSUtils

Visibility
PUBLIC

Source code
function IncMilliSecondFloat ( const AValue : TDateTime ; const ANumberOfMilliSeconds : Double ) : TDateTime

Parameters
Parameter | Description
AValue : TDateTime | &nbsp;
ANumberOfMilliSeconds : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (IncHourFloat)
Next (IncMinuteFloat)


Previous (IncMilliSecondFloat)
Next (IncSecondFloat)

Name
IncMinuteFloat

Parent
TFMSUtils

Visibility
PUBLIC

Source code
function IncMinuteFloat ( const AValue : TDateTime ; const ANumberOfMinutes : Double ) : TDateTime

Parameters
Parameter | Description
AValue : TDateTime | &nbsp;
ANumberOfMinutes : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (IncMilliSecondFloat)
Next (IncSecondFloat)


Previous (IncMinuteFloat)
Next (IncWeekFloat)

Name
IncSecondFloat

Parent
TFMSUtils

Visibility
PUBLIC

Source code
function IncSecondFloat ( const AValue : TDateTime ; const ANumberOfSeconds : Double ) : TDateTime

Parameters
Parameter | Description
AValue : TDateTime | &nbsp;
ANumberOfSeconds : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (IncMinuteFloat)
Next (IncWeekFloat)


Previous (IncSecondFloat)
Next (SecondsToStrAdv)

Name
IncWeekFloat

Parent
TFMSUtils

Visibility
PUBLIC

Source code
function IncWeekFloat ( const AValue : TDateTime ; const ANumberOfWeeks : Double ) : TDateTime

Parameters
Parameter | Description
AValue : TDateTime | &nbsp;
ANumberOfWeeks : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (IncSecondFloat)
Next (SecondsToStrAdv)


Previous (IncWeekFloat)
Next

Name
SecondsToStrAdv

Parent
TFMSUtils

Visibility
PUBLIC

Source code
procedure SecondsToStrAdv ( const ASeconds : Double ; const AOutput : PChar )

Parameters
Parameter | Description
ASeconds : DOUBLE | &nbsp;
AOutput : PCHAR | &nbsp;

FIMAS
Class Tree
Index
Previous (IncWeekFloat)
Next


Previous (TFMSUtils)
Next (TFMSWorldTime)

Name
TFMSWorkingHours

Parent
FMSCommonClasses

Class Hierarchy
TStrangeInterfacedOwnedPersistent

Visibility
PUBLIC

Description
Working hours.

Members
Fields
Field Description
FCurrentUpdatePeriod (-)
FDaysOfWeek (-)
FIsActive (-)
FIsWorking (-)
FMaxUpdatePeriod (-)
FMinUpdatePeriod (-)
FNextUpdateTime (-)
FWorkingHours (-)

Methods
Method Description
CalculateWorkingHours (+)
Create (+)
DoCalculateCurrentUpdatePeriod (#)
GetHoursUntilClosure (+)
GetHoursUntilClosureFast (+)
Reset (+)
ResetFast (+)
SetMaxUpdatePeriod (-)
SetMinUpdatePeriod (-)
Update (+)
UpdateFast (+)

Properties
Property | Description
CurrentUpdatePeriod (*) | Calculated as a random number between the two above.
DaysOfWeek (*)
IsActive (*) | The company cannot provide services to its customers every split second. People need to go to bathrooms and cofee breaks. This indicates if a company is able to serve its customers at this very moment. Controled by the MinUpdatePeriod and MaxUpdatePeriod properties.
IsWorking (*) | Indicates that the firm has the "Open" sign on its front door. Controled by the WorkingHours and DaysOfWeek properties.
MaxUpdatePeriod (*)
MinUpdatePeriod (*) | Time between allowed updates in seconds.
WorkingHours (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSUtils)
Next (TFMSWorldTime)


Previous
Next (FDaysOfWeek)

Name
FCurrentUpdatePeriod

Parent
TFMSWorkingHours

Visibility
PRIVATE

Source code
FCurrentUpdatePeriod : Integer

FIMAS
Class Tree
Index
Previous
Next (FDaysOfWeek)


Previous (FCurrentUpdatePeriod)
Next (FIsActive)

Name
FDaysOfWeek

Parent
TFMSWorkingHours

Visibility
PRIVATE

Source code
FDaysOfWeek : TFMSDaysOfWeek

FIMAS
Class Tree
Index
Previous (FCurrentUpdatePeriod)
Next (FIsActive)


Previous (FDaysOfWeek)
Next (FIsWorking)

Name
FIsActive

Parent
TFMSWorkingHours

Visibility
PRIVATE

Source code
FIsActive : Boolean

FIMAS
Class Tree
Index
Previous (FDaysOfWeek)
Next (FIsWorking)


Previous (FIsActive)
Next (FMaxUpdatePeriod)

Name
FIsWorking

Parent
TFMSWorkingHours

Visibility
PRIVATE

Source code
FIsWorking : Boolean

FIMAS
Class Tree
Index
Previous (FIsActive)
Next (FMaxUpdatePeriod)


Previous (FIsWorking)
Next (FMinUpdatePeriod)

Name
FMaxUpdatePeriod

Parent
TFMSWorkingHours

Visibility
PRIVATE

Source code
FMaxUpdatePeriod : Integer

FIMAS
Class Tree
Index
Previous (FIsWorking)
Next (FMinUpdatePeriod)


Previous (FMaxUpdatePeriod)
Next (FNextUpdateTime)

Name
FMinUpdatePeriod

Parent
TFMSWorkingHours

Visibility
PRIVATE

Source code
FMinUpdatePeriod : Integer

FIMAS
Class Tree
Index
Previous (FMaxUpdatePeriod)
Next (FNextUpdateTime)


Previous (FMinUpdatePeriod)
Next (FWorkingHours)

Name
FNextUpdateTime

Parent
TFMSWorkingHours

Visibility
PRIVATE

Source code
FNextUpdateTime : TDateTime

FIMAS
Class Tree
Index
Previous (FMinUpdatePeriod)
Next (FWorkingHours)


Previous (FNextUpdateTime)
Next

Name
FWorkingHours

Parent
TFMSWorkingHours

Visibility
PRIVATE

Source code
FWorkingHours : TFMSHours

FIMAS
Class Tree
Index
Previous (FNextUpdateTime)
Next


Previous
Next (DaysOfWeek)

Name
CurrentUpdatePeriod

Parent
TFMSWorkingHours

Visibility
PUBLISHED

Description
Calculated as a random number between the two above.

Source code
property CurrentUpdatePeriod : Integer read FCurrentUpdatePeriod stored True default 1

Read Access
FCurrentUpdatePeriod

FIMAS
Class Tree
Index
Previous
Next (DaysOfWeek)


Previous (CurrentUpdatePeriod)
Next (IsActive)

Name
DaysOfWeek

Parent
TFMSWorkingHours

Visibility
PUBLISHED

Source code
property DaysOfWeek : TFMSDaysOfWeek read FDaysOfWeek write FDaysOfWeek default [ dwMon , dwTu , dwWed , dwThu , dwFri ]

Read Access
FDaysOfWeek

Write Access
FDaysOfWeek

FIMAS
Class Tree
Index
Previous (CurrentUpdatePeriod)
Next (IsActive)


Previous (DaysOfWeek)
Next (IsWorking)

Name
IsActive

Parent
TFMSWorkingHours

Visibility
PUBLISHED

Description
The company cannot provide services to its customers every split second. People need to go to bathrooms and cofee breaks. This indicates if a company is able to serve its customers at this very moment. Controled by the MinUpdatePeriod and MaxUpdatePeriod properties.

Source code
property IsActive : Boolean read FIsActive stored True

Read Access
FIsActive

FIMAS
Class Tree
Index
Previous (DaysOfWeek)
Next (IsWorking)


Previous (IsActive)
Next (MaxUpdatePeriod)

Name
IsWorking

Parent
TFMSWorkingHours

Visibility
PUBLISHED

Description
Indicates that the firm has the "Open" sign on its front door. Controled by the WorkingHours and DaysOfWeek properties.

Source code
property IsWorking : Boolean read FIsWorking stored True

Read Access
FIsWorking

FIMAS
Class Tree
Index
Previous (IsActive)
Next (MaxUpdatePeriod)


Previous (IsWorking)
Next (MinUpdatePeriod)

Name
MaxUpdatePeriod

Parent
TFMSWorkingHours

Visibility
PUBLISHED

Source code
property MaxUpdatePeriod : Integer read FMaxUpdatePeriod write SetMaxUpdatePeriod default 1

Read Access
FMaxUpdatePeriod

Write Access
SetMaxUpdatePeriod

FIMAS
Class Tree
Index
Previous (IsWorking)
Next (MinUpdatePeriod)


Previous (MaxUpdatePeriod)
Next (WorkingHours)

Name
MinUpdatePeriod

Parent
TFMSWorkingHours

Visibility
PUBLISHED

Description
Time between allowed updates in seconds.

Source code
property MinUpdatePeriod : Integer read FMinUpdatePeriod write SetMinUpdatePeriod default 1

Read Access
FMinUpdatePeriod

Write Access
SetMinUpdatePeriod

FIMAS
Class Tree
Index
Previous (MaxUpdatePeriod)
Next (WorkingHours)


Previous (MinUpdatePeriod)
Next

Name
WorkingHours

Parent
TFMSWorkingHours

Visibility
PUBLISHED

Source code
property WorkingHours : TFMSHours read FWorkingHours write FWorkingHours default FMS_DEFAULT_HOUR_SET

Read Access
FWorkingHours

Write Access
FWorkingHours

FIMAS
Class Tree
Index
Previous (MinUpdatePeriod)
Next


Previous
Next (Create)

Name
CalculateWorkingHours

Parent
TFMSWorkingHours

Visibility
PUBLIC

Source code
procedure CalculateWorkingHours ( const ACenter : Integer ; const ADispersion : Integer )

Parameters
Parameter | Description
ACenter : INTEGER | &nbsp;
ADispersion : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (CalculateWorkingHours)
Next (DoCalculateCurrentUpdatePeriod)

Name
Create

Parent
TFMSWorkingHours

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TPersistent ) ; override

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (CalculateWorkingHours)
Next (DoCalculateCurrentUpdatePeriod)


Previous (Create)
Next (GetHoursUntilClosure)

Name
DoCalculateCurrentUpdatePeriod

Parent
TFMSWorkingHours

Visibility
PROTECTED

Source code
procedure DoCalculateCurrentUpdatePeriod ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (GetHoursUntilClosure)


Previous (DoCalculateCurrentUpdatePeriod)
Next (GetHoursUntilClosureFast)

Name
GetHoursUntilClosure

Parent
TFMSWorkingHours

Visibility
PUBLIC

Source code
function GetHoursUntilClosure ( ACurrentHour : Integer ; const ACurrentMinute : Integer ) : Double

Parameters
Parameter | Description
ACurrentHour : INTEGER | &nbsp;
ACurrentMinute : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (DoCalculateCurrentUpdatePeriod)
Next (GetHoursUntilClosureFast)


Previous (GetHoursUntilClosure)
Next (Reset)

Name
GetHoursUntilClosureFast

Parent
TFMSWorkingHours

Visibility
PUBLIC

Source code
function GetHoursUntilClosureFast ( const ACurrentTime : TFMSWorldTime ) : Double

Parameters
Parameter | Description
ACurrentTime : TFMSWorldTime | &nbsp;

FIMAS
Class Tree
Index
Previous (GetHoursUntilClosure)
Next (Reset)


Previous (GetHoursUntilClosureFast)
Next (ResetFast)

Name
Reset

Parent
TFMSWorkingHours

Visibility
PUBLIC

Source code
procedure Reset ( const AOriginalTime : TDateTime )

Parameters
Parameter | Description
AOriginalTime : TDateTime | &nbsp;

FIMAS
Class Tree
Index
Previous (GetHoursUntilClosureFast)
Next (ResetFast)


Previous (Reset)
Next (SetMaxUpdatePeriod)

Name
ResetFast

Parent
TFMSWorkingHours

Visibility
PUBLIC

Source code
procedure ResetFast ( const AOriginalTime : TFMSWorldTime )

Parameters
Parameter | Description
AOriginalTime : TFMSWorldTime | &nbsp;

FIMAS
Class Tree
Index
Previous (Reset)
Next (SetMaxUpdatePeriod)


Previous (ResetFast)
Next (SetMinUpdatePeriod)

Name
SetMaxUpdatePeriod

Parent
TFMSWorkingHours

Visibility
PRIVATE

Source code
procedure SetMaxUpdatePeriod ( const Value : Integer )

Parameters
Parameter | Description
Value : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (ResetFast)
Next (SetMinUpdatePeriod)


Previous (SetMaxUpdatePeriod)
Next (Update)

Name
SetMinUpdatePeriod

Parent
TFMSWorkingHours

Visibility
PRIVATE

Source code
procedure SetMinUpdatePeriod ( const Value : Integer )

Parameters
Parameter | Description
Value : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (SetMaxUpdatePeriod)
Next (Update)


Previous (SetMinUpdatePeriod)
Next (UpdateFast)

Name
Update

Parent
TFMSWorkingHours

Visibility
PUBLIC

Source code
procedure Update ( const ANewTime : TDateTime )

Parameters
Parameter | Description
ANewTime : TDateTime | &nbsp;

FIMAS
Class Tree
Index
Previous (SetMinUpdatePeriod)
Next (UpdateFast)


Previous (Update)
Next

Name
UpdateFast

Parent
TFMSWorkingHours

Visibility
PUBLIC

Source code
procedure UpdateFast ( const ANewTime : TFMSWorldTime )

Parameters
Parameter | Description
ANewTime : TFMSWorldTime | &nbsp;

FIMAS
Class Tree
Index
Previous (Update)
Next


Previous (TFMSWorkingHours)
Next (TFMSWorldTimeUpdateAbleList)

Name
TFMSWorldTime

Parent
FMSCommonClasses

Class Hierarchy
TStrangeInterfacedOwnedPersistent,IFMSWorldTime

Visibility
PUBLIC

Description
World time.

Members
Fields
Field Description
FCurrentDateTime (-)
FCurrentDayOfMonth (-)
FCurrentDayOfWeek (-)
FCurrentHourOfDay (-)
FCurrentMinuteOfHour (-)
FCurrentMonth (-)
FCurrentSeason (-)
FCurrentSecondOfMinute (-)
FCurrentWeek (-)
FCurrentYear (-)
FDayChanged (-)
FDaysInCurrentMonth (-)
FHourChanged (-)
FMinuteChanged (-)
FMonthChanged (-)
FOriginalDateTime (-)
FPreviousDateTime (-)
FPreviousDayOfMonth (-)
FPreviousDayOfWeek (-)
FPreviousHourOfDay (-)
FPreviousMinuteOfHour (-)
FPreviousMonth (-)
FPreviousSeason (-)
FPreviousSecondOfMinute (-)
FPreviousWeek (-)
FPreviousYear (-)
FSeasonChanged (-)
FSecondChanged (-)
FWeekChanged (-)
FYearChanged (-)

Methods
Method | Description
CalculateNewParameters (#)
Create (+)
GetCurrentDateTime (#)
GetCurrentDayOfMonth (#)
GetCurrentDayOfWeek (#)
GetCurrentHourOfDay (#)
GetCurrentMinuteOfHour (#)
GetCurrentMonth (#)
GetCurrentSeason (#)
GetCurrentSecondOfMinute (#)
GetCurrentWeek (#)
GetCurrentYear (#)
GetDayChanged (#)
GetDaysInCurrentMonth (#)
GetHourChanged (#)
GetMinuteChanged (#)
GetMonthChanged (#)
GetOriginalDateTime (#)
GetPreviousDateTime (#)
GetPreviousDayOfMonth (#)
GetPreviousDayOfWeek (#)
GetPreviousHourOfDay (#)
GetPreviousMinuteOfHour (#)
GetPreviousMonth (#)
GetPreviousSeason (#)
GetPreviousSecondOfMinute (#)
GetPreviousWeek (#)
GetPreviousYear (#)
GetSeasonChanged (#)
GetSecondChanged (#)
GetTimeAfterDays (+)
GetTimeAfterHours (+)
GetTimeAfterMinutes (+)
GetTimeAfterSeconds (+) | What time it will be in XXX minutes/seconds/hours/days
GetTimeChanged (#)
GetWeekChanged (#)
GetYearChanged (#)
RequestToUpdate (+)
RequestToUpdateEx (+)
Reset (+)
SavePreviousParameters (#)
StoreCurrentDateTime (-)
StoreOriginalDateTime (-)
Update (+)

Properties
Property Description
CurrentDateTime (*)
CurrentDayOfMonth (*)
CurrentDayOfWeek (*)
CurrentHourOfDay (*)
CurrentMinuteOfHour (*)
CurrentMonth (*)
CurrentSeason (*)
CurrentSecondOfMinute (*)
CurrentWeek (*)
CurrentYear (*)
DayChanged (*)
DaysInCurrentMonth (*)
HourChanged (*)
MinuteChanged (*)
MonthChanged (*)
OriginalDateTime (*)
PreviousDateTime (*)
PreviousDayOfMonth (*)
PreviousDayOfWeek (*)
PreviousHourOfDay (*)
PreviousMinuteOfHour (*)
PreviousMonth (*)
PreviousSeason (*)
PreviousSecondOfMinute (*)
PreviousWeek (*)
PreviousYear (*)
SeasonChanged (*)
SecondChanged (*)
TimeChanged (*)
WeekChanged (*)
YearChanged (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSWorkingHours)
Next (TFMSWorldTimeUpdateAbleList)


Previous
Next (FCurrentDayOfMonth)

Name
FCurrentDateTime

Parent
TFMSWorldTime

Visibility
PRIVATE

Source code
FCurrentDateTime : TDateTime

FIMAS
Class Tree
Index
Previous
Next (FCurrentDayOfMonth)


Previous (FCurrentDateTime)
Next (FCurrentDayOfWeek)

Name
FCurrentDayOfMonth

Parent
TFMSWorldTime

Visibility
PRIVATE

Source code
FCurrentDayOfMonth : Word

FIMAS
Class Tree
Index
Previous (FCurrentDateTime)
Next (FCurrentDayOfWeek)


Previous (FCurrentDayOfMonth)
Next (FCurrentHourOfDay)

Name
FCurrentDayOfWeek

Parent
TFMSWorldTime

Visibility
PRIVATE

Source code
FCurrentDayOfWeek : TFMSDayOfWeek

FIMAS
Class Tree
Index
Previous (FCurrentDayOfMonth)
Next (FCurrentHourOfDay)


Previous (FCurrentDayOfWeek)
Next (FCurrentMinuteOfHour)

Name
FCurrentHourOfDay

Parent
TFMSWorldTime

Visibility
PRIVATE

Source code
FCurrentHourOfDay : Word

FIMAS
Class Tree
Index
Previous (FCurrentDayOfWeek)
Next (FCurrentMinuteOfHour)


Previous (FCurrentHourOfDay)
Next (FCurrentMonth)

Name
FCurrentMinuteOfHour

Parent
TFMSWorldTime

Visibility
PRIVATE

Source code
FCurrentMinuteOfHour : Word

FIMAS
Class Tree
Index
Previous (FCurrentHourOfDay)
Next (FCurrentMonth)


Previous (FCurrentMinuteOfHour)
Next (FCurrentSeason)

Name
FCurrentMonth

Parent
TFMSWorldTime

Visibility
PRIVATE

Source code
FCurrentMonth : Word

FIMAS
Class Tree
Index
Previous (FCurrentMinuteOfHour)
Next (FCurrentSeason)


Previous (FCurrentMonth)
Next (FCurrentSecondOfMinute)

Name
FCurrentSeason

Parent
TFMSWorldTime

Visibility
PRIVATE

Source code
FCurrentSeason : Word

FIMAS
Class Tree
Index
Previous (FCurrentMonth)
Next (FCurrentSecondOfMinute)


Previous (FCurrentSeason)
Next (FCurrentWeek)

Name
FCurrentSecondOfMinute

Parent
TFMSWorldTime

Visibility
PRIVATE

Source code
FCurrentSecondOfMinute : Word

FIMAS
Class Tree
Index
Previous (FCurrentSeason)
Next (FCurrentWeek)


Previous (FCurrentSecondOfMinute)
Next (FCurrentYear)

Name
FCurrentWeek

Parent
TFMSWorldTime

Visibility
PRIVATE

Source code
FCurrentWeek : Word

FIMAS
Class Tree
Index
Previous (FCurrentSecondOfMinute)
Next (FCurrentYear)


Previous (FCurrentWeek)
Next (FDayChanged)

Name
FCurrentYear

Parent
TFMSWorldTime

Visibility
PRIVATE

Source code
FCurrentYear : Word

FIMAS
Class Tree
Index
Previous (FCurrentWeek)
Next (FDayChanged)


Previous (FCurrentYear)
Next (FDaysInCurrentMonth)

Name
FDayChanged

Parent
TFMSWorldTime

Visibility
PRIVATE

Source code
FDayChanged : Boolean

FIMAS
Class Tree
Index
Previous (FCurrentYear)
Next (FDaysInCurrentMonth)


Previous (FDayChanged)
Next (FHourChanged)

Name
FDaysInCurrentMonth

Parent
TFMSWorldTime

Visibility
PRIVATE

Source code
FDaysInCurrentMonth : Word

FIMAS
Class Tree
Index
Previous (FDayChanged)
Next (FHourChanged)


Previous (FDaysInCurrentMonth)
Next (FMinuteChanged)

Name
FHourChanged

Parent
TFMSWorldTime

Visibility
PRIVATE

Source code
FHourChanged : Boolean

FIMAS
Class Tree
Index
Previous (FDaysInCurrentMonth)
Next (FMinuteChanged)


Previous (FHourChanged)
Next (FMonthChanged)

Name
FMinuteChanged

Parent
TFMSWorldTime

Visibility
PRIVATE

Source code
FMinuteChanged : Boolean

FIMAS
Class Tree
Index
Previous (FHourChanged)
Next (FMonthChanged)


Previous (FMinuteChanged)
Next (FOriginalDateTime)

Name
FMonthChanged

Parent
TFMSWorldTime

Visibility
PRIVATE

Source code
FMonthChanged : Boolean

FIMAS
Class Tree
Index
Previous (FMinuteChanged)
Next (FOriginalDateTime)


Previous (FMonthChanged)
Next (FPreviousDateTime)

Name
FOriginalDateTime

Parent
TFMSWorldTime

Visibility
PRIVATE

Source code
FOriginalDateTime : TDateTime

FIMAS
Class Tree
Index
Previous (FMonthChanged)
Next (FPreviousDateTime)


Previous (FOriginalDateTime)
Next (FPreviousDayOfMonth)

Name
FPreviousDateTime

Parent
TFMSWorldTime

Visibility
PRIVATE

Source code
FPreviousDateTime : TDateTime

FIMAS
Class Tree
Index
Previous (FOriginalDateTime)
Next (FPreviousDayOfMonth)


Previous (FPreviousDateTime)
Next (FPreviousDayOfWeek)

Name
FPreviousDayOfMonth

Parent
TFMSWorldTime

Visibility
PRIVATE

Source code
FPreviousDayOfMonth : Word

FIMAS
Class Tree
Index
Previous (FPreviousDateTime)
Next (FPreviousDayOfWeek)


Previous (FPreviousDayOfMonth)
Next (FPreviousHourOfDay)

Name
FPreviousDayOfWeek

Parent
TFMSWorldTime

Visibility
PRIVATE

Source code
FPreviousDayOfWeek : TFMSDayOfWeek

FIMAS
Class Tree
Index
Previous (FPreviousDayOfMonth)
Next (FPreviousHourOfDay)


Previous (FPreviousDayOfWeek)
Next (FPreviousMinuteOfHour)

Name
FPreviousHourOfDay

Parent
TFMSWorldTime

Visibility
PRIVATE

Source code
FPreviousHourOfDay : Word

FIMAS
Class Tree
Index
Previous (FPreviousDayOfWeek)
Next (FPreviousMinuteOfHour)


Previous (FPreviousHourOfDay)
Next (FPreviousMonth)

Name
FPreviousMinuteOfHour

Parent
TFMSWorldTime

Visibility
PRIVATE

Source code
FPreviousMinuteOfHour : Word

FIMAS
Class Tree
Index
Previous (FPreviousHourOfDay)
Next (FPreviousMonth)


Previous (FPreviousMinuteOfHour)
Next (FPreviousSeason)

Name
FPreviousMonth

Parent
TFMSWorldTime

Visibility
PRIVATE

Source code
FPreviousMonth : Word

FIMAS
Class Tree
Index
Previous (FPreviousMinuteOfHour)
Next (FPreviousSeason)


Previous (FPreviousMonth)
Next (FPreviousSecondOfMinute)

Name
FPreviousSeason

Parent
TFMSWorldTime

Visibility
PRIVATE

Source code
FPreviousSeason : Word

FIMAS
Class Tree
Index
Previous (FPreviousMonth)
Next (FPreviousSecondOfMinute)


Previous (FPreviousSeason)
Next (FPreviousWeek)

Name
FPreviousSecondOfMinute

Parent
TFMSWorldTime

Visibility
PRIVATE

Source code
FPreviousSecondOfMinute : Word

FIMAS
Class Tree
Index
Previous (FPreviousSeason)
Next (FPreviousWeek)


Previous (FPreviousSecondOfMinute)
Next (FPreviousYear)

Name
FPreviousWeek

Parent
TFMSWorldTime

Visibility
PRIVATE

Source code
FPreviousWeek : Word

FIMAS
Class Tree
Index
Previous (FPreviousSecondOfMinute)
Next (FPreviousYear)


Previous (FPreviousWeek)
Next (FSeasonChanged)

Name
FPreviousYear

Parent
TFMSWorldTime

Visibility
PRIVATE

Source code
FPreviousYear : Word

FIMAS
Class Tree
Index
Previous (FPreviousWeek)
Next (FSeasonChanged)


Previous (FPreviousYear)
Next (FSecondChanged)

Name
FSeasonChanged

Parent
TFMSWorldTime

Visibility
PRIVATE

Source code
FSeasonChanged : Boolean

FIMAS
Class Tree
Index
Previous (FPreviousYear)
Next (FSecondChanged)


Previous (FSeasonChanged)
Next (FWeekChanged)

Name
FSecondChanged

Parent
TFMSWorldTime

Visibility
PRIVATE

Source code
FSecondChanged : Boolean

FIMAS
Class Tree
Index
Previous (FSeasonChanged)
Next (FWeekChanged)


Previous (FSecondChanged)
Next (FYearChanged)

Name
FWeekChanged

Parent
TFMSWorldTime

Visibility
PRIVATE

Source code
FWeekChanged : Boolean

FIMAS
Class Tree
Index
Previous (FSecondChanged)
Next (FYearChanged)


Previous (FWeekChanged)
Next

Name
FYearChanged

Parent
TFMSWorldTime

Visibility
PRIVATE

Source code
FYearChanged : Boolean

FIMAS
Class Tree
Index
Previous (FWeekChanged)
Next


Previous
Next (CurrentDayOfMonth)

Name
CurrentDateTime

Parent
TFMSWorldTime

Visibility
PUBLISHED

Source code
property CurrentDateTime : TDateTime read FCurrentDateTime stored StoreCurrentDateTime

Read Access
FCurrentDateTime

FIMAS
Class Tree
Index
Previous
Next (CurrentDayOfMonth)


Previous (CurrentDateTime)
Next (CurrentDayOfWeek)

Name
CurrentDayOfMonth

Parent
TFMSWorldTime

Visibility
PUBLISHED

Source code
property CurrentDayOfMonth : Word read FCurrentDayOfMonth

Read Access
FCurrentDayOfMonth

FIMAS
Class Tree
Index
Previous (CurrentDateTime)
Next (CurrentDayOfWeek)


Previous (CurrentDayOfMonth)
Next (CurrentHourOfDay)

Name
CurrentDayOfWeek

Parent
TFMSWorldTime

Visibility
PUBLISHED

Source code
property CurrentDayOfWeek : TFMSDayOfWeek read FCurrentDayOfWeek

Read Access
FCurrentDayOfWeek

FIMAS
Class Tree
Index
Previous (CurrentDayOfMonth)
Next (CurrentHourOfDay)


Previous (CurrentDayOfWeek)
Next (CurrentMinuteOfHour)

Name
CurrentHourOfDay

Parent
TFMSWorldTime

Visibility
PUBLISHED

Source code
property CurrentHourOfDay : Word read FCurrentHourOfDay

Read Access
FCurrentHourOfDay

FIMAS
Class Tree
Index
Previous (CurrentDayOfWeek)
Next (CurrentMinuteOfHour)


Previous (CurrentHourOfDay)
Next (CurrentMonth)

Name
CurrentMinuteOfHour

Parent
TFMSWorldTime

Visibility
PUBLISHED

Source code
property CurrentMinuteOfHour : Word read FCurrentMinuteOfHour

Read Access
FCurrentMinuteOfHour

FIMAS
Class Tree
Index
Previous (CurrentHourOfDay)
Next (CurrentMonth)


Previous (CurrentMinuteOfHour)
Next (CurrentSeason)

Name
CurrentMonth

Parent
TFMSWorldTime

Visibility
PUBLISHED

Source code
property CurrentMonth : Word read FCurrentMonth

Read Access
FCurrentMonth

FIMAS
Class Tree
Index
Previous (CurrentMinuteOfHour)
Next (CurrentSeason)


Previous (CurrentMonth)
Next (CurrentSecondOfMinute)

Name
CurrentSeason

Parent
TFMSWorldTime

Visibility
PUBLISHED

Source code
property CurrentSeason : Word read FCurrentSeason

Read Access
FCurrentSeason

FIMAS
Class Tree
Index
Previous (CurrentMonth)
Next (CurrentSecondOfMinute)


Previous (CurrentSeason)
Next (CurrentWeek)

Name
CurrentSecondOfMinute

Parent
TFMSWorldTime

Visibility
PUBLISHED

Source code
property CurrentSecondOfMinute : Word read FCurrentSecondOfMinute

Read Access
FCurrentSecondOfMinute

FIMAS
Class Tree
Index
Previous (CurrentSeason)
Next (CurrentWeek)


Previous (CurrentSecondOfMinute)
Next (CurrentYear)

Name
CurrentWeek

Parent
TFMSWorldTime

Visibility
PUBLISHED

Source code
property CurrentWeek : Word read FCurrentWeek

Read Access
FCurrentWeek

FIMAS
Class Tree
Index
Previous (CurrentSecondOfMinute)
Next (CurrentYear)


Previous (CurrentWeek)
Next (DayChanged)

Name
CurrentYear

Parent
TFMSWorldTime

Visibility
PUBLISHED

Source code
property CurrentYear : Word read FCurrentYear

Read Access
FCurrentYear

FIMAS
Class Tree
Index
Previous (CurrentWeek)
Next (DayChanged)


Previous (CurrentYear)
Next (DaysInCurrentMonth)

Name
DayChanged

Parent
TFMSWorldTime

Visibility
PUBLISHED

Source code
property DayChanged : Boolean read FDayChanged

Read Access
FDayChanged

FIMAS
Class Tree
Index
Previous (CurrentYear)
Next (DaysInCurrentMonth)


Previous (DayChanged)
Next (HourChanged)

Name
DaysInCurrentMonth

Parent
TFMSWorldTime

Visibility
PUBLISHED

Source code
property DaysInCurrentMonth : Word read FDaysInCurrentMonth

Read Access
FDaysInCurrentMonth

FIMAS
Class Tree
Index
Previous (DayChanged)
Next (HourChanged)


Previous (DaysInCurrentMonth)
Next (MinuteChanged)

Name
HourChanged

Parent
TFMSWorldTime

Visibility
PUBLISHED

Source code
property HourChanged : Boolean read FHourChanged

Read Access
FHourChanged

FIMAS
Class Tree
Index
Previous (DaysInCurrentMonth)
Next (MinuteChanged)


Previous (HourChanged)
Next (MonthChanged)

Name
MinuteChanged

Parent
TFMSWorldTime

Visibility
PUBLISHED

Source code
property MinuteChanged : Boolean read FMinuteChanged

Read Access
FMinuteChanged

FIMAS
Class Tree
Index
Previous (HourChanged)
Next (MonthChanged)


Previous (MinuteChanged)
Next (OriginalDateTime)

Name
MonthChanged

Parent
TFMSWorldTime

Visibility
PUBLISHED

Source code
property MonthChanged : Boolean read FMonthChanged

Read Access
FMonthChanged

FIMAS
Class Tree
Index
Previous (MinuteChanged)
Next (OriginalDateTime)


Previous (MonthChanged)
Next (PreviousDateTime)

Name
OriginalDateTime

Parent
TFMSWorldTime

Visibility
PUBLISHED

Source code
property OriginalDateTime : TDateTime read FOriginalDateTime stored StoreOriginalDateTime

Read Access
FOriginalDateTime

FIMAS
Class Tree
Index
Previous (MonthChanged)
Next (PreviousDateTime)


Previous (OriginalDateTime)
Next (PreviousDayOfMonth)

Name
PreviousDateTime

Parent
TFMSWorldTime

Visibility
PUBLISHED

Source code
property PreviousDateTime : TDateTime read FPreviousDateTime

Read Access
FPreviousDateTime

FIMAS
Class Tree
Index
Previous (OriginalDateTime)
Next (PreviousDayOfMonth)


Previous (PreviousDateTime)
Next (PreviousDayOfWeek)

Name
PreviousDayOfMonth

Parent
TFMSWorldTime

Visibility
PUBLISHED

Source code
property PreviousDayOfMonth : Word read FPreviousDayOfMonth

Read Access
FPreviousDayOfMonth

FIMAS
Class Tree
Index
Previous (PreviousDateTime)
Next (PreviousDayOfWeek)


Previous (PreviousDayOfMonth)
Next (PreviousHourOfDay)

Name
PreviousDayOfWeek

Parent
TFMSWorldTime

Visibility
PUBLISHED

Source code
property PreviousDayOfWeek : TFMSDayOfWeek read FPreviousDayOfWeek

Read Access
FPreviousDayOfWeek

FIMAS
Class Tree
Index
Previous (PreviousDayOfMonth)
Next (PreviousHourOfDay)


Previous (PreviousDayOfWeek)
Next (PreviousMinuteOfHour)

Name
PreviousHourOfDay

Parent
TFMSWorldTime

Visibility
PUBLISHED

Source code
property PreviousHourOfDay : Word read FPreviousHourOfDay

Read Access
FPreviousHourOfDay

FIMAS
Class Tree
Index
Previous (PreviousDayOfWeek)
Next (PreviousMinuteOfHour)


Previous (PreviousHourOfDay)
Next (PreviousMonth)

Name
PreviousMinuteOfHour

Parent
TFMSWorldTime

Visibility
PUBLISHED

Source code
property PreviousMinuteOfHour : Word read FPreviousMinuteOfHour

Read Access
FPreviousMinuteOfHour

FIMAS
Class Tree
Index
Previous (PreviousHourOfDay)
Next (PreviousMonth)


Previous (PreviousMinuteOfHour)
Next (PreviousSeason)

Name
PreviousMonth

Parent
TFMSWorldTime

Visibility
PUBLISHED

Source code
property PreviousMonth : Word read FPreviousMonth

Read Access
FPreviousMonth

FIMAS
Class Tree
Index
Previous (PreviousMinuteOfHour)
Next (PreviousSeason)


Previous (PreviousMonth)
Next (PreviousSecondOfMinute)

Name
PreviousSeason

Parent
TFMSWorldTime

Visibility
PUBLISHED

Source code
property PreviousSeason : Word read FPreviousSeason

Read Access
FPreviousSeason

FIMAS
Class Tree
Index
Previous (PreviousMonth)
Next (PreviousSecondOfMinute)


Previous (PreviousSeason)
Next (PreviousWeek)

Name
PreviousSecondOfMinute

Parent
TFMSWorldTime

Visibility
PUBLISHED

Source code
property PreviousSecondOfMinute : Word read FPreviousSecondOfMinute

Read Access
FPreviousSecondOfMinute

FIMAS
Class Tree
Index
Previous (PreviousSeason)
Next (PreviousWeek)


Previous (PreviousSecondOfMinute)
Next (PreviousYear)

Name
PreviousWeek

Parent
TFMSWorldTime

Visibility
PUBLISHED

Source code
property PreviousWeek : Word read FPreviousWeek

Read Access
FPreviousWeek

FIMAS
Class Tree
Index
Previous (PreviousSecondOfMinute)
Next (PreviousYear)


Previous (PreviousWeek)
Next (SeasonChanged)

Name
PreviousYear

Parent
TFMSWorldTime

Visibility
PUBLISHED

Source code
property PreviousYear : Word read FPreviousYear

Read Access
FPreviousYear

FIMAS
Class Tree
Index
Previous (PreviousWeek)
Next (SeasonChanged)


Previous (PreviousYear)
Next (SecondChanged)

Name
SeasonChanged

Parent
TFMSWorldTime

Visibility
PUBLISHED

Source code
property SeasonChanged : Boolean read FSeasonChanged

Read Access
FSeasonChanged

FIMAS
Class Tree
Index
Previous (PreviousYear)
Next (SecondChanged)


Previous (SeasonChanged)
Next (TimeChanged)

Name
SecondChanged

Parent
TFMSWorldTime

Visibility
PUBLISHED

Source code
property SecondChanged : Boolean read FSecondChanged

Read Access
FSecondChanged

FIMAS
Class Tree
Index
Previous (SeasonChanged)
Next (TimeChanged)


Previous (SecondChanged)
Next (WeekChanged)

Name
TimeChanged

Parent
TFMSWorldTime

Visibility
PUBLISHED

Source code
property TimeChanged : Boolean read GetTimeChanged

Read Access
GetTimeChanged

FIMAS
Class Tree
Index
Previous (SecondChanged)
Next (WeekChanged)


Previous (TimeChanged)
Next (YearChanged)

Name
WeekChanged

Parent
TFMSWorldTime

Visibility
PUBLISHED

Source code
property WeekChanged : Boolean read FWeekChanged

Read Access
FWeekChanged

FIMAS
Class Tree
Index
Previous (TimeChanged)
Next (YearChanged)


Previous (WeekChanged)
Next

Name
YearChanged

Parent
TFMSWorldTime

Visibility
PUBLISHED

Source code
property YearChanged : Boolean read FYearChanged

Read Access
FYearChanged

FIMAS
Class Tree
Index
Previous (WeekChanged)
Next


Previous
Next (Create)

Name
CalculateNewParameters

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
procedure CalculateNewParameters ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (CalculateNewParameters)
Next (GetCurrentDateTime)

Name
Create

Parent
TFMSWorldTime

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TPersistent ) ; override

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (CalculateNewParameters)
Next (GetCurrentDateTime)


Previous (Create)
Next (GetCurrentDayOfMonth)

Name
GetCurrentDateTime

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
function GetCurrentDateTime : TDateTime

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (GetCurrentDayOfMonth)


Previous (GetCurrentDateTime)
Next (GetCurrentDayOfWeek)

Name
GetCurrentDayOfMonth

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
function GetCurrentDayOfMonth : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCurrentDateTime)
Next (GetCurrentDayOfWeek)


Previous (GetCurrentDayOfMonth)
Next (GetCurrentHourOfDay)

Name
GetCurrentDayOfWeek

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
function GetCurrentDayOfWeek : TFMSDayOfWeek

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCurrentDayOfMonth)
Next (GetCurrentHourOfDay)


Previous (GetCurrentDayOfWeek)
Next (GetCurrentMinuteOfHour)

Name
GetCurrentHourOfDay

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
function GetCurrentHourOfDay : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCurrentDayOfWeek)
Next (GetCurrentMinuteOfHour)


Previous (GetCurrentHourOfDay)
Next (GetCurrentMonth)

Name
GetCurrentMinuteOfHour

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
function GetCurrentMinuteOfHour : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCurrentHourOfDay)
Next (GetCurrentMonth)


Previous (GetCurrentMinuteOfHour)
Next (GetCurrentSeason)

Name
GetCurrentMonth

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
function GetCurrentMonth : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCurrentMinuteOfHour)
Next (GetCurrentSeason)


Previous (GetCurrentMonth)
Next (GetCurrentSecondOfMinute)

Name
GetCurrentSeason

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
function GetCurrentSeason : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCurrentMonth)
Next (GetCurrentSecondOfMinute)


Previous (GetCurrentSeason)
Next (GetCurrentWeek)

Name
GetCurrentSecondOfMinute

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
function GetCurrentSecondOfMinute : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCurrentSeason)
Next (GetCurrentWeek)


Previous (GetCurrentSecondOfMinute)
Next (GetCurrentYear)

Name
GetCurrentWeek

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
function GetCurrentWeek : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCurrentSecondOfMinute)
Next (GetCurrentYear)


Previous (GetCurrentWeek)
Next (GetDayChanged)

Name
GetCurrentYear

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
function GetCurrentYear : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCurrentWeek)
Next (GetDayChanged)


Previous (GetCurrentYear)
Next (GetDaysInCurrentMonth)

Name
GetDayChanged

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
function GetDayChanged : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCurrentYear)
Next (GetDaysInCurrentMonth)


Previous (GetDayChanged)
Next (GetHourChanged)

Name
GetDaysInCurrentMonth

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
function GetDaysInCurrentMonth : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetDayChanged)
Next (GetHourChanged)


Previous (GetDaysInCurrentMonth)
Next (GetMinuteChanged)

Name
GetHourChanged

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
function GetHourChanged : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetDaysInCurrentMonth)
Next (GetMinuteChanged)


Previous (GetHourChanged)
Next (GetMonthChanged)

Name
GetMinuteChanged

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
function GetMinuteChanged : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetHourChanged)
Next (GetMonthChanged)


Previous (GetMinuteChanged)
Next (GetOriginalDateTime)

Name
GetMonthChanged

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
function GetMonthChanged : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetMinuteChanged)
Next (GetOriginalDateTime)


Previous (GetMonthChanged)
Next (GetPreviousDateTime)

Name
GetOriginalDateTime

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
function GetOriginalDateTime : TDateTime

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetMonthChanged)
Next (GetPreviousDateTime)


Previous (GetOriginalDateTime)
Next (GetPreviousDayOfMonth)

Name
GetPreviousDateTime

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
function GetPreviousDateTime : TDateTime

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetOriginalDateTime)
Next (GetPreviousDayOfMonth)


Previous (GetPreviousDateTime)
Next (GetPreviousDayOfWeek)

Name
GetPreviousDayOfMonth

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
function GetPreviousDayOfMonth : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetPreviousDateTime)
Next (GetPreviousDayOfWeek)


Previous (GetPreviousDayOfMonth)
Next (GetPreviousHourOfDay)

Name
GetPreviousDayOfWeek

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
function GetPreviousDayOfWeek : TFMSDayOfWeek

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetPreviousDayOfMonth)
Next (GetPreviousHourOfDay)


Previous (GetPreviousDayOfWeek)
Next (GetPreviousMinuteOfHour)

Name
GetPreviousHourOfDay

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
function GetPreviousHourOfDay : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetPreviousDayOfWeek)
Next (GetPreviousMinuteOfHour)


Previous (GetPreviousHourOfDay)
Next (GetPreviousMonth)

Name
GetPreviousMinuteOfHour

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
function GetPreviousMinuteOfHour : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetPreviousHourOfDay)
Next (GetPreviousMonth)


Previous (GetPreviousMinuteOfHour)
Next (GetPreviousSeason)

Name
GetPreviousMonth

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
function GetPreviousMonth : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetPreviousMinuteOfHour)
Next (GetPreviousSeason)


Previous (GetPreviousMonth)
Next (GetPreviousSecondOfMinute)

Name
GetPreviousSeason

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
function GetPreviousSeason : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetPreviousMonth)
Next (GetPreviousSecondOfMinute)


Previous (GetPreviousSeason)
Next (GetPreviousWeek)

Name
GetPreviousSecondOfMinute

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
function GetPreviousSecondOfMinute : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetPreviousSeason)
Next (GetPreviousWeek)


Previous (GetPreviousSecondOfMinute)
Next (GetPreviousYear)

Name
GetPreviousWeek

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
function GetPreviousWeek : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetPreviousSecondOfMinute)
Next (GetPreviousYear)


Previous (GetPreviousWeek)
Next (GetSeasonChanged)

Name
GetPreviousYear

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
function GetPreviousYear : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetPreviousWeek)
Next (GetSeasonChanged)


Previous (GetPreviousYear)
Next (GetSecondChanged)

Name
GetSeasonChanged

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
function GetSeasonChanged : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetPreviousYear)
Next (GetSecondChanged)


Previous (GetSeasonChanged)
Next (GetTimeAfterDays)

Name
GetSecondChanged

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
function GetSecondChanged : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetSeasonChanged)
Next (GetTimeAfterDays)


Previous (GetSecondChanged)
Next (GetTimeAfterHours)

Name
GetTimeAfterDays

Parent
TFMSWorldTime

Visibility
PUBLIC

Source code
function GetTimeAfterDays ( const ADays : Double ) : TDateTime

Parameters
Parameter | Description
ADays : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (GetSecondChanged)
Next (GetTimeAfterHours)


Previous (GetTimeAfterDays)
Next (GetTimeAfterMinutes)

Name
GetTimeAfterHours

Parent
TFMSWorldTime

Visibility
PUBLIC

Source code
function GetTimeAfterHours ( const AHours : Double ) : TDateTime

Parameters
Parameter | Description
AHours : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (GetTimeAfterDays)
Next (GetTimeAfterMinutes)


Previous (GetTimeAfterHours)
Next (GetTimeAfterSeconds)

Name
GetTimeAfterMinutes

Parent
TFMSWorldTime

Visibility
PUBLIC

Source code
function GetTimeAfterMinutes ( const AMinutes : Double ) : TDateTime

Parameters
Parameter | Description
AMinutes : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (GetTimeAfterHours)
Next (GetTimeAfterSeconds)


Previous (GetTimeAfterMinutes)
Next (GetTimeChanged)

Name
GetTimeAfterSeconds

Parent
TFMSWorldTime

Visibility
PUBLIC

Description
What time it will be in XXX minutes/seconds/hours/days
What time it will be in XXX minutes/seconds/hours/days

Source code
function GetTimeAfterSeconds ( const ASeconds : Double ) : TDateTime

Parameters
Parameter | Description
ASeconds : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (GetTimeAfterMinutes)
Next (GetTimeChanged)


Previous (GetTimeAfterSeconds)
Next (GetWeekChanged)

Name
GetTimeChanged

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
function GetTimeChanged : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetTimeAfterSeconds)
Next (GetWeekChanged)


Previous (GetTimeChanged)
Next (GetYearChanged)

Name
GetWeekChanged

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
function GetWeekChanged : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetTimeChanged)
Next (GetYearChanged)


Previous (GetWeekChanged)
Next (RequestToUpdate)

Name
GetYearChanged

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
function GetYearChanged : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetWeekChanged)
Next (RequestToUpdate)


Previous (GetYearChanged)
Next (RequestToUpdateEx)

Name
RequestToUpdate

Parent
TFMSWorldTime

Visibility
PUBLIC

Source code
procedure RequestToUpdate ( const AUpdateFrequency : TFMSUpdateFrequency ; const AUpdateProc : TStrangeClassCustomProc )

Parameters
Parameter | Description
AUpdateFrequency : TFMSUpdateFrequency | &nbsp;
AUpdateProc : TStrangeClassCustomProc | &nbsp;

FIMAS
Class Tree
Index
Previous (GetYearChanged)
Next (RequestToUpdateEx)


Previous (RequestToUpdate)
Next (Reset)

Name
RequestToUpdateEx

Parent
TFMSWorldTime

Visibility
PUBLIC

Source code
procedure RequestToUpdateEx ( const AUpdateFrequency : TFMSBigUpdateFrequency ; const AUpdateProc : TStrangeClassCustomProc )

Parameters
Parameter | Description
AUpdateFrequency : TFMSBigUpdateFrequency | &nbsp;
AUpdateProc : TStrangeClassCustomProc | &nbsp;

FIMAS
Class Tree
Index
Previous (RequestToUpdate)
Next (Reset)


Previous (RequestToUpdateEx)
Next (SavePreviousParameters)

Name
Reset

Parent
TFMSWorldTime

Visibility
PUBLIC

Source code
procedure Reset ( const AOriginalTime : TDateTime )

Parameters
Parameter | Description
AOriginalTime : TDateTime | &nbsp;

FIMAS
Class Tree
Index
Previous (RequestToUpdateEx)
Next (SavePreviousParameters)


Previous (Reset)
Next (StoreCurrentDateTime)

Name
SavePreviousParameters

Parent
TFMSWorldTime

Visibility
PROTECTED

Source code
procedure SavePreviousParameters ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Reset)
Next (StoreCurrentDateTime)


Previous (SavePreviousParameters)
Next (StoreOriginalDateTime)

Name
StoreCurrentDateTime

Parent
TFMSWorldTime

Visibility
PRIVATE

Source code
function StoreCurrentDateTime : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SavePreviousParameters)
Next (StoreOriginalDateTime)


Previous (StoreCurrentDateTime)
Next (Update)

Name
StoreOriginalDateTime

Parent
TFMSWorldTime

Visibility
PRIVATE

Source code
function StoreOriginalDateTime : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (StoreCurrentDateTime)
Next (Update)


Previous (StoreOriginalDateTime)
Next

Name
Update

Parent
TFMSWorldTime

Visibility
PUBLIC

Source code
procedure Update ( const ANewTime : TDateTime )

Parameters
Parameter | Description
ANewTime : TDateTime | &nbsp;

FIMAS
Class Tree
Index
Previous (StoreOriginalDateTime)
Next


Previous (TFMSWorldTime)
Next

Name
TFMSWorldTimeUpdateAbleList

Parent
FMSCommonClasses

Class Hierarchy
TStrangeInterfacedOwnedPersistent,IFMSWorldTimeUpdateAble

Visibility
PUBLIC

Description
List of IFMSWorldTimeUpdateAble.

Members
Fields
Field Description
FList (-)

Methods
Method Description
ADD (+)
Assign (+)
Clear (+)
Create (+)
Delete (+)
Destroy (+)
DoFMSWordlTimeUpdate (+)
GetCount (-)
GetItems (-)
GetLastItem (+)
REMOVE (+)
SetCount (-)
SetItems (-)

Properties
Property Description
Count (+)
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSWorldTime)
Next


Previous
Next

Name
FList

Parent
TFMSWorldTimeUpdateAbleList

Visibility
PRIVATE

Source code
FList : TList

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Items)

Name
Count

Parent
TFMSWorldTimeUpdateAbleList

Visibility
PUBLIC

Source code
property Count : Integer read GetCount write SetCount

Read Access
GetCount

Write Access
SetCount

FIMAS
Class Tree
Index
Previous
Next (Items)


Previous (Count)
Next

Name
Items

Parent
TFMSWorldTimeUpdateAbleList

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : IFMSWorldTimeUpdateAble read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous (Count)
Next


Previous
Next (Assign)

Name
ADD

Parent
TFMSWorldTimeUpdateAbleList

Visibility
PUBLIC

Source code
procedure Add ( const AItem : IFMSWorldTimeUpdateAble )

Parameters
Parameter | Description
AItem : IFMSWorldTimeUpdateAble | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Assign)


Previous (ADD)
Next (Clear)

Name
Assign

Parent
TFMSWorldTimeUpdateAbleList

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (Clear)


Previous (Assign)
Next (Create)

Name
Clear

Parent
TFMSWorldTimeUpdateAbleList

Visibility
PUBLIC

Source code
procedure Clear

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Assign)
Next (Create)


Previous (Clear)
Next (Delete)

Name
Create

Parent
TFMSWorldTimeUpdateAbleList

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TPersistent ) ; override

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (Clear)
Next (Delete)


Previous (Create)
Next (Destroy)

Name
Delete

Parent
TFMSWorldTimeUpdateAbleList

Visibility
PUBLIC

Source code
procedure Delete ( const AIndex : Integer )

Parameters
Parameter | Description
AIndex : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (Destroy)


Previous (Delete)
Next (DoFMSWordlTimeUpdate)

Name
Destroy

Parent
TFMSWorldTimeUpdateAbleList

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Delete)
Next (DoFMSWordlTimeUpdate)


Previous (Destroy)
Next (GetCount)

Name
DoFMSWordlTimeUpdate

Parent
TFMSWorldTimeUpdateAbleList

Visibility
PUBLIC

Source code
procedure DoFMSWordlTimeUpdate ( const ATime : TFMSWorldTime ) ; virtual

Parameters
Parameter | Description
ATime : TFMSWorldTime | &nbsp;

FIMAS
Class Tree
Index
Previous (Destroy)
Next (GetCount)


Previous (DoFMSWordlTimeUpdate)
Next (GetItems)

Name
GetCount

Parent
TFMSWorldTimeUpdateAbleList

Visibility
PRIVATE

Source code
function GetCount : Integer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoFMSWordlTimeUpdate)
Next (GetItems)


Previous (GetCount)
Next (GetLastItem)

Name
GetItems

Parent
TFMSWorldTimeUpdateAbleList

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : IFMSWorldTimeUpdateAble

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetCount)
Next (GetLastItem)


Previous (GetItems)
Next (REMOVE)

Name
GetLastItem

Parent
TFMSWorldTimeUpdateAbleList

Visibility
PUBLIC

Source code
function GetLastItem : IFMSWorldTimeUpdateAble

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (REMOVE)


Previous (GetLastItem)
Next (SetCount)

Name
REMOVE

Parent
TFMSWorldTimeUpdateAbleList

Visibility
PUBLIC

Source code
procedure Remove ( const AItem : IFMSWorldTimeUpdateAble )

Parameters
Parameter | Description
AItem : IFMSWorldTimeUpdateAble | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (SetCount)


Previous (REMOVE)
Next (SetItems)

Name
SetCount

Parent
TFMSWorldTimeUpdateAbleList

Visibility
PRIVATE

Source code
procedure SetCount ( const Value : Integer )

Parameters
Parameter | Description
Value : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (REMOVE)
Next (SetItems)


Previous (SetCount)
Next

Name
SetItems

Parent
TFMSWorldTimeUpdateAbleList

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : IFMSWorldTimeUpdateAble )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : IFMSWorldTimeUpdateAble | &nbsp;

FIMAS
Class Tree
Index
Previous (SetCount)
Next


Previous
Next

Name
FMS_MIN_MAX_UPDATE_PERIOD_ERROR

Parent
FMSCommonClasses

Visibility
PUBLIC

Source code
FMS_MIN_MAX_UPDATE_PERIOD_ERROR = 'MinUpdatePeriod must be less than MaxUpdatePeriod!'

FIMAS
Class Tree
Index
Previous
Next


Previous (FMSCommonClasses)
Next (FMSEventDrivenWorld)

Name
FMSCommonInterfaces

Parent
FIMAS

Description
FMS common interfaces. It contains only interfaces and common types. It will be used to create an import unit for a DLLs.

Types
Type Description
TFMSGenerateClassificatorNewsEvent (+)
TFMSGenerateRoleNewsEvent (+)

Classes
Class | Description
IFMSAutoGenerateNewsCommonParams (+) | Common parameters to generate Classificator news.
IFMSAutoGenerateNewsForClassificatorParams (+) | Parameters to generate news for all Classificators.
IFMSAutoGenerateNewsForRoleParams (+) | Parameters to generate Role news for all roles. Nothing here ATM.
IFMSClassificator (+) | A means to divide different market participants into groups.
IFMSClassificatorNewsGenerationHandler (+) | Standard interface to generate classificator news.
IFMSClassificatorType (+) | A means to divide different market participants into groups.
IFMSCompanyFinancialStatsCollection (+) | Standard interface to get access to FMSCompanyFinancialStatsCollection.
IFMSParticipantRole (+) | A interface that is similar to Participant.
IFMSParticipantRoleNewsGenerationHandler (+) | Standard interface to generate participant role news.
IFMSRtStdEventDrivenWorld (+) | Standard interface to get access to FMS Real Time World. Only a few options are supported ATM.
IFMSShareTransactionsOverallStats (+) | Standard interface to get access to ShareTransactionsOverallStats.
IFMSUniqueNamed (+) | Each object in colection has a unique name.
IFMSUpdateAble (+) | This can be any object that needs periodic updates.
IFMSUpdateAbleCollectionItem (+) | Object that can be updated each step.
IFMSUtils (+) | Standard interface to get access to a set of standard FMS Utlities.
IFMSWorld (+) | Standard interface to get access to FMS World. Only a few options are supported ATM.
IFMSWorldTime (+) | Standard interface to get access to FMS Time.

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (FMSCommonClasses)
Next (FMSEventDrivenWorld)


Previous
Next (IFMSAutoGenerateNewsForClassificatorParams)

Name
IFMSAutoGenerateNewsCommonParams

Parent
FMSCommonInterfaces

Class Hierarchy
IInterface

Visibility
PUBLIC

Description
Common parameters to generate Classificator news.

Members
Methods
Method Description
GetGeneratorMode (+)
GetMaxPower (+)
GetMinPower (+)
GetNewsCount (+)
SetGeneratorMode (+)
SetMaxPower (+)
SetMinPower (+)
SetNewsCount (+)

Properties
Property Description
GeneratorMode (+)
MaxPower (+)
MinPower (+)
NewsCount (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous
Next (IFMSAutoGenerateNewsForClassificatorParams)


Previous
Next (MaxPower)

Name
GeneratorMode

Parent
IFMSAutoGenerateNewsCommonParams

Visibility
PUBLIC

Source code
property GeneratorMode : TFMSNewsAutoGenerationMode read GetGeneratorMode write SetGeneratorMode

Read Access
GetGeneratorMode

Write Access
SetGeneratorMode

FIMAS
Class Tree
Index
Previous
Next (MaxPower)


Previous (GeneratorMode)
Next (MinPower)

Name
MaxPower

Parent
IFMSAutoGenerateNewsCommonParams

Visibility
PUBLIC

Source code
property MaxPower : Double read GetMaxPower write SetMaxPower

Read Access
GetMaxPower

Write Access
SetMaxPower

FIMAS
Class Tree
Index
Previous (GeneratorMode)
Next (MinPower)


Previous (MaxPower)
Next (NewsCount)

Name
MinPower

Parent
IFMSAutoGenerateNewsCommonParams

Visibility
PUBLIC

Source code
property MinPower : Double read GetMinPower write SetMinPower

Read Access
GetMinPower

Write Access
SetMinPower

FIMAS
Class Tree
Index
Previous (MaxPower)
Next (NewsCount)


Previous (MinPower)
Next

Name
NewsCount

Parent
IFMSAutoGenerateNewsCommonParams

Visibility
PUBLIC

Source code
property NewsCount : Integer read GetNewsCount write SetNewsCount

Read Access
GetNewsCount

Write Access
SetNewsCount

FIMAS
Class Tree
Index
Previous (MinPower)
Next


Previous
Next (GetMaxPower)

Name
GetGeneratorMode

Parent
IFMSAutoGenerateNewsCommonParams

Visibility
PUBLIC

Source code
function GetGeneratorMode : TFMSNewsAutoGenerationMode

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (GetMaxPower)


Previous (GetGeneratorMode)
Next (GetMinPower)

Name
GetMaxPower

Parent
IFMSAutoGenerateNewsCommonParams

Visibility
PUBLIC

Source code
function GetMaxPower : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetGeneratorMode)
Next (GetMinPower)


Previous (GetMaxPower)
Next (GetNewsCount)

Name
GetMinPower

Parent
IFMSAutoGenerateNewsCommonParams

Visibility
PUBLIC

Source code
function GetMinPower : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetMaxPower)
Next (GetNewsCount)


Previous (GetMinPower)
Next (SetGeneratorMode)

Name
GetNewsCount

Parent
IFMSAutoGenerateNewsCommonParams

Visibility
PUBLIC

Source code
function GetNewsCount : Integer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetMinPower)
Next (SetGeneratorMode)


Previous (GetNewsCount)
Next (SetMaxPower)

Name
SetGeneratorMode

Parent
IFMSAutoGenerateNewsCommonParams

Visibility
PUBLIC

Source code
procedure SetGeneratorMode ( const AValue : TFMSNewsAutoGenerationMode )

Parameters
Parameter | Description
AValue : TFMSNewsAutoGenerationMode | &nbsp;

FIMAS
Class Tree
Index
Previous (GetNewsCount)
Next (SetMaxPower)


Previous (SetGeneratorMode)
Next (SetMinPower)

Name
SetMaxPower

Parent
IFMSAutoGenerateNewsCommonParams

Visibility
PUBLIC

Source code
procedure SetMaxPower ( const AValue : Double )

Parameters
Parameter | Description
AValue : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (SetGeneratorMode)
Next (SetMinPower)


Previous (SetMaxPower)
Next (SetNewsCount)

Name
SetMinPower

Parent
IFMSAutoGenerateNewsCommonParams

Visibility
PUBLIC

Source code
procedure SetMinPower ( const AValue : Double )

Parameters
Parameter | Description
AValue : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (SetMaxPower)
Next (SetNewsCount)


Previous (SetMinPower)
Next

Name
SetNewsCount

Parent
IFMSAutoGenerateNewsCommonParams

Visibility
PUBLIC

Source code
procedure SetNewsCount ( const AValue : Integer )

Parameters
Parameter | Description
AValue : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (SetMinPower)
Next


Previous (IFMSAutoGenerateNewsCommonParams)
Next (IFMSAutoGenerateNewsForRoleParams)

Name
IFMSAutoGenerateNewsForClassificatorParams

Parent
FMSCommonInterfaces

Class Hierarchy
IFMSAutoGenerateNewsCommonParams

Visibility
PUBLIC

Description
Parameters to generate news for all Classificators.

Members
Methods
Method Description
GetClassificatorType (+)
GetMaxClassificatorLinkCount (+)
GetMaxLinkMultiplier (+)
GetMinClassificatorLinkCount (+)
GetMinLinkMultiplier (+)
SetMaxClassificatorLinkCount (+)
SetMaxLinkMultiplier (+)
SetMinClassificatorLinkCount (+)
SetMinLinkMultiplier (+)

Properties
Property Description
ClassificatorType (+)
MaxClassificatorLinkCount (+)
MaxLinkMultiplier (+)
MinClassificatorLinkCount (+)
MinLinkMultiplier (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (IFMSAutoGenerateNewsCommonParams)
Next (IFMSAutoGenerateNewsForRoleParams)


Previous
Next (MaxClassificatorLinkCount)

Name
ClassificatorType

Parent
IFMSAutoGenerateNewsForClassificatorParams

Visibility
PUBLIC

Source code
property ClassificatorType : IFMSClassificatorType read GetClassificatorType

Read Access
GetClassificatorType

FIMAS
Class Tree
Index
Previous
Next (MaxClassificatorLinkCount)


Previous (ClassificatorType)
Next (MaxLinkMultiplier)

Name
MaxClassificatorLinkCount

Parent
IFMSAutoGenerateNewsForClassificatorParams

Visibility
PUBLIC

Source code
property MaxClassificatorLinkCount : Integer read GetMaxClassificatorLinkCount write SetMaxClassificatorLinkCount

Read Access
GetMaxClassificatorLinkCount

Write Access
SetMaxClassificatorLinkCount

FIMAS
Class Tree
Index
Previous (ClassificatorType)
Next (MaxLinkMultiplier)


Previous (MaxClassificatorLinkCount)
Next (MinClassificatorLinkCount)

Name
MaxLinkMultiplier

Parent
IFMSAutoGenerateNewsForClassificatorParams

Visibility
PUBLIC

Source code
property MaxLinkMultiplier : Double read GetMaxLinkMultiplier write SetMaxLinkMultiplier

Read Access
GetMaxLinkMultiplier

Write Access
SetMaxLinkMultiplier

FIMAS
Class Tree
Index
Previous (MaxClassificatorLinkCount)
Next (MinClassificatorLinkCount)


Previous (MaxLinkMultiplier)
Next (MinLinkMultiplier)

Name
MinClassificatorLinkCount

Parent
IFMSAutoGenerateNewsForClassificatorParams

Visibility
PUBLIC

Source code
property MinClassificatorLinkCount : Integer read GetMinClassificatorLinkCount write SetMinClassificatorLinkCount

Read Access
GetMinClassificatorLinkCount

Write Access
SetMinClassificatorLinkCount

FIMAS
Class Tree
Index
Previous (MaxLinkMultiplier)
Next (MinLinkMultiplier)


Previous (MinClassificatorLinkCount)
Next

Name
MinLinkMultiplier

Parent
IFMSAutoGenerateNewsForClassificatorParams

Visibility
PUBLIC

Source code
property MinLinkMultiplier : Double read GetMinLinkMultiplier write SetMinLinkMultiplier

Read Access
GetMinLinkMultiplier

Write Access
SetMinLinkMultiplier

FIMAS
Class Tree
Index
Previous (MinClassificatorLinkCount)
Next


Previous
Next (GetMaxClassificatorLinkCount)

Name
GetClassificatorType

Parent
IFMSAutoGenerateNewsForClassificatorParams

Visibility
PUBLIC

Source code
function GetClassificatorType : IFMSClassificatorType

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (GetMaxClassificatorLinkCount)


Previous (GetClassificatorType)
Next (GetMaxLinkMultiplier)

Name
GetMaxClassificatorLinkCount

Parent
IFMSAutoGenerateNewsForClassificatorParams

Visibility
PUBLIC

Source code
function GetMaxClassificatorLinkCount : Integer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetClassificatorType)
Next (GetMaxLinkMultiplier)


Previous (GetMaxClassificatorLinkCount)
Next (GetMinClassificatorLinkCount)

Name
GetMaxLinkMultiplier

Parent
IFMSAutoGenerateNewsForClassificatorParams

Visibility
PUBLIC

Source code
function GetMaxLinkMultiplier : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetMaxClassificatorLinkCount)
Next (GetMinClassificatorLinkCount)


Previous (GetMaxLinkMultiplier)
Next (GetMinLinkMultiplier)

Name
GetMinClassificatorLinkCount

Parent
IFMSAutoGenerateNewsForClassificatorParams

Visibility
PUBLIC

Source code
function GetMinClassificatorLinkCount : Integer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetMaxLinkMultiplier)
Next (GetMinLinkMultiplier)


Previous (GetMinClassificatorLinkCount)
Next (SetMaxClassificatorLinkCount)

Name
GetMinLinkMultiplier

Parent
IFMSAutoGenerateNewsForClassificatorParams

Visibility
PUBLIC

Source code
function GetMinLinkMultiplier : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetMinClassificatorLinkCount)
Next (SetMaxClassificatorLinkCount)


Previous (GetMinLinkMultiplier)
Next (SetMaxLinkMultiplier)

Name
SetMaxClassificatorLinkCount

Parent
IFMSAutoGenerateNewsForClassificatorParams

Visibility
PUBLIC

Source code
procedure SetMaxClassificatorLinkCount ( const AValue : Integer )

Parameters
Parameter | Description
AValue : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetMinLinkMultiplier)
Next (SetMaxLinkMultiplier)


Previous (SetMaxClassificatorLinkCount)
Next (SetMinClassificatorLinkCount)

Name
SetMaxLinkMultiplier

Parent
IFMSAutoGenerateNewsForClassificatorParams

Visibility
PUBLIC

Source code
procedure SetMaxLinkMultiplier ( const AValue : Double )

Parameters
Parameter | Description
AValue : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (SetMaxClassificatorLinkCount)
Next (SetMinClassificatorLinkCount)


Previous (SetMaxLinkMultiplier)
Next (SetMinLinkMultiplier)

Name
SetMinClassificatorLinkCount

Parent
IFMSAutoGenerateNewsForClassificatorParams

Visibility
PUBLIC

Source code
procedure SetMinClassificatorLinkCount ( const AValue : Integer )

Parameters
Parameter | Description
AValue : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (SetMaxLinkMultiplier)
Next (SetMinLinkMultiplier)


Previous (SetMinClassificatorLinkCount)
Next

Name
SetMinLinkMultiplier

Parent
IFMSAutoGenerateNewsForClassificatorParams

Visibility
PUBLIC

Source code
procedure SetMinLinkMultiplier ( const AValue : Double )

Parameters
Parameter | Description
AValue : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (SetMinClassificatorLinkCount)
Next


Previous (IFMSAutoGenerateNewsForClassificatorParams)
Next (IFMSClassificator)

Name
IFMSAutoGenerateNewsForRoleParams

Parent
FMSCommonInterfaces

Class Hierarchy
IFMSAutoGenerateNewsCommonParams

Visibility
PUBLIC

Description
Parameters to generate Role news for all roles. Nothing here ATM.

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (IFMSAutoGenerateNewsForClassificatorParams)
Next (IFMSClassificator)


Previous (IFMSAutoGenerateNewsForRoleParams)
Next (IFMSClassificatorNewsGenerationHandler)

Name
IFMSClassificator

Parent
FMSCommonInterfaces

Class Hierarchy
IFMSUpdateAble

Visibility
PUBLIC

Description
A means to divide different market participants into groups.

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (IFMSAutoGenerateNewsForRoleParams)
Next (IFMSClassificatorNewsGenerationHandler)


Previous (IFMSClassificator)
Next (IFMSClassificatorType)

Name
IFMSClassificatorNewsGenerationHandler

Parent
FMSCommonInterfaces

Class Hierarchy
IInterface

Visibility
PUBLIC

Description
Standard interface to generate classificator news.

Members
Methods
Method Description
DoGenerateClassificatorNews (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (IFMSClassificator)
Next (IFMSClassificatorType)


Previous
Next

Name
DoGenerateClassificatorNews

Parent
IFMSClassificatorNewsGenerationHandler

Visibility
PUBLIC

Source code
procedure DoGenerateClassificatorNews ( const AClassificator : IFMSClassificator ; const AStartPeriod , AEndPeriod : TDateTime ; const AParams : IFMSAutoGenerateNewsForClassificatorParams )

Parameters
Parameter | Description
AClassificator : IFMSClassificator | &nbsp;
AStartPeriod : TDateTime | &nbsp;
AEndPeriod : TDateTime | &nbsp;
AParams : IFMSAutoGenerateNewsForClassificatorParams | &nbsp;

FIMAS
Class Tree
Index
Previous
Next


Previous (IFMSClassificatorNewsGenerationHandler)
Next (IFMSCompanyFinancialStatsCollection)

Name
IFMSClassificatorType

Parent
FMSCommonInterfaces

Class Hierarchy
IFMSUpdateAbleCollectionItem

Visibility
PUBLIC

Description
A means to divide different market participants into groups.

Members
Methods
Method Description
GetName (+)
SetName (+)

Properties
Property Description
NAME (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (IFMSClassificatorNewsGenerationHandler)
Next (IFMSCompanyFinancialStatsCollection)


Previous
Next

Name
NAME

Parent
IFMSClassificatorType

Visibility
PUBLIC

Source code
property Name : string read GetName write SetName

Read Access
GetName

Write Access
SetName

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (SetName)

Name
GetName

Parent
IFMSClassificatorType

Visibility
PUBLIC

Source code
function GetName : string

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (SetName)


Previous (GetName)
Next

Name
SetName

Parent
IFMSClassificatorType

Visibility
PUBLIC

Source code
procedure SetName ( const AName : string )

Parameters
Parameter | Description
AName : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (GetName)
Next


Previous (IFMSClassificatorType)
Next (IFMSParticipantRole)

Name
IFMSCompanyFinancialStatsCollection

Parent
FMSCommonInterfaces

Class Hierarchy
IInterface

Visibility
PUBLIC

Description
Standard interface to get access to FMSCompanyFinancialStatsCollection.

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (IFMSClassificatorType)
Next (IFMSParticipantRole)


Previous (IFMSCompanyFinancialStatsCollection)
Next (IFMSParticipantRoleNewsGenerationHandler)

Name
IFMSParticipantRole

Parent
FMSCommonInterfaces

Class Hierarchy
IFMSUpdateAble

Visibility
PUBLIC

Description
A interface that is similar to Participant.

Members
Methods
Method Description
GetAssets (+)
GetDebt (+)
GetNetAssets (+)

Properties
Property Description
Assets (+)
Debt (+)
NetAssets (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (IFMSCompanyFinancialStatsCollection)
Next (IFMSParticipantRoleNewsGenerationHandler)


Previous
Next (Debt)

Name
Assets

Parent
IFMSParticipantRole

Visibility
PUBLIC

Source code
property Assets : Double read GetAssets

Read Access
GetAssets

FIMAS
Class Tree
Index
Previous
Next (Debt)


Previous (Assets)
Next (NetAssets)

Name
Debt

Parent
IFMSParticipantRole

Visibility
PUBLIC

Source code
property Debt : Double read GetDebt

Read Access
GetDebt

FIMAS
Class Tree
Index
Previous (Assets)
Next (NetAssets)


Previous (Debt)
Next

Name
NetAssets

Parent
IFMSParticipantRole

Visibility
PUBLIC

Source code
property NetAssets : Double read GetNetAssets

Read Access
GetNetAssets

FIMAS
Class Tree
Index
Previous (Debt)
Next


Previous
Next (GetDebt)

Name
GetAssets

Parent
IFMSParticipantRole

Visibility
PUBLIC

Source code
function GetAssets : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (GetDebt)


Previous (GetAssets)
Next (GetNetAssets)

Name
GetDebt

Parent
IFMSParticipantRole

Visibility
PUBLIC

Source code
function GetDebt : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetAssets)
Next (GetNetAssets)


Previous (GetDebt)
Next

Name
GetNetAssets

Parent
IFMSParticipantRole

Visibility
PUBLIC

Source code
function GetNetAssets : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetDebt)
Next


Previous (IFMSParticipantRole)
Next (IFMSRtStdEventDrivenWorld)

Name
IFMSParticipantRoleNewsGenerationHandler

Parent
FMSCommonInterfaces

Class Hierarchy
IInterface

Visibility
PUBLIC

Description
Standard interface to generate participant role news.

Members
Methods
Method Description
DoGenerateParticipantRoleNews (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (IFMSParticipantRole)
Next (IFMSRtStdEventDrivenWorld)


Previous
Next

Name
DoGenerateParticipantRoleNews

Parent
IFMSParticipantRoleNewsGenerationHandler

Visibility
PUBLIC

Source code
procedure DoGenerateParticipantRoleNews ( const ARole : IFMSParticipantRole ; const AStartPeriod , AEndPeriod : TDateTime ; const AParams : IFMSAutoGenerateNewsForRoleParams )

Parameters
Parameter | Description
ARole : IFMSParticipantRole | &nbsp;
AStartPeriod : TDateTime | &nbsp;
AEndPeriod : TDateTime | &nbsp;
AParams : IFMSAutoGenerateNewsForRoleParams | &nbsp;

FIMAS
Class Tree
Index
Previous
Next


Previous (IFMSParticipantRoleNewsGenerationHandler)
Next (IFMSShareTransactionsOverallStats)

Name
IFMSRtStdEventDrivenWorld

Parent
FMSCommonInterfaces

Class Hierarchy
IFMSWorld

Visibility
PUBLIC

Description
Standard interface to get access to FMS Real Time World. Only a few options are supported ATM.

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (IFMSParticipantRoleNewsGenerationHandler)
Next (IFMSShareTransactionsOverallStats)


Previous (IFMSRtStdEventDrivenWorld)
Next (IFMSUniqueNamed)

Name
IFMSShareTransactionsOverallStats

Parent
FMSCommonInterfaces

Class Hierarchy
IInterface

Visibility
PUBLIC

Description
Standard interface to get access to ShareTransactionsOverallStats.

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (IFMSRtStdEventDrivenWorld)
Next (IFMSUniqueNamed)


Previous (IFMSShareTransactionsOverallStats)
Next (IFMSUpdateAble)

Name
IFMSUniqueNamed

Parent
FMSCommonInterfaces

Class Hierarchy
IStrangeInterfacedXCollectionItem

Visibility
PUBLIC

Description
Each object in colection has a unique name.

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (IFMSShareTransactionsOverallStats)
Next (IFMSUpdateAble)


Previous (IFMSUniqueNamed)
Next (IFMSUpdateAbleCollectionItem)

Name
IFMSUpdateAble

Parent
FMSCommonInterfaces

Class Hierarchy
IFMSUniqueNamed

Visibility
PUBLIC

Description
This can be any object that needs periodic updates.

Members
Methods
Method Description
GetActive (+)
SetActive (+)

Properties
Property Description
Active (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (IFMSUniqueNamed)
Next (IFMSUpdateAbleCollectionItem)


Previous
Next

Name
Active

Parent
IFMSUpdateAble

Visibility
PUBLIC

Source code
property Active : Boolean read GetActive write SetActive

Read Access
GetActive

Write Access
SetActive

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (SetActive)

Name
GetActive

Parent
IFMSUpdateAble

Visibility
PUBLIC

Source code
function GetActive : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (SetActive)


Previous (GetActive)
Next

Name
SetActive

Parent
IFMSUpdateAble

Visibility
PUBLIC

Source code
procedure SetActive ( const AValue : Boolean )

Parameters
Parameter | Description
AValue : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (GetActive)
Next


Previous (IFMSUpdateAble)
Next (IFMSUtils)

Name
IFMSUpdateAbleCollectionItem

Parent
FMSCommonInterfaces

Class Hierarchy
IStrangeBorlandCollectionItem

Visibility
PUBLIC

Description
Object that can be updated each step.

Members
Methods
Method Description
Step (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (IFMSUpdateAble)
Next (IFMSUtils)


Previous
Next

Name
Step

Parent
IFMSUpdateAbleCollectionItem

Visibility
PUBLIC

Source code
procedure Step

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next


Previous (IFMSUpdateAbleCollectionItem)
Next (IFMSWorld)

Name
IFMSUtils

Parent
FMSCommonInterfaces

Class Hierarchy
IInterface

Visibility
PUBLIC

Description
Standard interface to get access to a set of standard FMS Utlities.

Members
Methods
Method Description
BigNumberToStr (+)
DayOfWeekToStr (+)
FMSDateTimeToStr (+)
FMSRound (+)
GetFMSDayOfWeek (+)
IncDayFloat (+)
IncHourFloat (+)
IncMilliSecondFloat (+)
IncMinuteFloat (+)
IncSecondFloat (+)
IncWeekFloat (+)
SecondsToStrAdv (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (IFMSUpdateAbleCollectionItem)
Next (IFMSWorld)


Previous
Next (DayOfWeekToStr)

Name
BigNumberToStr

Parent
IFMSUtils

Visibility
PUBLIC

Source code
procedure BigNumberToStr ( const ANumber : Double ; const AOutput : PChar )

Parameters
Parameter | Description
ANumber : DOUBLE | &nbsp;
AOutput : PCHAR | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (DayOfWeekToStr)


Previous (BigNumberToStr)
Next (FMSDateTimeToStr)

Name
DayOfWeekToStr

Parent
IFMSUtils

Visibility
PUBLIC

Source code
procedure DayOfWeekToStr ( const ADateTime : TDateTime ; const AOutput : PChar )

Parameters
Parameter | Description
ADateTime : TDateTime | &nbsp;
AOutput : PCHAR | &nbsp;

FIMAS
Class Tree
Index
Previous (BigNumberToStr)
Next (FMSDateTimeToStr)


Previous (DayOfWeekToStr)
Next (FMSRound)

Name
FMSDateTimeToStr

Parent
IFMSUtils

Visibility
PUBLIC

Source code
procedure FMSDateTimeToStr ( const ADateTime : TDateTime ; const AOutput : PChar )

Parameters
Parameter | Description
ADateTime : TDateTime | &nbsp;
AOutput : PCHAR | &nbsp;

FIMAS
Class Tree
Index
Previous (DayOfWeekToStr)
Next (FMSRound)


Previous (FMSDateTimeToStr)
Next (GetFMSDayOfWeek)

Name
FMSRound

Parent
IFMSUtils

Visibility
PUBLIC

Source code
function FMSRound ( const AInput : Double ) : Double

Parameters
Parameter | Description
AInput : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (FMSDateTimeToStr)
Next (GetFMSDayOfWeek)


Previous (FMSRound)
Next (IncDayFloat)

Name
GetFMSDayOfWeek

Parent
IFMSUtils

Visibility
PUBLIC

Source code
function GetFMSDayOfWeek ( const ADateTime : TDateTime ) : TFMSDayOfWeek

Parameters
Parameter | Description
ADateTime : TDateTime | &nbsp;

FIMAS
Class Tree
Index
Previous (FMSRound)
Next (IncDayFloat)


Previous (GetFMSDayOfWeek)
Next (IncHourFloat)

Name
IncDayFloat

Parent
IFMSUtils

Visibility
PUBLIC

Source code
function IncDayFloat ( const AValue : TDateTime ; const ANumberOfDays : Double ) : TDateTime

Parameters
Parameter | Description
AValue : TDateTime | &nbsp;
ANumberOfDays : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (GetFMSDayOfWeek)
Next (IncHourFloat)


Previous (IncDayFloat)
Next (IncMilliSecondFloat)

Name
IncHourFloat

Parent
IFMSUtils

Visibility
PUBLIC

Source code
function IncHourFloat ( const AValue : TDateTime ; const ANumberOfHours : Double ) : TDateTime

Parameters
Parameter | Description
AValue : TDateTime | &nbsp;
ANumberOfHours : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (IncDayFloat)
Next (IncMilliSecondFloat)


Previous (IncHourFloat)
Next (IncMinuteFloat)

Name
IncMilliSecondFloat

Parent
IFMSUtils

Visibility
PUBLIC

Source code
function IncMilliSecondFloat ( const AValue : TDateTime ; const ANumberOfMilliSeconds : Double ) : TDateTime

Parameters
Parameter | Description
AValue : TDateTime | &nbsp;
ANumberOfMilliSeconds : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (IncHourFloat)
Next (IncMinuteFloat)


Previous (IncMilliSecondFloat)
Next (IncSecondFloat)

Name
IncMinuteFloat

Parent
IFMSUtils

Visibility
PUBLIC

Source code
function IncMinuteFloat ( const AValue : TDateTime ; const ANumberOfMinutes : Double ) : TDateTime

Parameters
Parameter | Description
AValue : TDateTime | &nbsp;
ANumberOfMinutes : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (IncMilliSecondFloat)
Next (IncSecondFloat)


Previous (IncMinuteFloat)
Next (IncWeekFloat)

Name
IncSecondFloat

Parent
IFMSUtils

Visibility
PUBLIC

Source code
function IncSecondFloat ( const AValue : TDateTime ; const ANumberOfSeconds : Double ) : TDateTime

Parameters
Parameter | Description
AValue : TDateTime | &nbsp;
ANumberOfSeconds : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (IncMinuteFloat)
Next (IncWeekFloat)


Previous (IncSecondFloat)
Next (SecondsToStrAdv)

Name
IncWeekFloat

Parent
IFMSUtils

Visibility
PUBLIC

Source code
function IncWeekFloat ( const AValue : TDateTime ; const ANumberOfWeeks : Double ) : TDateTime

Parameters
Parameter | Description
AValue : TDateTime | &nbsp;
ANumberOfWeeks : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (IncSecondFloat)
Next (SecondsToStrAdv)


Previous (IncWeekFloat)
Next

Name
SecondsToStrAdv

Parent
IFMSUtils

Visibility
PUBLIC

Source code
procedure SecondsToStrAdv ( const ASeconds : Double ; const AOutput : PChar )

Parameters
Parameter | Description
ASeconds : DOUBLE | &nbsp;
AOutput : PCHAR | &nbsp;

FIMAS
Class Tree
Index
Previous (IncWeekFloat)
Next


Previous (IFMSUtils)
Next (IFMSWorldTime)

Name
IFMSWorld

Parent
FMSCommonInterfaces

Class Hierarchy
IInterface

Visibility
PUBLIC

Description
Standard interface to get access to FMS World. Only a few options are supported ATM.

Members
Methods
Method Description
GetTime (+)

Properties
Property Description
Time (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (IFMSUtils)
Next (IFMSWorldTime)


Previous
Next

Name
Time

Parent
IFMSWorld

Visibility
PUBLIC

Source code
property Time : IFMSWorldTime read GetTime

Read Access
GetTime

FIMAS
Class Tree
Index
Previous
Next


Previous
Next

Name
GetTime

Parent
IFMSWorld

Visibility
PUBLIC

Source code
function GetTime : IFMSWorldTime

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next


Previous (IFMSWorld)
Next

Name
IFMSWorldTime

Parent
FMSCommonInterfaces

Class Hierarchy
IInterface

Visibility
PUBLIC

Description
Standard interface to get access to FMS Time.

Members
Methods
Method | Description
GetCurrentDateTime (+)
GetCurrentDayOfMonth (+)
GetCurrentDayOfWeek (+)
GetCurrentHourOfDay (+)
GetCurrentMinuteOfHour (+)
GetCurrentMonth (+)
GetCurrentSeason (+)
GetCurrentSecondOfMinute (+)
GetCurrentWeek (+)
GetCurrentYear (+)
GetDayChanged (+)
GetDaysInCurrentMonth (+)
GetHourChanged (+)
GetMinuteChanged (+)
GetMonthChanged (+)
GetOriginalDateTime (+)
GetPreviousDateTime (+)
GetPreviousDayOfMonth (+)
GetPreviousDayOfWeek (+)
GetPreviousHourOfDay (+)
GetPreviousMinuteOfHour (+)
GetPreviousMonth (+)
GetPreviousSeason (+)
GetPreviousSecondOfMinute (+)
GetPreviousWeek (+)
GetPreviousYear (+)
GetSeasonChanged (+)
GetSecondChanged (+)
GetTimeAfterDays (+)
GetTimeAfterHours (+)
GetTimeAfterMinutes (+)
GetTimeAfterSeconds (+) | What time it will be in XXX minutes/seconds/hours/days
GetTimeChanged (+)
GetWeekChanged (+)
GetYearChanged (+)
Reset (+)
Update (+)

Properties
Property Description
CurrentDateTime (+)
CurrentDayOfMonth (+)
CurrentDayOfWeek (+)
CurrentHourOfDay (+)
CurrentMinuteOfHour (+)
CurrentMonth (+)
CurrentSeason (+)
CurrentSecondOfMinute (+)
CurrentWeek (+)
CurrentYear (+)
DayChanged (+)
DaysInCurrentMonth (+)
HourChanged (+)
MinuteChanged (+)
MonthChanged (+)
OriginalDateTime (+)
PreviousDateTime (+)
PreviousDayOfMonth (+)
PreviousDayOfWeek (+)
PreviousHourOfDay (+)
PreviousMinuteOfHour (+)
PreviousMonth (+)
PreviousSeason (+)
PreviousSecondOfMinute (+)
PreviousWeek (+)
PreviousYear (+)
SeasonChanged (+)
SecondChanged (+)
TimeChanged (+)
WeekChanged (+)
YearChanged (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (IFMSWorld)
Next


Previous
Next (CurrentDayOfMonth)

Name
CurrentDateTime

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
property CurrentDateTime : TDateTime read GetCurrentDateTime

Read Access
GetCurrentDateTime

FIMAS
Class Tree
Index
Previous
Next (CurrentDayOfMonth)


Previous (CurrentDateTime)
Next (CurrentDayOfWeek)

Name
CurrentDayOfMonth

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
property CurrentDayOfMonth : Word read GetCurrentDayOfMonth

Read Access
GetCurrentDayOfMonth

FIMAS
Class Tree
Index
Previous (CurrentDateTime)
Next (CurrentDayOfWeek)


Previous (CurrentDayOfMonth)
Next (CurrentHourOfDay)

Name
CurrentDayOfWeek

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
property CurrentDayOfWeek : TFMSDayOfWeek read GetCurrentDayOfWeek

Read Access
GetCurrentDayOfWeek

FIMAS
Class Tree
Index
Previous (CurrentDayOfMonth)
Next (CurrentHourOfDay)


Previous (CurrentDayOfWeek)
Next (CurrentMinuteOfHour)

Name
CurrentHourOfDay

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
property CurrentHourOfDay : Word read GetCurrentHourOfDay

Read Access
GetCurrentHourOfDay

FIMAS
Class Tree
Index
Previous (CurrentDayOfWeek)
Next (CurrentMinuteOfHour)


Previous (CurrentHourOfDay)
Next (CurrentMonth)

Name
CurrentMinuteOfHour

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
property CurrentMinuteOfHour : Word read GetCurrentMinuteOfHour

Read Access
GetCurrentMinuteOfHour

FIMAS
Class Tree
Index
Previous (CurrentHourOfDay)
Next (CurrentMonth)


Previous (CurrentMinuteOfHour)
Next (CurrentSeason)

Name
CurrentMonth

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
property CurrentMonth : Word read GetCurrentMonth

Read Access
GetCurrentMonth

FIMAS
Class Tree
Index
Previous (CurrentMinuteOfHour)
Next (CurrentSeason)


Previous (CurrentMonth)
Next (CurrentSecondOfMinute)

Name
CurrentSeason

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
property CurrentSeason : Word read GetCurrentSeason

Read Access
GetCurrentSeason

FIMAS
Class Tree
Index
Previous (CurrentMonth)
Next (CurrentSecondOfMinute)


Previous (CurrentSeason)
Next (CurrentWeek)

Name
CurrentSecondOfMinute

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
property CurrentSecondOfMinute : Word read GetCurrentSecondOfMinute

Read Access
GetCurrentSecondOfMinute

FIMAS
Class Tree
Index
Previous (CurrentSeason)
Next (CurrentWeek)


Previous (CurrentSecondOfMinute)
Next (CurrentYear)

Name
CurrentWeek

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
property CurrentWeek : Word read GetCurrentWeek

Read Access
GetCurrentWeek

FIMAS
Class Tree
Index
Previous (CurrentSecondOfMinute)
Next (CurrentYear)


Previous (CurrentWeek)
Next (DayChanged)

Name
CurrentYear

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
property CurrentYear : Word read GetCurrentYear

Read Access
GetCurrentYear

FIMAS
Class Tree
Index
Previous (CurrentWeek)
Next (DayChanged)


Previous (CurrentYear)
Next (DaysInCurrentMonth)

Name
DayChanged

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
property DayChanged : Boolean read GetDayChanged

Read Access
GetDayChanged

FIMAS
Class Tree
Index
Previous (CurrentYear)
Next (DaysInCurrentMonth)


Previous (DayChanged)
Next (HourChanged)

Name
DaysInCurrentMonth

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
property DaysInCurrentMonth : Word read GetDaysInCurrentMonth

Read Access
GetDaysInCurrentMonth

FIMAS
Class Tree
Index
Previous (DayChanged)
Next (HourChanged)


Previous (DaysInCurrentMonth)
Next (MinuteChanged)

Name
HourChanged

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
property HourChanged : Boolean read GetHourChanged

Read Access
GetHourChanged

FIMAS
Class Tree
Index
Previous (DaysInCurrentMonth)
Next (MinuteChanged)


Previous (HourChanged)
Next (MonthChanged)

Name
MinuteChanged

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
property MinuteChanged : Boolean read GetMinuteChanged

Read Access
GetMinuteChanged

FIMAS
Class Tree
Index
Previous (HourChanged)
Next (MonthChanged)


Previous (MinuteChanged)
Next (OriginalDateTime)

Name
MonthChanged

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
property MonthChanged : Boolean read GetMonthChanged

Read Access
GetMonthChanged

FIMAS
Class Tree
Index
Previous (MinuteChanged)
Next (OriginalDateTime)


Previous (MonthChanged)
Next (PreviousDateTime)

Name
OriginalDateTime

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
property OriginalDateTime : TDateTime read GetOriginalDateTime

Read Access
GetOriginalDateTime

FIMAS
Class Tree
Index
Previous (MonthChanged)
Next (PreviousDateTime)


Previous (OriginalDateTime)
Next (PreviousDayOfMonth)

Name
PreviousDateTime

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
property PreviousDateTime : TDateTime read GetPreviousDateTime

Read Access
GetPreviousDateTime

FIMAS
Class Tree
Index
Previous (OriginalDateTime)
Next (PreviousDayOfMonth)


Previous (PreviousDateTime)
Next (PreviousDayOfWeek)

Name
PreviousDayOfMonth

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
property PreviousDayOfMonth : Word read GetPreviousDayOfMonth

Read Access
GetPreviousDayOfMonth

FIMAS
Class Tree
Index
Previous (PreviousDateTime)
Next (PreviousDayOfWeek)


Previous (PreviousDayOfMonth)
Next (PreviousHourOfDay)

Name
PreviousDayOfWeek

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
property PreviousDayOfWeek : TFMSDayOfWeek read GetPreviousDayOfWeek

Read Access
GetPreviousDayOfWeek

FIMAS
Class Tree
Index
Previous (PreviousDayOfMonth)
Next (PreviousHourOfDay)


Previous (PreviousDayOfWeek)
Next (PreviousMinuteOfHour)

Name
PreviousHourOfDay

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
property PreviousHourOfDay : Word read GetPreviousHourOfDay

Read Access
GetPreviousHourOfDay

FIMAS
Class Tree
Index
Previous (PreviousDayOfWeek)
Next (PreviousMinuteOfHour)


Previous (PreviousHourOfDay)
Next (PreviousMonth)

Name
PreviousMinuteOfHour

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
property PreviousMinuteOfHour : Word read GetPreviousMinuteOfHour

Read Access
GetPreviousMinuteOfHour

FIMAS
Class Tree
Index
Previous (PreviousHourOfDay)
Next (PreviousMonth)


Previous (PreviousMinuteOfHour)
Next (PreviousSeason)

Name
PreviousMonth

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
property PreviousMonth : Word read GetPreviousMonth

Read Access
GetPreviousMonth

FIMAS
Class Tree
Index
Previous (PreviousMinuteOfHour)
Next (PreviousSeason)


Previous (PreviousMonth)
Next (PreviousSecondOfMinute)

Name
PreviousSeason

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
property PreviousSeason : Word read GetPreviousSeason

Read Access
GetPreviousSeason

FIMAS
Class Tree
Index
Previous (PreviousMonth)
Next (PreviousSecondOfMinute)


Previous (PreviousSeason)
Next (PreviousWeek)

Name
PreviousSecondOfMinute

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
property PreviousSecondOfMinute : Word read GetPreviousSecondOfMinute

Read Access
GetPreviousSecondOfMinute

FIMAS
Class Tree
Index
Previous (PreviousSeason)
Next (PreviousWeek)


Previous (PreviousSecondOfMinute)
Next (PreviousYear)

Name
PreviousWeek

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
property PreviousWeek : Word read GetPreviousWeek

Read Access
GetPreviousWeek

FIMAS
Class Tree
Index
Previous (PreviousSecondOfMinute)
Next (PreviousYear)


Previous (PreviousWeek)
Next (SeasonChanged)

Name
PreviousYear

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
property PreviousYear : Word read GetPreviousYear

Read Access
GetPreviousYear

FIMAS
Class Tree
Index
Previous (PreviousWeek)
Next (SeasonChanged)


Previous (PreviousYear)
Next (SecondChanged)

Name
SeasonChanged

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
property SeasonChanged : Boolean read GetSeasonChanged

Read Access
GetSeasonChanged

FIMAS
Class Tree
Index
Previous (PreviousYear)
Next (SecondChanged)


Previous (SeasonChanged)
Next (TimeChanged)

Name
SecondChanged

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
property SecondChanged : Boolean read GetSecondChanged

Read Access
GetSecondChanged

FIMAS
Class Tree
Index
Previous (SeasonChanged)
Next (TimeChanged)


Previous (SecondChanged)
Next (WeekChanged)

Name
TimeChanged

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
property TimeChanged : Boolean read GetTimeChanged

Read Access
GetTimeChanged

FIMAS
Class Tree
Index
Previous (SecondChanged)
Next (WeekChanged)


Previous (TimeChanged)
Next (YearChanged)

Name
WeekChanged

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
property WeekChanged : Boolean read GetWeekChanged

Read Access
GetWeekChanged

FIMAS
Class Tree
Index
Previous (TimeChanged)
Next (YearChanged)


Previous (WeekChanged)
Next

Name
YearChanged

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
property YearChanged : Boolean read GetYearChanged

Read Access
GetYearChanged

FIMAS
Class Tree
Index
Previous (WeekChanged)
Next


Previous
Next (GetCurrentDayOfMonth)

Name
GetCurrentDateTime

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetCurrentDateTime : TDateTime

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (GetCurrentDayOfMonth)


Previous (GetCurrentDateTime)
Next (GetCurrentDayOfWeek)

Name
GetCurrentDayOfMonth

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetCurrentDayOfMonth : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCurrentDateTime)
Next (GetCurrentDayOfWeek)


Previous (GetCurrentDayOfMonth)
Next (GetCurrentHourOfDay)

Name
GetCurrentDayOfWeek

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetCurrentDayOfWeek : TFMSDayOfWeek

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCurrentDayOfMonth)
Next (GetCurrentHourOfDay)


Previous (GetCurrentDayOfWeek)
Next (GetCurrentMinuteOfHour)

Name
GetCurrentHourOfDay

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetCurrentHourOfDay : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCurrentDayOfWeek)
Next (GetCurrentMinuteOfHour)


Previous (GetCurrentHourOfDay)
Next (GetCurrentMonth)

Name
GetCurrentMinuteOfHour

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetCurrentMinuteOfHour : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCurrentHourOfDay)
Next (GetCurrentMonth)


Previous (GetCurrentMinuteOfHour)
Next (GetCurrentSeason)

Name
GetCurrentMonth

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetCurrentMonth : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCurrentMinuteOfHour)
Next (GetCurrentSeason)


Previous (GetCurrentMonth)
Next (GetCurrentSecondOfMinute)

Name
GetCurrentSeason

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetCurrentSeason : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCurrentMonth)
Next (GetCurrentSecondOfMinute)


Previous (GetCurrentSeason)
Next (GetCurrentWeek)

Name
GetCurrentSecondOfMinute

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetCurrentSecondOfMinute : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCurrentSeason)
Next (GetCurrentWeek)


Previous (GetCurrentSecondOfMinute)
Next (GetCurrentYear)

Name
GetCurrentWeek

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetCurrentWeek : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCurrentSecondOfMinute)
Next (GetCurrentYear)


Previous (GetCurrentWeek)
Next (GetDayChanged)

Name
GetCurrentYear

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetCurrentYear : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCurrentWeek)
Next (GetDayChanged)


Previous (GetCurrentYear)
Next (GetDaysInCurrentMonth)

Name
GetDayChanged

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetDayChanged : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCurrentYear)
Next (GetDaysInCurrentMonth)


Previous (GetDayChanged)
Next (GetHourChanged)

Name
GetDaysInCurrentMonth

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetDaysInCurrentMonth : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetDayChanged)
Next (GetHourChanged)


Previous (GetDaysInCurrentMonth)
Next (GetMinuteChanged)

Name
GetHourChanged

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetHourChanged : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetDaysInCurrentMonth)
Next (GetMinuteChanged)


Previous (GetHourChanged)
Next (GetMonthChanged)

Name
GetMinuteChanged

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetMinuteChanged : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetHourChanged)
Next (GetMonthChanged)


Previous (GetMinuteChanged)
Next (GetOriginalDateTime)

Name
GetMonthChanged

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetMonthChanged : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetMinuteChanged)
Next (GetOriginalDateTime)


Previous (GetMonthChanged)
Next (GetPreviousDateTime)

Name
GetOriginalDateTime

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetOriginalDateTime : TDateTime

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetMonthChanged)
Next (GetPreviousDateTime)


Previous (GetOriginalDateTime)
Next (GetPreviousDayOfMonth)

Name
GetPreviousDateTime

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetPreviousDateTime : TDateTime

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetOriginalDateTime)
Next (GetPreviousDayOfMonth)


Previous (GetPreviousDateTime)
Next (GetPreviousDayOfWeek)

Name
GetPreviousDayOfMonth

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetPreviousDayOfMonth : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetPreviousDateTime)
Next (GetPreviousDayOfWeek)


Previous (GetPreviousDayOfMonth)
Next (GetPreviousHourOfDay)

Name
GetPreviousDayOfWeek

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetPreviousDayOfWeek : TFMSDayOfWeek

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetPreviousDayOfMonth)
Next (GetPreviousHourOfDay)


Previous (GetPreviousDayOfWeek)
Next (GetPreviousMinuteOfHour)

Name
GetPreviousHourOfDay

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetPreviousHourOfDay : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetPreviousDayOfWeek)
Next (GetPreviousMinuteOfHour)


Previous (GetPreviousHourOfDay)
Next (GetPreviousMonth)

Name
GetPreviousMinuteOfHour

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetPreviousMinuteOfHour : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetPreviousHourOfDay)
Next (GetPreviousMonth)


Previous (GetPreviousMinuteOfHour)
Next (GetPreviousSeason)

Name
GetPreviousMonth

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetPreviousMonth : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetPreviousMinuteOfHour)
Next (GetPreviousSeason)


Previous (GetPreviousMonth)
Next (GetPreviousSecondOfMinute)

Name
GetPreviousSeason

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetPreviousSeason : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetPreviousMonth)
Next (GetPreviousSecondOfMinute)


Previous (GetPreviousSeason)
Next (GetPreviousWeek)

Name
GetPreviousSecondOfMinute

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetPreviousSecondOfMinute : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetPreviousSeason)
Next (GetPreviousWeek)


Previous (GetPreviousSecondOfMinute)
Next (GetPreviousYear)

Name
GetPreviousWeek

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetPreviousWeek : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetPreviousSecondOfMinute)
Next (GetPreviousYear)


Previous (GetPreviousWeek)
Next (GetSeasonChanged)

Name
GetPreviousYear

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetPreviousYear : Word

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetPreviousWeek)
Next (GetSeasonChanged)


Previous (GetPreviousYear)
Next (GetSecondChanged)

Name
GetSeasonChanged

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetSeasonChanged : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetPreviousYear)
Next (GetSecondChanged)


Previous (GetSeasonChanged)
Next (GetTimeAfterDays)

Name
GetSecondChanged

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetSecondChanged : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetSeasonChanged)
Next (GetTimeAfterDays)


Previous (GetSecondChanged)
Next (GetTimeAfterHours)

Name
GetTimeAfterDays

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetTimeAfterDays ( const ADays : Double ) : TDateTime

Parameters
Parameter | Description
ADays : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (GetSecondChanged)
Next (GetTimeAfterHours)


Previous (GetTimeAfterDays)
Next (GetTimeAfterMinutes)

Name
GetTimeAfterHours

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetTimeAfterHours ( const AHours : Double ) : TDateTime

Parameters
Parameter | Description
AHours : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (GetTimeAfterDays)
Next (GetTimeAfterMinutes)


Previous (GetTimeAfterHours)
Next (GetTimeAfterSeconds)

Name
GetTimeAfterMinutes

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetTimeAfterMinutes ( const AMinutes : Double ) : TDateTime

Parameters
Parameter | Description
AMinutes : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (GetTimeAfterHours)
Next (GetTimeAfterSeconds)


Previous (GetTimeAfterMinutes)
Next (GetTimeChanged)

Name
GetTimeAfterSeconds

Parent
IFMSWorldTime

Visibility
PUBLIC

Description
What time it will be in XXX minutes/seconds/hours/days

Source code
function GetTimeAfterSeconds ( const ASeconds : Double ) : TDateTime

Parameters
Parameter | Description
ASeconds : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (GetTimeAfterMinutes)
Next (GetTimeChanged)


Previous (GetTimeAfterSeconds)
Next (GetWeekChanged)

Name
GetTimeChanged

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetTimeChanged : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetTimeAfterSeconds)
Next (GetWeekChanged)


Previous (GetTimeChanged)
Next (GetYearChanged)

Name
GetWeekChanged

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetWeekChanged : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetTimeChanged)
Next (GetYearChanged)


Previous (GetWeekChanged)
Next (Reset)

Name
GetYearChanged

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
function GetYearChanged : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetWeekChanged)
Next (Reset)


Previous (GetYearChanged)
Next (Update)

Name
Reset

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
procedure Reset ( const AOriginalTime : TDateTime )

Parameters
Parameter | Description
AOriginalTime : TDateTime | &nbsp;

FIMAS
Class Tree
Index
Previous (GetYearChanged)
Next (Update)


Previous (Reset)
Next

Name
Update

Parent
IFMSWorldTime

Visibility
PUBLIC

Source code
procedure Update ( const ANewTime : TDateTime )

Parameters
Parameter | Description
ANewTime : TDateTime | &nbsp;

FIMAS
Class Tree
Index
Previous (Reset)
Next


Previous
Next (TFMSGenerateRoleNewsEvent)

Name
TFMSGenerateClassificatorNewsEvent

Parent
FMSCommonInterfaces

Visibility
PUBLIC

Source code
TFMSGenerateClassificatorNewsEvent = procedure ( const AClassificator : IFMSClassificator ; const AStartPeriod , AEndPeriod : TDateTime ; const AParams : IFMSAutoGenerateNewsForClassificatorParams ) of object ;

Parameters
Parameter | Description
AClassificator : IFMSClassificator | &nbsp;
AStartPeriod : TDateTime | &nbsp;
AEndPeriod : TDateTime | &nbsp;
AParams : IFMSAutoGenerateNewsForClassificatorParams | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (TFMSGenerateRoleNewsEvent)


Previous (TFMSGenerateClassificatorNewsEvent)
Next

Name
TFMSGenerateRoleNewsEvent

Parent
FMSCommonInterfaces

Visibility
PUBLIC

Source code
TFMSGenerateRoleNewsEvent = procedure ( const ARole : IFMSParticipantRole ; const AStartPeriod , AEndPeriod : TDateTime ; const AParams : IFMSAutoGenerateNewsForRoleParams ) of object ;

Parameters
Parameter | Description
ARole : IFMSParticipantRole | &nbsp;
AStartPeriod : TDateTime | &nbsp;
AEndPeriod : TDateTime | &nbsp;
AParams : IFMSAutoGenerateNewsForRoleParams | &nbsp;

FIMAS
Class Tree
Index
Previous (TFMSGenerateClassificatorNewsEvent)
Next


Previous (FMSCommonInterfaces)
Next (FMSProject)

Name
FMSEventDrivenWorld

Parent
FIMAS

Description
FMS Event Driven World. All classes in this unit generate events that user can handle as he wishes in his code.

Types
Type Description
TFMSCompanyRoleEvent (+)
TFMSMarketRoleEvent (+)

Classes
Class | Description
TFMSEventDrivenCompanyRole (+) | A company that uses events to generate its parameters.
TFMSRtStdEventDrivenWorld (+) | Class that allows to output several economic parameters to events that can be handled in the source code or external script.

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (FMSCommonInterfaces)
Next (FMSProject)


Previous
Next (TFMSRtStdEventDrivenWorld)

Name
TFMSEventDrivenCompanyRole

Parent
FMSEventDrivenWorld

Class Hierarchy
TFMSCompanyRole

Visibility
PUBLIC

Description
A company that uses events to generate its parameters.

Members
Fields
Field Description
FOnDoEveryDayWork (-)
FOnGenerateMonthlyNews (-)

Methods
Method | Description
Assign (+)
Create (+)
DoEverydayWork (#) | Buy, sell things, produce, hire people, research, earn money and pay taxes.
DoGenerateMonthlyNews (#) | Do not add new news, only modify existing.
FriendlyDescription (+)
FriendlyName (+)
GetWorld (#)

Properties
Property Description
OnDoEveryDayWork (*)
OnGenerateMonthlyNews (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous
Next (TFMSRtStdEventDrivenWorld)


Previous
Next (FOnGenerateMonthlyNews)

Name
FOnDoEveryDayWork

Parent
TFMSEventDrivenCompanyRole

Visibility
PRIVATE

Source code
FOnDoEveryDayWork : TFMSCompanyRoleEvent

FIMAS
Class Tree
Index
Previous
Next (FOnGenerateMonthlyNews)


Previous (FOnDoEveryDayWork)
Next

Name
FOnGenerateMonthlyNews

Parent
TFMSEventDrivenCompanyRole

Visibility
PRIVATE

Source code
FOnGenerateMonthlyNews : TFMSCompanyRoleEvent

FIMAS
Class Tree
Index
Previous (FOnDoEveryDayWork)
Next


Previous
Next (OnGenerateMonthlyNews)

Name
OnDoEveryDayWork

Parent
TFMSEventDrivenCompanyRole

Visibility
PUBLISHED

Source code
property OnDoEveryDayWork : TFMSCompanyRoleEvent read FOnDoEveryDayWork write FOnDoEveryDayWork

Read Access
FOnDoEveryDayWork

Write Access
FOnDoEveryDayWork

FIMAS
Class Tree
Index
Previous
Next (OnGenerateMonthlyNews)


Previous (OnDoEveryDayWork)
Next

Name
OnGenerateMonthlyNews

Parent
TFMSEventDrivenCompanyRole

Visibility
PUBLISHED

Source code
property OnGenerateMonthlyNews : TFMSCompanyRoleEvent read FOnGenerateMonthlyNews write FOnGenerateMonthlyNews

Read Access
FOnGenerateMonthlyNews

Write Access
FOnGenerateMonthlyNews

FIMAS
Class Tree
Index
Previous (OnDoEveryDayWork)
Next


Previous
Next (Create)

Name
Assign

Parent
TFMSEventDrivenCompanyRole

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (Assign)
Next (DoEverydayWork)

Name
Create

Parent
TFMSEventDrivenCompanyRole

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TXCollection ) ; override

Parameters
Parameter | Description
AOwner : TXCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (Assign)
Next (DoEverydayWork)


Previous (Create)
Next (DoGenerateMonthlyNews)

Name
DoEverydayWork

Parent
TFMSEventDrivenCompanyRole

Visibility
PROTECTED

Description
Buy, sell things, produce, hire people, research, earn money and pay taxes.
Buy, sell things, produce, hire people, research, earn money and pay taxes.

Source code
procedure DoEverydayWork ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (DoGenerateMonthlyNews)


Previous (DoEverydayWork)
Next (FriendlyDescription)

Name
DoGenerateMonthlyNews

Parent
TFMSEventDrivenCompanyRole

Visibility
PROTECTED

Description
Do not add new news, only modify existing.
Do not add new news, only modify existing.

Source code
procedure DoGenerateMonthlyNews ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoEverydayWork)
Next (FriendlyDescription)


Previous (DoGenerateMonthlyNews)
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSEventDrivenCompanyRole

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoGenerateMonthlyNews)
Next (FriendlyName)


Previous (FriendlyDescription)
Next (GetWorld)

Name
FriendlyName

Parent
TFMSEventDrivenCompanyRole

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next (GetWorld)


Previous (FriendlyName)
Next

Name
GetWorld

Parent
TFMSEventDrivenCompanyRole

Visibility
PROTECTED

Source code
function GetWorld : TFMSRtStdEventDrivenWorld

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyName)
Next


Previous (TFMSEventDrivenCompanyRole)
Next

Name
TFMSRtStdEventDrivenWorld

Parent
FMSEventDrivenWorld

Class Hierarchy
TFMSRtStandardWorld,IFMSRtStdEventDrivenWorld,IFMSParticipantRoleNewsGenerationHandler,IFMSClassificatorNewsGenerationHandler

Visibility
PUBLIC

Description
Class that allows to output several economic parameters to events that can be handled in the source code or external script.

Members
Fields
Field Description
FInitialized (-)
FOldEventHandler (-)
FOnCompanyGenerateMonthlyNews (-)
FOnGenerateClassificatorNews (-)
FOnGenerateRoleNews (-)
FOnInitialize (-)

Methods
Method | Description
Clear (+)
Create (+)
DoGenerateClassificatorNews (#) | Implementing IFMSClassificatorNewsGenerationHandler.
DoGenerateParticipantRoleNews (#) | Implementing IFMSParticipantRoleNewsGenerationHandler.
DoOnCompanyGenerateMonthlyNewsChange (-)
SetOnCompanyGenerateMonthlyNews (-)
Step (#)

Properties
Property Description
OnCompanyGenerateMonthlyNews (*)
OnGenerateClassificatorNews (*)
OnGenerateRoleNews (*)
OnInitialize (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSEventDrivenCompanyRole)
Next


Previous
Next (FOldEventHandler)

Name
FInitialized

Parent
TFMSRtStdEventDrivenWorld

Visibility
PRIVATE

Source code
FInitialized : Boolean

FIMAS
Class Tree
Index
Previous
Next (FOldEventHandler)


Previous (FInitialized)
Next (FOnCompanyGenerateMonthlyNews)

Name
FOldEventHandler

Parent
TFMSRtStdEventDrivenWorld

Visibility
PRIVATE

Source code
FOldEventHandler : Pointer

FIMAS
Class Tree
Index
Previous (FInitialized)
Next (FOnCompanyGenerateMonthlyNews)


Previous (FOldEventHandler)
Next (FOnGenerateClassificatorNews)

Name
FOnCompanyGenerateMonthlyNews

Parent
TFMSRtStdEventDrivenWorld

Visibility
PRIVATE

Source code
FOnCompanyGenerateMonthlyNews : TFMSCompanyRoleEvent

FIMAS
Class Tree
Index
Previous (FOldEventHandler)
Next (FOnGenerateClassificatorNews)


Previous (FOnCompanyGenerateMonthlyNews)
Next (FOnGenerateRoleNews)

Name
FOnGenerateClassificatorNews

Parent
TFMSRtStdEventDrivenWorld

Visibility
PRIVATE

Source code
FOnGenerateClassificatorNews : TFMSGenerateClassificatorNewsEvent

FIMAS
Class Tree
Index
Previous (FOnCompanyGenerateMonthlyNews)
Next (FOnGenerateRoleNews)


Previous (FOnGenerateClassificatorNews)
Next (FOnInitialize)

Name
FOnGenerateRoleNews

Parent
TFMSRtStdEventDrivenWorld

Visibility
PRIVATE

Source code
FOnGenerateRoleNews : TFMSGenerateRoleNewsEvent

FIMAS
Class Tree
Index
Previous (FOnGenerateClassificatorNews)
Next (FOnInitialize)


Previous (FOnGenerateRoleNews)
Next

Name
FOnInitialize

Parent
TFMSRtStdEventDrivenWorld

Visibility
PRIVATE

Source code
FOnInitialize : TFMSWorldEvent

FIMAS
Class Tree
Index
Previous (FOnGenerateRoleNews)
Next


Previous
Next (OnGenerateClassificatorNews)

Name
OnCompanyGenerateMonthlyNews

Parent
TFMSRtStdEventDrivenWorld

Visibility
PUBLISHED

Source code
property OnCompanyGenerateMonthlyNews : TFMSCompanyRoleEvent read FOnCompanyGenerateMonthlyNews write SetOnCompanyGenerateMonthlyNews

Read Access
FOnCompanyGenerateMonthlyNews

Write Access
SetOnCompanyGenerateMonthlyNews

FIMAS
Class Tree
Index
Previous
Next (OnGenerateClassificatorNews)


Previous (OnCompanyGenerateMonthlyNews)
Next (OnGenerateRoleNews)

Name
OnGenerateClassificatorNews

Parent
TFMSRtStdEventDrivenWorld

Visibility
PUBLISHED

Source code
property OnGenerateClassificatorNews : TFMSGenerateClassificatorNewsEvent read FOnGenerateClassificatorNews write FOnGenerateClassificatorNews

Read Access
FOnGenerateClassificatorNews

Write Access
FOnGenerateClassificatorNews

FIMAS
Class Tree
Index
Previous (OnCompanyGenerateMonthlyNews)
Next (OnGenerateRoleNews)


Previous (OnGenerateClassificatorNews)
Next (OnInitialize)

Name
OnGenerateRoleNews

Parent
TFMSRtStdEventDrivenWorld

Visibility
PUBLISHED

Source code
property OnGenerateRoleNews : TFMSGenerateRoleNewsEvent read FOnGenerateRoleNews write FOnGenerateRoleNews

Read Access
FOnGenerateRoleNews

Write Access
FOnGenerateRoleNews

FIMAS
Class Tree
Index
Previous (OnGenerateClassificatorNews)
Next (OnInitialize)


Previous (OnGenerateRoleNews)
Next

Name
OnInitialize

Parent
TFMSRtStdEventDrivenWorld

Visibility
PUBLISHED

Source code
property OnInitialize : TFMSWorldEvent read FOnInitialize write FOnInitialize

Read Access
FOnInitialize

Write Access
FOnInitialize

FIMAS
Class Tree
Index
Previous (OnGenerateRoleNews)
Next


Previous
Next (Create)

Name
Clear

Parent
TFMSRtStdEventDrivenWorld

Visibility
PUBLIC

Source code
procedure Clear ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (Clear)
Next (DoGenerateClassificatorNews)

Name
Create

Parent
TFMSRtStdEventDrivenWorld

Visibility
PUBLIC

Source code
constructor Create ( Owner : TComponent ) ; override

Parameters
Parameter | Description
Owner : TComponent | &nbsp;

FIMAS
Class Tree
Index
Previous (Clear)
Next (DoGenerateClassificatorNews)


Previous (Create)
Next (DoGenerateParticipantRoleNews)

Name
DoGenerateClassificatorNews

Parent
TFMSRtStdEventDrivenWorld

Visibility
PROTECTED

Description
Implementing IFMSClassificatorNewsGenerationHandler.
Implementing IFMSClassificatorNewsGenerationHandler.

Source code
procedure DoGenerateClassificatorNews ( const AClassificator : IFMSClassificator ; const AStartPeriod , AEndPeriod : TDateTime ; const AParams : IFMSAutoGenerateNewsForClassificatorParams )

Parameters
Parameter | Description
AClassificator : IFMSClassificator | &nbsp;
AStartPeriod : TDateTime | &nbsp;
AEndPeriod : TDateTime | &nbsp;
AParams : IFMSAutoGenerateNewsForClassificatorParams | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (DoGenerateParticipantRoleNews)


Previous (DoGenerateClassificatorNews)
Next (DoOnCompanyGenerateMonthlyNewsChange)

Name
DoGenerateParticipantRoleNews

Parent
TFMSRtStdEventDrivenWorld

Visibility
PROTECTED

Description
Implementing IFMSParticipantRoleNewsGenerationHandler.
Implementing IFMSParticipantRoleNewsGenerationHandler.

Source code
procedure DoGenerateParticipantRoleNews ( const ARole : IFMSParticipantRole ; const AStartPeriod , AEndPeriod : TDateTime ; const AParams : IFMSAutoGenerateNewsForRoleParams )

Parameters
Parameter | Description
ARole : IFMSParticipantRole | &nbsp;
AStartPeriod : TDateTime | &nbsp;
AEndPeriod : TDateTime | &nbsp;
AParams : IFMSAutoGenerateNewsForRoleParams | &nbsp;

FIMAS
Class Tree
Index
Previous (DoGenerateClassificatorNews)
Next (DoOnCompanyGenerateMonthlyNewsChange)


Previous (DoGenerateParticipantRoleNews)
Next (SetOnCompanyGenerateMonthlyNews)

Name
DoOnCompanyGenerateMonthlyNewsChange

Parent
TFMSRtStdEventDrivenWorld

Visibility
PRIVATE

Source code
procedure DoOnCompanyGenerateMonthlyNewsChange ( Sender : TFMSParticipantRole )

Parameters
Parameter | Description
Sender : TFMSParticipantRole | &nbsp;

FIMAS
Class Tree
Index
Previous (DoGenerateParticipantRoleNews)
Next (SetOnCompanyGenerateMonthlyNews)


Previous (DoOnCompanyGenerateMonthlyNewsChange)
Next (Step)

Name
SetOnCompanyGenerateMonthlyNews

Parent
TFMSRtStdEventDrivenWorld

Visibility
PRIVATE

Source code
procedure SetOnCompanyGenerateMonthlyNews ( const Value : TFMSCompanyRoleEvent )

Parameters
Parameter | Description
Value : TFMSCompanyRoleEvent | &nbsp;

FIMAS
Class Tree
Index
Previous (DoOnCompanyGenerateMonthlyNewsChange)
Next (Step)


Previous (SetOnCompanyGenerateMonthlyNews)
Next

Name
Step

Parent
TFMSRtStdEventDrivenWorld

Visibility
PROTECTED

Source code
procedure Step ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetOnCompanyGenerateMonthlyNews)
Next


Previous
Next (TFMSMarketRoleEvent)

Name
TFMSCompanyRoleEvent

Parent
FMSEventDrivenWorld

Visibility
PUBLIC

Source code
TFMSCompanyRoleEvent = procedure ( Sender : TFMSCompanyRole ) of object ;

Parameters
Parameter | Description
Sender : TFMSCompanyRole | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (TFMSMarketRoleEvent)


Previous (TFMSCompanyRoleEvent)
Next

Name
TFMSMarketRoleEvent

Parent
FMSEventDrivenWorld

Visibility
PUBLIC

Source code
TFMSMarketRoleEvent = procedure ( Sender : TFMSMarketRole ) of object ;

Parameters
Parameter | Description
Sender : TFMSMarketRole | &nbsp;

FIMAS
Class Tree
Index
Previous (TFMSCompanyRoleEvent)
Next


Previous (FMSEventDrivenWorld)
Next (FMSSimulatedActivityClasses)

Name
FMSProject

Parent
FIMAS

Description
Project definition file.

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (FMSEventDrivenWorld)
Next (FMSSimulatedActivityClasses)


Previous (FMSProject)
Next (FMSStandardRoles)

Name
FMSSimulatedActivityClasses

Parent
FIMAS

Description
FMS Simulated Activity Classes. Implements classes that simulate real participants in a very primitive way. Current implementation includes TFMSSimulatedActivityCompanyRole and News Generator.

Types
Type Description
TFMSSimulatedActivityCompanyRoleNewsInteractionMode (+)

Classes
Class | Description
IFMSGenerateNews (+) | Standard interface to generate participant role and classificator news.
TFMSAutoGenerateNewsCommonParams (+) | Common parameters to generate Classificator news.
TFMSAutoGenerateNewsForClassificatorEntries (+) | Collection of TFMSAutoGenerateNewsClassificatorEntry.
TFMSAutoGenerateNewsForClassificatorEntry (+) | CollectionItem to generate news for a single Classificator.
TFMSAutoGenerateNewsForClassificatorParams (+) | Parameters to generate news for all Classificators.
TFMSAutoGenerateNewsForRoleEntries (+) | Collcetion of TFMSAutoGenerateNewsClassificatorEntry.
TFMSAutoGenerateNewsForRoleEntry (+) | CollectionItem to generate news for a single Role.
TFMSAutoGenerateNewsForRoleParams (+) | Parameters to generate Role news for all roles. Nothing here ATM.
TFMSNewsAutoGenerator (+) | A class that alows to automaticly generate news.
TFMSSimulatedActivityCompanyRole (+) | A Company that simulates all its economic activity.

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (FMSProject)
Next (FMSStandardRoles)


Previous
Next (TFMSAutoGenerateNewsCommonParams)

Name
IFMSGenerateNews

Parent
FMSSimulatedActivityClasses

Class Hierarchy
IInterface

Visibility
PUBLIC

Description
Standard interface to generate participant role and classificator news.

Members
Methods
Method Description
DoGenerateClassificatorNews (+)
DoGenerateParticipantRoleNews (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous
Next (TFMSAutoGenerateNewsCommonParams)


Previous
Next (DoGenerateParticipantRoleNews)

Name
DoGenerateClassificatorNews

Parent
IFMSGenerateNews

Visibility
PUBLIC

Source code
procedure DoGenerateClassificatorNews ( const AClassificator : TFMSClassificator ; const AStartPeriod , AEndPeriod : TDateTime ; const AParams : TFMSAutoGenerateNewsForClassificatorParams )

Parameters
Parameter | Description
AClassificator : TFMSClassificator | &nbsp;
AStartPeriod : TDateTime | &nbsp;
AEndPeriod : TDateTime | &nbsp;
AParams : TFMSAutoGenerateNewsForClassificatorParams | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (DoGenerateParticipantRoleNews)


Previous (DoGenerateClassificatorNews)
Next

Name
DoGenerateParticipantRoleNews

Parent
IFMSGenerateNews

Visibility
PUBLIC

Source code
procedure DoGenerateParticipantRoleNews ( const ARole : TFMSParticipantRole ; const AStartPeriod , AEndPeriod : TDateTime ; const AParams : TFMSAutoGenerateNewsForRoleParams )

Parameters
Parameter | Description
ARole : TFMSParticipantRole | &nbsp;
AStartPeriod : TDateTime | &nbsp;
AEndPeriod : TDateTime | &nbsp;
AParams : TFMSAutoGenerateNewsForRoleParams | &nbsp;

FIMAS
Class Tree
Index
Previous (DoGenerateClassificatorNews)
Next


Previous (IFMSGenerateNews)
Next (TFMSAutoGenerateNewsForClassificatorEntries)

Name
TFMSAutoGenerateNewsCommonParams

Parent
FMSSimulatedActivityClasses

Class Hierarchy
TStrangeInterfacedPersistent,IFMSAutoGenerateNewsCommonParams

Visibility
PUBLIC

Description
Common parameters to generate Classificator news.

Members
Fields
Field Description
FGeneratorMode (-)
FMaxPower (-)
FMinPower (-)
FNewsCount (-)

Methods
Method | Description
Create (+)
GetGeneratorMode (#) | Implementing IFMSAutoGenerateNewsCommonParams.
GetMaxPower (#) | Implementing IFMSAutoGenerateNewsCommonParams.
GetMinPower (#) | Implementing IFMSAutoGenerateNewsCommonParams.
GetNewsCount (#) | Implementing IFMSAutoGenerateNewsCommonParams.
SetGeneratorMode (#) | Implementing IFMSAutoGenerateNewsCommonParams.
SetMaxPower (#) | Implementing IFMSAutoGenerateNewsCommonParams.
SetMinPower (#) | Implementing IFMSAutoGenerateNewsCommonParams.
SetNewsCount (#) | Implementing IFMSAutoGenerateNewsCommonParams.

Properties
Property Description
GeneratorMode (*)
MaxPower (*)
MinPower (*)
NewsCount (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (IFMSGenerateNews)
Next (TFMSAutoGenerateNewsForClassificatorEntries)


Previous
Next (FMaxPower)

Name
FGeneratorMode

Parent
TFMSAutoGenerateNewsCommonParams

Visibility
PRIVATE

Source code
FGeneratorMode : TFMSNewsAutoGenerationMode

FIMAS
Class Tree
Index
Previous
Next (FMaxPower)


Previous (FGeneratorMode)
Next (FMinPower)

Name
FMaxPower

Parent
TFMSAutoGenerateNewsCommonParams

Visibility
PRIVATE

Source code
FMaxPower : Double

FIMAS
Class Tree
Index
Previous (FGeneratorMode)
Next (FMinPower)


Previous (FMaxPower)
Next (FNewsCount)

Name
FMinPower

Parent
TFMSAutoGenerateNewsCommonParams

Visibility
PRIVATE

Source code
FMinPower : Double

FIMAS
Class Tree
Index
Previous (FMaxPower)
Next (FNewsCount)


Previous (FMinPower)
Next

Name
FNewsCount

Parent
TFMSAutoGenerateNewsCommonParams

Visibility
PRIVATE

Source code
FNewsCount : Integer

FIMAS
Class Tree
Index
Previous (FMinPower)
Next


Previous
Next (MaxPower)

Name
GeneratorMode

Parent
TFMSAutoGenerateNewsCommonParams

Visibility
PUBLISHED

Source code
property GeneratorMode : TFMSNewsAutoGenerationMode read FGeneratorMode write FGeneratorMode default ngmStandardGenerator

Read Access
FGeneratorMode

Write Access
FGeneratorMode

FIMAS
Class Tree
Index
Previous
Next (MaxPower)


Previous (GeneratorMode)
Next (MinPower)

Name
MaxPower

Parent
TFMSAutoGenerateNewsCommonParams

Visibility
PUBLISHED

Source code
property MaxPower : Double read FMaxPower write FMaxPower

Read Access
FMaxPower

Write Access
FMaxPower

FIMAS
Class Tree
Index
Previous (GeneratorMode)
Next (MinPower)


Previous (MaxPower)
Next (NewsCount)

Name
MinPower

Parent
TFMSAutoGenerateNewsCommonParams

Visibility
PUBLISHED

Source code
property MinPower : Double read FMinPower write FMinPower

Read Access
FMinPower

Write Access
FMinPower

FIMAS
Class Tree
Index
Previous (MaxPower)
Next (NewsCount)


Previous (MinPower)
Next

Name
NewsCount

Parent
TFMSAutoGenerateNewsCommonParams

Visibility
PUBLISHED

Source code
property NewsCount : Integer read FNewsCount write FNewsCount

Read Access
FNewsCount

Write Access
FNewsCount

FIMAS
Class Tree
Index
Previous (MinPower)
Next


Previous
Next (GetGeneratorMode)

Name
Create

Parent
TFMSAutoGenerateNewsCommonParams

Visibility
PUBLIC

Source code
constructor Create ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (GetGeneratorMode)


Previous (Create)
Next (GetMaxPower)

Name
GetGeneratorMode

Parent
TFMSAutoGenerateNewsCommonParams

Visibility
PROTECTED

Description
Implementing IFMSAutoGenerateNewsCommonParams.
Implementing IFMSAutoGenerateNewsCommonParams.

Source code
function GetGeneratorMode : TFMSNewsAutoGenerationMode

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (GetMaxPower)


Previous (GetGeneratorMode)
Next (GetMinPower)

Name
GetMaxPower

Parent
TFMSAutoGenerateNewsCommonParams

Visibility
PROTECTED

Description
Implementing IFMSAutoGenerateNewsCommonParams.
Implementing IFMSAutoGenerateNewsCommonParams.

Source code
function GetMaxPower : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetGeneratorMode)
Next (GetMinPower)


Previous (GetMaxPower)
Next (GetNewsCount)

Name
GetMinPower

Parent
TFMSAutoGenerateNewsCommonParams

Visibility
PROTECTED

Description
Implementing IFMSAutoGenerateNewsCommonParams.
Implementing IFMSAutoGenerateNewsCommonParams.

Source code
function GetMinPower : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetMaxPower)
Next (GetNewsCount)


Previous (GetMinPower)
Next (SetGeneratorMode)

Name
GetNewsCount

Parent
TFMSAutoGenerateNewsCommonParams

Visibility
PROTECTED

Description
Implementing IFMSAutoGenerateNewsCommonParams.
Implementing IFMSAutoGenerateNewsCommonParams.

Source code
function GetNewsCount : Integer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetMinPower)
Next (SetGeneratorMode)


Previous (GetNewsCount)
Next (SetMaxPower)

Name
SetGeneratorMode

Parent
TFMSAutoGenerateNewsCommonParams

Visibility
PROTECTED

Description
Implementing IFMSAutoGenerateNewsCommonParams.
Implementing IFMSAutoGenerateNewsCommonParams.

Source code
procedure SetGeneratorMode ( const AValue : TFMSNewsAutoGenerationMode )

Parameters
Parameter | Description
AValue : TFMSNewsAutoGenerationMode | &nbsp;

FIMAS
Class Tree
Index
Previous (GetNewsCount)
Next (SetMaxPower)


Previous (SetGeneratorMode)
Next (SetMinPower)

Name
SetMaxPower

Parent
TFMSAutoGenerateNewsCommonParams

Visibility
PROTECTED

Description
Implementing IFMSAutoGenerateNewsCommonParams.
Implementing IFMSAutoGenerateNewsCommonParams.

Source code
procedure SetMaxPower ( const AValue : Double )

Parameters
Parameter | Description
AValue : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (SetGeneratorMode)
Next (SetMinPower)


Previous (SetMaxPower)
Next (SetNewsCount)

Name
SetMinPower

Parent
TFMSAutoGenerateNewsCommonParams

Visibility
PROTECTED

Description
Implementing IFMSAutoGenerateNewsCommonParams.
Implementing IFMSAutoGenerateNewsCommonParams.

Source code
procedure SetMinPower ( const AValue : Double )

Parameters
Parameter | Description
AValue : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (SetMaxPower)
Next (SetNewsCount)


Previous (SetMinPower)
Next

Name
SetNewsCount

Parent
TFMSAutoGenerateNewsCommonParams

Visibility
PROTECTED

Description
Implementing IFMSAutoGenerateNewsCommonParams.
Implementing IFMSAutoGenerateNewsCommonParams.

Source code
procedure SetNewsCount ( const AValue : Integer )

Parameters
Parameter | Description
AValue : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (SetMinPower)
Next


Previous (TFMSAutoGenerateNewsCommonParams)
Next (TFMSAutoGenerateNewsForClassificatorEntry)

Name
TFMSAutoGenerateNewsForClassificatorEntries

Parent
FMSSimulatedActivityClasses

Class Hierarchy
TStrangeInterfacedOwnedCollection

Visibility
PUBLIC

Description
Collection of TFMSAutoGenerateNewsClassificatorEntry.

Members
Methods
Method | Description
ADD (+) | Standard collection procedure.
Create (+)
GetItems (-) | Standard collection procedure.
GetLastItem (+) | Standard collection procedure.
IndexOf (+) | Class-specific procedure.
SetItems (-) | Standard collection procedure.

Properties
Property | Description
Items (+) | Standard collection property.

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSAutoGenerateNewsCommonParams)
Next (TFMSAutoGenerateNewsForClassificatorEntry)


Previous
Next

Name
Items

Parent
TFMSAutoGenerateNewsForClassificatorEntries

Visibility
PUBLIC

Description
Standard collection property.

Source code
property Items [ const Index : Integer ] : TFMSAutoGenerateNewsForClassificatorEntry read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Create)

Name
ADD

Parent
TFMSAutoGenerateNewsForClassificatorEntries

Visibility
PUBLIC

Description
Standard collection procedure.
Standard collection procedure.

Source code
function Add : TFMSAutoGenerateNewsForClassificatorEntry

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (ADD)
Next (GetItems)

Name
Create

Parent
TFMSAutoGenerateNewsForClassificatorEntries

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TPersistent )

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (GetItems)


Previous (Create)
Next (GetLastItem)

Name
GetItems

Parent
TFMSAutoGenerateNewsForClassificatorEntries

Visibility
PRIVATE

Description
Standard collection procedure.
Standard collection procedure.

Source code
function GetItems ( const Index : Integer ) : TFMSAutoGenerateNewsForClassificatorEntry

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (GetLastItem)


Previous (GetItems)
Next (IndexOf)

Name
GetLastItem

Parent
TFMSAutoGenerateNewsForClassificatorEntries

Visibility
PUBLIC

Description
Standard collection procedure.
Standard collection procedure.

Source code
function GetLastItem : TFMSAutoGenerateNewsForClassificatorEntry

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (IndexOf)


Previous (GetLastItem)
Next (SetItems)

Name
IndexOf

Parent
TFMSAutoGenerateNewsForClassificatorEntries

Visibility
PUBLIC

Description
Class-specific procedure.
Class-specific procedure.

Source code
function IndexOf ( const AClassificator : TFMSClassificator ) : Integer

Parameters
Parameter | Description
AClassificator : TFMSClassificator | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (SetItems)


Previous (IndexOf)
Next

Name
SetItems

Parent
TFMSAutoGenerateNewsForClassificatorEntries

Visibility
PRIVATE

Description
Standard collection procedure.
Standard collection procedure.

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSAutoGenerateNewsForClassificatorEntry )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSAutoGenerateNewsForClassificatorEntry | &nbsp;

FIMAS
Class Tree
Index
Previous (IndexOf)
Next


Previous (TFMSAutoGenerateNewsForClassificatorEntries)
Next (TFMSAutoGenerateNewsForClassificatorParams)

Name
TFMSAutoGenerateNewsForClassificatorEntry

Parent
FMSSimulatedActivityClasses

Class Hierarchy
TStrangeInterfacedCollectionItem

Visibility
PUBLIC

Description
CollectionItem to generate news for a single Classificator.

Members
Fields
Field Description
FClassificator (-)
FParams (-)

Methods
Method | Description
Create (+) | Constructor.
Destroy (+)
SetParams (-)

Properties
Property Description
Classificator (*)
Params (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSAutoGenerateNewsForClassificatorEntries)
Next (TFMSAutoGenerateNewsForClassificatorParams)


Previous
Next (FParams)

Name
FClassificator

Parent
TFMSAutoGenerateNewsForClassificatorEntry

Visibility
PRIVATE

Source code
FClassificator : TFMSClassificator

FIMAS
Class Tree
Index
Previous
Next (FParams)


Previous (FClassificator)
Next

Name
FParams

Parent
TFMSAutoGenerateNewsForClassificatorEntry

Visibility
PRIVATE

Source code
FParams : TFMSAutoGenerateNewsForClassificatorParams

FIMAS
Class Tree
Index
Previous (FClassificator)
Next


Previous
Next (Params)

Name
Classificator

Parent
TFMSAutoGenerateNewsForClassificatorEntry

Visibility
PUBLISHED

Source code
property Classificator : TFMSClassificator read FClassificator write FClassificator

Read Access
FClassificator

Write Access
FClassificator

FIMAS
Class Tree
Index
Previous
Next (Params)


Previous (Classificator)
Next

Name
Params

Parent
TFMSAutoGenerateNewsForClassificatorEntry

Visibility
PUBLISHED

Source code
property Params : TFMSAutoGenerateNewsForClassificatorParams read FParams write SetParams

Read Access
FParams

Write Access
SetParams

FIMAS
Class Tree
Index
Previous (Classificator)
Next


Previous
Next (Destroy)

Name
Create

Parent
TFMSAutoGenerateNewsForClassificatorEntry

Visibility
PUBLIC

Description
Constructor.
Constructor.

Source code
constructor Create ( ACollection : TCollection ) ; override

Parameters
Parameter | Description
ACollection : TCollection | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Destroy)


Previous (Create)
Next (SetParams)

Name
Destroy

Parent
TFMSAutoGenerateNewsForClassificatorEntry

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (SetParams)


Previous (Destroy)
Next

Name
SetParams

Parent
TFMSAutoGenerateNewsForClassificatorEntry

Visibility
PRIVATE

Source code
procedure SetParams ( const Value : TFMSAutoGenerateNewsForClassificatorParams )

Parameters
Parameter | Description
Value : TFMSAutoGenerateNewsForClassificatorParams | &nbsp;

FIMAS
Class Tree
Index
Previous (Destroy)
Next


Previous (TFMSAutoGenerateNewsForClassificatorEntry)
Next (TFMSAutoGenerateNewsForRoleEntries)

Name
TFMSAutoGenerateNewsForClassificatorParams

Parent
FMSSimulatedActivityClasses

Class Hierarchy
TFMSAutoGenerateNewsCommonParams,IFMSAutoGenerateNewsForClassificatorParams,IFMSClassificatorNewsGenerationHandler

Visibility
PUBLIC

Description
Parameters to generate news for all Classificators.

Members
Fields
Field | Description
FClassificatorType (-)
FMaxClassificatorLinkCount (-)
FMaxLinkMultiplier (-)
FMinClassificatorLinkCount (-)
FMinLinkMultiplier (-)
FOnGenerateClassificatorNews (-) | Main event for this class.

Methods
Method | Description
Create (+)
DoGenerateClassificatorNews (#) | Implementing IFMSClassificatorNewsGenerationHandler.
GetClassificatorType (#) | Implementing IFMSAutoGenerateNewsForClassificatorParams.
GetIntf (+) | Direct access to interface that this class implements.
GetMaxClassificatorLinkCount (#) | Implementing IFMSAutoGenerateNewsForClassificatorParams.
GetMaxLinkMultiplier (#) | Implementing IFMSAutoGenerateNewsForClassificatorParams.
GetMinClassificatorLinkCount (#) | Implementing IFMSAutoGenerateNewsForClassificatorParams.
GetMinLinkMultiplier (#) | Implementing IFMSAutoGenerateNewsForClassificatorParams.
SetMaxClassificatorLinkCount (#) | Implementing IFMSAutoGenerateNewsForClassificatorParams.
SetMaxLinkMultiplier (#) | Implementing IFMSAutoGenerateNewsForClassificatorParams.
SetMinClassificatorLinkCount (#) | Implementing IFMSAutoGenerateNewsForClassificatorParams.
SetMinLinkMultiplier (#) | Implementing IFMSAutoGenerateNewsForClassificatorParams.

Properties
Property | Description
ClassificatorType (*)
MaxClassificatorLinkCount (*)
MaxLinkMultiplier (*)
MinClassificatorLinkCount (*)
MinLinkMultiplier (*)
OnGenerateClassificatorNews (*) | Main event for this class.

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSAutoGenerateNewsForClassificatorEntry)
Next (TFMSAutoGenerateNewsForRoleEntries)


Previous
Next (FMaxClassificatorLinkCount)

Name
FClassificatorType

Parent
TFMSAutoGenerateNewsForClassificatorParams

Visibility
PRIVATE

Source code
FClassificatorType : TFMSClassificatorType

FIMAS
Class Tree
Index
Previous
Next (FMaxClassificatorLinkCount)


Previous (FClassificatorType)
Next (FMaxLinkMultiplier)

Name
FMaxClassificatorLinkCount

Parent
TFMSAutoGenerateNewsForClassificatorParams

Visibility
PRIVATE

Source code
FMaxClassificatorLinkCount : Integer

FIMAS
Class Tree
Index
Previous (FClassificatorType)
Next (FMaxLinkMultiplier)


Previous (FMaxClassificatorLinkCount)
Next (FMinClassificatorLinkCount)

Name
FMaxLinkMultiplier

Parent
TFMSAutoGenerateNewsForClassificatorParams

Visibility
PRIVATE

Source code
FMaxLinkMultiplier : Double

FIMAS
Class Tree
Index
Previous (FMaxClassificatorLinkCount)
Next (FMinClassificatorLinkCount)


Previous (FMaxLinkMultiplier)
Next (FMinLinkMultiplier)

Name
FMinClassificatorLinkCount

Parent
TFMSAutoGenerateNewsForClassificatorParams

Visibility
PRIVATE

Source code
FMinClassificatorLinkCount : Integer

FIMAS
Class Tree
Index
Previous (FMaxLinkMultiplier)
Next (FMinLinkMultiplier)


Previous (FMinClassificatorLinkCount)
Next (FOnGenerateClassificatorNews)

Name
FMinLinkMultiplier

Parent
TFMSAutoGenerateNewsForClassificatorParams

Visibility
PRIVATE

Source code
FMinLinkMultiplier : Double

FIMAS
Class Tree
Index
Previous (FMinClassificatorLinkCount)
Next (FOnGenerateClassificatorNews)


Previous (FMinLinkMultiplier)
Next

Name
FOnGenerateClassificatorNews

Parent
TFMSAutoGenerateNewsForClassificatorParams

Visibility
PRIVATE

Description
Main event for this class.

Source code
FOnGenerateClassificatorNews : TFMSGenerateClassificatorNewsEvent

FIMAS
Class Tree
Index
Previous (FMinLinkMultiplier)
Next


Previous
Next (MaxClassificatorLinkCount)

Name
ClassificatorType

Parent
TFMSAutoGenerateNewsForClassificatorParams

Visibility
PUBLISHED

Source code
property ClassificatorType : TFMSClassificatorType read FClassificatorType write FClassificatorType

Read Access
FClassificatorType

Write Access
FClassificatorType

FIMAS
Class Tree
Index
Previous
Next (MaxClassificatorLinkCount)


Previous (ClassificatorType)
Next (MaxLinkMultiplier)

Name
MaxClassificatorLinkCount

Parent
TFMSAutoGenerateNewsForClassificatorParams

Visibility
PUBLISHED

Source code
property MaxClassificatorLinkCount : Integer read FMaxClassificatorLinkCount write FMaxClassificatorLinkCount

Read Access
FMaxClassificatorLinkCount

Write Access
FMaxClassificatorLinkCount

FIMAS
Class Tree
Index
Previous (ClassificatorType)
Next (MaxLinkMultiplier)


Previous (MaxClassificatorLinkCount)
Next (MinClassificatorLinkCount)

Name
MaxLinkMultiplier

Parent
TFMSAutoGenerateNewsForClassificatorParams

Visibility
PUBLISHED

Source code
property MaxLinkMultiplier : Double read FMaxLinkMultiplier write FMaxLinkMultiplier

Read Access
FMaxLinkMultiplier

Write Access
FMaxLinkMultiplier

FIMAS
Class Tree
Index
Previous (MaxClassificatorLinkCount)
Next (MinClassificatorLinkCount)


Previous (MaxLinkMultiplier)
Next (MinLinkMultiplier)

Name
MinClassificatorLinkCount

Parent
TFMSAutoGenerateNewsForClassificatorParams

Visibility
PUBLISHED

Source code
property MinClassificatorLinkCount : Integer read FMinClassificatorLinkCount write FMinClassificatorLinkCount

Read Access
FMinClassificatorLinkCount

Write Access
FMinClassificatorLinkCount

FIMAS
Class Tree
Index
Previous (MaxLinkMultiplier)
Next (MinLinkMultiplier)


Previous (MinClassificatorLinkCount)
Next (OnGenerateClassificatorNews)

Name
MinLinkMultiplier

Parent
TFMSAutoGenerateNewsForClassificatorParams

Visibility
PUBLISHED

Source code
property MinLinkMultiplier : Double read FMinLinkMultiplier write FMinLinkMultiplier

Read Access
FMinLinkMultiplier

Write Access
FMinLinkMultiplier

FIMAS
Class Tree
Index
Previous (MinClassificatorLinkCount)
Next (OnGenerateClassificatorNews)


Previous (MinLinkMultiplier)
Next

Name
OnGenerateClassificatorNews

Parent
TFMSAutoGenerateNewsForClassificatorParams

Visibility
PUBLISHED

Description
Main event for this class.

Source code
property OnGenerateClassificatorNews : TFMSGenerateClassificatorNewsEvent read FOnGenerateClassificatorNews write FOnGenerateClassificatorNews

Read Access
FOnGenerateClassificatorNews

Write Access
FOnGenerateClassificatorNews

FIMAS
Class Tree
Index
Previous (MinLinkMultiplier)
Next


Previous
Next (DoGenerateClassificatorNews)

Name
Create

Parent
TFMSAutoGenerateNewsForClassificatorParams

Visibility
PUBLIC

Source code
constructor Create ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (DoGenerateClassificatorNews)


Previous (Create)
Next (GetClassificatorType)

Name
DoGenerateClassificatorNews

Parent
TFMSAutoGenerateNewsForClassificatorParams

Visibility
PROTECTED

Description
Implementing IFMSClassificatorNewsGenerationHandler.
Implementing IFMSClassificatorNewsGenerationHandler.

Source code
procedure DoGenerateClassificatorNews ( const AClassificator : IFMSClassificator ; const AStartPeriod , AEndPeriod : TDateTime ; const AParams : IFMSAutoGenerateNewsForClassificatorParams )

Parameters
Parameter | Description
AClassificator : IFMSClassificator | &nbsp;
AStartPeriod : TDateTime | &nbsp;
AEndPeriod : TDateTime | &nbsp;
AParams : IFMSAutoGenerateNewsForClassificatorParams | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (GetClassificatorType)


Previous (DoGenerateClassificatorNews)
Next (GetIntf)

Name
GetClassificatorType

Parent
TFMSAutoGenerateNewsForClassificatorParams

Visibility
PROTECTED

Description
Implementing IFMSAutoGenerateNewsForClassificatorParams.
Implementing IFMSAutoGenerateNewsForClassificatorParams.

Source code
function GetClassificatorType : IFMSClassificatorType

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoGenerateClassificatorNews)
Next (GetIntf)


Previous (GetClassificatorType)
Next (GetMaxClassificatorLinkCount)

Name
GetIntf

Parent
TFMSAutoGenerateNewsForClassificatorParams

Visibility
PUBLIC

Description
Direct access to interface that this class implements.
Direct access to interface that this class implements.

Source code
function GetIntf : IFMSAutoGenerateNewsForClassificatorParams

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetClassificatorType)
Next (GetMaxClassificatorLinkCount)


Previous (GetIntf)
Next (GetMaxLinkMultiplier)

Name
GetMaxClassificatorLinkCount

Parent
TFMSAutoGenerateNewsForClassificatorParams

Visibility
PROTECTED

Description
Implementing IFMSAutoGenerateNewsForClassificatorParams.
Implementing IFMSAutoGenerateNewsForClassificatorParams.

Source code
function GetMaxClassificatorLinkCount : Integer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetIntf)
Next (GetMaxLinkMultiplier)


Previous (GetMaxClassificatorLinkCount)
Next (GetMinClassificatorLinkCount)

Name
GetMaxLinkMultiplier

Parent
TFMSAutoGenerateNewsForClassificatorParams

Visibility
PROTECTED

Description
Implementing IFMSAutoGenerateNewsForClassificatorParams.
Implementing IFMSAutoGenerateNewsForClassificatorParams.

Source code
function GetMaxLinkMultiplier : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetMaxClassificatorLinkCount)
Next (GetMinClassificatorLinkCount)


Previous (GetMaxLinkMultiplier)
Next (GetMinLinkMultiplier)

Name
GetMinClassificatorLinkCount

Parent
TFMSAutoGenerateNewsForClassificatorParams

Visibility
PROTECTED

Description
Implementing IFMSAutoGenerateNewsForClassificatorParams.
Implementing IFMSAutoGenerateNewsForClassificatorParams.

Source code
function GetMinClassificatorLinkCount : Integer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetMaxLinkMultiplier)
Next (GetMinLinkMultiplier)


Previous (GetMinClassificatorLinkCount)
Next (SetMaxClassificatorLinkCount)

Name
GetMinLinkMultiplier

Parent
TFMSAutoGenerateNewsForClassificatorParams

Visibility
PROTECTED

Description
Implementing IFMSAutoGenerateNewsForClassificatorParams.
Implementing IFMSAutoGenerateNewsForClassificatorParams.

Source code
function GetMinLinkMultiplier : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetMinClassificatorLinkCount)
Next (SetMaxClassificatorLinkCount)


Previous (GetMinLinkMultiplier)
Next (SetMaxLinkMultiplier)

Name
SetMaxClassificatorLinkCount

Parent
TFMSAutoGenerateNewsForClassificatorParams

Visibility
PROTECTED

Description
Implementing IFMSAutoGenerateNewsForClassificatorParams.
Implementing IFMSAutoGenerateNewsForClassificatorParams.

Source code
procedure SetMaxClassificatorLinkCount ( const AValue : Integer )

Parameters
Parameter | Description
AValue : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetMinLinkMultiplier)
Next (SetMaxLinkMultiplier)


Previous (SetMaxClassificatorLinkCount)
Next (SetMinClassificatorLinkCount)

Name
SetMaxLinkMultiplier

Parent
TFMSAutoGenerateNewsForClassificatorParams

Visibility
PROTECTED

Description
Implementing IFMSAutoGenerateNewsForClassificatorParams.
Implementing IFMSAutoGenerateNewsForClassificatorParams.

Source code
procedure SetMaxLinkMultiplier ( const AValue : Double )

Parameters
Parameter | Description
AValue : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (SetMaxClassificatorLinkCount)
Next (SetMinClassificatorLinkCount)


Previous (SetMaxLinkMultiplier)
Next (SetMinLinkMultiplier)

Name
SetMinClassificatorLinkCount

Parent
TFMSAutoGenerateNewsForClassificatorParams

Visibility
PROTECTED

Description
Implementing IFMSAutoGenerateNewsForClassificatorParams.
Implementing IFMSAutoGenerateNewsForClassificatorParams.

Source code
procedure SetMinClassificatorLinkCount ( const AValue : Integer )

Parameters
Parameter | Description
AValue : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (SetMaxLinkMultiplier)
Next (SetMinLinkMultiplier)


Previous (SetMinClassificatorLinkCount)
Next

Name
SetMinLinkMultiplier

Parent
TFMSAutoGenerateNewsForClassificatorParams

Visibility
PROTECTED

Description
Implementing IFMSAutoGenerateNewsForClassificatorParams.
Implementing IFMSAutoGenerateNewsForClassificatorParams.

Source code
procedure SetMinLinkMultiplier ( const AValue : Double )

Parameters
Parameter | Description
AValue : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (SetMinClassificatorLinkCount)
Next


Previous (TFMSAutoGenerateNewsForClassificatorParams)
Next (TFMSAutoGenerateNewsForRoleEntry)

Name
TFMSAutoGenerateNewsForRoleEntries

Parent
FMSSimulatedActivityClasses

Class Hierarchy
TStrangeInterfacedOwnedCollection

Visibility
PUBLIC

Description
Collcetion of TFMSAutoGenerateNewsClassificatorEntry.

Members
Methods
Method | Description
ADD (+) | Standard collection procedure.
Create (+) | Constructor.
GetItems (-) | Standard collection procedure.
GetLastItem (+) | Standard collection procedure.
IndexOf (+) | Class-specific procedure.
SetItems (-) | Standard collection procedure.

Properties
Property | Description
Items (+) | Standard collection property.

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSAutoGenerateNewsForClassificatorParams)
Next (TFMSAutoGenerateNewsForRoleEntry)


Previous
Next

Name
Items

Parent
TFMSAutoGenerateNewsForRoleEntries

Visibility
PUBLIC

Description
Standard collection property.

Source code
property Items [ const Index : Integer ] : TFMSAutoGenerateNewsForRoleEntry read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Create)

Name
ADD

Parent
TFMSAutoGenerateNewsForRoleEntries

Visibility
PUBLIC

Description
Standard collection procedure.
Standard collection procedure.

Source code
function Add : TFMSAutoGenerateNewsForRoleEntry

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (ADD)
Next (GetItems)

Name
Create

Parent
TFMSAutoGenerateNewsForRoleEntries

Visibility
PUBLIC

Description
Constructor.
Constructor.

Source code
constructor Create ( AOwner : TPersistent )

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (GetItems)


Previous (Create)
Next (GetLastItem)

Name
GetItems

Parent
TFMSAutoGenerateNewsForRoleEntries

Visibility
PRIVATE

Description
Standard collection procedure.
Standard collection procedure.

Source code
function GetItems ( const Index : Integer ) : TFMSAutoGenerateNewsForRoleEntry

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (GetLastItem)


Previous (GetItems)
Next (IndexOf)

Name
GetLastItem

Parent
TFMSAutoGenerateNewsForRoleEntries

Visibility
PUBLIC

Description
Standard collection procedure.
Standard collection procedure.

Source code
function GetLastItem : TFMSAutoGenerateNewsForRoleEntry

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (IndexOf)


Previous (GetLastItem)
Next (SetItems)

Name
IndexOf

Parent
TFMSAutoGenerateNewsForRoleEntries

Visibility
PUBLIC

Description
Class-specific procedure.
Class-specific procedure.

Source code
function IndexOf ( const ARole : TFMSParticipantRole ) : Integer

Parameters
Parameter | Description
ARole : TFMSParticipantRole | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (SetItems)


Previous (IndexOf)
Next

Name
SetItems

Parent
TFMSAutoGenerateNewsForRoleEntries

Visibility
PRIVATE

Description
Standard collection procedure.
Standard collection procedure.

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSAutoGenerateNewsForRoleEntry )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSAutoGenerateNewsForRoleEntry | &nbsp;

FIMAS
Class Tree
Index
Previous (IndexOf)
Next


Previous (TFMSAutoGenerateNewsForRoleEntries)
Next (TFMSAutoGenerateNewsForRoleParams)

Name
TFMSAutoGenerateNewsForRoleEntry

Parent
FMSSimulatedActivityClasses

Class Hierarchy
TStrangeInterfacedCollectionItem

Visibility
PUBLIC

Description
CollectionItem to generate news for a single Role.

Members
Fields
Field Description
FParams (-)
FParticipantRole (-)

Methods
Method | Description
Create (+) | Constructor.
Destroy (+)
SetParams (-)

Properties
Property Description
Params (*)
ParticipantRole (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSAutoGenerateNewsForRoleEntries)
Next (TFMSAutoGenerateNewsForRoleParams)


Previous
Next (FParticipantRole)

Name
FParams

Parent
TFMSAutoGenerateNewsForRoleEntry

Visibility
PRIVATE

Source code
FParams : TFMSAutoGenerateNewsForRoleParams

FIMAS
Class Tree
Index
Previous
Next (FParticipantRole)


Previous (FParams)
Next

Name
FParticipantRole

Parent
TFMSAutoGenerateNewsForRoleEntry

Visibility
PRIVATE

Source code
FParticipantRole : TFMSParticipantRole

FIMAS
Class Tree
Index
Previous (FParams)
Next


Previous
Next (ParticipantRole)

Name
Params

Parent
TFMSAutoGenerateNewsForRoleEntry

Visibility
PUBLISHED

Source code
property Params : TFMSAutoGenerateNewsForRoleParams read FParams write SetParams

Read Access
FParams

Write Access
SetParams

FIMAS
Class Tree
Index
Previous
Next (ParticipantRole)


Previous (Params)
Next

Name
ParticipantRole

Parent
TFMSAutoGenerateNewsForRoleEntry

Visibility
PUBLISHED

Source code
property ParticipantRole : TFMSParticipantRole read FParticipantRole write FParticipantRole

Read Access
FParticipantRole

Write Access
FParticipantRole

FIMAS
Class Tree
Index
Previous (Params)
Next


Previous
Next (Destroy)

Name
Create

Parent
TFMSAutoGenerateNewsForRoleEntry

Visibility
PUBLIC

Description
Constructor.
Constructor.

Source code
constructor Create ( ACollection : TCollection ) ; override

Parameters
Parameter | Description
ACollection : TCollection | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Destroy)


Previous (Create)
Next (SetParams)

Name
Destroy

Parent
TFMSAutoGenerateNewsForRoleEntry

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (SetParams)


Previous (Destroy)
Next

Name
SetParams

Parent
TFMSAutoGenerateNewsForRoleEntry

Visibility
PRIVATE

Source code
procedure SetParams ( const Value : TFMSAutoGenerateNewsForRoleParams )

Parameters
Parameter | Description
Value : TFMSAutoGenerateNewsForRoleParams | &nbsp;

FIMAS
Class Tree
Index
Previous (Destroy)
Next


Previous (TFMSAutoGenerateNewsForRoleEntry)
Next (TFMSNewsAutoGenerator)

Name
TFMSAutoGenerateNewsForRoleParams

Parent
FMSSimulatedActivityClasses

Class Hierarchy
TFMSAutoGenerateNewsCommonParams,IFMSAutoGenerateNewsForRoleParams,IFMSParticipantRoleNewsGenerationHandler

Visibility
PUBLIC

Description
Parameters to generate Role news for all roles. Nothing here ATM.

Members
Fields
Field Description
FOnGenerateRoleNews (-)

Methods
Method | Description
DoGenerateParticipantRoleNews (#) | Implementing IFMSParticipantRoleNewsGenerationHandler.
GetIntf (+) | Direct access to interface that this class implements.

Properties
Property Description
OnGenerateRoleNews (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSAutoGenerateNewsForRoleEntry)
Next (TFMSNewsAutoGenerator)


Previous
Next

Name
FOnGenerateRoleNews

Parent
TFMSAutoGenerateNewsForRoleParams

Visibility
PRIVATE

Source code
FOnGenerateRoleNews : TFMSGenerateRoleNewsEvent

FIMAS
Class Tree
Index
Previous
Next


Previous
Next

Name
OnGenerateRoleNews

Parent
TFMSAutoGenerateNewsForRoleParams

Visibility
PUBLISHED

Source code
property OnGenerateRoleNews : TFMSGenerateRoleNewsEvent read FOnGenerateRoleNews write FOnGenerateRoleNews

Read Access
FOnGenerateRoleNews

Write Access
FOnGenerateRoleNews

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (GetIntf)

Name
DoGenerateParticipantRoleNews

Parent
TFMSAutoGenerateNewsForRoleParams

Visibility
PROTECTED

Description
Implementing IFMSParticipantRoleNewsGenerationHandler.
Implementing IFMSParticipantRoleNewsGenerationHandler.

Source code
procedure DoGenerateParticipantRoleNews ( const ARole : IFMSParticipantRole ; const AStartPeriod , AEndPeriod : TDateTime ; const AParams : IFMSAutoGenerateNewsForRoleParams )

Parameters
Parameter | Description
ARole : IFMSParticipantRole | &nbsp;
AStartPeriod : TDateTime | &nbsp;
AEndPeriod : TDateTime | &nbsp;
AParams : IFMSAutoGenerateNewsForRoleParams | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (GetIntf)


Previous (DoGenerateParticipantRoleNews)
Next

Name
GetIntf

Parent
TFMSAutoGenerateNewsForRoleParams

Visibility
PUBLIC

Description
Direct access to interface that this class implements.
Direct access to interface that this class implements.

Source code
function GetIntf : IFMSAutoGenerateNewsForRoleParams

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoGenerateParticipantRoleNews)
Next


Previous (TFMSAutoGenerateNewsForRoleParams)
Next (TFMSSimulatedActivityCompanyRole)

Name
TFMSNewsAutoGenerator

Parent
FMSSimulatedActivityClasses

Class Hierarchy
TFMSUpdateAble

Visibility
PUBLIC

Description
A class that alows to automaticly generate news.

Members
Fields
Field Description
FClassificatorNews (-)
FCompaniesNews (-)
FDontGenerateNewsForClassificators (-)
FDontGenerateNewsForRoles (-)
FGenerateNewsForAllClassificators (-)
FGenerateNewsForAllClassificatorsParams (-)
FGenerateNewsForAllCompanies (-)
FGenerateNewsForAllCompaniesParams (-)
FKeepNewsAheadForDays (-)
FLastTimeNewsWereGenerated (-)
FPeriodInDays (-)
FWorld (-)

Methods
Method | Description
Create (+) | Constructor.
CreateInitialized (+) | Prefered Constructor.
Destroy (+)
GenerateClassificatorRandomNews (+) | News are spread over all classificators, each is chosen at random.
GenerateRandomNewsForAllCompanies (+) | News are spread over all companies, each is chosen at random.
GenerateRandomNewsForOneClassificator (+) | All news are generated only for this classificator.
GenerateRandomNewsForOneCompany (+) | All news are generated only for this company.
SetClassificatorNews (-)
SetCompaniesNews (-)
SetDontGenerateNewsForClassificators (-)
SetDontGenerateNewsForRoles (-)
SetGenerateNewsForAllClassificatorsParams (-)
SetGenerateNewsForAllCompaniesParams (-)
Step (#)

Properties
Property | Description
ClassificatorNews (*) | Used to generate news for single classificators.
CompaniesNews (*) | Used to generate news for single companies.
DontGenerateNewsForClassificators (*) | Used if GenerateNewsForAllClassificators is True.
DontGenerateNewsForRoles (*) | Used if GenerateNewsForAllCompanies is True.
GenerateNewsForAllClassificators (*) | Do we need to Generate News For All Classificators?
GenerateNewsForAllClassificatorsParams (*) | Used if GenerateNewsForAllClassificators is True.
GenerateNewsForAllCompanies (*) | Do we need to Generate News For All Companies?
GenerateNewsForAllCompaniesParams (*) | Used if GenerateNewsForAllCompanies is True.
KeepNewsAheadForDays (*) | We always have news, that are ahead of current time for this number of days. Default is 7 Days.
PeriodInDays (*) | Number of days that news are generated for. Default is 7 Days.
World (*) | Link to World.

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSAutoGenerateNewsForRoleParams)
Next (TFMSSimulatedActivityCompanyRole)


Previous
Next (FCompaniesNews)

Name
FClassificatorNews

Parent
TFMSNewsAutoGenerator

Visibility
PRIVATE

Source code
FClassificatorNews : TFMSAutoGenerateNewsForClassificatorEntries

FIMAS
Class Tree
Index
Previous
Next (FCompaniesNews)


Previous (FClassificatorNews)
Next (FDontGenerateNewsForClassificators)

Name
FCompaniesNews

Parent
TFMSNewsAutoGenerator

Visibility
PRIVATE

Source code
FCompaniesNews : TFMSAutoGenerateNewsForRoleEntries

FIMAS
Class Tree
Index
Previous (FClassificatorNews)
Next (FDontGenerateNewsForClassificators)


Previous (FCompaniesNews)
Next (FDontGenerateNewsForRoles)

Name
FDontGenerateNewsForClassificators

Parent
TFMSNewsAutoGenerator

Visibility
PRIVATE

Source code
FDontGenerateNewsForClassificators : TFMSClassificatorList

FIMAS
Class Tree
Index
Previous (FCompaniesNews)
Next (FDontGenerateNewsForRoles)


Previous (FDontGenerateNewsForClassificators)
Next (FGenerateNewsForAllClassificators)

Name
FDontGenerateNewsForRoles

Parent
TFMSNewsAutoGenerator

Visibility
PRIVATE

Source code
FDontGenerateNewsForRoles : TFMSParticipantRoleList

FIMAS
Class Tree
Index
Previous (FDontGenerateNewsForClassificators)
Next (FGenerateNewsForAllClassificators)


Previous (FDontGenerateNewsForRoles)
Next (FGenerateNewsForAllClassificatorsParams)

Name
FGenerateNewsForAllClassificators

Parent
TFMSNewsAutoGenerator

Visibility
PRIVATE

Source code
FGenerateNewsForAllClassificators : Boolean

FIMAS
Class Tree
Index
Previous (FDontGenerateNewsForRoles)
Next (FGenerateNewsForAllClassificatorsParams)


Previous (FGenerateNewsForAllClassificators)
Next (FGenerateNewsForAllCompanies)

Name
FGenerateNewsForAllClassificatorsParams

Parent
TFMSNewsAutoGenerator

Visibility
PRIVATE

Source code
FGenerateNewsForAllClassificatorsParams : TFMSAutoGenerateNewsForClassificatorParams

FIMAS
Class Tree
Index
Previous (FGenerateNewsForAllClassificators)
Next (FGenerateNewsForAllCompanies)


Previous (FGenerateNewsForAllClassificatorsParams)
Next (FGenerateNewsForAllCompaniesParams)

Name
FGenerateNewsForAllCompanies

Parent
TFMSNewsAutoGenerator

Visibility
PRIVATE

Source code
FGenerateNewsForAllCompanies : Boolean

FIMAS
Class Tree
Index
Previous (FGenerateNewsForAllClassificatorsParams)
Next (FGenerateNewsForAllCompaniesParams)


Previous (FGenerateNewsForAllCompanies)
Next (FKeepNewsAheadForDays)

Name
FGenerateNewsForAllCompaniesParams

Parent
TFMSNewsAutoGenerator

Visibility
PRIVATE

Source code
FGenerateNewsForAllCompaniesParams : TFMSAutoGenerateNewsForRoleParams

FIMAS
Class Tree
Index
Previous (FGenerateNewsForAllCompanies)
Next (FKeepNewsAheadForDays)


Previous (FGenerateNewsForAllCompaniesParams)
Next (FLastTimeNewsWereGenerated)

Name
FKeepNewsAheadForDays

Parent
TFMSNewsAutoGenerator

Visibility
PRIVATE

Source code
FKeepNewsAheadForDays : Double

FIMAS
Class Tree
Index
Previous (FGenerateNewsForAllCompaniesParams)
Next (FLastTimeNewsWereGenerated)


Previous (FKeepNewsAheadForDays)
Next (FPeriodInDays)

Name
FLastTimeNewsWereGenerated

Parent
TFMSNewsAutoGenerator

Visibility
PRIVATE

Source code
FLastTimeNewsWereGenerated : TDateTime

FIMAS
Class Tree
Index
Previous (FKeepNewsAheadForDays)
Next (FPeriodInDays)


Previous (FLastTimeNewsWereGenerated)
Next (FWorld)

Name
FPeriodInDays

Parent
TFMSNewsAutoGenerator

Visibility
PRIVATE

Source code
FPeriodInDays : Double

FIMAS
Class Tree
Index
Previous (FLastTimeNewsWereGenerated)
Next (FWorld)


Previous (FPeriodInDays)
Next

Name
FWorld

Parent
TFMSNewsAutoGenerator

Visibility
PRIVATE

Source code
FWorld : TFMSRtStandardWorld

FIMAS
Class Tree
Index
Previous (FPeriodInDays)
Next


Previous
Next (CompaniesNews)

Name
ClassificatorNews

Parent
TFMSNewsAutoGenerator

Visibility
PUBLISHED

Description
Used to generate news for single classificators.

Source code
property ClassificatorNews : TFMSAutoGenerateNewsForClassificatorEntries read FClassificatorNews write SetClassificatorNews

Read Access
FClassificatorNews

Write Access
SetClassificatorNews

FIMAS
Class Tree
Index
Previous
Next (CompaniesNews)


Previous (ClassificatorNews)
Next (DontGenerateNewsForClassificators)

Name
CompaniesNews

Parent
TFMSNewsAutoGenerator

Visibility
PUBLISHED

Description
Used to generate news for single companies.

Source code
property CompaniesNews : TFMSAutoGenerateNewsForRoleEntries read FCompaniesNews write SetCompaniesNews

Read Access
FCompaniesNews

Write Access
SetCompaniesNews

FIMAS
Class Tree
Index
Previous (ClassificatorNews)
Next (DontGenerateNewsForClassificators)


Previous (CompaniesNews)
Next (DontGenerateNewsForRoles)

Name
DontGenerateNewsForClassificators

Parent
TFMSNewsAutoGenerator

Visibility
PUBLISHED

Description
Used if GenerateNewsForAllClassificators is True.

Source code
property DontGenerateNewsForClassificators : TFMSClassificatorList read FDontGenerateNewsForClassificators write SetDontGenerateNewsForClassificators

Read Access
FDontGenerateNewsForClassificators

Write Access
SetDontGenerateNewsForClassificators

FIMAS
Class Tree
Index
Previous (CompaniesNews)
Next (DontGenerateNewsForRoles)


Previous (DontGenerateNewsForClassificators)
Next (GenerateNewsForAllClassificators)

Name
DontGenerateNewsForRoles

Parent
TFMSNewsAutoGenerator

Visibility
PUBLISHED

Description
Used if GenerateNewsForAllCompanies is True.

Source code
property DontGenerateNewsForRoles : TFMSParticipantRoleList read FDontGenerateNewsForRoles write SetDontGenerateNewsForRoles

Read Access
FDontGenerateNewsForRoles

Write Access
SetDontGenerateNewsForRoles

FIMAS
Class Tree
Index
Previous (DontGenerateNewsForClassificators)
Next (GenerateNewsForAllClassificators)


Previous (DontGenerateNewsForRoles)
Next (GenerateNewsForAllClassificatorsParams)

Name
GenerateNewsForAllClassificators

Parent
TFMSNewsAutoGenerator

Visibility
PUBLISHED

Description
Do we need to Generate News For All Classificators?

Source code
property GenerateNewsForAllClassificators : Boolean read FGenerateNewsForAllClassificators write FGenerateNewsForAllClassificators

Read Access
FGenerateNewsForAllClassificators

Write Access
FGenerateNewsForAllClassificators

FIMAS
Class Tree
Index
Previous (DontGenerateNewsForRoles)
Next (GenerateNewsForAllClassificatorsParams)


Previous (GenerateNewsForAllClassificators)
Next (GenerateNewsForAllCompanies)

Name
GenerateNewsForAllClassificatorsParams

Parent
TFMSNewsAutoGenerator

Visibility
PUBLISHED

Description
Used if GenerateNewsForAllClassificators is True.

Source code
property GenerateNewsForAllClassificatorsParams : TFMSAutoGenerateNewsForClassificatorParams read FGenerateNewsForAllClassificatorsParams write SetGenerateNewsForAllClassificatorsParams

Read Access
FGenerateNewsForAllClassificatorsParams

Write Access
SetGenerateNewsForAllClassificatorsParams

FIMAS
Class Tree
Index
Previous (GenerateNewsForAllClassificators)
Next (GenerateNewsForAllCompanies)


Previous (GenerateNewsForAllClassificatorsParams)
Next (GenerateNewsForAllCompaniesParams)

Name
GenerateNewsForAllCompanies

Parent
TFMSNewsAutoGenerator

Visibility
PUBLISHED

Description
Do we need to Generate News For All Companies?

Source code
property GenerateNewsForAllCompanies : Boolean read FGenerateNewsForAllCompanies write FGenerateNewsForAllCompanies

Read Access
FGenerateNewsForAllCompanies

Write Access
FGenerateNewsForAllCompanies

FIMAS
Class Tree
Index
Previous (GenerateNewsForAllClassificatorsParams)
Next (GenerateNewsForAllCompaniesParams)


Previous (GenerateNewsForAllCompanies)
Next (KeepNewsAheadForDays)

Name
GenerateNewsForAllCompaniesParams

Parent
TFMSNewsAutoGenerator

Visibility
PUBLISHED

Description
Used if GenerateNewsForAllCompanies is True.

Source code
property GenerateNewsForAllCompaniesParams : TFMSAutoGenerateNewsForRoleParams read FGenerateNewsForAllCompaniesParams write SetGenerateNewsForAllCompaniesParams

Read Access
FGenerateNewsForAllCompaniesParams

Write Access
SetGenerateNewsForAllCompaniesParams

FIMAS
Class Tree
Index
Previous (GenerateNewsForAllCompanies)
Next (KeepNewsAheadForDays)


Previous (GenerateNewsForAllCompaniesParams)
Next (PeriodInDays)

Name
KeepNewsAheadForDays

Parent
TFMSNewsAutoGenerator

Visibility
PUBLISHED

Description
We always have news, that are ahead of current time for this number of days. Default is 7 Days.

Source code
property KeepNewsAheadForDays : Double read FKeepNewsAheadForDays write FKeepNewsAheadForDays

Read Access
FKeepNewsAheadForDays

Write Access
FKeepNewsAheadForDays

FIMAS
Class Tree
Index
Previous (GenerateNewsForAllCompaniesParams)
Next (PeriodInDays)


Previous (KeepNewsAheadForDays)
Next (World)

Name
PeriodInDays

Parent
TFMSNewsAutoGenerator

Visibility
PUBLISHED

Description
Number of days that news are generated for. Default is 7 Days.

Source code
property PeriodInDays : Double read FPeriodInDays write FPeriodInDays

Read Access
FPeriodInDays

Write Access
FPeriodInDays

FIMAS
Class Tree
Index
Previous (KeepNewsAheadForDays)
Next (World)


Previous (PeriodInDays)
Next

Name
World

Parent
TFMSNewsAutoGenerator

Visibility
PUBLISHED

Description
Link to World.

Source code
property World : TFMSRtStandardWorld read FWorld write FWorld

Read Access
FWorld

Write Access
FWorld

FIMAS
Class Tree
Index
Previous (PeriodInDays)
Next


Previous
Next (CreateInitialized)

Name
Create

Parent
TFMSNewsAutoGenerator

Visibility
PUBLIC

Description
Constructor.
Constructor.

Source code
constructor Create ( aOwner : TXCollection ) ; override

Parameters
Parameter | Description
aOwner : TXCollection | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (CreateInitialized)


Previous (Create)
Next (Destroy)

Name
CreateInitialized

Parent
TFMSNewsAutoGenerator

Visibility
PUBLIC

Description
Prefered Constructor.
Prefered Constructor.

Source code
constructor CreateInitialized ( const AWorld : TFMSRtStandardWorld ) ; virtual

Parameters
Parameter | Description
AWorld : TFMSRtStandardWorld | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (Destroy)


Previous (CreateInitialized)
Next (GenerateClassificatorRandomNews)

Name
Destroy

Parent
TFMSNewsAutoGenerator

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (CreateInitialized)
Next (GenerateClassificatorRandomNews)


Previous (Destroy)
Next (GenerateRandomNewsForAllCompanies)

Name
GenerateClassificatorRandomNews

Parent
TFMSNewsAutoGenerator

Visibility
PUBLIC

Description
News are spread over all classificators, each is chosen at random.
News are spread over all classificators, each is chosen at random.

Source code
procedure GenerateClassificatorRandomNews ( const ANewsCount : Integer ; const AClassificatorType : TFMSClassificatorType ; const AStartPeriod , AEndPeriod : TDateTime ; const AMinPower : Double = - 5 ; const AMaxPower : Double = 5 ; const AMinLinkMultiplier : Double = 0.25 ; const AMaxLinkMultiplier : Double = 4 ; const AMinClassificatorLinkCount : Integer = 1 ; const AMaxClassificatorLinkCount : Integer = 5 ; const AAutoSort : Boolean = True )

Parameters
Parameter | Description
ANewsCount : INTEGER | &nbsp;
AClassificatorType : TFMSClassificatorType | &nbsp;
AStartPeriod : TDateTime | &nbsp;
AEndPeriod : TDateTime | &nbsp;
AMinPower : DOUBLE | &nbsp;
AMaxPower : DOUBLE | &nbsp;
AMinLinkMultiplier : DOUBLE | &nbsp;
AMaxLinkMultiplier : DOUBLE | &nbsp;
AMinClassificatorLinkCount : INTEGER | &nbsp;
AMaxClassificatorLinkCount : INTEGER | &nbsp;
AAutoSort : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (Destroy)
Next (GenerateRandomNewsForAllCompanies)


Previous (GenerateClassificatorRandomNews)
Next (GenerateRandomNewsForOneClassificator)

Name
GenerateRandomNewsForAllCompanies

Parent
TFMSNewsAutoGenerator

Visibility
PUBLIC

Description
News are spread over all companies, each is chosen at random.
News are spread over all companies, each is chosen at random.

Source code
procedure GenerateRandomNewsForAllCompanies ( const ANewsCount : Integer ; const AStartPeriod , AEndPeriod : TDateTime ; const AMinPower : Double = - 5 ; const AMaxPower : Double = 5 ; const AAutoSort : Boolean = True )

Parameters
Parameter | Description
ANewsCount : INTEGER | &nbsp;
AStartPeriod : TDateTime | &nbsp;
AEndPeriod : TDateTime | &nbsp;
AMinPower : DOUBLE | &nbsp;
AMaxPower : DOUBLE | &nbsp;
AAutoSort : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (GenerateClassificatorRandomNews)
Next (GenerateRandomNewsForOneClassificator)


Previous (GenerateRandomNewsForAllCompanies)
Next (GenerateRandomNewsForOneCompany)

Name
GenerateRandomNewsForOneClassificator

Parent
TFMSNewsAutoGenerator

Visibility
PUBLIC

Description
All news are generated only for this classificator.
All news are generated only for this classificator.

Source code
procedure GenerateRandomNewsForOneClassificator ( const ANewsCount : Integer ; const AClassificator : TFMSClassificator ; const AStartPeriod , AEndPeriod : TDateTime ; const AMinPower : Double = - 5 ; const AMaxPower : Double = 5 ; const AMinLinkMultiplier : Double = 0.25 ; const AMaxLinkMultiplier : Double = 4 ; const AMinClassificatorLinkCount : Integer = 1 ; const AMaxClassificatorLinkCount : Integer = 5 ; const AAutoSort : Boolean = True )

Parameters
Parameter | Description
ANewsCount : INTEGER | &nbsp;
AClassificator : TFMSClassificator | &nbsp;
AStartPeriod : TDateTime | &nbsp;
AEndPeriod : TDateTime | &nbsp;
AMinPower : DOUBLE | &nbsp;
AMaxPower : DOUBLE | &nbsp;
AMinLinkMultiplier : DOUBLE | &nbsp;
AMaxLinkMultiplier : DOUBLE | &nbsp;
AMinClassificatorLinkCount : INTEGER | &nbsp;
AMaxClassificatorLinkCount : INTEGER | &nbsp;
AAutoSort : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (GenerateRandomNewsForAllCompanies)
Next (GenerateRandomNewsForOneCompany)


Previous (GenerateRandomNewsForOneClassificator)
Next (SetClassificatorNews)

Name
GenerateRandomNewsForOneCompany

Parent
TFMSNewsAutoGenerator

Visibility
PUBLIC

Description
All news are generated only for this company.
All news are generated only for this company.

Source code
procedure GenerateRandomNewsForOneCompany ( const ANewsCount : Integer ; const ARole : TFMSParticipantRole ; const AStartPeriod , AEndPeriod : TDateTime ; const AMinPower : Double = - 5 ; const AMaxPower : Double = 5 ; const AAutoSort : Boolean = True )

Parameters
Parameter | Description
ANewsCount : INTEGER | &nbsp;
ARole : TFMSParticipantRole | &nbsp;
AStartPeriod : TDateTime | &nbsp;
AEndPeriod : TDateTime | &nbsp;
AMinPower : DOUBLE | &nbsp;
AMaxPower : DOUBLE | &nbsp;
AAutoSort : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (GenerateRandomNewsForOneClassificator)
Next (SetClassificatorNews)


Previous (GenerateRandomNewsForOneCompany)
Next (SetCompaniesNews)

Name
SetClassificatorNews

Parent
TFMSNewsAutoGenerator

Visibility
PRIVATE

Source code
procedure SetClassificatorNews ( const Value : TFMSAutoGenerateNewsForClassificatorEntries )

Parameters
Parameter | Description
Value : TFMSAutoGenerateNewsForClassificatorEntries | &nbsp;

FIMAS
Class Tree
Index
Previous (GenerateRandomNewsForOneCompany)
Next (SetCompaniesNews)


Previous (SetClassificatorNews)
Next (SetDontGenerateNewsForClassificators)

Name
SetCompaniesNews

Parent
TFMSNewsAutoGenerator

Visibility
PRIVATE

Source code
procedure SetCompaniesNews ( const Value : TFMSAutoGenerateNewsForRoleEntries )

Parameters
Parameter | Description
Value : TFMSAutoGenerateNewsForRoleEntries | &nbsp;

FIMAS
Class Tree
Index
Previous (SetClassificatorNews)
Next (SetDontGenerateNewsForClassificators)


Previous (SetCompaniesNews)
Next (SetDontGenerateNewsForRoles)

Name
SetDontGenerateNewsForClassificators

Parent
TFMSNewsAutoGenerator

Visibility
PRIVATE

Source code
procedure SetDontGenerateNewsForClassificators ( const Value : TFMSClassificatorList )

Parameters
Parameter | Description
Value : TFMSClassificatorList | &nbsp;

FIMAS
Class Tree
Index
Previous (SetCompaniesNews)
Next (SetDontGenerateNewsForRoles)


Previous (SetDontGenerateNewsForClassificators)
Next (SetGenerateNewsForAllClassificatorsParams)

Name
SetDontGenerateNewsForRoles

Parent
TFMSNewsAutoGenerator

Visibility
PRIVATE

Source code
procedure SetDontGenerateNewsForRoles ( const Value : TFMSParticipantRoleList )

Parameters
Parameter | Description
Value : TFMSParticipantRoleList | &nbsp;

FIMAS
Class Tree
Index
Previous (SetDontGenerateNewsForClassificators)
Next (SetGenerateNewsForAllClassificatorsParams)


Previous (SetDontGenerateNewsForRoles)
Next (SetGenerateNewsForAllCompaniesParams)

Name
SetGenerateNewsForAllClassificatorsParams

Parent
TFMSNewsAutoGenerator

Visibility
PRIVATE

Source code
procedure SetGenerateNewsForAllClassificatorsParams ( const Value : TFMSAutoGenerateNewsForClassificatorParams )

Parameters
Parameter | Description
Value : TFMSAutoGenerateNewsForClassificatorParams | &nbsp;

FIMAS
Class Tree
Index
Previous (SetDontGenerateNewsForRoles)
Next (SetGenerateNewsForAllCompaniesParams)


Previous (SetGenerateNewsForAllClassificatorsParams)
Next (Step)

Name
SetGenerateNewsForAllCompaniesParams

Parent
TFMSNewsAutoGenerator

Visibility
PRIVATE

Source code
procedure SetGenerateNewsForAllCompaniesParams ( const Value : TFMSAutoGenerateNewsForRoleParams )

Parameters
Parameter | Description
Value : TFMSAutoGenerateNewsForRoleParams | &nbsp;

FIMAS
Class Tree
Index
Previous (SetGenerateNewsForAllClassificatorsParams)
Next (Step)


Previous (SetGenerateNewsForAllCompaniesParams)
Next

Name
Step

Parent
TFMSNewsAutoGenerator

Visibility
PROTECTED

Source code
procedure Step ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetGenerateNewsForAllCompaniesParams)
Next


Previous (TFMSNewsAutoGenerator)
Next

Name
TFMSSimulatedActivityCompanyRole

Parent
FMSSimulatedActivityClasses

Class Hierarchy
TFMSCompanyRole

Visibility
PUBLIC

Description
A Company that simulates all its economic activity.

Members
Fields
Field Description
FEconomicParametersEvaluationScale (-)
FGrowth (-)
FLastCompanyInfo (-)
FLastProcessedClassificatorNewsItemIndex (-)
FLastProcessedPersonalNewsIndex (-)
FNeedToGenerateEconomicParameters (-)
FNeedToGenerateMonthlyNews (-)
FNewsInfluenceScale (-)
FNewsInteractionMode (-)
FRandomness (-)

Methods
Method | Description
Assign (+)
Create (+)
Destroy (+) | Add-up Classificator news and ParticipantRole news.
DoEverydayWork (#) | Buy, sell things, produce, hire people, research, earn money and pay taxes.
DoGenerateEcomonicParametersFromNews (#)
DoGenerateEconomicParameters (#)
DoGenerateMonthlyNews (#) | If NeedToGenerateMonthlyNews is True, it Amplifies the latest week news. with some ramdomness.
DoGenerateNewsFromLatestEconomicParams (#)
FriendlyDescription (+)
FriendlyName (+)

Properties
Property | Description
EconomicParametersEvaluationScale (*) | This parameter determines how ompany's economic parameters influences News. Used only if CompanyIsInfluencedByNews is True.
Growth (*) | 0 - no growth; 0.15 - 0%-15% growth a year. Used only if NeedToGenerateEconomicParameters is True.
NeedToGenerateEconomicParameters (*) | If True, Economic Parameters are auto generated.
NeedToGenerateMonthlyNews (*) | If True, monthly news are auto-generated.
NewsInfluenceScale (*) | Every news Item influences one of the parameters of a firm (if CompanyIsInfluencedByNews is True). This parameter determines how news power influences company's economic parameters.
NewsInteractionMode (*) | Either company is influenced by news or news are created in responce to company's actions or News are ignored. By default, the News are ignored.
Randomness (*) | 0 means no growth; 0.15 means from -15% to 15% growth a year. Used only if NeedToGenerateEconomicParameters is True.

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSNewsAutoGenerator)
Next


Previous
Next (FGrowth)

Name
FEconomicParametersEvaluationScale

Parent
TFMSSimulatedActivityCompanyRole

Visibility
PRIVATE

Source code
FEconomicParametersEvaluationScale : Double

FIMAS
Class Tree
Index
Previous
Next (FGrowth)


Previous (FEconomicParametersEvaluationScale)
Next (FLastCompanyInfo)

Name
FGrowth

Parent
TFMSSimulatedActivityCompanyRole

Visibility
PRIVATE

Source code
FGrowth : Double

FIMAS
Class Tree
Index
Previous (FEconomicParametersEvaluationScale)
Next (FLastCompanyInfo)


Previous (FGrowth)
Next (FLastProcessedClassificatorNewsItemIndex)

Name
FLastCompanyInfo

Parent
TFMSSimulatedActivityCompanyRole

Visibility
PRIVATE

Source code
FLastCompanyInfo : TFMSCompanyInformation

FIMAS
Class Tree
Index
Previous (FGrowth)
Next (FLastProcessedClassificatorNewsItemIndex)


Previous (FLastCompanyInfo)
Next (FLastProcessedPersonalNewsIndex)

Name
FLastProcessedClassificatorNewsItemIndex

Parent
TFMSSimulatedActivityCompanyRole

Visibility
PRIVATE

Source code
FLastProcessedClassificatorNewsItemIndex : TIntegerList

FIMAS
Class Tree
Index
Previous (FLastCompanyInfo)
Next (FLastProcessedPersonalNewsIndex)


Previous (FLastProcessedClassificatorNewsItemIndex)
Next (FNeedToGenerateEconomicParameters)

Name
FLastProcessedPersonalNewsIndex

Parent
TFMSSimulatedActivityCompanyRole

Visibility
PRIVATE

Source code
FLastProcessedPersonalNewsIndex : Integer

FIMAS
Class Tree
Index
Previous (FLastProcessedClassificatorNewsItemIndex)
Next (FNeedToGenerateEconomicParameters)


Previous (FLastProcessedPersonalNewsIndex)
Next (FNeedToGenerateMonthlyNews)

Name
FNeedToGenerateEconomicParameters

Parent
TFMSSimulatedActivityCompanyRole

Visibility
PRIVATE

Source code
FNeedToGenerateEconomicParameters : Boolean

FIMAS
Class Tree
Index
Previous (FLastProcessedPersonalNewsIndex)
Next (FNeedToGenerateMonthlyNews)


Previous (FNeedToGenerateEconomicParameters)
Next (FNewsInfluenceScale)

Name
FNeedToGenerateMonthlyNews

Parent
TFMSSimulatedActivityCompanyRole

Visibility
PRIVATE

Source code
FNeedToGenerateMonthlyNews : Boolean

FIMAS
Class Tree
Index
Previous (FNeedToGenerateEconomicParameters)
Next (FNewsInfluenceScale)


Previous (FNeedToGenerateMonthlyNews)
Next (FNewsInteractionMode)

Name
FNewsInfluenceScale

Parent
TFMSSimulatedActivityCompanyRole

Visibility
PRIVATE

Source code
FNewsInfluenceScale : Double

FIMAS
Class Tree
Index
Previous (FNeedToGenerateMonthlyNews)
Next (FNewsInteractionMode)


Previous (FNewsInfluenceScale)
Next (FRandomness)

Name
FNewsInteractionMode

Parent
TFMSSimulatedActivityCompanyRole

Visibility
PRIVATE

Source code
FNewsInteractionMode : TFMSSimulatedActivityCompanyRoleNewsInteractionMode

FIMAS
Class Tree
Index
Previous (FNewsInfluenceScale)
Next (FRandomness)


Previous (FNewsInteractionMode)
Next

Name
FRandomness

Parent
TFMSSimulatedActivityCompanyRole

Visibility
PRIVATE

Source code
FRandomness : Double

FIMAS
Class Tree
Index
Previous (FNewsInteractionMode)
Next


Previous
Next (Growth)

Name
EconomicParametersEvaluationScale

Parent
TFMSSimulatedActivityCompanyRole

Visibility
PUBLISHED

Description
This parameter determines how ompany's economic parameters influences News. Used only if CompanyIsInfluencedByNews is True.

Source code
property EconomicParametersEvaluationScale : Double read FEconomicParametersEvaluationScale write FEconomicParametersEvaluationScale

Read Access
FEconomicParametersEvaluationScale

Write Access
FEconomicParametersEvaluationScale

FIMAS
Class Tree
Index
Previous
Next (Growth)


Previous (EconomicParametersEvaluationScale)
Next (NeedToGenerateEconomicParameters)

Name
Growth

Parent
TFMSSimulatedActivityCompanyRole

Visibility
PUBLISHED

Description
0 - no growth; 0.15 - 0%-15% growth a year. Used only if NeedToGenerateEconomicParameters is True.

Source code
property Growth : Double read FGrowth write FGrowth

Read Access
FGrowth

Write Access
FGrowth

FIMAS
Class Tree
Index
Previous (EconomicParametersEvaluationScale)
Next (NeedToGenerateEconomicParameters)


Previous (Growth)
Next (NeedToGenerateMonthlyNews)

Name
NeedToGenerateEconomicParameters

Parent
TFMSSimulatedActivityCompanyRole

Visibility
PUBLISHED

Description
If True, Economic Parameters are auto generated.

Source code
property NeedToGenerateEconomicParameters : Boolean read FNeedToGenerateEconomicParameters write FNeedToGenerateEconomicParameters

Read Access
FNeedToGenerateEconomicParameters

Write Access
FNeedToGenerateEconomicParameters

FIMAS
Class Tree
Index
Previous (Growth)
Next (NeedToGenerateMonthlyNews)


Previous (NeedToGenerateEconomicParameters)
Next (NewsInfluenceScale)

Name
NeedToGenerateMonthlyNews

Parent
TFMSSimulatedActivityCompanyRole

Visibility
PUBLISHED

Description
If True, monthly news are auto-generated.

Source code
property NeedToGenerateMonthlyNews : Boolean read FNeedToGenerateMonthlyNews write FNeedToGenerateMonthlyNews

Read Access
FNeedToGenerateMonthlyNews

Write Access
FNeedToGenerateMonthlyNews

FIMAS
Class Tree
Index
Previous (NeedToGenerateEconomicParameters)
Next (NewsInfluenceScale)


Previous (NeedToGenerateMonthlyNews)
Next (NewsInteractionMode)

Name
NewsInfluenceScale

Parent
TFMSSimulatedActivityCompanyRole

Visibility
PUBLISHED

Description
Every news Item influences one of the parameters of a firm (if CompanyIsInfluencedByNews is True). This parameter determines how news power influences company's economic parameters.

Source code
property NewsInfluenceScale : Double read FNewsInfluenceScale write FNewsInfluenceScale

Read Access
FNewsInfluenceScale

Write Access
FNewsInfluenceScale

FIMAS
Class Tree
Index
Previous (NeedToGenerateMonthlyNews)
Next (NewsInteractionMode)


Previous (NewsInfluenceScale)
Next (Randomness)

Name
NewsInteractionMode

Parent
TFMSSimulatedActivityCompanyRole

Visibility
PUBLISHED

Description
Either company is influenced by news or news are created in responce to company's actions or News are ignored. By default, the News are ignored.

Source code
property NewsInteractionMode : TFMSSimulatedActivityCompanyRoleNewsInteractionMode read FNewsInteractionMode write FNewsInteractionMode default nimNone

Read Access
FNewsInteractionMode

Write Access
FNewsInteractionMode

FIMAS
Class Tree
Index
Previous (NewsInfluenceScale)
Next (Randomness)


Previous (NewsInteractionMode)
Next

Name
Randomness

Parent
TFMSSimulatedActivityCompanyRole

Visibility
PUBLISHED

Description
0 means no growth; 0.15 means from -15% to 15% growth a year. Used only if NeedToGenerateEconomicParameters is True.

Source code
property Randomness : Double read FRandomness write FRandomness

Read Access
FRandomness

Write Access
FRandomness

FIMAS
Class Tree
Index
Previous (NewsInteractionMode)
Next


Previous
Next (Create)

Name
Assign

Parent
TFMSSimulatedActivityCompanyRole

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (Assign)
Next (Destroy)

Name
Create

Parent
TFMSSimulatedActivityCompanyRole

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TXCollection ) ; override

Parameters
Parameter | Description
AOwner : TXCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (Assign)
Next (Destroy)


Previous (Create)
Next (DoEverydayWork)

Name
Destroy

Parent
TFMSSimulatedActivityCompanyRole

Visibility
PUBLIC

Description
Add-up Classificator news and ParticipantRole news.
Add-up Classificator news and ParticipantRole news.

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (DoEverydayWork)


Previous (Destroy)
Next (DoGenerateEcomonicParametersFromNews)

Name
DoEverydayWork

Parent
TFMSSimulatedActivityCompanyRole

Visibility
PROTECTED

Description
Buy, sell things, produce, hire people, research, earn money and pay taxes.
Buy, sell things, produce, hire people, research, earn money and pay taxes.

Source code
procedure DoEverydayWork ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Destroy)
Next (DoGenerateEcomonicParametersFromNews)


Previous (DoEverydayWork)
Next (DoGenerateEconomicParameters)

Name
DoGenerateEcomonicParametersFromNews

Parent
TFMSSimulatedActivityCompanyRole

Visibility
PROTECTED

Source code
procedure DoGenerateEcomonicParametersFromNews

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoEverydayWork)
Next (DoGenerateEconomicParameters)


Previous (DoGenerateEcomonicParametersFromNews)
Next (DoGenerateMonthlyNews)

Name
DoGenerateEconomicParameters

Parent
TFMSSimulatedActivityCompanyRole

Visibility
PROTECTED

Source code
procedure DoGenerateEconomicParameters

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoGenerateEcomonicParametersFromNews)
Next (DoGenerateMonthlyNews)


Previous (DoGenerateEconomicParameters)
Next (DoGenerateNewsFromLatestEconomicParams)

Name
DoGenerateMonthlyNews

Parent
TFMSSimulatedActivityCompanyRole

Visibility
PROTECTED

Description
If NeedToGenerateMonthlyNews is True, it Amplifies the latest week news. with some ramdomness.
If NeedToGenerateMonthlyNews is True, it Amplifies the latest week news. with some ramdomness.

Source code
procedure DoGenerateMonthlyNews ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoGenerateEconomicParameters)
Next (DoGenerateNewsFromLatestEconomicParams)


Previous (DoGenerateMonthlyNews)
Next (FriendlyDescription)

Name
DoGenerateNewsFromLatestEconomicParams

Parent
TFMSSimulatedActivityCompanyRole

Visibility
PROTECTED

Source code
procedure DoGenerateNewsFromLatestEconomicParams

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoGenerateMonthlyNews)
Next (FriendlyDescription)


Previous (DoGenerateNewsFromLatestEconomicParams)
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSSimulatedActivityCompanyRole

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoGenerateNewsFromLatestEconomicParams)
Next (FriendlyName)


Previous (FriendlyDescription)
Next

Name
FriendlyName

Parent
TFMSSimulatedActivityCompanyRole

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next


Previous
Next

Name
TFMSSimulatedActivityCompanyRoleNewsInteractionMode

Parent
FMSSimulatedActivityClasses

Visibility
PUBLIC

Source code
TFMSSimulatedActivityCompanyRoleNewsInteractionMode = ( nimNone , nimGenerateNewsFromLatestEconomicParams , nimGenerateEcomonicParametersFromNews ) ;

FIMAS
Class Tree
Index
Previous
Next


Previous (FMSSimulatedActivityClasses)
Next (FMSStatistics)

Name
FMSStandardRoles

Parent
FIMAS

Description
FMS Standard Roles. Implements some standard roles and classe that can be used to simulate share market.

Types
Type Description
TFMSShareTransactionBrokerRequestEvent (+)
TFMSShareTransactionRequestEvent (+)
TFMSShareTransactionTraderRequestEvent (+)

Methods
Method Description
TransactionRequestListSortProcedure (+)

Classes
Class | Description
TFMSBrokerAccount (+) | An account of a broker on a share market side.
TFMSBrokerAccounts (+) | Collection of TFMSBrokerAccount.
TFMSBrokerPlan (+) | An abstract broker-specific plan.
TFMSBrokerRole (+) | Acts as a link between a market and a trader.
TFMSBrokerRoleList (+) | A list of TFMSBrokerRole.
TFMSBrokerStrategies (+) | Collection of TFMSBrokerRole.
TFMSBrokerStrategy (+) | An abstract broker-specific strategy.
TFMSCompanyPlan (+) | An abstract company-specific plan.
TFMSCompanyRole (+) | A role that represents a comercial company,
TFMSCompanyRoleList (+) | A list of TFMSCompanyRole.
TFMSCompanyStrategies (+) | A collection of TFMSCompanyStrategy.
TFMSCompanyStrategy (+) | An abstract company-specific strategy.
TFMSConsumerRole (+) | A participant may represent a consumer.
TFMSFamilyRole (+) | A participant may represent a whole family.
TFMSMarketPlan (+) | An abstract market-specific plan.
TFMSMarketRole (+) | A regular share market.
TFMSMarketRoleList (+) | A list of TFMSMarketRole.
TFMSMarketStrategies (+) | Collection of TFMSMarketStrategy.
TFMSMarketStrategy (+) | An abstract share market specific strategy.
TFMSMoneyAccount (+) | An account that poseses a certain amount of money.
TFMSMoneyAccounts (+) | Collection of TFMSMoneyAccount.
TFMSPeriodicCommisionPlan (+) | A plan that requires to pay a certain amount periodically. [Not implemented yet.]
TFMSPlan (+) | Abstract class that serves as an ancestor to other more complex plans.
TFMSPlanList (+) | A list of TFMSPlan.
TFMSPlans (+) | Collection of TFMSPlan.
TFMSRtStandardWorld (+) | Knows about brokers, companies, markets and traders. Has utility lists that can store them inside the class.
TFMSSharePortfolio (+) | Collection of TFMSSharePortfolioItem.
TFMSSharePortfolioItem (+) | Stores information on to who belongs the given share type, and the amount of shares owned by this person.
TFMSSharePortfolioItemList (+)
TFMSShareTransaction (+) | Information about a transaction.
TFMSShareTransactionBrokerRequest (+) | A broker-specific transaction request.
TFMSShareTransactionBrokerRequestList (+) | A list of TFMSShareTransactionBrokerRequest.
TFMSShareTransactionBrokerRequests (+) | Collection of TFMSShareTransactionBrokerRequest.
TFMSShareTransactionCommisionPlan (+) | An abstract class that describes how brokers can charge trades for transaction requests. Also applies to markets charging brokers.
TFMSShareTransactionCommisionPlans (+) | Collection of TFMSShareTransactionCommisionPlan.
TFMSShareTransactionList (+)
TFMSShareTransactionRequest (+) | A request to commit a transaction.
TFMSShareTransactionRequestList (+) | A list of TFMSShareTransactionRequest.
TFMSShareTransactionRequests (+) | Collection of TFMSShareTransactionRequest.
TFMSShareTransactions (+) | Collection of TFMSShareTransaction.
TFMSShareTransactionTraderRequest (+) | A trader-specific transaction request.
TFMSShareTransactionTraderRequestList (+) | A list of TFMSShareTransactionTraderRequest.
TFMSShareTransactionTraderRequests (+) | Collection of TFMSShareTransactionTraderRequest.
TFMSShareType (+) | Describes a a share type. Stores information about all owners of it.
TFMSShareTypeAccount (+) | An accout that stores information on the current market position of a selected ShareType. Also stores transaction requests and transaction history.
TFMSShareTypeAccountList (+) | A list of TFMSShareTypeAccount
TFMSShareTypeAccounts (+) | Collection of TFMSShareTypeAccount.
TFMSShareTypeList (+)
TFMSShareTypes (+) | Collection of TFMSShareType.
TFMSSimpleCommisionPlan (+) | A plan that requires to pay a certain comission fee per deal.
TFMSStandardAccount (+) | A class of an abstract account.
TFMSStandardAccounts (+) | Collection of TFMSStandardAccount.
TFMSStandardBrokerStrategy (+) | A broket strategy that just redirects all incomming requests to the market.
TFMSStandardParticipant (+) | A wrapper around TFMSParticipant, that allows to cast itself to other roles.
TFMSStandardParticipantRole (+) | An abstract class that serves as an ancestor to all other more complex roles.
TFMSStandardParticipantRoleList (+) | A list of TFMSStandardParticipantRole.
TFMSStandardParticipantRoles (+) | Collection of TFMSStandardParticipantRole.
TFMSStandardParticipants (+) | Collection of TFMSStandardParticipant.
TFMSStrategies (+) | Collection of TFMSStrategy.
TFMSStrategy (+) | Abstract class that serves as an ancestor to all other participant-specific strategies.
TFMSTraderAccount (+) | An account of a trader on his broker's side.
TFMSTraderAccounts (+) | Collection of TFMSTraderAccount.
TFMSTraderPlan (+) | An abstract trader-specific plan.
TFMSTraderPlanBuyIf (+) | [Not implemented yet.]
TFMSTraderPlanBuyOnDate (+) | [Not implemented yet.]
TFMSTraderPlanSellIf (+) | [Not implemented yet.]
TFMSTraderPlanSellOnDate (+) | [Not implemented yet.]
TFMSTraderRole (+) | Represents a trader on a share market.
TFMSTraderRoleList (+) | A list of TFMSTraderRole.
TFMSTraderStrategies (+) | Collection of TFMSTraderStrategy.
TFMSTraderStrategy (+) | A trader-specific strategy. Still an abstract class.
TFMSTransactionRequestAccount (+) | An account that has a share portfolio and can send transaction requests.
TFMSTransactionRequestAccounts (+) | Collection of TFMSTransactionRequestAccount.
TFMSWaitPlan (+) | An abstract plan that allows its owner to a hault decision making for a certain period of time.

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (FMSSimulatedActivityClasses)
Next (FMSStatistics)


Previous
Next (TFMSBrokerAccounts)

Name
TFMSBrokerAccount

Parent
FMSStandardRoles

Class Hierarchy
TFMSTransactionRequestAccount

Visibility
PUBLIC

Description
An account of a broker on a share market side.

Members
Fields
Field Description
FBroker (-)

Methods
Method | Description
Assign (+)
Create (+)
Destroy (+)
DoCreateActiveTransactionRequestsList (#)
GetActiveTransactionRequests (-)
GetMarket (-)
GetParent (#)
GetTransactionRequests (-)
MakeRequestFromTemplate (+) | Just makes the request. Does not validate it.
MakeRequestFull (+) | Just makes the request. Does not validate it.
MakeRequestMini (+)
ReRouteTraderRequest (+)
SetActiveTransactionRequests (-)
SetTransactionRequests (-)

Properties
Property Description
ActiveTransactionRequests (*)
Broker (*)
Market (*)
TransactionRequests (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous
Next (TFMSBrokerAccounts)


Previous
Next

Name
FBroker

Parent
TFMSBrokerAccount

Visibility
PRIVATE

Source code
FBroker : TFMSBrokerRole

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Broker)

Name
ActiveTransactionRequests

Parent
TFMSBrokerAccount

Visibility
PUBLISHED

Source code
property ActiveTransactionRequests : TFMSShareTransactionBrokerRequestList read GetActiveTransactionRequests write SetActiveTransactionRequests

Read Access
GetActiveTransactionRequests

Write Access
SetActiveTransactionRequests

FIMAS
Class Tree
Index
Previous
Next (Broker)


Previous (ActiveTransactionRequests)
Next (Market)

Name
Broker

Parent
TFMSBrokerAccount

Visibility
PUBLISHED

Source code
property Broker : TFMSBrokerRole read FBroker

Read Access
FBroker

FIMAS
Class Tree
Index
Previous (ActiveTransactionRequests)
Next (Market)


Previous (Broker)
Next (TransactionRequests)

Name
Market

Parent
TFMSBrokerAccount

Visibility
PUBLISHED

Source code
property Market : TFMSMarketRole read GetMarket

Read Access
GetMarket

FIMAS
Class Tree
Index
Previous (Broker)
Next (TransactionRequests)


Previous (Market)
Next

Name
TransactionRequests

Parent
TFMSBrokerAccount

Visibility
PUBLISHED

Source code
property TransactionRequests : TFMSShareTransactionBrokerRequestList read GetTransactionRequests write SetTransactionRequests

Read Access
GetTransactionRequests

Write Access
SetTransactionRequests

FIMAS
Class Tree
Index
Previous (Market)
Next


Previous
Next (Create)

Name
Assign

Parent
TFMSBrokerAccount

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (Assign)
Next (Destroy)

Name
Create

Parent
TFMSBrokerAccount

Visibility
PUBLIC

Source code
constructor Create ( Collection : TCollection ) ; override

Parameters
Parameter | Description
Collection : TCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (Assign)
Next (Destroy)


Previous (Create)
Next (DoCreateActiveTransactionRequestsList)

Name
Destroy

Parent
TFMSBrokerAccount

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (DoCreateActiveTransactionRequestsList)


Previous (Destroy)
Next (GetActiveTransactionRequests)

Name
DoCreateActiveTransactionRequestsList

Parent
TFMSBrokerAccount

Visibility
PROTECTED

Source code
procedure DoCreateActiveTransactionRequestsList ( var ATransactionRequestsList , AActiveTransactionRequestsList : TFMSShareTransactionRequestList ) ; override

Parameters
Parameter | Description
ATransactionRequestsList : TFMSShareTransactionRequestList | &nbsp;
AActiveTransactionRequestsList : TFMSShareTransactionRequestList | &nbsp;

FIMAS
Class Tree
Index
Previous (Destroy)
Next (GetActiveTransactionRequests)


Previous (DoCreateActiveTransactionRequestsList)
Next (GetMarket)

Name
GetActiveTransactionRequests

Parent
TFMSBrokerAccount

Visibility
PRIVATE

Source code
function GetActiveTransactionRequests : TFMSShareTransactionBrokerRequestList

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoCreateActiveTransactionRequestsList)
Next (GetMarket)


Previous (GetActiveTransactionRequests)
Next (GetParent)

Name
GetMarket

Parent
TFMSBrokerAccount

Visibility
PRIVATE

Source code
function GetMarket : TFMSMarketRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetActiveTransactionRequests)
Next (GetParent)


Previous (GetMarket)
Next (GetTransactionRequests)

Name
GetParent

Parent
TFMSBrokerAccount

Visibility
PROTECTED

Source code
function GetParent : TFMSBrokerAccounts

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetMarket)
Next (GetTransactionRequests)


Previous (GetParent)
Next (MakeRequestFromTemplate)

Name
GetTransactionRequests

Parent
TFMSBrokerAccount

Visibility
PRIVATE

Source code
function GetTransactionRequests : TFMSShareTransactionBrokerRequestList

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetParent)
Next (MakeRequestFromTemplate)


Previous (GetTransactionRequests)
Next (MakeRequestFull)

Name
MakeRequestFromTemplate

Parent
TFMSBrokerAccount

Visibility
PUBLIC

Description
Just makes the request. Does not validate it.
Just makes the request. Does not validate it.

Source code
function MakeRequestFromTemplate ( const ATemplate : TFMSShareTransactionBrokerRequest ) : TFMSShareTransactionBrokerRequest

Parameters
Parameter | Description
ATemplate : TFMSShareTransactionBrokerRequest | &nbsp;

FIMAS
Class Tree
Index
Previous (GetTransactionRequests)
Next (MakeRequestFull)


Previous (MakeRequestFromTemplate)
Next (MakeRequestMini)

Name
MakeRequestFull

Parent
TFMSBrokerAccount

Visibility
PUBLIC

Description
Just makes the request. Does not validate it.
Just makes the request. Does not validate it.

Source code
function MakeRequestFull ( const AShareTypeAccount : TFMSShareTypeAccount ; const ALimitPrice : Double ; const AQuantity : Integer ; const ARequestType : TFMSShareTransactionRequestType ; AValidUntil : TDateTime ; const AStrategy : TFMSBrokerStrategy ) : TFMSShareTransactionBrokerRequest

Parameters
Parameter | Description
AShareTypeAccount : TFMSShareTypeAccount | &nbsp;
ALimitPrice : DOUBLE | &nbsp;
AQuantity : INTEGER | &nbsp;
ARequestType : TFMSShareTransactionRequestType | &nbsp;
AValidUntil : TDateTime | &nbsp;
AStrategy : TFMSBrokerStrategy | &nbsp;

FIMAS
Class Tree
Index
Previous (MakeRequestFromTemplate)
Next (MakeRequestMini)


Previous (MakeRequestFull)
Next (ReRouteTraderRequest)

Name
MakeRequestMini

Parent
TFMSBrokerAccount

Visibility
PUBLIC

Source code
function MakeRequestMini : TFMSShareTransactionBrokerRequest

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (MakeRequestFull)
Next (ReRouteTraderRequest)


Previous (MakeRequestMini)
Next (SetActiveTransactionRequests)

Name
ReRouteTraderRequest

Parent
TFMSBrokerAccount

Visibility
PUBLIC

Source code
procedure ReRouteTraderRequest ( ATransactionRequest : TFMSShareTransactionTraderRequest )

Parameters
Parameter | Description
ATransactionRequest : TFMSShareTransactionTraderRequest | &nbsp;

FIMAS
Class Tree
Index
Previous (MakeRequestMini)
Next (SetActiveTransactionRequests)


Previous (ReRouteTraderRequest)
Next (SetTransactionRequests)

Name
SetActiveTransactionRequests

Parent
TFMSBrokerAccount

Visibility
PRIVATE

Source code
procedure SetActiveTransactionRequests ( const Value : TFMSShareTransactionBrokerRequestList )

Parameters
Parameter | Description
Value : TFMSShareTransactionBrokerRequestList | &nbsp;

FIMAS
Class Tree
Index
Previous (ReRouteTraderRequest)
Next (SetTransactionRequests)


Previous (SetActiveTransactionRequests)
Next

Name
SetTransactionRequests

Parent
TFMSBrokerAccount

Visibility
PRIVATE

Source code
procedure SetTransactionRequests ( const Value : TFMSShareTransactionBrokerRequestList )

Parameters
Parameter | Description
Value : TFMSShareTransactionBrokerRequestList | &nbsp;

FIMAS
Class Tree
Index
Previous (SetActiveTransactionRequests)
Next


Previous (TFMSBrokerAccount)
Next (TFMSBrokerPlan)

Name
TFMSBrokerAccounts

Parent
FMSStandardRoles

Class Hierarchy
TFMSTransactionRequestAccounts

Visibility
PUBLIC

Description
Collection of TFMSBrokerAccount.

Members
Methods
Method Description
ADD (+)
Create (+)
GetItems (-)
GetLastItem (+)
SetItems (-)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSBrokerAccount)
Next (TFMSBrokerPlan)


Previous
Next

Name
Items

Parent
TFMSBrokerAccounts

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSBrokerAccount read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Create)

Name
ADD

Parent
TFMSBrokerAccounts

Visibility
PUBLIC

Source code
function Add : TFMSBrokerAccount

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (ADD)
Next (GetItems)

Name
Create

Parent
TFMSBrokerAccounts

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TPersistent )

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (GetItems)


Previous (Create)
Next (GetLastItem)

Name
GetItems

Parent
TFMSBrokerAccounts

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSBrokerAccount

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (GetLastItem)


Previous (GetItems)
Next (SetItems)

Name
GetLastItem

Parent
TFMSBrokerAccounts

Visibility
PUBLIC

Source code
function GetLastItem : TFMSBrokerAccount

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (SetItems)


Previous (GetLastItem)
Next

Name
SetItems

Parent
TFMSBrokerAccounts

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSBrokerAccount )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSBrokerAccount | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next


Previous (TFMSBrokerAccounts)
Next (TFMSBrokerRole)

Name
TFMSBrokerPlan

Parent
FMSStandardRoles

Class Hierarchy
TFMSPlan

Visibility
PUBLIC

Description
An abstract broker-specific plan.

Members
Methods
Method Description
FriendlyDescription (+)
FriendlyName (+)
GetRole (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSBrokerAccounts)
Next (TFMSBrokerRole)


Previous
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSBrokerPlan

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (FriendlyName)


Previous (FriendlyDescription)
Next (GetRole)

Name
FriendlyName

Parent
TFMSBrokerPlan

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next (GetRole)


Previous (FriendlyName)
Next

Name
GetRole

Parent
TFMSBrokerPlan

Visibility
PUBLIC

Source code
function GetRole : TFMSBrokerRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyName)
Next


Previous (TFMSBrokerPlan)
Next (TFMSBrokerRoleList)

Name
TFMSBrokerRole

Parent
FMSStandardRoles

Class Hierarchy
TFMSStandardParticipantRole

Visibility
PUBLIC

Description
Acts as a link between a market and a trader.

Members
Fields
Field Description
FActiveTransactionRequests (-)
FCommisionPlans (-)
FCritSectAddNewTransactionRequest (-)
FMarket (-)
FMarketAccount (-)
FMoney (-)
FSharePortfolio (-)
FTraderAccounts (-)
FTransactionRequests (-)

Methods
Method | Description
AddNewTransactionRequest (+) | A thread-safe version of 2 commonly used functions.
AddTrader (#)
Create (+)
Destroy (+) | Add-up Classificator news and ParticipantRole news.
DoCreateStrategies (#)
DoTransactionRequestChangeProcessedCount (#) | Called directly from the Transaction request.
DoTransactionRequestChangeStatus (#) | Called directly from the Transaction request.
FriendlyDescription (+)
FriendlyName (+)
GetAssets (#)
GetDebt (#)
GetShareTypeAccounts (-)
GetStrategies (-)
RemoveTrader (#)
SetActiveTransactionRequests (-)
SetCommisionPlans (-)
SetMarket (-)
SetSharePortfolio (-)
SetStrategies (-)
Step (#) | Should call DoProcessTransactionRequest for Trader's every active transaction request.

Properties
Property | Description
ActiveTransactionRequests (*)
CommisionPlans (*)
Market (*)
MarketAccount (*)
Money (*)
SharePortfolio (*)
ShareTypeAccounts (*) | Provides a list of shares that this broker specializes in
Strategies (*)
TraderAccounts (*) | Supposed to be read-only. Do not edit!
TransactionRequests (*) | Stores all transaction requests.

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSBrokerPlan)
Next (TFMSBrokerRoleList)


Previous
Next (FCommisionPlans)

Name
FActiveTransactionRequests

Parent
TFMSBrokerRole

Visibility
PRIVATE

Source code
FActiveTransactionRequests : TFMSShareTransactionTraderRequestList

FIMAS
Class Tree
Index
Previous
Next (FCommisionPlans)


Previous (FActiveTransactionRequests)
Next (FCritSectAddNewTransactionRequest)

Name
FCommisionPlans

Parent
TFMSBrokerRole

Visibility
PRIVATE

Source code
FCommisionPlans : TFMSShareTransactionCommisionPlans

FIMAS
Class Tree
Index
Previous (FActiveTransactionRequests)
Next (FCritSectAddNewTransactionRequest)


Previous (FCommisionPlans)
Next (FMarket)

Name
FCritSectAddNewTransactionRequest

Parent
TFMSBrokerRole

Visibility
PRIVATE

Source code
FCritSectAddNewTransactionRequest : TCriticalSection

FIMAS
Class Tree
Index
Previous (FCommisionPlans)
Next (FMarket)


Previous (FCritSectAddNewTransactionRequest)
Next (FMarketAccount)

Name
FMarket

Parent
TFMSBrokerRole

Visibility
PRIVATE

Source code
FMarket : TFMSMarketRole

FIMAS
Class Tree
Index
Previous (FCritSectAddNewTransactionRequest)
Next (FMarketAccount)


Previous (FMarket)
Next (FMoney)

Name
FMarketAccount

Parent
TFMSBrokerRole

Visibility
PRIVATE

Source code
FMarketAccount : TFMSBrokerAccount

FIMAS
Class Tree
Index
Previous (FMarket)
Next (FMoney)


Previous (FMarketAccount)
Next (FSharePortfolio)

Name
FMoney

Parent
TFMSBrokerRole

Visibility
PRIVATE

Source code
FMoney : Double

FIMAS
Class Tree
Index
Previous (FMarketAccount)
Next (FSharePortfolio)


Previous (FMoney)
Next (FTraderAccounts)

Name
FSharePortfolio

Parent
TFMSBrokerRole

Visibility
PRIVATE

Source code
FSharePortfolio : TFMSSharePortfolio

FIMAS
Class Tree
Index
Previous (FMoney)
Next (FTraderAccounts)


Previous (FSharePortfolio)
Next (FTransactionRequests)

Name
FTraderAccounts

Parent
TFMSBrokerRole

Visibility
PRIVATE

Source code
FTraderAccounts : TFMSTraderAccounts

FIMAS
Class Tree
Index
Previous (FSharePortfolio)
Next (FTransactionRequests)


Previous (FTraderAccounts)
Next

Name
FTransactionRequests

Parent
TFMSBrokerRole

Visibility
PRIVATE

Source code
FTransactionRequests : TFMSShareTransactionTraderRequests

FIMAS
Class Tree
Index
Previous (FTraderAccounts)
Next


Previous
Next (CommisionPlans)

Name
ActiveTransactionRequests

Parent
TFMSBrokerRole

Visibility
PUBLISHED

Source code
property ActiveTransactionRequests : TFMSShareTransactionTraderRequestList read FActiveTransactionRequests write SetActiveTransactionRequests

Read Access
FActiveTransactionRequests

Write Access
SetActiveTransactionRequests

FIMAS
Class Tree
Index
Previous
Next (CommisionPlans)


Previous (ActiveTransactionRequests)
Next (Market)

Name
CommisionPlans

Parent
TFMSBrokerRole

Visibility
PUBLISHED

Source code
property CommisionPlans : TFMSShareTransactionCommisionPlans read FCommisionPlans write SetCommisionPlans

Read Access
FCommisionPlans

Write Access
SetCommisionPlans

FIMAS
Class Tree
Index
Previous (ActiveTransactionRequests)
Next (Market)


Previous (CommisionPlans)
Next (MarketAccount)

Name
Market

Parent
TFMSBrokerRole

Visibility
PUBLISHED

Source code
property Market : TFMSMarketRole read FMarket write SetMarket

Read Access
FMarket

Write Access
SetMarket

FIMAS
Class Tree
Index
Previous (CommisionPlans)
Next (MarketAccount)


Previous (Market)
Next (Money)

Name
MarketAccount

Parent
TFMSBrokerRole

Visibility
PUBLISHED

Source code
property MarketAccount : TFMSBrokerAccount read FMarketAccount stored True

Read Access
FMarketAccount

FIMAS
Class Tree
Index
Previous (Market)
Next (Money)


Previous (MarketAccount)
Next (SharePortfolio)

Name
Money

Parent
TFMSBrokerRole

Visibility
PUBLISHED

Source code
property Money : Double read FMoney write FMoney

Read Access
FMoney

Write Access
FMoney

FIMAS
Class Tree
Index
Previous (MarketAccount)
Next (SharePortfolio)


Previous (Money)
Next (ShareTypeAccounts)

Name
SharePortfolio

Parent
TFMSBrokerRole

Visibility
PUBLISHED

Source code
property SharePortfolio : TFMSSharePortfolio read FSharePortfolio write SetSharePortfolio

Read Access
FSharePortfolio

Write Access
SetSharePortfolio

FIMAS
Class Tree
Index
Previous (Money)
Next (ShareTypeAccounts)


Previous (SharePortfolio)
Next (Strategies)

Name
ShareTypeAccounts

Parent
TFMSBrokerRole

Visibility
PUBLISHED

Description
Provides a list of shares that this broker specializes in

Source code
property ShareTypeAccounts : TFMSShareTypeAccounts read GetShareTypeAccounts

Read Access
GetShareTypeAccounts

FIMAS
Class Tree
Index
Previous (SharePortfolio)
Next (Strategies)


Previous (ShareTypeAccounts)
Next (TraderAccounts)

Name
Strategies

Parent
TFMSBrokerRole

Visibility
PUBLISHED

Source code
property Strategies : TFMSBrokerStrategies read GetStrategies write SetStrategies

Read Access
GetStrategies

Write Access
SetStrategies

FIMAS
Class Tree
Index
Previous (ShareTypeAccounts)
Next (TraderAccounts)


Previous (Strategies)
Next (TransactionRequests)

Name
TraderAccounts

Parent
TFMSBrokerRole

Visibility
PUBLISHED

Description
Supposed to be read-only. Do not edit!

Source code
property TraderAccounts : TFMSTraderAccounts read FTraderAccounts stored True

Read Access
FTraderAccounts

FIMAS
Class Tree
Index
Previous (Strategies)
Next (TransactionRequests)


Previous (TraderAccounts)
Next

Name
TransactionRequests

Parent
TFMSBrokerRole

Visibility
PUBLISHED

Description
Stores all transaction requests.

Source code
property TransactionRequests : TFMSShareTransactionTraderRequests read FTransactionRequests write FTransactionRequests

Read Access
FTransactionRequests

Write Access
FTransactionRequests

FIMAS
Class Tree
Index
Previous (TraderAccounts)
Next


Previous
Next (AddTrader)

Name
AddNewTransactionRequest

Parent
TFMSBrokerRole

Visibility
PUBLIC

Description
A thread-safe version of 2 commonly used functions.
A thread-safe version of 2 commonly used functions.

Source code
function AddNewTransactionRequest : TFMSShareTransactionTraderRequest

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (AddTrader)


Previous (AddNewTransactionRequest)
Next (Create)

Name
AddTrader

Parent
TFMSBrokerRole

Visibility
PROTECTED

Source code
procedure AddTrader ( const ATrader : TFMSTraderRole ) ; virtual

Parameters
Parameter | Description
ATrader : TFMSTraderRole | &nbsp;

FIMAS
Class Tree
Index
Previous (AddNewTransactionRequest)
Next (Create)


Previous (AddTrader)
Next (Destroy)

Name
Create

Parent
TFMSBrokerRole

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TXCollection ) ; override

Parameters
Parameter | Description
AOwner : TXCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (AddTrader)
Next (Destroy)


Previous (Create)
Next (DoCreateStrategies)

Name
Destroy

Parent
TFMSBrokerRole

Visibility
PUBLIC

Description
Add-up Classificator news and ParticipantRole news.
Add-up Classificator news and ParticipantRole news.

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (DoCreateStrategies)


Previous (Destroy)
Next (DoTransactionRequestChangeProcessedCount)

Name
DoCreateStrategies

Parent
TFMSBrokerRole

Visibility
PROTECTED

Source code
procedure DoCreateStrategies ( var AStrategies : TFMSStrategies ) ; override

Parameters
Parameter | Description
AStrategies : TFMSStrategies | &nbsp;

FIMAS
Class Tree
Index
Previous (Destroy)
Next (DoTransactionRequestChangeProcessedCount)


Previous (DoCreateStrategies)
Next (DoTransactionRequestChangeStatus)

Name
DoTransactionRequestChangeProcessedCount

Parent
TFMSBrokerRole

Visibility
PROTECTED

Description
Called directly from the Transaction request.
Called directly from the Transaction request.

Source code
procedure DoTransactionRequestChangeProcessedCount ( const Sender : TFMSShareTransactionBrokerRequest ) ; virtual

Parameters
Parameter | Description
Sender : TFMSShareTransactionBrokerRequest | &nbsp;

FIMAS
Class Tree
Index
Previous (DoCreateStrategies)
Next (DoTransactionRequestChangeStatus)


Previous (DoTransactionRequestChangeProcessedCount)
Next (FriendlyDescription)

Name
DoTransactionRequestChangeStatus

Parent
TFMSBrokerRole

Visibility
PROTECTED

Description
Called directly from the Transaction request.
Called directly from the Transaction request.

Source code
procedure DoTransactionRequestChangeStatus ( const ATransactionRequest : TFMSShareTransactionBrokerRequest ) ; virtual

Parameters
Parameter | Description
ATransactionRequest : TFMSShareTransactionBrokerRequest | &nbsp;

FIMAS
Class Tree
Index
Previous (DoTransactionRequestChangeProcessedCount)
Next (FriendlyDescription)


Previous (DoTransactionRequestChangeStatus)
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSBrokerRole

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoTransactionRequestChangeStatus)
Next (FriendlyName)


Previous (FriendlyDescription)
Next (GetAssets)

Name
FriendlyName

Parent
TFMSBrokerRole

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next (GetAssets)


Previous (FriendlyName)
Next (GetDebt)

Name
GetAssets

Parent
TFMSBrokerRole

Visibility
PROTECTED

Source code
function GetAssets : Double ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyName)
Next (GetDebt)


Previous (GetAssets)
Next (GetShareTypeAccounts)

Name
GetDebt

Parent
TFMSBrokerRole

Visibility
PROTECTED

Source code
function GetDebt : Double ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetAssets)
Next (GetShareTypeAccounts)


Previous (GetDebt)
Next (GetStrategies)

Name
GetShareTypeAccounts

Parent
TFMSBrokerRole

Visibility
PRIVATE

Source code
function GetShareTypeAccounts : TFMSShareTypeAccounts

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetDebt)
Next (GetStrategies)


Previous (GetShareTypeAccounts)
Next (RemoveTrader)

Name
GetStrategies

Parent
TFMSBrokerRole

Visibility
PRIVATE

Source code
function GetStrategies : TFMSBrokerStrategies

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetShareTypeAccounts)
Next (RemoveTrader)


Previous (GetStrategies)
Next (SetActiveTransactionRequests)

Name
RemoveTrader

Parent
TFMSBrokerRole

Visibility
PROTECTED

Source code
procedure RemoveTrader ( const ATrader : TFMSTraderRole ) ; virtual

Parameters
Parameter | Description
ATrader : TFMSTraderRole | &nbsp;

FIMAS
Class Tree
Index
Previous (GetStrategies)
Next (SetActiveTransactionRequests)


Previous (RemoveTrader)
Next (SetCommisionPlans)

Name
SetActiveTransactionRequests

Parent
TFMSBrokerRole

Visibility
PRIVATE

Source code
procedure SetActiveTransactionRequests ( const Value : TFMSShareTransactionTraderRequestList )

Parameters
Parameter | Description
Value : TFMSShareTransactionTraderRequestList | &nbsp;

FIMAS
Class Tree
Index
Previous (RemoveTrader)
Next (SetCommisionPlans)


Previous (SetActiveTransactionRequests)
Next (SetMarket)

Name
SetCommisionPlans

Parent
TFMSBrokerRole

Visibility
PRIVATE

Source code
procedure SetCommisionPlans ( const Value : TFMSShareTransactionCommisionPlans )

Parameters
Parameter | Description
Value : TFMSShareTransactionCommisionPlans | &nbsp;

FIMAS
Class Tree
Index
Previous (SetActiveTransactionRequests)
Next (SetMarket)


Previous (SetCommisionPlans)
Next (SetSharePortfolio)

Name
SetMarket

Parent
TFMSBrokerRole

Visibility
PRIVATE

Source code
procedure SetMarket ( Value : TFMSMarketRole )

Parameters
Parameter | Description
Value : TFMSMarketRole | &nbsp;

FIMAS
Class Tree
Index
Previous (SetCommisionPlans)
Next (SetSharePortfolio)


Previous (SetMarket)
Next (SetStrategies)

Name
SetSharePortfolio

Parent
TFMSBrokerRole

Visibility
PRIVATE

Source code
procedure SetSharePortfolio ( const Value : TFMSSharePortfolio )

Parameters
Parameter | Description
Value : TFMSSharePortfolio | &nbsp;

FIMAS
Class Tree
Index
Previous (SetMarket)
Next (SetStrategies)


Previous (SetSharePortfolio)
Next (Step)

Name
SetStrategies

Parent
TFMSBrokerRole

Visibility
PRIVATE

Source code
procedure SetStrategies ( const Value : TFMSBrokerStrategies )

Parameters
Parameter | Description
Value : TFMSBrokerStrategies | &nbsp;

FIMAS
Class Tree
Index
Previous (SetSharePortfolio)
Next (Step)


Previous (SetStrategies)
Next

Name
Step

Parent
TFMSBrokerRole

Visibility
PROTECTED

Description
Should call DoProcessTransactionRequest for Trader's every active transaction request.
Should call DoProcessTransactionRequest for Trader's every active transaction request.

Source code
procedure Step ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetStrategies)
Next


Previous (TFMSBrokerRole)
Next (TFMSBrokerStrategies)

Name
TFMSBrokerRoleList

Parent
FMSStandardRoles

Class Hierarchy
TFMSStandardParticipantRoleList

Visibility
PUBLIC

Description
A list of TFMSBrokerRole.

Members
Methods
Method | Description
ADD (+)
GetItems (-) | Standard list method.
GetLastItem (+) | Standard list method.
REMOVE (+)
SetItems (-)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSBrokerRole)
Next (TFMSBrokerStrategies)


Previous
Next

Name
Items

Parent
TFMSBrokerRoleList

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSBrokerRole read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (GetItems)

Name
ADD

Parent
TFMSBrokerRoleList

Visibility
PUBLIC

Source code
procedure Add ( const AItem : TFMSBrokerRole )

Parameters
Parameter | Description
AItem : TFMSBrokerRole | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (GetItems)


Previous (ADD)
Next (GetLastItem)

Name
GetItems

Parent
TFMSBrokerRoleList

Visibility
PRIVATE

Description
Standard list method.
Standard list method.

Source code
function GetItems ( const Index : Integer ) : TFMSBrokerRole

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (GetLastItem)


Previous (GetItems)
Next (REMOVE)

Name
GetLastItem

Parent
TFMSBrokerRoleList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
function GetLastItem : TFMSBrokerRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (REMOVE)


Previous (GetLastItem)
Next (SetItems)

Name
REMOVE

Parent
TFMSBrokerRoleList

Visibility
PUBLIC

Source code
procedure Remove ( const AItem : TFMSBrokerRole )

Parameters
Parameter | Description
AItem : TFMSBrokerRole | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (SetItems)


Previous (REMOVE)
Next

Name
SetItems

Parent
TFMSBrokerRoleList

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSBrokerRole )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSBrokerRole | &nbsp;

FIMAS
Class Tree
Index
Previous (REMOVE)
Next


Previous (TFMSBrokerRoleList)
Next (TFMSBrokerStrategy)

Name
TFMSBrokerStrategies

Parent
FMSStandardRoles

Class Hierarchy
TFMSStrategies

Visibility
PUBLIC

Description
Collection of TFMSBrokerRole.

Members
Methods
Method Description
ADD (+)
AddByID (+)
CanAdd (+)
GetCurrentStrategy (+)
GetItems (-)
GetLastItem (+)
ItemsClass (+)
SetItems (-)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSBrokerRoleList)
Next (TFMSBrokerStrategy)


Previous
Next

Name
Items

Parent
TFMSBrokerStrategies

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSBrokerStrategy read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (AddByID)

Name
ADD

Parent
TFMSBrokerStrategies

Visibility
PUBLIC

Source code
function Add ( AClass : TFMSBrokerStrategyClass ) : TFMSBrokerStrategy

Parameters
Parameter | Description
AClass : TFMSBrokerStrategyClass | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (AddByID)


Previous (ADD)
Next (CanAdd)

Name
AddByID

Parent
TFMSBrokerStrategies

Visibility
PUBLIC

Source code
function AddByID ( AClass : TStrangeClassID ) : TFMSBrokerStrategy

Parameters
Parameter | Description
AClass : TStrangeClassID | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (CanAdd)


Previous (AddByID)
Next (GetCurrentStrategy)

Name
CanAdd

Parent
TFMSBrokerStrategies

Visibility
PUBLIC

Source code
function CanAdd ( AClass : TXCollectionItemClass ) : Boolean ; override

Parameters
Parameter | Description
AClass : TXCollectionItemClass | &nbsp;

FIMAS
Class Tree
Index
Previous (AddByID)
Next (GetCurrentStrategy)


Previous (CanAdd)
Next (GetItems)

Name
GetCurrentStrategy

Parent
TFMSBrokerStrategies

Visibility
PUBLIC

Source code
function GetCurrentStrategy : TFMSBrokerStrategy

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (CanAdd)
Next (GetItems)


Previous (GetCurrentStrategy)
Next (GetLastItem)

Name
GetItems

Parent
TFMSBrokerStrategies

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSBrokerStrategy

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetCurrentStrategy)
Next (GetLastItem)


Previous (GetItems)
Next (ItemsClass)

Name
GetLastItem

Parent
TFMSBrokerStrategies

Visibility
PUBLIC

Source code
function GetLastItem : TFMSBrokerStrategy

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (ItemsClass)


Previous (GetLastItem)
Next (SetItems)

Name
ItemsClass

Parent
TFMSBrokerStrategies

Visibility
PUBLIC

Source code
class function ItemsClass : TXCollectionItemClass ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (SetItems)


Previous (ItemsClass)
Next

Name
SetItems

Parent
TFMSBrokerStrategies

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSBrokerStrategy )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSBrokerStrategy | &nbsp;

FIMAS
Class Tree
Index
Previous (ItemsClass)
Next


Previous (TFMSBrokerStrategies)
Next (TFMSCompanyPlan)

Name
TFMSBrokerStrategy

Parent
FMSStandardRoles

Class Hierarchy
TFMSStrategy

Visibility
PUBLIC

Description
An abstract broker-specific strategy.

Members
Methods
Method Description
DoApproveTraderAccountsActiveTransactionRequest (#)
DoProcessMarketAccountActiveTransactionRequest (#)
DoProcessTraderAccountsActiveTransactionRequest (#)
FriendlyDescription (+)
FriendlyName (+)
GetParent (#)
GetRole (+)
Think (#)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSBrokerStrategies)
Next (TFMSCompanyPlan)


Previous
Next (DoProcessMarketAccountActiveTransactionRequest)

Name
DoApproveTraderAccountsActiveTransactionRequest

Parent
TFMSBrokerStrategy

Visibility
PROTECTED

Source code
procedure DoApproveTraderAccountsActiveTransactionRequest ( const ATransactionRequest : TFMSShareTransactionTraderRequest ) ; virtual

Parameters
Parameter | Description
ATransactionRequest : TFMSShareTransactionTraderRequest | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (DoProcessMarketAccountActiveTransactionRequest)


Previous (DoApproveTraderAccountsActiveTransactionRequest)
Next (DoProcessTraderAccountsActiveTransactionRequest)

Name
DoProcessMarketAccountActiveTransactionRequest

Parent
TFMSBrokerStrategy

Visibility
PROTECTED

Source code
procedure DoProcessMarketAccountActiveTransactionRequest ( const ATransactionRequest : TFMSShareTransactionBrokerRequest ) ; virtual

Parameters
Parameter | Description
ATransactionRequest : TFMSShareTransactionBrokerRequest | &nbsp;

FIMAS
Class Tree
Index
Previous (DoApproveTraderAccountsActiveTransactionRequest)
Next (DoProcessTraderAccountsActiveTransactionRequest)


Previous (DoProcessMarketAccountActiveTransactionRequest)
Next (FriendlyDescription)

Name
DoProcessTraderAccountsActiveTransactionRequest

Parent
TFMSBrokerStrategy

Visibility
PROTECTED

Source code
procedure DoProcessTraderAccountsActiveTransactionRequest ( const ATransactionRequest : TFMSShareTransactionTraderRequest ) ; virtual

Parameters
Parameter | Description
ATransactionRequest : TFMSShareTransactionTraderRequest | &nbsp;

FIMAS
Class Tree
Index
Previous (DoProcessMarketAccountActiveTransactionRequest)
Next (FriendlyDescription)


Previous (DoProcessTraderAccountsActiveTransactionRequest)
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSBrokerStrategy

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoProcessTraderAccountsActiveTransactionRequest)
Next (FriendlyName)


Previous (FriendlyDescription)
Next (GetParent)

Name
FriendlyName

Parent
TFMSBrokerStrategy

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next (GetParent)


Previous (FriendlyName)
Next (GetRole)

Name
GetParent

Parent
TFMSBrokerStrategy

Visibility
PROTECTED

Source code
function GetParent : TFMSBrokerStrategies

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyName)
Next (GetRole)


Previous (GetParent)
Next (Think)

Name
GetRole

Parent
TFMSBrokerStrategy

Visibility
PUBLIC

Source code
function GetRole : TFMSBrokerRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetParent)
Next (Think)


Previous (GetRole)
Next

Name
Think

Parent
TFMSBrokerStrategy

Visibility
PROTECTED

Source code
procedure Think ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetRole)
Next


Previous (TFMSBrokerStrategy)
Next (TFMSCompanyRole)

Name
TFMSCompanyPlan

Parent
FMSStandardRoles

Class Hierarchy
TFMSPlan

Visibility
PUBLIC

Description
An abstract company-specific plan.

Members
Methods
Method Description
FriendlyDescription (+)
FriendlyName (+)
GetRole (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSBrokerStrategy)
Next (TFMSCompanyRole)


Previous
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSCompanyPlan

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (FriendlyName)


Previous (FriendlyDescription)
Next (GetRole)

Name
FriendlyName

Parent
TFMSCompanyPlan

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next (GetRole)


Previous (FriendlyName)
Next

Name
GetRole

Parent
TFMSCompanyPlan

Visibility
PUBLIC

Source code
function GetRole : TFMSCompanyRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyName)
Next


Previous (TFMSCompanyPlan)
Next (TFMSCompanyRoleList)

Name
TFMSCompanyRole

Parent
FMSStandardRoles

Class Hierarchy
TFMSStandardParticipantRole

Visibility
PUBLIC

Description
A role that represents a comercial company,

Members
Fields
Field Description
FMonthlyReportDate (-)
FMonthlyReportDone (-)
FSavedCompanyInfo (-)
FShareTypes (-)

Methods
Method | Description
Create (+)
Destroy (+) | Add-up Classificator news and ParticipantRole news.
DoCreateStrategies (#)
DoEverydayWork (#) | Buy, sell things, produce, hire people, research, earn money and pay taxes.
DoGenerateMonthlyNews (#) | News that are based on Monthly Reports.
DoPayDividends (#) | Pay dividents to people that own this company.
FriendlyDescription (+)
FriendlyName (+)
GetAssets (#)
GetCurrentCompanyInfo (-)
GetDebt (#)
GetStrategies (-)
SetMonthlyReportDate (-)
SetSavedCompanyInfo (-)
SetShareTypes (-)
SetStrategies (-)
Step (#)

Properties
Property | Description
CurrentCompanyInfo (*) | Economic parameters for the current month.
MonthlyReportDate (*) | Time in the month when monthly report is released. Correct values is from 0 to 1.
SavedCompanyInfo (*) | Info is saved every month from the first day of company's existance.
ShareTypes (*)
Strategies (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSCompanyPlan)
Next (TFMSCompanyRoleList)


Previous
Next (FMonthlyReportDone)

Name
FMonthlyReportDate

Parent
TFMSCompanyRole

Visibility
PRIVATE

Source code
FMonthlyReportDate : Double

FIMAS
Class Tree
Index
Previous
Next (FMonthlyReportDone)


Previous (FMonthlyReportDate)
Next (FSavedCompanyInfo)

Name
FMonthlyReportDone

Parent
TFMSCompanyRole

Visibility
PRIVATE

Source code
FMonthlyReportDone : Boolean

FIMAS
Class Tree
Index
Previous (FMonthlyReportDate)
Next (FSavedCompanyInfo)


Previous (FMonthlyReportDone)
Next (FShareTypes)

Name
FSavedCompanyInfo

Parent
TFMSCompanyRole

Visibility
PRIVATE

Source code
FSavedCompanyInfo : TFMSCompanyInformationCollection

FIMAS
Class Tree
Index
Previous (FMonthlyReportDone)
Next (FShareTypes)


Previous (FSavedCompanyInfo)
Next

Name
FShareTypes

Parent
TFMSCompanyRole

Visibility
PRIVATE

Source code
FShareTypes : TFMSShareTypes

FIMAS
Class Tree
Index
Previous (FSavedCompanyInfo)
Next


Previous
Next (MonthlyReportDate)

Name
CurrentCompanyInfo

Parent
TFMSCompanyRole

Visibility
PUBLISHED

Description
Economic parameters for the current month.

Source code
property CurrentCompanyInfo : TFMSCompanyInformation read GetCurrentCompanyInfo

Read Access
GetCurrentCompanyInfo

FIMAS
Class Tree
Index
Previous
Next (MonthlyReportDate)


Previous (CurrentCompanyInfo)
Next (SavedCompanyInfo)

Name
MonthlyReportDate

Parent
TFMSCompanyRole

Visibility
PUBLISHED

Description
Time in the month when monthly report is released. Correct values is from 0 to 1.

Source code
property MonthlyReportDate : Double read FMonthlyReportDate write SetMonthlyReportDate

Read Access
FMonthlyReportDate

Write Access
SetMonthlyReportDate

FIMAS
Class Tree
Index
Previous (CurrentCompanyInfo)
Next (SavedCompanyInfo)


Previous (MonthlyReportDate)
Next (ShareTypes)

Name
SavedCompanyInfo

Parent
TFMSCompanyRole

Visibility
PUBLISHED

Description
Info is saved every month from the first day of company's existance.

Source code
property SavedCompanyInfo : TFMSCompanyInformationCollection read FSavedCompanyInfo write SetSavedCompanyInfo

Read Access
FSavedCompanyInfo

Write Access
SetSavedCompanyInfo

FIMAS
Class Tree
Index
Previous (MonthlyReportDate)
Next (ShareTypes)


Previous (SavedCompanyInfo)
Next (Strategies)

Name
ShareTypes

Parent
TFMSCompanyRole

Visibility
PUBLISHED

Source code
property ShareTypes : TFMSShareTypes read FShareTypes write SetShareTypes

Read Access
FShareTypes

Write Access
SetShareTypes

FIMAS
Class Tree
Index
Previous (SavedCompanyInfo)
Next (Strategies)


Previous (ShareTypes)
Next

Name
Strategies

Parent
TFMSCompanyRole

Visibility
PUBLISHED

Source code
property Strategies : TFMSCompanyStrategies read GetStrategies write SetStrategies

Read Access
GetStrategies

Write Access
SetStrategies

FIMAS
Class Tree
Index
Previous (ShareTypes)
Next


Previous
Next (Destroy)

Name
Create

Parent
TFMSCompanyRole

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TXCollection ) ; override

Parameters
Parameter | Description
AOwner : TXCollection | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Destroy)


Previous (Create)
Next (DoCreateStrategies)

Name
Destroy

Parent
TFMSCompanyRole

Visibility
PUBLIC

Description
Add-up Classificator news and ParticipantRole news.
Add-up Classificator news and ParticipantRole news.

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (DoCreateStrategies)


Previous (Destroy)
Next (DoEverydayWork)

Name
DoCreateStrategies

Parent
TFMSCompanyRole

Visibility
PROTECTED

Source code
procedure DoCreateStrategies ( var AStrategies : TFMSStrategies ) ; override

Parameters
Parameter | Description
AStrategies : TFMSStrategies | &nbsp;

FIMAS
Class Tree
Index
Previous (Destroy)
Next (DoEverydayWork)


Previous (DoCreateStrategies)
Next (DoGenerateMonthlyNews)

Name
DoEverydayWork

Parent
TFMSCompanyRole

Visibility
PROTECTED

Description
Buy, sell things, produce, hire people, research, earn money and pay taxes.
Buy, sell things, produce, hire people, research, earn money and pay taxes.

Source code
procedure DoEverydayWork ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoCreateStrategies)
Next (DoGenerateMonthlyNews)


Previous (DoEverydayWork)
Next (DoPayDividends)

Name
DoGenerateMonthlyNews

Parent
TFMSCompanyRole

Visibility
PROTECTED

Description
News that are based on Monthly Reports.
News that are based on Monthly Reports.

Source code
procedure DoGenerateMonthlyNews ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoEverydayWork)
Next (DoPayDividends)


Previous (DoGenerateMonthlyNews)
Next (FriendlyDescription)

Name
DoPayDividends

Parent
TFMSCompanyRole

Visibility
PROTECTED

Description
Pay dividents to people that own this company.
Pay dividents to people that own this company.

Source code
procedure DoPayDividends ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoGenerateMonthlyNews)
Next (FriendlyDescription)


Previous (DoPayDividends)
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSCompanyRole

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoPayDividends)
Next (FriendlyName)


Previous (FriendlyDescription)
Next (GetAssets)

Name
FriendlyName

Parent
TFMSCompanyRole

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next (GetAssets)


Previous (FriendlyName)
Next (GetCurrentCompanyInfo)

Name
GetAssets

Parent
TFMSCompanyRole

Visibility
PROTECTED

Source code
function GetAssets : Double ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyName)
Next (GetCurrentCompanyInfo)


Previous (GetAssets)
Next (GetDebt)

Name
GetCurrentCompanyInfo

Parent
TFMSCompanyRole

Visibility
PRIVATE

Source code
function GetCurrentCompanyInfo : TFMSCompanyInformation

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetAssets)
Next (GetDebt)


Previous (GetCurrentCompanyInfo)
Next (GetStrategies)

Name
GetDebt

Parent
TFMSCompanyRole

Visibility
PROTECTED

Source code
function GetDebt : Double ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCurrentCompanyInfo)
Next (GetStrategies)


Previous (GetDebt)
Next (SetMonthlyReportDate)

Name
GetStrategies

Parent
TFMSCompanyRole

Visibility
PRIVATE

Source code
function GetStrategies : TFMSCompanyStrategies

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetDebt)
Next (SetMonthlyReportDate)


Previous (GetStrategies)
Next (SetSavedCompanyInfo)

Name
SetMonthlyReportDate

Parent
TFMSCompanyRole

Visibility
PRIVATE

Source code
procedure SetMonthlyReportDate ( const Value : Double )

Parameters
Parameter | Description
Value : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (GetStrategies)
Next (SetSavedCompanyInfo)


Previous (SetMonthlyReportDate)
Next (SetShareTypes)

Name
SetSavedCompanyInfo

Parent
TFMSCompanyRole

Visibility
PRIVATE

Source code
procedure SetSavedCompanyInfo ( const Value : TFMSCompanyInformationCollection )

Parameters
Parameter | Description
Value : TFMSCompanyInformationCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (SetMonthlyReportDate)
Next (SetShareTypes)


Previous (SetSavedCompanyInfo)
Next (SetStrategies)

Name
SetShareTypes

Parent
TFMSCompanyRole

Visibility
PRIVATE

Source code
procedure SetShareTypes ( const Value : TFMSShareTypes )

Parameters
Parameter | Description
Value : TFMSShareTypes | &nbsp;

FIMAS
Class Tree
Index
Previous (SetSavedCompanyInfo)
Next (SetStrategies)


Previous (SetShareTypes)
Next (Step)

Name
SetStrategies

Parent
TFMSCompanyRole

Visibility
PRIVATE

Source code
procedure SetStrategies ( Value : TFMSCompanyStrategies )

Parameters
Parameter | Description
Value : TFMSCompanyStrategies | &nbsp;

FIMAS
Class Tree
Index
Previous (SetShareTypes)
Next (Step)


Previous (SetStrategies)
Next

Name
Step

Parent
TFMSCompanyRole

Visibility
PROTECTED

Source code
procedure Step ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetStrategies)
Next


Previous (TFMSCompanyRole)
Next (TFMSCompanyStrategies)

Name
TFMSCompanyRoleList

Parent
FMSStandardRoles

Class Hierarchy
TFMSStandardParticipantRoleList

Visibility
PUBLIC

Description
A list of TFMSCompanyRole.

Members
Methods
Method | Description
ADD (+)
GetItems (-) | Standard list method.
GetLastItem (+) | Standard list method.
REMOVE (+)
SetItems (-)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSCompanyRole)
Next (TFMSCompanyStrategies)


Previous
Next

Name
Items

Parent
TFMSCompanyRoleList

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSCompanyRole read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (GetItems)

Name
ADD

Parent
TFMSCompanyRoleList

Visibility
PUBLIC

Source code
procedure Add ( const AItem : TFMSCompanyRole )

Parameters
Parameter | Description
AItem : TFMSCompanyRole | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (GetItems)


Previous (ADD)
Next (GetLastItem)

Name
GetItems

Parent
TFMSCompanyRoleList

Visibility
PRIVATE

Description
Standard list method.
Standard list method.

Source code
function GetItems ( const Index : Integer ) : TFMSCompanyRole

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (GetLastItem)


Previous (GetItems)
Next (REMOVE)

Name
GetLastItem

Parent
TFMSCompanyRoleList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
function GetLastItem : TFMSCompanyRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (REMOVE)


Previous (GetLastItem)
Next (SetItems)

Name
REMOVE

Parent
TFMSCompanyRoleList

Visibility
PUBLIC

Source code
procedure Remove ( const AItem : TFMSCompanyRole )

Parameters
Parameter | Description
AItem : TFMSCompanyRole | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (SetItems)


Previous (REMOVE)
Next

Name
SetItems

Parent
TFMSCompanyRoleList

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSCompanyRole )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSCompanyRole | &nbsp;

FIMAS
Class Tree
Index
Previous (REMOVE)
Next


Previous (TFMSCompanyRoleList)
Next (TFMSCompanyStrategy)

Name
TFMSCompanyStrategies

Parent
FMSStandardRoles

Class Hierarchy
TFMSStrategies

Visibility
PUBLIC

Description
A collection of TFMSCompanyStrategy.

Members
Methods
Method Description
ADD (+)
AddByID (+)
CanAdd (+)
GetCurrentStrategy (+)
GetItems (-)
GetLastItem (+)
ItemsClass (+)
SetItems (-)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSCompanyRoleList)
Next (TFMSCompanyStrategy)


Previous
Next

Name
Items

Parent
TFMSCompanyStrategies

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSCompanyStrategy read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (AddByID)

Name
ADD

Parent
TFMSCompanyStrategies

Visibility
PUBLIC

Source code
function Add ( AClass : TFMSCompanyStrategyClass ) : TFMSStrategy

Parameters
Parameter | Description
AClass : TFMSCompanyStrategyClass | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (AddByID)


Previous (ADD)
Next (CanAdd)

Name
AddByID

Parent
TFMSCompanyStrategies

Visibility
PUBLIC

Source code
function AddByID ( AClass : TStrangeClassID ) : TFMSCompanyStrategy

Parameters
Parameter | Description
AClass : TStrangeClassID | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (CanAdd)


Previous (AddByID)
Next (GetCurrentStrategy)

Name
CanAdd

Parent
TFMSCompanyStrategies

Visibility
PUBLIC

Source code
function CanAdd ( AClass : TXCollectionItemClass ) : Boolean ; override

Parameters
Parameter | Description
AClass : TXCollectionItemClass | &nbsp;

FIMAS
Class Tree
Index
Previous (AddByID)
Next (GetCurrentStrategy)


Previous (CanAdd)
Next (GetItems)

Name
GetCurrentStrategy

Parent
TFMSCompanyStrategies

Visibility
PUBLIC

Source code
function GetCurrentStrategy : TFMSCompanyStrategy

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (CanAdd)
Next (GetItems)


Previous (GetCurrentStrategy)
Next (GetLastItem)

Name
GetItems

Parent
TFMSCompanyStrategies

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSCompanyStrategy

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetCurrentStrategy)
Next (GetLastItem)


Previous (GetItems)
Next (ItemsClass)

Name
GetLastItem

Parent
TFMSCompanyStrategies

Visibility
PUBLIC

Source code
function GetLastItem : TFMSCompanyStrategy

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (ItemsClass)


Previous (GetLastItem)
Next (SetItems)

Name
ItemsClass

Parent
TFMSCompanyStrategies

Visibility
PUBLIC

Source code
class function ItemsClass : TXCollectionItemClass ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (SetItems)


Previous (ItemsClass)
Next

Name
SetItems

Parent
TFMSCompanyStrategies

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSCompanyStrategy )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSCompanyStrategy | &nbsp;

FIMAS
Class Tree
Index
Previous (ItemsClass)
Next


Previous (TFMSCompanyStrategies)
Next (TFMSConsumerRole)

Name
TFMSCompanyStrategy

Parent
FMSStandardRoles

Class Hierarchy
TFMSStrategy

Visibility
PUBLIC

Description
An abstract company-specific strategy.

Members
Methods
Method | Description
DoEverydayWork (#) | Buy, sell things, produce, hire people, research, earn money and pay taxes.
DoPayDividends (#) | Pay dividents to people that own this company.
FriendlyDescription (+)
FriendlyName (+)
GetParent (#)
GetRole (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSCompanyStrategies)
Next (TFMSConsumerRole)


Previous
Next (DoPayDividends)

Name
DoEverydayWork

Parent
TFMSCompanyStrategy

Visibility
PROTECTED

Description
Buy, sell things, produce, hire people, research, earn money and pay taxes.
Buy, sell things, produce, hire people, research, earn money and pay taxes.

Source code
procedure DoEverydayWork ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (DoPayDividends)


Previous (DoEverydayWork)
Next (FriendlyDescription)

Name
DoPayDividends

Parent
TFMSCompanyStrategy

Visibility
PROTECTED

Description
Pay dividents to people that own this company.
Pay dividents to people that own this company.

Source code
procedure DoPayDividends ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoEverydayWork)
Next (FriendlyDescription)


Previous (DoPayDividends)
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSCompanyStrategy

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoPayDividends)
Next (FriendlyName)


Previous (FriendlyDescription)
Next (GetParent)

Name
FriendlyName

Parent
TFMSCompanyStrategy

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next (GetParent)


Previous (FriendlyName)
Next (GetRole)

Name
GetParent

Parent
TFMSCompanyStrategy

Visibility
PROTECTED

Source code
function GetParent : TFMSCompanyStrategies

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyName)
Next (GetRole)


Previous (GetParent)
Next

Name
GetRole

Parent
TFMSCompanyStrategy

Visibility
PUBLIC

Source code
function GetRole : TFMSCompanyRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetParent)
Next


Previous (TFMSCompanyStrategy)
Next (TFMSFamilyRole)

Name
TFMSConsumerRole

Parent
FMSStandardRoles

Class Hierarchy
TFMSStandardParticipantRole

Visibility
PUBLIC

Description
A participant may represent a consumer.

Members
Fields
Field Description
FMoney (-)

Methods
Method Description
FriendlyDescription (+)
FriendlyName (+)
Step (#)

Properties
Property Description
Money (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSCompanyStrategy)
Next (TFMSFamilyRole)


Previous
Next

Name
FMoney

Parent
TFMSConsumerRole

Visibility
PRIVATE

Source code
FMoney : Double

FIMAS
Class Tree
Index
Previous
Next


Previous
Next

Name
Money

Parent
TFMSConsumerRole

Visibility
PUBLISHED

Source code
property Money : Double read FMoney write FMoney

Read Access
FMoney

Write Access
FMoney

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSConsumerRole

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (FriendlyName)


Previous (FriendlyDescription)
Next (Step)

Name
FriendlyName

Parent
TFMSConsumerRole

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next (Step)


Previous (FriendlyName)
Next

Name
Step

Parent
TFMSConsumerRole

Visibility
PROTECTED

Source code
procedure Step ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyName)
Next


Previous (TFMSConsumerRole)
Next (TFMSMarketPlan)

Name
TFMSFamilyRole

Parent
FMSStandardRoles

Class Hierarchy
TFMSStandardParticipantRole

Visibility
PUBLIC

Description
A participant may represent a whole family.

Members
Methods
Method Description
FriendlyDescription (+)
FriendlyName (+)
Step (#)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSConsumerRole)
Next (TFMSMarketPlan)


Previous
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSFamilyRole

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (FriendlyName)


Previous (FriendlyDescription)
Next (Step)

Name
FriendlyName

Parent
TFMSFamilyRole

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next (Step)


Previous (FriendlyName)
Next

Name
Step

Parent
TFMSFamilyRole

Visibility
PROTECTED

Source code
procedure Step ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyName)
Next


Previous (TFMSFamilyRole)
Next (TFMSMarketRole)

Name
TFMSMarketPlan

Parent
FMSStandardRoles

Class Hierarchy
TFMSPlan

Visibility
PUBLIC

Description
An abstract market-specific plan.

Members
Methods
Method Description
FriendlyDescription (+)
FriendlyName (+)
GetRole (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSFamilyRole)
Next (TFMSMarketRole)


Previous
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSMarketPlan

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (FriendlyName)


Previous (FriendlyDescription)
Next (GetRole)

Name
FriendlyName

Parent
TFMSMarketPlan

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next (GetRole)


Previous (FriendlyName)
Next

Name
GetRole

Parent
TFMSMarketPlan

Visibility
PUBLIC

Source code
function GetRole : TFMSMarketRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyName)
Next


Previous (TFMSMarketPlan)
Next (TFMSMarketRoleList)

Name
TFMSMarketRole

Parent
FMSStandardRoles

Class Hierarchy
TFMSStandardParticipantRole

Visibility
PUBLIC

Description
A regular share market.

Members
Fields
Field Description
FActiveTransactionRequests (-)
FBrokerAccounts (-)
FCommisionPlans (-)
FCritSectAddNewTransactionRequest (-)
FCritSectPersonalMoney (-)
FCritSectTransactionCostMoney (-)
FPersonalMoney (-)
FShareTypeAccounts (-)
FTransactionCostMoney (-)
FTransactionRequests (-)
FTransactions (-)

Methods
Method | Description
AddBroker (#)
AddNewTransactionRequest (+) | A thread-safe version of 2 commonly used functions.
Assign (+)
CommitTransaction (#)
Create (+)
Destroy (+) | Add-up Classificator news and ParticipantRole news.
DoCreateStrategies (#)
FriendlyDescription (+)
FriendlyName (+)
GetAssets (#)
GetCapitalization (+)
GetStrategies (-)
RemoveBroker (#)
SetActiveTransactionRequests (-)
SetCommisionPlans (-)
SetPersonalMoney (-)
SetStrategies (-)
SetTransactionCostMoney (-)
SetTransactionRequests (-)
SetTransactions (-)
Step (#)

Properties
Property | Description
ActiveTransactionRequests (*)
BrokerAccounts (*) | Supposed to be read-only. Do not edit!
CommisionPlans (*)
PersonalMoney (*)
ShareTypeAccounts (*) | Supposed to be read-only. Do not edit!
Strategies (*)
TransactionCostMoney (*)
TransactionRequests (*) | Stores all transaction requests.
Transactions (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSMarketPlan)
Next (TFMSMarketRoleList)


Previous
Next (FBrokerAccounts)

Name
FActiveTransactionRequests

Parent
TFMSMarketRole

Visibility
PRIVATE

Source code
FActiveTransactionRequests : TFMSShareTransactionBrokerRequestList

FIMAS
Class Tree
Index
Previous
Next (FBrokerAccounts)


Previous (FActiveTransactionRequests)
Next (FCommisionPlans)

Name
FBrokerAccounts

Parent
TFMSMarketRole

Visibility
PRIVATE

Source code
FBrokerAccounts : TFMSBrokerAccounts

FIMAS
Class Tree
Index
Previous (FActiveTransactionRequests)
Next (FCommisionPlans)


Previous (FBrokerAccounts)
Next (FCritSectAddNewTransactionRequest)

Name
FCommisionPlans

Parent
TFMSMarketRole

Visibility
PRIVATE

Source code
FCommisionPlans : TFMSShareTransactionCommisionPlans

FIMAS
Class Tree
Index
Previous (FBrokerAccounts)
Next (FCritSectAddNewTransactionRequest)


Previous (FCommisionPlans)
Next (FCritSectPersonalMoney)

Name
FCritSectAddNewTransactionRequest

Parent
TFMSMarketRole

Visibility
PRIVATE

Source code
FCritSectAddNewTransactionRequest : TCriticalSection

FIMAS
Class Tree
Index
Previous (FCommisionPlans)
Next (FCritSectPersonalMoney)


Previous (FCritSectAddNewTransactionRequest)
Next (FCritSectTransactionCostMoney)

Name
FCritSectPersonalMoney

Parent
TFMSMarketRole

Visibility
PRIVATE

Source code
FCritSectPersonalMoney : TCriticalSection

FIMAS
Class Tree
Index
Previous (FCritSectAddNewTransactionRequest)
Next (FCritSectTransactionCostMoney)


Previous (FCritSectPersonalMoney)
Next (FPersonalMoney)

Name
FCritSectTransactionCostMoney

Parent
TFMSMarketRole

Visibility
PRIVATE

Source code
FCritSectTransactionCostMoney : TCriticalSection

FIMAS
Class Tree
Index
Previous (FCritSectPersonalMoney)
Next (FPersonalMoney)


Previous (FCritSectTransactionCostMoney)
Next (FShareTypeAccounts)

Name
FPersonalMoney

Parent
TFMSMarketRole

Visibility
PRIVATE

Source code
FPersonalMoney : Double

FIMAS
Class Tree
Index
Previous (FCritSectTransactionCostMoney)
Next (FShareTypeAccounts)


Previous (FPersonalMoney)
Next (FTransactionCostMoney)

Name
FShareTypeAccounts

Parent
TFMSMarketRole

Visibility
PRIVATE

Source code
FShareTypeAccounts : TFMSShareTypeAccounts

FIMAS
Class Tree
Index
Previous (FPersonalMoney)
Next (FTransactionCostMoney)


Previous (FShareTypeAccounts)
Next (FTransactionRequests)

Name
FTransactionCostMoney

Parent
TFMSMarketRole

Visibility
PRIVATE

Source code
FTransactionCostMoney : Double

FIMAS
Class Tree
Index
Previous (FShareTypeAccounts)
Next (FTransactionRequests)


Previous (FTransactionCostMoney)
Next (FTransactions)

Name
FTransactionRequests

Parent
TFMSMarketRole

Visibility
PRIVATE

Source code
FTransactionRequests : TFMSShareTransactionBrokerRequests

FIMAS
Class Tree
Index
Previous (FTransactionCostMoney)
Next (FTransactions)


Previous (FTransactionRequests)
Next

Name
FTransactions

Parent
TFMSMarketRole

Visibility
PRIVATE

Source code
FTransactions : TFMSShareTransactions

FIMAS
Class Tree
Index
Previous (FTransactionRequests)
Next


Previous
Next (BrokerAccounts)

Name
ActiveTransactionRequests

Parent
TFMSMarketRole

Visibility
PUBLISHED

Source code
property ActiveTransactionRequests : TFMSShareTransactionBrokerRequestList read FActiveTransactionRequests write SetActiveTransactionRequests

Read Access
FActiveTransactionRequests

Write Access
SetActiveTransactionRequests

FIMAS
Class Tree
Index
Previous
Next (BrokerAccounts)


Previous (ActiveTransactionRequests)
Next (CommisionPlans)

Name
BrokerAccounts

Parent
TFMSMarketRole

Visibility
PUBLISHED

Description
Supposed to be read-only. Do not edit!

Source code
property BrokerAccounts : TFMSBrokerAccounts read FBrokerAccounts stored True

Read Access
FBrokerAccounts

FIMAS
Class Tree
Index
Previous (ActiveTransactionRequests)
Next (CommisionPlans)


Previous (BrokerAccounts)
Next (PersonalMoney)

Name
CommisionPlans

Parent
TFMSMarketRole

Visibility
PUBLISHED

Source code
property CommisionPlans : TFMSShareTransactionCommisionPlans read FCommisionPlans write SetCommisionPlans

Read Access
FCommisionPlans

Write Access
SetCommisionPlans

FIMAS
Class Tree
Index
Previous (BrokerAccounts)
Next (PersonalMoney)


Previous (CommisionPlans)
Next (ShareTypeAccounts)

Name
PersonalMoney

Parent
TFMSMarketRole

Visibility
PUBLISHED

Source code
property PersonalMoney : Double read FPersonalMoney write SetPersonalMoney

Read Access
FPersonalMoney

Write Access
SetPersonalMoney

FIMAS
Class Tree
Index
Previous (CommisionPlans)
Next (ShareTypeAccounts)


Previous (PersonalMoney)
Next (Strategies)

Name
ShareTypeAccounts

Parent
TFMSMarketRole

Visibility
PUBLISHED

Description
Supposed to be read-only. Do not edit!

Source code
property ShareTypeAccounts : TFMSShareTypeAccounts read FShareTypeAccounts

Read Access
FShareTypeAccounts

FIMAS
Class Tree
Index
Previous (PersonalMoney)
Next (Strategies)


Previous (ShareTypeAccounts)
Next (TransactionCostMoney)

Name
Strategies

Parent
TFMSMarketRole

Visibility
PUBLISHED

Source code
property Strategies : TFMSMarketStrategies read GetStrategies write SetStrategies

Read Access
GetStrategies

Write Access
SetStrategies

FIMAS
Class Tree
Index
Previous (ShareTypeAccounts)
Next (TransactionCostMoney)


Previous (Strategies)
Next (TransactionRequests)

Name
TransactionCostMoney

Parent
TFMSMarketRole

Visibility
PUBLISHED

Source code
property TransactionCostMoney : Double read FTransactionCostMoney write SetTransactionCostMoney

Read Access
FTransactionCostMoney

Write Access
SetTransactionCostMoney

FIMAS
Class Tree
Index
Previous (Strategies)
Next (TransactionRequests)


Previous (TransactionCostMoney)
Next (Transactions)

Name
TransactionRequests

Parent
TFMSMarketRole

Visibility
PUBLISHED

Description
Stores all transaction requests.

Source code
property TransactionRequests : TFMSShareTransactionBrokerRequests read FTransactionRequests write SetTransactionRequests

Read Access
FTransactionRequests

Write Access
SetTransactionRequests

FIMAS
Class Tree
Index
Previous (TransactionCostMoney)
Next (Transactions)


Previous (TransactionRequests)
Next

Name
Transactions

Parent
TFMSMarketRole

Visibility
PUBLISHED

Source code
property Transactions : TFMSShareTransactions read FTransactions write SetTransactions

Read Access
FTransactions

Write Access
SetTransactions

FIMAS
Class Tree
Index
Previous (TransactionRequests)
Next


Previous
Next (AddNewTransactionRequest)

Name
AddBroker

Parent
TFMSMarketRole

Visibility
PROTECTED

Source code
procedure AddBroker ( const ABroker : TFMSBrokerRole ) ; virtual

Parameters
Parameter | Description
ABroker : TFMSBrokerRole | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (AddNewTransactionRequest)


Previous (AddBroker)
Next (Assign)

Name
AddNewTransactionRequest

Parent
TFMSMarketRole

Visibility
PUBLIC

Description
A thread-safe version of 2 commonly used functions.
A thread-safe version of 2 commonly used functions.

Source code
function AddNewTransactionRequest : TFMSShareTransactionBrokerRequest

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (AddBroker)
Next (Assign)


Previous (AddNewTransactionRequest)
Next (CommitTransaction)

Name
Assign

Parent
TFMSMarketRole

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (AddNewTransactionRequest)
Next (CommitTransaction)


Previous (Assign)
Next (Create)

Name
CommitTransaction

Parent
TFMSMarketRole

Visibility
PROTECTED

Source code
procedure CommitTransaction ( ABuyRequest : TFMSShareTransactionBrokerRequest ; const ASellRequest : TFMSShareTransactionBrokerRequest ) ; virtual

Parameters
Parameter | Description
ABuyRequest : TFMSShareTransactionBrokerRequest | &nbsp;
ASellRequest : TFMSShareTransactionBrokerRequest | &nbsp;

FIMAS
Class Tree
Index
Previous (Assign)
Next (Create)


Previous (CommitTransaction)
Next (Destroy)

Name
Create

Parent
TFMSMarketRole

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TXCollection ) ; override

Parameters
Parameter | Description
AOwner : TXCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (CommitTransaction)
Next (Destroy)


Previous (Create)
Next (DoCreateStrategies)

Name
Destroy

Parent
TFMSMarketRole

Visibility
PUBLIC

Description
Add-up Classificator news and ParticipantRole news.
Add-up Classificator news and ParticipantRole news.

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (DoCreateStrategies)


Previous (Destroy)
Next (FriendlyDescription)

Name
DoCreateStrategies

Parent
TFMSMarketRole

Visibility
PROTECTED

Source code
procedure DoCreateStrategies ( var AStrategies : TFMSStrategies ) ; override

Parameters
Parameter | Description
AStrategies : TFMSStrategies | &nbsp;

FIMAS
Class Tree
Index
Previous (Destroy)
Next (FriendlyDescription)


Previous (DoCreateStrategies)
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSMarketRole

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoCreateStrategies)
Next (FriendlyName)


Previous (FriendlyDescription)
Next (GetAssets)

Name
FriendlyName

Parent
TFMSMarketRole

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next (GetAssets)


Previous (FriendlyName)
Next (GetCapitalization)

Name
GetAssets

Parent
TFMSMarketRole

Visibility
PROTECTED

Source code
function GetAssets : Double ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyName)
Next (GetCapitalization)


Previous (GetAssets)
Next (GetStrategies)

Name
GetCapitalization

Parent
TFMSMarketRole

Visibility
PUBLIC

Source code
function GetCapitalization : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetAssets)
Next (GetStrategies)


Previous (GetCapitalization)
Next (RemoveBroker)

Name
GetStrategies

Parent
TFMSMarketRole

Visibility
PRIVATE

Source code
function GetStrategies : TFMSMarketStrategies

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCapitalization)
Next (RemoveBroker)


Previous (GetStrategies)
Next (SetActiveTransactionRequests)

Name
RemoveBroker

Parent
TFMSMarketRole

Visibility
PROTECTED

Source code
procedure RemoveBroker ( const ABroker : TFMSBrokerRole ) ; virtual

Parameters
Parameter | Description
ABroker : TFMSBrokerRole | &nbsp;

FIMAS
Class Tree
Index
Previous (GetStrategies)
Next (SetActiveTransactionRequests)


Previous (RemoveBroker)
Next (SetCommisionPlans)

Name
SetActiveTransactionRequests

Parent
TFMSMarketRole

Visibility
PRIVATE

Source code
procedure SetActiveTransactionRequests ( const Value : TFMSShareTransactionBrokerRequestList )

Parameters
Parameter | Description
Value : TFMSShareTransactionBrokerRequestList | &nbsp;

FIMAS
Class Tree
Index
Previous (RemoveBroker)
Next (SetCommisionPlans)


Previous (SetActiveTransactionRequests)
Next (SetPersonalMoney)

Name
SetCommisionPlans

Parent
TFMSMarketRole

Visibility
PRIVATE

Source code
procedure SetCommisionPlans ( const Value : TFMSShareTransactionCommisionPlans )

Parameters
Parameter | Description
Value : TFMSShareTransactionCommisionPlans | &nbsp;

FIMAS
Class Tree
Index
Previous (SetActiveTransactionRequests)
Next (SetPersonalMoney)


Previous (SetCommisionPlans)
Next (SetStrategies)

Name
SetPersonalMoney

Parent
TFMSMarketRole

Visibility
PRIVATE

Source code
procedure SetPersonalMoney ( const AValue : Double )

Parameters
Parameter | Description
AValue : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (SetCommisionPlans)
Next (SetStrategies)


Previous (SetPersonalMoney)
Next (SetTransactionCostMoney)

Name
SetStrategies

Parent
TFMSMarketRole

Visibility
PRIVATE

Source code
procedure SetStrategies ( const Value : TFMSMarketStrategies )

Parameters
Parameter | Description
Value : TFMSMarketStrategies | &nbsp;

FIMAS
Class Tree
Index
Previous (SetPersonalMoney)
Next (SetTransactionCostMoney)


Previous (SetStrategies)
Next (SetTransactionRequests)

Name
SetTransactionCostMoney

Parent
TFMSMarketRole

Visibility
PRIVATE

Source code
procedure SetTransactionCostMoney ( const AValue : Double )

Parameters
Parameter | Description
AValue : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (SetStrategies)
Next (SetTransactionRequests)


Previous (SetTransactionCostMoney)
Next (SetTransactions)

Name
SetTransactionRequests

Parent
TFMSMarketRole

Visibility
PRIVATE

Source code
procedure SetTransactionRequests ( const AValue : TFMSShareTransactionBrokerRequests )

Parameters
Parameter | Description
AValue : TFMSShareTransactionBrokerRequests | &nbsp;

FIMAS
Class Tree
Index
Previous (SetTransactionCostMoney)
Next (SetTransactions)


Previous (SetTransactionRequests)
Next (Step)

Name
SetTransactions

Parent
TFMSMarketRole

Visibility
PRIVATE

Source code
procedure SetTransactions ( const Value : TFMSShareTransactions )

Parameters
Parameter | Description
Value : TFMSShareTransactions | &nbsp;

FIMAS
Class Tree
Index
Previous (SetTransactionRequests)
Next (Step)


Previous (SetTransactions)
Next

Name
Step

Parent
TFMSMarketRole

Visibility
PROTECTED

Source code
procedure Step ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetTransactions)
Next


Previous (TFMSMarketRole)
Next (TFMSMarketStrategies)

Name
TFMSMarketRoleList

Parent
FMSStandardRoles

Class Hierarchy
TFMSStandardParticipantRoleList

Visibility
PUBLIC

Description
A list of TFMSMarketRole.

Members
Methods
Method | Description
ADD (+)
GetItems (-) | Standard list method.
GetLastItem (+) | Standard list method.
REMOVE (+)
SetItems (-)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSMarketRole)
Next (TFMSMarketStrategies)


Previous
Next

Name
Items

Parent
TFMSMarketRoleList

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSMarketRole read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (GetItems)

Name
ADD

Parent
TFMSMarketRoleList

Visibility
PUBLIC

Source code
procedure Add ( const AItem : TFMSMarketRole )

Parameters
Parameter | Description
AItem : TFMSMarketRole | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (GetItems)


Previous (ADD)
Next (GetLastItem)

Name
GetItems

Parent
TFMSMarketRoleList

Visibility
PRIVATE

Description
Standard list method.
Standard list method.

Source code
function GetItems ( const Index : Integer ) : TFMSMarketRole

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (GetLastItem)


Previous (GetItems)
Next (REMOVE)

Name
GetLastItem

Parent
TFMSMarketRoleList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
function GetLastItem : TFMSMarketRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (REMOVE)


Previous (GetLastItem)
Next (SetItems)

Name
REMOVE

Parent
TFMSMarketRoleList

Visibility
PUBLIC

Source code
procedure Remove ( const AItem : TFMSMarketRole )

Parameters
Parameter | Description
AItem : TFMSMarketRole | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (SetItems)


Previous (REMOVE)
Next

Name
SetItems

Parent
TFMSMarketRoleList

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSMarketRole )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSMarketRole | &nbsp;

FIMAS
Class Tree
Index
Previous (REMOVE)
Next


Previous (TFMSMarketRoleList)
Next (TFMSMarketStrategy)

Name
TFMSMarketStrategies

Parent
FMSStandardRoles

Class Hierarchy
TFMSStrategies

Visibility
PUBLIC

Description
Collection of TFMSMarketStrategy.

Members
Methods
Method Description
ADD (+)
AddByID (+)
CanAdd (+)
GetCurrentStrategy (+)
GetItems (-)
GetLastItem (+)
ItemsClass (+)
SetItems (-)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSMarketRoleList)
Next (TFMSMarketStrategy)


Previous
Next

Name
Items

Parent
TFMSMarketStrategies

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSMarketStrategy read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (AddByID)

Name
ADD

Parent
TFMSMarketStrategies

Visibility
PUBLIC

Source code
function Add ( AClass : TFMSMarketStrategyClass ) : TFMSMarketStrategy

Parameters
Parameter | Description
AClass : TFMSMarketStrategyClass | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (AddByID)


Previous (ADD)
Next (CanAdd)

Name
AddByID

Parent
TFMSMarketStrategies

Visibility
PUBLIC

Source code
function AddByID ( AClass : TStrangeClassID ) : TFMSMarketStrategy

Parameters
Parameter | Description
AClass : TStrangeClassID | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (CanAdd)


Previous (AddByID)
Next (GetCurrentStrategy)

Name
CanAdd

Parent
TFMSMarketStrategies

Visibility
PUBLIC

Source code
function CanAdd ( AClass : TXCollectionItemClass ) : Boolean ; override

Parameters
Parameter | Description
AClass : TXCollectionItemClass | &nbsp;

FIMAS
Class Tree
Index
Previous (AddByID)
Next (GetCurrentStrategy)


Previous (CanAdd)
Next (GetItems)

Name
GetCurrentStrategy

Parent
TFMSMarketStrategies

Visibility
PUBLIC

Source code
function GetCurrentStrategy : TFMSMarketStrategy

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (CanAdd)
Next (GetItems)


Previous (GetCurrentStrategy)
Next (GetLastItem)

Name
GetItems

Parent
TFMSMarketStrategies

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSMarketStrategy

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetCurrentStrategy)
Next (GetLastItem)


Previous (GetItems)
Next (ItemsClass)

Name
GetLastItem

Parent
TFMSMarketStrategies

Visibility
PUBLIC

Source code
function GetLastItem : TFMSMarketStrategy

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (ItemsClass)


Previous (GetLastItem)
Next (SetItems)

Name
ItemsClass

Parent
TFMSMarketStrategies

Visibility
PUBLIC

Source code
class function ItemsClass : TXCollectionItemClass ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (SetItems)


Previous (ItemsClass)
Next

Name
SetItems

Parent
TFMSMarketStrategies

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSMarketStrategy )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSMarketStrategy | &nbsp;

FIMAS
Class Tree
Index
Previous (ItemsClass)
Next


Previous (TFMSMarketStrategies)
Next (TFMSMoneyAccount)

Name
TFMSMarketStrategy

Parent
FMSStandardRoles

Class Hierarchy
TFMSStrategy

Visibility
PUBLIC

Description
An abstract share market specific strategy.

Members
Methods
Method Description
DoApproveTransactionRequest (#)
DoProcessTransactionRequest (#)
FriendlyDescription (+)
FriendlyName (+)
GetParent (#)
GetRole (+)
Think (#)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSMarketStrategies)
Next (TFMSMoneyAccount)


Previous
Next (DoProcessTransactionRequest)

Name
DoApproveTransactionRequest

Parent
TFMSMarketStrategy

Visibility
PROTECTED

Source code
procedure DoApproveTransactionRequest ( const ATransactionRequest : TFMSShareTransactionBrokerRequest ) ; virtual

Parameters
Parameter | Description
ATransactionRequest : TFMSShareTransactionBrokerRequest | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (DoProcessTransactionRequest)


Previous (DoApproveTransactionRequest)
Next (FriendlyDescription)

Name
DoProcessTransactionRequest

Parent
TFMSMarketStrategy

Visibility
PROTECTED

Source code
procedure DoProcessTransactionRequest ( const ATransactionRequest : TFMSShareTransactionBrokerRequest ) ; virtual

Parameters
Parameter | Description
ATransactionRequest : TFMSShareTransactionBrokerRequest | &nbsp;

FIMAS
Class Tree
Index
Previous (DoApproveTransactionRequest)
Next (FriendlyDescription)


Previous (DoProcessTransactionRequest)
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSMarketStrategy

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoProcessTransactionRequest)
Next (FriendlyName)


Previous (FriendlyDescription)
Next (GetParent)

Name
FriendlyName

Parent
TFMSMarketStrategy

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next (GetParent)


Previous (FriendlyName)
Next (GetRole)

Name
GetParent

Parent
TFMSMarketStrategy

Visibility
PROTECTED

Source code
function GetParent : TFMSMarketStrategies

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyName)
Next (GetRole)


Previous (GetParent)
Next (Think)

Name
GetRole

Parent
TFMSMarketStrategy

Visibility
PUBLIC

Source code
function GetRole : TFMSMarketRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetParent)
Next (Think)


Previous (GetRole)
Next

Name
Think

Parent
TFMSMarketStrategy

Visibility
PROTECTED

Source code
procedure Think ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetRole)
Next


Previous (TFMSMarketStrategy)
Next (TFMSMoneyAccounts)

Name
TFMSMoneyAccount

Parent
FMSStandardRoles

Class Hierarchy
TFMSStandardAccount

Visibility
PUBLIC

Description
An account that poseses a certain amount of money.

Members
Fields
Field Description
FCriticalSection (-)
FLog (-)
FMoney (-)

Methods
Method Description
Assign (+)
Create (+)
Destroy (+)
GetParent (#)
GetParticipantRole (+)
RegisterMoneyFlow (+)
SetLog (-)

Properties
Property | Description
Log (*)
Money (*) | Add money should be added and subtracted via the RegisterMoneyFlow function.

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSMarketStrategy)
Next (TFMSMoneyAccounts)


Previous
Next (FLog)

Name
FCriticalSection

Parent
TFMSMoneyAccount

Visibility
PRIVATE

Source code
FCriticalSection : TCriticalSection

FIMAS
Class Tree
Index
Previous
Next (FLog)


Previous (FCriticalSection)
Next (FMoney)

Name
FLog

Parent
TFMSMoneyAccount

Visibility
PRIVATE

Source code
FLog : TStringList

FIMAS
Class Tree
Index
Previous (FCriticalSection)
Next (FMoney)


Previous (FLog)
Next

Name
FMoney

Parent
TFMSMoneyAccount

Visibility
PRIVATE

Source code
FMoney : Double

FIMAS
Class Tree
Index
Previous (FLog)
Next


Previous
Next (Money)

Name
Log

Parent
TFMSMoneyAccount

Visibility
PUBLISHED

Source code
property Log : TStringList read FLog write SetLog

Read Access
FLog

Write Access
SetLog

FIMAS
Class Tree
Index
Previous
Next (Money)


Previous (Log)
Next

Name
Money

Parent
TFMSMoneyAccount

Visibility
PUBLISHED

Description
Add money should be added and subtracted via the RegisterMoneyFlow function.

Source code
property Money : Double read FMoney

Read Access
FMoney

FIMAS
Class Tree
Index
Previous (Log)
Next


Previous
Next (Create)

Name
Assign

Parent
TFMSMoneyAccount

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (Assign)
Next (Destroy)

Name
Create

Parent
TFMSMoneyAccount

Visibility
PUBLIC

Source code
constructor Create ( Collection : TCollection ) ; override

Parameters
Parameter | Description
Collection : TCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (Assign)
Next (Destroy)


Previous (Create)
Next (GetParent)

Name
Destroy

Parent
TFMSMoneyAccount

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (GetParent)


Previous (Destroy)
Next (GetParticipantRole)

Name
GetParent

Parent
TFMSMoneyAccount

Visibility
PROTECTED

Source code
function GetParent : TFMSMoneyAccounts

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Destroy)
Next (GetParticipantRole)


Previous (GetParent)
Next (RegisterMoneyFlow)

Name
GetParticipantRole

Parent
TFMSMoneyAccount

Visibility
PUBLIC

Source code
function GetParticipantRole : TFMSParticipantRole ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetParent)
Next (RegisterMoneyFlow)


Previous (GetParticipantRole)
Next (SetLog)

Name
RegisterMoneyFlow

Parent
TFMSMoneyAccount

Visibility
PUBLIC

Source code
procedure RegisterMoneyFlow ( const ASumm : Double ; const ADescription : string )

Parameters
Parameter | Description
ASumm : DOUBLE | &nbsp;
ADescription : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (GetParticipantRole)
Next (SetLog)


Previous (RegisterMoneyFlow)
Next

Name
SetLog

Parent
TFMSMoneyAccount

Visibility
PRIVATE

Source code
procedure SetLog ( Value : TStringList )

Parameters
Parameter | Description
Value : TStringList | &nbsp;

FIMAS
Class Tree
Index
Previous (RegisterMoneyFlow)
Next


Previous (TFMSMoneyAccount)
Next (TFMSPeriodicCommisionPlan)

Name
TFMSMoneyAccounts

Parent
FMSStandardRoles

Class Hierarchy
TFMSStandardAccounts

Visibility
PUBLIC

Description
Collection of TFMSMoneyAccount.

Members
Methods
Method Description
ADD (+)
Create (+)
GetItems (-)
GetLastItem (+)
SetItems (-)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSMoneyAccount)
Next (TFMSPeriodicCommisionPlan)


Previous
Next

Name
Items

Parent
TFMSMoneyAccounts

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSMoneyAccount read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Create)

Name
ADD

Parent
TFMSMoneyAccounts

Visibility
PUBLIC

Source code
function Add : TFMSMoneyAccount

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (ADD)
Next (GetItems)

Name
Create

Parent
TFMSMoneyAccounts

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TPersistent ) ; overload

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (GetItems)


Previous (Create)
Next (GetLastItem)

Name
GetItems

Parent
TFMSMoneyAccounts

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSMoneyAccount

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (GetLastItem)


Previous (GetItems)
Next (SetItems)

Name
GetLastItem

Parent
TFMSMoneyAccounts

Visibility
PUBLIC

Source code
function GetLastItem : TFMSMoneyAccount

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (SetItems)


Previous (GetLastItem)
Next

Name
SetItems

Parent
TFMSMoneyAccounts

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSMoneyAccount )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSMoneyAccount | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next


Previous (TFMSMoneyAccounts)
Next (TFMSPlan)

Name
TFMSPeriodicCommisionPlan

Parent
FMSStandardRoles

Class Hierarchy
TFMSShareTransactionCommisionPlan

Visibility
PUBLIC

Description
A plan that requires to pay a certain amount periodically. [Not implemented yet.]

Members
Methods
Method Description
GetCommisionPeriodic (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSMoneyAccounts)
Next (TFMSPlan)


Previous
Next

Name
GetCommisionPeriodic

Parent
TFMSPeriodicCommisionPlan

Visibility
PUBLIC

Source code
function GetCommisionPeriodic ( const AAccount : TFMSMoneyAccount ) : Double ; override

Parameters
Parameter | Description
AAccount : TFMSMoneyAccount | &nbsp;

FIMAS
Class Tree
Index
Previous
Next


Previous (TFMSPeriodicCommisionPlan)
Next (TFMSPlanList)

Name
TFMSPlan

Parent
FMSStandardRoles

Class Hierarchy
TFMSUniqueNamed

Visibility
PUBLIC

Description
Abstract class that serves as an ancestor to other more complex plans.

Members
Fields
Field Description
FCreationTime (-)
FExecutionOptions (-)
FStatus (-)
FStrategy (-)

Methods
Method Description
Assign (+)
Create (+)
DoNotifyStrategy (#)
FriendlyDescription (+)
FriendlyName (+)
GetParent (#)
GetRole (+)
GetWorld (+)
Step (#)

Properties
Property Description
CreationTime (*)
ExecutionOptions (*)
Status (*)
Strategy (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSPeriodicCommisionPlan)
Next (TFMSPlanList)


Previous
Next (FExecutionOptions)

Name
FCreationTime

Parent
TFMSPlan

Visibility
PRIVATE

Source code
FCreationTime : TDateTime

FIMAS
Class Tree
Index
Previous
Next (FExecutionOptions)


Previous (FCreationTime)
Next (FStatus)

Name
FExecutionOptions

Parent
TFMSPlan

Visibility
PRIVATE

Source code
FExecutionOptions : TFMSPlanExecutionOptions

FIMAS
Class Tree
Index
Previous (FCreationTime)
Next (FStatus)


Previous (FExecutionOptions)
Next (FStrategy)

Name
FStatus

Parent
TFMSPlan

Visibility
PRIVATE

Source code
FStatus : TFMSPlanStatus

FIMAS
Class Tree
Index
Previous (FExecutionOptions)
Next (FStrategy)


Previous (FStatus)
Next

Name
FStrategy

Parent
TFMSPlan

Visibility
PRIVATE

Source code
FStrategy : TFMSStrategy

FIMAS
Class Tree
Index
Previous (FStatus)
Next


Previous
Next (ExecutionOptions)

Name
CreationTime

Parent
TFMSPlan

Visibility
PUBLISHED

Source code
property CreationTime : TDateTime read FCreationTime

Read Access
FCreationTime

FIMAS
Class Tree
Index
Previous
Next (ExecutionOptions)


Previous (CreationTime)
Next (Status)

Name
ExecutionOptions

Parent
TFMSPlan

Visibility
PUBLISHED

Source code
property ExecutionOptions : TFMSPlanExecutionOptions read FExecutionOptions write FExecutionOptions

Read Access
FExecutionOptions

Write Access
FExecutionOptions

FIMAS
Class Tree
Index
Previous (CreationTime)
Next (Status)


Previous (ExecutionOptions)
Next (Strategy)

Name
Status

Parent
TFMSPlan

Visibility
PUBLISHED

Source code
property Status : TFMSPlanStatus read FStatus write FStatus

Read Access
FStatus

Write Access
FStatus

FIMAS
Class Tree
Index
Previous (ExecutionOptions)
Next (Strategy)


Previous (Status)
Next

Name
Strategy

Parent
TFMSPlan

Visibility
PUBLISHED

Source code
property Strategy : TFMSStrategy read FStrategy write FStrategy

Read Access
FStrategy

Write Access
FStrategy

FIMAS
Class Tree
Index
Previous (Status)
Next


Previous
Next (Create)

Name
Assign

Parent
TFMSPlan

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (Assign)
Next (DoNotifyStrategy)

Name
Create

Parent
TFMSPlan

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TXCollection ) ; override

Parameters
Parameter | Description
AOwner : TXCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (Assign)
Next (DoNotifyStrategy)


Previous (Create)
Next (FriendlyDescription)

Name
DoNotifyStrategy

Parent
TFMSPlan

Visibility
PROTECTED

Source code
procedure DoNotifyStrategy

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (FriendlyDescription)


Previous (DoNotifyStrategy)
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSPlan

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoNotifyStrategy)
Next (FriendlyName)


Previous (FriendlyDescription)
Next (GetParent)

Name
FriendlyName

Parent
TFMSPlan

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next (GetParent)


Previous (FriendlyName)
Next (GetRole)

Name
GetParent

Parent
TFMSPlan

Visibility
PROTECTED

Source code
function GetParent : TFMSPlans

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyName)
Next (GetRole)


Previous (GetParent)
Next (GetWorld)

Name
GetRole

Parent
TFMSPlan

Visibility
PUBLIC

Source code
function GetRole : TFMSParticipantRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetParent)
Next (GetWorld)


Previous (GetRole)
Next (Step)

Name
GetWorld

Parent
TFMSPlan

Visibility
PUBLIC

Source code
function GetWorld : TFMSWorld

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetRole)
Next (Step)


Previous (GetWorld)
Next

Name
Step

Parent
TFMSPlan

Visibility
PROTECTED

Source code
procedure Step ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetWorld)
Next


Previous (TFMSPlan)
Next (TFMSPlans)

Name
TFMSPlanList

Parent
FMSStandardRoles

Class Hierarchy
TStrangeInterfacedOwnedPersistent

Visibility
PUBLIC

Description
A list of TFMSPlan.

Members
Fields
Field Description
FList (-)

Methods
Method | Description
ADD (+)
Assign (+)
Clear (+)
Create (+)
Delete (+)
Destroy (+)
GetCount (-)
GetItems (-)
GetLastItem (+)
REMOVE (+)
SetCount (-)
SetItems (-)
Step (+) | Returns True if everything is Ok.

Properties
Property Description
Count (+)
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSPlan)
Next (TFMSPlans)


Previous
Next

Name
FList

Parent
TFMSPlanList

Visibility
PRIVATE

Source code
FList : TList

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Items)

Name
Count

Parent
TFMSPlanList

Visibility
PUBLIC

Source code
property Count : Integer read GetCount write SetCount

Read Access
GetCount

Write Access
SetCount

FIMAS
Class Tree
Index
Previous
Next (Items)


Previous (Count)
Next

Name
Items

Parent
TFMSPlanList

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSPlan read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous (Count)
Next


Previous
Next (Assign)

Name
ADD

Parent
TFMSPlanList

Visibility
PUBLIC

Source code
procedure Add ( const AItem : TFMSPlan )

Parameters
Parameter | Description
AItem : TFMSPlan | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Assign)


Previous (ADD)
Next (Clear)

Name
Assign

Parent
TFMSPlanList

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (Clear)


Previous (Assign)
Next (Create)

Name
Clear

Parent
TFMSPlanList

Visibility
PUBLIC

Source code
procedure Clear

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Assign)
Next (Create)


Previous (Clear)
Next (Delete)

Name
Create

Parent
TFMSPlanList

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TPersistent ) ; override

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (Clear)
Next (Delete)


Previous (Create)
Next (Destroy)

Name
Delete

Parent
TFMSPlanList

Visibility
PUBLIC

Source code
procedure Delete ( const AIndex : Integer )

Parameters
Parameter | Description
AIndex : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (Destroy)


Previous (Delete)
Next (GetCount)

Name
Destroy

Parent
TFMSPlanList

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Delete)
Next (GetCount)


Previous (Destroy)
Next (GetItems)

Name
GetCount

Parent
TFMSPlanList

Visibility
PRIVATE

Source code
function GetCount : Integer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Destroy)
Next (GetItems)


Previous (GetCount)
Next (GetLastItem)

Name
GetItems

Parent
TFMSPlanList

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSPlan

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetCount)
Next (GetLastItem)


Previous (GetItems)
Next (REMOVE)

Name
GetLastItem

Parent
TFMSPlanList

Visibility
PUBLIC

Source code
function GetLastItem : TFMSPlan

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (REMOVE)


Previous (GetLastItem)
Next (SetCount)

Name
REMOVE

Parent
TFMSPlanList

Visibility
PUBLIC

Source code
procedure Remove ( const AItem : TFMSPlan )

Parameters
Parameter | Description
AItem : TFMSPlan | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (SetCount)


Previous (REMOVE)
Next (SetItems)

Name
SetCount

Parent
TFMSPlanList

Visibility
PRIVATE

Source code
procedure SetCount ( const Value : Integer )

Parameters
Parameter | Description
Value : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (REMOVE)
Next (SetItems)


Previous (SetCount)
Next (Step)

Name
SetItems

Parent
TFMSPlanList

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSPlan )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSPlan | &nbsp;

FIMAS
Class Tree
Index
Previous (SetCount)
Next (Step)


Previous (SetItems)
Next

Name
Step

Parent
TFMSPlanList

Visibility
PUBLIC

Description
Returns True if everything is Ok.
Returns True if everything is Ok.

Source code
function Step : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetItems)
Next


Previous (TFMSPlanList)
Next (TFMSRtStandardWorld)

Name
TFMSPlans

Parent
FMSStandardRoles

Class Hierarchy
TFMSUniqueNamedCollection

Visibility
PUBLIC

Description
Collection of TFMSPlan.

Members
Methods
Method | Description
ADD (+)
AddByID (+)
CanAdd (+)
GetItems (-)
GetLastItem (+)
ItemsClass (+)
SetItems (-)
Step (+) | Returns True if everything is Ok.

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSPlanList)
Next (TFMSRtStandardWorld)


Previous
Next

Name
Items

Parent
TFMSPlans

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSPlan read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (AddByID)

Name
ADD

Parent
TFMSPlans

Visibility
PUBLIC

Source code
function Add ( AClass : TFMSPlanClass ) : TFMSPlan

Parameters
Parameter | Description
AClass : TFMSPlanClass | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (AddByID)


Previous (ADD)
Next (CanAdd)

Name
AddByID

Parent
TFMSPlans

Visibility
PUBLIC

Source code
function AddByID ( AClass : TStrangeClassID ) : TFMSPlan

Parameters
Parameter | Description
AClass : TStrangeClassID | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (CanAdd)


Previous (AddByID)
Next (GetItems)

Name
CanAdd

Parent
TFMSPlans

Visibility
PUBLIC

Source code
function CanAdd ( AClass : TXCollectionItemClass ) : Boolean ; override

Parameters
Parameter | Description
AClass : TXCollectionItemClass | &nbsp;

FIMAS
Class Tree
Index
Previous (AddByID)
Next (GetItems)


Previous (CanAdd)
Next (GetLastItem)

Name
GetItems

Parent
TFMSPlans

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSPlan

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (CanAdd)
Next (GetLastItem)


Previous (GetItems)
Next (ItemsClass)

Name
GetLastItem

Parent
TFMSPlans

Visibility
PUBLIC

Source code
function GetLastItem : TFMSPlan

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (ItemsClass)


Previous (GetLastItem)
Next (SetItems)

Name
ItemsClass

Parent
TFMSPlans

Visibility
PUBLIC

Source code
class function ItemsClass : TXCollectionItemClass ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (SetItems)


Previous (ItemsClass)
Next (Step)

Name
SetItems

Parent
TFMSPlans

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSPlan )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSPlan | &nbsp;

FIMAS
Class Tree
Index
Previous (ItemsClass)
Next (Step)


Previous (SetItems)
Next

Name
Step

Parent
TFMSPlans

Visibility
PUBLIC

Description
Returns True if everything is Ok.
Returns True if everything is Ok.

Source code
function Step : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetItems)
Next


Previous (TFMSPlans)
Next (TFMSSharePortfolio)

Name
TFMSRtStandardWorld

Parent
FMSStandardRoles

Class Hierarchy
TFMSRealTimeWorld

Visibility
PUBLIC

Description
Knows about brokers, companies, markets and traders. Has utility lists that can store them inside the class.

Members
Fields
Field Description
FBrokers (-)
FCompanies (-)
FMarkets (-)
FTraders (-)

Methods
Method Description
AddByRole (+)
AddByRoleID (+)
AddMarket (+)
Assign (+)
Clear (+)
Create (+)
Destroy (+)
DoCreateParticipants (#)
DoUpdateParticipants (#)
GetParticipants (-)
GetStrategyStats (+)
GetStrategyStatsByID (+)
SetBrokers (-)
SetCompanies (-)
SetMarkets (-)
SetParticipants (-)
SetTraders (-)

Properties
Property Description
Brokers (*)
Companies (*)
Markets (*)
Participants (*)
Traders (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSPlans)
Next (TFMSSharePortfolio)


Previous
Next (FCompanies)

Name
FBrokers

Parent
TFMSRtStandardWorld

Visibility
PRIVATE

Source code
FBrokers : TFMSBrokerRoleList

FIMAS
Class Tree
Index
Previous
Next (FCompanies)


Previous (FBrokers)
Next (FMarkets)

Name
FCompanies

Parent
TFMSRtStandardWorld

Visibility
PRIVATE

Source code
FCompanies : TFMSCompanyRoleList

FIMAS
Class Tree
Index
Previous (FBrokers)
Next (FMarkets)


Previous (FCompanies)
Next (FTraders)

Name
FMarkets

Parent
TFMSRtStandardWorld

Visibility
PRIVATE

Source code
FMarkets : TFMSMarketRoleList

FIMAS
Class Tree
Index
Previous (FCompanies)
Next (FTraders)


Previous (FMarkets)
Next

Name
FTraders

Parent
TFMSRtStandardWorld

Visibility
PRIVATE

Source code
FTraders : TFMSTraderRoleList

FIMAS
Class Tree
Index
Previous (FMarkets)
Next


Previous
Next (Companies)

Name
Brokers

Parent
TFMSRtStandardWorld

Visibility
PUBLISHED

Source code
property Brokers : TFMSBrokerRoleList read FBrokers write SetBrokers

Read Access
FBrokers

Write Access
SetBrokers

FIMAS
Class Tree
Index
Previous
Next (Companies)


Previous (Brokers)
Next (Markets)

Name
Companies

Parent
TFMSRtStandardWorld

Visibility
PUBLISHED

Source code
property Companies : TFMSCompanyRoleList read FCompanies write SetCompanies

Read Access
FCompanies

Write Access
SetCompanies

FIMAS
Class Tree
Index
Previous (Brokers)
Next (Markets)


Previous (Companies)
Next (Participants)

Name
Markets

Parent
TFMSRtStandardWorld

Visibility
PUBLISHED

Source code
property Markets : TFMSMarketRoleList read FMarkets write SetMarkets

Read Access
FMarkets

Write Access
SetMarkets

FIMAS
Class Tree
Index
Previous (Companies)
Next (Participants)


Previous (Markets)
Next (Traders)

Name
Participants

Parent
TFMSRtStandardWorld

Visibility
PUBLISHED

Source code
property Participants : TFMSStandardParticipants read GetParticipants write SetParticipants

Read Access
GetParticipants

Write Access
SetParticipants

FIMAS
Class Tree
Index
Previous (Markets)
Next (Traders)


Previous (Participants)
Next

Name
Traders

Parent
TFMSRtStandardWorld

Visibility
PUBLISHED

Source code
property Traders : TFMSTraderRoleList read FTraders write SetTraders

Read Access
FTraders

Write Access
SetTraders

FIMAS
Class Tree
Index
Previous (Participants)
Next


Previous
Next (AddByRoleID)

Name
AddByRole

Parent
TFMSRtStandardWorld

Visibility
PUBLIC

Source code
function AddByRole ( const ARoleClass : TFMSStandardParticipantRoleClass ) : TFMSStandardParticipantRole

Parameters
Parameter | Description
ARoleClass : TFMSStandardParticipantRoleClass | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (AddByRoleID)


Previous (AddByRole)
Next (AddMarket)

Name
AddByRoleID

Parent
TFMSRtStandardWorld

Visibility
PUBLIC

Source code
function AddByRoleID ( const ARoleClassID : TStrangeClassID ) : TFMSStandardParticipantRole

Parameters
Parameter | Description
ARoleClassID : TStrangeClassID | &nbsp;

FIMAS
Class Tree
Index
Previous (AddByRole)
Next (AddMarket)


Previous (AddByRoleID)
Next (Assign)

Name
AddMarket

Parent
TFMSRtStandardWorld

Visibility
PUBLIC

Source code
function AddMarket : TFMSMarketRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (AddByRoleID)
Next (Assign)


Previous (AddMarket)
Next (Clear)

Name
Assign

Parent
TFMSRtStandardWorld

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (AddMarket)
Next (Clear)


Previous (Assign)
Next (Create)

Name
Clear

Parent
TFMSRtStandardWorld

Visibility
PUBLIC

Source code
procedure Clear ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Assign)
Next (Create)


Previous (Clear)
Next (Destroy)

Name
Create

Parent
TFMSRtStandardWorld

Visibility
PUBLIC

Source code
constructor Create ( Owner : TComponent ) ; override

Parameters
Parameter | Description
Owner : TComponent | &nbsp;

FIMAS
Class Tree
Index
Previous (Clear)
Next (Destroy)


Previous (Create)
Next (DoCreateParticipants)

Name
Destroy

Parent
TFMSRtStandardWorld

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (DoCreateParticipants)


Previous (Destroy)
Next (DoUpdateParticipants)

Name
DoCreateParticipants

Parent
TFMSRtStandardWorld

Visibility
PROTECTED

Source code
procedure DoCreateParticipants ( var AParticipants : TFMSParticipants ) ; override

Parameters
Parameter | Description
AParticipants : TFMSParticipants | &nbsp;

FIMAS
Class Tree
Index
Previous (Destroy)
Next (DoUpdateParticipants)


Previous (DoCreateParticipants)
Next (GetParticipants)

Name
DoUpdateParticipants

Parent
TFMSRtStandardWorld

Visibility
PROTECTED

Source code
procedure DoUpdateParticipants ( const AStartIndex , AEndIndex : Integer ) ; override

Parameters
Parameter | Description
AStartIndex : INTEGER | &nbsp;
AEndIndex : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (DoCreateParticipants)
Next (GetParticipants)


Previous (DoUpdateParticipants)
Next (GetStrategyStats)

Name
GetParticipants

Parent
TFMSRtStandardWorld

Visibility
PRIVATE

Source code
function GetParticipants : TFMSStandardParticipants

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoUpdateParticipants)
Next (GetStrategyStats)


Previous (GetParticipants)
Next (GetStrategyStatsByID)

Name
GetStrategyStats

Parent
TFMSRtStandardWorld

Visibility
PUBLIC

Source code
procedure GetStrategyStats ( const ARole : TFMSStandardParticipantRoleClass ; const AStrategy : TFMSStrategyClass ; var AOffset : Integer ; var ACount : Integer )

Parameters
Parameter | Description
ARole : TFMSStandardParticipantRoleClass | &nbsp;
AStrategy : TFMSStrategyClass | &nbsp;
AOffset : INTEGER | &nbsp;
ACount : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetParticipants)
Next (GetStrategyStatsByID)


Previous (GetStrategyStats)
Next (SetBrokers)

Name
GetStrategyStatsByID

Parent
TFMSRtStandardWorld

Visibility
PUBLIC

Source code
procedure GetStrategyStatsByID ( const ARole : TStrangeClassID ; const AStrategy : TStrangeClassID ; var AOffset : Integer ; var ACount : Integer )

Parameters
Parameter | Description
ARole : TStrangeClassID | &nbsp;
AStrategy : TStrangeClassID | &nbsp;
AOffset : INTEGER | &nbsp;
ACount : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetStrategyStats)
Next (SetBrokers)


Previous (GetStrategyStatsByID)
Next (SetCompanies)

Name
SetBrokers

Parent
TFMSRtStandardWorld

Visibility
PRIVATE

Source code
procedure SetBrokers ( const Value : TFMSBrokerRoleList )

Parameters
Parameter | Description
Value : TFMSBrokerRoleList | &nbsp;

FIMAS
Class Tree
Index
Previous (GetStrategyStatsByID)
Next (SetCompanies)


Previous (SetBrokers)
Next (SetMarkets)

Name
SetCompanies

Parent
TFMSRtStandardWorld

Visibility
PRIVATE

Source code
procedure SetCompanies ( const Value : TFMSCompanyRoleList )

Parameters
Parameter | Description
Value : TFMSCompanyRoleList | &nbsp;

FIMAS
Class Tree
Index
Previous (SetBrokers)
Next (SetMarkets)


Previous (SetCompanies)
Next (SetParticipants)

Name
SetMarkets

Parent
TFMSRtStandardWorld

Visibility
PRIVATE

Source code
procedure SetMarkets ( const Value : TFMSMarketRoleList )

Parameters
Parameter | Description
Value : TFMSMarketRoleList | &nbsp;

FIMAS
Class Tree
Index
Previous (SetCompanies)
Next (SetParticipants)


Previous (SetMarkets)
Next (SetTraders)

Name
SetParticipants

Parent
TFMSRtStandardWorld

Visibility
PRIVATE

Source code
procedure SetParticipants ( const Value : TFMSStandardParticipants )

Parameters
Parameter | Description
Value : TFMSStandardParticipants | &nbsp;

FIMAS
Class Tree
Index
Previous (SetMarkets)
Next (SetTraders)


Previous (SetParticipants)
Next

Name
SetTraders

Parent
TFMSRtStandardWorld

Visibility
PRIVATE

Source code
procedure SetTraders ( const Value : TFMSTraderRoleList )

Parameters
Parameter | Description
Value : TFMSTraderRoleList | &nbsp;

FIMAS
Class Tree
Index
Previous (SetParticipants)
Next


Previous (TFMSRtStandardWorld)
Next (TFMSSharePortfolioItem)

Name
TFMSSharePortfolio

Parent
FMSStandardRoles

Class Hierarchy
TStrangeInterfacedOwnedCollection

Visibility
PUBLIC

Description
Collection of TFMSSharePortfolioItem.

Members
Fields
Field Description
FCritSectChangeShareCount (-)

Methods
Method Description
ADD (+)
ChangeShareCount (+)
Create (+)
Destroy (+)
EstimateCost (+)
EstimateShareTypeCost (+)
GetFromShareType (+)
GetItems (-)
GetLastItem (+)
GetOrCreateFromShareType (+)
GetShareTypeQuantity (+)
SetItems (-)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSRtStandardWorld)
Next (TFMSSharePortfolioItem)


Previous
Next

Name
FCritSectChangeShareCount

Parent
TFMSSharePortfolio

Visibility
PRIVATE

Source code
FCritSectChangeShareCount : TCriticalSection

FIMAS
Class Tree
Index
Previous
Next


Previous
Next

Name
Items

Parent
TFMSSharePortfolio

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSSharePortfolioItem read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (ChangeShareCount)

Name
ADD

Parent
TFMSSharePortfolio

Visibility
PUBLIC

Source code
function Add : TFMSSharePortfolioItem ; overload

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (ChangeShareCount)


Previous (ADD)
Next (Create)

Name
ChangeShareCount

Parent
TFMSSharePortfolio

Visibility
PUBLIC

Source code
procedure ChangeShareCount ( const AShareType : TFMSShareType ; const AChange : Integer )

Parameters
Parameter | Description
AShareType : TFMSShareType | &nbsp;
AChange : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (Create)


Previous (ChangeShareCount)
Next (Destroy)

Name
Create

Parent
TFMSSharePortfolio

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TPersistent ) ; overload

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (ChangeShareCount)
Next (Destroy)


Previous (Create)
Next (EstimateCost)

Name
Destroy

Parent
TFMSSharePortfolio

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (EstimateCost)


Previous (Destroy)
Next (EstimateShareTypeCost)

Name
EstimateCost

Parent
TFMSSharePortfolio

Visibility
PUBLIC

Source code
function EstimateCost : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Destroy)
Next (EstimateShareTypeCost)


Previous (EstimateCost)
Next (GetFromShareType)

Name
EstimateShareTypeCost

Parent
TFMSSharePortfolio

Visibility
PUBLIC

Source code
function EstimateShareTypeCost ( const AShareType : TFMSShareType ) : Double

Parameters
Parameter | Description
AShareType : TFMSShareType | &nbsp;

FIMAS
Class Tree
Index
Previous (EstimateCost)
Next (GetFromShareType)


Previous (EstimateShareTypeCost)
Next (GetItems)

Name
GetFromShareType

Parent
TFMSSharePortfolio

Visibility
PUBLIC

Source code
function GetFromShareType ( const AShareType : TFMSShareType ) : TFMSSharePortfolioItem

Parameters
Parameter | Description
AShareType : TFMSShareType | &nbsp;

FIMAS
Class Tree
Index
Previous (EstimateShareTypeCost)
Next (GetItems)


Previous (GetFromShareType)
Next (GetLastItem)

Name
GetItems

Parent
TFMSSharePortfolio

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSSharePortfolioItem

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetFromShareType)
Next (GetLastItem)


Previous (GetItems)
Next (GetOrCreateFromShareType)

Name
GetLastItem

Parent
TFMSSharePortfolio

Visibility
PUBLIC

Source code
function GetLastItem : TFMSSharePortfolioItem

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (GetOrCreateFromShareType)


Previous (GetLastItem)
Next (GetShareTypeQuantity)

Name
GetOrCreateFromShareType

Parent
TFMSSharePortfolio

Visibility
PUBLIC

Source code
function GetOrCreateFromShareType ( const AShareType : TFMSShareType ) : TFMSSharePortfolioItem

Parameters
Parameter | Description
AShareType : TFMSShareType | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (GetShareTypeQuantity)


Previous (GetOrCreateFromShareType)
Next (SetItems)

Name
GetShareTypeQuantity

Parent
TFMSSharePortfolio

Visibility
PUBLIC

Source code
function GetShareTypeQuantity ( const AShareType : TFMSShareType ) : Integer

Parameters
Parameter | Description
AShareType : TFMSShareType | &nbsp;

FIMAS
Class Tree
Index
Previous (GetOrCreateFromShareType)
Next (SetItems)


Previous (GetShareTypeQuantity)
Next

Name
SetItems

Parent
TFMSSharePortfolio

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSSharePortfolioItem )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSSharePortfolioItem | &nbsp;

FIMAS
Class Tree
Index
Previous (GetShareTypeQuantity)
Next


Previous (TFMSSharePortfolio)
Next (TFMSSharePortfolioItemList)

Name
TFMSSharePortfolioItem

Parent
FMSStandardRoles

Class Hierarchy
TStrangeInterfacedCollectionItem

Visibility
PUBLIC

Description
Stores information on to who belongs the given share type, and the amount of shares owned by this person.

Members
Fields
Field Description
FCount (-)
FCreationTime (-)
FCritSectChangeUsers (-)
FShareType (-)

Methods
Method Description
Assign (+)
Create (+)
Destroy (+)
EstimateCost (+)
GetParent (#)
GetRole (#)
SetShareType (-)

Properties
Property Description
Count (*)
CreationTime (*)
ShareType (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSSharePortfolio)
Next (TFMSSharePortfolioItemList)


Previous
Next (FCreationTime)

Name
FCount

Parent
TFMSSharePortfolioItem

Visibility
PRIVATE

Source code
FCount : Integer

FIMAS
Class Tree
Index
Previous
Next (FCreationTime)


Previous (FCount)
Next (FCritSectChangeUsers)

Name
FCreationTime

Parent
TFMSSharePortfolioItem

Visibility
PRIVATE

Source code
FCreationTime : TDateTime

FIMAS
Class Tree
Index
Previous (FCount)
Next (FCritSectChangeUsers)


Previous (FCreationTime)
Next (FShareType)

Name
FCritSectChangeUsers

Parent
TFMSSharePortfolioItem

Visibility
PRIVATE

Source code
FCritSectChangeUsers : TCriticalSection

FIMAS
Class Tree
Index
Previous (FCreationTime)
Next (FShareType)


Previous (FCritSectChangeUsers)
Next

Name
FShareType

Parent
TFMSSharePortfolioItem

Visibility
PRIVATE

Source code
FShareType : TFMSShareType

FIMAS
Class Tree
Index
Previous (FCritSectChangeUsers)
Next


Previous
Next (CreationTime)

Name
Count

Parent
TFMSSharePortfolioItem

Visibility
PUBLISHED

Source code
property Count : Integer read FCount write FCount

Read Access
FCount

Write Access
FCount

FIMAS
Class Tree
Index
Previous
Next (CreationTime)


Previous (Count)
Next (ShareType)

Name
CreationTime

Parent
TFMSSharePortfolioItem

Visibility
PUBLISHED

Source code
property CreationTime : TDateTime read FCreationTime stored True

Read Access
FCreationTime

FIMAS
Class Tree
Index
Previous (Count)
Next (ShareType)


Previous (CreationTime)
Next

Name
ShareType

Parent
TFMSSharePortfolioItem

Visibility
PUBLISHED

Source code
property ShareType : TFMSShareType read FShareType write SetShareType

Read Access
FShareType

Write Access
SetShareType

FIMAS
Class Tree
Index
Previous (CreationTime)
Next


Previous
Next (Create)

Name
Assign

Parent
TFMSSharePortfolioItem

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (Assign)
Next (Destroy)

Name
Create

Parent
TFMSSharePortfolioItem

Visibility
PUBLIC

Source code
constructor Create ( Collection : TCollection ) ; override

Parameters
Parameter | Description
Collection : TCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (Assign)
Next (Destroy)


Previous (Create)
Next (EstimateCost)

Name
Destroy

Parent
TFMSSharePortfolioItem

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (EstimateCost)


Previous (Destroy)
Next (GetParent)

Name
EstimateCost

Parent
TFMSSharePortfolioItem

Visibility
PUBLIC

Source code
function EstimateCost : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Destroy)
Next (GetParent)


Previous (EstimateCost)
Next (GetRole)

Name
GetParent

Parent
TFMSSharePortfolioItem

Visibility
PROTECTED

Source code
function GetParent : TFMSSharePortfolio

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (EstimateCost)
Next (GetRole)


Previous (GetParent)
Next (SetShareType)

Name
GetRole

Parent
TFMSSharePortfolioItem

Visibility
PROTECTED

Source code
function GetRole : TFMSParticipantRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetParent)
Next (SetShareType)


Previous (GetRole)
Next

Name
SetShareType

Parent
TFMSSharePortfolioItem

Visibility
PRIVATE

Source code
procedure SetShareType ( Value : TFMSShareType )

Parameters
Parameter | Description
Value : TFMSShareType | &nbsp;

FIMAS
Class Tree
Index
Previous (GetRole)
Next


Previous (TFMSSharePortfolioItem)
Next (TFMSShareTransaction)

Name
TFMSSharePortfolioItemList

Parent
FMSStandardRoles

Class Hierarchy
TStrangeInterfacedOwnedPersistent

Visibility
PUBLIC

Members
Fields
Field Description
FList (-)

Methods
Method Description
ADD (+)
Assign (+)
Clear (+)
Create (+)
Delete (+)
Destroy (+)
GetCount (-)
GetItems (-)
GetLastItem (+)
GetTotalShareCount (+)
REMOVE (+)
SetCount (-)
SetItems (-)

Properties
Property Description
Count (+)
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSSharePortfolioItem)
Next (TFMSShareTransaction)


Previous
Next

Name
FList

Parent
TFMSSharePortfolioItemList

Visibility
PRIVATE

Source code
FList : TList

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Items)

Name
Count

Parent
TFMSSharePortfolioItemList

Visibility
PUBLIC

Source code
property Count : Integer read GetCount write SetCount

Read Access
GetCount

Write Access
SetCount

FIMAS
Class Tree
Index
Previous
Next (Items)


Previous (Count)
Next

Name
Items

Parent
TFMSSharePortfolioItemList

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSSharePortfolioItem read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous (Count)
Next


Previous
Next (Assign)

Name
ADD

Parent
TFMSSharePortfolioItemList

Visibility
PUBLIC

Source code
procedure Add ( const AItem : TFMSSharePortfolioItem )

Parameters
Parameter | Description
AItem : TFMSSharePortfolioItem | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Assign)


Previous (ADD)
Next (Clear)

Name
Assign

Parent
TFMSSharePortfolioItemList

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (Clear)


Previous (Assign)
Next (Create)

Name
Clear

Parent
TFMSSharePortfolioItemList

Visibility
PUBLIC

Source code
procedure Clear

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Assign)
Next (Create)


Previous (Clear)
Next (Delete)

Name
Create

Parent
TFMSSharePortfolioItemList

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TPersistent ) ; override

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (Clear)
Next (Delete)


Previous (Create)
Next (Destroy)

Name
Delete

Parent
TFMSSharePortfolioItemList

Visibility
PUBLIC

Source code
procedure Delete ( const AIndex : Integer )

Parameters
Parameter | Description
AIndex : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (Destroy)


Previous (Delete)
Next (GetCount)

Name
Destroy

Parent
TFMSSharePortfolioItemList

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Delete)
Next (GetCount)


Previous (Destroy)
Next (GetItems)

Name
GetCount

Parent
TFMSSharePortfolioItemList

Visibility
PRIVATE

Source code
function GetCount : Integer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Destroy)
Next (GetItems)


Previous (GetCount)
Next (GetLastItem)

Name
GetItems

Parent
TFMSSharePortfolioItemList

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSSharePortfolioItem

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetCount)
Next (GetLastItem)


Previous (GetItems)
Next (GetTotalShareCount)

Name
GetLastItem

Parent
TFMSSharePortfolioItemList

Visibility
PUBLIC

Source code
function GetLastItem : TFMSSharePortfolioItem

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (GetTotalShareCount)


Previous (GetLastItem)
Next (REMOVE)

Name
GetTotalShareCount

Parent
TFMSSharePortfolioItemList

Visibility
PUBLIC

Source code
function GetTotalShareCount : Integer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (REMOVE)


Previous (GetTotalShareCount)
Next (SetCount)

Name
REMOVE

Parent
TFMSSharePortfolioItemList

Visibility
PUBLIC

Source code
procedure Remove ( const AItem : TFMSSharePortfolioItem )

Parameters
Parameter | Description
AItem : TFMSSharePortfolioItem | &nbsp;

FIMAS
Class Tree
Index
Previous (GetTotalShareCount)
Next (SetCount)


Previous (REMOVE)
Next (SetItems)

Name
SetCount

Parent
TFMSSharePortfolioItemList

Visibility
PRIVATE

Source code
procedure SetCount ( const Value : Integer )

Parameters
Parameter | Description
Value : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (REMOVE)
Next (SetItems)


Previous (SetCount)
Next

Name
SetItems

Parent
TFMSSharePortfolioItemList

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSSharePortfolioItem )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSSharePortfolioItem | &nbsp;

FIMAS
Class Tree
Index
Previous (SetCount)
Next


Previous (TFMSSharePortfolioItemList)
Next (TFMSShareTransactionBrokerRequest)

Name
TFMSShareTransaction

Parent
FMSStandardRoles

Class Hierarchy
TStrangeInterfacedCollectionItem

Visibility
PUBLIC

Description
Information about a transaction.

Members
Fields
Field Description
FBuyTransactionRequest (-)
FPrice (-)
FQuantity (-)
FSellTransactionRequest (-)
FShareType (-)
FTime (-)

Methods
Method Description
Assign (+)
Create (+)
Destroy (+)
GetParent (#)
GetRole (+)

Properties
Property Description
BuyTransactionRequest (*)
Price (*)
Quantity (*)
SellTransactionRequest (*)
ShareType (*)
Time (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSSharePortfolioItemList)
Next (TFMSShareTransactionBrokerRequest)


Previous
Next (FPrice)

Name
FBuyTransactionRequest

Parent
TFMSShareTransaction

Visibility
PRIVATE

Source code
FBuyTransactionRequest : TFMSShareTransactionRequest

FIMAS
Class Tree
Index
Previous
Next (FPrice)


Previous (FBuyTransactionRequest)
Next (FQuantity)

Name
FPrice

Parent
TFMSShareTransaction

Visibility
PRIVATE

Source code
FPrice : Double

FIMAS
Class Tree
Index
Previous (FBuyTransactionRequest)
Next (FQuantity)


Previous (FPrice)
Next (FSellTransactionRequest)

Name
FQuantity

Parent
TFMSShareTransaction

Visibility
PRIVATE

Source code
FQuantity : Integer

FIMAS
Class Tree
Index
Previous (FPrice)
Next (FSellTransactionRequest)


Previous (FQuantity)
Next (FShareType)

Name
FSellTransactionRequest

Parent
TFMSShareTransaction

Visibility
PRIVATE

Source code
FSellTransactionRequest : TFMSShareTransactionRequest

FIMAS
Class Tree
Index
Previous (FQuantity)
Next (FShareType)


Previous (FSellTransactionRequest)
Next (FTime)

Name
FShareType

Parent
TFMSShareTransaction

Visibility
PRIVATE

Source code
FShareType : TFMSShareType

FIMAS
Class Tree
Index
Previous (FSellTransactionRequest)
Next (FTime)


Previous (FShareType)
Next

Name
FTime

Parent
TFMSShareTransaction

Visibility
PRIVATE

Source code
FTime : TDateTime

FIMAS
Class Tree
Index
Previous (FShareType)
Next


Previous
Next (Price)

Name
BuyTransactionRequest

Parent
TFMSShareTransaction

Visibility
PUBLISHED

Source code
property BuyTransactionRequest : TFMSShareTransactionRequest read FBuyTransactionRequest write FBuyTransactionRequest

Read Access
FBuyTransactionRequest

Write Access
FBuyTransactionRequest

FIMAS
Class Tree
Index
Previous
Next (Price)


Previous (BuyTransactionRequest)
Next (Quantity)

Name
Price

Parent
TFMSShareTransaction

Visibility
PUBLISHED

Source code
property Price : Double read FPrice write FPrice

Read Access
FPrice

Write Access
FPrice

FIMAS
Class Tree
Index
Previous (BuyTransactionRequest)
Next (Quantity)


Previous (Price)
Next (SellTransactionRequest)

Name
Quantity

Parent
TFMSShareTransaction

Visibility
PUBLISHED

Source code
property Quantity : Integer read FQuantity write FQuantity

Read Access
FQuantity

Write Access
FQuantity

FIMAS
Class Tree
Index
Previous (Price)
Next (SellTransactionRequest)


Previous (Quantity)
Next (ShareType)

Name
SellTransactionRequest

Parent
TFMSShareTransaction

Visibility
PUBLISHED

Source code
property SellTransactionRequest : TFMSShareTransactionRequest read FSellTransactionRequest write FSellTransactionRequest

Read Access
FSellTransactionRequest

Write Access
FSellTransactionRequest

FIMAS
Class Tree
Index
Previous (Quantity)
Next (ShareType)


Previous (SellTransactionRequest)
Next (Time)

Name
ShareType

Parent
TFMSShareTransaction

Visibility
PUBLISHED

Source code
property ShareType : TFMSShareType read FShareType write FShareType

Read Access
FShareType

Write Access
FShareType

FIMAS
Class Tree
Index
Previous (SellTransactionRequest)
Next (Time)


Previous (ShareType)
Next

Name
Time

Parent
TFMSShareTransaction

Visibility
PUBLISHED

Source code
property Time : TDateTime read FTime stored True

Read Access
FTime

FIMAS
Class Tree
Index
Previous (ShareType)
Next


Previous
Next (Create)

Name
Assign

Parent
TFMSShareTransaction

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (Assign)
Next (Destroy)

Name
Create

Parent
TFMSShareTransaction

Visibility
PUBLIC

Source code
constructor Create ( Collection : TCollection ) ; override

Parameters
Parameter | Description
Collection : TCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (Assign)
Next (Destroy)


Previous (Create)
Next (GetParent)

Name
Destroy

Parent
TFMSShareTransaction

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (GetParent)


Previous (Destroy)
Next (GetRole)

Name
GetParent

Parent
TFMSShareTransaction

Visibility
PROTECTED

Source code
function GetParent : TFMSShareTransactions

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Destroy)
Next (GetRole)


Previous (GetParent)
Next

Name
GetRole

Parent
TFMSShareTransaction

Visibility
PUBLIC

Source code
function GetRole : TFMSMarketRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetParent)
Next


Previous (TFMSShareTransaction)
Next (TFMSShareTransactionBrokerRequestList)

Name
TFMSShareTransactionBrokerRequest

Parent
FMSStandardRoles

Class Hierarchy
TFMSShareTransactionRequest

Visibility
PUBLIC

Description
A broker-specific transaction request.

Members
Fields
Field Description
FTraderRequest (-)

Methods
Method Description
Assign (+)
Create (+)
Destroy (+)
DoChangeProcessedCount (#)
DoChangeStatus (#)
DoNotifyStrategy (#)
GetOwnerRole (+)
GetParent (#)
GetSender (-)
GetStrategy (-)
ReleaseResources (#)
ReserveResources (#)
SetSender (-)
SetStrategy (-)

Properties
Property Description
Sender (*)
Strategy (*)
TraderRequest (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSShareTransaction)
Next (TFMSShareTransactionBrokerRequestList)


Previous
Next

Name
FTraderRequest

Parent
TFMSShareTransactionBrokerRequest

Visibility
PRIVATE

Source code
FTraderRequest : TFMSShareTransactionTraderRequest

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Strategy)

Name
Sender

Parent
TFMSShareTransactionBrokerRequest

Visibility
PUBLISHED

Source code
property Sender : TFMSBrokerAccount read GetSender write SetSender

Read Access
GetSender

Write Access
SetSender

FIMAS
Class Tree
Index
Previous
Next (Strategy)


Previous (Sender)
Next (TraderRequest)

Name
Strategy

Parent
TFMSShareTransactionBrokerRequest

Visibility
PUBLISHED

Source code
property Strategy : TFMSBrokerStrategy read GetStrategy write SetStrategy

Read Access
GetStrategy

Write Access
SetStrategy

FIMAS
Class Tree
Index
Previous (Sender)
Next (TraderRequest)


Previous (Strategy)
Next

Name
TraderRequest

Parent
TFMSShareTransactionBrokerRequest

Visibility
PUBLISHED

Source code
property TraderRequest : TFMSShareTransactionTraderRequest read FTraderRequest write FTraderRequest

Read Access
FTraderRequest

Write Access
FTraderRequest

FIMAS
Class Tree
Index
Previous (Strategy)
Next


Previous
Next (Create)

Name
Assign

Parent
TFMSShareTransactionBrokerRequest

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (Assign)
Next (Destroy)

Name
Create

Parent
TFMSShareTransactionBrokerRequest

Visibility
PUBLIC

Source code
constructor Create ( Collection : TCollection ) ; override

Parameters
Parameter | Description
Collection : TCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (Assign)
Next (Destroy)


Previous (Create)
Next (DoChangeProcessedCount)

Name
Destroy

Parent
TFMSShareTransactionBrokerRequest

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (DoChangeProcessedCount)


Previous (Destroy)
Next (DoChangeStatus)

Name
DoChangeProcessedCount

Parent
TFMSShareTransactionBrokerRequest

Visibility
PROTECTED

Source code
procedure DoChangeProcessedCount ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Destroy)
Next (DoChangeStatus)


Previous (DoChangeProcessedCount)
Next (DoNotifyStrategy)

Name
DoChangeStatus

Parent
TFMSShareTransactionBrokerRequest

Visibility
PROTECTED

Source code
procedure DoChangeStatus ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoChangeProcessedCount)
Next (DoNotifyStrategy)


Previous (DoChangeStatus)
Next (GetOwnerRole)

Name
DoNotifyStrategy

Parent
TFMSShareTransactionBrokerRequest

Visibility
PROTECTED

Source code
procedure DoNotifyStrategy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoChangeStatus)
Next (GetOwnerRole)


Previous (DoNotifyStrategy)
Next (GetParent)

Name
GetOwnerRole

Parent
TFMSShareTransactionBrokerRequest

Visibility
PUBLIC

Source code
function GetOwnerRole : TFMSMarketRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoNotifyStrategy)
Next (GetParent)


Previous (GetOwnerRole)
Next (GetSender)

Name
GetParent

Parent
TFMSShareTransactionBrokerRequest

Visibility
PROTECTED

Source code
function GetParent : TFMSShareTransactionBrokerRequests

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetOwnerRole)
Next (GetSender)


Previous (GetParent)
Next (GetStrategy)

Name
GetSender

Parent
TFMSShareTransactionBrokerRequest

Visibility
PRIVATE

Source code
function GetSender : TFMSBrokerAccount

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetParent)
Next (GetStrategy)


Previous (GetSender)
Next (ReleaseResources)

Name
GetStrategy

Parent
TFMSShareTransactionBrokerRequest

Visibility
PRIVATE

Source code
function GetStrategy : TFMSBrokerStrategy

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetSender)
Next (ReleaseResources)


Previous (GetStrategy)
Next (ReserveResources)

Name
ReleaseResources

Parent
TFMSShareTransactionBrokerRequest

Visibility
PROTECTED

Source code
procedure ReleaseResources ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetStrategy)
Next (ReserveResources)


Previous (ReleaseResources)
Next (SetSender)

Name
ReserveResources

Parent
TFMSShareTransactionBrokerRequest

Visibility
PROTECTED

Source code
procedure ReserveResources ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (ReleaseResources)
Next (SetSender)


Previous (ReserveResources)
Next (SetStrategy)

Name
SetSender

Parent
TFMSShareTransactionBrokerRequest

Visibility
PRIVATE

Source code
procedure SetSender ( const Value : TFMSBrokerAccount )

Parameters
Parameter | Description
Value : TFMSBrokerAccount | &nbsp;

FIMAS
Class Tree
Index
Previous (ReserveResources)
Next (SetStrategy)


Previous (SetSender)
Next

Name
SetStrategy

Parent
TFMSShareTransactionBrokerRequest

Visibility
PRIVATE

Source code
procedure SetStrategy ( const Value : TFMSBrokerStrategy )

Parameters
Parameter | Description
Value : TFMSBrokerStrategy | &nbsp;

FIMAS
Class Tree
Index
Previous (SetSender)
Next


Previous (TFMSShareTransactionBrokerRequest)
Next (TFMSShareTransactionBrokerRequests)

Name
TFMSShareTransactionBrokerRequestList

Parent
FMSStandardRoles

Class Hierarchy
TFMSShareTransactionRequestList

Visibility
PUBLIC

Description
A list of TFMSShareTransactionBrokerRequest.

Members
Methods
Method Description
ADD (+)
GetItems (-)
GetLastItem (+)
ProcessTransactionRequests (+)
REMOVE (+)
SetItems (-)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSShareTransactionBrokerRequest)
Next (TFMSShareTransactionBrokerRequests)


Previous
Next

Name
Items

Parent
TFMSShareTransactionBrokerRequestList

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSShareTransactionBrokerRequest read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (GetItems)

Name
ADD

Parent
TFMSShareTransactionBrokerRequestList

Visibility
PUBLIC

Source code
procedure Add ( const AItem : TFMSShareTransactionBrokerRequest )

Parameters
Parameter | Description
AItem : TFMSShareTransactionBrokerRequest | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (GetItems)


Previous (ADD)
Next (GetLastItem)

Name
GetItems

Parent
TFMSShareTransactionBrokerRequestList

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSShareTransactionBrokerRequest

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (GetLastItem)


Previous (GetItems)
Next (ProcessTransactionRequests)

Name
GetLastItem

Parent
TFMSShareTransactionBrokerRequestList

Visibility
PUBLIC

Source code
function GetLastItem : TFMSShareTransactionBrokerRequest

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (ProcessTransactionRequests)


Previous (GetLastItem)
Next (REMOVE)

Name
ProcessTransactionRequests

Parent
TFMSShareTransactionBrokerRequestList

Visibility
PUBLIC

Source code
procedure ProcessTransactionRequests ( const ATransactionRequestEvent : TFMSShareTransactionBrokerRequestEvent )

Parameters
Parameter | Description
ATransactionRequestEvent : TFMSShareTransactionBrokerRequestEvent | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (REMOVE)


Previous (ProcessTransactionRequests)
Next (SetItems)

Name
REMOVE

Parent
TFMSShareTransactionBrokerRequestList

Visibility
PUBLIC

Source code
procedure Remove ( const AItem : TFMSShareTransactionBrokerRequest )

Parameters
Parameter | Description
AItem : TFMSShareTransactionBrokerRequest | &nbsp;

FIMAS
Class Tree
Index
Previous (ProcessTransactionRequests)
Next (SetItems)


Previous (REMOVE)
Next

Name
SetItems

Parent
TFMSShareTransactionBrokerRequestList

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSShareTransactionBrokerRequest )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSShareTransactionBrokerRequest | &nbsp;

FIMAS
Class Tree
Index
Previous (REMOVE)
Next


Previous (TFMSShareTransactionBrokerRequestList)
Next (TFMSShareTransactionCommisionPlan)

Name
TFMSShareTransactionBrokerRequests

Parent
FMSStandardRoles

Class Hierarchy
TFMSShareTransactionRequests

Visibility
PUBLIC

Description
Collection of TFMSShareTransactionBrokerRequest.

Members
Methods
Method Description
ADD (+)
Create (+)
GetItems (-)
GetLastItem (+)
GetLastItemByShareType (+)
SetItems (-)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSShareTransactionBrokerRequestList)
Next (TFMSShareTransactionCommisionPlan)


Previous
Next

Name
Items

Parent
TFMSShareTransactionBrokerRequests

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSShareTransactionBrokerRequest read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Create)

Name
ADD

Parent
TFMSShareTransactionBrokerRequests

Visibility
PUBLIC

Source code
function Add : TFMSShareTransactionBrokerRequest

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (ADD)
Next (GetItems)

Name
Create

Parent
TFMSShareTransactionBrokerRequests

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TPersistent )

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (GetItems)


Previous (Create)
Next (GetLastItem)

Name
GetItems

Parent
TFMSShareTransactionBrokerRequests

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSShareTransactionBrokerRequest

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (GetLastItem)


Previous (GetItems)
Next (GetLastItemByShareType)

Name
GetLastItem

Parent
TFMSShareTransactionBrokerRequests

Visibility
PUBLIC

Source code
function GetLastItem : TFMSShareTransactionBrokerRequest

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (GetLastItemByShareType)


Previous (GetLastItem)
Next (SetItems)

Name
GetLastItemByShareType

Parent
TFMSShareTransactionBrokerRequests

Visibility
PUBLIC

Source code
function GetLastItemByShareType ( const AShareType : TFMSShareType ) : TFMSShareTransactionBrokerRequest

Parameters
Parameter | Description
AShareType : TFMSShareType | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (SetItems)


Previous (GetLastItemByShareType)
Next

Name
SetItems

Parent
TFMSShareTransactionBrokerRequests

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSShareTransactionBrokerRequest )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSShareTransactionBrokerRequest | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItemByShareType)
Next


Previous (TFMSShareTransactionBrokerRequests)
Next (TFMSShareTransactionCommisionPlans)

Name
TFMSShareTransactionCommisionPlan

Parent
FMSStandardRoles

Class Hierarchy
TFMSUpdateAble

Visibility
PUBLIC

Description
An abstract class that describes how brokers can charge trades for transaction requests. Also applies to markets charging brokers.

Members
Fields
Field Description
FMinMoneyOnAccount (-)

Methods
Method Description
Assign (+)
FriendlyDescription (+)
FriendlyName (+)
GetCommisionPerDeal (+)
GetCommisionPerDeal (+)
GetCommisionPeriodic (+)
GetParent (#)
GetStyle (#)
PlanCanBeSelected (#)

Properties
Property Description
MinMoneyOnAccount (*)
Style (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSShareTransactionBrokerRequests)
Next (TFMSShareTransactionCommisionPlans)


Previous
Next

Name
FMinMoneyOnAccount

Parent
TFMSShareTransactionCommisionPlan

Visibility
PRIVATE

Source code
FMinMoneyOnAccount : Double

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Style)

Name
MinMoneyOnAccount

Parent
TFMSShareTransactionCommisionPlan

Visibility
PUBLISHED

Source code
property MinMoneyOnAccount : Double read FMinMoneyOnAccount write FMinMoneyOnAccount

Read Access
FMinMoneyOnAccount

Write Access
FMinMoneyOnAccount

FIMAS
Class Tree
Index
Previous
Next (Style)


Previous (MinMoneyOnAccount)
Next

Name
Style

Parent
TFMSShareTransactionCommisionPlan

Visibility
PUBLISHED

Source code
property Style : TFMSCommisionPlanStyles read GetStyle

Read Access
GetStyle

FIMAS
Class Tree
Index
Previous (MinMoneyOnAccount)
Next


Previous
Next (FriendlyDescription)

Name
Assign

Parent
TFMSShareTransactionCommisionPlan

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (FriendlyDescription)


Previous (Assign)
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSShareTransactionCommisionPlan

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Assign)
Next (FriendlyName)


Previous (FriendlyDescription)
Next (GetCommisionPerDeal)

Name
FriendlyName

Parent
TFMSShareTransactionCommisionPlan

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next (GetCommisionPerDeal)


Previous (FriendlyName)
Next (GetCommisionPerDeal)

Name
GetCommisionPerDeal

Parent
TFMSShareTransactionCommisionPlan

Visibility
PUBLIC

Source code
function GetCommisionPerDeal ( const AAmount : Double ) : Double ; overload ; virtual

Parameters
Parameter | Description
AAmount : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (FriendlyName)
Next (GetCommisionPerDeal)


Previous (GetCommisionPerDeal)
Next (GetCommisionPerDeal)

Name
GetCommisionPerDeal

Parent
TFMSShareTransactionCommisionPlan

Visibility
PUBLIC

Source code
function GetCommisionPerDeal ( const APrice : Double ; const AQuantity : Integer ) : Double ; overload ; virtual

Parameters
Parameter | Description
APrice : DOUBLE | &nbsp;
AQuantity : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetCommisionPerDeal)
Next (GetCommisionPerDeal)


Previous (GetCommisionPerDeal)
Next (GetParent)

Name
GetCommisionPeriodic

Parent
TFMSShareTransactionCommisionPlan

Visibility
PUBLIC

Source code
function GetCommisionPeriodic ( const AAccount : TFMSMoneyAccount ) : Double ; virtual

Parameters
Parameter | Description
AAccount : TFMSMoneyAccount | &nbsp;

FIMAS
Class Tree
Index
Previous (GetCommisionPerDeal)
Next (GetParent)


Previous (GetCommisionPeriodic)
Next (GetStyle)

Name
GetParent

Parent
TFMSShareTransactionCommisionPlan

Visibility
PROTECTED

Source code
function GetParent : TFMSShareTransactionCommisionPlans

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCommisionPeriodic)
Next (GetStyle)


Previous (GetParent)
Next (PlanCanBeSelected)

Name
GetStyle

Parent
TFMSShareTransactionCommisionPlan

Visibility
PROTECTED

Source code
class function GetStyle : TFMSCommisionPlanStyles

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetParent)
Next (PlanCanBeSelected)


Previous (GetStyle)
Next

Name
PlanCanBeSelected

Parent
TFMSShareTransactionCommisionPlan

Visibility
PROTECTED

Source code
function PlanCanBeSelected ( const AAccount : TFMSMoneyAccount ) : Boolean

Parameters
Parameter | Description
AAccount : TFMSMoneyAccount | &nbsp;

FIMAS
Class Tree
Index
Previous (GetStyle)
Next


Previous (TFMSShareTransactionCommisionPlan)
Next (TFMSShareTransactionList)

Name
TFMSShareTransactionCommisionPlans

Parent
FMSStandardRoles

Class Hierarchy
TFMSUpdateAbles

Visibility
PUBLIC

Description
Collection of TFMSShareTransactionCommisionPlan.

Members
Methods
Method Description
ADD (+)
AddByID (+)
CanAdd (+)
GetItems (-)
ItemsClass (+)
SetItems (-)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSShareTransactionCommisionPlan)
Next (TFMSShareTransactionList)


Previous
Next

Name
Items

Parent
TFMSShareTransactionCommisionPlans

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSShareTransactionCommisionPlan read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (AddByID)

Name
ADD

Parent
TFMSShareTransactionCommisionPlans

Visibility
PUBLIC

Source code
function Add ( AClass : TFMSShareTransactionCommisionPlanClass ) : TFMSShareTransactionCommisionPlan

Parameters
Parameter | Description
AClass : TFMSShareTransactionCommisionPlanClass | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (AddByID)


Previous (ADD)
Next (CanAdd)

Name
AddByID

Parent
TFMSShareTransactionCommisionPlans

Visibility
PUBLIC

Source code
function AddByID ( AClass : TStrangeClassID ) : TFMSShareTransactionCommisionPlan

Parameters
Parameter | Description
AClass : TStrangeClassID | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (CanAdd)


Previous (AddByID)
Next (GetItems)

Name
CanAdd

Parent
TFMSShareTransactionCommisionPlans

Visibility
PUBLIC

Source code
function CanAdd ( AClass : TXCollectionItemClass ) : Boolean ; override

Parameters
Parameter | Description
AClass : TXCollectionItemClass | &nbsp;

FIMAS
Class Tree
Index
Previous (AddByID)
Next (GetItems)


Previous (CanAdd)
Next (ItemsClass)

Name
GetItems

Parent
TFMSShareTransactionCommisionPlans

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSShareTransactionCommisionPlan

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (CanAdd)
Next (ItemsClass)


Previous (GetItems)
Next (SetItems)

Name
ItemsClass

Parent
TFMSShareTransactionCommisionPlans

Visibility
PUBLIC

Source code
class function ItemsClass : TXCollectionItemClass ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (SetItems)


Previous (ItemsClass)
Next

Name
SetItems

Parent
TFMSShareTransactionCommisionPlans

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSShareTransactionCommisionPlan )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSShareTransactionCommisionPlan | &nbsp;

FIMAS
Class Tree
Index
Previous (ItemsClass)
Next


Previous (TFMSShareTransactionCommisionPlans)
Next (TFMSShareTransactionRequest)

Name
TFMSShareTransactionList

Parent
FMSStandardRoles

Class Hierarchy
TStrangeInterfacedOwnedPersistent

Visibility
PUBLIC

Members
Fields
Field Description
FList (-)

Methods
Method Description
ADD (+)
AddFromList (+)
Assign (+)
Clear (+)
Create (+)
Delete (+)
Destroy (+)
GetCount (-)
GetItems (-)
GetLastItem (+)
GetNumberOfSoldShares (+)
GetTradeVolume (+)
REMOVE (+)
SetCount (-)
SetItems (-)

Properties
Property Description
Count (+)
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSShareTransactionCommisionPlans)
Next (TFMSShareTransactionRequest)


Previous
Next

Name
FList

Parent
TFMSShareTransactionList

Visibility
PRIVATE

Source code
FList : TList

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Items)

Name
Count

Parent
TFMSShareTransactionList

Visibility
PUBLIC

Source code
property Count : Integer read GetCount write SetCount

Read Access
GetCount

Write Access
SetCount

FIMAS
Class Tree
Index
Previous
Next (Items)


Previous (Count)
Next

Name
Items

Parent
TFMSShareTransactionList

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSShareTransaction read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous (Count)
Next


Previous
Next (AddFromList)

Name
ADD

Parent
TFMSShareTransactionList

Visibility
PUBLIC

Source code
procedure Add ( const AItem : TFMSShareTransaction )

Parameters
Parameter | Description
AItem : TFMSShareTransaction | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (AddFromList)


Previous (ADD)
Next (Assign)

Name
AddFromList

Parent
TFMSShareTransactionList

Visibility
PUBLIC

Source code
procedure AddFromList ( const AList : TFMSShareTransactionList )

Parameters
Parameter | Description
AList : TFMSShareTransactionList | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (Assign)


Previous (AddFromList)
Next (Clear)

Name
Assign

Parent
TFMSShareTransactionList

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (AddFromList)
Next (Clear)


Previous (Assign)
Next (Create)

Name
Clear

Parent
TFMSShareTransactionList

Visibility
PUBLIC

Source code
procedure Clear

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Assign)
Next (Create)


Previous (Clear)
Next (Delete)

Name
Create

Parent
TFMSShareTransactionList

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TPersistent ) ; override

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (Clear)
Next (Delete)


Previous (Create)
Next (Destroy)

Name
Delete

Parent
TFMSShareTransactionList

Visibility
PUBLIC

Source code
procedure Delete ( const AIndex : Integer )

Parameters
Parameter | Description
AIndex : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (Destroy)


Previous (Delete)
Next (GetCount)

Name
Destroy

Parent
TFMSShareTransactionList

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Delete)
Next (GetCount)


Previous (Destroy)
Next (GetItems)

Name
GetCount

Parent
TFMSShareTransactionList

Visibility
PRIVATE

Source code
function GetCount : Integer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Destroy)
Next (GetItems)


Previous (GetCount)
Next (GetLastItem)

Name
GetItems

Parent
TFMSShareTransactionList

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSShareTransaction

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetCount)
Next (GetLastItem)


Previous (GetItems)
Next (GetNumberOfSoldShares)

Name
GetLastItem

Parent
TFMSShareTransactionList

Visibility
PUBLIC

Source code
function GetLastItem : TFMSShareTransaction

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (GetNumberOfSoldShares)


Previous (GetLastItem)
Next (GetTradeVolume)

Name
GetNumberOfSoldShares

Parent
TFMSShareTransactionList

Visibility
PUBLIC

Source code
function GetNumberOfSoldShares : Integer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (GetTradeVolume)


Previous (GetNumberOfSoldShares)
Next (REMOVE)

Name
GetTradeVolume

Parent
TFMSShareTransactionList

Visibility
PUBLIC

Source code
function GetTradeVolume : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetNumberOfSoldShares)
Next (REMOVE)


Previous (GetTradeVolume)
Next (SetCount)

Name
REMOVE

Parent
TFMSShareTransactionList

Visibility
PUBLIC

Source code
procedure Remove ( const AItem : TFMSShareTransaction )

Parameters
Parameter | Description
AItem : TFMSShareTransaction | &nbsp;

FIMAS
Class Tree
Index
Previous (GetTradeVolume)
Next (SetCount)


Previous (REMOVE)
Next (SetItems)

Name
SetCount

Parent
TFMSShareTransactionList

Visibility
PRIVATE

Source code
procedure SetCount ( const Value : Integer )

Parameters
Parameter | Description
Value : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (REMOVE)
Next (SetItems)


Previous (SetCount)
Next

Name
SetItems

Parent
TFMSShareTransactionList

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSShareTransaction )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSShareTransaction | &nbsp;

FIMAS
Class Tree
Index
Previous (SetCount)
Next


Previous (TFMSShareTransactionList)
Next (TFMSShareTransactionRequestList)

Name
TFMSShareTransactionRequest

Parent
FMSStandardRoles

Class Hierarchy
TStrangeInterfacedCollectionItem

Visibility
PUBLIC

Description
A request to commit a transaction.

Members
Fields
Field Description
FActualComission (-)
FActualRequestCost (-)
FClientNotifyStatus (-)
FCloseTime (-)
FCreationTime (-)
FErrorID (-)
FEstimatedComission (-)
FEstimatedRequestCost (-)
FLimitPrice (-)
FOptions (-)
FProcessedCount (-)
FQuantity (-)
FRequestType (-)
FSender (-)
FShareTypeAccount (-)
FStatus (-)
FStopPrice (-)
FStrategy (-)
FTag (-)
FTagDescription (-)
FTransactions (-)
FValidUntil (-)

Methods
Method | Description
Assign (+)
CalculateEstimatedRequestCost (#) | Need to calculate estimated (maximum) amount of money that this request can use up.
Create (+)
Destroy (+)
DoChangeProcessedCount (#)
DoChangeStatus (#)
DoNotifyStrategy (#)
GetMarketPrice (+)
GetOwnerRole (+)
GetParent (#)
GetShareType (-)
GetUnProcessedCount (-)
IsAPureMarketOrder (+)
ReleaseResources (#)
ReserveResources (#)
SetLimitPrice (-)
SetProcessedCount (-)
SetSender (-)
SetShareTypeAccount (-)
SetStatus (-)
SetStopPrice (-)
SetStrategy (-)
Validate (#)

Properties
Property | Description
ActualComission (*)
ActualRequestCost (*)
ClientNotifyStatus (*)
CloseTime (*)
CreationTime (*)
ErrorID (*)
EstimatedComission (*)
EstimatedRequestCost (*)
LimitPrice (*)
Options (*)
ProcessedCount (*) | The amount of shares that were bought / sold already.
Quantity (*)
RequestType (*)
Sender (*)
ShareType (*)
ShareTypeAccount (*)
Status (*)
StopPrice (*)
Strategy (*)
Tag (*) | User-defined field.
TagDescription (*) | User-defined field.
Transactions (*) | Warning! Nil by default!
UnProcessedCount (*)
ValidUntil (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSShareTransactionList)
Next (TFMSShareTransactionRequestList)


Previous
Next (FActualRequestCost)

Name
FActualComission

Parent
TFMSShareTransactionRequest

Visibility
PRIVATE

Source code
FActualComission : Double

FIMAS
Class Tree
Index
Previous
Next (FActualRequestCost)


Previous (FActualComission)
Next (FClientNotifyStatus)

Name
FActualRequestCost

Parent
TFMSShareTransactionRequest

Visibility
PRIVATE

Source code
FActualRequestCost : Double

FIMAS
Class Tree
Index
Previous (FActualComission)
Next (FClientNotifyStatus)


Previous (FActualRequestCost)
Next (FCloseTime)

Name
FClientNotifyStatus

Parent
TFMSShareTransactionRequest

Visibility
PRIVATE

Source code
FClientNotifyStatus : TFMSShareTransactionRequestClientNotifyStatus

FIMAS
Class Tree
Index
Previous (FActualRequestCost)
Next (FCloseTime)


Previous (FClientNotifyStatus)
Next (FCreationTime)

Name
FCloseTime

Parent
TFMSShareTransactionRequest

Visibility
PRIVATE

Source code
FCloseTime : TDateTime

FIMAS
Class Tree
Index
Previous (FClientNotifyStatus)
Next (FCreationTime)


Previous (FCloseTime)
Next (FErrorID)

Name
FCreationTime

Parent
TFMSShareTransactionRequest

Visibility
PRIVATE

Source code
FCreationTime : TDateTime

FIMAS
Class Tree
Index
Previous (FCloseTime)
Next (FErrorID)


Previous (FCreationTime)
Next (FEstimatedComission)

Name
FErrorID

Parent
TFMSShareTransactionRequest

Visibility
PRIVATE

Source code
FErrorID : TFMSTransactionRequestErrorID

FIMAS
Class Tree
Index
Previous (FCreationTime)
Next (FEstimatedComission)


Previous (FErrorID)
Next (FEstimatedRequestCost)

Name
FEstimatedComission

Parent
TFMSShareTransactionRequest

Visibility
PRIVATE

Source code
FEstimatedComission : Double

FIMAS
Class Tree
Index
Previous (FErrorID)
Next (FEstimatedRequestCost)


Previous (FEstimatedComission)
Next (FLimitPrice)

Name
FEstimatedRequestCost

Parent
TFMSShareTransactionRequest

Visibility
PRIVATE

Source code
FEstimatedRequestCost : Double

FIMAS
Class Tree
Index
Previous (FEstimatedComission)
Next (FLimitPrice)


Previous (FEstimatedRequestCost)
Next (FOptions)

Name
FLimitPrice

Parent
TFMSShareTransactionRequest

Visibility
PRIVATE

Source code
FLimitPrice : Double

FIMAS
Class Tree
Index
Previous (FEstimatedRequestCost)
Next (FOptions)


Previous (FLimitPrice)
Next (FProcessedCount)

Name
FOptions

Parent
TFMSShareTransactionRequest

Visibility
PRIVATE

Source code
FOptions : TFMSShareTransactionRequestOptions

FIMAS
Class Tree
Index
Previous (FLimitPrice)
Next (FProcessedCount)


Previous (FOptions)
Next (FQuantity)

Name
FProcessedCount

Parent
TFMSShareTransactionRequest

Visibility
PRIVATE

Source code
FProcessedCount : Integer

FIMAS
Class Tree
Index
Previous (FOptions)
Next (FQuantity)


Previous (FProcessedCount)
Next (FRequestType)

Name
FQuantity

Parent
TFMSShareTransactionRequest

Visibility
PRIVATE

Source code
FQuantity : Integer

FIMAS
Class Tree
Index
Previous (FProcessedCount)
Next (FRequestType)


Previous (FQuantity)
Next (FSender)

Name
FRequestType

Parent
TFMSShareTransactionRequest

Visibility
PRIVATE

Source code
FRequestType : TFMSShareTransactionRequestType

FIMAS
Class Tree
Index
Previous (FQuantity)
Next (FSender)


Previous (FRequestType)
Next (FShareTypeAccount)

Name
FSender

Parent
TFMSShareTransactionRequest

Visibility
PRIVATE

Source code
FSender : TFMSTransactionRequestAccount

FIMAS
Class Tree
Index
Previous (FRequestType)
Next (FShareTypeAccount)


Previous (FSender)
Next (FStatus)

Name
FShareTypeAccount

Parent
TFMSShareTransactionRequest

Visibility
PRIVATE

Source code
FShareTypeAccount : TFMSShareTypeAccount

FIMAS
Class Tree
Index
Previous (FSender)
Next (FStatus)


Previous (FShareTypeAccount)
Next (FStopPrice)

Name
FStatus

Parent
TFMSShareTransactionRequest

Visibility
PRIVATE

Source code
FStatus : TFMSShareTransactionRequestStatus

FIMAS
Class Tree
Index
Previous (FShareTypeAccount)
Next (FStopPrice)


Previous (FStatus)
Next (FStrategy)

Name
FStopPrice

Parent
TFMSShareTransactionRequest

Visibility
PRIVATE

Source code
FStopPrice : Double

FIMAS
Class Tree
Index
Previous (FStatus)
Next (FStrategy)


Previous (FStopPrice)
Next (FTag)

Name
FStrategy

Parent
TFMSShareTransactionRequest

Visibility
PRIVATE

Source code
FStrategy : TFMSStrategy

FIMAS
Class Tree
Index
Previous (FStopPrice)
Next (FTag)


Previous (FStrategy)
Next (FTagDescription)

Name
FTag

Parent
TFMSShareTransactionRequest

Visibility
PRIVATE

Source code
FTag : Variant

FIMAS
Class Tree
Index
Previous (FStrategy)
Next (FTagDescription)


Previous (FTag)
Next (FTransactions)

Name
FTagDescription

Parent
TFMSShareTransactionRequest

Visibility
PRIVATE

Source code
FTagDescription : string

FIMAS
Class Tree
Index
Previous (FTag)
Next (FTransactions)


Previous (FTagDescription)
Next (FValidUntil)

Name
FTransactions

Parent
TFMSShareTransactionRequest

Visibility
PRIVATE

Source code
FTransactions : TFMSShareTransactionList

FIMAS
Class Tree
Index
Previous (FTagDescription)
Next (FValidUntil)


Previous (FTransactions)
Next

Name
FValidUntil

Parent
TFMSShareTransactionRequest

Visibility
PRIVATE

Source code
FValidUntil : TDateTime

FIMAS
Class Tree
Index
Previous (FTransactions)
Next


Previous
Next (ActualRequestCost)

Name
ActualComission

Parent
TFMSShareTransactionRequest

Visibility
PUBLISHED

Source code
property ActualComission : Double read FActualComission stored True

Read Access
FActualComission

FIMAS
Class Tree
Index
Previous
Next (ActualRequestCost)


Previous (ActualComission)
Next (ClientNotifyStatus)

Name
ActualRequestCost

Parent
TFMSShareTransactionRequest

Visibility
PUBLISHED

Source code
property ActualRequestCost : Double read FActualRequestCost stored True

Read Access
FActualRequestCost

FIMAS
Class Tree
Index
Previous (ActualComission)
Next (ClientNotifyStatus)


Previous (ActualRequestCost)
Next (CloseTime)

Name
ClientNotifyStatus

Parent
TFMSShareTransactionRequest

Visibility
PUBLISHED

Source code
property ClientNotifyStatus : TFMSShareTransactionRequestClientNotifyStatus read FClientNotifyStatus write FClientNotifyStatus

Read Access
FClientNotifyStatus

Write Access
FClientNotifyStatus

FIMAS
Class Tree
Index
Previous (ActualRequestCost)
Next (CloseTime)


Previous (ClientNotifyStatus)
Next (CreationTime)

Name
CloseTime

Parent
TFMSShareTransactionRequest

Visibility
PUBLISHED

Source code
property CloseTime : TDateTime read FCloseTime stored True

Read Access
FCloseTime

FIMAS
Class Tree
Index
Previous (ClientNotifyStatus)
Next (CreationTime)


Previous (CloseTime)
Next (ErrorID)

Name
CreationTime

Parent
TFMSShareTransactionRequest

Visibility
PUBLISHED

Source code
property CreationTime : TDateTime read FCreationTime stored True

Read Access
FCreationTime

FIMAS
Class Tree
Index
Previous (CloseTime)
Next (ErrorID)


Previous (CreationTime)
Next (EstimatedComission)

Name
ErrorID

Parent
TFMSShareTransactionRequest

Visibility
PUBLISHED

Source code
property ErrorID : TFMSTransactionRequestErrorID read FErrorID write FErrorID

Read Access
FErrorID

Write Access
FErrorID

FIMAS
Class Tree
Index
Previous (CreationTime)
Next (EstimatedComission)


Previous (ErrorID)
Next (EstimatedRequestCost)

Name
EstimatedComission

Parent
TFMSShareTransactionRequest

Visibility
PUBLISHED

Source code
property EstimatedComission : Double read FEstimatedComission stored True

Read Access
FEstimatedComission

FIMAS
Class Tree
Index
Previous (ErrorID)
Next (EstimatedRequestCost)


Previous (EstimatedComission)
Next (LimitPrice)

Name
EstimatedRequestCost

Parent
TFMSShareTransactionRequest

Visibility
PUBLISHED

Source code
property EstimatedRequestCost : Double read FEstimatedRequestCost stored True

Read Access
FEstimatedRequestCost

FIMAS
Class Tree
Index
Previous (EstimatedComission)
Next (LimitPrice)


Previous (EstimatedRequestCost)
Next (Options)

Name
LimitPrice

Parent
TFMSShareTransactionRequest

Visibility
PUBLISHED

Source code
property LimitPrice : Double read FLimitPrice write SetLimitPrice

Read Access
FLimitPrice

Write Access
SetLimitPrice

FIMAS
Class Tree
Index
Previous (EstimatedRequestCost)
Next (Options)


Previous (LimitPrice)
Next (ProcessedCount)

Name
Options

Parent
TFMSShareTransactionRequest

Visibility
PUBLISHED

Source code
property Options : TFMSShareTransactionRequestOptions read FOptions write FOptions

Read Access
FOptions

Write Access
FOptions

FIMAS
Class Tree
Index
Previous (LimitPrice)
Next (ProcessedCount)


Previous (Options)
Next (Quantity)

Name
ProcessedCount

Parent
TFMSShareTransactionRequest

Visibility
PUBLISHED

Description
The amount of shares that were bought / sold already.

Source code
property ProcessedCount : Integer read FProcessedCount stored True

Read Access
FProcessedCount

FIMAS
Class Tree
Index
Previous (Options)
Next (Quantity)


Previous (ProcessedCount)
Next (RequestType)

Name
Quantity

Parent
TFMSShareTransactionRequest

Visibility
PUBLISHED

Source code
property Quantity : Integer read FQuantity write FQuantity

Read Access
FQuantity

Write Access
FQuantity

FIMAS
Class Tree
Index
Previous (ProcessedCount)
Next (RequestType)


Previous (Quantity)
Next (Sender)

Name
RequestType

Parent
TFMSShareTransactionRequest

Visibility
PUBLISHED

Source code
property RequestType : TFMSShareTransactionRequestType read FRequestType write FRequestType

Read Access
FRequestType

Write Access
FRequestType

FIMAS
Class Tree
Index
Previous (Quantity)
Next (Sender)


Previous (RequestType)
Next (ShareType)

Name
Sender

Parent
TFMSShareTransactionRequest

Visibility
PUBLISHED

Source code
property Sender : TFMSTransactionRequestAccount read FSender write SetSender

Read Access
FSender

Write Access
SetSender

FIMAS
Class Tree
Index
Previous (RequestType)
Next (ShareType)


Previous (Sender)
Next (ShareTypeAccount)

Name
ShareType

Parent
TFMSShareTransactionRequest

Visibility
PUBLISHED

Source code
property ShareType : TFMSShareType read GetShareType

Read Access
GetShareType

FIMAS
Class Tree
Index
Previous (Sender)
Next (ShareTypeAccount)


Previous (ShareType)
Next (Status)

Name
ShareTypeAccount

Parent
TFMSShareTransactionRequest

Visibility
PUBLISHED

Source code
property ShareTypeAccount : TFMSShareTypeAccount read FShareTypeAccount write SetShareTypeAccount

Read Access
FShareTypeAccount

Write Access
SetShareTypeAccount

FIMAS
Class Tree
Index
Previous (ShareType)
Next (Status)


Previous (ShareTypeAccount)
Next (StopPrice)

Name
Status

Parent
TFMSShareTransactionRequest

Visibility
PUBLISHED

Source code
property Status : TFMSShareTransactionRequestStatus read FStatus write SetStatus

Read Access
FStatus

Write Access
SetStatus

FIMAS
Class Tree
Index
Previous (ShareTypeAccount)
Next (StopPrice)


Previous (Status)
Next (Strategy)

Name
StopPrice

Parent
TFMSShareTransactionRequest

Visibility
PUBLISHED

Source code
property StopPrice : Double read FStopPrice write SetStopPrice

Read Access
FStopPrice

Write Access
SetStopPrice

FIMAS
Class Tree
Index
Previous (Status)
Next (Strategy)


Previous (StopPrice)
Next (Tag)

Name
Strategy

Parent
TFMSShareTransactionRequest

Visibility
PUBLISHED

Source code
property Strategy : TFMSStrategy read FStrategy write SetStrategy

Read Access
FStrategy

Write Access
SetStrategy

FIMAS
Class Tree
Index
Previous (StopPrice)
Next (Tag)


Previous (Strategy)
Next (TagDescription)

Name
Tag

Parent
TFMSShareTransactionRequest

Visibility
PUBLISHED

Description
User-defined field.

Source code
property Tag : Variant read FTag write FTag

Read Access
FTag

Write Access
FTag

FIMAS
Class Tree
Index
Previous (Strategy)
Next (TagDescription)


Previous (Tag)
Next (Transactions)

Name
TagDescription

Parent
TFMSShareTransactionRequest

Visibility
PUBLISHED

Description
User-defined field.

Source code
property TagDescription : string read FTagDescription write FTagDescription

Read Access
FTagDescription

Write Access
FTagDescription

FIMAS
Class Tree
Index
Previous (Tag)
Next (Transactions)


Previous (TagDescription)
Next (UnProcessedCount)

Name
Transactions

Parent
TFMSShareTransactionRequest

Visibility
PUBLISHED

Description
Warning! Nil by default!

Source code
property Transactions : TFMSShareTransactionList read FTransactions stored True

Read Access
FTransactions

FIMAS
Class Tree
Index
Previous (TagDescription)
Next (UnProcessedCount)


Previous (Transactions)
Next (ValidUntil)

Name
UnProcessedCount

Parent
TFMSShareTransactionRequest

Visibility
PUBLISHED

Source code
property UnProcessedCount : Integer read GetUnProcessedCount

Read Access
GetUnProcessedCount

FIMAS
Class Tree
Index
Previous (Transactions)
Next (ValidUntil)


Previous (UnProcessedCount)
Next

Name
ValidUntil

Parent
TFMSShareTransactionRequest

Visibility
PUBLISHED

Source code
property ValidUntil : TDateTime read FValidUntil write FValidUntil

Read Access
FValidUntil

Write Access
FValidUntil

FIMAS
Class Tree
Index
Previous (UnProcessedCount)
Next


Previous
Next (CalculateEstimatedRequestCost)

Name
Assign

Parent
TFMSShareTransactionRequest

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (CalculateEstimatedRequestCost)


Previous (Assign)
Next (Create)

Name
CalculateEstimatedRequestCost

Parent
TFMSShareTransactionRequest

Visibility
PROTECTED

Description
Need to calculate estimated (maximum) amount of money that this request can use up.
Need to calculate estimated (maximum) amount of money that this request can use up.

Source code
procedure CalculateEstimatedRequestCost

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Assign)
Next (Create)


Previous (CalculateEstimatedRequestCost)
Next (Destroy)

Name
Create

Parent
TFMSShareTransactionRequest

Visibility
PUBLIC

Source code
constructor Create ( Collection : TCollection ) ; override

Parameters
Parameter | Description
Collection : TCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (CalculateEstimatedRequestCost)
Next (Destroy)


Previous (Create)
Next (DoChangeProcessedCount)

Name
Destroy

Parent
TFMSShareTransactionRequest

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (DoChangeProcessedCount)


Previous (Destroy)
Next (DoChangeStatus)

Name
DoChangeProcessedCount

Parent
TFMSShareTransactionRequest

Visibility
PROTECTED

Source code
procedure DoChangeProcessedCount ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Destroy)
Next (DoChangeStatus)


Previous (DoChangeProcessedCount)
Next (DoNotifyStrategy)

Name
DoChangeStatus

Parent
TFMSShareTransactionRequest

Visibility
PROTECTED

Source code
procedure DoChangeStatus ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoChangeProcessedCount)
Next (DoNotifyStrategy)


Previous (DoChangeStatus)
Next (GetMarketPrice)

Name
DoNotifyStrategy

Parent
TFMSShareTransactionRequest

Visibility
PROTECTED

Source code
procedure DoNotifyStrategy ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoChangeStatus)
Next (GetMarketPrice)


Previous (DoNotifyStrategy)
Next (GetOwnerRole)

Name
GetMarketPrice

Parent
TFMSShareTransactionRequest

Visibility
PUBLIC

Source code
function GetMarketPrice ( AGetFromCache : Boolean = True ) : Double

Parameters
Parameter | Description
AGetFromCache : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (DoNotifyStrategy)
Next (GetOwnerRole)


Previous (GetMarketPrice)
Next (GetParent)

Name
GetOwnerRole

Parent
TFMSShareTransactionRequest

Visibility
PUBLIC

Source code
function GetOwnerRole : TFMSParticipantRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetMarketPrice)
Next (GetParent)


Previous (GetOwnerRole)
Next (GetShareType)

Name
GetParent

Parent
TFMSShareTransactionRequest

Visibility
PROTECTED

Source code
function GetParent : TFMSShareTransactionRequests

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetOwnerRole)
Next (GetShareType)


Previous (GetParent)
Next (GetUnProcessedCount)

Name
GetShareType

Parent
TFMSShareTransactionRequest

Visibility
PRIVATE

Source code
function GetShareType : TFMSShareType

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetParent)
Next (GetUnProcessedCount)


Previous (GetShareType)
Next (IsAPureMarketOrder)

Name
GetUnProcessedCount

Parent
TFMSShareTransactionRequest

Visibility
PRIVATE

Source code
function GetUnProcessedCount : Integer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetShareType)
Next (IsAPureMarketOrder)


Previous (GetUnProcessedCount)
Next (ReleaseResources)

Name
IsAPureMarketOrder

Parent
TFMSShareTransactionRequest

Visibility
PUBLIC

Source code
function IsAPureMarketOrder : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetUnProcessedCount)
Next (ReleaseResources)


Previous (IsAPureMarketOrder)
Next (ReserveResources)

Name
ReleaseResources

Parent
TFMSShareTransactionRequest

Visibility
PROTECTED

Source code
procedure ReleaseResources ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (IsAPureMarketOrder)
Next (ReserveResources)


Previous (ReleaseResources)
Next (SetLimitPrice)

Name
ReserveResources

Parent
TFMSShareTransactionRequest

Visibility
PROTECTED

Source code
procedure ReserveResources ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (ReleaseResources)
Next (SetLimitPrice)


Previous (ReserveResources)
Next (SetProcessedCount)

Name
SetLimitPrice

Parent
TFMSShareTransactionRequest

Visibility
PRIVATE

Source code
procedure SetLimitPrice ( const Value : Double )

Parameters
Parameter | Description
Value : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (ReserveResources)
Next (SetProcessedCount)


Previous (SetLimitPrice)
Next (SetSender)

Name
SetProcessedCount

Parent
TFMSShareTransactionRequest

Visibility
PRIVATE

Source code
procedure SetProcessedCount ( const Value : Integer )

Parameters
Parameter | Description
Value : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (SetLimitPrice)
Next (SetSender)


Previous (SetProcessedCount)
Next (SetShareTypeAccount)

Name
SetSender

Parent
TFMSShareTransactionRequest

Visibility
PRIVATE

Source code
procedure SetSender ( const Value : TFMSTransactionRequestAccount )

Parameters
Parameter | Description
Value : TFMSTransactionRequestAccount | &nbsp;

FIMAS
Class Tree
Index
Previous (SetProcessedCount)
Next (SetShareTypeAccount)


Previous (SetSender)
Next (SetStatus)

Name
SetShareTypeAccount

Parent
TFMSShareTransactionRequest

Visibility
PRIVATE

Source code
procedure SetShareTypeAccount ( const Value : TFMSShareTypeAccount )

Parameters
Parameter | Description
Value : TFMSShareTypeAccount | &nbsp;

FIMAS
Class Tree
Index
Previous (SetSender)
Next (SetStatus)


Previous (SetShareTypeAccount)
Next (SetStopPrice)

Name
SetStatus

Parent
TFMSShareTransactionRequest

Visibility
PRIVATE

Source code
procedure SetStatus ( Value : TFMSShareTransactionRequestStatus )

Parameters
Parameter | Description
Value : TFMSShareTransactionRequestStatus | &nbsp;

FIMAS
Class Tree
Index
Previous (SetShareTypeAccount)
Next (SetStopPrice)


Previous (SetStatus)
Next (SetStrategy)

Name
SetStopPrice

Parent
TFMSShareTransactionRequest

Visibility
PRIVATE

Source code
procedure SetStopPrice ( const Value : Double )

Parameters
Parameter | Description
Value : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (SetStatus)
Next (SetStrategy)


Previous (SetStopPrice)
Next (Validate)

Name
SetStrategy

Parent
TFMSShareTransactionRequest

Visibility
PRIVATE

Source code
procedure SetStrategy ( const Value : TFMSStrategy )

Parameters
Parameter | Description
Value : TFMSStrategy | &nbsp;

FIMAS
Class Tree
Index
Previous (SetStopPrice)
Next (Validate)


Previous (SetStrategy)
Next

Name
Validate

Parent
TFMSShareTransactionRequest

Visibility
PROTECTED

Source code
procedure Validate

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetStrategy)
Next


Previous (TFMSShareTransactionRequest)
Next (TFMSShareTransactionRequests)

Name
TFMSShareTransactionRequestList

Parent
FMSStandardRoles

Class Hierarchy
TStrangeInterfacedOwnedPersistent

Visibility
PUBLIC

Description
A list of TFMSShareTransactionRequest.

Members
Fields
Field Description
FList (-)

Methods
Method Description
ADD (+)
Assign (+)
Clear (+)
Create (+)
Delete (+)
Destroy (+)
GetCount (-)
GetCountEx (-)
GetFirstFromShareType (+)
GetFirstFromShareType (+)
GetItems (-)
GetLastFromShareType (+)
GetLastItem (+)
GetStatusStats (+)
GetTotalRequestsCost (+)
GetTotalRequestsCost (+)
NotifyStrategies (+)
ProcessTransactionRequests (+)
REMOVE (+)
SetCount (-)
SetItems (-)
SortByPrice (+)

Properties
Property Description
Count (+)
CountEx (+)
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSShareTransactionRequest)
Next (TFMSShareTransactionRequests)


Previous
Next

Name
FList

Parent
TFMSShareTransactionRequestList

Visibility
PRIVATE

Source code
FList : TList

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (CountEx)

Name
Count

Parent
TFMSShareTransactionRequestList

Visibility
PUBLIC

Source code
property Count : Integer read GetCount write SetCount

Read Access
GetCount

Write Access
SetCount

FIMAS
Class Tree
Index
Previous
Next (CountEx)


Previous (Count)
Next (Items)

Name
CountEx

Parent
TFMSShareTransactionRequestList

Visibility
PUBLIC

Source code
property CountEx [ const ARequestType : TFMSShareTransactionRequestType ] : Integer read GetCountEx

Read Access
GetCountEx

FIMAS
Class Tree
Index
Previous (Count)
Next (Items)


Previous (CountEx)
Next

Name
Items

Parent
TFMSShareTransactionRequestList

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSShareTransactionRequest read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous (CountEx)
Next


Previous
Next (Assign)

Name
ADD

Parent
TFMSShareTransactionRequestList

Visibility
PUBLIC

Source code
procedure Add ( const AItem : TFMSShareTransactionRequest )

Parameters
Parameter | Description
AItem : TFMSShareTransactionRequest | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Assign)


Previous (ADD)
Next (Clear)

Name
Assign

Parent
TFMSShareTransactionRequestList

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (Clear)


Previous (Assign)
Next (Create)

Name
Clear

Parent
TFMSShareTransactionRequestList

Visibility
PUBLIC

Source code
procedure Clear

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Assign)
Next (Create)


Previous (Clear)
Next (Delete)

Name
Create

Parent
TFMSShareTransactionRequestList

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TPersistent ) ; override

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (Clear)
Next (Delete)


Previous (Create)
Next (Destroy)

Name
Delete

Parent
TFMSShareTransactionRequestList

Visibility
PUBLIC

Source code
procedure Delete ( const AIndex : Integer )

Parameters
Parameter | Description
AIndex : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (Destroy)


Previous (Delete)
Next (GetCount)

Name
Destroy

Parent
TFMSShareTransactionRequestList

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Delete)
Next (GetCount)


Previous (Destroy)
Next (GetCountEx)

Name
GetCount

Parent
TFMSShareTransactionRequestList

Visibility
PRIVATE

Source code
function GetCount : Integer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Destroy)
Next (GetCountEx)


Previous (GetCount)
Next (GetFirstFromShareType)

Name
GetCountEx

Parent
TFMSShareTransactionRequestList

Visibility
PRIVATE

Source code
function GetCountEx ( const ARequestType : TFMSShareTransactionRequestType ) : Integer

Parameters
Parameter | Description
ARequestType : TFMSShareTransactionRequestType | &nbsp;

FIMAS
Class Tree
Index
Previous (GetCount)
Next (GetFirstFromShareType)


Previous (GetCountEx)
Next (GetFirstFromShareType)

Name
GetFirstFromShareType

Parent
TFMSShareTransactionRequestList

Visibility
PUBLIC

Source code
function GetFirstFromShareType ( const AShareType : TFMSShareType ) : TFMSShareTransactionRequest ; overload

Parameters
Parameter | Description
AShareType : TFMSShareType | &nbsp;

FIMAS
Class Tree
Index
Previous (GetCountEx)
Next (GetFirstFromShareType)


Previous (GetFirstFromShareType)
Next (GetFirstFromShareType)

Name
GetFirstFromShareType

Parent
TFMSShareTransactionRequestList

Visibility
PUBLIC

Source code
function GetFirstFromShareType ( const AShareType : TFMSShareType ; const ARequestType : TFMSShareTransactionRequestType ) : TFMSShareTransactionRequest ; overload

Parameters
Parameter | Description
AShareType : TFMSShareType | &nbsp;
ARequestType : TFMSShareTransactionRequestType | &nbsp;

FIMAS
Class Tree
Index
Previous (GetFirstFromShareType)
Next (GetFirstFromShareType)


Previous (GetFirstFromShareType)
Next (GetLastFromShareType)

Name
GetItems

Parent
TFMSShareTransactionRequestList

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSShareTransactionRequest

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetFirstFromShareType)
Next (GetLastFromShareType)


Previous (GetItems)
Next (GetLastItem)

Name
GetLastFromShareType

Parent
TFMSShareTransactionRequestList

Visibility
PUBLIC

Source code
function GetLastFromShareType ( const AShareType : TFMSShareType ) : TFMSShareTransactionRequest

Parameters
Parameter | Description
AShareType : TFMSShareType | &nbsp;

FIMAS
Class Tree
Index
Previous (GetItems)
Next (GetLastItem)


Previous (GetLastFromShareType)
Next (GetStatusStats)

Name
GetLastItem

Parent
TFMSShareTransactionRequestList

Visibility
PUBLIC

Source code
function GetLastItem : TFMSShareTransactionRequest

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetLastFromShareType)
Next (GetStatusStats)


Previous (GetLastItem)
Next (GetTotalRequestsCost)

Name
GetStatusStats

Parent
TFMSShareTransactionRequestList

Visibility
PUBLIC

Source code
function GetStatusStats ( ALastNumberOfItems : Integer = MaxInt ) : TFMSShareTransactionRequestsStats

Parameters
Parameter | Description
ALastNumberOfItems : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (GetTotalRequestsCost)


Previous (GetStatusStats)
Next (GetTotalRequestsCost)

Name
GetTotalRequestsCost

Parent
TFMSShareTransactionRequestList

Visibility
PUBLIC

Source code
function GetTotalRequestsCost ( const ARequestType : TFMSShareTransactionRequestType ; AGetFromCache : Boolean = True ) : Double ; overload

Parameters
Parameter | Description
ARequestType : TFMSShareTransactionRequestType | &nbsp;
AGetFromCache : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (GetStatusStats)
Next (GetTotalRequestsCost)


Previous (GetTotalRequestsCost)
Next (GetTotalRequestsCost)

Name
GetTotalRequestsCost

Parent
TFMSShareTransactionRequestList

Visibility
PUBLIC

Source code
function GetTotalRequestsCost ( AGetFromCache : Boolean = True ) : Double ; overload

Parameters
Parameter | Description
AGetFromCache : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (GetTotalRequestsCost)
Next (GetTotalRequestsCost)


Previous (GetTotalRequestsCost)
Next (ProcessTransactionRequests)

Name
NotifyStrategies

Parent
TFMSShareTransactionRequestList

Visibility
PUBLIC

Source code
procedure NotifyStrategies ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetTotalRequestsCost)
Next (ProcessTransactionRequests)


Previous (NotifyStrategies)
Next (REMOVE)

Name
ProcessTransactionRequests

Parent
TFMSShareTransactionRequestList

Visibility
PUBLIC

Source code
procedure ProcessTransactionRequests ( const ATransactionRequestEvent : TFMSShareTransactionRequestEvent )

Parameters
Parameter | Description
ATransactionRequestEvent : TFMSShareTransactionRequestEvent | &nbsp;

FIMAS
Class Tree
Index
Previous (NotifyStrategies)
Next (REMOVE)


Previous (ProcessTransactionRequests)
Next (SetCount)

Name
REMOVE

Parent
TFMSShareTransactionRequestList

Visibility
PUBLIC

Source code
procedure Remove ( const AItem : TFMSShareTransactionRequest )

Parameters
Parameter | Description
AItem : TFMSShareTransactionRequest | &nbsp;

FIMAS
Class Tree
Index
Previous (ProcessTransactionRequests)
Next (SetCount)


Previous (REMOVE)
Next (SetItems)

Name
SetCount

Parent
TFMSShareTransactionRequestList

Visibility
PRIVATE

Source code
procedure SetCount ( const Value : Integer )

Parameters
Parameter | Description
Value : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (REMOVE)
Next (SetItems)


Previous (SetCount)
Next (SortByPrice)

Name
SetItems

Parent
TFMSShareTransactionRequestList

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSShareTransactionRequest )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSShareTransactionRequest | &nbsp;

FIMAS
Class Tree
Index
Previous (SetCount)
Next (SortByPrice)


Previous (SetItems)
Next

Name
SortByPrice

Parent
TFMSShareTransactionRequestList

Visibility
PUBLIC

Source code
procedure SortByPrice

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetItems)
Next


Previous (TFMSShareTransactionRequestList)
Next (TFMSShareTransactions)

Name
TFMSShareTransactionRequests

Parent
FMSStandardRoles

Class Hierarchy
TStrangeInterfacedOwnedCollection

Visibility
PUBLIC

Description
Collection of TFMSShareTransactionRequest.

Members
Methods
Method Description
ADD (+)
Create (+)
GetItems (-)
GetLastItem (+)
GetLastItemByShareType (+)
GetSuccessfulTransactionsForOneDayB (+)
GetSuccessfulTransactionsForOneDayF (+)
GetSuccessfulTransactionsForPeriodB (+)
GetSuccessfulTransactionsForPeriodF (+)
SetItems (-)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSShareTransactionRequestList)
Next (TFMSShareTransactions)


Previous
Next

Name
Items

Parent
TFMSShareTransactionRequests

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSShareTransactionRequest read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Create)

Name
ADD

Parent
TFMSShareTransactionRequests

Visibility
PUBLIC

Source code
function Add : TFMSShareTransactionRequest

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (ADD)
Next (GetItems)

Name
Create

Parent
TFMSShareTransactionRequests

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TPersistent ) ; overload

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (GetItems)


Previous (Create)
Next (GetLastItem)

Name
GetItems

Parent
TFMSShareTransactionRequests

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSShareTransactionRequest

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (GetLastItem)


Previous (GetItems)
Next (GetLastItemByShareType)

Name
GetLastItem

Parent
TFMSShareTransactionRequests

Visibility
PUBLIC

Source code
function GetLastItem : TFMSShareTransactionRequest

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (GetLastItemByShareType)


Previous (GetLastItem)
Next (GetSuccessfulTransactionsForOneDayB)

Name
GetLastItemByShareType

Parent
TFMSShareTransactionRequests

Visibility
PUBLIC

Source code
function GetLastItemByShareType ( const AShareType : TFMSShareType ) : TFMSShareTransactionRequest

Parameters
Parameter | Description
AShareType : TFMSShareType | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (GetSuccessfulTransactionsForOneDayB)


Previous (GetLastItemByShareType)
Next (GetSuccessfulTransactionsForOneDayF)

Name
GetSuccessfulTransactionsForOneDayB

Parent
TFMSShareTransactionRequests

Visibility
PUBLIC

Source code
function GetSuccessfulTransactionsForOneDayB ( const ADay : TDateTime ) : TFMSShareTransactionList

Parameters
Parameter | Description
ADay : TDateTime | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItemByShareType)
Next (GetSuccessfulTransactionsForOneDayF)


Previous (GetSuccessfulTransactionsForOneDayB)
Next (GetSuccessfulTransactionsForPeriodB)

Name
GetSuccessfulTransactionsForOneDayF

Parent
TFMSShareTransactionRequests

Visibility
PUBLIC

Source code
function GetSuccessfulTransactionsForOneDayF ( const ADay : TDateTime ) : TFMSShareTransactionList

Parameters
Parameter | Description
ADay : TDateTime | &nbsp;

FIMAS
Class Tree
Index
Previous (GetSuccessfulTransactionsForOneDayB)
Next (GetSuccessfulTransactionsForPeriodB)


Previous (GetSuccessfulTransactionsForOneDayF)
Next (GetSuccessfulTransactionsForPeriodF)

Name
GetSuccessfulTransactionsForPeriodB

Parent
TFMSShareTransactionRequests

Visibility
PUBLIC

Source code
function GetSuccessfulTransactionsForPeriodB ( const AStartDate : TDateTime ; const AEndDate : TDateTime ) : TFMSShareTransactionList

Parameters
Parameter | Description
AStartDate : TDateTime | &nbsp;
AEndDate : TDateTime | &nbsp;

FIMAS
Class Tree
Index
Previous (GetSuccessfulTransactionsForOneDayF)
Next (GetSuccessfulTransactionsForPeriodF)


Previous (GetSuccessfulTransactionsForPeriodB)
Next (SetItems)

Name
GetSuccessfulTransactionsForPeriodF

Parent
TFMSShareTransactionRequests

Visibility
PUBLIC

Source code
function GetSuccessfulTransactionsForPeriodF ( const AStartDate : TDateTime ; const AEndDate : TDateTime ) : TFMSShareTransactionList

Parameters
Parameter | Description
AStartDate : TDateTime | &nbsp;
AEndDate : TDateTime | &nbsp;

FIMAS
Class Tree
Index
Previous (GetSuccessfulTransactionsForPeriodB)
Next (SetItems)


Previous (GetSuccessfulTransactionsForPeriodF)
Next

Name
SetItems

Parent
TFMSShareTransactionRequests

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSShareTransactionRequest )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSShareTransactionRequest | &nbsp;

FIMAS
Class Tree
Index
Previous (GetSuccessfulTransactionsForPeriodF)
Next


Previous (TFMSShareTransactionRequests)
Next (TFMSShareTransactionTraderRequest)

Name
TFMSShareTransactions

Parent
FMSStandardRoles

Class Hierarchy
TStrangeInterfacedOwnedCollection

Visibility
PUBLIC

Description
Collection of TFMSShareTransaction.

Members
Methods
Method Description
ADD (+)
Create (+)
FilterByShareType (+)
GetItems (-)
GetLastItem (+)
SetItems (-)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSShareTransactionRequests)
Next (TFMSShareTransactionTraderRequest)


Previous
Next

Name
Items

Parent
TFMSShareTransactions

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSShareTransaction read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Create)

Name
ADD

Parent
TFMSShareTransactions

Visibility
PUBLIC

Source code
function Add : TFMSShareTransaction

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (ADD)
Next (FilterByShareType)

Name
Create

Parent
TFMSShareTransactions

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TPersistent )

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (FilterByShareType)


Previous (Create)
Next (GetItems)

Name
FilterByShareType

Parent
TFMSShareTransactions

Visibility
PUBLIC

Source code
procedure FilterByShareType ( const AShareType : TFMSShareType ; const ADestinationList : TFMSShareTransactionList )

Parameters
Parameter | Description
AShareType : TFMSShareType | &nbsp;
ADestinationList : TFMSShareTransactionList | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (GetItems)


Previous (FilterByShareType)
Next (GetLastItem)

Name
GetItems

Parent
TFMSShareTransactions

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSShareTransaction

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (FilterByShareType)
Next (GetLastItem)


Previous (GetItems)
Next (SetItems)

Name
GetLastItem

Parent
TFMSShareTransactions

Visibility
PUBLIC

Source code
function GetLastItem : TFMSShareTransaction

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (SetItems)


Previous (GetLastItem)
Next

Name
SetItems

Parent
TFMSShareTransactions

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSShareTransaction )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSShareTransaction | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next


Previous (TFMSShareTransactions)
Next (TFMSShareTransactionTraderRequestList)

Name
TFMSShareTransactionTraderRequest

Parent
FMSStandardRoles

Class Hierarchy
TFMSShareTransactionRequest

Visibility
PUBLIC

Description
A trader-specific transaction request.

Members
Methods
Method Description
Create (+)
Destroy (+)
DoChangeProcessedCount (#)
DoChangeStatus (#)
DoNotifyStrategy (#)
GetOwnerRole (+)
GetParent (#)
GetSender (-)
GetStrategy (-)
ReleaseResources (#)
ReserveResources (#)
SetSender (-)
SetStrategy (-)

Properties
Property Description
Sender (*)
Strategy (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSShareTransactions)
Next (TFMSShareTransactionTraderRequestList)


Previous
Next (Strategy)

Name
Sender

Parent
TFMSShareTransactionTraderRequest

Visibility
PUBLISHED

Source code
property Sender : TFMSTraderAccount read GetSender write SetSender

Read Access
GetSender

Write Access
SetSender

FIMAS
Class Tree
Index
Previous
Next (Strategy)


Previous (Sender)
Next

Name
Strategy

Parent
TFMSShareTransactionTraderRequest

Visibility
PUBLISHED

Source code
property Strategy : TFMSTraderStrategy read GetStrategy write SetStrategy

Read Access
GetStrategy

Write Access
SetStrategy

FIMAS
Class Tree
Index
Previous (Sender)
Next


Previous
Next (Destroy)

Name
Create

Parent
TFMSShareTransactionTraderRequest

Visibility
PUBLIC

Source code
constructor Create ( Collection : TCollection ) ; override

Parameters
Parameter | Description
Collection : TCollection | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Destroy)


Previous (Create)
Next (DoChangeProcessedCount)

Name
Destroy

Parent
TFMSShareTransactionTraderRequest

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (DoChangeProcessedCount)


Previous (Destroy)
Next (DoChangeStatus)

Name
DoChangeProcessedCount

Parent
TFMSShareTransactionTraderRequest

Visibility
PROTECTED

Source code
procedure DoChangeProcessedCount ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Destroy)
Next (DoChangeStatus)


Previous (DoChangeProcessedCount)
Next (DoNotifyStrategy)

Name
DoChangeStatus

Parent
TFMSShareTransactionTraderRequest

Visibility
PROTECTED

Source code
procedure DoChangeStatus ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoChangeProcessedCount)
Next (DoNotifyStrategy)


Previous (DoChangeStatus)
Next (GetOwnerRole)

Name
DoNotifyStrategy

Parent
TFMSShareTransactionTraderRequest

Visibility
PROTECTED

Source code
procedure DoNotifyStrategy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoChangeStatus)
Next (GetOwnerRole)


Previous (DoNotifyStrategy)
Next (GetParent)

Name
GetOwnerRole

Parent
TFMSShareTransactionTraderRequest

Visibility
PUBLIC

Source code
function GetOwnerRole : TFMSBrokerRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoNotifyStrategy)
Next (GetParent)


Previous (GetOwnerRole)
Next (GetSender)

Name
GetParent

Parent
TFMSShareTransactionTraderRequest

Visibility
PROTECTED

Source code
function GetParent : TFMSShareTransactionTraderRequests

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetOwnerRole)
Next (GetSender)


Previous (GetParent)
Next (GetStrategy)

Name
GetSender

Parent
TFMSShareTransactionTraderRequest

Visibility
PRIVATE

Source code
function GetSender : TFMSTraderAccount

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetParent)
Next (GetStrategy)


Previous (GetSender)
Next (ReleaseResources)

Name
GetStrategy

Parent
TFMSShareTransactionTraderRequest

Visibility
PRIVATE

Source code
function GetStrategy : TFMSTraderStrategy

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetSender)
Next (ReleaseResources)


Previous (GetStrategy)
Next (ReserveResources)

Name
ReleaseResources

Parent
TFMSShareTransactionTraderRequest

Visibility
PROTECTED

Source code
procedure ReleaseResources ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetStrategy)
Next (ReserveResources)


Previous (ReleaseResources)
Next (SetSender)

Name
ReserveResources

Parent
TFMSShareTransactionTraderRequest

Visibility
PROTECTED

Source code
procedure ReserveResources ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (ReleaseResources)
Next (SetSender)


Previous (ReserveResources)
Next (SetStrategy)

Name
SetSender

Parent
TFMSShareTransactionTraderRequest

Visibility
PRIVATE

Source code
procedure SetSender ( const Value : TFMSTraderAccount )

Parameters
Parameter | Description
Value : TFMSTraderAccount | &nbsp;

FIMAS
Class Tree
Index
Previous (ReserveResources)
Next (SetStrategy)


Previous (SetSender)
Next

Name
SetStrategy

Parent
TFMSShareTransactionTraderRequest

Visibility
PRIVATE

Source code
procedure SetStrategy ( const Value : TFMSTraderStrategy )

Parameters
Parameter | Description
Value : TFMSTraderStrategy | &nbsp;

FIMAS
Class Tree
Index
Previous (SetSender)
Next


Previous (TFMSShareTransactionTraderRequest)
Next (TFMSShareTransactionTraderRequests)

Name
TFMSShareTransactionTraderRequestList

Parent
FMSStandardRoles

Class Hierarchy
TFMSShareTransactionRequestList

Visibility
PUBLIC

Description
A list of TFMSShareTransactionTraderRequest.

Members
Methods
Method Description
ADD (+)
GetItems (-)
GetLastItem (+)
ProcessTransactionRequests (+)
REMOVE (+)
SetItems (-)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSShareTransactionTraderRequest)
Next (TFMSShareTransactionTraderRequests)


Previous
Next

Name
Items

Parent
TFMSShareTransactionTraderRequestList

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSShareTransactionTraderRequest read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (GetItems)

Name
ADD

Parent
TFMSShareTransactionTraderRequestList

Visibility
PUBLIC

Source code
procedure Add ( const AItem : TFMSShareTransactionTraderRequest )

Parameters
Parameter | Description
AItem : TFMSShareTransactionTraderRequest | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (GetItems)


Previous (ADD)
Next (GetLastItem)

Name
GetItems

Parent
TFMSShareTransactionTraderRequestList

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSShareTransactionTraderRequest

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (GetLastItem)


Previous (GetItems)
Next (ProcessTransactionRequests)

Name
GetLastItem

Parent
TFMSShareTransactionTraderRequestList

Visibility
PUBLIC

Source code
function GetLastItem : TFMSShareTransactionTraderRequest

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (ProcessTransactionRequests)


Previous (GetLastItem)
Next (REMOVE)

Name
ProcessTransactionRequests

Parent
TFMSShareTransactionTraderRequestList

Visibility
PUBLIC

Source code
procedure ProcessTransactionRequests ( const ATransactionRequestEvent : TFMSShareTransactionTraderRequestEvent )

Parameters
Parameter | Description
ATransactionRequestEvent : TFMSShareTransactionTraderRequestEvent | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (REMOVE)


Previous (ProcessTransactionRequests)
Next (SetItems)

Name
REMOVE

Parent
TFMSShareTransactionTraderRequestList

Visibility
PUBLIC

Source code
procedure Remove ( const AItem : TFMSShareTransactionTraderRequest )

Parameters
Parameter | Description
AItem : TFMSShareTransactionTraderRequest | &nbsp;

FIMAS
Class Tree
Index
Previous (ProcessTransactionRequests)
Next (SetItems)


Previous (REMOVE)
Next

Name
SetItems

Parent
TFMSShareTransactionTraderRequestList

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSShareTransactionTraderRequest )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSShareTransactionTraderRequest | &nbsp;

FIMAS
Class Tree
Index
Previous (REMOVE)
Next


Previous (TFMSShareTransactionTraderRequestList)
Next (TFMSShareType)

Name
TFMSShareTransactionTraderRequests

Parent
FMSStandardRoles

Class Hierarchy
TFMSShareTransactionRequests

Visibility
PUBLIC

Description
Collection of TFMSShareTransactionTraderRequest.

Members
Methods
Method Description
ADD (+)
Create (+)
GetItems (-)
GetLastItem (+)
GetLastItemByShareType (+)
SetItems (-)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSShareTransactionTraderRequestList)
Next (TFMSShareType)


Previous
Next

Name
Items

Parent
TFMSShareTransactionTraderRequests

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSShareTransactionTraderRequest read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Create)

Name
ADD

Parent
TFMSShareTransactionTraderRequests

Visibility
PUBLIC

Source code
function Add : TFMSShareTransactionTraderRequest

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (ADD)
Next (GetItems)

Name
Create

Parent
TFMSShareTransactionTraderRequests

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TPersistent )

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (GetItems)


Previous (Create)
Next (GetLastItem)

Name
GetItems

Parent
TFMSShareTransactionTraderRequests

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSShareTransactionTraderRequest

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (GetLastItem)


Previous (GetItems)
Next (GetLastItemByShareType)

Name
GetLastItem

Parent
TFMSShareTransactionTraderRequests

Visibility
PUBLIC

Source code
function GetLastItem : TFMSShareTransactionTraderRequest

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (GetLastItemByShareType)


Previous (GetLastItem)
Next (SetItems)

Name
GetLastItemByShareType

Parent
TFMSShareTransactionTraderRequests

Visibility
PUBLIC

Source code
function GetLastItemByShareType ( const AShareType : TFMSShareType ) : TFMSShareTransactionTraderRequest

Parameters
Parameter | Description
AShareType : TFMSShareType | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (SetItems)


Previous (GetLastItemByShareType)
Next

Name
SetItems

Parent
TFMSShareTransactionTraderRequests

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSShareTransactionTraderRequest )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSShareTransactionTraderRequest | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItemByShareType)
Next


Previous (TFMSShareTransactionTraderRequests)
Next (TFMSShareTypeAccount)

Name
TFMSShareType

Parent
FMSStandardRoles

Class Hierarchy
TStrangeInterfacedCollectionItem

Visibility
PUBLIC

Description
Describes a a share type. Stores information about all owners of it.

Members
Fields
Field Description
FCount (-)
FEmitedPrice (-)
FIncome (-)
FMarketAccounts (-)
FSticker (-)
FTypeOfShare (-)
FUsers (-)

Methods
Method Description
AddMarket (+)
Assign (+)
ChangeOwner (+)
Create (+)
Destroy (+)
GetAccountOfMarket (+)
GetCompany (+)
GetCurrentAveragePrice (+)
GetDisplayName (#)
GetFundamentalPrice (+)
GetLastPrice (+)
GetParent (#)
GetWorld (+)
RemoveMarket (+)
SetDisplayName (#)
SetEmitedPrice (-)

Properties
Property | Description
Count (*)
EmitedPrice (*)
Income (*) | Only valid for Shares that generate fixed monthly income.
MarketAccounts (*) | Do not edit this property!
Sticker (*)
TypeOfShare (*)
Users (*) | Supposed to be read-only. Do not edit!

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSShareTransactionTraderRequests)
Next (TFMSShareTypeAccount)


Previous
Next (FEmitedPrice)

Name
FCount

Parent
TFMSShareType

Visibility
PRIVATE

Source code
FCount : Integer

FIMAS
Class Tree
Index
Previous
Next (FEmitedPrice)


Previous (FCount)
Next (FIncome)

Name
FEmitedPrice

Parent
TFMSShareType

Visibility
PRIVATE

Source code
FEmitedPrice : Double

FIMAS
Class Tree
Index
Previous (FCount)
Next (FIncome)


Previous (FEmitedPrice)
Next (FMarketAccounts)

Name
FIncome

Parent
TFMSShareType

Visibility
PRIVATE

Source code
FIncome : Double

FIMAS
Class Tree
Index
Previous (FEmitedPrice)
Next (FMarketAccounts)


Previous (FIncome)
Next (FSticker)

Name
FMarketAccounts

Parent
TFMSShareType

Visibility
PRIVATE

Source code
FMarketAccounts : TFMSShareTypeAccountList

FIMAS
Class Tree
Index
Previous (FIncome)
Next (FSticker)


Previous (FMarketAccounts)
Next (FTypeOfShare)

Name
FSticker

Parent
TFMSShareType

Visibility
PRIVATE

Source code
FSticker : string

FIMAS
Class Tree
Index
Previous (FMarketAccounts)
Next (FTypeOfShare)


Previous (FSticker)
Next (FUsers)

Name
FTypeOfShare

Parent
TFMSShareType

Visibility
PRIVATE

Source code
FTypeOfShare : TFMSTypeOfShare

FIMAS
Class Tree
Index
Previous (FSticker)
Next (FUsers)


Previous (FTypeOfShare)
Next

Name
FUsers

Parent
TFMSShareType

Visibility
PRIVATE

Source code
FUsers : TFMSSharePortfolioItemList

FIMAS
Class Tree
Index
Previous (FTypeOfShare)
Next


Previous
Next (EmitedPrice)

Name
Count

Parent
TFMSShareType

Visibility
PUBLISHED

Source code
property Count : Integer read FCount write FCount

Read Access
FCount

Write Access
FCount

FIMAS
Class Tree
Index
Previous
Next (EmitedPrice)


Previous (Count)
Next (Income)

Name
EmitedPrice

Parent
TFMSShareType

Visibility
PUBLISHED

Source code
property EmitedPrice : Double read FEmitedPrice write SetEmitedPrice

Read Access
FEmitedPrice

Write Access
SetEmitedPrice

FIMAS
Class Tree
Index
Previous (Count)
Next (Income)


Previous (EmitedPrice)
Next (MarketAccounts)

Name
Income

Parent
TFMSShareType

Visibility
PUBLISHED

Description
Only valid for Shares that generate fixed monthly income.

Source code
property Income : Double read FIncome write FIncome

Read Access
FIncome

Write Access
FIncome

FIMAS
Class Tree
Index
Previous (EmitedPrice)
Next (MarketAccounts)


Previous (Income)
Next (Sticker)

Name
MarketAccounts

Parent
TFMSShareType

Visibility
PUBLISHED

Description
Do not edit this property!

Source code
property MarketAccounts : TFMSShareTypeAccountList read FMarketAccounts stored True

Read Access
FMarketAccounts

FIMAS
Class Tree
Index
Previous (Income)
Next (Sticker)


Previous (MarketAccounts)
Next (TypeOfShare)

Name
Sticker

Parent
TFMSShareType

Visibility
PUBLISHED

Source code
property Sticker : string read FSticker write FSticker

Read Access
FSticker

Write Access
FSticker

FIMAS
Class Tree
Index
Previous (MarketAccounts)
Next (TypeOfShare)


Previous (Sticker)
Next (Users)

Name
TypeOfShare

Parent
TFMSShareType

Visibility
PUBLISHED

Source code
property TypeOfShare : TFMSTypeOfShare read FTypeOfShare write FTypeOfShare

Read Access
FTypeOfShare

Write Access
FTypeOfShare

FIMAS
Class Tree
Index
Previous (Sticker)
Next (Users)


Previous (TypeOfShare)
Next

Name
Users

Parent
TFMSShareType

Visibility
PUBLISHED

Description
Supposed to be read-only. Do not edit!

Source code
property Users : TFMSSharePortfolioItemList read FUsers

Read Access
FUsers

FIMAS
Class Tree
Index
Previous (TypeOfShare)
Next


Previous
Next (Assign)

Name
AddMarket

Parent
TFMSShareType

Visibility
PUBLIC

Source code
procedure AddMarket ( const AMarket : TFMSMarketRole ) ; virtual

Parameters
Parameter | Description
AMarket : TFMSMarketRole | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Assign)


Previous (AddMarket)
Next (ChangeOwner)

Name
Assign

Parent
TFMSShareType

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (AddMarket)
Next (ChangeOwner)


Previous (Assign)
Next (Create)

Name
ChangeOwner

Parent
TFMSShareType

Visibility
PUBLIC

Source code
procedure ChangeOwner ( const AOriginalOwner : TFMSSharePortfolio ; const ANewOwner : TFMSSharePortfolio ; const ACount : Integer )

Parameters
Parameter | Description
AOriginalOwner : TFMSSharePortfolio | &nbsp;
ANewOwner : TFMSSharePortfolio | &nbsp;
ACount : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (Assign)
Next (Create)


Previous (ChangeOwner)
Next (Destroy)

Name
Create

Parent
TFMSShareType

Visibility
PUBLIC

Source code
constructor Create ( Collection : TCollection ) ; override

Parameters
Parameter | Description
Collection : TCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (ChangeOwner)
Next (Destroy)


Previous (Create)
Next (GetAccountOfMarket)

Name
Destroy

Parent
TFMSShareType

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (GetAccountOfMarket)


Previous (Destroy)
Next (GetCompany)

Name
GetAccountOfMarket

Parent
TFMSShareType

Visibility
PUBLIC

Source code
function GetAccountOfMarket ( const AMarket : TFMSMarketRole ) : TFMSShareTypeAccount

Parameters
Parameter | Description
AMarket : TFMSMarketRole | &nbsp;

FIMAS
Class Tree
Index
Previous (Destroy)
Next (GetCompany)


Previous (GetAccountOfMarket)
Next (GetCurrentAveragePrice)

Name
GetCompany

Parent
TFMSShareType

Visibility
PUBLIC

Source code
function GetCompany : TFMSCompanyRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetAccountOfMarket)
Next (GetCurrentAveragePrice)


Previous (GetCompany)
Next (GetDisplayName)

Name
GetCurrentAveragePrice

Parent
TFMSShareType

Visibility
PUBLIC

Source code
function GetCurrentAveragePrice : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCompany)
Next (GetDisplayName)


Previous (GetCurrentAveragePrice)
Next (GetFundamentalPrice)

Name
GetDisplayName

Parent
TFMSShareType

Visibility
PROTECTED

Source code
function GetDisplayName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCurrentAveragePrice)
Next (GetFundamentalPrice)


Previous (GetDisplayName)
Next (GetLastPrice)

Name
GetFundamentalPrice

Parent
TFMSShareType

Visibility
PUBLIC

Source code
function GetFundamentalPrice : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetDisplayName)
Next (GetLastPrice)


Previous (GetFundamentalPrice)
Next (GetParent)

Name
GetLastPrice

Parent
TFMSShareType

Visibility
PUBLIC

Source code
function GetLastPrice : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetFundamentalPrice)
Next (GetParent)


Previous (GetLastPrice)
Next (GetWorld)

Name
GetParent

Parent
TFMSShareType

Visibility
PROTECTED

Source code
function GetParent : TFMSShareTypes

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetLastPrice)
Next (GetWorld)


Previous (GetParent)
Next (RemoveMarket)

Name
GetWorld

Parent
TFMSShareType

Visibility
PUBLIC

Source code
function GetWorld : TFMSWorld

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetParent)
Next (RemoveMarket)


Previous (GetWorld)
Next (SetDisplayName)

Name
RemoveMarket

Parent
TFMSShareType

Visibility
PUBLIC

Source code
procedure RemoveMarket ( const AMarket : TFMSMarketRole ) ; virtual

Parameters
Parameter | Description
AMarket : TFMSMarketRole | &nbsp;

FIMAS
Class Tree
Index
Previous (GetWorld)
Next (SetDisplayName)


Previous (RemoveMarket)
Next (SetEmitedPrice)

Name
SetDisplayName

Parent
TFMSShareType

Visibility
PROTECTED

Source code
procedure SetDisplayName ( const Value : string ) ; override

Parameters
Parameter | Description
Value : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (RemoveMarket)
Next (SetEmitedPrice)


Previous (SetDisplayName)
Next

Name
SetEmitedPrice

Parent
TFMSShareType

Visibility
PRIVATE

Source code
procedure SetEmitedPrice ( const Value : Double )

Parameters
Parameter | Description
Value : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (SetDisplayName)
Next


Previous (TFMSShareType)
Next (TFMSShareTypeAccountList)

Name
TFMSShareTypeAccount

Parent
FMSStandardRoles

Class Hierarchy
TFMSStandardAccount

Visibility
PUBLIC

Description
An accout that stores information on the current market position of a selected ShareType. Also stores transaction requests and transaction history.

Members
Fields
Field Description
FAsk (-)
FAskPersistent (-)
FBid (-)
FBidPersistent (-)
FBuyRequests (-)
FSellRequests (-)
FShareType (-)
FSortedBuyRequests (-)
FSortedSellRequests (-)
FSpreadLastSafe (-)
FSpreadLastSafePercent (-)
FSpreadPersistent (-)
FSpreadPersistentPercent (-)
FTransactions (-)

Methods
Method | Description
Assign (+)
CalculateSpread (#)
Create (+)
Destroy (+)
FindBuySellMatches (#)
GetAskLast (+) | Best sell price.
GetAskPersistent (+) | Best sell price.
GetBidLast (+) | Best buy price.
GetBidPersistent (+) | Best buy price.
GetCurrentAveragePrice (+)
GetLastPrice (+)
GetLastTransaction (+)
GetMarket (+)
GetParent (#)
GetParticipantRole (+)
GetSpread (-)
GetSpreadLast (+)
GetSpreadLastPercent (+)
GetSpreadLastSafe (+)
GetSpreadLastSafePercent (+)
GetSpreadPercent (+)
GetSpreadPersistent (+)
GetSpreadPersistentPercent (+)
SetBuyRequests (-)
SetSellRequests (-)
UpdateBidAskSpread (#)

Properties
Property | Description
Ask (*) | Best sell price.
Bid (*) | Best buy price.
BuyRequests (*)
SellRequests (*)
ShareType (*)
Spread (*)
Transactions (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSShareType)
Next (TFMSShareTypeAccountList)


Previous
Next (FAskPersistent)

Name
FAsk

Parent
TFMSShareTypeAccount

Visibility
PRIVATE

Source code
FAsk : Double

FIMAS
Class Tree
Index
Previous
Next (FAskPersistent)


Previous (FAsk)
Next (FBid)

Name
FAskPersistent

Parent
TFMSShareTypeAccount

Visibility
PRIVATE

Source code
FAskPersistent : Double

FIMAS
Class Tree
Index
Previous (FAsk)
Next (FBid)


Previous (FAskPersistent)
Next (FBidPersistent)

Name
FBid

Parent
TFMSShareTypeAccount

Visibility
PRIVATE

Source code
FBid : Double

FIMAS
Class Tree
Index
Previous (FAskPersistent)
Next (FBidPersistent)


Previous (FBid)
Next (FBuyRequests)

Name
FBidPersistent

Parent
TFMSShareTypeAccount

Visibility
PRIVATE

Source code
FBidPersistent : Double

FIMAS
Class Tree
Index
Previous (FBid)
Next (FBuyRequests)


Previous (FBidPersistent)
Next (FSellRequests)

Name
FBuyRequests

Parent
TFMSShareTypeAccount

Visibility
PRIVATE

Source code
FBuyRequests : TFMSShareTransactionBrokerRequestList

FIMAS
Class Tree
Index
Previous (FBidPersistent)
Next (FSellRequests)


Previous (FBuyRequests)
Next (FShareType)

Name
FSellRequests

Parent
TFMSShareTypeAccount

Visibility
PRIVATE

Source code
FSellRequests : TFMSShareTransactionBrokerRequestList

FIMAS
Class Tree
Index
Previous (FBuyRequests)
Next (FShareType)


Previous (FSellRequests)
Next (FSortedBuyRequests)

Name
FShareType

Parent
TFMSShareTypeAccount

Visibility
PRIVATE

Source code
FShareType : TFMSShareType

FIMAS
Class Tree
Index
Previous (FSellRequests)
Next (FSortedBuyRequests)


Previous (FShareType)
Next (FSortedSellRequests)

Name
FSortedBuyRequests

Parent
TFMSShareTypeAccount

Visibility
PRIVATE

Source code
FSortedBuyRequests : TFMSShareTransactionBrokerRequestList

FIMAS
Class Tree
Index
Previous (FShareType)
Next (FSortedSellRequests)


Previous (FSortedBuyRequests)
Next (FSpreadLastSafe)

Name
FSortedSellRequests

Parent
TFMSShareTypeAccount

Visibility
PRIVATE

Source code
FSortedSellRequests : TFMSShareTransactionBrokerRequestList

FIMAS
Class Tree
Index
Previous (FSortedBuyRequests)
Next (FSpreadLastSafe)


Previous (FSortedSellRequests)
Next (FSpreadLastSafePercent)

Name
FSpreadLastSafe

Parent
TFMSShareTypeAccount

Visibility
PRIVATE

Source code
FSpreadLastSafe : Double

FIMAS
Class Tree
Index
Previous (FSortedSellRequests)
Next (FSpreadLastSafePercent)


Previous (FSpreadLastSafe)
Next (FSpreadPersistent)

Name
FSpreadLastSafePercent

Parent
TFMSShareTypeAccount

Visibility
PRIVATE

Source code
FSpreadLastSafePercent : Double

FIMAS
Class Tree
Index
Previous (FSpreadLastSafe)
Next (FSpreadPersistent)


Previous (FSpreadLastSafePercent)
Next (FSpreadPersistentPercent)

Name
FSpreadPersistent

Parent
TFMSShareTypeAccount

Visibility
PRIVATE

Source code
FSpreadPersistent : Double

FIMAS
Class Tree
Index
Previous (FSpreadLastSafePercent)
Next (FSpreadPersistentPercent)


Previous (FSpreadPersistent)
Next (FTransactions)

Name
FSpreadPersistentPercent

Parent
TFMSShareTypeAccount

Visibility
PRIVATE

Source code
FSpreadPersistentPercent : Double

FIMAS
Class Tree
Index
Previous (FSpreadPersistent)
Next (FTransactions)


Previous (FSpreadPersistentPercent)
Next

Name
FTransactions

Parent
TFMSShareTypeAccount

Visibility
PRIVATE

Source code
FTransactions : TFMSShareTransactionList

FIMAS
Class Tree
Index
Previous (FSpreadPersistentPercent)
Next


Previous
Next (Bid)

Name
Ask

Parent
TFMSShareTypeAccount

Visibility
PUBLISHED

Description
Best sell price.

Source code
property Ask : Double read FAsk stored True

Read Access
FAsk

FIMAS
Class Tree
Index
Previous
Next (Bid)


Previous (Ask)
Next (BuyRequests)

Name
Bid

Parent
TFMSShareTypeAccount

Visibility
PUBLISHED

Description
Best buy price.

Source code
property Bid : Double read FBid stored True

Read Access
FBid

FIMAS
Class Tree
Index
Previous (Ask)
Next (BuyRequests)


Previous (Bid)
Next (SellRequests)

Name
BuyRequests

Parent
TFMSShareTypeAccount

Visibility
PUBLISHED

Source code
property BuyRequests : TFMSShareTransactionBrokerRequestList read FBuyRequests write SetBuyRequests

Read Access
FBuyRequests

Write Access
SetBuyRequests

FIMAS
Class Tree
Index
Previous (Bid)
Next (SellRequests)


Previous (BuyRequests)
Next (ShareType)

Name
SellRequests

Parent
TFMSShareTypeAccount

Visibility
PUBLISHED

Source code
property SellRequests : TFMSShareTransactionBrokerRequestList read FSellRequests write SetSellRequests

Read Access
FSellRequests

Write Access
SetSellRequests

FIMAS
Class Tree
Index
Previous (BuyRequests)
Next (ShareType)


Previous (SellRequests)
Next (Spread)

Name
ShareType

Parent
TFMSShareTypeAccount

Visibility
PUBLISHED

Source code
property ShareType : TFMSShareType read FShareType

Read Access
FShareType

FIMAS
Class Tree
Index
Previous (SellRequests)
Next (Spread)


Previous (ShareType)
Next (Transactions)

Name
Spread

Parent
TFMSShareTypeAccount

Visibility
PUBLISHED

Source code
property Spread : Double read GetSpread

Read Access
GetSpread

FIMAS
Class Tree
Index
Previous (ShareType)
Next (Transactions)


Previous (Spread)
Next

Name
Transactions

Parent
TFMSShareTypeAccount

Visibility
PUBLISHED

Source code
property Transactions : TFMSShareTransactionList read FTransactions stored True

Read Access
FTransactions

FIMAS
Class Tree
Index
Previous (Spread)
Next


Previous
Next (CalculateSpread)

Name
Assign

Parent
TFMSShareTypeAccount

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (CalculateSpread)


Previous (Assign)
Next (Create)

Name
CalculateSpread

Parent
TFMSShareTypeAccount

Visibility
PROTECTED

Source code
function CalculateSpread ( ABid , AAsk : Double ) : Double

Parameters
Parameter | Description
ABid : DOUBLE | &nbsp;
AAsk : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (Assign)
Next (Create)


Previous (CalculateSpread)
Next (Destroy)

Name
Create

Parent
TFMSShareTypeAccount

Visibility
PUBLIC

Source code
constructor Create ( Collection : TCollection ) ; override

Parameters
Parameter | Description
Collection : TCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (CalculateSpread)
Next (Destroy)


Previous (Create)
Next (FindBuySellMatches)

Name
Destroy

Parent
TFMSShareTypeAccount

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (FindBuySellMatches)


Previous (Destroy)
Next (GetAskLast)

Name
FindBuySellMatches

Parent
TFMSShareTypeAccount

Visibility
PROTECTED

Source code
procedure FindBuySellMatches ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Destroy)
Next (GetAskLast)


Previous (FindBuySellMatches)
Next (GetAskPersistent)

Name
GetAskLast

Parent
TFMSShareTypeAccount

Visibility
PUBLIC

Description
Best sell price.
Best sell price.

Source code
function GetAskLast : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FindBuySellMatches)
Next (GetAskPersistent)


Previous (GetAskLast)
Next (GetBidLast)

Name
GetAskPersistent

Parent
TFMSShareTypeAccount

Visibility
PUBLIC

Description
Best sell price.
Best sell price.

Source code
function GetAskPersistent : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetAskLast)
Next (GetBidLast)


Previous (GetAskPersistent)
Next (GetBidPersistent)

Name
GetBidLast

Parent
TFMSShareTypeAccount

Visibility
PUBLIC

Description
Best buy price.
Best buy price.

Source code
function GetBidLast : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetAskPersistent)
Next (GetBidPersistent)


Previous (GetBidLast)
Next (GetCurrentAveragePrice)

Name
GetBidPersistent

Parent
TFMSShareTypeAccount

Visibility
PUBLIC

Description
Best buy price.
Best buy price.

Source code
function GetBidPersistent : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetBidLast)
Next (GetCurrentAveragePrice)


Previous (GetBidPersistent)
Next (GetLastPrice)

Name
GetCurrentAveragePrice

Parent
TFMSShareTypeAccount

Visibility
PUBLIC

Source code
function GetCurrentAveragePrice : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetBidPersistent)
Next (GetLastPrice)


Previous (GetCurrentAveragePrice)
Next (GetLastTransaction)

Name
GetLastPrice

Parent
TFMSShareTypeAccount

Visibility
PUBLIC

Source code
function GetLastPrice : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCurrentAveragePrice)
Next (GetLastTransaction)


Previous (GetLastPrice)
Next (GetMarket)

Name
GetLastTransaction

Parent
TFMSShareTypeAccount

Visibility
PUBLIC

Source code
function GetLastTransaction : TFMSShareTransaction

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetLastPrice)
Next (GetMarket)


Previous (GetLastTransaction)
Next (GetParent)

Name
GetMarket

Parent
TFMSShareTypeAccount

Visibility
PUBLIC

Source code
function GetMarket : TFMSMarketRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetLastTransaction)
Next (GetParent)


Previous (GetMarket)
Next (GetParticipantRole)

Name
GetParent

Parent
TFMSShareTypeAccount

Visibility
PROTECTED

Source code
function GetParent : TFMSShareTypeAccounts

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetMarket)
Next (GetParticipantRole)


Previous (GetParent)
Next (GetSpread)

Name
GetParticipantRole

Parent
TFMSShareTypeAccount

Visibility
PUBLIC

Source code
function GetParticipantRole : TFMSParticipantRole ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetParent)
Next (GetSpread)


Previous (GetParticipantRole)
Next (GetSpreadLast)

Name
GetSpread

Parent
TFMSShareTypeAccount

Visibility
PRIVATE

Source code
function GetSpread : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetParticipantRole)
Next (GetSpreadLast)


Previous (GetSpread)
Next (GetSpreadLastPercent)

Name
GetSpreadLast

Parent
TFMSShareTypeAccount

Visibility
PUBLIC

Source code
function GetSpreadLast : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetSpread)
Next (GetSpreadLastPercent)


Previous (GetSpreadLast)
Next (GetSpreadLastSafe)

Name
GetSpreadLastPercent

Parent
TFMSShareTypeAccount

Visibility
PUBLIC

Source code
function GetSpreadLastPercent : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetSpreadLast)
Next (GetSpreadLastSafe)


Previous (GetSpreadLastPercent)
Next (GetSpreadLastSafePercent)

Name
GetSpreadLastSafe

Parent
TFMSShareTypeAccount

Visibility
PUBLIC

Source code
function GetSpreadLastSafe : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetSpreadLastPercent)
Next (GetSpreadLastSafePercent)


Previous (GetSpreadLastSafe)
Next (GetSpreadPercent)

Name
GetSpreadLastSafePercent

Parent
TFMSShareTypeAccount

Visibility
PUBLIC

Source code
function GetSpreadLastSafePercent : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetSpreadLastSafe)
Next (GetSpreadPercent)


Previous (GetSpreadLastSafePercent)
Next (GetSpreadPersistent)

Name
GetSpreadPercent

Parent
TFMSShareTypeAccount

Visibility
PUBLIC

Source code
function GetSpreadPercent : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetSpreadLastSafePercent)
Next (GetSpreadPersistent)


Previous (GetSpreadPercent)
Next (GetSpreadPersistentPercent)

Name
GetSpreadPersistent

Parent
TFMSShareTypeAccount

Visibility
PUBLIC

Source code
function GetSpreadPersistent : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetSpreadPercent)
Next (GetSpreadPersistentPercent)


Previous (GetSpreadPersistent)
Next (SetBuyRequests)

Name
GetSpreadPersistentPercent

Parent
TFMSShareTypeAccount

Visibility
PUBLIC

Source code
function GetSpreadPersistentPercent : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetSpreadPersistent)
Next (SetBuyRequests)


Previous (GetSpreadPersistentPercent)
Next (SetSellRequests)

Name
SetBuyRequests

Parent
TFMSShareTypeAccount

Visibility
PRIVATE

Source code
procedure SetBuyRequests ( const Value : TFMSShareTransactionBrokerRequestList )

Parameters
Parameter | Description
Value : TFMSShareTransactionBrokerRequestList | &nbsp;

FIMAS
Class Tree
Index
Previous (GetSpreadPersistentPercent)
Next (SetSellRequests)


Previous (SetBuyRequests)
Next (UpdateBidAskSpread)

Name
SetSellRequests

Parent
TFMSShareTypeAccount

Visibility
PRIVATE

Source code
procedure SetSellRequests ( const Value : TFMSShareTransactionBrokerRequestList )

Parameters
Parameter | Description
Value : TFMSShareTransactionBrokerRequestList | &nbsp;

FIMAS
Class Tree
Index
Previous (SetBuyRequests)
Next (UpdateBidAskSpread)


Previous (SetSellRequests)
Next

Name
UpdateBidAskSpread

Parent
TFMSShareTypeAccount

Visibility
PROTECTED

Source code
procedure UpdateBidAskSpread ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetSellRequests)
Next


Previous (TFMSShareTypeAccount)
Next (TFMSShareTypeAccounts)

Name
TFMSShareTypeAccountList

Parent
FMSStandardRoles

Class Hierarchy
TStrangeInterfacedOwnedPersistent

Visibility
PUBLIC

Description
A list of TFMSShareTypeAccount

Members
Fields
Field Description
FList (-)

Methods
Method Description
ADD (+)
Assign (+)
Clear (+)
Create (+)
Delete (+)
Destroy (+)
GetCount (-)
GetItems (-)
GetLastItem (+)
REMOVE (+)
SetCount (-)
SetItems (-)

Properties
Property Description
Count (+)
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSShareTypeAccount)
Next (TFMSShareTypeAccounts)


Previous
Next

Name
FList

Parent
TFMSShareTypeAccountList

Visibility
PRIVATE

Source code
FList : TList

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Items)

Name
Count

Parent
TFMSShareTypeAccountList

Visibility
PUBLIC

Source code
property Count : Integer read GetCount write SetCount

Read Access
GetCount

Write Access
SetCount

FIMAS
Class Tree
Index
Previous
Next (Items)


Previous (Count)
Next

Name
Items

Parent
TFMSShareTypeAccountList

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSShareTypeAccount read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous (Count)
Next


Previous
Next (Assign)

Name
ADD

Parent
TFMSShareTypeAccountList

Visibility
PUBLIC

Source code
procedure Add ( const AItem : TFMSShareTypeAccount )

Parameters
Parameter | Description
AItem : TFMSShareTypeAccount | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Assign)


Previous (ADD)
Next (Clear)

Name
Assign

Parent
TFMSShareTypeAccountList

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (Clear)


Previous (Assign)
Next (Create)

Name
Clear

Parent
TFMSShareTypeAccountList

Visibility
PUBLIC

Source code
procedure Clear

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Assign)
Next (Create)


Previous (Clear)
Next (Delete)

Name
Create

Parent
TFMSShareTypeAccountList

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TPersistent ) ; override

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (Clear)
Next (Delete)


Previous (Create)
Next (Destroy)

Name
Delete

Parent
TFMSShareTypeAccountList

Visibility
PUBLIC

Source code
procedure Delete ( const AIndex : Integer )

Parameters
Parameter | Description
AIndex : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (Destroy)


Previous (Delete)
Next (GetCount)

Name
Destroy

Parent
TFMSShareTypeAccountList

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Delete)
Next (GetCount)


Previous (Destroy)
Next (GetItems)

Name
GetCount

Parent
TFMSShareTypeAccountList

Visibility
PRIVATE

Source code
function GetCount : Integer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Destroy)
Next (GetItems)


Previous (GetCount)
Next (GetLastItem)

Name
GetItems

Parent
TFMSShareTypeAccountList

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSShareTypeAccount

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetCount)
Next (GetLastItem)


Previous (GetItems)
Next (REMOVE)

Name
GetLastItem

Parent
TFMSShareTypeAccountList

Visibility
PUBLIC

Source code
function GetLastItem : TFMSShareTypeAccount

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (REMOVE)


Previous (GetLastItem)
Next (SetCount)

Name
REMOVE

Parent
TFMSShareTypeAccountList

Visibility
PUBLIC

Source code
procedure Remove ( const AItem : TFMSShareTypeAccount )

Parameters
Parameter | Description
AItem : TFMSShareTypeAccount | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (SetCount)


Previous (REMOVE)
Next (SetItems)

Name
SetCount

Parent
TFMSShareTypeAccountList

Visibility
PRIVATE

Source code
procedure SetCount ( const Value : Integer )

Parameters
Parameter | Description
Value : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (REMOVE)
Next (SetItems)


Previous (SetCount)
Next

Name
SetItems

Parent
TFMSShareTypeAccountList

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSShareTypeAccount )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSShareTypeAccount | &nbsp;

FIMAS
Class Tree
Index
Previous (SetCount)
Next


Previous (TFMSShareTypeAccountList)
Next (TFMSShareTypeList)

Name
TFMSShareTypeAccounts

Parent
FMSStandardRoles

Class Hierarchy
TFMSStandardAccounts

Visibility
PUBLIC

Description
Collection of TFMSShareTypeAccount.

Members
Methods
Method Description
ADD (+)
Create (+)
FindBuySellMatches (#)
FindByShareType (+)
GetItems (-)
GetLastItem (+)
SetItems (-)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSShareTypeAccountList)
Next (TFMSShareTypeList)


Previous
Next

Name
Items

Parent
TFMSShareTypeAccounts

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSShareTypeAccount read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Create)

Name
ADD

Parent
TFMSShareTypeAccounts

Visibility
PUBLIC

Source code
function Add : TFMSShareTypeAccount

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (ADD)
Next (FindBuySellMatches)

Name
Create

Parent
TFMSShareTypeAccounts

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TPersistent )

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (FindBuySellMatches)


Previous (Create)
Next (FindByShareType)

Name
FindBuySellMatches

Parent
TFMSShareTypeAccounts

Visibility
PROTECTED

Source code
procedure FindBuySellMatches

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (FindByShareType)


Previous (FindBuySellMatches)
Next (GetItems)

Name
FindByShareType

Parent
TFMSShareTypeAccounts

Visibility
PUBLIC

Source code
function FindByShareType ( AShareType : TFMSShareType ) : TFMSShareTypeAccount

Parameters
Parameter | Description
AShareType : TFMSShareType | &nbsp;

FIMAS
Class Tree
Index
Previous (FindBuySellMatches)
Next (GetItems)


Previous (FindByShareType)
Next (GetLastItem)

Name
GetItems

Parent
TFMSShareTypeAccounts

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSShareTypeAccount

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (FindByShareType)
Next (GetLastItem)


Previous (GetItems)
Next (SetItems)

Name
GetLastItem

Parent
TFMSShareTypeAccounts

Visibility
PUBLIC

Source code
function GetLastItem : TFMSShareTypeAccount

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (SetItems)


Previous (GetLastItem)
Next

Name
SetItems

Parent
TFMSShareTypeAccounts

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSShareTypeAccount )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSShareTypeAccount | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next


Previous (TFMSShareTypeAccounts)
Next (TFMSShareTypes)

Name
TFMSShareTypeList

Parent
FMSStandardRoles

Class Hierarchy
TStrangeInterfacedOwnedPersistent

Visibility
PUBLIC

Members
Fields
Field Description
FList (-)

Methods
Method Description
ADD (+)
Assign (+)
Clear (+)
Create (+)
Delete (+)
Destroy (+)
GetCount (-)
GetItems (-)
GetLastItem (+)
REMOVE (+)
SetCount (-)
SetItems (-)

Properties
Property Description
Count (+)
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSShareTypeAccounts)
Next (TFMSShareTypes)


Previous
Next

Name
FList

Parent
TFMSShareTypeList

Visibility
PRIVATE

Source code
FList : TList

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Items)

Name
Count

Parent
TFMSShareTypeList

Visibility
PUBLIC

Source code
property Count : Integer read GetCount write SetCount

Read Access
GetCount

Write Access
SetCount

FIMAS
Class Tree
Index
Previous
Next (Items)


Previous (Count)
Next

Name
Items

Parent
TFMSShareTypeList

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSShareType read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous (Count)
Next


Previous
Next (Assign)

Name
ADD

Parent
TFMSShareTypeList

Visibility
PUBLIC

Source code
procedure Add ( const AItem : TFMSShareType )

Parameters
Parameter | Description
AItem : TFMSShareType | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Assign)


Previous (ADD)
Next (Clear)

Name
Assign

Parent
TFMSShareTypeList

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (Clear)


Previous (Assign)
Next (Create)

Name
Clear

Parent
TFMSShareTypeList

Visibility
PUBLIC

Source code
procedure Clear

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Assign)
Next (Create)


Previous (Clear)
Next (Delete)

Name
Create

Parent
TFMSShareTypeList

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TPersistent ) ; override

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (Clear)
Next (Delete)


Previous (Create)
Next (Destroy)

Name
Delete

Parent
TFMSShareTypeList

Visibility
PUBLIC

Source code
procedure Delete ( const AIndex : Integer )

Parameters
Parameter | Description
AIndex : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (Destroy)


Previous (Delete)
Next (GetCount)

Name
Destroy

Parent
TFMSShareTypeList

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Delete)
Next (GetCount)


Previous (Destroy)
Next (GetItems)

Name
GetCount

Parent
TFMSShareTypeList

Visibility
PRIVATE

Source code
function GetCount : Integer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Destroy)
Next (GetItems)


Previous (GetCount)
Next (GetLastItem)

Name
GetItems

Parent
TFMSShareTypeList

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSShareType

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetCount)
Next (GetLastItem)


Previous (GetItems)
Next (REMOVE)

Name
GetLastItem

Parent
TFMSShareTypeList

Visibility
PUBLIC

Source code
function GetLastItem : TFMSShareType

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (REMOVE)


Previous (GetLastItem)
Next (SetCount)

Name
REMOVE

Parent
TFMSShareTypeList

Visibility
PUBLIC

Source code
procedure Remove ( const AItem : TFMSShareType )

Parameters
Parameter | Description
AItem : TFMSShareType | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (SetCount)


Previous (REMOVE)
Next (SetItems)

Name
SetCount

Parent
TFMSShareTypeList

Visibility
PRIVATE

Source code
procedure SetCount ( const Value : Integer )

Parameters
Parameter | Description
Value : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (REMOVE)
Next (SetItems)


Previous (SetCount)
Next

Name
SetItems

Parent
TFMSShareTypeList

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSShareType )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSShareType | &nbsp;

FIMAS
Class Tree
Index
Previous (SetCount)
Next


Previous (TFMSShareTypeList)
Next (TFMSSimpleCommisionPlan)

Name
TFMSShareTypes

Parent
FMSStandardRoles

Class Hierarchy
TStrangeInterfacedOwnedCollection

Visibility
PUBLIC

Description
Collection of TFMSShareType.

Members
Methods
Method Description
ADD (+)
Create (+)
FindBySticker (+)
GetItems (-)
GetLastItem (+)
SetItems (-)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSShareTypeList)
Next (TFMSSimpleCommisionPlan)


Previous
Next

Name
Items

Parent
TFMSShareTypes

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSShareType read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Create)

Name
ADD

Parent
TFMSShareTypes

Visibility
PUBLIC

Source code
function Add : TFMSShareType

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (ADD)
Next (FindBySticker)

Name
Create

Parent
TFMSShareTypes

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TPersistent )

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (FindBySticker)


Previous (Create)
Next (GetItems)

Name
FindBySticker

Parent
TFMSShareTypes

Visibility
PUBLIC

Source code
function FindBySticker ( const AName : string ) : TFMSShareType

Parameters
Parameter | Description
AName : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (GetItems)


Previous (FindBySticker)
Next (GetLastItem)

Name
GetItems

Parent
TFMSShareTypes

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSShareType

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (FindBySticker)
Next (GetLastItem)


Previous (GetItems)
Next (SetItems)

Name
GetLastItem

Parent
TFMSShareTypes

Visibility
PUBLIC

Source code
function GetLastItem : TFMSShareType

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (SetItems)


Previous (GetLastItem)
Next

Name
SetItems

Parent
TFMSShareTypes

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSShareType )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSShareType | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next


Previous (TFMSShareTypes)
Next (TFMSStandardAccount)

Name
TFMSSimpleCommisionPlan

Parent
FMSStandardRoles

Class Hierarchy
TFMSShareTransactionCommisionPlan

Visibility
PUBLIC

Description
A plan that requires to pay a certain comission fee per deal.

Members
Fields
Field Description
FCommisionPerDeal (-)
FPercentPerDeal (-)

Methods
Method Description
Assign (+)
Create (+)
GetCommisionPerDeal (+)
GetStyle (#)

Properties
Property Description
CommisionPerDeal (*)
PercentPerDeal (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSShareTypes)
Next (TFMSStandardAccount)


Previous
Next (FPercentPerDeal)

Name
FCommisionPerDeal

Parent
TFMSSimpleCommisionPlan

Visibility
PRIVATE

Source code
FCommisionPerDeal : Double

FIMAS
Class Tree
Index
Previous
Next (FPercentPerDeal)


Previous (FCommisionPerDeal)
Next

Name
FPercentPerDeal

Parent
TFMSSimpleCommisionPlan

Visibility
PRIVATE

Source code
FPercentPerDeal : Double

FIMAS
Class Tree
Index
Previous (FCommisionPerDeal)
Next


Previous
Next (PercentPerDeal)

Name
CommisionPerDeal

Parent
TFMSSimpleCommisionPlan

Visibility
PUBLISHED

Source code
property CommisionPerDeal : Double read FCommisionPerDeal write FCommisionPerDeal

Read Access
FCommisionPerDeal

Write Access
FCommisionPerDeal

FIMAS
Class Tree
Index
Previous
Next (PercentPerDeal)


Previous (CommisionPerDeal)
Next

Name
PercentPerDeal

Parent
TFMSSimpleCommisionPlan

Visibility
PUBLISHED

Source code
property PercentPerDeal : Double read FPercentPerDeal write FPercentPerDeal

Read Access
FPercentPerDeal

Write Access
FPercentPerDeal

FIMAS
Class Tree
Index
Previous (CommisionPerDeal)
Next


Previous
Next (Create)

Name
Assign

Parent
TFMSSimpleCommisionPlan

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (Assign)
Next (GetCommisionPerDeal)

Name
Create

Parent
TFMSSimpleCommisionPlan

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TXCollection ) ; override

Parameters
Parameter | Description
AOwner : TXCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (Assign)
Next (GetCommisionPerDeal)


Previous (Create)
Next (GetStyle)

Name
GetCommisionPerDeal

Parent
TFMSSimpleCommisionPlan

Visibility
PUBLIC

Source code
function GetCommisionPerDeal ( const AAmount : Double ) : Double ; overload ; override

Parameters
Parameter | Description
AAmount : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (GetStyle)


Previous (GetCommisionPerDeal)
Next

Name
GetStyle

Parent
TFMSSimpleCommisionPlan

Visibility
PROTECTED

Source code
class function GetStyle : TFMSCommisionPlanStyles

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCommisionPerDeal)
Next


Previous (TFMSSimpleCommisionPlan)
Next (TFMSStandardAccounts)

Name
TFMSStandardAccount

Parent
FMSStandardRoles

Class Hierarchy
TStrangeInterfacedCollectionItem

Visibility
PUBLIC

Description
A class of an abstract account.m

Members
Fields
Field Description
FActive (-)

Methods
Method Description
Assign (+)
Create (+)
GetParent (#)
GetParticipantRole (+)
GetWorld (+)

Properties
Property Description
Active (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSSimpleCommisionPlan)
Next (TFMSStandardAccounts)


Previous
Next

Name
FActive

Parent
TFMSStandardAccount

Visibility
PRIVATE

Source code
FActive : Boolean

FIMAS
Class Tree
Index
Previous
Next


Previous
Next

Name
Active

Parent
TFMSStandardAccount

Visibility
PUBLISHED

Source code
property Active : Boolean read FActive

Read Access
FActive

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Create)

Name
Assign

Parent
TFMSStandardAccount

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (Assign)
Next (GetParent)

Name
Create

Parent
TFMSStandardAccount

Visibility
PUBLIC

Source code
constructor Create ( Collection : TCollection ) ; override

Parameters
Parameter | Description
Collection : TCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (Assign)
Next (GetParent)


Previous (Create)
Next (GetParticipantRole)

Name
GetParent

Parent
TFMSStandardAccount

Visibility
PROTECTED

Source code
function GetParent : TFMSStandardAccounts

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (GetParticipantRole)


Previous (GetParent)
Next (GetWorld)

Name
GetParticipantRole

Parent
TFMSStandardAccount

Visibility
PUBLIC

Source code
function GetParticipantRole : TFMSParticipantRole ; virtual ; abstract

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetParent)
Next (GetWorld)


Previous (GetParticipantRole)
Next

Name
GetWorld

Parent
TFMSStandardAccount

Visibility
PUBLIC

Source code
function GetWorld : TFMSWorld

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetParticipantRole)
Next


Previous (TFMSStandardAccount)
Next (TFMSStandardBrokerStrategy)

Name
TFMSStandardAccounts

Parent
FMSStandardRoles

Class Hierarchy
TStrangeInterfacedOwnedCollection

Visibility
PUBLIC

Description
Collection of TFMSStandardAccount.

Members
Methods
Method Description
ADD (+)
Create (+)
GetItems (-)
GetLastItem (+)
SetItems (-)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSStandardAccount)
Next (TFMSStandardBrokerStrategy)


Previous
Next

Name
Items

Parent
TFMSStandardAccounts

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSStandardAccount read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Create)

Name
ADD

Parent
TFMSStandardAccounts

Visibility
PUBLIC

Source code
function Add : TFMSStandardAccount

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (ADD)
Next (GetItems)

Name
Create

Parent
TFMSStandardAccounts

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TPersistent ) ; overload

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (GetItems)


Previous (Create)
Next (GetLastItem)

Name
GetItems

Parent
TFMSStandardAccounts

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSStandardAccount

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (GetLastItem)


Previous (GetItems)
Next (SetItems)

Name
GetLastItem

Parent
TFMSStandardAccounts

Visibility
PUBLIC

Source code
function GetLastItem : TFMSStandardAccount

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (SetItems)


Previous (GetLastItem)
Next

Name
SetItems

Parent
TFMSStandardAccounts

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSStandardAccount )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSStandardAccount | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next


Previous (TFMSStandardAccounts)
Next (TFMSStandardParticipant)

Name
TFMSStandardBrokerStrategy

Parent
FMSStandardRoles

Class Hierarchy
TFMSBrokerStrategy

Visibility
PUBLIC

Description
A broket strategy that just redirects all incomming requests to the market.

Members
Methods
Method Description
FriendlyDescription (+)
FriendlyName (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSStandardAccounts)
Next (TFMSStandardParticipant)


Previous
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSStandardBrokerStrategy

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (FriendlyName)


Previous (FriendlyDescription)
Next

Name
FriendlyName

Parent
TFMSStandardBrokerStrategy

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next


Previous (TFMSStandardBrokerStrategy)
Next (TFMSStandardParticipantRole)

Name
TFMSStandardParticipant

Parent
FMSStandardRoles

Class Hierarchy
TFMSParticipant

Visibility
PUBLIC

Description
A wrapper around TFMSParticipant, that allows to cast itself to other roles.

Members
Methods
Method | Description
DoCreateRoles (#) | Abstracted to be able to properly override Roles property.
FriendlyDescription (+)
FriendlyName (+)
GetBrokerRole (+)
GetCompanyRole (+)
GetConsumerRole (+)
GetFamilyRole (+)
GetMarketRole (+)
GetParent (#)
GetRoles (-)
GetTraderRole (+)
SetRoles (-)

Properties
Property Description
Roles (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSStandardBrokerStrategy)
Next (TFMSStandardParticipantRole)


Previous
Next

Name
Roles

Parent
TFMSStandardParticipant

Visibility
PUBLISHED

Source code
property Roles : TFMSStandardParticipantRoles read GetRoles write SetRoles

Read Access
GetRoles

Write Access
SetRoles

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (FriendlyDescription)

Name
DoCreateRoles

Parent
TFMSStandardParticipant

Visibility
PROTECTED

Description
Abstracted to be able to properly override Roles property.
Abstracted to be able to properly override Roles property.

Source code
procedure DoCreateRoles ( var ARoles : TFMSParticipantRoles ) ; override

Parameters
Parameter | Description
ARoles : TFMSParticipantRoles | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (FriendlyDescription)


Previous (DoCreateRoles)
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSStandardParticipant

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoCreateRoles)
Next (FriendlyName)


Previous (FriendlyDescription)
Next (GetBrokerRole)

Name
FriendlyName

Parent
TFMSStandardParticipant

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next (GetBrokerRole)


Previous (FriendlyName)
Next (GetCompanyRole)

Name
GetBrokerRole

Parent
TFMSStandardParticipant

Visibility
PUBLIC

Source code
function GetBrokerRole : TFMSBrokerRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyName)
Next (GetCompanyRole)


Previous (GetBrokerRole)
Next (GetConsumerRole)

Name
GetCompanyRole

Parent
TFMSStandardParticipant

Visibility
PUBLIC

Source code
function GetCompanyRole : TFMSCompanyRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetBrokerRole)
Next (GetConsumerRole)


Previous (GetCompanyRole)
Next (GetFamilyRole)

Name
GetConsumerRole

Parent
TFMSStandardParticipant

Visibility
PUBLIC

Source code
function GetConsumerRole : TFMSConsumerRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCompanyRole)
Next (GetFamilyRole)


Previous (GetConsumerRole)
Next (GetMarketRole)

Name
GetFamilyRole

Parent
TFMSStandardParticipant

Visibility
PUBLIC

Source code
function GetFamilyRole : TFMSFamilyRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetConsumerRole)
Next (GetMarketRole)


Previous (GetFamilyRole)
Next (GetParent)

Name
GetMarketRole

Parent
TFMSStandardParticipant

Visibility
PUBLIC

Source code
function GetMarketRole : TFMSMarketRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetFamilyRole)
Next (GetParent)


Previous (GetMarketRole)
Next (GetRoles)

Name
GetParent

Parent
TFMSStandardParticipant

Visibility
PROTECTED

Source code
function GetParent : TFMSStandardParticipants

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetMarketRole)
Next (GetRoles)


Previous (GetParent)
Next (GetTraderRole)

Name
GetRoles

Parent
TFMSStandardParticipant

Visibility
PRIVATE

Source code
function GetRoles : TFMSStandardParticipantRoles

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetParent)
Next (GetTraderRole)


Previous (GetRoles)
Next (SetRoles)

Name
GetTraderRole

Parent
TFMSStandardParticipant

Visibility
PUBLIC

Source code
function GetTraderRole : TFMSTraderRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetRoles)
Next (SetRoles)


Previous (GetTraderRole)
Next

Name
SetRoles

Parent
TFMSStandardParticipant

Visibility
PRIVATE

Source code
procedure SetRoles ( const Value : TFMSStandardParticipantRoles )

Parameters
Parameter | Description
Value : TFMSStandardParticipantRoles | &nbsp;

FIMAS
Class Tree
Index
Previous (GetTraderRole)
Next


Previous (TFMSStandardParticipant)
Next (TFMSStandardParticipantRoleList)

Name
TFMSStandardParticipantRole

Parent
FMSStandardRoles

Class Hierarchy
TFMSParticipantRole

Visibility
PUBLIC

Description
An abstract class that serves as an ancestor to all other more complex roles.

Members
Fields
Field Description
FActivePlans (-)
FOpeningHours (-)
FPlans (-)
FStrategies (-)

Methods
Method | Description
Assign (+)
Create (+)
Destroy (+) | Add-up Classificator news and ParticipantRole news.
DoCreatePlans (#)
DoCreateStrategies (#)
DoFilteredByTime (#) | If function returns True then calculation will no longer proceed.
DoSelectStrategy (#)
FriendlyDescription (+)
FriendlyName (+)
SetActivePlans (-)
SetOpeningHours (-)
SetPlans (-)
SetStrategies (-)
Step (#)

Properties
Property Description
ActivePlans (*)
OpeningHours (*)
Plans (*)
Strategies (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSStandardParticipant)
Next (TFMSStandardParticipantRoleList)


Previous
Next (FOpeningHours)

Name
FActivePlans

Parent
TFMSStandardParticipantRole

Visibility
PRIVATE

Source code
FActivePlans : TFMSPlanList

FIMAS
Class Tree
Index
Previous
Next (FOpeningHours)


Previous (FActivePlans)
Next (FPlans)

Name
FOpeningHours

Parent
TFMSStandardParticipantRole

Visibility
PRIVATE

Source code
FOpeningHours : TFMSWorkingHours

FIMAS
Class Tree
Index
Previous (FActivePlans)
Next (FPlans)


Previous (FOpeningHours)
Next (FStrategies)

Name
FPlans

Parent
TFMSStandardParticipantRole

Visibility
PRIVATE

Source code
FPlans : TFMSPlans

FIMAS
Class Tree
Index
Previous (FOpeningHours)
Next (FStrategies)


Previous (FPlans)
Next

Name
FStrategies

Parent
TFMSStandardParticipantRole

Visibility
PRIVATE

Source code
FStrategies : TFMSStrategies

FIMAS
Class Tree
Index
Previous (FPlans)
Next


Previous
Next (OpeningHours)

Name
ActivePlans

Parent
TFMSStandardParticipantRole

Visibility
PUBLISHED

Source code
property ActivePlans : TFMSPlanList read FActivePlans write SetActivePlans

Read Access
FActivePlans

Write Access
SetActivePlans

FIMAS
Class Tree
Index
Previous
Next (OpeningHours)


Previous (ActivePlans)
Next (Plans)

Name
OpeningHours

Parent
TFMSStandardParticipantRole

Visibility
PUBLISHED

Source code
property OpeningHours : TFMSWorkingHours read FOpeningHours write SetOpeningHours

Read Access
FOpeningHours

Write Access
SetOpeningHours

FIMAS
Class Tree
Index
Previous (ActivePlans)
Next (Plans)


Previous (OpeningHours)
Next (Strategies)

Name
Plans

Parent
TFMSStandardParticipantRole

Visibility
PUBLISHED

Source code
property Plans : TFMSPlans read FPlans write SetPlans

Read Access
FPlans

Write Access
SetPlans

FIMAS
Class Tree
Index
Previous (OpeningHours)
Next (Strategies)


Previous (Plans)
Next

Name
Strategies

Parent
TFMSStandardParticipantRole

Visibility
PUBLISHED

Source code
property Strategies : TFMSStrategies read FStrategies write SetStrategies

Read Access
FStrategies

Write Access
SetStrategies

FIMAS
Class Tree
Index
Previous (Plans)
Next


Previous
Next (Create)

Name
Assign

Parent
TFMSStandardParticipantRole

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (Assign)
Next (Destroy)

Name
Create

Parent
TFMSStandardParticipantRole

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TXCollection ) ; override

Parameters
Parameter | Description
AOwner : TXCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (Assign)
Next (Destroy)


Previous (Create)
Next (DoCreatePlans)

Name
Destroy

Parent
TFMSStandardParticipantRole

Visibility
PUBLIC

Description
Add-up Classificator news and ParticipantRole news.
Add-up Classificator news and ParticipantRole news.

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (DoCreatePlans)


Previous (Destroy)
Next (DoCreateStrategies)

Name
DoCreatePlans

Parent
TFMSStandardParticipantRole

Visibility
PROTECTED

Source code
procedure DoCreatePlans ( var APlans : TFMSPlans ; var AActivePlans : TFMSPlanList ) ; virtual

Parameters
Parameter | Description
APlans : TFMSPlans | &nbsp;
AActivePlans : TFMSPlanList | &nbsp;

FIMAS
Class Tree
Index
Previous (Destroy)
Next (DoCreateStrategies)


Previous (DoCreatePlans)
Next (DoFilteredByTime)

Name
DoCreateStrategies

Parent
TFMSStandardParticipantRole

Visibility
PROTECTED

Source code
procedure DoCreateStrategies ( var AStrategies : TFMSStrategies ) ; virtual

Parameters
Parameter | Description
AStrategies : TFMSStrategies | &nbsp;

FIMAS
Class Tree
Index
Previous (DoCreatePlans)
Next (DoFilteredByTime)


Previous (DoCreateStrategies)
Next (DoSelectStrategy)

Name
DoFilteredByTime

Parent
TFMSStandardParticipantRole

Visibility
PROTECTED

Description
If function returns True then calculation will no longer proceed.
If function returns True then calculation will no longer proceed.

Source code
function DoFilteredByTime : Boolean ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoCreateStrategies)
Next (DoSelectStrategy)


Previous (DoFilteredByTime)
Next (FriendlyDescription)

Name
DoSelectStrategy

Parent
TFMSStandardParticipantRole

Visibility
PROTECTED

Source code
procedure DoSelectStrategy ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoFilteredByTime)
Next (FriendlyDescription)


Previous (DoSelectStrategy)
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSStandardParticipantRole

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoSelectStrategy)
Next (FriendlyName)


Previous (FriendlyDescription)
Next (SetActivePlans)

Name
FriendlyName

Parent
TFMSStandardParticipantRole

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next (SetActivePlans)


Previous (FriendlyName)
Next (SetOpeningHours)

Name
SetActivePlans

Parent
TFMSStandardParticipantRole

Visibility
PRIVATE

Source code
procedure SetActivePlans ( const Value : TFMSPlanList )

Parameters
Parameter | Description
Value : TFMSPlanList | &nbsp;

FIMAS
Class Tree
Index
Previous (FriendlyName)
Next (SetOpeningHours)


Previous (SetActivePlans)
Next (SetPlans)

Name
SetOpeningHours

Parent
TFMSStandardParticipantRole

Visibility
PRIVATE

Source code
procedure SetOpeningHours ( const Value : TFMSWorkingHours )

Parameters
Parameter | Description
Value : TFMSWorkingHours | &nbsp;

FIMAS
Class Tree
Index
Previous (SetActivePlans)
Next (SetPlans)


Previous (SetOpeningHours)
Next (SetStrategies)

Name
SetPlans

Parent
TFMSStandardParticipantRole

Visibility
PRIVATE

Source code
procedure SetPlans ( const Value : TFMSPlans )

Parameters
Parameter | Description
Value : TFMSPlans | &nbsp;

FIMAS
Class Tree
Index
Previous (SetOpeningHours)
Next (SetStrategies)


Previous (SetPlans)
Next (Step)

Name
SetStrategies

Parent
TFMSStandardParticipantRole

Visibility
PRIVATE

Source code
procedure SetStrategies ( const Value : TFMSStrategies )

Parameters
Parameter | Description
Value : TFMSStrategies | &nbsp;

FIMAS
Class Tree
Index
Previous (SetPlans)
Next (Step)


Previous (SetStrategies)
Next

Name
Step

Parent
TFMSStandardParticipantRole

Visibility
PROTECTED

Source code
procedure Step ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetStrategies)
Next


Previous (TFMSStandardParticipantRole)
Next (TFMSStandardParticipantRoles)

Name
TFMSStandardParticipantRoleList

Parent
FMSStandardRoles

Class Hierarchy
TFMSParticipantRoleList

Visibility
PUBLIC

Description
A list of TFMSStandardParticipantRole.

Members
Methods
Method | Description
ADD (+) | Standard list method.
GetItems (-) | Standard list method.
GetLastItem (+) | Standard list method.
GetRandomRole (+)
REMOVE (+) | Standard list method.
SetItems (-) | Standard list method.

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSStandardParticipantRole)
Next (TFMSStandardParticipantRoles)


Previous
Next

Name
Items

Parent
TFMSStandardParticipantRoleList

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSParticipantRole read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (GetItems)

Name
ADD

Parent
TFMSStandardParticipantRoleList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
procedure Add ( const AItem : TFMSParticipantRole )

Parameters
Parameter | Description
AItem : TFMSParticipantRole | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (GetItems)


Previous (ADD)
Next (GetLastItem)

Name
GetItems

Parent
TFMSStandardParticipantRoleList

Visibility
PRIVATE

Description
Standard list method.
Standard list method.

Source code
function GetItems ( const Index : Integer ) : TFMSParticipantRole

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (GetLastItem)


Previous (GetItems)
Next (GetRandomRole)

Name
GetLastItem

Parent
TFMSStandardParticipantRoleList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
function GetLastItem : TFMSParticipantRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (GetRandomRole)


Previous (GetLastItem)
Next (REMOVE)

Name
GetRandomRole

Parent
TFMSStandardParticipantRoleList

Visibility
PUBLIC

Source code
function GetRandomRole : TFMSParticipantRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (REMOVE)


Previous (GetRandomRole)
Next (SetItems)

Name
REMOVE

Parent
TFMSStandardParticipantRoleList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
procedure Remove ( const AItem : TFMSParticipantRole )

Parameters
Parameter | Description
AItem : TFMSParticipantRole | &nbsp;

FIMAS
Class Tree
Index
Previous (GetRandomRole)
Next (SetItems)


Previous (REMOVE)
Next

Name
SetItems

Parent
TFMSStandardParticipantRoleList

Visibility
PRIVATE

Description
Standard list method.
Standard list method.

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSParticipantRole )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSParticipantRole | &nbsp;

FIMAS
Class Tree
Index
Previous (REMOVE)
Next


Previous (TFMSStandardParticipantRoleList)
Next (TFMSStandardParticipants)

Name
TFMSStandardParticipantRoles

Parent
FMSStandardRoles

Class Hierarchy
TFMSParticipantRoles

Visibility
PUBLIC

Description
Collection of TFMSStandardParticipantRole.

Members
Methods
Method | Description
ADD (+)
AddByID (+) | Standard XCollection method.
CanAdd (+) | Standard XCollection method.
GetItems (-) | Standard XCollection method.
ItemsClass (+) | Standard XCollection method.
SetItems (-)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSStandardParticipantRoleList)
Next (TFMSStandardParticipants)


Previous
Next

Name
Items

Parent
TFMSStandardParticipantRoles

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSStandardParticipantRole read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (AddByID)

Name
ADD

Parent
TFMSStandardParticipantRoles

Visibility
PUBLIC

Source code
function Add ( AClass : TFMSStandardParticipantRoleClass ) : TFMSStandardParticipantRole

Parameters
Parameter | Description
AClass : TFMSStandardParticipantRoleClass | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (AddByID)


Previous (ADD)
Next (CanAdd)

Name
AddByID

Parent
TFMSStandardParticipantRoles

Visibility
PUBLIC

Description
Standard XCollection method.
Standard XCollection method.

Source code
function AddByID ( AClass : TStrangeClassID ) : TFMSStandardParticipantRole

Parameters
Parameter | Description
AClass : TStrangeClassID | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (CanAdd)


Previous (AddByID)
Next (GetItems)

Name
CanAdd

Parent
TFMSStandardParticipantRoles

Visibility
PUBLIC

Description
Standard XCollection method.
Standard XCollection method.

Source code
function CanAdd ( AClass : TXCollectionItemClass ) : Boolean ; override

Parameters
Parameter | Description
AClass : TXCollectionItemClass | &nbsp;

FIMAS
Class Tree
Index
Previous (AddByID)
Next (GetItems)


Previous (CanAdd)
Next (ItemsClass)

Name
GetItems

Parent
TFMSStandardParticipantRoles

Visibility
PRIVATE

Description
Standard XCollection method.
Standard XCollection method.

Source code
function GetItems ( const Index : Integer ) : TFMSStandardParticipantRole

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (CanAdd)
Next (ItemsClass)


Previous (GetItems)
Next (SetItems)

Name
ItemsClass

Parent
TFMSStandardParticipantRoles

Visibility
PUBLIC

Description
Standard XCollection method.
Standard XCollection method.

Source code
class function ItemsClass : TXCollectionItemClass ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (SetItems)


Previous (ItemsClass)
Next

Name
SetItems

Parent
TFMSStandardParticipantRoles

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSStandardParticipantRole )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSStandardParticipantRole | &nbsp;

FIMAS
Class Tree
Index
Previous (ItemsClass)
Next


Previous (TFMSStandardParticipantRoles)
Next (TFMSStrategies)

Name
TFMSStandardParticipants

Parent
FMSStandardRoles

Class Hierarchy
TFMSParticipants

Visibility
PUBLIC

Description
Collection of TFMSStandardParticipant.

Members
Methods
Method | Description
ADD (+)
AddByID (+) | Standard XCollection method.
CanAdd (+) | Standard XCollection method.
GetItems (-) | Standard XCollection method.
ItemsClass (+) | Standard XCollection method.
SetItems (-)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSStandardParticipantRoles)
Next (TFMSStrategies)


Previous
Next

Name
Items

Parent
TFMSStandardParticipants

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSStandardParticipant read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (AddByID)

Name
ADD

Parent
TFMSStandardParticipants

Visibility
PUBLIC

Source code
function Add ( AClass : TFMSStandardParticipantClass ) : TFMSStandardParticipant

Parameters
Parameter | Description
AClass : TFMSStandardParticipantClass | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (AddByID)


Previous (ADD)
Next (CanAdd)

Name
AddByID

Parent
TFMSStandardParticipants

Visibility
PUBLIC

Description
Standard XCollection method.
Standard XCollection method.

Source code
function AddByID ( AClass : TStrangeClassID ) : TFMSStandardParticipant

Parameters
Parameter | Description
AClass : TStrangeClassID | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (CanAdd)


Previous (AddByID)
Next (GetItems)

Name
CanAdd

Parent
TFMSStandardParticipants

Visibility
PUBLIC

Description
Standard XCollection method.
Standard XCollection method.

Source code
function CanAdd ( AClass : TXCollectionItemClass ) : Boolean ; override

Parameters
Parameter | Description
AClass : TXCollectionItemClass | &nbsp;

FIMAS
Class Tree
Index
Previous (AddByID)
Next (GetItems)


Previous (CanAdd)
Next (ItemsClass)

Name
GetItems

Parent
TFMSStandardParticipants

Visibility
PRIVATE

Description
Standard XCollection method.
Standard XCollection method.

Source code
function GetItems ( const Index : Integer ) : TFMSStandardParticipant

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (CanAdd)
Next (ItemsClass)


Previous (GetItems)
Next (SetItems)

Name
ItemsClass

Parent
TFMSStandardParticipants

Visibility
PUBLIC

Description
Standard XCollection method.
Standard XCollection method.

Source code
class function ItemsClass : TXCollectionItemClass ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (SetItems)


Previous (ItemsClass)
Next

Name
SetItems

Parent
TFMSStandardParticipants

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSStandardParticipant )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSStandardParticipant | &nbsp;

FIMAS
Class Tree
Index
Previous (ItemsClass)
Next


Previous (TFMSStandardParticipants)
Next (TFMSStrategy)

Name
TFMSStrategies

Parent
FMSStandardRoles

Class Hierarchy
TFMSUniqueNamedCollection

Visibility
PUBLIC

Description
Collection of TFMSStrategy.

Members
Fields
Field Description
FCurrentStrategy (-)

Methods
Method Description
ADD (+)
AddByID (+)
Assign (+)
CanAdd (+)
Create (+)
GetCurrentStrategy (+)
GetItems (-)
GetLastItem (+)
ItemsClass (+)
SelectNextStrategy (+)
SetItems (-)

Properties
Property Description
CurrentStrategy (+)
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSStandardParticipants)
Next (TFMSStrategy)


Previous
Next

Name
FCurrentStrategy

Parent
TFMSStrategies

Visibility
PRIVATE

Source code
FCurrentStrategy : Integer

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Items)

Name
CurrentStrategy

Parent
TFMSStrategies

Visibility
PUBLIC

Source code
property CurrentStrategy : Integer read FCurrentStrategy stored True

Read Access
FCurrentStrategy

FIMAS
Class Tree
Index
Previous
Next (Items)


Previous (CurrentStrategy)
Next

Name
Items

Parent
TFMSStrategies

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSStrategy read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous (CurrentStrategy)
Next


Previous
Next (AddByID)

Name
ADD

Parent
TFMSStrategies

Visibility
PUBLIC

Source code
function Add ( AClass : TFMSStrategyClass ) : TFMSStrategy

Parameters
Parameter | Description
AClass : TFMSStrategyClass | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (AddByID)


Previous (ADD)
Next (Assign)

Name
AddByID

Parent
TFMSStrategies

Visibility
PUBLIC

Source code
function AddByID ( AClass : TStrangeClassID ) : TFMSStrategy

Parameters
Parameter | Description
AClass : TStrangeClassID | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (Assign)


Previous (AddByID)
Next (CanAdd)

Name
Assign

Parent
TFMSStrategies

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (AddByID)
Next (CanAdd)


Previous (Assign)
Next (Create)

Name
CanAdd

Parent
TFMSStrategies

Visibility
PUBLIC

Source code
function CanAdd ( AClass : TXCollectionItemClass ) : Boolean ; override

Parameters
Parameter | Description
AClass : TXCollectionItemClass | &nbsp;

FIMAS
Class Tree
Index
Previous (Assign)
Next (Create)


Previous (CanAdd)
Next (GetCurrentStrategy)

Name
Create

Parent
TFMSStrategies

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TPersistent ) ; override

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (CanAdd)
Next (GetCurrentStrategy)


Previous (Create)
Next (GetItems)

Name
GetCurrentStrategy

Parent
TFMSStrategies

Visibility
PUBLIC

Source code
function GetCurrentStrategy : TFMSStrategy

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (GetItems)


Previous (GetCurrentStrategy)
Next (GetLastItem)

Name
GetItems

Parent
TFMSStrategies

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSStrategy

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetCurrentStrategy)
Next (GetLastItem)


Previous (GetItems)
Next (ItemsClass)

Name
GetLastItem

Parent
TFMSStrategies

Visibility
PUBLIC

Source code
function GetLastItem : TFMSStrategy

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (ItemsClass)


Previous (GetLastItem)
Next (SelectNextStrategy)

Name
ItemsClass

Parent
TFMSStrategies

Visibility
PUBLIC

Source code
class function ItemsClass : TXCollectionItemClass ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (SelectNextStrategy)


Previous (ItemsClass)
Next (SetItems)

Name
SelectNextStrategy

Parent
TFMSStrategies

Visibility
PUBLIC

Source code
procedure SelectNextStrategy

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (ItemsClass)
Next (SetItems)


Previous (SelectNextStrategy)
Next

Name
SetItems

Parent
TFMSStrategies

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSStrategy )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSStrategy | &nbsp;

FIMAS
Class Tree
Index
Previous (SelectNextStrategy)
Next


Previous (TFMSStrategies)
Next (TFMSTraderAccount)

Name
TFMSStrategy

Parent
FMSStandardRoles

Class Hierarchy
TFMSUniqueNamed

Visibility
PUBLIC

Description
Abstract class that serves as an ancestor to all other participant-specific strategies.

Members
Methods
Method Description
DoProcessActiveLinkedPlan (#)
FriendlyDescription (+)
FriendlyName (+)
GetParent (#)
GetRole (+)
GetWorld (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSStrategies)
Next (TFMSTraderAccount)


Previous
Next (FriendlyDescription)

Name
DoProcessActiveLinkedPlan

Parent
TFMSStrategy

Visibility
PROTECTED

Source code
procedure DoProcessActiveLinkedPlan ( const APlan : TFMSPlan ) ; virtual

Parameters
Parameter | Description
APlan : TFMSPlan | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (FriendlyDescription)


Previous (DoProcessActiveLinkedPlan)
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSStrategy

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoProcessActiveLinkedPlan)
Next (FriendlyName)


Previous (FriendlyDescription)
Next (GetParent)

Name
FriendlyName

Parent
TFMSStrategy

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next (GetParent)


Previous (FriendlyName)
Next (GetRole)

Name
GetParent

Parent
TFMSStrategy

Visibility
PROTECTED

Source code
function GetParent : TFMSStrategies

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyName)
Next (GetRole)


Previous (GetParent)
Next (GetWorld)

Name
GetRole

Parent
TFMSStrategy

Visibility
PUBLIC

Source code
function GetRole : TFMSStandardParticipantRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetParent)
Next (GetWorld)


Previous (GetRole)
Next

Name
GetWorld

Parent
TFMSStrategy

Visibility
PUBLIC

Source code
function GetWorld : TFMSWorld

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetRole)
Next


Previous (TFMSStrategy)
Next (TFMSTraderAccounts)

Name
TFMSTraderAccount

Parent
FMSStandardRoles

Class Hierarchy
TFMSTransactionRequestAccount

Visibility
PUBLIC

Description
An account of a trader on his broker's side.

Members
Fields
Field Description
FTrader (-)

Methods
Method | Description
Assign (+)
Create (+)
Destroy (+)
DoCreateActiveTransactionRequestsList (#)
GetActiveTransactionRequests (-)
GetBroker (-)
GetParent (#)
GetTransactionRequests (-)
MakeRequestFromTemplate (+) | Just makes the request. Does not validate it.
MakeRequestFull (+) | Just makes the request. Does not validate it.
MakeRequestMini (+)
MakeRequestStandard (+) | Just makes the request. Does not validate it.
SetActiveTransactionRequests (-)
SetTransactionRequests (-)

Properties
Property | Description
ActiveTransactionRequests (*) | Requests that are active for the broker
Broker (*)
Trader (*)
TransactionRequests (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSStrategy)
Next (TFMSTraderAccounts)


Previous
Next

Name
FTrader

Parent
TFMSTraderAccount

Visibility
PRIVATE

Source code
FTrader : TFMSTraderRole

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Broker)

Name
ActiveTransactionRequests

Parent
TFMSTraderAccount

Visibility
PUBLISHED

Description
Requests that are active for the broker

Source code
property ActiveTransactionRequests : TFMSShareTransactionTraderRequestList read GetActiveTransactionRequests write SetActiveTransactionRequests

Read Access
GetActiveTransactionRequests

Write Access
SetActiveTransactionRequests

FIMAS
Class Tree
Index
Previous
Next (Broker)


Previous (ActiveTransactionRequests)
Next (Trader)

Name
Broker

Parent
TFMSTraderAccount

Visibility
PUBLISHED

Source code
property Broker : TFMSBrokerRole read GetBroker

Read Access
GetBroker

FIMAS
Class Tree
Index
Previous (ActiveTransactionRequests)
Next (Trader)


Previous (Broker)
Next (TransactionRequests)

Name
Trader

Parent
TFMSTraderAccount

Visibility
PUBLISHED

Source code
property Trader : TFMSTraderRole read FTrader

Read Access
FTrader

FIMAS
Class Tree
Index
Previous (Broker)
Next (TransactionRequests)


Previous (Trader)
Next

Name
TransactionRequests

Parent
TFMSTraderAccount

Visibility
PUBLISHED

Source code
property TransactionRequests : TFMSShareTransactionTraderRequestList read GetTransactionRequests write SetTransactionRequests

Read Access
GetTransactionRequests

Write Access
SetTransactionRequests

FIMAS
Class Tree
Index
Previous (Trader)
Next


Previous
Next (Create)

Name
Assign

Parent
TFMSTraderAccount

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (Assign)
Next (Destroy)

Name
Create

Parent
TFMSTraderAccount

Visibility
PUBLIC

Source code
constructor Create ( Collection : TCollection ) ; override

Parameters
Parameter | Description
Collection : TCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (Assign)
Next (Destroy)


Previous (Create)
Next (DoCreateActiveTransactionRequestsList)

Name
Destroy

Parent
TFMSTraderAccount

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (DoCreateActiveTransactionRequestsList)


Previous (Destroy)
Next (GetActiveTransactionRequests)

Name
DoCreateActiveTransactionRequestsList

Parent
TFMSTraderAccount

Visibility
PROTECTED

Source code
procedure DoCreateActiveTransactionRequestsList ( var ATransactionRequestsList , AActiveTransactionRequestsList : TFMSShareTransactionRequestList ) ; override

Parameters
Parameter | Description
ATransactionRequestsList : TFMSShareTransactionRequestList | &nbsp;
AActiveTransactionRequestsList : TFMSShareTransactionRequestList | &nbsp;

FIMAS
Class Tree
Index
Previous (Destroy)
Next (GetActiveTransactionRequests)


Previous (DoCreateActiveTransactionRequestsList)
Next (GetBroker)

Name
GetActiveTransactionRequests

Parent
TFMSTraderAccount

Visibility
PRIVATE

Source code
function GetActiveTransactionRequests : TFMSShareTransactionTraderRequestList

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoCreateActiveTransactionRequestsList)
Next (GetBroker)


Previous (GetActiveTransactionRequests)
Next (GetParent)

Name
GetBroker

Parent
TFMSTraderAccount

Visibility
PRIVATE

Source code
function GetBroker : TFMSBrokerRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetActiveTransactionRequests)
Next (GetParent)


Previous (GetBroker)
Next (GetTransactionRequests)

Name
GetParent

Parent
TFMSTraderAccount

Visibility
PROTECTED

Source code
function GetParent : TFMSTraderAccounts

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetBroker)
Next (GetTransactionRequests)


Previous (GetParent)
Next (MakeRequestFromTemplate)

Name
GetTransactionRequests

Parent
TFMSTraderAccount

Visibility
PRIVATE

Source code
function GetTransactionRequests : TFMSShareTransactionTraderRequestList

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetParent)
Next (MakeRequestFromTemplate)


Previous (GetTransactionRequests)
Next (MakeRequestFull)

Name
MakeRequestFromTemplate

Parent
TFMSTraderAccount

Visibility
PUBLIC

Description
Just makes the request. Does not validate it.
Just makes the request. Does not validate it.

Source code
function MakeRequestFromTemplate ( const ATemplate : TFMSShareTransactionTraderRequest ) : TFMSShareTransactionTraderRequest

Parameters
Parameter | Description
ATemplate : TFMSShareTransactionTraderRequest | &nbsp;

FIMAS
Class Tree
Index
Previous (GetTransactionRequests)
Next (MakeRequestFull)


Previous (MakeRequestFromTemplate)
Next (MakeRequestMini)

Name
MakeRequestFull

Parent
TFMSTraderAccount

Visibility
PUBLIC

Description
Just makes the request. Does not validate it.
Just makes the request. Does not validate it.

Source code
function MakeRequestFull ( const AShareTypeAccount : TFMSShareTypeAccount ; const ALimitPrice : Double ; const AQuantity : Integer ; const ARequestType : TFMSShareTransactionRequestType ; const AValidUntil : TDateTime ; const AStrategy : TFMSTraderStrategy ) : TFMSShareTransactionTraderRequest

Parameters
Parameter | Description
AShareTypeAccount : TFMSShareTypeAccount | &nbsp;
ALimitPrice : DOUBLE | &nbsp;
AQuantity : INTEGER | &nbsp;
ARequestType : TFMSShareTransactionRequestType | &nbsp;
AValidUntil : TDateTime | &nbsp;
AStrategy : TFMSTraderStrategy | &nbsp;

FIMAS
Class Tree
Index
Previous (MakeRequestFromTemplate)
Next (MakeRequestMini)


Previous (MakeRequestFull)
Next (MakeRequestStandard)

Name
MakeRequestMini

Parent
TFMSTraderAccount

Visibility
PUBLIC

Source code
function MakeRequestMini : TFMSShareTransactionTraderRequest

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (MakeRequestFull)
Next (MakeRequestStandard)


Previous (MakeRequestMini)
Next (SetActiveTransactionRequests)

Name
MakeRequestStandard

Parent
TFMSTraderAccount

Visibility
PUBLIC

Description
Just makes the request. Does not validate it.
Just makes the request. Does not validate it.

Source code
function MakeRequestStandard ( const AShareTypeAccount : TFMSShareTypeAccount ; const ARequestType : TFMSShareTransactionRequestType ; const AStrategy : TFMSTraderStrategy ) : TFMSShareTransactionTraderRequest

Parameters
Parameter | Description
AShareTypeAccount : TFMSShareTypeAccount | &nbsp;
ARequestType : TFMSShareTransactionRequestType | &nbsp;
AStrategy : TFMSTraderStrategy | &nbsp;

FIMAS
Class Tree
Index
Previous (MakeRequestMini)
Next (SetActiveTransactionRequests)


Previous (MakeRequestStandard)
Next (SetTransactionRequests)

Name
SetActiveTransactionRequests

Parent
TFMSTraderAccount

Visibility
PRIVATE

Source code
procedure SetActiveTransactionRequests ( const Value : TFMSShareTransactionTraderRequestList )

Parameters
Parameter | Description
Value : TFMSShareTransactionTraderRequestList | &nbsp;

FIMAS
Class Tree
Index
Previous (MakeRequestStandard)
Next (SetTransactionRequests)


Previous (SetActiveTransactionRequests)
Next

Name
SetTransactionRequests

Parent
TFMSTraderAccount

Visibility
PRIVATE

Source code
procedure SetTransactionRequests ( const Value : TFMSShareTransactionTraderRequestList )

Parameters
Parameter | Description
Value : TFMSShareTransactionTraderRequestList | &nbsp;

FIMAS
Class Tree
Index
Previous (SetActiveTransactionRequests)
Next


Previous (TFMSTraderAccount)
Next (TFMSTraderPlan)

Name
TFMSTraderAccounts

Parent
FMSStandardRoles

Class Hierarchy
TFMSTransactionRequestAccounts

Visibility
PUBLIC

Description
Collection of TFMSTraderAccount.

Members
Methods
Method Description
ADD (+)
Create (+)
GetItems (-)
GetLastItem (+)
SetItems (-)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSTraderAccount)
Next (TFMSTraderPlan)


Previous
Next

Name
Items

Parent
TFMSTraderAccounts

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSTraderAccount read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Create)

Name
ADD

Parent
TFMSTraderAccounts

Visibility
PUBLIC

Source code
function Add : TFMSTraderAccount

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (ADD)
Next (GetItems)

Name
Create

Parent
TFMSTraderAccounts

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TPersistent )

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (GetItems)


Previous (Create)
Next (GetLastItem)

Name
GetItems

Parent
TFMSTraderAccounts

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSTraderAccount

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (GetLastItem)


Previous (GetItems)
Next (SetItems)

Name
GetLastItem

Parent
TFMSTraderAccounts

Visibility
PUBLIC

Source code
function GetLastItem : TFMSTraderAccount

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (SetItems)


Previous (GetLastItem)
Next

Name
SetItems

Parent
TFMSTraderAccounts

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSTraderAccount )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSTraderAccount | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next


Previous (TFMSTraderAccounts)
Next (TFMSTraderPlanBuyIf)

Name
TFMSTraderPlan

Parent
FMSStandardRoles

Class Hierarchy
TFMSPlan

Visibility
PUBLIC

Description
An abstract trader-specific plan.

Members
Methods
Method Description
FriendlyDescription (+)
FriendlyName (+)
GetRole (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSTraderAccounts)
Next (TFMSTraderPlanBuyIf)


Previous
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSTraderPlan

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (FriendlyName)


Previous (FriendlyDescription)
Next (GetRole)

Name
FriendlyName

Parent
TFMSTraderPlan

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next (GetRole)


Previous (FriendlyName)
Next

Name
GetRole

Parent
TFMSTraderPlan

Visibility
PUBLIC

Source code
function GetRole : TFMSTraderRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyName)
Next


Previous (TFMSTraderPlan)
Next (TFMSTraderPlanBuyOnDate)

Name
TFMSTraderPlanBuyIf

Parent
FMSStandardRoles

Class Hierarchy
TFMSTraderPlan

Visibility
PUBLIC

Description
[Not implemented yet.]

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSTraderPlan)
Next (TFMSTraderPlanBuyOnDate)


Previous (TFMSTraderPlanBuyIf)
Next (TFMSTraderPlanSellIf)

Name
TFMSTraderPlanBuyOnDate

Parent
FMSStandardRoles

Class Hierarchy
TFMSTraderPlan

Visibility
PUBLIC

Description
[Not implemented yet.]

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSTraderPlanBuyIf)
Next (TFMSTraderPlanSellIf)


Previous (TFMSTraderPlanBuyOnDate)
Next (TFMSTraderPlanSellOnDate)

Name
TFMSTraderPlanSellIf

Parent
FMSStandardRoles

Class Hierarchy
TFMSTraderPlan

Visibility
PUBLIC

Description
[Not implemented yet.]

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSTraderPlanBuyOnDate)
Next (TFMSTraderPlanSellOnDate)


Previous (TFMSTraderPlanSellIf)
Next (TFMSTraderRole)

Name
TFMSTraderPlanSellOnDate

Parent
FMSStandardRoles

Class Hierarchy
TFMSTraderPlan

Visibility
PUBLIC

Description
[Not implemented yet.]

Members
Fields
Field Description
FDate (-)
FRequestDuration (-)
FShareTypeAccount (-)
FStrategy (-)

Methods
Method Description
Assign (+)
Create (+)
FriendlyDescription (+)
FriendlyName (+)
SetDate (-)
Step (#)
WaitFor (+)

Properties
Property | Description
Date (*)
RequestDuration (*) | In hours.
ShareTypeAccount (*)
Strategy (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSTraderPlanSellIf)
Next (TFMSTraderRole)


Previous
Next (FRequestDuration)

Name
FDate

Parent
TFMSTraderPlanSellOnDate

Visibility
PRIVATE

Source code
FDate : TDateTime

FIMAS
Class Tree
Index
Previous
Next (FRequestDuration)


Previous (FDate)
Next (FShareTypeAccount)

Name
FRequestDuration

Parent
TFMSTraderPlanSellOnDate

Visibility
PRIVATE

Source code
FRequestDuration : Double

FIMAS
Class Tree
Index
Previous (FDate)
Next (FShareTypeAccount)


Previous (FRequestDuration)
Next (FStrategy)

Name
FShareTypeAccount

Parent
TFMSTraderPlanSellOnDate

Visibility
PRIVATE

Source code
FShareTypeAccount : TFMSShareTypeAccount

FIMAS
Class Tree
Index
Previous (FRequestDuration)
Next (FStrategy)


Previous (FShareTypeAccount)
Next

Name
FStrategy

Parent
TFMSTraderPlanSellOnDate

Visibility
PRIVATE

Source code
FStrategy : TFMSTraderStrategy

FIMAS
Class Tree
Index
Previous (FShareTypeAccount)
Next


Previous
Next (RequestDuration)

Name
Date

Parent
TFMSTraderPlanSellOnDate

Visibility
PUBLISHED

Source code
property Date : TDateTime read FDate write SetDate

Read Access
FDate

Write Access
SetDate

FIMAS
Class Tree
Index
Previous
Next (RequestDuration)


Previous (Date)
Next (ShareTypeAccount)

Name
RequestDuration

Parent
TFMSTraderPlanSellOnDate

Visibility
PUBLISHED

Description
In hours.

Source code
property RequestDuration : Double read FRequestDuration write FRequestDuration

Read Access
FRequestDuration

Write Access
FRequestDuration

FIMAS
Class Tree
Index
Previous (Date)
Next (ShareTypeAccount)


Previous (RequestDuration)
Next (Strategy)

Name
ShareTypeAccount

Parent
TFMSTraderPlanSellOnDate

Visibility
PUBLISHED

Source code
property ShareTypeAccount : TFMSShareTypeAccount read FShareTypeAccount write FShareTypeAccount

Read Access
FShareTypeAccount

Write Access
FShareTypeAccount

FIMAS
Class Tree
Index
Previous (RequestDuration)
Next (Strategy)


Previous (ShareTypeAccount)
Next

Name
Strategy

Parent
TFMSTraderPlanSellOnDate

Visibility
PUBLISHED

Source code
property Strategy : TFMSTraderStrategy read FStrategy write FStrategy

Read Access
FStrategy

Write Access
FStrategy

FIMAS
Class Tree
Index
Previous (ShareTypeAccount)
Next


Previous
Next (Create)

Name
Assign

Parent
TFMSTraderPlanSellOnDate

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (Assign)
Next (FriendlyDescription)

Name
Create

Parent
TFMSTraderPlanSellOnDate

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TXCollection ) ; override

Parameters
Parameter | Description
AOwner : TXCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (Assign)
Next (FriendlyDescription)


Previous (Create)
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSTraderPlanSellOnDate

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (FriendlyName)


Previous (FriendlyDescription)
Next (SetDate)

Name
FriendlyName

Parent
TFMSTraderPlanSellOnDate

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next (SetDate)


Previous (FriendlyName)
Next (Step)

Name
SetDate

Parent
TFMSTraderPlanSellOnDate

Visibility
PRIVATE

Source code
procedure SetDate ( Value : TDateTime )

Parameters
Parameter | Description
Value : TDateTime | &nbsp;

FIMAS
Class Tree
Index
Previous (FriendlyName)
Next (Step)


Previous (SetDate)
Next (WaitFor)

Name
Step

Parent
TFMSTraderPlanSellOnDate

Visibility
PROTECTED

Source code
procedure Step ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetDate)
Next (WaitFor)


Previous (Step)
Next

Name
WaitFor

Parent
TFMSTraderPlanSellOnDate

Visibility
PUBLIC

Source code
procedure WaitFor ( const ASeconds : Double )

Parameters
Parameter | Description
ASeconds : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (Step)
Next


Previous (TFMSTraderPlanSellOnDate)
Next (TFMSTraderRoleList)

Name
TFMSTraderRole

Parent
FMSStandardRoles

Class Hierarchy
TFMSStandardParticipantRole

Visibility
PUBLIC

Description
Represents a trader on a share market.

Members
Fields
Field Description
FBroker (-)
FBrokerAccount (-)
FMoney (-)

Methods
Method | Description
Assign (+)
Create (+)
Destroy (+) | Add-up Classificator news and ParticipantRole news.
DoCreateStrategies (#)
DoTransactionRequestChangeProcessedCount (#) | Called directly from the Transaction request.
DoTransactionRequestChangeStatus (#) | Called directly from the Transaction request.
FriendlyDescription (+)
FriendlyName (+)
GetAssets (#)
GetStrategies (-)
SetActive (#) | Implementing IFMSUpdateAble.
SetBroker (-)
SetStrategies (-)
Step (#)

Properties
Property Description
Broker (*)
BrokerAccount (*)
Money (*)
Strategies (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSTraderPlanSellOnDate)
Next (TFMSTraderRoleList)


Previous
Next (FBrokerAccount)

Name
FBroker

Parent
TFMSTraderRole

Visibility
PRIVATE

Source code
FBroker : TFMSBrokerRole

FIMAS
Class Tree
Index
Previous
Next (FBrokerAccount)


Previous (FBroker)
Next (FMoney)

Name
FBrokerAccount

Parent
TFMSTraderRole

Visibility
PRIVATE

Source code
FBrokerAccount : TFMSTraderAccount

FIMAS
Class Tree
Index
Previous (FBroker)
Next (FMoney)


Previous (FBrokerAccount)
Next

Name
FMoney

Parent
TFMSTraderRole

Visibility
PRIVATE

Source code
FMoney : Double

FIMAS
Class Tree
Index
Previous (FBrokerAccount)
Next


Previous
Next (BrokerAccount)

Name
Broker

Parent
TFMSTraderRole

Visibility
PUBLISHED

Source code
property Broker : TFMSBrokerRole read FBroker write SetBroker

Read Access
FBroker

Write Access
SetBroker

FIMAS
Class Tree
Index
Previous
Next (BrokerAccount)


Previous (Broker)
Next (Money)

Name
BrokerAccount

Parent
TFMSTraderRole

Visibility
PUBLISHED

Source code
property BrokerAccount : TFMSTraderAccount read FBrokerAccount stored True

Read Access
FBrokerAccount

FIMAS
Class Tree
Index
Previous (Broker)
Next (Money)


Previous (BrokerAccount)
Next (Strategies)

Name
Money

Parent
TFMSTraderRole

Visibility
PUBLISHED

Source code
property Money : Double read FMoney write FMoney

Read Access
FMoney

Write Access
FMoney

FIMAS
Class Tree
Index
Previous (BrokerAccount)
Next (Strategies)


Previous (Money)
Next

Name
Strategies

Parent
TFMSTraderRole

Visibility
PUBLISHED

Source code
property Strategies : TFMSTraderStrategies read GetStrategies write SetStrategies

Read Access
GetStrategies

Write Access
SetStrategies

FIMAS
Class Tree
Index
Previous (Money)
Next


Previous
Next (Create)

Name
Assign

Parent
TFMSTraderRole

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (Assign)
Next (Destroy)

Name
Create

Parent
TFMSTraderRole

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TXCollection ) ; override

Parameters
Parameter | Description
AOwner : TXCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (Assign)
Next (Destroy)


Previous (Create)
Next (DoCreateStrategies)

Name
Destroy

Parent
TFMSTraderRole

Visibility
PUBLIC

Description
Add-up Classificator news and ParticipantRole news.
Add-up Classificator news and ParticipantRole news.

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (DoCreateStrategies)


Previous (Destroy)
Next (DoTransactionRequestChangeProcessedCount)

Name
DoCreateStrategies

Parent
TFMSTraderRole

Visibility
PROTECTED

Source code
procedure DoCreateStrategies ( var AStrategies : TFMSStrategies ) ; override

Parameters
Parameter | Description
AStrategies : TFMSStrategies | &nbsp;

FIMAS
Class Tree
Index
Previous (Destroy)
Next (DoTransactionRequestChangeProcessedCount)


Previous (DoCreateStrategies)
Next (DoTransactionRequestChangeStatus)

Name
DoTransactionRequestChangeProcessedCount

Parent
TFMSTraderRole

Visibility
PROTECTED

Description
Called directly from the Transaction request.
Called directly from the Transaction request.

Source code
procedure DoTransactionRequestChangeProcessedCount ( const Sender : TFMSShareTransactionTraderRequest ) ; virtual

Parameters
Parameter | Description
Sender : TFMSShareTransactionTraderRequest | &nbsp;

FIMAS
Class Tree
Index
Previous (DoCreateStrategies)
Next (DoTransactionRequestChangeStatus)


Previous (DoTransactionRequestChangeProcessedCount)
Next (FriendlyDescription)

Name
DoTransactionRequestChangeStatus

Parent
TFMSTraderRole

Visibility
PROTECTED

Description
Called directly from the Transaction request.
Called directly from the Transaction request.

Source code
procedure DoTransactionRequestChangeStatus ( const Sender : TFMSShareTransactionTraderRequest ) ; virtual

Parameters
Parameter | Description
Sender : TFMSShareTransactionTraderRequest | &nbsp;

FIMAS
Class Tree
Index
Previous (DoTransactionRequestChangeProcessedCount)
Next (FriendlyDescription)


Previous (DoTransactionRequestChangeStatus)
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSTraderRole

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoTransactionRequestChangeStatus)
Next (FriendlyName)


Previous (FriendlyDescription)
Next (GetAssets)

Name
FriendlyName

Parent
TFMSTraderRole

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next (GetAssets)


Previous (FriendlyName)
Next (GetStrategies)

Name
GetAssets

Parent
TFMSTraderRole

Visibility
PROTECTED

Source code
function GetAssets : Double ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyName)
Next (GetStrategies)


Previous (GetAssets)
Next (SetActive)

Name
GetStrategies

Parent
TFMSTraderRole

Visibility
PRIVATE

Source code
function GetStrategies : TFMSTraderStrategies

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetAssets)
Next (SetActive)


Previous (GetStrategies)
Next (SetBroker)

Name
SetActive

Parent
TFMSTraderRole

Visibility
PROTECTED

Description
Implementing IFMSUpdateAble.
Implementing IFMSUpdateAble.

Source code
procedure SetActive ( const AValue : Boolean )

Parameters
Parameter | Description
AValue : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (GetStrategies)
Next (SetBroker)


Previous (SetActive)
Next (SetStrategies)

Name
SetBroker

Parent
TFMSTraderRole

Visibility
PRIVATE

Source code
procedure SetBroker ( const Value : TFMSBrokerRole )

Parameters
Parameter | Description
Value : TFMSBrokerRole | &nbsp;

FIMAS
Class Tree
Index
Previous (SetActive)
Next (SetStrategies)


Previous (SetBroker)
Next (Step)

Name
SetStrategies

Parent
TFMSTraderRole

Visibility
PRIVATE

Source code
procedure SetStrategies ( Value : TFMSTraderStrategies )

Parameters
Parameter | Description
Value : TFMSTraderStrategies | &nbsp;

FIMAS
Class Tree
Index
Previous (SetBroker)
Next (Step)


Previous (SetStrategies)
Next

Name
Step

Parent
TFMSTraderRole

Visibility
PROTECTED

Source code
procedure Step ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetStrategies)
Next


Previous (TFMSTraderRole)
Next (TFMSTraderStrategies)

Name
TFMSTraderRoleList

Parent
FMSStandardRoles

Class Hierarchy
TFMSStandardParticipantRoleList

Visibility
PUBLIC

Description
A list of TFMSTraderRole.

Members
Methods
Method | Description
ADD (+)
GetItems (-) | Standard list method.
GetLastItem (+) | Standard list method.
GetStrategyStats (+)
GetStrategyStatsByID (+)
REMOVE (+)
SetItems (-)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSTraderRole)
Next (TFMSTraderStrategies)


Previous
Next

Name
Items

Parent
TFMSTraderRoleList

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSTraderRole read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (GetItems)

Name
ADD

Parent
TFMSTraderRoleList

Visibility
PUBLIC

Source code
procedure Add ( const AItem : TFMSTraderRole )

Parameters
Parameter | Description
AItem : TFMSTraderRole | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (GetItems)


Previous (ADD)
Next (GetLastItem)

Name
GetItems

Parent
TFMSTraderRoleList

Visibility
PRIVATE

Description
Standard list method.
Standard list method.

Source code
function GetItems ( const Index : Integer ) : TFMSTraderRole

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (GetLastItem)


Previous (GetItems)
Next (GetStrategyStats)

Name
GetLastItem

Parent
TFMSTraderRoleList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
function GetLastItem : TFMSTraderRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (GetStrategyStats)


Previous (GetLastItem)
Next (GetStrategyStatsByID)

Name
GetStrategyStats

Parent
TFMSTraderRoleList

Visibility
PUBLIC

Source code
procedure GetStrategyStats ( const AStrategy : TFMSTraderStrategyClass ; var AOffset : Integer ; var ACount : Integer )

Parameters
Parameter | Description
AStrategy : TFMSTraderStrategyClass | &nbsp;
AOffset : INTEGER | &nbsp;
ACount : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (GetStrategyStatsByID)


Previous (GetStrategyStats)
Next (REMOVE)

Name
GetStrategyStatsByID

Parent
TFMSTraderRoleList

Visibility
PUBLIC

Source code
procedure GetStrategyStatsByID ( const AStrategy : TStrangeClassID ; var AOffset : Integer ; var ACount : Integer )

Parameters
Parameter | Description
AStrategy : TStrangeClassID | &nbsp;
AOffset : INTEGER | &nbsp;
ACount : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetStrategyStats)
Next (REMOVE)


Previous (GetStrategyStatsByID)
Next (SetItems)

Name
REMOVE

Parent
TFMSTraderRoleList

Visibility
PUBLIC

Source code
procedure Remove ( const AItem : TFMSTraderRole )

Parameters
Parameter | Description
AItem : TFMSTraderRole | &nbsp;

FIMAS
Class Tree
Index
Previous (GetStrategyStatsByID)
Next (SetItems)


Previous (REMOVE)
Next

Name
SetItems

Parent
TFMSTraderRoleList

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSTraderRole )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSTraderRole | &nbsp;

FIMAS
Class Tree
Index
Previous (REMOVE)
Next


Previous (TFMSTraderRoleList)
Next (TFMSTraderStrategy)

Name
TFMSTraderStrategies

Parent
FMSStandardRoles

Class Hierarchy
TFMSStrategies

Visibility
PUBLIC

Description
Collection of TFMSTraderStrategy.

Members
Methods
Method Description
ADD (+)
AddByID (+)
CanAdd (+)
GetCurrentStrategy (+)
GetItems (-)
GetLastItem (+)
ItemsClass (+)
SetItems (-)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSTraderRoleList)
Next (TFMSTraderStrategy)


Previous
Next

Name
Items

Parent
TFMSTraderStrategies

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSTraderStrategy read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (AddByID)

Name
ADD

Parent
TFMSTraderStrategies

Visibility
PUBLIC

Source code
function Add ( AClass : TFMSTraderStrategyClass ) : TFMSTraderStrategy

Parameters
Parameter | Description
AClass : TFMSTraderStrategyClass | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (AddByID)


Previous (ADD)
Next (CanAdd)

Name
AddByID

Parent
TFMSTraderStrategies

Visibility
PUBLIC

Source code
function AddByID ( AClass : TStrangeClassID ) : TFMSTraderStrategy

Parameters
Parameter | Description
AClass : TStrangeClassID | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (CanAdd)


Previous (AddByID)
Next (GetCurrentStrategy)

Name
CanAdd

Parent
TFMSTraderStrategies

Visibility
PUBLIC

Source code
function CanAdd ( AClass : TXCollectionItemClass ) : Boolean ; override

Parameters
Parameter | Description
AClass : TXCollectionItemClass | &nbsp;

FIMAS
Class Tree
Index
Previous (AddByID)
Next (GetCurrentStrategy)


Previous (CanAdd)
Next (GetItems)

Name
GetCurrentStrategy

Parent
TFMSTraderStrategies

Visibility
PUBLIC

Source code
function GetCurrentStrategy : TFMSTraderStrategy

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (CanAdd)
Next (GetItems)


Previous (GetCurrentStrategy)
Next (GetLastItem)

Name
GetItems

Parent
TFMSTraderStrategies

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSTraderStrategy

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetCurrentStrategy)
Next (GetLastItem)


Previous (GetItems)
Next (ItemsClass)

Name
GetLastItem

Parent
TFMSTraderStrategies

Visibility
PUBLIC

Source code
function GetLastItem : TFMSTraderStrategy

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (ItemsClass)


Previous (GetLastItem)
Next (SetItems)

Name
ItemsClass

Parent
TFMSTraderStrategies

Visibility
PUBLIC

Source code
class function ItemsClass : TXCollectionItemClass ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (SetItems)


Previous (ItemsClass)
Next

Name
SetItems

Parent
TFMSTraderStrategies

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSTraderStrategy )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSTraderStrategy | &nbsp;

FIMAS
Class Tree
Index
Previous (ItemsClass)
Next


Previous (TFMSTraderStrategies)
Next (TFMSTransactionRequestAccount)

Name
TFMSTraderStrategy

Parent
FMSStandardRoles

Class Hierarchy
TFMSStrategy

Visibility
PUBLIC

Description
A trader-specific strategy. Still an abstract class.

Members
Methods
Method Description
DoProcessActiveTransactionRequest (#)
FriendlyDescription (+)
FriendlyName (+)
GetParent (#)
GetRole (+)
Think (#)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSTraderStrategies)
Next (TFMSTransactionRequestAccount)


Previous
Next (FriendlyDescription)

Name
DoProcessActiveTransactionRequest

Parent
TFMSTraderStrategy

Visibility
PROTECTED

Source code
procedure DoProcessActiveTransactionRequest ( const ATransactionRequest : TFMSShareTransactionTraderRequest ) ; virtual

Parameters
Parameter | Description
ATransactionRequest : TFMSShareTransactionTraderRequest | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (FriendlyDescription)


Previous (DoProcessActiveTransactionRequest)
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSTraderStrategy

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoProcessActiveTransactionRequest)
Next (FriendlyName)


Previous (FriendlyDescription)
Next (GetParent)

Name
FriendlyName

Parent
TFMSTraderStrategy

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next (GetParent)


Previous (FriendlyName)
Next (GetRole)

Name
GetParent

Parent
TFMSTraderStrategy

Visibility
PROTECTED

Source code
function GetParent : TFMSTraderStrategies

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyName)
Next (GetRole)


Previous (GetParent)
Next (Think)

Name
GetRole

Parent
TFMSTraderStrategy

Visibility
PUBLIC

Source code
function GetRole : TFMSTraderRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetParent)
Next (Think)


Previous (GetRole)
Next

Name
Think

Parent
TFMSTraderStrategy

Visibility
PROTECTED

Source code
procedure Think ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetRole)
Next


Previous (TFMSTraderStrategy)
Next (TFMSTransactionRequestAccounts)

Name
TFMSTransactionRequestAccount

Parent
FMSStandardRoles

Class Hierarchy
TFMSMoneyAccount

Visibility
PUBLIC

Description
An account that has a share portfolio and can send transaction requests.

Members
Fields
Field Description
FActiveTransactionRequests (-)
FCommisionPlan (-)
FPortfolio (-)
FTransactionRequests (-)

Methods
Method | Description
Assign (+)
CalculateMaxNumberOfSharesToBuy (+) | Maximum number of shares that trader can afford for his money.
CalculateMaxNumberOfSharesToBuy (+) | Maximum number of shares that trader can afford for his money.
Create (+)
Destroy (+)
DoCreateActiveTransactionRequestsList (#)
GetAvailableMoney (+)
GetAvailableShareCount (+)
GetRole (+)
SetActiveTransactionRequests (-)
SetCommisionPlan (-)
SetPortfolio (-)
SetTransactionRequests (-)

Properties
Property | Description
ActiveTransactionRequests (*) | Only active requests are stored here.
CommisionPlan (*)
Portfolio (*)
TransactionRequests (*) | Only active requests are stored here.

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSTraderStrategy)
Next (TFMSTransactionRequestAccounts)


Previous
Next (FCommisionPlan)

Name
FActiveTransactionRequests

Parent
TFMSTransactionRequestAccount

Visibility
PRIVATE

Source code
FActiveTransactionRequests : TFMSShareTransactionRequestList

FIMAS
Class Tree
Index
Previous
Next (FCommisionPlan)


Previous (FActiveTransactionRequests)
Next (FPortfolio)

Name
FCommisionPlan

Parent
TFMSTransactionRequestAccount

Visibility
PRIVATE

Source code
FCommisionPlan : TFMSShareTransactionCommisionPlan

FIMAS
Class Tree
Index
Previous (FActiveTransactionRequests)
Next (FPortfolio)


Previous (FCommisionPlan)
Next (FTransactionRequests)

Name
FPortfolio

Parent
TFMSTransactionRequestAccount

Visibility
PRIVATE

Source code
FPortfolio : TFMSSharePortfolio

FIMAS
Class Tree
Index
Previous (FCommisionPlan)
Next (FTransactionRequests)


Previous (FPortfolio)
Next

Name
FTransactionRequests

Parent
TFMSTransactionRequestAccount

Visibility
PRIVATE

Source code
FTransactionRequests : TFMSShareTransactionRequestList

FIMAS
Class Tree
Index
Previous (FPortfolio)
Next


Previous
Next (CommisionPlan)

Name
ActiveTransactionRequests

Parent
TFMSTransactionRequestAccount

Visibility
PUBLISHED

Description
Only active requests are stored here.

Source code
property ActiveTransactionRequests : TFMSShareTransactionRequestList read FActiveTransactionRequests write SetActiveTransactionRequests

Read Access
FActiveTransactionRequests

Write Access
SetActiveTransactionRequests

FIMAS
Class Tree
Index
Previous
Next (CommisionPlan)


Previous (ActiveTransactionRequests)
Next (Portfolio)

Name
CommisionPlan

Parent
TFMSTransactionRequestAccount

Visibility
PUBLISHED

Source code
property CommisionPlan : TFMSShareTransactionCommisionPlan read FCommisionPlan write SetCommisionPlan

Read Access
FCommisionPlan

Write Access
SetCommisionPlan

FIMAS
Class Tree
Index
Previous (ActiveTransactionRequests)
Next (Portfolio)


Previous (CommisionPlan)
Next (TransactionRequests)

Name
Portfolio

Parent
TFMSTransactionRequestAccount

Visibility
PUBLISHED

Source code
property Portfolio : TFMSSharePortfolio read FPortfolio write SetPortfolio

Read Access
FPortfolio

Write Access
SetPortfolio

FIMAS
Class Tree
Index
Previous (CommisionPlan)
Next (TransactionRequests)


Previous (Portfolio)
Next

Name
TransactionRequests

Parent
TFMSTransactionRequestAccount

Visibility
PUBLISHED

Description
Only active requests are stored here.

Source code
property TransactionRequests : TFMSShareTransactionRequestList read FTransactionRequests write SetTransactionRequests

Read Access
FTransactionRequests

Write Access
SetTransactionRequests

FIMAS
Class Tree
Index
Previous (Portfolio)
Next


Previous
Next (CalculateMaxNumberOfSharesToBuy)

Name
Assign

Parent
TFMSTransactionRequestAccount

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (CalculateMaxNumberOfSharesToBuy)


Previous (Assign)
Next (CalculateMaxNumberOfSharesToBuy)

Name
CalculateMaxNumberOfSharesToBuy

Parent
TFMSTransactionRequestAccount

Visibility
PUBLIC

Description
Maximum number of shares that trader can afford for his money.
Maximum number of shares that trader can afford for his money.

Source code
function CalculateMaxNumberOfSharesToBuy ( const AShareTypeAccount : TFMSShareTypeAccount ; const AMoney : Double ; ALeaveExtraMoneyToSellShares : Boolean = True ; AssertIfUnsuccessful : Boolean = True ) : Integer ; overload

Parameters
Parameter | Description
AShareTypeAccount : TFMSShareTypeAccount | &nbsp;
AMoney : DOUBLE | &nbsp;
ALeaveExtraMoneyToSellShares : BOOLEAN | &nbsp;
AssertIfUnsuccessful : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (Assign)
Next (CalculateMaxNumberOfSharesToBuy)


Previous (CalculateMaxNumberOfSharesToBuy)
Next (CalculateMaxNumberOfSharesToBuy)

Name
CalculateMaxNumberOfSharesToBuy

Parent
TFMSTransactionRequestAccount

Visibility
PUBLIC

Description
Maximum number of shares that trader can afford for his money.
Maximum number of shares that trader can afford for his money.

Source code
function CalculateMaxNumberOfSharesToBuy ( const APrice : Double ; const AMoney : Double ; ALeaveExtraMoneyToSellShares : Boolean = True ; AssertIfUnsuccessful : Boolean = True ) : Integer ; overload ; virtual

Parameters
Parameter | Description
APrice : DOUBLE | &nbsp;
AMoney : DOUBLE | &nbsp;
ALeaveExtraMoneyToSellShares : BOOLEAN | &nbsp;
AssertIfUnsuccessful : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (CalculateMaxNumberOfSharesToBuy)
Next (CalculateMaxNumberOfSharesToBuy)


Previous (CalculateMaxNumberOfSharesToBuy)
Next (Destroy)

Name
Create

Parent
TFMSTransactionRequestAccount

Visibility
PUBLIC

Source code
constructor Create ( Collection : TCollection ) ; override

Parameters
Parameter | Description
Collection : TCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (CalculateMaxNumberOfSharesToBuy)
Next (Destroy)


Previous (Create)
Next (DoCreateActiveTransactionRequestsList)

Name
Destroy

Parent
TFMSTransactionRequestAccount

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (DoCreateActiveTransactionRequestsList)


Previous (Destroy)
Next (GetAvailableMoney)

Name
DoCreateActiveTransactionRequestsList

Parent
TFMSTransactionRequestAccount

Visibility
PROTECTED

Source code
procedure DoCreateActiveTransactionRequestsList ( var ATransactionRequestsList , AActiveTransactionRequestsList : TFMSShareTransactionRequestList ) ; virtual

Parameters
Parameter | Description
ATransactionRequestsList : TFMSShareTransactionRequestList | &nbsp;
AActiveTransactionRequestsList : TFMSShareTransactionRequestList | &nbsp;

FIMAS
Class Tree
Index
Previous (Destroy)
Next (GetAvailableMoney)


Previous (DoCreateActiveTransactionRequestsList)
Next (GetAvailableShareCount)

Name
GetAvailableMoney

Parent
TFMSTransactionRequestAccount

Visibility
PUBLIC

Source code
function GetAvailableMoney : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoCreateActiveTransactionRequestsList)
Next (GetAvailableShareCount)


Previous (GetAvailableMoney)
Next (GetRole)

Name
GetAvailableShareCount

Parent
TFMSTransactionRequestAccount

Visibility
PUBLIC

Source code
function GetAvailableShareCount ( const AShareType : TFMSShareType ) : Integer

Parameters
Parameter | Description
AShareType : TFMSShareType | &nbsp;

FIMAS
Class Tree
Index
Previous (GetAvailableMoney)
Next (GetRole)


Previous (GetAvailableShareCount)
Next (SetActiveTransactionRequests)

Name
GetRole

Parent
TFMSTransactionRequestAccount

Visibility
PUBLIC

Source code
function GetRole : TFMSParticipantRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetAvailableShareCount)
Next (SetActiveTransactionRequests)


Previous (GetRole)
Next (SetCommisionPlan)

Name
SetActiveTransactionRequests

Parent
TFMSTransactionRequestAccount

Visibility
PRIVATE

Source code
procedure SetActiveTransactionRequests ( const Value : TFMSShareTransactionRequestList )

Parameters
Parameter | Description
Value : TFMSShareTransactionRequestList | &nbsp;

FIMAS
Class Tree
Index
Previous (GetRole)
Next (SetCommisionPlan)


Previous (SetActiveTransactionRequests)
Next (SetPortfolio)

Name
SetCommisionPlan

Parent
TFMSTransactionRequestAccount

Visibility
PRIVATE

Source code
procedure SetCommisionPlan ( const Value : TFMSShareTransactionCommisionPlan )

Parameters
Parameter | Description
Value : TFMSShareTransactionCommisionPlan | &nbsp;

FIMAS
Class Tree
Index
Previous (SetActiveTransactionRequests)
Next (SetPortfolio)


Previous (SetCommisionPlan)
Next (SetTransactionRequests)

Name
SetPortfolio

Parent
TFMSTransactionRequestAccount

Visibility
PRIVATE

Source code
procedure SetPortfolio ( const Value : TFMSSharePortfolio )

Parameters
Parameter | Description
Value : TFMSSharePortfolio | &nbsp;

FIMAS
Class Tree
Index
Previous (SetCommisionPlan)
Next (SetTransactionRequests)


Previous (SetPortfolio)
Next

Name
SetTransactionRequests

Parent
TFMSTransactionRequestAccount

Visibility
PRIVATE

Source code
procedure SetTransactionRequests ( const Value : TFMSShareTransactionRequestList )

Parameters
Parameter | Description
Value : TFMSShareTransactionRequestList | &nbsp;

FIMAS
Class Tree
Index
Previous (SetPortfolio)
Next


Previous (TFMSTransactionRequestAccount)
Next (TFMSWaitPlan)

Name
TFMSTransactionRequestAccounts

Parent
FMSStandardRoles

Class Hierarchy
TFMSMoneyAccounts

Visibility
PUBLIC

Description
Collection of TFMSTransactionRequestAccount.

Members
Methods
Method Description
ADD (+)
Create (+)
GetItems (-)
GetLastItem (+)
SetItems (-)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSTransactionRequestAccount)
Next (TFMSWaitPlan)


Previous
Next

Name
Items

Parent
TFMSTransactionRequestAccounts

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSTransactionRequestAccount read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Create)

Name
ADD

Parent
TFMSTransactionRequestAccounts

Visibility
PUBLIC

Source code
function Add : TFMSTransactionRequestAccount

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (ADD)
Next (GetItems)

Name
Create

Parent
TFMSTransactionRequestAccounts

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TPersistent ) ; overload

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (GetItems)


Previous (Create)
Next (GetLastItem)

Name
GetItems

Parent
TFMSTransactionRequestAccounts

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSTransactionRequestAccount

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (GetLastItem)


Previous (GetItems)
Next (SetItems)

Name
GetLastItem

Parent
TFMSTransactionRequestAccounts

Visibility
PUBLIC

Source code
function GetLastItem : TFMSTransactionRequestAccount

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (SetItems)


Previous (GetLastItem)
Next

Name
SetItems

Parent
TFMSTransactionRequestAccounts

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSTransactionRequestAccount )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSTransactionRequestAccount | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next


Previous (TFMSTransactionRequestAccounts)
Next

Name
TFMSWaitPlan

Parent
FMSStandardRoles

Class Hierarchy
TFMSPlan

Visibility
PUBLIC

Description
An abstract plan that allows its owner to a hault decision making for a certain period of time.

Members
Fields
Field Description
FWaitUntil (-)

Methods
Method Description
Assign (+)
FriendlyDescription (+)
FriendlyName (+)
SetWaitUntil (-)
Step (#)
WaitFor (+)

Properties
Property Description
WaitUntil (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSTransactionRequestAccounts)
Next


Previous
Next

Name
FWaitUntil

Parent
TFMSWaitPlan

Visibility
PRIVATE

Source code
FWaitUntil : TDateTime

FIMAS
Class Tree
Index
Previous
Next


Previous
Next

Name
WaitUntil

Parent
TFMSWaitPlan

Visibility
PUBLISHED

Source code
property WaitUntil : TDateTime read FWaitUntil write SetWaitUntil

Read Access
FWaitUntil

Write Access
SetWaitUntil

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (FriendlyDescription)

Name
Assign

Parent
TFMSWaitPlan

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (FriendlyDescription)


Previous (Assign)
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSWaitPlan

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Assign)
Next (FriendlyName)


Previous (FriendlyDescription)
Next (SetWaitUntil)

Name
FriendlyName

Parent
TFMSWaitPlan

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next (SetWaitUntil)


Previous (FriendlyName)
Next (Step)

Name
SetWaitUntil

Parent
TFMSWaitPlan

Visibility
PRIVATE

Source code
procedure SetWaitUntil ( Value : TDateTime )

Parameters
Parameter | Description
Value : TDateTime | &nbsp;

FIMAS
Class Tree
Index
Previous (FriendlyName)
Next (Step)


Previous (SetWaitUntil)
Next (WaitFor)

Name
Step

Parent
TFMSWaitPlan

Visibility
PROTECTED

Source code
procedure Step ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetWaitUntil)
Next (WaitFor)


Previous (Step)
Next

Name
WaitFor

Parent
TFMSWaitPlan

Visibility
PUBLIC

Source code
procedure WaitFor ( const ASeconds : Double )

Parameters
Parameter | Description
ASeconds : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (Step)
Next


Previous
Next (TFMSShareTransactionRequestEvent)

Name
TFMSShareTransactionBrokerRequestEvent

Parent
FMSStandardRoles

Visibility
PUBLIC

Source code
TFMSShareTransactionBrokerRequestEvent = procedure ( const Sender : TFMSShareTransactionBrokerRequest ) of object ;

Parameters
Parameter | Description
Sender : TFMSShareTransactionBrokerRequest | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (TFMSShareTransactionRequestEvent)


Previous (TFMSShareTransactionBrokerRequestEvent)
Next (TFMSShareTransactionTraderRequestEvent)

Name
TFMSShareTransactionRequestEvent

Parent
FMSStandardRoles

Visibility
PUBLIC

Source code
TFMSShareTransactionRequestEvent = procedure ( const Sender : TFMSShareTransactionRequest ) of object ;

Parameters
Parameter | Description
Sender : TFMSShareTransactionRequest | &nbsp;

FIMAS
Class Tree
Index
Previous (TFMSShareTransactionBrokerRequestEvent)
Next (TFMSShareTransactionTraderRequestEvent)


Previous (TFMSShareTransactionRequestEvent)
Next

Name
TFMSShareTransactionTraderRequestEvent

Parent
FMSStandardRoles

Visibility
PUBLIC

Source code
TFMSShareTransactionTraderRequestEvent = procedure ( const Sender : TFMSShareTransactionTraderRequest ) of object ;

Parameters
Parameter | Description
Sender : TFMSShareTransactionTraderRequest | &nbsp;

FIMAS
Class Tree
Index
Previous (TFMSShareTransactionRequestEvent)
Next


Previous
Next

Name
TransactionRequestListSortProcedure

Parent
FMSStandardRoles

Visibility
PUBLIC

Source code
function TransactionRequestListSortProcedure ( Item1 , Item2 : Pointer ) : Integer

Parameters
Parameter | Description
Item1 : Pointer | &nbsp;
Item2 : Pointer | &nbsp;

FIMAS
Class Tree
Index
Previous
Next


Previous (FMSStandardRoles)
Next (FMSTimeEventsManager)

Name
FMSStatistics

Parent
FIMAS

Description
FMS Statistics. This unit cannot be used by any core FMS unit. It is supposed to be sort of a layer on top of FMS Engine. But ***non-core*** units may reference this one freely.

Types
Type Description
TFMSTraderStatsPeriod (+)

Classes
Class | Description
EFMSAddonsException (+)
IFMSCompanyInformationFromParent (+) | A base class that assumes that company information can be found from parent's IFMSCompanyInformationUser interface.
IFMSCompanyInformationUser (+)
TFMSCompanyActivityRatios (+)
TFMSCompanyFinancialStats (+) | A class that sums up all other ratios.
TFMSCompanyFinancialStatsCollection (+)
TFMSCompanyFinancialStatsItem (+) | A base class that assumes that parent is TFMSCompanyFinancialStats and company information can be found from it.
TFMSCompanyGearingRatios (+)
TFMSCompanyInvestmentRatios (+)
TFMSCompanyLiquidityRatios (+)
TFMSCompanyProfitabilityRatios (+) | Classes that are used to extract standard financial stat information out of company's TFMSCompanyInformation.
TFMSShareTransactionsInfo (+)
TFMSShareTransactionsInfoCollection (+)
TFMSShareTransactionsOverallStats (+) | Agents that require special stats about shares need to request to generate it individually.
TFMSTraderStats (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (FMSStandardRoles)
Next (FMSTimeEventsManager)


Previous
Next (IFMSCompanyInformationFromParent)

Name
EFMSAddonsException

Parent
FMSStatistics

Class Hierarchy
EFMSException

Visibility
PUBLIC

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous
Next (IFMSCompanyInformationFromParent)


Previous (EFMSAddonsException)
Next (IFMSCompanyInformationUser)

Name
IFMSCompanyInformationFromParent

Parent
FMSStatistics

Class Hierarchy
TStrangeInterfacedOwnedPersistent,IFMSCompanyInformationUser

Visibility
PUBLIC

Description
A base class that assumes that company information can be found from parent's IFMSCompanyInformationUser interface.

Members
Methods
Method Description
GetCompanyInformation (#)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (EFMSAddonsException)
Next (IFMSCompanyInformationUser)


Previous
Next

Name
GetCompanyInformation

Parent
IFMSCompanyInformationFromParent

Visibility
PROTECTED

Source code
function GetCompanyInformation : TFMSCompanyInformation ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next


Previous (IFMSCompanyInformationFromParent)
Next (TFMSCompanyActivityRatios)

Name
IFMSCompanyInformationUser

Parent
FMSStatistics

Class Hierarchy
IInterface

Visibility
PUBLIC

Members
Methods
Method Description
GetCompanyInformation (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (IFMSCompanyInformationFromParent)
Next (TFMSCompanyActivityRatios)


Previous
Next

Name
GetCompanyInformation

Parent
IFMSCompanyInformationUser

Visibility
PUBLIC

Source code
function GetCompanyInformation : TFMSCompanyInformation

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next


Previous (IFMSCompanyInformationUser)
Next (TFMSCompanyFinancialStats)

Name
TFMSCompanyActivityRatios

Parent
FMSStatistics

Class Hierarchy
TFMSCompanyFinancialStatsItem

Visibility
PUBLIC

Members
Methods
Method Description
GetAverageCollectionPeriod (-)
GetFixedAssetsTurnover (-)
GetNetWorkingCapitalTurnover (-)
GetStockTurnover (-)
GetTotalAssetsTurnover (-)

Properties
Property Description
AverageCollectionPeriod (*)
FixedAssetsTurnover (*)
NetWorkingCapitalTurnover (*)
StockTurnover (*)
TotalAssetsTurnover (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (IFMSCompanyInformationUser)
Next (TFMSCompanyFinancialStats)


Previous
Next (FixedAssetsTurnover)

Name
AverageCollectionPeriod

Parent
TFMSCompanyActivityRatios

Visibility
PUBLISHED

Source code
property AverageCollectionPeriod : Double read GetAverageCollectionPeriod

Read Access
GetAverageCollectionPeriod

FIMAS
Class Tree
Index
Previous
Next (FixedAssetsTurnover)


Previous (AverageCollectionPeriod)
Next (NetWorkingCapitalTurnover)

Name
FixedAssetsTurnover

Parent
TFMSCompanyActivityRatios

Visibility
PUBLISHED

Source code
property FixedAssetsTurnover : Double read GetFixedAssetsTurnover

Read Access
GetFixedAssetsTurnover

FIMAS
Class Tree
Index
Previous (AverageCollectionPeriod)
Next (NetWorkingCapitalTurnover)


Previous (FixedAssetsTurnover)
Next (StockTurnover)

Name
NetWorkingCapitalTurnover

Parent
TFMSCompanyActivityRatios

Visibility
PUBLISHED

Source code
property NetWorkingCapitalTurnover : Double read GetNetWorkingCapitalTurnover

Read Access
GetNetWorkingCapitalTurnover

FIMAS
Class Tree
Index
Previous (FixedAssetsTurnover)
Next (StockTurnover)


Previous (NetWorkingCapitalTurnover)
Next (TotalAssetsTurnover)

Name
StockTurnover

Parent
TFMSCompanyActivityRatios

Visibility
PUBLISHED

Source code
property StockTurnover : Double read GetStockTurnover

Read Access
GetStockTurnover

FIMAS
Class Tree
Index
Previous (NetWorkingCapitalTurnover)
Next (TotalAssetsTurnover)


Previous (StockTurnover)
Next

Name
TotalAssetsTurnover

Parent
TFMSCompanyActivityRatios

Visibility
PUBLISHED

Source code
property TotalAssetsTurnover : Double read GetTotalAssetsTurnover

Read Access
GetTotalAssetsTurnover

FIMAS
Class Tree
Index
Previous (StockTurnover)
Next


Previous
Next (GetFixedAssetsTurnover)

Name
GetAverageCollectionPeriod

Parent
TFMSCompanyActivityRatios

Visibility
PRIVATE

Source code
function GetAverageCollectionPeriod : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (GetFixedAssetsTurnover)


Previous (GetAverageCollectionPeriod)
Next (GetNetWorkingCapitalTurnover)

Name
GetFixedAssetsTurnover

Parent
TFMSCompanyActivityRatios

Visibility
PRIVATE

Source code
function GetFixedAssetsTurnover : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetAverageCollectionPeriod)
Next (GetNetWorkingCapitalTurnover)


Previous (GetFixedAssetsTurnover)
Next (GetStockTurnover)

Name
GetNetWorkingCapitalTurnover

Parent
TFMSCompanyActivityRatios

Visibility
PRIVATE

Source code
function GetNetWorkingCapitalTurnover : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetFixedAssetsTurnover)
Next (GetStockTurnover)


Previous (GetNetWorkingCapitalTurnover)
Next (GetTotalAssetsTurnover)

Name
GetStockTurnover

Parent
TFMSCompanyActivityRatios

Visibility
PRIVATE

Source code
function GetStockTurnover : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetNetWorkingCapitalTurnover)
Next (GetTotalAssetsTurnover)


Previous (GetStockTurnover)
Next

Name
GetTotalAssetsTurnover

Parent
TFMSCompanyActivityRatios

Visibility
PRIVATE

Source code
function GetTotalAssetsTurnover : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetStockTurnover)
Next


Previous (TFMSCompanyActivityRatios)
Next (TFMSCompanyFinancialStatsCollection)

Name
TFMSCompanyFinancialStats

Parent
FMSStatistics

Class Hierarchy
TStrangeInterfacedOwnedPersistent,IFMSCompanyInformationUser

Visibility
PUBLIC

Description
A class that sums up all other ratios.

Members
Fields
Field Description
FActivityRatios (-)
FCompanyInformation (-)
FGearingRatios (-)
FInvestmentRatios (-)
FLiquidityRatios (-)
FProfitabilityRatios (-)

Methods
Method Description
Create (+)
Destroy (+)
GetCompanyInformation (#)

Properties
Property Description
ActivityRatios (*)
CompanyInformation (*)
GearingRatios (*)
InvestmentRatios (*)
LiquidityRatios (*)
ProfitabilityRatios (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSCompanyActivityRatios)
Next (TFMSCompanyFinancialStatsCollection)


Previous
Next (FCompanyInformation)

Name
FActivityRatios

Parent
TFMSCompanyFinancialStats

Visibility
PRIVATE

Source code
FActivityRatios : TFMSCompanyActivityRatios

FIMAS
Class Tree
Index
Previous
Next (FCompanyInformation)


Previous (FActivityRatios)
Next (FGearingRatios)

Name
FCompanyInformation

Parent
TFMSCompanyFinancialStats

Visibility
PRIVATE

Source code
FCompanyInformation : TFMSCompanyInformation

FIMAS
Class Tree
Index
Previous (FActivityRatios)
Next (FGearingRatios)


Previous (FCompanyInformation)
Next (FInvestmentRatios)

Name
FGearingRatios

Parent
TFMSCompanyFinancialStats

Visibility
PRIVATE

Source code
FGearingRatios : TFMSCompanyGearingRatios

FIMAS
Class Tree
Index
Previous (FCompanyInformation)
Next (FInvestmentRatios)


Previous (FGearingRatios)
Next (FLiquidityRatios)

Name
FInvestmentRatios

Parent
TFMSCompanyFinancialStats

Visibility
PRIVATE

Source code
FInvestmentRatios : TFMSCompanyInvestmentRatios

FIMAS
Class Tree
Index
Previous (FGearingRatios)
Next (FLiquidityRatios)


Previous (FInvestmentRatios)
Next (FProfitabilityRatios)

Name
FLiquidityRatios

Parent
TFMSCompanyFinancialStats

Visibility
PRIVATE

Source code
FLiquidityRatios : TFMSCompanyLiquidityRatios

FIMAS
Class Tree
Index
Previous (FInvestmentRatios)
Next (FProfitabilityRatios)


Previous (FLiquidityRatios)
Next

Name
FProfitabilityRatios

Parent
TFMSCompanyFinancialStats

Visibility
PRIVATE

Source code
FProfitabilityRatios : TFMSCompanyProfitabilityRatios

FIMAS
Class Tree
Index
Previous (FLiquidityRatios)
Next


Previous
Next (CompanyInformation)

Name
ActivityRatios

Parent
TFMSCompanyFinancialStats

Visibility
PUBLISHED

Source code
property ActivityRatios : TFMSCompanyActivityRatios read FActivityRatios

Read Access
FActivityRatios

FIMAS
Class Tree
Index
Previous
Next (CompanyInformation)


Previous (ActivityRatios)
Next (GearingRatios)

Name
CompanyInformation

Parent
TFMSCompanyFinancialStats

Visibility
PUBLISHED

Source code
property CompanyInformation : TFMSCompanyInformation read FCompanyInformation

Read Access
FCompanyInformation

FIMAS
Class Tree
Index
Previous (ActivityRatios)
Next (GearingRatios)


Previous (CompanyInformation)
Next (InvestmentRatios)

Name
GearingRatios

Parent
TFMSCompanyFinancialStats

Visibility
PUBLISHED

Source code
property GearingRatios : TFMSCompanyGearingRatios read FGearingRatios

Read Access
FGearingRatios

FIMAS
Class Tree
Index
Previous (CompanyInformation)
Next (InvestmentRatios)


Previous (GearingRatios)
Next (LiquidityRatios)

Name
InvestmentRatios

Parent
TFMSCompanyFinancialStats

Visibility
PUBLISHED

Source code
property InvestmentRatios : TFMSCompanyInvestmentRatios read FInvestmentRatios

Read Access
FInvestmentRatios

FIMAS
Class Tree
Index
Previous (GearingRatios)
Next (LiquidityRatios)


Previous (InvestmentRatios)
Next (ProfitabilityRatios)

Name
LiquidityRatios

Parent
TFMSCompanyFinancialStats

Visibility
PUBLISHED

Source code
property LiquidityRatios : TFMSCompanyLiquidityRatios read FLiquidityRatios

Read Access
FLiquidityRatios

FIMAS
Class Tree
Index
Previous (InvestmentRatios)
Next (ProfitabilityRatios)


Previous (LiquidityRatios)
Next

Name
ProfitabilityRatios

Parent
TFMSCompanyFinancialStats

Visibility
PUBLISHED

Source code
property ProfitabilityRatios : TFMSCompanyProfitabilityRatios read FProfitabilityRatios

Read Access
FProfitabilityRatios

FIMAS
Class Tree
Index
Previous (LiquidityRatios)
Next


Previous
Next (Destroy)

Name
Create

Parent
TFMSCompanyFinancialStats

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TPersistent ) ; override

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Destroy)


Previous (Create)
Next (GetCompanyInformation)

Name
Destroy

Parent
TFMSCompanyFinancialStats

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (GetCompanyInformation)


Previous (Destroy)
Next

Name
GetCompanyInformation

Parent
TFMSCompanyFinancialStats

Visibility
PROTECTED

Source code
function GetCompanyInformation : TFMSCompanyInformation ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Destroy)
Next


Previous (TFMSCompanyFinancialStats)
Next (TFMSCompanyFinancialStatsItem)

Name
TFMSCompanyFinancialStatsCollection

Parent
FMSStatistics

Class Hierarchy
TComponent,IFMSCompanyFinancialStatsCollection

Visibility
PUBLIC

Members
Fields
Field Description
FFinancialStats (-)
FInformationCollection (-)

Methods
Method Description
Create (+)
Destroy (+)
ExtractLiquidityData (+)
ExtractStandardData (+)
GetItems (-)

Properties
Property Description
CompanyInformationCollection (*)
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSCompanyFinancialStats)
Next (TFMSCompanyFinancialStatsItem)


Previous
Next (FInformationCollection)

Name
FFinancialStats

Parent
TFMSCompanyFinancialStatsCollection

Visibility
PRIVATE

Source code
FFinancialStats : TFMSCompanyFinancialStats

FIMAS
Class Tree
Index
Previous
Next (FInformationCollection)


Previous (FFinancialStats)
Next

Name
FInformationCollection

Parent
TFMSCompanyFinancialStatsCollection

Visibility
PRIVATE

Source code
FInformationCollection : TFMSCompanyInformationCollection

FIMAS
Class Tree
Index
Previous (FFinancialStats)
Next


Previous
Next (Items)

Name
CompanyInformationCollection

Parent
TFMSCompanyFinancialStatsCollection

Visibility
PUBLISHED

Source code
property CompanyInformationCollection : TFMSCompanyInformationCollection read FInformationCollection write FInformationCollection

Read Access
FInformationCollection

Write Access
FInformationCollection

FIMAS
Class Tree
Index
Previous
Next (Items)


Previous (CompanyInformationCollection)
Next

Name
Items

Parent
TFMSCompanyFinancialStatsCollection

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSCompanyFinancialStats read GetItems ; default

Read Access
GetItems

FIMAS
Class Tree
Index
Previous (CompanyInformationCollection)
Next


Previous
Next (Destroy)

Name
Create

Parent
TFMSCompanyFinancialStatsCollection

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TComponent ) ; override

Parameters
Parameter | Description
AOwner : TComponent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Destroy)


Previous (Create)
Next (ExtractLiquidityData)

Name
Destroy

Parent
TFMSCompanyFinancialStatsCollection

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (ExtractLiquidityData)


Previous (Destroy)
Next (ExtractStandardData)

Name
ExtractLiquidityData

Parent
TFMSCompanyFinancialStatsCollection

Visibility
PUBLIC

Source code
procedure ExtractLiquidityData ( const DestinationArray : TDoubleList ; const AName : string )

Parameters
Parameter | Description
DestinationArray : TDoubleList | &nbsp;
AName : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (Destroy)
Next (ExtractStandardData)


Previous (ExtractLiquidityData)
Next (GetItems)

Name
ExtractStandardData

Parent
TFMSCompanyFinancialStatsCollection

Visibility
PUBLIC

Source code
procedure ExtractStandardData ( const DestinationArray : TDoubleList ; const AName : string )

Parameters
Parameter | Description
DestinationArray : TDoubleList | &nbsp;
AName : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (ExtractLiquidityData)
Next (GetItems)


Previous (ExtractStandardData)
Next

Name
GetItems

Parent
TFMSCompanyFinancialStatsCollection

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSCompanyFinancialStats

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (ExtractStandardData)
Next


Previous (TFMSCompanyFinancialStatsCollection)
Next (TFMSCompanyGearingRatios)

Name
TFMSCompanyFinancialStatsItem

Parent
FMSStatistics

Class Hierarchy
TStrangeInterfacedOwnedPersistent,IFMSCompanyInformationUser

Visibility
PUBLIC

Description
A base class that assumes that parent is TFMSCompanyFinancialStats and company information can be found from it.

Members
Methods
Method Description
GetCompanyInformation (#)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSCompanyFinancialStatsCollection)
Next (TFMSCompanyGearingRatios)


Previous
Next

Name
GetCompanyInformation

Parent
TFMSCompanyFinancialStatsItem

Visibility
PROTECTED

Source code
function GetCompanyInformation : TFMSCompanyInformation ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next


Previous (TFMSCompanyFinancialStatsItem)
Next (TFMSCompanyInvestmentRatios)

Name
TFMSCompanyGearingRatios

Parent
FMSStatistics

Class Hierarchy
TFMSCompanyFinancialStatsItem

Visibility
PUBLIC

Members
Methods
Method Description
GetEquityToTotalAssets (-)
GetLongTermDebtToFixedAssets (-)
GetLongTermDebtToTotalAssets (-)
GetTimesInterestEarned (-)
GetTotalDebtToEquity (-)
GetTotalDebtToTotalAssets (-)

Properties
Property Description
EquityToTotalAssets (*)
LongTermDebtToFixedAssets (*)
LongTermDebtToTotalAssets (*)
TimesInterestEarned (*)
TotalDebtToEquity (*)
TotalDebtToTotalAssets (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSCompanyFinancialStatsItem)
Next (TFMSCompanyInvestmentRatios)


Previous
Next (LongTermDebtToFixedAssets)

Name
EquityToTotalAssets

Parent
TFMSCompanyGearingRatios

Visibility
PUBLISHED

Source code
property EquityToTotalAssets : Double read GetEquityToTotalAssets

Read Access
GetEquityToTotalAssets

FIMAS
Class Tree
Index
Previous
Next (LongTermDebtToFixedAssets)


Previous (EquityToTotalAssets)
Next (LongTermDebtToTotalAssets)

Name
LongTermDebtToFixedAssets

Parent
TFMSCompanyGearingRatios

Visibility
PUBLISHED

Source code
property LongTermDebtToFixedAssets : Double read GetLongTermDebtToFixedAssets

Read Access
GetLongTermDebtToFixedAssets

FIMAS
Class Tree
Index
Previous (EquityToTotalAssets)
Next (LongTermDebtToTotalAssets)


Previous (LongTermDebtToFixedAssets)
Next (TimesInterestEarned)

Name
LongTermDebtToTotalAssets

Parent
TFMSCompanyGearingRatios

Visibility
PUBLISHED

Source code
property LongTermDebtToTotalAssets : Double read GetLongTermDebtToTotalAssets

Read Access
GetLongTermDebtToTotalAssets

FIMAS
Class Tree
Index
Previous (LongTermDebtToFixedAssets)
Next (TimesInterestEarned)


Previous (LongTermDebtToTotalAssets)
Next (TotalDebtToEquity)

Name
TimesInterestEarned

Parent
TFMSCompanyGearingRatios

Visibility
PUBLISHED

Source code
property TimesInterestEarned : Double read GetTimesInterestEarned

Read Access
GetTimesInterestEarned

FIMAS
Class Tree
Index
Previous (LongTermDebtToTotalAssets)
Next (TotalDebtToEquity)


Previous (TimesInterestEarned)
Next (TotalDebtToTotalAssets)

Name
TotalDebtToEquity

Parent
TFMSCompanyGearingRatios

Visibility
PUBLISHED

Source code
property TotalDebtToEquity : Double read GetTotalDebtToEquity

Read Access
GetTotalDebtToEquity

FIMAS
Class Tree
Index
Previous (TimesInterestEarned)
Next (TotalDebtToTotalAssets)


Previous (TotalDebtToEquity)
Next

Name
TotalDebtToTotalAssets

Parent
TFMSCompanyGearingRatios

Visibility
PUBLISHED

Source code
property TotalDebtToTotalAssets : Double read GetTotalDebtToTotalAssets

Read Access
GetTotalDebtToTotalAssets

FIMAS
Class Tree
Index
Previous (TotalDebtToEquity)
Next


Previous
Next (GetLongTermDebtToFixedAssets)

Name
GetEquityToTotalAssets

Parent
TFMSCompanyGearingRatios

Visibility
PRIVATE

Source code
function GetEquityToTotalAssets : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (GetLongTermDebtToFixedAssets)


Previous (GetEquityToTotalAssets)
Next (GetLongTermDebtToTotalAssets)

Name
GetLongTermDebtToFixedAssets

Parent
TFMSCompanyGearingRatios

Visibility
PRIVATE

Source code
function GetLongTermDebtToFixedAssets : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetEquityToTotalAssets)
Next (GetLongTermDebtToTotalAssets)


Previous (GetLongTermDebtToFixedAssets)
Next (GetTimesInterestEarned)

Name
GetLongTermDebtToTotalAssets

Parent
TFMSCompanyGearingRatios

Visibility
PRIVATE

Source code
function GetLongTermDebtToTotalAssets : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetLongTermDebtToFixedAssets)
Next (GetTimesInterestEarned)


Previous (GetLongTermDebtToTotalAssets)
Next (GetTotalDebtToEquity)

Name
GetTimesInterestEarned

Parent
TFMSCompanyGearingRatios

Visibility
PRIVATE

Source code
function GetTimesInterestEarned : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetLongTermDebtToTotalAssets)
Next (GetTotalDebtToEquity)


Previous (GetTimesInterestEarned)
Next (GetTotalDebtToTotalAssets)

Name
GetTotalDebtToEquity

Parent
TFMSCompanyGearingRatios

Visibility
PRIVATE

Source code
function GetTotalDebtToEquity : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetTimesInterestEarned)
Next (GetTotalDebtToTotalAssets)


Previous (GetTotalDebtToEquity)
Next

Name
GetTotalDebtToTotalAssets

Parent
TFMSCompanyGearingRatios

Visibility
PRIVATE

Source code
function GetTotalDebtToTotalAssets : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetTotalDebtToEquity)
Next


Previous (TFMSCompanyGearingRatios)
Next (TFMSCompanyLiquidityRatios)

Name
TFMSCompanyInvestmentRatios

Parent
FMSStatistics

Class Hierarchy
TFMSCompanyFinancialStatsItem

Visibility
PUBLIC

Members
Methods
Method Description
GetDividendsPerOrdinaryShare (-)
GetEarningPerOrdinaryShare (-)
GetPayoutRatio (-)
GetPriceToEarnings (-)

Properties
Property Description
DividendsPerOrdinaryShare (*)
EarningPerOrdinaryShare (*)
PayoutRatio (*)
PriceToEarnings (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSCompanyGearingRatios)
Next (TFMSCompanyLiquidityRatios)


Previous
Next (EarningPerOrdinaryShare)

Name
DividendsPerOrdinaryShare

Parent
TFMSCompanyInvestmentRatios

Visibility
PUBLISHED

Source code
property DividendsPerOrdinaryShare : Double read GetDividendsPerOrdinaryShare

Read Access
GetDividendsPerOrdinaryShare

FIMAS
Class Tree
Index
Previous
Next (EarningPerOrdinaryShare)


Previous (DividendsPerOrdinaryShare)
Next (PayoutRatio)

Name
EarningPerOrdinaryShare

Parent
TFMSCompanyInvestmentRatios

Visibility
PUBLISHED

Source code
property EarningPerOrdinaryShare : Double read GetEarningPerOrdinaryShare

Read Access
GetEarningPerOrdinaryShare

FIMAS
Class Tree
Index
Previous (DividendsPerOrdinaryShare)
Next (PayoutRatio)


Previous (EarningPerOrdinaryShare)
Next (PriceToEarnings)

Name
PayoutRatio

Parent
TFMSCompanyInvestmentRatios

Visibility
PUBLISHED

Source code
property PayoutRatio : Double read GetPayoutRatio

Read Access
GetPayoutRatio

FIMAS
Class Tree
Index
Previous (EarningPerOrdinaryShare)
Next (PriceToEarnings)


Previous (PayoutRatio)
Next

Name
PriceToEarnings

Parent
TFMSCompanyInvestmentRatios

Visibility
PUBLISHED

Source code
property PriceToEarnings : Double read GetPriceToEarnings

Read Access
GetPriceToEarnings

FIMAS
Class Tree
Index
Previous (PayoutRatio)
Next


Previous
Next (GetEarningPerOrdinaryShare)

Name
GetDividendsPerOrdinaryShare

Parent
TFMSCompanyInvestmentRatios

Visibility
PRIVATE

Source code
function GetDividendsPerOrdinaryShare : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (GetEarningPerOrdinaryShare)


Previous (GetDividendsPerOrdinaryShare)
Next (GetPayoutRatio)

Name
GetEarningPerOrdinaryShare

Parent
TFMSCompanyInvestmentRatios

Visibility
PRIVATE

Source code
function GetEarningPerOrdinaryShare : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetDividendsPerOrdinaryShare)
Next (GetPayoutRatio)


Previous (GetEarningPerOrdinaryShare)
Next (GetPriceToEarnings)

Name
GetPayoutRatio

Parent
TFMSCompanyInvestmentRatios

Visibility
PRIVATE

Source code
function GetPayoutRatio : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetEarningPerOrdinaryShare)
Next (GetPriceToEarnings)


Previous (GetPayoutRatio)
Next

Name
GetPriceToEarnings

Parent
TFMSCompanyInvestmentRatios

Visibility
PRIVATE

Source code
function GetPriceToEarnings : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetPayoutRatio)
Next


Previous (TFMSCompanyInvestmentRatios)
Next (TFMSCompanyProfitabilityRatios)

Name
TFMSCompanyLiquidityRatios

Parent
FMSStatistics

Class Hierarchy
TFMSCompanyFinancialStatsItem

Visibility
PUBLIC

Members
Methods
Method Description
GetCashRatio (-)
GetCurrentRatio (-)
GetNetWorkingCapital (-)
GetQuickRatio (-)

Properties
Property Description
CashRatio (*)
CurrentRatio (*)
NetWorkingCapital (*)
QuickRatio (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSCompanyInvestmentRatios)
Next (TFMSCompanyProfitabilityRatios)


Previous
Next (CurrentRatio)

Name
CashRatio

Parent
TFMSCompanyLiquidityRatios

Visibility
PUBLISHED

Source code
property CashRatio : Double read GetCashRatio

Read Access
GetCashRatio

FIMAS
Class Tree
Index
Previous
Next (CurrentRatio)


Previous (CashRatio)
Next (NetWorkingCapital)

Name
CurrentRatio

Parent
TFMSCompanyLiquidityRatios

Visibility
PUBLISHED

Source code
property CurrentRatio : Double read GetCurrentRatio

Read Access
GetCurrentRatio

FIMAS
Class Tree
Index
Previous (CashRatio)
Next (NetWorkingCapital)


Previous (CurrentRatio)
Next (QuickRatio)

Name
NetWorkingCapital

Parent
TFMSCompanyLiquidityRatios

Visibility
PUBLISHED

Source code
property NetWorkingCapital : Double read GetNetWorkingCapital

Read Access
GetNetWorkingCapital

FIMAS
Class Tree
Index
Previous (CurrentRatio)
Next (QuickRatio)


Previous (NetWorkingCapital)
Next

Name
QuickRatio

Parent
TFMSCompanyLiquidityRatios

Visibility
PUBLISHED

Source code
property QuickRatio : Double read GetQuickRatio

Read Access
GetQuickRatio

FIMAS
Class Tree
Index
Previous (NetWorkingCapital)
Next


Previous
Next (GetCurrentRatio)

Name
GetCashRatio

Parent
TFMSCompanyLiquidityRatios

Visibility
PRIVATE

Source code
function GetCashRatio : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (GetCurrentRatio)


Previous (GetCashRatio)
Next (GetNetWorkingCapital)

Name
GetCurrentRatio

Parent
TFMSCompanyLiquidityRatios

Visibility
PRIVATE

Source code
function GetCurrentRatio : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCashRatio)
Next (GetNetWorkingCapital)


Previous (GetCurrentRatio)
Next (GetQuickRatio)

Name
GetNetWorkingCapital

Parent
TFMSCompanyLiquidityRatios

Visibility
PRIVATE

Source code
function GetNetWorkingCapital : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCurrentRatio)
Next (GetQuickRatio)


Previous (GetNetWorkingCapital)
Next

Name
GetQuickRatio

Parent
TFMSCompanyLiquidityRatios

Visibility
PRIVATE

Source code
function GetQuickRatio : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetNetWorkingCapital)
Next


Previous (TFMSCompanyLiquidityRatios)
Next (TFMSShareTransactionsInfo)

Name
TFMSCompanyProfitabilityRatios

Parent
FMSStatistics

Class Hierarchy
TFMSCompanyFinancialStatsItem

Visibility
PUBLIC

Description
Classes that are used to extract standard financial stat information out of company's TFMSCompanyInformation.

Members
Methods
Method Description
GetGrossProfitMargin (-)
GetReturnOnAssets (-)
GetReturnOnCurrentAssets (-)
GetReturnOnFixedAssets (-)
GetReturnOnInvestment (-)
GetReturnOnSales (-)
GetReturnOnShareholderEquity (-)

Properties
Property Description
GrossProfitMargin (*)
ReturnOnAssets (*)
ReturnOnCurrentAssets (*)
ReturnOnFixedAssets (*)
ReturnOnInvestment (*)
ReturnOnSales (*)
ReturnOnShareholderEquity (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSCompanyLiquidityRatios)
Next (TFMSShareTransactionsInfo)


Previous
Next (ReturnOnAssets)

Name
GrossProfitMargin

Parent
TFMSCompanyProfitabilityRatios

Visibility
PUBLISHED

Source code
property GrossProfitMargin : Double read GetGrossProfitMargin

Read Access
GetGrossProfitMargin

FIMAS
Class Tree
Index
Previous
Next (ReturnOnAssets)


Previous (GrossProfitMargin)
Next (ReturnOnCurrentAssets)

Name
ReturnOnAssets

Parent
TFMSCompanyProfitabilityRatios

Visibility
PUBLISHED

Source code
property ReturnOnAssets : Double read GetReturnOnAssets

Read Access
GetReturnOnAssets

FIMAS
Class Tree
Index
Previous (GrossProfitMargin)
Next (ReturnOnCurrentAssets)


Previous (ReturnOnAssets)
Next (ReturnOnFixedAssets)

Name
ReturnOnCurrentAssets

Parent
TFMSCompanyProfitabilityRatios

Visibility
PUBLISHED

Source code
property ReturnOnCurrentAssets : Double read GetReturnOnCurrentAssets

Read Access
GetReturnOnCurrentAssets

FIMAS
Class Tree
Index
Previous (ReturnOnAssets)
Next (ReturnOnFixedAssets)


Previous (ReturnOnCurrentAssets)
Next (ReturnOnInvestment)

Name
ReturnOnFixedAssets

Parent
TFMSCompanyProfitabilityRatios

Visibility
PUBLISHED

Source code
property ReturnOnFixedAssets : Double read GetReturnOnFixedAssets

Read Access
GetReturnOnFixedAssets

FIMAS
Class Tree
Index
Previous (ReturnOnCurrentAssets)
Next (ReturnOnInvestment)


Previous (ReturnOnFixedAssets)
Next (ReturnOnSales)

Name
ReturnOnInvestment

Parent
TFMSCompanyProfitabilityRatios

Visibility
PUBLISHED

Source code
property ReturnOnInvestment : Double read GetReturnOnInvestment

Read Access
GetReturnOnInvestment

FIMAS
Class Tree
Index
Previous (ReturnOnFixedAssets)
Next (ReturnOnSales)


Previous (ReturnOnInvestment)
Next (ReturnOnShareholderEquity)

Name
ReturnOnSales

Parent
TFMSCompanyProfitabilityRatios

Visibility
PUBLISHED

Source code
property ReturnOnSales : Double read GetReturnOnSales

Read Access
GetReturnOnSales

FIMAS
Class Tree
Index
Previous (ReturnOnInvestment)
Next (ReturnOnShareholderEquity)


Previous (ReturnOnSales)
Next

Name
ReturnOnShareholderEquity

Parent
TFMSCompanyProfitabilityRatios

Visibility
PUBLISHED

Source code
property ReturnOnShareholderEquity : Double read GetReturnOnShareholderEquity

Read Access
GetReturnOnShareholderEquity

FIMAS
Class Tree
Index
Previous (ReturnOnSales)
Next


Previous
Next (GetReturnOnAssets)

Name
GetGrossProfitMargin

Parent
TFMSCompanyProfitabilityRatios

Visibility
PRIVATE

Source code
function GetGrossProfitMargin : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (GetReturnOnAssets)


Previous (GetGrossProfitMargin)
Next (GetReturnOnCurrentAssets)

Name
GetReturnOnAssets

Parent
TFMSCompanyProfitabilityRatios

Visibility
PRIVATE

Source code
function GetReturnOnAssets : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetGrossProfitMargin)
Next (GetReturnOnCurrentAssets)


Previous (GetReturnOnAssets)
Next (GetReturnOnFixedAssets)

Name
GetReturnOnCurrentAssets

Parent
TFMSCompanyProfitabilityRatios

Visibility
PRIVATE

Source code
function GetReturnOnCurrentAssets : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetReturnOnAssets)
Next (GetReturnOnFixedAssets)


Previous (GetReturnOnCurrentAssets)
Next (GetReturnOnInvestment)

Name
GetReturnOnFixedAssets

Parent
TFMSCompanyProfitabilityRatios

Visibility
PRIVATE

Source code
function GetReturnOnFixedAssets : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetReturnOnCurrentAssets)
Next (GetReturnOnInvestment)


Previous (GetReturnOnFixedAssets)
Next (GetReturnOnSales)

Name
GetReturnOnInvestment

Parent
TFMSCompanyProfitabilityRatios

Visibility
PRIVATE

Source code
function GetReturnOnInvestment : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetReturnOnFixedAssets)
Next (GetReturnOnSales)


Previous (GetReturnOnInvestment)
Next (GetReturnOnShareholderEquity)

Name
GetReturnOnSales

Parent
TFMSCompanyProfitabilityRatios

Visibility
PRIVATE

Source code
function GetReturnOnSales : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetReturnOnInvestment)
Next (GetReturnOnShareholderEquity)


Previous (GetReturnOnSales)
Next

Name
GetReturnOnShareholderEquity

Parent
TFMSCompanyProfitabilityRatios

Visibility
PRIVATE

Source code
function GetReturnOnShareholderEquity : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetReturnOnSales)
Next


Previous (TFMSCompanyProfitabilityRatios)
Next (TFMSShareTransactionsInfoCollection)

Name
TFMSShareTransactionsInfo

Parent
FMSStatistics

Class Hierarchy
TStrangeInterfacedCollectionItem

Visibility
PUBLIC

Members
Fields
Field Description
FAverage (-)
FClearPriceAndQuantityLists (-)
FClose (-)
FMax (-)
FMin (-)
FOpen (-)
FPriceList (-)
FQuantityList (-)
FScaledAverage (-)
FTransactions (-)
FVolume (-)

Methods
Method Description
Assign (+)
Create (+)
Destroy (+)
GetDeals (-)
GetParent (#)
SetClearPriceAndQuantityLists (-)
SetTransactions (-)
Update (+)

Properties
Property | Description
Average (*)
ClearPriceAndQuantityLists (*) | These lists are used internally and saved just in case user needs them. This option allows to clear them to save memomy.
Close (*)
Deals (*)
Max (*)
Min (*)
Open (*)
PriceList (*)
QuantityList (*)
ScaledAverage (*)
Transactions (*) | All stats are based on this list.
Volume (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSCompanyProfitabilityRatios)
Next (TFMSShareTransactionsInfoCollection)


Previous
Next (FClearPriceAndQuantityLists)

Name
FAverage

Parent
TFMSShareTransactionsInfo

Visibility
PRIVATE

Source code
FAverage : Double

FIMAS
Class Tree
Index
Previous
Next (FClearPriceAndQuantityLists)


Previous (FAverage)
Next (FClose)

Name
FClearPriceAndQuantityLists

Parent
TFMSShareTransactionsInfo

Visibility
PRIVATE

Source code
FClearPriceAndQuantityLists : Boolean

FIMAS
Class Tree
Index
Previous (FAverage)
Next (FClose)


Previous (FClearPriceAndQuantityLists)
Next (FMax)

Name
FClose

Parent
TFMSShareTransactionsInfo

Visibility
PRIVATE

Source code
FClose : Double

FIMAS
Class Tree
Index
Previous (FClearPriceAndQuantityLists)
Next (FMax)


Previous (FClose)
Next (FMin)

Name
FMax

Parent
TFMSShareTransactionsInfo

Visibility
PRIVATE

Source code
FMax : Double

FIMAS
Class Tree
Index
Previous (FClose)
Next (FMin)


Previous (FMax)
Next (FOpen)

Name
FMin

Parent
TFMSShareTransactionsInfo

Visibility
PRIVATE

Source code
FMin : Double

FIMAS
Class Tree
Index
Previous (FMax)
Next (FOpen)


Previous (FMin)
Next (FPriceList)

Name
FOpen

Parent
TFMSShareTransactionsInfo

Visibility
PRIVATE

Source code
FOpen : Double

FIMAS
Class Tree
Index
Previous (FMin)
Next (FPriceList)


Previous (FOpen)
Next (FQuantityList)

Name
FPriceList

Parent
TFMSShareTransactionsInfo

Visibility
PRIVATE

Source code
FPriceList : TDoubleList

FIMAS
Class Tree
Index
Previous (FOpen)
Next (FQuantityList)


Previous (FPriceList)
Next (FScaledAverage)

Name
FQuantityList

Parent
TFMSShareTransactionsInfo

Visibility
PRIVATE

Source code
FQuantityList : TIntegerList

FIMAS
Class Tree
Index
Previous (FPriceList)
Next (FScaledAverage)


Previous (FQuantityList)
Next (FTransactions)

Name
FScaledAverage

Parent
TFMSShareTransactionsInfo

Visibility
PRIVATE

Source code
FScaledAverage : Double

FIMAS
Class Tree
Index
Previous (FQuantityList)
Next (FTransactions)


Previous (FScaledAverage)
Next (FVolume)

Name
FTransactions

Parent
TFMSShareTransactionsInfo

Visibility
PRIVATE

Source code
FTransactions : TFMSShareTransactionList

FIMAS
Class Tree
Index
Previous (FScaledAverage)
Next (FVolume)


Previous (FTransactions)
Next

Name
FVolume

Parent
TFMSShareTransactionsInfo

Visibility
PRIVATE

Source code
FVolume : Double

FIMAS
Class Tree
Index
Previous (FTransactions)
Next


Previous
Next (ClearPriceAndQuantityLists)

Name
Average

Parent
TFMSShareTransactionsInfo

Visibility
PUBLISHED

Source code
property Average : Double read FAverage stored True

Read Access
FAverage

FIMAS
Class Tree
Index
Previous
Next (ClearPriceAndQuantityLists)


Previous (Average)
Next (Close)

Name
ClearPriceAndQuantityLists

Parent
TFMSShareTransactionsInfo

Visibility
PUBLISHED

Description
These lists are used internally and saved just in case user needs them. This option allows to clear them to save memomy.

Source code
property ClearPriceAndQuantityLists : Boolean read FClearPriceAndQuantityLists write SetClearPriceAndQuantityLists default False

Read Access
FClearPriceAndQuantityLists

Write Access
SetClearPriceAndQuantityLists

FIMAS
Class Tree
Index
Previous (Average)
Next (Close)


Previous (ClearPriceAndQuantityLists)
Next (Deals)

Name
Close

Parent
TFMSShareTransactionsInfo

Visibility
PUBLISHED

Source code
property Close : Double read FClose stored True

Read Access
FClose

FIMAS
Class Tree
Index
Previous (ClearPriceAndQuantityLists)
Next (Deals)


Previous (Close)
Next (Max)

Name
Deals

Parent
TFMSShareTransactionsInfo

Visibility
PUBLISHED

Source code
property Deals : Integer read GetDeals stored True

Read Access
GetDeals

FIMAS
Class Tree
Index
Previous (Close)
Next (Max)


Previous (Deals)
Next (Min)

Name
Max

Parent
TFMSShareTransactionsInfo

Visibility
PUBLISHED

Source code
property Max : Double read FMax stored True

Read Access
FMax

FIMAS
Class Tree
Index
Previous (Deals)
Next (Min)


Previous (Max)
Next (Open)

Name
Min

Parent
TFMSShareTransactionsInfo

Visibility
PUBLISHED

Source code
property Min : Double read FMin stored True

Read Access
FMin

FIMAS
Class Tree
Index
Previous (Max)
Next (Open)


Previous (Min)
Next (PriceList)

Name
Open

Parent
TFMSShareTransactionsInfo

Visibility
PUBLISHED

Source code
property Open : Double read FOpen stored True

Read Access
FOpen

FIMAS
Class Tree
Index
Previous (Min)
Next (PriceList)


Previous (Open)
Next (QuantityList)

Name
PriceList

Parent
TFMSShareTransactionsInfo

Visibility
PUBLISHED

Source code
property PriceList : TDoubleList read FPriceList stored True

Read Access
FPriceList

FIMAS
Class Tree
Index
Previous (Open)
Next (QuantityList)


Previous (PriceList)
Next (ScaledAverage)

Name
QuantityList

Parent
TFMSShareTransactionsInfo

Visibility
PUBLISHED

Source code
property QuantityList : TIntegerList read FQuantityList stored True

Read Access
FQuantityList

FIMAS
Class Tree
Index
Previous (PriceList)
Next (ScaledAverage)


Previous (QuantityList)
Next (Transactions)

Name
ScaledAverage

Parent
TFMSShareTransactionsInfo

Visibility
PUBLISHED

Source code
property ScaledAverage : Double read FScaledAverage stored True

Read Access
FScaledAverage

FIMAS
Class Tree
Index
Previous (QuantityList)
Next (Transactions)


Previous (ScaledAverage)
Next (Volume)

Name
Transactions

Parent
TFMSShareTransactionsInfo

Visibility
PUBLISHED

Description
All stats are based on this list.

Source code
property Transactions : TFMSShareTransactionList read FTransactions write SetTransactions

Read Access
FTransactions

Write Access
SetTransactions

FIMAS
Class Tree
Index
Previous (ScaledAverage)
Next (Volume)


Previous (Transactions)
Next

Name
Volume

Parent
TFMSShareTransactionsInfo

Visibility
PUBLISHED

Source code
property Volume : Double read FVolume stored True

Read Access
FVolume

FIMAS
Class Tree
Index
Previous (Transactions)
Next


Previous
Next (Create)

Name
Assign

Parent
TFMSShareTransactionsInfo

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (Assign)
Next (Destroy)

Name
Create

Parent
TFMSShareTransactionsInfo

Visibility
PUBLIC

Source code
constructor Create ( Collection : TCollection ) ; override

Parameters
Parameter | Description
Collection : TCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (Assign)
Next (Destroy)


Previous (Create)
Next (GetDeals)

Name
Destroy

Parent
TFMSShareTransactionsInfo

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (GetDeals)


Previous (Destroy)
Next (GetParent)

Name
GetDeals

Parent
TFMSShareTransactionsInfo

Visibility
PRIVATE

Source code
function GetDeals : Integer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Destroy)
Next (GetParent)


Previous (GetDeals)
Next (SetClearPriceAndQuantityLists)

Name
GetParent

Parent
TFMSShareTransactionsInfo

Visibility
PROTECTED

Source code
function GetParent : TFMSShareTransactionsInfoCollection

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetDeals)
Next (SetClearPriceAndQuantityLists)


Previous (GetParent)
Next (SetTransactions)

Name
SetClearPriceAndQuantityLists

Parent
TFMSShareTransactionsInfo

Visibility
PRIVATE

Source code
procedure SetClearPriceAndQuantityLists ( const Value : Boolean )

Parameters
Parameter | Description
Value : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (GetParent)
Next (SetTransactions)


Previous (SetClearPriceAndQuantityLists)
Next (Update)

Name
SetTransactions

Parent
TFMSShareTransactionsInfo

Visibility
PRIVATE

Source code
procedure SetTransactions ( const Value : TFMSShareTransactionList )

Parameters
Parameter | Description
Value : TFMSShareTransactionList | &nbsp;

FIMAS
Class Tree
Index
Previous (SetClearPriceAndQuantityLists)
Next (Update)


Previous (SetTransactions)
Next

Name
Update

Parent
TFMSShareTransactionsInfo

Visibility
PUBLIC

Source code
procedure Update ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetTransactions)
Next


Previous (TFMSShareTransactionsInfo)
Next (TFMSShareTransactionsOverallStats)

Name
TFMSShareTransactionsInfoCollection

Parent
FMSStatistics

Class Hierarchy
TStrangeInterfacedOwnedCollection

Visibility
PUBLIC

Members
Fields
Field Description
FClearPriceAndQuantityLists (-)

Methods
Method Description
ADD (+)
Create (+)
GetItems (-)
SetClearPriceAndQuantityLists (-)
SetItems (-)

Properties
Property Description
ClearPriceAndQuantityLists (+)
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSShareTransactionsInfo)
Next (TFMSShareTransactionsOverallStats)


Previous
Next

Name
FClearPriceAndQuantityLists

Parent
TFMSShareTransactionsInfoCollection

Visibility
PRIVATE

Source code
FClearPriceAndQuantityLists : Boolean

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Items)

Name
ClearPriceAndQuantityLists

Parent
TFMSShareTransactionsInfoCollection

Visibility
PUBLIC

Source code
property ClearPriceAndQuantityLists : Boolean read FClearPriceAndQuantityLists write SetClearPriceAndQuantityLists default False

Read Access
FClearPriceAndQuantityLists

Write Access
SetClearPriceAndQuantityLists

FIMAS
Class Tree
Index
Previous
Next (Items)


Previous (ClearPriceAndQuantityLists)
Next

Name
Items

Parent
TFMSShareTransactionsInfoCollection

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSShareTransactionsInfo read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous (ClearPriceAndQuantityLists)
Next


Previous
Next (Create)

Name
ADD

Parent
TFMSShareTransactionsInfoCollection

Visibility
PUBLIC

Source code
function Add : TFMSShareTransactionsInfo

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (ADD)
Next (GetItems)

Name
Create

Parent
TFMSShareTransactionsInfoCollection

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TPersistent )

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (GetItems)


Previous (Create)
Next (SetClearPriceAndQuantityLists)

Name
GetItems

Parent
TFMSShareTransactionsInfoCollection

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSShareTransactionsInfo

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (SetClearPriceAndQuantityLists)


Previous (GetItems)
Next (SetItems)

Name
SetClearPriceAndQuantityLists

Parent
TFMSShareTransactionsInfoCollection

Visibility
PRIVATE

Source code
procedure SetClearPriceAndQuantityLists ( const Value : Boolean )

Parameters
Parameter | Description
Value : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (GetItems)
Next (SetItems)


Previous (SetClearPriceAndQuantityLists)
Next

Name
SetItems

Parent
TFMSShareTransactionsInfoCollection

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSShareTransactionsInfo )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSShareTransactionsInfo | &nbsp;

FIMAS
Class Tree
Index
Previous (SetClearPriceAndQuantityLists)
Next


Previous (TFMSShareTransactionsInfoCollection)
Next (TFMSTraderStats)

Name
TFMSShareTransactionsOverallStats

Parent
FMSStatistics

Class Hierarchy
TComponent,IFMSShareTransactionsOverallStats

Visibility
PUBLIC

Description
Agents that require special stats about shares need to request to generate it individually.

Members
Fields
Field Description
FClearEmptyPeriods (-)
FEndDateTime (-)
FMaxIntervals (-)
FPeriod (-)
FShareTransactionsInfo (-)
FShareTypeAccount (-)
FStartDateTime (-)

Methods
Method Description
Assign (+)
Create (+)
Destroy (+)
ExtractData (+)
SetShareTransactionsInfo (-)
Update (+)

Properties
Property | Description
ClearEmptyPeriods (*)
EndDateTime (*)
MaxIntervals (*) | Actually, the maximum amount of ShareTransactionsInfo's.
Period (*) | Period (in seconds) between ticks.
ShareTransactionsInfo (*)
ShareTypeAccount (*)
StartDateTime (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSShareTransactionsInfoCollection)
Next (TFMSTraderStats)


Previous
Next (FEndDateTime)

Name
FClearEmptyPeriods

Parent
TFMSShareTransactionsOverallStats

Visibility
PRIVATE

Source code
FClearEmptyPeriods : Boolean

FIMAS
Class Tree
Index
Previous
Next (FEndDateTime)


Previous (FClearEmptyPeriods)
Next (FMaxIntervals)

Name
FEndDateTime

Parent
TFMSShareTransactionsOverallStats

Visibility
PRIVATE

Source code
FEndDateTime : TDateTime

FIMAS
Class Tree
Index
Previous (FClearEmptyPeriods)
Next (FMaxIntervals)


Previous (FEndDateTime)
Next (FPeriod)

Name
FMaxIntervals

Parent
TFMSShareTransactionsOverallStats

Visibility
PRIVATE

Source code
FMaxIntervals : Integer

FIMAS
Class Tree
Index
Previous (FEndDateTime)
Next (FPeriod)


Previous (FMaxIntervals)
Next (FShareTransactionsInfo)

Name
FPeriod

Parent
TFMSShareTransactionsOverallStats

Visibility
PRIVATE

Source code
FPeriod : Double

FIMAS
Class Tree
Index
Previous (FMaxIntervals)
Next (FShareTransactionsInfo)


Previous (FPeriod)
Next (FShareTypeAccount)

Name
FShareTransactionsInfo

Parent
TFMSShareTransactionsOverallStats

Visibility
PRIVATE

Source code
FShareTransactionsInfo : TFMSShareTransactionsInfoCollection

FIMAS
Class Tree
Index
Previous (FPeriod)
Next (FShareTypeAccount)


Previous (FShareTransactionsInfo)
Next (FStartDateTime)

Name
FShareTypeAccount

Parent
TFMSShareTransactionsOverallStats

Visibility
PRIVATE

Source code
FShareTypeAccount : TFMSShareTypeAccount

FIMAS
Class Tree
Index
Previous (FShareTransactionsInfo)
Next (FStartDateTime)


Previous (FShareTypeAccount)
Next

Name
FStartDateTime

Parent
TFMSShareTransactionsOverallStats

Visibility
PRIVATE

Source code
FStartDateTime : TDateTime

FIMAS
Class Tree
Index
Previous (FShareTypeAccount)
Next


Previous
Next (EndDateTime)

Name
ClearEmptyPeriods

Parent
TFMSShareTransactionsOverallStats

Visibility
PUBLISHED

Source code
property ClearEmptyPeriods : Boolean read FClearEmptyPeriods write FClearEmptyPeriods

Read Access
FClearEmptyPeriods

Write Access
FClearEmptyPeriods

FIMAS
Class Tree
Index
Previous
Next (EndDateTime)


Previous (ClearEmptyPeriods)
Next (MaxIntervals)

Name
EndDateTime

Parent
TFMSShareTransactionsOverallStats

Visibility
PUBLISHED

Source code
property EndDateTime : TDateTime read FEndDateTime write FEndDateTime

Read Access
FEndDateTime

Write Access
FEndDateTime

FIMAS
Class Tree
Index
Previous (ClearEmptyPeriods)
Next (MaxIntervals)


Previous (EndDateTime)
Next (Period)

Name
MaxIntervals

Parent
TFMSShareTransactionsOverallStats

Visibility
PUBLISHED

Description
Actually, the maximum amount of ShareTransactionsInfo's.

Source code
property MaxIntervals : Integer read FMaxIntervals write FMaxIntervals

Read Access
FMaxIntervals

Write Access
FMaxIntervals

FIMAS
Class Tree
Index
Previous (EndDateTime)
Next (Period)


Previous (MaxIntervals)
Next (ShareTransactionsInfo)

Name
Period

Parent
TFMSShareTransactionsOverallStats

Visibility
PUBLISHED

Description
Period (in seconds) between ticks.

Source code
property Period : Double read FPeriod write FPeriod

Read Access
FPeriod

Write Access
FPeriod

FIMAS
Class Tree
Index
Previous (MaxIntervals)
Next (ShareTransactionsInfo)


Previous (Period)
Next (ShareTypeAccount)

Name
ShareTransactionsInfo

Parent
TFMSShareTransactionsOverallStats

Visibility
PUBLISHED

Source code
property ShareTransactionsInfo : TFMSShareTransactionsInfoCollection read FShareTransactionsInfo write SetShareTransactionsInfo

Read Access
FShareTransactionsInfo

Write Access
SetShareTransactionsInfo

FIMAS
Class Tree
Index
Previous (Period)
Next (ShareTypeAccount)


Previous (ShareTransactionsInfo)
Next (StartDateTime)

Name
ShareTypeAccount

Parent
TFMSShareTransactionsOverallStats

Visibility
PUBLISHED

Source code
property ShareTypeAccount : TFMSShareTypeAccount read FShareTypeAccount write FShareTypeAccount

Read Access
FShareTypeAccount

Write Access
FShareTypeAccount

FIMAS
Class Tree
Index
Previous (ShareTransactionsInfo)
Next (StartDateTime)


Previous (ShareTypeAccount)
Next

Name
StartDateTime

Parent
TFMSShareTransactionsOverallStats

Visibility
PUBLISHED

Source code
property StartDateTime : TDateTime read FStartDateTime write FStartDateTime

Read Access
FStartDateTime

Write Access
FStartDateTime

FIMAS
Class Tree
Index
Previous (ShareTypeAccount)
Next


Previous
Next (Create)

Name
Assign

Parent
TFMSShareTransactionsOverallStats

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (Assign)
Next (Destroy)

Name
Create

Parent
TFMSShareTransactionsOverallStats

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TComponent ) ; override

Parameters
Parameter | Description
AOwner : TComponent | &nbsp;

FIMAS
Class Tree
Index
Previous (Assign)
Next (Destroy)


Previous (Create)
Next (ExtractData)

Name
Destroy

Parent
TFMSShareTransactionsOverallStats

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (ExtractData)


Previous (Destroy)
Next (SetShareTransactionsInfo)

Name
ExtractData

Parent
TFMSShareTransactionsOverallStats

Visibility
PUBLIC

Source code
procedure ExtractData ( const ADestinationArray : TDoubleList ; const AName : string )

Parameters
Parameter | Description
ADestinationArray : TDoubleList | &nbsp;
AName : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (Destroy)
Next (SetShareTransactionsInfo)


Previous (ExtractData)
Next (Update)

Name
SetShareTransactionsInfo

Parent
TFMSShareTransactionsOverallStats

Visibility
PRIVATE

Source code
procedure SetShareTransactionsInfo ( const Value : TFMSShareTransactionsInfoCollection )

Parameters
Parameter | Description
Value : TFMSShareTransactionsInfoCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (ExtractData)
Next (Update)


Previous (SetShareTransactionsInfo)
Next

Name
Update

Parent
TFMSShareTransactionsOverallStats

Visibility
PUBLIC

Source code
procedure Update ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetShareTransactionsInfo)
Next


Previous (TFMSShareTransactionsOverallStats)
Next

Name
TFMSTraderStats

Parent
FMSStatistics

Class Hierarchy
TComponent

Visibility
PUBLIC

Members
Fields
Field Description
FCount (-)
FEndDateTime (-)
FPeriod (-)
FRequestsCountAll (-)
FRequestsCountAllStrategies (-)
FStartDateTime (-)
FStrategy (-)
FTradeVolumeAll (-)
FTradeVolumeAllStrategies (-)
FTransactionsCountAll (-)
FTransactionsCountAllStrategies (-)
FWorld (-)

Methods
Method Description
Create (+)
GetCountPercent (-)
GetRequestsCountPerAgent (-)
GetRequestsPercentFromAll (-)
GetStrategyID (-)
GetTradeVolumePerAgent (-)
GetTradeVolumePercentFromAll (-)
GetTransactionsCountPerAgent (-)
GetTransactionsPercentFromAll (-)
Notification (+)
SetStrategyID (-)
SetWorld (-)
Update (+)

Properties
Property Description
Count (*)
CountPercent (*)
EndDateTime (*)
Period (*)
RequestsCountAll (*)
RequestsCountPerAgent (*)
RequestsPercentFromAll (*)
StartDateTime (*)
Strategy (*)
StrategyID (*)
TradeVolumeAll (*)
TradeVolumePerAgent (*)
TradeVolumePercentFromAll (*)
TransactionsCountAll (*)
TransactionsCountPerAgent (*)
TransactionsPercentFromAll (*)
World (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSShareTransactionsOverallStats)
Next


Previous
Next (FEndDateTime)

Name
FCount

Parent
TFMSTraderStats

Visibility
PRIVATE

Source code
FCount : Integer

FIMAS
Class Tree
Index
Previous
Next (FEndDateTime)


Previous (FCount)
Next (FPeriod)

Name
FEndDateTime

Parent
TFMSTraderStats

Visibility
PRIVATE

Source code
FEndDateTime : TDateTime

FIMAS
Class Tree
Index
Previous (FCount)
Next (FPeriod)


Previous (FEndDateTime)
Next (FRequestsCountAll)

Name
FPeriod

Parent
TFMSTraderStats

Visibility
PRIVATE

Source code
FPeriod : TFMSTraderStatsPeriod

FIMAS
Class Tree
Index
Previous (FEndDateTime)
Next (FRequestsCountAll)


Previous (FPeriod)
Next (FRequestsCountAllStrategies)

Name
FRequestsCountAll

Parent
TFMSTraderStats

Visibility
PRIVATE

Source code
FRequestsCountAll : Double

FIMAS
Class Tree
Index
Previous (FPeriod)
Next (FRequestsCountAllStrategies)


Previous (FRequestsCountAll)
Next (FStartDateTime)

Name
FRequestsCountAllStrategies

Parent
TFMSTraderStats

Visibility
PRIVATE

Source code
FRequestsCountAllStrategies : Double

FIMAS
Class Tree
Index
Previous (FRequestsCountAll)
Next (FStartDateTime)


Previous (FRequestsCountAllStrategies)
Next (FStrategy)

Name
FStartDateTime

Parent
TFMSTraderStats

Visibility
PRIVATE

Source code
FStartDateTime : TDateTime

FIMAS
Class Tree
Index
Previous (FRequestsCountAllStrategies)
Next (FStrategy)


Previous (FStartDateTime)
Next (FTradeVolumeAll)

Name
FStrategy

Parent
TFMSTraderStats

Visibility
PRIVATE

Source code
FStrategy : TFMSTraderStrategyClass

FIMAS
Class Tree
Index
Previous (FStartDateTime)
Next (FTradeVolumeAll)


Previous (FStrategy)
Next (FTradeVolumeAllStrategies)

Name
FTradeVolumeAll

Parent
TFMSTraderStats

Visibility
PRIVATE

Source code
FTradeVolumeAll : Double

FIMAS
Class Tree
Index
Previous (FStrategy)
Next (FTradeVolumeAllStrategies)


Previous (FTradeVolumeAll)
Next (FTransactionsCountAll)

Name
FTradeVolumeAllStrategies

Parent
TFMSTraderStats

Visibility
PRIVATE

Source code
FTradeVolumeAllStrategies : Double

FIMAS
Class Tree
Index
Previous (FTradeVolumeAll)
Next (FTransactionsCountAll)


Previous (FTradeVolumeAllStrategies)
Next (FTransactionsCountAllStrategies)

Name
FTransactionsCountAll

Parent
TFMSTraderStats

Visibility
PRIVATE

Source code
FTransactionsCountAll : Double

FIMAS
Class Tree
Index
Previous (FTradeVolumeAllStrategies)
Next (FTransactionsCountAllStrategies)


Previous (FTransactionsCountAll)
Next (FWorld)

Name
FTransactionsCountAllStrategies

Parent
TFMSTraderStats

Visibility
PRIVATE

Source code
FTransactionsCountAllStrategies : Double

FIMAS
Class Tree
Index
Previous (FTransactionsCountAll)
Next (FWorld)


Previous (FTransactionsCountAllStrategies)
Next

Name
FWorld

Parent
TFMSTraderStats

Visibility
PRIVATE

Source code
FWorld : TFMSRtStandardWorld

FIMAS
Class Tree
Index
Previous (FTransactionsCountAllStrategies)
Next


Previous
Next (CountPercent)

Name
Count

Parent
TFMSTraderStats

Visibility
PUBLISHED

Source code
property Count : Integer read FCount

Read Access
FCount

FIMAS
Class Tree
Index
Previous
Next (CountPercent)


Previous (Count)
Next (EndDateTime)

Name
CountPercent

Parent
TFMSTraderStats

Visibility
PUBLISHED

Source code
property CountPercent : Double read GetCountPercent

Read Access
GetCountPercent

FIMAS
Class Tree
Index
Previous (Count)
Next (EndDateTime)


Previous (CountPercent)
Next (Period)

Name
EndDateTime

Parent
TFMSTraderStats

Visibility
PUBLISHED

Source code
property EndDateTime : TDateTime read FEndDateTime write FEndDateTime

Read Access
FEndDateTime

Write Access
FEndDateTime

FIMAS
Class Tree
Index
Previous (CountPercent)
Next (Period)


Previous (EndDateTime)
Next (RequestsCountAll)

Name
Period

Parent
TFMSTraderStats

Visibility
PUBLISHED

Source code
property Period : TFMSTraderStatsPeriod read FPeriod write FPeriod default tspPerDay

Read Access
FPeriod

Write Access
FPeriod

FIMAS
Class Tree
Index
Previous (EndDateTime)
Next (RequestsCountAll)


Previous (Period)
Next (RequestsCountPerAgent)

Name
RequestsCountAll

Parent
TFMSTraderStats

Visibility
PUBLISHED

Source code
property RequestsCountAll : Double read FRequestsCountAll

Read Access
FRequestsCountAll

FIMAS
Class Tree
Index
Previous (Period)
Next (RequestsCountPerAgent)


Previous (RequestsCountAll)
Next (RequestsPercentFromAll)

Name
RequestsCountPerAgent

Parent
TFMSTraderStats

Visibility
PUBLISHED

Source code
property RequestsCountPerAgent : Double read GetRequestsCountPerAgent

Read Access
GetRequestsCountPerAgent

FIMAS
Class Tree
Index
Previous (RequestsCountAll)
Next (RequestsPercentFromAll)


Previous (RequestsCountPerAgent)
Next (StartDateTime)

Name
RequestsPercentFromAll

Parent
TFMSTraderStats

Visibility
PUBLISHED

Source code
property RequestsPercentFromAll : Double read GetRequestsPercentFromAll

Read Access
GetRequestsPercentFromAll

FIMAS
Class Tree
Index
Previous (RequestsCountPerAgent)
Next (StartDateTime)


Previous (RequestsPercentFromAll)
Next (Strategy)

Name
StartDateTime

Parent
TFMSTraderStats

Visibility
PUBLISHED

Source code
property StartDateTime : TDateTime read FStartDateTime write FStartDateTime

Read Access
FStartDateTime

Write Access
FStartDateTime

FIMAS
Class Tree
Index
Previous (RequestsPercentFromAll)
Next (Strategy)


Previous (StartDateTime)
Next (StrategyID)

Name
Strategy

Parent
TFMSTraderStats

Visibility
PUBLISHED

Source code
property Strategy : TFMSTraderStrategyClass read FStrategy write FStrategy

Read Access
FStrategy

Write Access
FStrategy

FIMAS
Class Tree
Index
Previous (StartDateTime)
Next (StrategyID)


Previous (Strategy)
Next (TradeVolumeAll)

Name
StrategyID

Parent
TFMSTraderStats

Visibility
PUBLISHED

Source code
property StrategyID : TStrangeClassID read GetStrategyID write SetStrategyID

Read Access
GetStrategyID

Write Access
SetStrategyID

FIMAS
Class Tree
Index
Previous (Strategy)
Next (TradeVolumeAll)


Previous (StrategyID)
Next (TradeVolumePerAgent)

Name
TradeVolumeAll

Parent
TFMSTraderStats

Visibility
PUBLISHED

Source code
property TradeVolumeAll : Double read FTradeVolumeAll

Read Access
FTradeVolumeAll

FIMAS
Class Tree
Index
Previous (StrategyID)
Next (TradeVolumePerAgent)


Previous (TradeVolumeAll)
Next (TradeVolumePercentFromAll)

Name
TradeVolumePerAgent

Parent
TFMSTraderStats

Visibility
PUBLISHED

Source code
property TradeVolumePerAgent : Double read GetTradeVolumePerAgent

Read Access
GetTradeVolumePerAgent

FIMAS
Class Tree
Index
Previous (TradeVolumeAll)
Next (TradeVolumePercentFromAll)


Previous (TradeVolumePerAgent)
Next (TransactionsCountAll)

Name
TradeVolumePercentFromAll

Parent
TFMSTraderStats

Visibility
PUBLISHED

Source code
property TradeVolumePercentFromAll : Double read GetTradeVolumePercentFromAll

Read Access
GetTradeVolumePercentFromAll

FIMAS
Class Tree
Index
Previous (TradeVolumePerAgent)
Next (TransactionsCountAll)


Previous (TradeVolumePercentFromAll)
Next (TransactionsCountPerAgent)

Name
TransactionsCountAll

Parent
TFMSTraderStats

Visibility
PUBLISHED

Source code
property TransactionsCountAll : Double read FTransactionsCountAll

Read Access
FTransactionsCountAll

FIMAS
Class Tree
Index
Previous (TradeVolumePercentFromAll)
Next (TransactionsCountPerAgent)


Previous (TransactionsCountAll)
Next (TransactionsPercentFromAll)

Name
TransactionsCountPerAgent

Parent
TFMSTraderStats

Visibility
PUBLISHED

Source code
property TransactionsCountPerAgent : Double read GetTransactionsCountPerAgent

Read Access
GetTransactionsCountPerAgent

FIMAS
Class Tree
Index
Previous (TransactionsCountAll)
Next (TransactionsPercentFromAll)


Previous (TransactionsCountPerAgent)
Next (World)

Name
TransactionsPercentFromAll

Parent
TFMSTraderStats

Visibility
PUBLISHED

Source code
property TransactionsPercentFromAll : Double read GetTransactionsPercentFromAll

Read Access
GetTransactionsPercentFromAll

FIMAS
Class Tree
Index
Previous (TransactionsCountPerAgent)
Next (World)


Previous (TransactionsPercentFromAll)
Next

Name
World

Parent
TFMSTraderStats

Visibility
PUBLIC

Source code
property World : TFMSRtStandardWorld read FWorld write SetWorld

Read Access
FWorld

Write Access
SetWorld

FIMAS
Class Tree
Index
Previous (TransactionsPercentFromAll)
Next


Previous
Next (GetCountPercent)

Name
Create

Parent
TFMSTraderStats

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TComponent ) ; override

Parameters
Parameter | Description
AOwner : TComponent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (GetCountPercent)


Previous (Create)
Next (GetRequestsCountPerAgent)

Name
GetCountPercent

Parent
TFMSTraderStats

Visibility
PRIVATE

Source code
function GetCountPercent : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (GetRequestsCountPerAgent)


Previous (GetCountPercent)
Next (GetRequestsPercentFromAll)

Name
GetRequestsCountPerAgent

Parent
TFMSTraderStats

Visibility
PRIVATE

Source code
function GetRequestsCountPerAgent : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCountPercent)
Next (GetRequestsPercentFromAll)


Previous (GetRequestsCountPerAgent)
Next (GetStrategyID)

Name
GetRequestsPercentFromAll

Parent
TFMSTraderStats

Visibility
PRIVATE

Source code
function GetRequestsPercentFromAll : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetRequestsCountPerAgent)
Next (GetStrategyID)


Previous (GetRequestsPercentFromAll)
Next (GetTradeVolumePerAgent)

Name
GetStrategyID

Parent
TFMSTraderStats

Visibility
PRIVATE

Source code
function GetStrategyID : TStrangeClassID

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetRequestsPercentFromAll)
Next (GetTradeVolumePerAgent)


Previous (GetStrategyID)
Next (GetTradeVolumePercentFromAll)

Name
GetTradeVolumePerAgent

Parent
TFMSTraderStats

Visibility
PRIVATE

Source code
function GetTradeVolumePerAgent : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetStrategyID)
Next (GetTradeVolumePercentFromAll)


Previous (GetTradeVolumePerAgent)
Next (GetTransactionsCountPerAgent)

Name
GetTradeVolumePercentFromAll

Parent
TFMSTraderStats

Visibility
PRIVATE

Source code
function GetTradeVolumePercentFromAll : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetTradeVolumePerAgent)
Next (GetTransactionsCountPerAgent)


Previous (GetTradeVolumePercentFromAll)
Next (GetTransactionsPercentFromAll)

Name
GetTransactionsCountPerAgent

Parent
TFMSTraderStats

Visibility
PRIVATE

Source code
function GetTransactionsCountPerAgent : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetTradeVolumePercentFromAll)
Next (GetTransactionsPercentFromAll)


Previous (GetTransactionsCountPerAgent)
Next (Notification)

Name
GetTransactionsPercentFromAll

Parent
TFMSTraderStats

Visibility
PRIVATE

Source code
function GetTransactionsPercentFromAll : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetTransactionsCountPerAgent)
Next (Notification)


Previous (GetTransactionsPercentFromAll)
Next (SetStrategyID)

Name
Notification

Parent
TFMSTraderStats

Visibility
PUBLIC

Source code
procedure Notification ( AComponent : TComponent ; Operation : TOperation ) ; override

Parameters
Parameter | Description
AComponent : TComponent | &nbsp;
Operation : TOperation | &nbsp;

FIMAS
Class Tree
Index
Previous (GetTransactionsPercentFromAll)
Next (SetStrategyID)


Previous (Notification)
Next (SetWorld)

Name
SetStrategyID

Parent
TFMSTraderStats

Visibility
PRIVATE

Source code
procedure SetStrategyID ( const Value : TStrangeClassID )

Parameters
Parameter | Description
Value : TStrangeClassID | &nbsp;

FIMAS
Class Tree
Index
Previous (Notification)
Next (SetWorld)


Previous (SetStrategyID)
Next (Update)

Name
SetWorld

Parent
TFMSTraderStats

Visibility
PRIVATE

Source code
procedure SetWorld ( const Value : TFMSRtStandardWorld )

Parameters
Parameter | Description
Value : TFMSRtStandardWorld | &nbsp;

FIMAS
Class Tree
Index
Previous (SetStrategyID)
Next (Update)


Previous (SetWorld)
Next

Name
Update

Parent
TFMSTraderStats

Visibility
PUBLIC

Source code
procedure Update ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetWorld)
Next


Previous
Next

Name
TFMSTraderStatsPeriod

Parent
FMSStatistics

Visibility
PUBLIC

Source code
TFMSTraderStatsPeriod = ( tspPerDay , tspPerMonth , tspPerYear , tspWholePeriod ) ;

FIMAS
Class Tree
Index
Previous
Next


Previous (FMSStatistics)
Next (FMSTraderStrategies)

Name
FMSTimeEventsManager

Parent
FIMAS

Description
FMS Time Events Manager.

Types
Type Description
TFMSTimeEventProc (+)
TFMSTimeEventType (+)

Classes
Class Description
TFMSTimeEvent (+)
TFMSTimeEvents (+)
TFMSTimeEventsManager (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (FMSStatistics)
Next (FMSTraderStrategies)


Previous
Next (TFMSTimeEvents)

Name
TFMSTimeEvent

Parent
FMSTimeEventsManager

Class Hierarchy
TStrangeInterfacedCollectionItem

Visibility
PUBLIC

Members
Fields
Field Description
FElapsedTime (-)
FEnabled (-)
FEndTime (-)
FEventType (-)
FName (-)
FOnEvent (-)
FPeriod (-)
FStartTime (-)
FTickCount (-)

Methods
Method Description
Create (+)
Destroy (+)
DoEvent (#)
GetDisplayName (#)
SetEnabled (-)
SetName (#)

Properties
Property Description
ElapsedTime (+)
Enabled (*)
EndTime (*)
EventType (*)
NAME (*)
OnEvent (*)
Period (*)
StartTime (*)
TickCount (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous
Next (TFMSTimeEvents)


Previous
Next (FEnabled)

Name
FElapsedTime

Parent
TFMSTimeEvent

Visibility
PRIVATE

Source code
FElapsedTime : Double

FIMAS
Class Tree
Index
Previous
Next (FEnabled)


Previous (FElapsedTime)
Next (FEndTime)

Name
FEnabled

Parent
TFMSTimeEvent

Visibility
PRIVATE

Source code
FEnabled : Boolean

FIMAS
Class Tree
Index
Previous (FElapsedTime)
Next (FEndTime)


Previous (FEnabled)
Next (FEventType)

Name
FEndTime

Parent
TFMSTimeEvent

Visibility
PRIVATE

Source code
FStartTime , FEndTime : TDateTime

FIMAS
Class Tree
Index
Previous (FEnabled)
Next (FEventType)


Previous (FEndTime)
Next (FName)

Name
FEventType

Parent
TFMSTimeEvent

Visibility
PRIVATE

Source code
FEventType : TFMSTimeEventType

FIMAS
Class Tree
Index
Previous (FEndTime)
Next (FName)


Previous (FEventType)
Next (FOnEvent)

Name
FName

Parent
TFMSTimeEvent

Visibility
PRIVATE

Source code
FName : ShortString

FIMAS
Class Tree
Index
Previous (FEventType)
Next (FOnEvent)


Previous (FName)
Next (FPeriod)

Name
FOnEvent

Parent
TFMSTimeEvent

Visibility
PRIVATE

Source code
FOnEvent : TFMSTimeEventProc

FIMAS
Class Tree
Index
Previous (FName)
Next (FPeriod)


Previous (FOnEvent)
Next (FStartTime)

Name
FPeriod

Parent
TFMSTimeEvent

Visibility
PRIVATE

Source code
FPeriod : Double

FIMAS
Class Tree
Index
Previous (FOnEvent)
Next (FStartTime)


Previous (FPeriod)
Next (FTickCount)

Name
FStartTime

Parent
TFMSTimeEvent

Visibility
PRIVATE

Source code
FStartTime , FEndTime : TDateTime

FIMAS
Class Tree
Index
Previous (FPeriod)
Next (FTickCount)


Previous (FStartTime)
Next

Name
FTickCount

Parent
TFMSTimeEvent

Visibility
PRIVATE

Source code
FTickCount : Cardinal

FIMAS
Class Tree
Index
Previous (FStartTime)
Next


Previous
Next (Enabled)

Name
ElapsedTime

Parent
TFMSTimeEvent

Visibility
PUBLIC

Source code
property ElapsedTime : Double read FElapsedTime

Read Access
FElapsedTime

FIMAS
Class Tree
Index
Previous
Next (Enabled)


Previous (ElapsedTime)
Next (EndTime)

Name
Enabled

Parent
TFMSTimeEvent

Visibility
PUBLISHED

Source code
property Enabled : Boolean read FEnabled write SetEnabled default True

Read Access
FEnabled

Write Access
SetEnabled

FIMAS
Class Tree
Index
Previous (ElapsedTime)
Next (EndTime)


Previous (Enabled)
Next (EventType)

Name
EndTime

Parent
TFMSTimeEvent

Visibility
PUBLISHED

Source code
property EndTime : TDateTime read FEndTime write FEndTime

Read Access
FEndTime

Write Access
FEndTime

FIMAS
Class Tree
Index
Previous (Enabled)
Next (EventType)


Previous (EndTime)
Next (NAME)

Name
EventType

Parent
TFMSTimeEvent

Visibility
PUBLISHED

Source code
property EventType : TFMSTimeEventType read FEventType write FEventType default etOneShot

Read Access
FEventType

Write Access
FEventType

FIMAS
Class Tree
Index
Previous (EndTime)
Next (NAME)


Previous (EventType)
Next (OnEvent)

Name
NAME

Parent
TFMSTimeEvent

Visibility
PUBLISHED

Source code
property Name : ShortString read FName write SetName

Read Access
FName

Write Access
SetName

FIMAS
Class Tree
Index
Previous (EventType)
Next (OnEvent)


Previous (NAME)
Next (Period)

Name
OnEvent

Parent
TFMSTimeEvent

Visibility
PUBLISHED

Source code
property OnEvent : TFMSTimeEventProc read FOnEvent write FOnEvent

Read Access
FOnEvent

Write Access
FOnEvent

FIMAS
Class Tree
Index
Previous (NAME)
Next (Period)


Previous (OnEvent)
Next (StartTime)

Name
Period

Parent
TFMSTimeEvent

Visibility
PUBLISHED

Source code
property Period : Double read FPeriod write FPeriod

Read Access
FPeriod

Write Access
FPeriod

FIMAS
Class Tree
Index
Previous (OnEvent)
Next (StartTime)


Previous (Period)
Next (TickCount)

Name
StartTime

Parent
TFMSTimeEvent

Visibility
PUBLISHED

Source code
property StartTime : TDateTime read FStartTime write FStartTime

Read Access
FStartTime

Write Access
FStartTime

FIMAS
Class Tree
Index
Previous (Period)
Next (TickCount)


Previous (StartTime)
Next

Name
TickCount

Parent
TFMSTimeEvent

Visibility
PUBLIC

Source code
property TickCount : Cardinal read FTickCount

Read Access
FTickCount

FIMAS
Class Tree
Index
Previous (StartTime)
Next


Previous
Next (Destroy)

Name
Create

Parent
TFMSTimeEvent

Visibility
PUBLIC

Source code
constructor Create ( Collection : TCollection ) ; override

Parameters
Parameter | Description
Collection : TCollection | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Destroy)


Previous (Create)
Next (DoEvent)

Name
Destroy

Parent
TFMSTimeEvent

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (DoEvent)


Previous (Destroy)
Next (GetDisplayName)

Name
DoEvent

Parent
TFMSTimeEvent

Visibility
PROTECTED

Source code
procedure DoEvent ( const ANewTime : TFMSWorldTime )

Parameters
Parameter | Description
ANewTime : TFMSWorldTime | &nbsp;

FIMAS
Class Tree
Index
Previous (Destroy)
Next (GetDisplayName)


Previous (DoEvent)
Next (SetEnabled)

Name
GetDisplayName

Parent
TFMSTimeEvent

Visibility
PROTECTED

Source code
function GetDisplayName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoEvent)
Next (SetEnabled)


Previous (GetDisplayName)
Next (SetName)

Name
SetEnabled

Parent
TFMSTimeEvent

Visibility
PRIVATE

Source code
procedure SetEnabled ( const Value : Boolean )

Parameters
Parameter | Description
Value : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (GetDisplayName)
Next (SetName)


Previous (SetEnabled)
Next

Name
SetName

Parent
TFMSTimeEvent

Visibility
PROTECTED

Source code
procedure SetName ( Val : ShortString )

Parameters
Parameter | Description
Val : ShortString | &nbsp;

FIMAS
Class Tree
Index
Previous (SetEnabled)
Next


Previous (TFMSTimeEvent)
Next (TFMSTimeEventsManager)

Name
TFMSTimeEvents

Parent
FMSTimeEventsManager

Class Hierarchy
TStrangeInterfacedOwnedCollection

Visibility
PUBLIC

Members
Methods
Method Description
ADD (+)
Create (+)
EventByName (+)
FindItemID (+)
GetItems (#)
SetItems (#)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSTimeEvent)
Next (TFMSTimeEventsManager)


Previous
Next

Name
Items

Parent
TFMSTimeEvents

Visibility
PUBLIC

Source code
property Items [ Index : Integer ] : TFMSTimeEvent read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Create)

Name
ADD

Parent
TFMSTimeEvents

Visibility
PUBLIC

Source code
function Add : TFMSTimeEvent

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (ADD)
Next (EventByName)

Name
Create

Parent
TFMSTimeEvents

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TComponent )

Parameters
Parameter | Description
AOwner : TComponent | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (EventByName)


Previous (Create)
Next (FindItemID)

Name
EventByName

Parent
TFMSTimeEvents

Visibility
PUBLIC

Source code
function EventByName ( Name : ShortString ) : TFMSTimeEvent

Parameters
Parameter | Description
NAME : ShortString | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (FindItemID)


Previous (EventByName)
Next (GetItems)

Name
FindItemID

Parent
TFMSTimeEvents

Visibility
PUBLIC

Source code
function FindItemID ( ID : Integer ) : TFMSTimeEvent

Parameters
Parameter | Description
ID : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (EventByName)
Next (GetItems)


Previous (FindItemID)
Next (SetItems)

Name
GetItems

Parent
TFMSTimeEvents

Visibility
PROTECTED

Source code
function GetItems ( Index : Integer ) : TFMSTimeEvent

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (FindItemID)
Next (SetItems)


Previous (GetItems)
Next

Name
SetItems

Parent
TFMSTimeEvents

Visibility
PROTECTED

Source code
procedure SetItems ( Index : Integer ; const Val : TFMSTimeEvent )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Val : TFMSTimeEvent | &nbsp;

FIMAS
Class Tree
Index
Previous (GetItems)
Next


Previous (TFMSTimeEvents)
Next

Name
TFMSTimeEventsManager

Parent
FMSTimeEventsManager

Class Hierarchy
TComponent,IFMSWorldTimeUpdateAble

Visibility
PUBLIC

Members
Fields
Field Description
FEnabled (-)
FEvents (-)
FFreeEventOnEnd (-)

Methods
Method Description
Create (+)
Destroy (+)
DoFMSWordlTimeUpdate (#)
Notification (#)
SetEvents (-)

Properties
Property Description
Enabled (*)
Events (*)
FreeEventOnEnd (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSTimeEvents)
Next


Previous
Next (FEvents)

Name
FEnabled

Parent
TFMSTimeEventsManager

Visibility
PRIVATE

Source code
FEnabled : Boolean

FIMAS
Class Tree
Index
Previous
Next (FEvents)


Previous (FEnabled)
Next (FFreeEventOnEnd)

Name
FEvents

Parent
TFMSTimeEventsManager

Visibility
PRIVATE

Source code
FEvents : TFMSTimeEvents

FIMAS
Class Tree
Index
Previous (FEnabled)
Next (FFreeEventOnEnd)


Previous (FEvents)
Next

Name
FFreeEventOnEnd

Parent
TFMSTimeEventsManager

Visibility
PRIVATE

Source code
FFreeEventOnEnd : Boolean

FIMAS
Class Tree
Index
Previous (FEvents)
Next


Previous
Next (Events)

Name
Enabled

Parent
TFMSTimeEventsManager

Visibility
PUBLISHED

Source code
property Enabled : Boolean read FEnabled write FEnabled default True

Read Access
FEnabled

Write Access
FEnabled

FIMAS
Class Tree
Index
Previous
Next (Events)


Previous (Enabled)
Next (FreeEventOnEnd)

Name
Events

Parent
TFMSTimeEventsManager

Visibility
PUBLISHED

Source code
property Events : TFMSTimeEvents read FEvents write SetEvents

Read Access
FEvents

Write Access
SetEvents

FIMAS
Class Tree
Index
Previous (Enabled)
Next (FreeEventOnEnd)


Previous (Events)
Next

Name
FreeEventOnEnd

Parent
TFMSTimeEventsManager

Visibility
PUBLISHED

Source code
property FreeEventOnEnd : Boolean read FFreeEventOnEnd write FFreeEventOnEnd default False

Read Access
FFreeEventOnEnd

Write Access
FFreeEventOnEnd

FIMAS
Class Tree
Index
Previous (Events)
Next


Previous
Next (Destroy)

Name
Create

Parent
TFMSTimeEventsManager

Visibility
PUBLIC

Source code
constructor Create ( aOwner : TComponent ) ; override

Parameters
Parameter | Description
aOwner : TComponent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Destroy)


Previous (Create)
Next (DoFMSWordlTimeUpdate)

Name
Destroy

Parent
TFMSTimeEventsManager

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (DoFMSWordlTimeUpdate)


Previous (Destroy)
Next (Notification)

Name
DoFMSWordlTimeUpdate

Parent
TFMSTimeEventsManager

Visibility
PROTECTED

Source code
procedure DoFMSWordlTimeUpdate ( const ATime : TFMSWorldTime )

Parameters
Parameter | Description
ATime : TFMSWorldTime | &nbsp;

FIMAS
Class Tree
Index
Previous (Destroy)
Next (Notification)


Previous (DoFMSWordlTimeUpdate)
Next (SetEvents)

Name
Notification

Parent
TFMSTimeEventsManager

Visibility
PROTECTED

Source code
procedure Notification ( AComponent : TComponent ; Operation : TOperation ) ; override

Parameters
Parameter | Description
AComponent : TComponent | &nbsp;
Operation : TOperation | &nbsp;

FIMAS
Class Tree
Index
Previous (DoFMSWordlTimeUpdate)
Next (SetEvents)


Previous (Notification)
Next

Name
SetEvents

Parent
TFMSTimeEventsManager

Visibility
PRIVATE

Source code
procedure SetEvents ( const Val : TFMSTimeEvents )

Parameters
Parameter | Description
Val : TFMSTimeEvents | &nbsp;

FIMAS
Class Tree
Index
Previous (Notification)
Next


Previous
Next (TFMSTimeEventType)

Name
TFMSTimeEventProc

Parent
FMSTimeEventsManager

Visibility
PUBLIC

Source code
TFMSTimeEventProc = procedure ( const AEvent : TFMSTimeEvent ; const ATime : TFMSWorldTime ) of object ;

Parameters
Parameter | Description
AEvent : TFMSTimeEvent | &nbsp;
ATime : TFMSWorldTime | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (TFMSTimeEventType)


Previous (TFMSTimeEventProc)
Next

Name
TFMSTimeEventType

Parent
FMSTimeEventsManager

Visibility
PUBLIC

Source code
TFMSTimeEventType = ( etOneShot , etContinuous , etPeriodic ) ;

FIMAS
Class Tree
Index
Previous (TFMSTimeEventProc)
Next


Previous (FMSTimeEventsManager)
Next (FMSTypesAndConstants)

Name
FMSTraderStrategies

Parent
FIMAS

Description
FMS Traders. Implements various types of traders.

Classes
Class | Description
TFMSMarketMakerTraderStrategyStats (+)
TFMSStandardTraderStrategy (+) | Standard trader strategy.
TFMSTraderCompanyOwnerStrategy (+) | [Not implemented yet.]
TFMSTraderFundamentalStrategy (+) | Fundamental trader strategy.
TFMSTraderInvestorStrategy (+) | [Not implemented yet.]
TFMSTraderMarketMakerStrategy (+) | Market maker trader strategy.
TFMSTraderNoiseStrategy (+) | [Not implemented yet.]
TFMSTraderRandomBuyStrategy (+) | Newbie trader strategy.
TFMSTraderStrategyStats (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (FMSTimeEventsManager)
Next (FMSTypesAndConstants)


Previous
Next (TFMSStandardTraderStrategy)

Name
TFMSMarketMakerTraderStrategyStats

Parent
FMSTraderStrategies

Class Hierarchy
TFMSTraderStrategyStats

Visibility
PUBLIC

Members
Fields
Field Description
FAdjustToCounterPriceCount (-)
FNotEnoughMoneyCount (-)
FNotEnoughSharesCount (-)
FOverBuyCount (-)

Methods
Method Description
Reset (+)

Properties
Property Description
AdjustToCounterPriceCount (*)
NotEnoughMoneyCount (*)
NotEnoughSharesCount (*)
OverBuyCount (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous
Next (TFMSStandardTraderStrategy)


Previous
Next (FNotEnoughMoneyCount)

Name
FAdjustToCounterPriceCount

Parent
TFMSMarketMakerTraderStrategyStats

Visibility
PRIVATE

Source code
FAdjustToCounterPriceCount : Integer

FIMAS
Class Tree
Index
Previous
Next (FNotEnoughMoneyCount)


Previous (FAdjustToCounterPriceCount)
Next (FNotEnoughSharesCount)

Name
FNotEnoughMoneyCount

Parent
TFMSMarketMakerTraderStrategyStats

Visibility
PRIVATE

Source code
FNotEnoughMoneyCount : Integer

FIMAS
Class Tree
Index
Previous (FAdjustToCounterPriceCount)
Next (FNotEnoughSharesCount)


Previous (FNotEnoughMoneyCount)
Next (FOverBuyCount)

Name
FNotEnoughSharesCount

Parent
TFMSMarketMakerTraderStrategyStats

Visibility
PRIVATE

Source code
FNotEnoughSharesCount : Integer

FIMAS
Class Tree
Index
Previous (FNotEnoughMoneyCount)
Next (FOverBuyCount)


Previous (FNotEnoughSharesCount)
Next

Name
FOverBuyCount

Parent
TFMSMarketMakerTraderStrategyStats

Visibility
PRIVATE

Source code
FOverBuyCount : Integer

FIMAS
Class Tree
Index
Previous (FNotEnoughSharesCount)
Next


Previous
Next (NotEnoughMoneyCount)

Name
AdjustToCounterPriceCount

Parent
TFMSMarketMakerTraderStrategyStats

Visibility
PUBLISHED

Source code
property AdjustToCounterPriceCount : Integer read FAdjustToCounterPriceCount

Read Access
FAdjustToCounterPriceCount

FIMAS
Class Tree
Index
Previous
Next (NotEnoughMoneyCount)


Previous (AdjustToCounterPriceCount)
Next (NotEnoughSharesCount)

Name
NotEnoughMoneyCount

Parent
TFMSMarketMakerTraderStrategyStats

Visibility
PUBLISHED

Source code
property NotEnoughMoneyCount : Integer read FNotEnoughMoneyCount

Read Access
FNotEnoughMoneyCount

FIMAS
Class Tree
Index
Previous (AdjustToCounterPriceCount)
Next (NotEnoughSharesCount)


Previous (NotEnoughMoneyCount)
Next (OverBuyCount)

Name
NotEnoughSharesCount

Parent
TFMSMarketMakerTraderStrategyStats

Visibility
PUBLISHED

Source code
property NotEnoughSharesCount : Integer read FNotEnoughSharesCount

Read Access
FNotEnoughSharesCount

FIMAS
Class Tree
Index
Previous (NotEnoughMoneyCount)
Next (OverBuyCount)


Previous (NotEnoughSharesCount)
Next

Name
OverBuyCount

Parent
TFMSMarketMakerTraderStrategyStats

Visibility
PUBLISHED

Source code
property OverBuyCount : Integer read FOverBuyCount

Read Access
FOverBuyCount

FIMAS
Class Tree
Index
Previous (NotEnoughSharesCount)
Next


Previous
Next

Name
Reset

Parent
TFMSMarketMakerTraderStrategyStats

Visibility
PUBLIC

Source code
procedure Reset

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next


Previous (TFMSMarketMakerTraderStrategyStats)
Next (TFMSTraderCompanyOwnerStrategy)

Name
TFMSStandardTraderStrategy

Parent
FMSTraderStrategies

Class Hierarchy
TFMSTraderStrategy

Visibility
PUBLIC

Description
Standard trader strategy.

Members
Fields
Field Description
FAutoAdjustRequestParams (-)
FMinTimeMarketCloses (-)
FNextTimeToAdjustRequestParams (-)
FRequestCost (-)
FRequestDuration (-)
FRequestParamsAdjustionPeriod (-)
FStandardComission (-)
FStats (-)

Methods
Method | Description
AdjustRequestParams (+)
Create (+)
Destroy (+)
DoAdjustRequestParams (#) | Default implementation adjusts only RequestCost and RequestDuration.
DoCreateStats (#)
FriendlyDescription (+)
FriendlyName (+)
HaveEnoughResources (+)
SetStats (-)
Think (#)
TryToAlocateMoney (+)

Properties
Property | Description
AutoAdjustRequestParams (*)
MinTimeMarketCloses (*) | In hours.
RequestCost (*)
RequestDuration (*) | In hours.
RequestParamsAdjustionPeriod (*) | In total number of transaction.
Stats (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSMarketMakerTraderStrategyStats)
Next (TFMSTraderCompanyOwnerStrategy)


Previous
Next (FMinTimeMarketCloses)

Name
FAutoAdjustRequestParams

Parent
TFMSStandardTraderStrategy

Visibility
PRIVATE

Source code
FAutoAdjustRequestParams : Boolean

FIMAS
Class Tree
Index
Previous
Next (FMinTimeMarketCloses)


Previous (FAutoAdjustRequestParams)
Next (FNextTimeToAdjustRequestParams)

Name
FMinTimeMarketCloses

Parent
TFMSStandardTraderStrategy

Visibility
PRIVATE

Source code
FMinTimeMarketCloses : Double

FIMAS
Class Tree
Index
Previous (FAutoAdjustRequestParams)
Next (FNextTimeToAdjustRequestParams)


Previous (FMinTimeMarketCloses)
Next (FRequestCost)

Name
FNextTimeToAdjustRequestParams

Parent
TFMSStandardTraderStrategy

Visibility
PRIVATE

Source code
FNextTimeToAdjustRequestParams : Integer

FIMAS
Class Tree
Index
Previous (FMinTimeMarketCloses)
Next (FRequestCost)


Previous (FNextTimeToAdjustRequestParams)
Next (FRequestDuration)

Name
FRequestCost

Parent
TFMSStandardTraderStrategy

Visibility
PRIVATE

Source code
FRequestCost : Double

FIMAS
Class Tree
Index
Previous (FNextTimeToAdjustRequestParams)
Next (FRequestDuration)


Previous (FRequestCost)
Next (FRequestParamsAdjustionPeriod)

Name
FRequestDuration

Parent
TFMSStandardTraderStrategy

Visibility
PRIVATE

Source code
FRequestDuration : Double

FIMAS
Class Tree
Index
Previous (FRequestCost)
Next (FRequestParamsAdjustionPeriod)


Previous (FRequestDuration)
Next (FStandardComission)

Name
FRequestParamsAdjustionPeriod

Parent
TFMSStandardTraderStrategy

Visibility
PRIVATE

Source code
FRequestParamsAdjustionPeriod : Integer

FIMAS
Class Tree
Index
Previous (FRequestDuration)
Next (FStandardComission)


Previous (FRequestParamsAdjustionPeriod)
Next (FStats)

Name
FStandardComission

Parent
TFMSStandardTraderStrategy

Visibility
PRIVATE

Source code
FStandardComission : Double

FIMAS
Class Tree
Index
Previous (FRequestParamsAdjustionPeriod)
Next (FStats)


Previous (FStandardComission)
Next

Name
FStats

Parent
TFMSStandardTraderStrategy

Visibility
PRIVATE

Source code
FStats : TFMSTraderStrategyStats

FIMAS
Class Tree
Index
Previous (FStandardComission)
Next


Previous
Next (MinTimeMarketCloses)

Name
AutoAdjustRequestParams

Parent
TFMSStandardTraderStrategy

Visibility
PUBLISHED

Source code
property AutoAdjustRequestParams : Boolean read FAutoAdjustRequestParams write FAutoAdjustRequestParams

Read Access
FAutoAdjustRequestParams

Write Access
FAutoAdjustRequestParams

FIMAS
Class Tree
Index
Previous
Next (MinTimeMarketCloses)


Previous (AutoAdjustRequestParams)
Next (RequestCost)

Name
MinTimeMarketCloses

Parent
TFMSStandardTraderStrategy

Visibility
PUBLISHED

Description
In hours.

Source code
property MinTimeMarketCloses : Double read FMinTimeMarketCloses write FMinTimeMarketCloses

Read Access
FMinTimeMarketCloses

Write Access
FMinTimeMarketCloses

FIMAS
Class Tree
Index
Previous (AutoAdjustRequestParams)
Next (RequestCost)


Previous (MinTimeMarketCloses)
Next (RequestDuration)

Name
RequestCost

Parent
TFMSStandardTraderStrategy

Visibility
PUBLISHED

Source code
property RequestCost : Double read FRequestCost write FRequestCost

Read Access
FRequestCost

Write Access
FRequestCost

FIMAS
Class Tree
Index
Previous (MinTimeMarketCloses)
Next (RequestDuration)


Previous (RequestCost)
Next (RequestParamsAdjustionPeriod)

Name
RequestDuration

Parent
TFMSStandardTraderStrategy

Visibility
PUBLISHED

Description
In hours.

Source code
property RequestDuration : Double read FRequestDuration write FRequestDuration

Read Access
FRequestDuration

Write Access
FRequestDuration

FIMAS
Class Tree
Index
Previous (RequestCost)
Next (RequestParamsAdjustionPeriod)


Previous (RequestDuration)
Next (Stats)

Name
RequestParamsAdjustionPeriod

Parent
TFMSStandardTraderStrategy

Visibility
PUBLISHED

Description
In total number of transaction.

Source code
property RequestParamsAdjustionPeriod : Integer read FRequestParamsAdjustionPeriod write FRequestParamsAdjustionPeriod

Read Access
FRequestParamsAdjustionPeriod

Write Access
FRequestParamsAdjustionPeriod

FIMAS
Class Tree
Index
Previous (RequestDuration)
Next (Stats)


Previous (RequestParamsAdjustionPeriod)
Next

Name
Stats

Parent
TFMSStandardTraderStrategy

Visibility
PUBLISHED

Source code
property Stats : TFMSTraderStrategyStats read FStats write SetStats

Read Access
FStats

Write Access
SetStats

FIMAS
Class Tree
Index
Previous (RequestParamsAdjustionPeriod)
Next


Previous
Next (Create)

Name
AdjustRequestParams

Parent
TFMSStandardTraderStrategy

Visibility
PUBLIC

Source code
procedure AdjustRequestParams

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (AdjustRequestParams)
Next (Destroy)

Name
Create

Parent
TFMSStandardTraderStrategy

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TXCollection ) ; override

Parameters
Parameter | Description
AOwner : TXCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (AdjustRequestParams)
Next (Destroy)


Previous (Create)
Next (DoAdjustRequestParams)

Name
Destroy

Parent
TFMSStandardTraderStrategy

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (DoAdjustRequestParams)


Previous (Destroy)
Next (DoCreateStats)

Name
DoAdjustRequestParams

Parent
TFMSStandardTraderStrategy

Visibility
PROTECTED

Description
Default implementation adjusts only RequestCost and RequestDuration.
Default implementation adjusts only RequestCost and RequestDuration.

Source code
procedure DoAdjustRequestParams ( AStats : TFMSShareTransactionRequestsStats ) ; virtual

Parameters
Parameter | Description
AStats : TFMSShareTransactionRequestsStats | &nbsp;

FIMAS
Class Tree
Index
Previous (Destroy)
Next (DoCreateStats)


Previous (DoAdjustRequestParams)
Next (FriendlyDescription)

Name
DoCreateStats

Parent
TFMSStandardTraderStrategy

Visibility
PROTECTED

Source code
procedure DoCreateStats ( var AStats : TFMSTraderStrategyStats ) ; virtual

Parameters
Parameter | Description
AStats : TFMSTraderStrategyStats | &nbsp;

FIMAS
Class Tree
Index
Previous (DoAdjustRequestParams)
Next (FriendlyDescription)


Previous (DoCreateStats)
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSStandardTraderStrategy

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoCreateStats)
Next (FriendlyName)


Previous (FriendlyDescription)
Next (HaveEnoughResources)

Name
FriendlyName

Parent
TFMSStandardTraderStrategy

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next (HaveEnoughResources)


Previous (FriendlyName)
Next (SetStats)

Name
HaveEnoughResources

Parent
TFMSStandardTraderStrategy

Visibility
PUBLIC

Source code
function HaveEnoughResources : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyName)
Next (SetStats)


Previous (HaveEnoughResources)
Next (Think)

Name
SetStats

Parent
TFMSStandardTraderStrategy

Visibility
PRIVATE

Source code
procedure SetStats ( const Value : TFMSTraderStrategyStats )

Parameters
Parameter | Description
Value : TFMSTraderStrategyStats | &nbsp;

FIMAS
Class Tree
Index
Previous (HaveEnoughResources)
Next (Think)


Previous (SetStats)
Next (TryToAlocateMoney)

Name
Think

Parent
TFMSStandardTraderStrategy

Visibility
PROTECTED

Source code
procedure Think ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetStats)
Next (TryToAlocateMoney)


Previous (Think)
Next

Name
TryToAlocateMoney

Parent
TFMSStandardTraderStrategy

Visibility
PUBLIC

Source code
function TryToAlocateMoney ( const AMinRequiredMoney : Double ) : Boolean

Parameters
Parameter | Description
AMinRequiredMoney : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (Think)
Next


Previous (TFMSStandardTraderStrategy)
Next (TFMSTraderFundamentalStrategy)

Name
TFMSTraderCompanyOwnerStrategy

Parent
FMSTraderStrategies

Class Hierarchy
TFMSTraderStrategy

Visibility
PUBLIC

Description
[Not implemented yet.]

Members
Methods
Method Description
FriendlyDescription (+)
FriendlyName (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSStandardTraderStrategy)
Next (TFMSTraderFundamentalStrategy)


Previous
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSTraderCompanyOwnerStrategy

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (FriendlyName)


Previous (FriendlyDescription)
Next

Name
FriendlyName

Parent
TFMSTraderCompanyOwnerStrategy

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next


Previous (TFMSTraderCompanyOwnerStrategy)
Next (TFMSTraderInvestorStrategy)

Name
TFMSTraderFundamentalStrategy

Parent
FMSTraderStrategies

Class Hierarchy
TFMSStandardTraderStrategy

Visibility
PUBLIC

Description
Fundamental trader strategy.

Members
Fields
Field Description
FMaxWaitBeforeSelling (-)
FMinPriceDifference (-)
FMinWaitBeforeSelling (-)
FRiskFrequency (-)

Methods
Method Description
Create (+)
FriendlyDescription (+)
FriendlyName (+)
Think (#)

Properties
Property | Description
MaxWaitBeforeSelling (*) | In Days.
MinPriceDifference (*) | In Days.
MinWaitBeforeSelling (*) | In Days.
RiskFrequency (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSTraderCompanyOwnerStrategy)
Next (TFMSTraderInvestorStrategy)


Previous
Next (FMinPriceDifference)

Name
FMaxWaitBeforeSelling

Parent
TFMSTraderFundamentalStrategy

Visibility
PRIVATE

Source code
FMaxWaitBeforeSelling : Double

FIMAS
Class Tree
Index
Previous
Next (FMinPriceDifference)


Previous (FMaxWaitBeforeSelling)
Next (FMinWaitBeforeSelling)

Name
FMinPriceDifference

Parent
TFMSTraderFundamentalStrategy

Visibility
PRIVATE

Source code
FMinPriceDifference : Double

FIMAS
Class Tree
Index
Previous (FMaxWaitBeforeSelling)
Next (FMinWaitBeforeSelling)


Previous (FMinPriceDifference)
Next (FRiskFrequency)

Name
FMinWaitBeforeSelling

Parent
TFMSTraderFundamentalStrategy

Visibility
PRIVATE

Source code
FMinWaitBeforeSelling : Double

FIMAS
Class Tree
Index
Previous (FMinPriceDifference)
Next (FRiskFrequency)


Previous (FMinWaitBeforeSelling)
Next

Name
FRiskFrequency

Parent
TFMSTraderFundamentalStrategy

Visibility
PRIVATE

Source code
FRiskFrequency : Double

FIMAS
Class Tree
Index
Previous (FMinWaitBeforeSelling)
Next


Previous
Next (MinPriceDifference)

Name
MaxWaitBeforeSelling

Parent
TFMSTraderFundamentalStrategy

Visibility
PUBLISHED

Description
In Days.

Source code
property MaxWaitBeforeSelling : Double read FMaxWaitBeforeSelling write FMaxWaitBeforeSelling

Read Access
FMaxWaitBeforeSelling

Write Access
FMaxWaitBeforeSelling

FIMAS
Class Tree
Index
Previous
Next (MinPriceDifference)


Previous (MaxWaitBeforeSelling)
Next (MinWaitBeforeSelling)

Name
MinPriceDifference

Parent
TFMSTraderFundamentalStrategy

Visibility
PUBLISHED

Description
In Days.

Source code
property MinPriceDifference : Double read FMinPriceDifference write FMinPriceDifference

Read Access
FMinPriceDifference

Write Access
FMinPriceDifference

FIMAS
Class Tree
Index
Previous (MaxWaitBeforeSelling)
Next (MinWaitBeforeSelling)


Previous (MinPriceDifference)
Next (RiskFrequency)

Name
MinWaitBeforeSelling

Parent
TFMSTraderFundamentalStrategy

Visibility
PUBLISHED

Description
In Days.

Source code
property MinWaitBeforeSelling : Double read FMinWaitBeforeSelling write FMinWaitBeforeSelling

Read Access
FMinWaitBeforeSelling

Write Access
FMinWaitBeforeSelling

FIMAS
Class Tree
Index
Previous (MinPriceDifference)
Next (RiskFrequency)


Previous (MinWaitBeforeSelling)
Next

Name
RiskFrequency

Parent
TFMSTraderFundamentalStrategy

Visibility
PUBLISHED

Source code
property RiskFrequency : Double read FRiskFrequency write FRiskFrequency

Read Access
FRiskFrequency

Write Access
FRiskFrequency

FIMAS
Class Tree
Index
Previous (MinWaitBeforeSelling)
Next


Previous
Next (FriendlyDescription)

Name
Create

Parent
TFMSTraderFundamentalStrategy

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TXCollection ) ; override

Parameters
Parameter | Description
AOwner : TXCollection | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (FriendlyDescription)


Previous (Create)
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSTraderFundamentalStrategy

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (FriendlyName)


Previous (FriendlyDescription)
Next (Think)

Name
FriendlyName

Parent
TFMSTraderFundamentalStrategy

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next (Think)


Previous (FriendlyName)
Next

Name
Think

Parent
TFMSTraderFundamentalStrategy

Visibility
PROTECTED

Source code
procedure Think ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyName)
Next


Previous (TFMSTraderFundamentalStrategy)
Next (TFMSTraderMarketMakerStrategy)

Name
TFMSTraderInvestorStrategy

Parent
FMSTraderStrategies

Class Hierarchy
TFMSTraderStrategy

Visibility
PUBLIC

Description
[Not implemented yet.]

Members
Methods
Method Description
FriendlyDescription (+)
FriendlyName (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSTraderFundamentalStrategy)
Next (TFMSTraderMarketMakerStrategy)


Previous
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSTraderInvestorStrategy

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (FriendlyName)


Previous (FriendlyDescription)
Next

Name
FriendlyName

Parent
TFMSTraderInvestorStrategy

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next


Previous (TFMSTraderInvestorStrategy)
Next (TFMSTraderNoiseStrategy)

Name
TFMSTraderMarketMakerStrategy

Parent
FMSTraderStrategies

Class Hierarchy
TFMSStandardTraderStrategy

Visibility
PUBLIC

Description
Market maker trader strategy.

Members
Fields
Field Description
FCriticalRequestCostPerShare (-)
FMaxRequestCostPerShare (-)
FMonitorBidAskBonus (-)
FRequestTimeAccuratePredictionBonus (-)
FSuccessfulChangePercent (-)
FUnSuccessfulChangePercent (-)

Methods
Method | Description
Create (+)
DoAdjustRequestParams (#) | Default implementation adjusts only RequestCost and RequestDuration.
DoCreateStats (#)
DoProcessActiveTransactionRequest (#)
FriendlyDescription (+)
FriendlyName (+)
GetStats (-)
SetStats (-)
Think (#)

Properties
Property | Description
CriticalRequestCostPerShare (*)
MaxRequestCostPerShare (*)
MonitorBidAskBonus (*) | Must be from 0 to 1.
RequestTimeAccuratePredictionBonus (*)
Stats (*)
SuccessfulChangePercent (*)
UnSuccessfulChangePercent (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSTraderInvestorStrategy)
Next (TFMSTraderNoiseStrategy)


Previous
Next (FMaxRequestCostPerShare)

Name
FCriticalRequestCostPerShare

Parent
TFMSTraderMarketMakerStrategy

Visibility
PRIVATE

Source code
FCriticalRequestCostPerShare : Double

FIMAS
Class Tree
Index
Previous
Next (FMaxRequestCostPerShare)


Previous (FCriticalRequestCostPerShare)
Next (FMonitorBidAskBonus)

Name
FMaxRequestCostPerShare

Parent
TFMSTraderMarketMakerStrategy

Visibility
PRIVATE

Source code
FMaxRequestCostPerShare : Double

FIMAS
Class Tree
Index
Previous (FCriticalRequestCostPerShare)
Next (FMonitorBidAskBonus)


Previous (FMaxRequestCostPerShare)
Next (FRequestTimeAccuratePredictionBonus)

Name
FMonitorBidAskBonus

Parent
TFMSTraderMarketMakerStrategy

Visibility
PRIVATE

Source code
FMonitorBidAskBonus : Double

FIMAS
Class Tree
Index
Previous (FMaxRequestCostPerShare)
Next (FRequestTimeAccuratePredictionBonus)


Previous (FMonitorBidAskBonus)
Next (FSuccessfulChangePercent)

Name
FRequestTimeAccuratePredictionBonus

Parent
TFMSTraderMarketMakerStrategy

Visibility
PRIVATE

Source code
FRequestTimeAccuratePredictionBonus : Double

FIMAS
Class Tree
Index
Previous (FMonitorBidAskBonus)
Next (FSuccessfulChangePercent)


Previous (FRequestTimeAccuratePredictionBonus)
Next (FUnSuccessfulChangePercent)

Name
FSuccessfulChangePercent

Parent
TFMSTraderMarketMakerStrategy

Visibility
PRIVATE

Source code
FSuccessfulChangePercent : Double

FIMAS
Class Tree
Index
Previous (FRequestTimeAccuratePredictionBonus)
Next (FUnSuccessfulChangePercent)


Previous (FSuccessfulChangePercent)
Next

Name
FUnSuccessfulChangePercent

Parent
TFMSTraderMarketMakerStrategy

Visibility
PRIVATE

Source code
FUnSuccessfulChangePercent : Double

FIMAS
Class Tree
Index
Previous (FSuccessfulChangePercent)
Next


Previous
Next (MaxRequestCostPerShare)

Name
CriticalRequestCostPerShare

Parent
TFMSTraderMarketMakerStrategy

Visibility
PUBLISHED

Source code
property CriticalRequestCostPerShare : Double read FCriticalRequestCostPerShare write FCriticalRequestCostPerShare

Read Access
FCriticalRequestCostPerShare

Write Access
FCriticalRequestCostPerShare

FIMAS
Class Tree
Index
Previous
Next (MaxRequestCostPerShare)


Previous (CriticalRequestCostPerShare)
Next (MonitorBidAskBonus)

Name
MaxRequestCostPerShare

Parent
TFMSTraderMarketMakerStrategy

Visibility
PUBLISHED

Source code
property MaxRequestCostPerShare : Double read FMaxRequestCostPerShare write FMaxRequestCostPerShare

Read Access
FMaxRequestCostPerShare

Write Access
FMaxRequestCostPerShare

FIMAS
Class Tree
Index
Previous (CriticalRequestCostPerShare)
Next (MonitorBidAskBonus)


Previous (MaxRequestCostPerShare)
Next (RequestTimeAccuratePredictionBonus)

Name
MonitorBidAskBonus

Parent
TFMSTraderMarketMakerStrategy

Visibility
PUBLISHED

Description
Must be from 0 to 1.

Source code
property MonitorBidAskBonus : Double read FMonitorBidAskBonus write FMonitorBidAskBonus

Read Access
FMonitorBidAskBonus

Write Access
FMonitorBidAskBonus

FIMAS
Class Tree
Index
Previous (MaxRequestCostPerShare)
Next (RequestTimeAccuratePredictionBonus)


Previous (MonitorBidAskBonus)
Next (Stats)

Name
RequestTimeAccuratePredictionBonus

Parent
TFMSTraderMarketMakerStrategy

Visibility
PUBLISHED

Source code
property RequestTimeAccuratePredictionBonus : Double read FRequestTimeAccuratePredictionBonus write FRequestTimeAccuratePredictionBonus

Read Access
FRequestTimeAccuratePredictionBonus

Write Access
FRequestTimeAccuratePredictionBonus

FIMAS
Class Tree
Index
Previous (MonitorBidAskBonus)
Next (Stats)


Previous (RequestTimeAccuratePredictionBonus)
Next (SuccessfulChangePercent)

Name
Stats

Parent
TFMSTraderMarketMakerStrategy

Visibility
PUBLISHED

Source code
property Stats : TFMSMarketMakerTraderStrategyStats read GetStats write SetStats

Read Access
GetStats

Write Access
SetStats

FIMAS
Class Tree
Index
Previous (RequestTimeAccuratePredictionBonus)
Next (SuccessfulChangePercent)


Previous (Stats)
Next (UnSuccessfulChangePercent)

Name
SuccessfulChangePercent

Parent
TFMSTraderMarketMakerStrategy

Visibility
PUBLISHED

Source code
property SuccessfulChangePercent : Double read FSuccessfulChangePercent write FSuccessfulChangePercent

Read Access
FSuccessfulChangePercent

Write Access
FSuccessfulChangePercent

FIMAS
Class Tree
Index
Previous (Stats)
Next (UnSuccessfulChangePercent)


Previous (SuccessfulChangePercent)
Next

Name
UnSuccessfulChangePercent

Parent
TFMSTraderMarketMakerStrategy

Visibility
PUBLISHED

Source code
property UnSuccessfulChangePercent : Double read FUnSuccessfulChangePercent write FUnSuccessfulChangePercent

Read Access
FUnSuccessfulChangePercent

Write Access
FUnSuccessfulChangePercent

FIMAS
Class Tree
Index
Previous (SuccessfulChangePercent)
Next


Previous
Next (DoAdjustRequestParams)

Name
Create

Parent
TFMSTraderMarketMakerStrategy

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TXCollection ) ; override

Parameters
Parameter | Description
AOwner : TXCollection | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (DoAdjustRequestParams)


Previous (Create)
Next (DoCreateStats)

Name
DoAdjustRequestParams

Parent
TFMSTraderMarketMakerStrategy

Visibility
PROTECTED

Description
Default implementation adjusts only RequestCost and RequestDuration.
Default implementation adjusts only RequestCost and RequestDuration.

Source code
procedure DoAdjustRequestParams ( AStats : TFMSShareTransactionRequestsStats ) ; override

Parameters
Parameter | Description
AStats : TFMSShareTransactionRequestsStats | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (DoCreateStats)


Previous (DoAdjustRequestParams)
Next (DoProcessActiveTransactionRequest)

Name
DoCreateStats

Parent
TFMSTraderMarketMakerStrategy

Visibility
PROTECTED

Source code
procedure DoCreateStats ( var AStats : TFMSTraderStrategyStats ) ; override

Parameters
Parameter | Description
AStats : TFMSTraderStrategyStats | &nbsp;

FIMAS
Class Tree
Index
Previous (DoAdjustRequestParams)
Next (DoProcessActiveTransactionRequest)


Previous (DoCreateStats)
Next (FriendlyDescription)

Name
DoProcessActiveTransactionRequest

Parent
TFMSTraderMarketMakerStrategy

Visibility
PROTECTED

Source code
procedure DoProcessActiveTransactionRequest ( const ATransactionRequest : TFMSShareTransactionTraderRequest ) ; override

Parameters
Parameter | Description
ATransactionRequest : TFMSShareTransactionTraderRequest | &nbsp;

FIMAS
Class Tree
Index
Previous (DoCreateStats)
Next (FriendlyDescription)


Previous (DoProcessActiveTransactionRequest)
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSTraderMarketMakerStrategy

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoProcessActiveTransactionRequest)
Next (FriendlyName)


Previous (FriendlyDescription)
Next (GetStats)

Name
FriendlyName

Parent
TFMSTraderMarketMakerStrategy

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next (GetStats)


Previous (FriendlyName)
Next (SetStats)

Name
GetStats

Parent
TFMSTraderMarketMakerStrategy

Visibility
PRIVATE

Source code
function GetStats : TFMSMarketMakerTraderStrategyStats

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyName)
Next (SetStats)


Previous (GetStats)
Next (Think)

Name
SetStats

Parent
TFMSTraderMarketMakerStrategy

Visibility
PRIVATE

Source code
procedure SetStats ( Value : TFMSMarketMakerTraderStrategyStats )

Parameters
Parameter | Description
Value : TFMSMarketMakerTraderStrategyStats | &nbsp;

FIMAS
Class Tree
Index
Previous (GetStats)
Next (Think)


Previous (SetStats)
Next

Name
Think

Parent
TFMSTraderMarketMakerStrategy

Visibility
PROTECTED

Source code
procedure Think ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetStats)
Next


Previous (TFMSTraderMarketMakerStrategy)
Next (TFMSTraderRandomBuyStrategy)

Name
TFMSTraderNoiseStrategy

Parent
FMSTraderStrategies

Class Hierarchy
TFMSTraderStrategy

Visibility
PUBLIC

Description
[Not implemented yet.]

Members
Methods
Method Description
FriendlyDescription (+)
FriendlyName (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSTraderMarketMakerStrategy)
Next (TFMSTraderRandomBuyStrategy)


Previous
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSTraderNoiseStrategy

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (FriendlyName)


Previous (FriendlyDescription)
Next

Name
FriendlyName

Parent
TFMSTraderNoiseStrategy

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next


Previous (TFMSTraderNoiseStrategy)
Next (TFMSTraderStrategyStats)

Name
TFMSTraderRandomBuyStrategy

Parent
FMSTraderStrategies

Class Hierarchy
TFMSStandardTraderStrategy

Visibility
PUBLIC

Description
Newbie trader strategy.

Members
Fields
Field Description
FHoursBeforeSelling (-)
FMaxSpreadTolerance (-)
FRiskFrequency (-)
FRiskRequiredExperience (-)

Methods
Method Description
Create (+)
FriendlyDescription (+)
FriendlyName (+)
Think (#)

Properties
Property Description
HoursBeforeSelling (*)
MaxSpreadTolerance (*)
RiskFrequency (*)
RiskRequiredExperience (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSTraderNoiseStrategy)
Next (TFMSTraderStrategyStats)


Previous
Next (FMaxSpreadTolerance)

Name
FHoursBeforeSelling

Parent
TFMSTraderRandomBuyStrategy

Visibility
PRIVATE

Source code
FHoursBeforeSelling : Double

FIMAS
Class Tree
Index
Previous
Next (FMaxSpreadTolerance)


Previous (FHoursBeforeSelling)
Next (FRiskFrequency)

Name
FMaxSpreadTolerance

Parent
TFMSTraderRandomBuyStrategy

Visibility
PRIVATE

Source code
FMaxSpreadTolerance : Double

FIMAS
Class Tree
Index
Previous (FHoursBeforeSelling)
Next (FRiskFrequency)


Previous (FMaxSpreadTolerance)
Next (FRiskRequiredExperience)

Name
FRiskFrequency

Parent
TFMSTraderRandomBuyStrategy

Visibility
PRIVATE

Source code
FRiskFrequency : Double

FIMAS
Class Tree
Index
Previous (FMaxSpreadTolerance)
Next (FRiskRequiredExperience)


Previous (FRiskFrequency)
Next

Name
FRiskRequiredExperience

Parent
TFMSTraderRandomBuyStrategy

Visibility
PRIVATE

Source code
FRiskRequiredExperience : Integer

FIMAS
Class Tree
Index
Previous (FRiskFrequency)
Next


Previous
Next (MaxSpreadTolerance)

Name
HoursBeforeSelling

Parent
TFMSTraderRandomBuyStrategy

Visibility
PUBLISHED

Source code
property HoursBeforeSelling : Double read FHoursBeforeSelling write FHoursBeforeSelling

Read Access
FHoursBeforeSelling

Write Access
FHoursBeforeSelling

FIMAS
Class Tree
Index
Previous
Next (MaxSpreadTolerance)


Previous (HoursBeforeSelling)
Next (RiskFrequency)

Name
MaxSpreadTolerance

Parent
TFMSTraderRandomBuyStrategy

Visibility
PUBLISHED

Source code
property MaxSpreadTolerance : Double read FMaxSpreadTolerance write FMaxSpreadTolerance

Read Access
FMaxSpreadTolerance

Write Access
FMaxSpreadTolerance

FIMAS
Class Tree
Index
Previous (HoursBeforeSelling)
Next (RiskFrequency)


Previous (MaxSpreadTolerance)
Next (RiskRequiredExperience)

Name
RiskFrequency

Parent
TFMSTraderRandomBuyStrategy

Visibility
PUBLISHED

Source code
property RiskFrequency : Double read FRiskFrequency write FRiskFrequency

Read Access
FRiskFrequency

Write Access
FRiskFrequency

FIMAS
Class Tree
Index
Previous (MaxSpreadTolerance)
Next (RiskRequiredExperience)


Previous (RiskFrequency)
Next

Name
RiskRequiredExperience

Parent
TFMSTraderRandomBuyStrategy

Visibility
PUBLISHED

Source code
property RiskRequiredExperience : Integer read FRiskRequiredExperience write FRiskRequiredExperience

Read Access
FRiskRequiredExperience

Write Access
FRiskRequiredExperience

FIMAS
Class Tree
Index
Previous (RiskFrequency)
Next


Previous
Next (FriendlyDescription)

Name
Create

Parent
TFMSTraderRandomBuyStrategy

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TXCollection ) ; override

Parameters
Parameter | Description
AOwner : TXCollection | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (FriendlyDescription)


Previous (Create)
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSTraderRandomBuyStrategy

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (FriendlyName)


Previous (FriendlyDescription)
Next (Think)

Name
FriendlyName

Parent
TFMSTraderRandomBuyStrategy

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next (Think)


Previous (FriendlyName)
Next

Name
Think

Parent
TFMSTraderRandomBuyStrategy

Visibility
PROTECTED

Source code
procedure Think ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyName)
Next


Previous (TFMSTraderRandomBuyStrategy)
Next

Name
TFMSTraderStrategyStats

Parent
FMSTraderStrategies

Class Hierarchy
TStrangeInterfacedOwnedPersistent

Visibility
PUBLIC

Members
Fields
Field Description
FRequestCostAdjustedMinus (-)
FRequestCostAdjustedPlus (-)

Methods
Method Description
GetRequestCostAdjusted (-)
Reset (+)

Properties
Property Description
RequestCostAdjusted (*)
RequestCostAdjustedMinus (*)
RequestCostAdjustedPlus (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSTraderRandomBuyStrategy)
Next


Previous
Next (FRequestCostAdjustedPlus)

Name
FRequestCostAdjustedMinus

Parent
TFMSTraderStrategyStats

Visibility
PRIVATE

Source code
FRequestCostAdjustedMinus : Integer

FIMAS
Class Tree
Index
Previous
Next (FRequestCostAdjustedPlus)


Previous (FRequestCostAdjustedMinus)
Next

Name
FRequestCostAdjustedPlus

Parent
TFMSTraderStrategyStats

Visibility
PRIVATE

Source code
FRequestCostAdjustedPlus : Integer

FIMAS
Class Tree
Index
Previous (FRequestCostAdjustedMinus)
Next


Previous
Next (RequestCostAdjustedMinus)

Name
RequestCostAdjusted

Parent
TFMSTraderStrategyStats

Visibility
PUBLISHED

Source code
property RequestCostAdjusted : Integer read GetRequestCostAdjusted

Read Access
GetRequestCostAdjusted

FIMAS
Class Tree
Index
Previous
Next (RequestCostAdjustedMinus)


Previous (RequestCostAdjusted)
Next (RequestCostAdjustedPlus)

Name
RequestCostAdjustedMinus

Parent
TFMSTraderStrategyStats

Visibility
PUBLISHED

Source code
property RequestCostAdjustedMinus : Integer read FRequestCostAdjustedMinus

Read Access
FRequestCostAdjustedMinus

FIMAS
Class Tree
Index
Previous (RequestCostAdjusted)
Next (RequestCostAdjustedPlus)


Previous (RequestCostAdjustedMinus)
Next

Name
RequestCostAdjustedPlus

Parent
TFMSTraderStrategyStats

Visibility
PUBLISHED

Source code
property RequestCostAdjustedPlus : Integer read FRequestCostAdjustedPlus

Read Access
FRequestCostAdjustedPlus

FIMAS
Class Tree
Index
Previous (RequestCostAdjustedMinus)
Next


Previous
Next (Reset)

Name
GetRequestCostAdjusted

Parent
TFMSTraderStrategyStats

Visibility
PRIVATE

Source code
function GetRequestCostAdjusted : Integer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (Reset)


Previous (GetRequestCostAdjusted)
Next

Name
Reset

Parent
TFMSTraderStrategyStats

Visibility
PUBLIC

Source code
procedure Reset

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetRequestCostAdjusted)
Next


Previous (FMSTraderStrategies)
Next (FMSUtils)

Name
FMSTypesAndConstants

Parent
FIMAS

Description
FMS Types and constants.

Types
Type Description
TFMSBigUpdateFrequency (+)
TFMSCommisionPlanStyle (+)
TFMSCommisionPlanStyles (+)
TFMSDayOfWeek (+)
TFMSDaysOfWeek (+)
TFMSHour (+)
TFMSHours (+)
TFMSNewsAutoGenerationMode (+)
TFMSPlanExecutionOption (+)
TFMSPlanExecutionOptions (+)
TFMSPlanStatus (+)
TFMSShareTransactionRequestClientNotifyStatus (+)
TFMSShareTransactionRequestOption (+)
TFMSShareTransactionRequestOptions (+)
TFMSShareTransactionRequestStatus (+)
TFMSShareTransactionRequestType (+)
TFMSTransactionRequestErrorID (+)
TFMSTypeOfShare (+)
TFMSUpdateFrequency (+)

Constants
Constant Description
FMS_CANNOT_CHANGE_AFTER_SIMULATION_WAS_STARTED (+)
FMS_DEFAULT_HOUR_SET (+)
FMS_SHARE_TYPE_CATEGORY_COUNT (+)
FMS_TOP_COUNTRY_COUNT (+)

Methods
Method Description
GetShareTypeCategories (+)
GetTopCountryNames (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (FMSTraderStrategies)
Next (FMSUtils)


Previous
Next (TFMSCommisionPlanStyle)

Name
TFMSBigUpdateFrequency

Parent
FMSTypesAndConstants

Visibility
PUBLIC

Source code
TFMSBigUpdateFrequency = ( bufEveryHour , bufEveryDay , bufEveryWeek , bufEveryMonth , bufEverySeason , bufEveryYear ) ;

FIMAS
Class Tree
Index
Previous
Next (TFMSCommisionPlanStyle)


Previous (TFMSBigUpdateFrequency)
Next (TFMSCommisionPlanStyles)

Name
TFMSCommisionPlanStyle

Parent
FMSTypesAndConstants

Visibility
PUBLIC

Source code
TFMSCommisionPlanStyle = ( cpsPeriodic , cpsPercentPerDeal , cpsFixedPerDeal , cpsCustom ) ;

FIMAS
Class Tree
Index
Previous (TFMSBigUpdateFrequency)
Next (TFMSCommisionPlanStyles)


Previous (TFMSCommisionPlanStyle)
Next (TFMSDayOfWeek)

Name
TFMSCommisionPlanStyles

Parent
FMSTypesAndConstants

Visibility
PUBLIC

Source code
TFMSCommisionPlanStyles = set of TFMSCommisionPlanStyle ;

FIMAS
Class Tree
Index
Previous (TFMSCommisionPlanStyle)
Next (TFMSDayOfWeek)


Previous (TFMSCommisionPlanStyles)
Next (TFMSDaysOfWeek)

Name
TFMSDayOfWeek

Parent
FMSTypesAndConstants

Visibility
PUBLIC

Source code
TFMSDayOfWeek = ( dwMon , dwTu , dwWed , dwThu , dwFri , dwSat , dwSun ) ;

FIMAS
Class Tree
Index
Previous (TFMSCommisionPlanStyles)
Next (TFMSDaysOfWeek)


Previous (TFMSDayOfWeek)
Next (TFMSHour)

Name
TFMSDaysOfWeek

Parent
FMSTypesAndConstants

Visibility
PUBLIC

Source code
TFMSDaysOfWeek = set of TFMSDayOfWeek ;

FIMAS
Class Tree
Index
Previous (TFMSDayOfWeek)
Next (TFMSHour)


Previous (TFMSDaysOfWeek)
Next (TFMSHours)

Name
TFMSHour

Parent
FMSTypesAndConstants

Visibility
PUBLIC

Source code
TFMSHour = 0 .. 23 ;

FIMAS
Class Tree
Index
Previous (TFMSDaysOfWeek)
Next (TFMSHours)


Previous (TFMSHour)
Next (TFMSNewsAutoGenerationMode)

Name
TFMSHours

Parent
FMSTypesAndConstants

Visibility
PUBLIC

Source code
TFMSHours = set of TFMSHour ;

FIMAS
Class Tree
Index
Previous (TFMSHour)
Next (TFMSNewsAutoGenerationMode)


Previous (TFMSHours)
Next (TFMSPlanExecutionOption)

Name
TFMSNewsAutoGenerationMode

Parent
FMSTypesAndConstants

Visibility
PUBLIC

Source code
TFMSNewsAutoGenerationMode = ( ngmStandardGenerator , ngmOwnEvent , ngmGlobalEvent ) ;

FIMAS
Class Tree
Index
Previous (TFMSHours)
Next (TFMSPlanExecutionOption)


Previous (TFMSNewsAutoGenerationMode)
Next (TFMSPlanExecutionOptions)

Name
TFMSPlanExecutionOption

Parent
FMSTypesAndConstants

Visibility
PUBLIC

Source code
TFMSPlanExecutionOption = ( poSkipOtherPlans , poAbord ) ;

FIMAS
Class Tree
Index
Previous (TFMSNewsAutoGenerationMode)
Next (TFMSPlanExecutionOptions)


Previous (TFMSPlanExecutionOption)
Next (TFMSPlanStatus)

Name
TFMSPlanExecutionOptions

Parent
FMSTypesAndConstants

Visibility
PUBLIC

Source code
TFMSPlanExecutionOptions = set of TFMSPlanExecutionOption ;

FIMAS
Class Tree
Index
Previous (TFMSPlanExecutionOption)
Next (TFMSPlanStatus)


Previous (TFMSPlanExecutionOptions)
Next (TFMSShareTransactionRequestClientNotifyStatus)

Name
TFMSPlanStatus

Parent
FMSTypesAndConstants

Visibility
PUBLIC

Source code
TFMSPlanStatus = ( psPlanned , psExecuting , psSucceded , psPartiallySucceded , psFailed ) ;

FIMAS
Class Tree
Index
Previous (TFMSPlanExecutionOptions)
Next (TFMSShareTransactionRequestClientNotifyStatus)


Previous (TFMSPlanStatus)
Next (TFMSShareTransactionRequestOption)

Name
TFMSShareTransactionRequestClientNotifyStatus

Parent
FMSTypesAndConstants

Visibility
PUBLIC

Source code
TFMSShareTransactionRequestClientNotifyStatus = ( truUnRead , truRead , truMarked ) ;

FIMAS
Class Tree
Index
Previous (TFMSPlanStatus)
Next (TFMSShareTransactionRequestOption)


Previous (TFMSShareTransactionRequestClientNotifyStatus)
Next (TFMSShareTransactionRequestOptions)

Name
TFMSShareTransactionRequestOption

Parent
FMSTypesAndConstants

Visibility
PUBLIC

Source code
TFMSShareTransactionRequestOption = ( troAllOrNothing , totLimit , totStopLoss ) ;

FIMAS
Class Tree
Index
Previous (TFMSShareTransactionRequestClientNotifyStatus)
Next (TFMSShareTransactionRequestOptions)


Previous (TFMSShareTransactionRequestOption)
Next (TFMSShareTransactionRequestStatus)

Name
TFMSShareTransactionRequestOptions

Parent
FMSTypesAndConstants

Visibility
PUBLIC

Source code
TFMSShareTransactionRequestOptions = set of TFMSShareTransactionRequestOption ;

FIMAS
Class Tree
Index
Previous (TFMSShareTransactionRequestOption)
Next (TFMSShareTransactionRequestStatus)


Previous (TFMSShareTransactionRequestOptions)
Next (TFMSShareTransactionRequestType)

Name
TFMSShareTransactionRequestStatus

Parent
FMSTypesAndConstants

Visibility
PUBLIC

Source code
TFMSShareTransactionRequestStatus = ( trsApproving , trsExecuting , trsRejected , trsSucceded , trsPartiallySucceded , trsFailed , trsRequestToAbort , trsAborted ) ;

FIMAS
Class Tree
Index
Previous (TFMSShareTransactionRequestOptions)
Next (TFMSShareTransactionRequestType)


Previous (TFMSShareTransactionRequestStatus)
Next (TFMSTransactionRequestErrorID)

Name
TFMSShareTransactionRequestType

Parent
FMSTypesAndConstants

Visibility
PUBLIC

Source code
TFMSShareTransactionRequestType = ( trtBuyShare , trtSellShare ) ;

FIMAS
Class Tree
Index
Previous (TFMSShareTransactionRequestStatus)
Next (TFMSTransactionRequestErrorID)


Previous (TFMSShareTransactionRequestType)
Next (TFMSTypeOfShare)

Name
TFMSTransactionRequestErrorID

Parent
FMSTypesAndConstants

Visibility
PUBLIC

Source code
TFMSTransactionRequestErrorID = ( treNoError , treUnknown , treNotEnoughMoneyToBuyShares , treNotEnoughMoneyToPayTransactionCost , treNotEnoughShares , treServiceTemporaryUnAvaible ) ;

FIMAS
Class Tree
Index
Previous (TFMSShareTransactionRequestType)
Next (TFMSTypeOfShare)


Previous (TFMSTransactionRequestErrorID)
Next (TFMSUpdateFrequency)

Name
TFMSTypeOfShare

Parent
FMSTypesAndConstants

Visibility
PUBLIC

Source code
TFMSTypeOfShare = ( tosOrdinary , tosPrivileged ) ;

FIMAS
Class Tree
Index
Previous (TFMSTransactionRequestErrorID)
Next (TFMSUpdateFrequency)


Previous (TFMSTypeOfShare)
Next

Name
TFMSUpdateFrequency

Parent
FMSTypesAndConstants

Visibility
PUBLIC

Source code
TFMSUpdateFrequency = ( ufManual , ufEveryStep , ufEveryMinute , ufEveryHour , ufEveryDay ) ;

FIMAS
Class Tree
Index
Previous (TFMSTypeOfShare)
Next


Previous
Next (FMS_DEFAULT_HOUR_SET)

Name
FMS_CANNOT_CHANGE_AFTER_SIMULATION_WAS_STARTED

Parent
FMSTypesAndConstants

Visibility
PUBLIC

Source code
FMS_CANNOT_CHANGE_AFTER_SIMULATION_WAS_STARTED = 'Error: You cannot change %s once the simulation has been started!'

FIMAS
Class Tree
Index
Previous
Next (FMS_DEFAULT_HOUR_SET)


Previous (FMS_CANNOT_CHANGE_AFTER_SIMULATION_WAS_STARTED)
Next (FMS_SHARE_TYPE_CATEGORY_COUNT)

Name
FMS_DEFAULT_HOUR_SET

Parent
FMSTypesAndConstants

Visibility
PUBLIC

Source code
FMS_DEFAULT_HOUR_SET = [ 7 .. 17 ]

FIMAS
Class Tree
Index
Previous (FMS_CANNOT_CHANGE_AFTER_SIMULATION_WAS_STARTED)
Next (FMS_SHARE_TYPE_CATEGORY_COUNT)


Previous (FMS_DEFAULT_HOUR_SET)
Next (FMS_TOP_COUNTRY_COUNT)

Name
FMS_SHARE_TYPE_CATEGORY_COUNT

Parent
FMSTypesAndConstants

Visibility
PUBLIC

Source code
FMS_SHARE_TYPE_CATEGORY_COUNT = 9

FIMAS
Class Tree
Index
Previous (FMS_DEFAULT_HOUR_SET)
Next (FMS_TOP_COUNTRY_COUNT)


Previous (FMS_SHARE_TYPE_CATEGORY_COUNT)
Next

Name
FMS_TOP_COUNTRY_COUNT

Parent
FMSTypesAndConstants

Visibility
PUBLIC

Source code
FMS_TOP_COUNTRY_COUNT = 31

FIMAS
Class Tree
Index
Previous (FMS_SHARE_TYPE_CATEGORY_COUNT)
Next


Previous
Next (GetTopCountryNames)

Name
GetShareTypeCategories

Parent
FMSTypesAndConstants

Visibility
PUBLIC

Source code
function GetShareTypeCategories ( const Index : Integer ) : PChar

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (GetTopCountryNames)


Previous (GetShareTypeCategories)
Next

Name
GetTopCountryNames

Parent
FMSTypesAndConstants

Visibility
PUBLIC

Source code
function GetTopCountryNames ( const Index : Integer ) : PChar

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetShareTypeCategories)
Next


Previous (FMSTypesAndConstants)
Next (FMSVCLTypesAndConstants)

Name
FMSUtils

Parent
FIMAS

Description
FMS Utilitiess.

Variables
Variable Description
vProcessorCount (+)

Methods
Method Description
BigNumberToStr (+)
DayOfWeekToStr (+)
FMSDateTimeToStr (+)
FMSRound (+)
GetCollectionList (+)
GetFMSDayOfWeek (+)
GetProcessorCount (+)
IncDayFloat (+)
IncHourFloat (+)
IncMilliSecondFloat (+)
IncMinuteFloat (+)
IncSecondFloat (+)
IncWeekFloat (+)
SecondsToStrAdv (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (FMSTypesAndConstants)
Next (FMSVCLTypesAndConstants)


Previous
Next

Name
vProcessorCount

Parent
FMSUtils

Visibility
PUBLIC

Source code
vProcessorCount : Integer = 0

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (DayOfWeekToStr)

Name
BigNumberToStr

Parent
FMSUtils

Visibility
PUBLIC

Source code
function BigNumberToStr ( const ANumber : Double ) : string

Parameters
Parameter | Description
ANumber : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (DayOfWeekToStr)


Previous (BigNumberToStr)
Next (FMSDateTimeToStr)

Name
DayOfWeekToStr

Parent
FMSUtils

Visibility
PUBLIC

Source code
function DayOfWeekToStr ( const ADateTime : TDateTime ) : string

Parameters
Parameter | Description
ADateTime : TDateTime | &nbsp;

FIMAS
Class Tree
Index
Previous (BigNumberToStr)
Next (FMSDateTimeToStr)


Previous (DayOfWeekToStr)
Next (FMSRound)

Name
FMSDateTimeToStr

Parent
FMSUtils

Visibility
PUBLIC

Source code
function FMSDateTimeToStr ( const ADateTime : TDateTime ) : string

Parameters
Parameter | Description
ADateTime : TDateTime | &nbsp;

FIMAS
Class Tree
Index
Previous (DayOfWeekToStr)
Next (FMSRound)


Previous (FMSDateTimeToStr)
Next (GetCollectionList)

Name
FMSRound

Parent
FMSUtils

Visibility
PUBLIC

Source code
function FMSRound ( const AInput : Double ) : Double

Parameters
Parameter | Description
AInput : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (FMSDateTimeToStr)
Next (GetCollectionList)


Previous (FMSRound)
Next (GetFMSDayOfWeek)

Name
GetCollectionList

Parent
FMSUtils

Visibility
PUBLIC

Source code
function GetCollectionList ( const ACollection : TCollection ) : TList

Parameters
Parameter | Description
ACollection : TCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (FMSRound)
Next (GetFMSDayOfWeek)


Previous (GetCollectionList)
Next (GetProcessorCount)

Name
GetFMSDayOfWeek

Parent
FMSUtils

Visibility
PUBLIC

Source code
function GetFMSDayOfWeek ( const ADateTime : TDateTime ) : TFMSDayOfWeek

Parameters
Parameter | Description
ADateTime : TDateTime | &nbsp;

FIMAS
Class Tree
Index
Previous (GetCollectionList)
Next (GetProcessorCount)


Previous (GetFMSDayOfWeek)
Next (IncDayFloat)

Name
GetProcessorCount

Parent
FMSUtils

Visibility
PUBLIC

Source code
function GetProcessorCount : Integer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetFMSDayOfWeek)
Next (IncDayFloat)


Previous (GetProcessorCount)
Next (IncHourFloat)

Name
IncDayFloat

Parent
FMSUtils

Visibility
PUBLIC

Source code
function IncDayFloat ( const AValue : TDateTime ; const ANumberOfDays : Double ) : TDateTime

Parameters
Parameter | Description
AValue : TDateTime | &nbsp;
ANumberOfDays : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (GetProcessorCount)
Next (IncHourFloat)


Previous (IncDayFloat)
Next (IncMilliSecondFloat)

Name
IncHourFloat

Parent
FMSUtils

Visibility
PUBLIC

Source code
function IncHourFloat ( const AValue : TDateTime ; const ANumberOfHours : Double ) : TDateTime

Parameters
Parameter | Description
AValue : TDateTime | &nbsp;
ANumberOfHours : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (IncDayFloat)
Next (IncMilliSecondFloat)


Previous (IncHourFloat)
Next (IncMinuteFloat)

Name
IncMilliSecondFloat

Parent
FMSUtils

Visibility
PUBLIC

Source code
function IncMilliSecondFloat ( const AValue : TDateTime ; const ANumberOfMilliSeconds : Double ) : TDateTime

Parameters
Parameter | Description
AValue : TDateTime | &nbsp;
ANumberOfMilliSeconds : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (IncHourFloat)
Next (IncMinuteFloat)


Previous (IncMilliSecondFloat)
Next (IncSecondFloat)

Name
IncMinuteFloat

Parent
FMSUtils

Visibility
PUBLIC

Source code
function IncMinuteFloat ( const AValue : TDateTime ; const ANumberOfMinutes : Double ) : TDateTime

Parameters
Parameter | Description
AValue : TDateTime | &nbsp;
ANumberOfMinutes : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (IncMilliSecondFloat)
Next (IncSecondFloat)


Previous (IncMinuteFloat)
Next (IncWeekFloat)

Name
IncSecondFloat

Parent
FMSUtils

Visibility
PUBLIC

Source code
function IncSecondFloat ( const AValue : TDateTime ; const ANumberOfSeconds : Double ) : TDateTime

Parameters
Parameter | Description
AValue : TDateTime | &nbsp;
ANumberOfSeconds : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (IncMinuteFloat)
Next (IncWeekFloat)


Previous (IncSecondFloat)
Next (SecondsToStrAdv)

Name
IncWeekFloat

Parent
FMSUtils

Visibility
PUBLIC

Source code
function IncWeekFloat ( const AValue : TDateTime ; const ANumberOfWeeks : Double ) : TDateTime

Parameters
Parameter | Description
AValue : TDateTime | &nbsp;
ANumberOfWeeks : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (IncSecondFloat)
Next (SecondsToStrAdv)


Previous (IncWeekFloat)
Next

Name
SecondsToStrAdv

Parent
FMSUtils

Visibility
PUBLIC

Source code
function SecondsToStrAdv ( const ASeconds : Double ) : string

Parameters
Parameter | Description
ASeconds : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (IncWeekFloat)
Next


Previous (FMSUtils)
Next (FMSWorld)

Name
FMSVCLTypesAndConstants

Parent
FIMAS

Classes
Class Description
EFMSException (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (FMSUtils)
Next (FMSWorld)


Previous
Next

Name
EFMSException

Parent
FMSVCLTypesAndConstants

Class Hierarchy
Exception

Visibility
PUBLIC

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous
Next


Previous (FMSVCLTypesAndConstants)
Next (uArrayAnalizerForm)

Name
FMSWorld

Parent
FIMAS

Description
FMS World. This is the core unit of FMS. It describes the world, its abstract participants, time and classificators.

Types
Type Description
TFMSParticipantRoleEvent (+)
TFMSWorldEvent (+)

Methods
Method Description
NewsItemsSortByDateProcedure (+)

Classes
Class | Description
TFMSClassificator (+) | A means to divide different market participants into groups.
TFMSClassificatorLink (+) | A link to a Classificator.
TFMSClassificatorLinks (+) | Collection of TFMSClassificatorLink.
TFMSClassificatorList (+) | List of TFMSClassificator.
TFMSClassificators (+) | Collection of TFMSClassificator.
TFMSClassificatorType (+) | A means to divide different market participants into groups.
TFMSClassificatorTypeList (+) | List of TFMSClassificatorType.
TFMSClassificatorTypes (+) | Collection of TFMSClassificatorType.
TFMSNewsItem (+) | A standard news Item.
TFMSNewsItemList (+) | List of TFMSNewsItems.
TFMSNewsItems (+) | Collection of TFMSNewsItem. They are expected to be sorted, if used within TFMSWorld.
TFMSParticipant (+) | An inhabitant of the virtual world, a company or a trader for example.
TFMSParticipantRole (+) | A class that is similar to Participant.
TFMSParticipantRoleLink (+) | A link to a Classificator.
TFMSParticipantRoleLinkList (+) | List of TFMSParticipantRoleLink.
TFMSParticipantRoleLinks (+) | Collection of TFMSParticipantRoleLink.
TFMSParticipantRoleList (+) | List of TFMSParticipantRole.
TFMSParticipantRoles (+) | Collection of TFMSParticipantRole.
TFMSParticipants (+) | Collection of TFMSParticipant.
TFMSRealTimeWorld (+) | A class that connects real time to virtual time.
TFMSThread (+) | Standard FMS thread class.
TFMSThreadEx (+) | A specific FMS thread class, that allows to fully optimize to 2 threads.
TFMSWorld (+) | Controls time flow, main settings, classificators and news generation.
TFMSWorldOptions (+) | Various options for World object, that are easier to store in a separate class. There are no options at this time.

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (FMSVCLTypesAndConstants)
Next (uArrayAnalizerForm)


Previous
Next (TFMSClassificatorLink)

Name
TFMSClassificator

Parent
FMSWorld

Class Hierarchy
TFMSUpdateAble,IFMSClassificator

Visibility
PUBLIC

Description
A means to divide different market participants into groups.

Members
Fields
Field Description
FNews (-)

Methods
Method | Description
Assign (+)
Create (+)
Destroy (+)
FriendlyDescription (+)
FriendlyName (+)
GetClassificatorType (#)
GetIntf (+) | Direct access to interface that this class implements.
GetParent (#)
GetWorld (+)
SetNews (-)

Properties
Property Description
News (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous
Next (TFMSClassificatorLink)


Previous
Next

Name
FNews

Parent
TFMSClassificator

Visibility
PRIVATE

Source code
FNews : TFMSNewsItemList

FIMAS
Class Tree
Index
Previous
Next


Previous
Next

Name
News

Parent
TFMSClassificator

Visibility
PUBLISHED

Source code
property News : TFMSNewsItemList read FNews write SetNews

Read Access
FNews

Write Access
SetNews

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Create)

Name
Assign

Parent
TFMSClassificator

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (Assign)
Next (Destroy)

Name
Create

Parent
TFMSClassificator

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TXCollection ) ; override

Parameters
Parameter | Description
AOwner : TXCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (Assign)
Next (Destroy)


Previous (Create)
Next (FriendlyDescription)

Name
Destroy

Parent
TFMSClassificator

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (FriendlyDescription)


Previous (Destroy)
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSClassificator

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Destroy)
Next (FriendlyName)


Previous (FriendlyDescription)
Next (GetClassificatorType)

Name
FriendlyName

Parent
TFMSClassificator

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next (GetClassificatorType)


Previous (FriendlyName)
Next (GetIntf)

Name
GetClassificatorType

Parent
TFMSClassificator

Visibility
PROTECTED

Source code
function GetClassificatorType : TFMSClassificatorType

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyName)
Next (GetIntf)


Previous (GetClassificatorType)
Next (GetParent)

Name
GetIntf

Parent
TFMSClassificator

Visibility
PUBLIC

Description
Direct access to interface that this class implements.
Direct access to interface that this class implements.

Source code
function GetIntf : IFMSClassificator

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetClassificatorType)
Next (GetParent)


Previous (GetIntf)
Next (GetWorld)

Name
GetParent

Parent
TFMSClassificator

Visibility
PROTECTED

Source code
function GetParent : TFMSClassificators

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetIntf)
Next (GetWorld)


Previous (GetParent)
Next (SetNews)

Name
GetWorld

Parent
TFMSClassificator

Visibility
PUBLIC

Source code
function GetWorld : TFMSWorld

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetParent)
Next (SetNews)


Previous (GetWorld)
Next

Name
SetNews

Parent
TFMSClassificator

Visibility
PRIVATE

Source code
procedure SetNews ( const Value : TFMSNewsItemList )

Parameters
Parameter | Description
Value : TFMSNewsItemList | &nbsp;

FIMAS
Class Tree
Index
Previous (GetWorld)
Next


Previous (TFMSClassificator)
Next (TFMSClassificatorLinks)

Name
TFMSClassificatorLink

Parent
FMSWorld

Class Hierarchy
TStrangeInterfacedCollectionItem

Visibility
PUBLIC

Description
A link to a Classificator.

Members
Fields
Field Description
FClassificator (-)
FLinkMultiplier (-)

Methods
Method Description
Assign (+)
Create (+)
GetParent (#)
SetClassificator (-)

Properties
Property Description
Classificator (*)
LinkMultiplier (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSClassificator)
Next (TFMSClassificatorLinks)


Previous
Next (FLinkMultiplier)

Name
FClassificator

Parent
TFMSClassificatorLink

Visibility
PRIVATE

Source code
FClassificator : TFMSClassificator

FIMAS
Class Tree
Index
Previous
Next (FLinkMultiplier)


Previous (FClassificator)
Next

Name
FLinkMultiplier

Parent
TFMSClassificatorLink

Visibility
PRIVATE

Source code
FLinkMultiplier : Double

FIMAS
Class Tree
Index
Previous (FClassificator)
Next


Previous
Next (LinkMultiplier)

Name
Classificator

Parent
TFMSClassificatorLink

Visibility
PUBLISHED

Source code
property Classificator : TFMSClassificator read FClassificator write SetClassificator

Read Access
FClassificator

Write Access
SetClassificator

FIMAS
Class Tree
Index
Previous
Next (LinkMultiplier)


Previous (Classificator)
Next

Name
LinkMultiplier

Parent
TFMSClassificatorLink

Visibility
PUBLISHED

Source code
property LinkMultiplier : Double read FLinkMultiplier write FLinkMultiplier

Read Access
FLinkMultiplier

Write Access
FLinkMultiplier

FIMAS
Class Tree
Index
Previous (Classificator)
Next


Previous
Next (Create)

Name
Assign

Parent
TFMSClassificatorLink

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (Assign)
Next (GetParent)

Name
Create

Parent
TFMSClassificatorLink

Visibility
PUBLIC

Source code
constructor Create ( Collection : TCollection ) ; override

Parameters
Parameter | Description
Collection : TCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (Assign)
Next (GetParent)


Previous (Create)
Next (SetClassificator)

Name
GetParent

Parent
TFMSClassificatorLink

Visibility
PROTECTED

Source code
function GetParent : TFMSClassificatorLinks

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (SetClassificator)


Previous (GetParent)
Next

Name
SetClassificator

Parent
TFMSClassificatorLink

Visibility
PRIVATE

Source code
procedure SetClassificator ( const Value : TFMSClassificator )

Parameters
Parameter | Description
Value : TFMSClassificator | &nbsp;

FIMAS
Class Tree
Index
Previous (GetParent)
Next


Previous (TFMSClassificatorLink)
Next (TFMSClassificatorList)

Name
TFMSClassificatorLinks

Parent
FMSWorld

Class Hierarchy
TStrangeInterfacedOwnedCollection

Visibility
PUBLIC

Description
Collection of TFMSClassificatorLink.

Members
Methods
Method | Description
ADD (+)
AddInitialized (+) | Non-standard procedure.
Create (+)
GetItems (-)
GetLastItem (+)
SetItems (-)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSClassificatorLink)
Next (TFMSClassificatorList)


Previous
Next

Name
Items

Parent
TFMSClassificatorLinks

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSClassificatorLink read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (AddInitialized)

Name
ADD

Parent
TFMSClassificatorLinks

Visibility
PUBLIC

Source code
function Add : TFMSClassificatorLink

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (AddInitialized)


Previous (ADD)
Next (Create)

Name
AddInitialized

Parent
TFMSClassificatorLinks

Visibility
PUBLIC

Description
Non-standard procedure.
Non-standard procedure.

Source code
function AddInitialized ( const AClassificator : TFMSClassificator ; const ALinkMultiplier : Double ) : TFMSClassificatorLink

Parameters
Parameter | Description
AClassificator : TFMSClassificator | &nbsp;
ALinkMultiplier : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (Create)


Previous (AddInitialized)
Next (GetItems)

Name
Create

Parent
TFMSClassificatorLinks

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TPersistent )

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (AddInitialized)
Next (GetItems)


Previous (Create)
Next (GetLastItem)

Name
GetItems

Parent
TFMSClassificatorLinks

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSClassificatorLink

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (GetLastItem)


Previous (GetItems)
Next (SetItems)

Name
GetLastItem

Parent
TFMSClassificatorLinks

Visibility
PUBLIC

Source code
function GetLastItem : TFMSClassificatorLink

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (SetItems)


Previous (GetLastItem)
Next

Name
SetItems

Parent
TFMSClassificatorLinks

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSClassificatorLink )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSClassificatorLink | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next


Previous (TFMSClassificatorLinks)
Next (TFMSClassificators)

Name
TFMSClassificatorList

Parent
FMSWorld

Class Hierarchy
TStrangeInterfacedOwnedPersistent

Visibility
PUBLIC

Description
List of TFMSClassificator.

Members
Fields
Field | Description
FList (-) | Standard list field.

Methods
Method | Description
ADD (+) | Standard list method.
Assign (+) | Standard list method.
Clear (+) | Standard list method.
Create (+) | Standard list method.
Delete (+) | Standard list method.
Destroy (+) | Standard list method.
GetCount (-) | Standard list method.
GetItems (-) | Standard list method.
GetLastItem (+) | Standard list method.
IndexOf (+) | Standard list method.
REMOVE (+) | Standard list method.
SetCount (-) | Standard list method.
SetItems (-) | Standard list method.

Properties
Property | Description
Count (+) | Standard list property.
Items (+) | Standard list property.

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSClassificatorLinks)
Next (TFMSClassificators)


Previous
Next

Name
FList

Parent
TFMSClassificatorList

Visibility
PRIVATE

Description
Standard list field.

Source code
FList : TList

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Items)

Name
Count

Parent
TFMSClassificatorList

Visibility
PUBLIC

Description
Standard list property.

Source code
property Count : Integer read GetCount write SetCount

Read Access
GetCount

Write Access
SetCount

FIMAS
Class Tree
Index
Previous
Next (Items)


Previous (Count)
Next

Name
Items

Parent
TFMSClassificatorList

Visibility
PUBLIC

Description
Standard list property.

Source code
property Items [ const Index : Integer ] : TFMSClassificator read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous (Count)
Next


Previous
Next (Assign)

Name
ADD

Parent
TFMSClassificatorList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
procedure Add ( const AItem : TFMSClassificator )

Parameters
Parameter | Description
AItem : TFMSClassificator | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Assign)


Previous (ADD)
Next (Clear)

Name
Assign

Parent
TFMSClassificatorList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (Clear)


Previous (Assign)
Next (Create)

Name
Clear

Parent
TFMSClassificatorList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
procedure Clear

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Assign)
Next (Create)


Previous (Clear)
Next (Delete)

Name
Create

Parent
TFMSClassificatorList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
constructor Create ( AOwner : TPersistent ) ; override

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (Clear)
Next (Delete)


Previous (Create)
Next (Destroy)

Name
Delete

Parent
TFMSClassificatorList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
procedure Delete ( const AIndex : Integer )

Parameters
Parameter | Description
AIndex : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (Destroy)


Previous (Delete)
Next (GetCount)

Name
Destroy

Parent
TFMSClassificatorList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Delete)
Next (GetCount)


Previous (Destroy)
Next (GetItems)

Name
GetCount

Parent
TFMSClassificatorList

Visibility
PRIVATE

Description
Standard list method.
Standard list method.

Source code
function GetCount : Integer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Destroy)
Next (GetItems)


Previous (GetCount)
Next (GetLastItem)

Name
GetItems

Parent
TFMSClassificatorList

Visibility
PRIVATE

Description
Standard list method.
Standard list method.

Source code
function GetItems ( const Index : Integer ) : TFMSClassificator

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetCount)
Next (GetLastItem)


Previous (GetItems)
Next (IndexOf)

Name
GetLastItem

Parent
TFMSClassificatorList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
function GetLastItem : TFMSClassificator

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (IndexOf)


Previous (GetLastItem)
Next (REMOVE)

Name
IndexOf

Parent
TFMSClassificatorList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
function IndexOf ( const AItem : TFMSClassificator ) : Integer

Parameters
Parameter | Description
AItem : TFMSClassificator | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (REMOVE)


Previous (IndexOf)
Next (SetCount)

Name
REMOVE

Parent
TFMSClassificatorList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
procedure Remove ( const AItem : TFMSClassificator )

Parameters
Parameter | Description
AItem : TFMSClassificator | &nbsp;

FIMAS
Class Tree
Index
Previous (IndexOf)
Next (SetCount)


Previous (REMOVE)
Next (SetItems)

Name
SetCount

Parent
TFMSClassificatorList

Visibility
PRIVATE

Description
Standard list method.
Standard list method.

Source code
procedure SetCount ( const Value : Integer )

Parameters
Parameter | Description
Value : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (REMOVE)
Next (SetItems)


Previous (SetCount)
Next

Name
SetItems

Parent
TFMSClassificatorList

Visibility
PRIVATE

Description
Standard list method.
Standard list method.

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSClassificator )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSClassificator | &nbsp;

FIMAS
Class Tree
Index
Previous (SetCount)
Next


Previous (TFMSClassificatorList)
Next (TFMSClassificatorType)

Name
TFMSClassificators

Parent
FMSWorld

Class Hierarchy
TFMSUpdateAbles

Visibility
PUBLIC

Description
Collection of TFMSClassificator.

Members
Methods
Method | Description
ADD (+) | Standard XCollection method.
AddByID (+) | Standard XCollection method.
CanAdd (+) | Standard XCollection method.
GetItems (-) | Standard XCollection method.
GetParent (#)
GetRandomClassificator (+) | Non-standard procedure.
ItemsClass (+) | Standard XCollection method.
SetItems (-) | Standard XCollection method.
SortNewsByDates (+) | Non-standard procedure.

Properties
Property | Description
Items (+) | Standard XCollection property.

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSClassificatorList)
Next (TFMSClassificatorType)


Previous
Next

Name
Items

Parent
TFMSClassificators

Visibility
PUBLIC

Description
Standard XCollection property.

Source code
property Items [ const Index : Integer ] : TFMSClassificator read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (AddByID)

Name
ADD

Parent
TFMSClassificators

Visibility
PUBLIC

Description
Standard XCollection method.
Standard XCollection method.

Source code
function Add ( AClass : TFMSClassificatorClass ) : TFMSClassificator

Parameters
Parameter | Description
AClass : TFMSClassificatorClass | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (AddByID)


Previous (ADD)
Next (CanAdd)

Name
AddByID

Parent
TFMSClassificators

Visibility
PUBLIC

Description
Standard XCollection method.
Standard XCollection method.

Source code
function AddByID ( AClass : TStrangeClassID ) : TFMSClassificator

Parameters
Parameter | Description
AClass : TStrangeClassID | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (CanAdd)


Previous (AddByID)
Next (GetItems)

Name
CanAdd

Parent
TFMSClassificators

Visibility
PUBLIC

Description
Standard XCollection method.
Standard XCollection method.

Source code
function CanAdd ( AClass : TXCollectionItemClass ) : Boolean ; override

Parameters
Parameter | Description
AClass : TXCollectionItemClass | &nbsp;

FIMAS
Class Tree
Index
Previous (AddByID)
Next (GetItems)


Previous (CanAdd)
Next (GetParent)

Name
GetItems

Parent
TFMSClassificators

Visibility
PRIVATE

Description
Standard XCollection method.
Standard XCollection method.

Source code
function GetItems ( const Index : Integer ) : TFMSClassificator

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (CanAdd)
Next (GetParent)


Previous (GetItems)
Next (GetRandomClassificator)

Name
GetParent

Parent
TFMSClassificators

Visibility
PROTECTED

Source code
function GetParent : TFMSClassificatorType

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (GetRandomClassificator)


Previous (GetParent)
Next (ItemsClass)

Name
GetRandomClassificator

Parent
TFMSClassificators

Visibility
PUBLIC

Description
Non-standard procedure.
Non-standard procedure.

Source code
function GetRandomClassificator : TFMSClassificator

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetParent)
Next (ItemsClass)


Previous (GetRandomClassificator)
Next (SetItems)

Name
ItemsClass

Parent
TFMSClassificators

Visibility
PUBLIC

Description
Standard XCollection method.
Standard XCollection method.

Source code
class function ItemsClass : TXCollectionItemClass ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetRandomClassificator)
Next (SetItems)


Previous (ItemsClass)
Next (SortNewsByDates)

Name
SetItems

Parent
TFMSClassificators

Visibility
PRIVATE

Description
Standard XCollection method.
Standard XCollection method.

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSClassificator )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSClassificator | &nbsp;

FIMAS
Class Tree
Index
Previous (ItemsClass)
Next (SortNewsByDates)


Previous (SetItems)
Next

Name
SortNewsByDates

Parent
TFMSClassificators

Visibility
PUBLIC

Description
Non-standard procedure.
Non-standard procedure.

Source code
procedure SortNewsByDates

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetItems)
Next


Previous (TFMSClassificators)
Next (TFMSClassificatorTypeList)

Name
TFMSClassificatorType

Parent
FMSWorld

Class Hierarchy
TFMSUpdateAbleCollectionItem,IFMSClassificatorType

Visibility
PUBLIC

Description
A means to divide different market participants into groups.

Members
Fields
Field Description
FClassificators (-)
FName (-)

Methods
Method | Description
Assign (+)
Create (+)
Destroy (+)
GetDisplayName (+)
GetName (#) | Implementing IFMSClassificatorType.
GetParent (#)
GetWorld (+)
SetClassificators (-)
SetDisplayName (+)
SetName (#) | Implementing IFMSClassificatorType.
Step (#)

Properties
Property Description
Classificators (*)
NAME (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSClassificators)
Next (TFMSClassificatorTypeList)


Previous
Next (FName)

Name
FClassificators

Parent
TFMSClassificatorType

Visibility
PRIVATE

Source code
FClassificators : TFMSClassificators

FIMAS
Class Tree
Index
Previous
Next (FName)


Previous (FClassificators)
Next

Name
FName

Parent
TFMSClassificatorType

Visibility
PRIVATE

Source code
FName : string

FIMAS
Class Tree
Index
Previous (FClassificators)
Next


Previous
Next (NAME)

Name
Classificators

Parent
TFMSClassificatorType

Visibility
PUBLISHED

Source code
property Classificators : TFMSClassificators read FClassificators write SetClassificators

Read Access
FClassificators

Write Access
SetClassificators

FIMAS
Class Tree
Index
Previous
Next (NAME)


Previous (Classificators)
Next

Name
NAME

Parent
TFMSClassificatorType

Visibility
PUBLISHED

Source code
property Name : string read FName write FName

Read Access
FName

Write Access
FName

FIMAS
Class Tree
Index
Previous (Classificators)
Next


Previous
Next (Create)

Name
Assign

Parent
TFMSClassificatorType

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (Assign)
Next (Destroy)

Name
Create

Parent
TFMSClassificatorType

Visibility
PUBLIC

Source code
constructor Create ( Collection : TCollection ) ; override

Parameters
Parameter | Description
Collection : TCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (Assign)
Next (Destroy)


Previous (Create)
Next (GetDisplayName)

Name
Destroy

Parent
TFMSClassificatorType

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (GetDisplayName)


Previous (Destroy)
Next (GetName)

Name
GetDisplayName

Parent
TFMSClassificatorType

Visibility
PUBLIC

Source code
function GetDisplayName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Destroy)
Next (GetName)


Previous (GetDisplayName)
Next (GetParent)

Name
GetName

Parent
TFMSClassificatorType

Visibility
PROTECTED

Description
Implementing IFMSClassificatorType.
Implementing IFMSClassificatorType.

Source code
function GetName : string

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetDisplayName)
Next (GetParent)


Previous (GetName)
Next (GetWorld)

Name
GetParent

Parent
TFMSClassificatorType

Visibility
PROTECTED

Source code
function GetParent : TFMSClassificatorTypes

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetName)
Next (GetWorld)


Previous (GetParent)
Next (SetClassificators)

Name
GetWorld

Parent
TFMSClassificatorType

Visibility
PUBLIC

Source code
function GetWorld : TFMSWorld

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetParent)
Next (SetClassificators)


Previous (GetWorld)
Next (SetDisplayName)

Name
SetClassificators

Parent
TFMSClassificatorType

Visibility
PRIVATE

Source code
procedure SetClassificators ( const Value : TFMSClassificators )

Parameters
Parameter | Description
Value : TFMSClassificators | &nbsp;

FIMAS
Class Tree
Index
Previous (GetWorld)
Next (SetDisplayName)


Previous (SetClassificators)
Next (SetName)

Name
SetDisplayName

Parent
TFMSClassificatorType

Visibility
PUBLIC

Source code
procedure SetDisplayName ( const Value : string ) ; override

Parameters
Parameter | Description
Value : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (SetClassificators)
Next (SetName)


Previous (SetDisplayName)
Next (Step)

Name
SetName

Parent
TFMSClassificatorType

Visibility
PROTECTED

Description
Implementing IFMSClassificatorType.
Implementing IFMSClassificatorType.

Source code
procedure SetName ( const AName : string )

Parameters
Parameter | Description
AName : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (SetDisplayName)
Next (Step)


Previous (SetName)
Next

Name
Step

Parent
TFMSClassificatorType

Visibility
PROTECTED

Source code
procedure Step ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetName)
Next


Previous (TFMSClassificatorType)
Next (TFMSClassificatorTypes)

Name
TFMSClassificatorTypeList

Parent
FMSWorld

Class Hierarchy
TStrangeInterfacedOwnedPersistent

Visibility
PUBLIC

Description
List of TFMSClassificatorType.

Members
Fields
Field | Description
FList (-) | Standard list field.

Methods
Method | Description
ADD (+) | Standard list method.
Assign (+) | Standard list method.
Clear (+) | Standard list method.
Create (+) | Standard list method.
Delete (+) | Standard list method.
Destroy (+) | Standard list method.
GetCount (-) | Standard list method.
GetItems (-) | Standard list method.
GetLastItem (+) | Standard list method.
REMOVE (+) | Standard list method.
SetCount (-) | Standard list method.
SetItems (-) | Standard list method.

Properties
Property | Description
Count (+) | Standard list property.
Items (+) | Standard list property.

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSClassificatorType)
Next (TFMSClassificatorTypes)


Previous
Next

Name
FList

Parent
TFMSClassificatorTypeList

Visibility
PRIVATE

Description
Standard list field.

Source code
FList : TList

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Items)

Name
Count

Parent
TFMSClassificatorTypeList

Visibility
PUBLIC

Description
Standard list property.

Source code
property Count : Integer read GetCount write SetCount

Read Access
GetCount

Write Access
SetCount

FIMAS
Class Tree
Index
Previous
Next (Items)


Previous (Count)
Next

Name
Items

Parent
TFMSClassificatorTypeList

Visibility
PUBLIC

Description
Standard list property.

Source code
property Items [ const Index : Integer ] : TFMSClassificatorType read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous (Count)
Next


Previous
Next (Assign)

Name
ADD

Parent
TFMSClassificatorTypeList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
procedure Add ( const AItem : TFMSClassificatorType )

Parameters
Parameter | Description
AItem : TFMSClassificatorType | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Assign)


Previous (ADD)
Next (Clear)

Name
Assign

Parent
TFMSClassificatorTypeList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (Clear)


Previous (Assign)
Next (Create)

Name
Clear

Parent
TFMSClassificatorTypeList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
procedure Clear

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Assign)
Next (Create)


Previous (Clear)
Next (Delete)

Name
Create

Parent
TFMSClassificatorTypeList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
constructor Create ( AOwner : TPersistent ) ; override

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (Clear)
Next (Delete)


Previous (Create)
Next (Destroy)

Name
Delete

Parent
TFMSClassificatorTypeList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
procedure Delete ( const AIndex : Integer )

Parameters
Parameter | Description
AIndex : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (Destroy)


Previous (Delete)
Next (GetCount)

Name
Destroy

Parent
TFMSClassificatorTypeList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Delete)
Next (GetCount)


Previous (Destroy)
Next (GetItems)

Name
GetCount

Parent
TFMSClassificatorTypeList

Visibility
PRIVATE

Description
Standard list method.
Standard list method.

Source code
function GetCount : Integer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Destroy)
Next (GetItems)


Previous (GetCount)
Next (GetLastItem)

Name
GetItems

Parent
TFMSClassificatorTypeList

Visibility
PRIVATE

Description
Standard list method.
Standard list method.

Source code
function GetItems ( const Index : Integer ) : TFMSClassificatorType

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetCount)
Next (GetLastItem)


Previous (GetItems)
Next (REMOVE)

Name
GetLastItem

Parent
TFMSClassificatorTypeList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
function GetLastItem : TFMSClassificatorType

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (REMOVE)


Previous (GetLastItem)
Next (SetCount)

Name
REMOVE

Parent
TFMSClassificatorTypeList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
procedure Remove ( const AItem : TFMSClassificatorType )

Parameters
Parameter | Description
AItem : TFMSClassificatorType | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (SetCount)


Previous (REMOVE)
Next (SetItems)

Name
SetCount

Parent
TFMSClassificatorTypeList

Visibility
PRIVATE

Description
Standard list method.
Standard list method.

Source code
procedure SetCount ( const Value : Integer )

Parameters
Parameter | Description
Value : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (REMOVE)
Next (SetItems)


Previous (SetCount)
Next

Name
SetItems

Parent
TFMSClassificatorTypeList

Visibility
PRIVATE

Description
Standard list method.
Standard list method.

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSClassificatorType )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSClassificatorType | &nbsp;

FIMAS
Class Tree
Index
Previous (SetCount)
Next


Previous (TFMSClassificatorTypeList)
Next (TFMSNewsItem)

Name
TFMSClassificatorTypes

Parent
FMSWorld

Class Hierarchy
TFMSUpdateAbleCollection

Visibility
PUBLIC

Description
Collection of TFMSClassificatorType.

Members
Methods
Method Description
ADD (+)
AddInitialized (+)
Create (+)
GetItems (-)
GetLastItem (+)
SetItems (-)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSClassificatorTypeList)
Next (TFMSNewsItem)


Previous
Next

Name
Items

Parent
TFMSClassificatorTypes

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSClassificatorType read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (AddInitialized)

Name
ADD

Parent
TFMSClassificatorTypes

Visibility
PUBLIC

Source code
function Add : TFMSClassificatorType

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (AddInitialized)


Previous (ADD)
Next (Create)

Name
AddInitialized

Parent
TFMSClassificatorTypes

Visibility
PUBLIC

Source code
function AddInitialized ( const AName : string ) : TFMSClassificatorType

Parameters
Parameter | Description
AName : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (Create)


Previous (AddInitialized)
Next (GetItems)

Name
Create

Parent
TFMSClassificatorTypes

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TPersistent )

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (AddInitialized)
Next (GetItems)


Previous (Create)
Next (GetLastItem)

Name
GetItems

Parent
TFMSClassificatorTypes

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSClassificatorType

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (GetLastItem)


Previous (GetItems)
Next (SetItems)

Name
GetLastItem

Parent
TFMSClassificatorTypes

Visibility
PUBLIC

Source code
function GetLastItem : TFMSClassificatorType

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (SetItems)


Previous (GetLastItem)
Next

Name
SetItems

Parent
TFMSClassificatorTypes

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSClassificatorType )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSClassificatorType | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next


Previous (TFMSClassificatorTypes)
Next (TFMSNewsItemList)

Name
TFMSNewsItem

Parent
FMSWorld

Class Hierarchy
TStrangeInterfacedCollectionItem

Visibility
PUBLIC

Description
A standard news Item.

Members
Fields
Field Description
FClassificatorLinks (-)
FDate (-)
FDouble (-)
FName (-)
FParticipantRoleLinks (-)

Methods
Method | Description
Bind (+) | Adds reference to this news to objets that are linked to it.
Create (+)
Destroy (+)
SetClassificatorLinks (-)
SetParticipantRoleLinks (-)

Properties
Property Description
ClassificatorLinks (*)
Date (*)
NAME (*)
ParticipantRoleLinks (*)
Power (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSClassificatorTypes)
Next (TFMSNewsItemList)


Previous
Next (FDate)

Name
FClassificatorLinks

Parent
TFMSNewsItem

Visibility
PRIVATE

Source code
FClassificatorLinks : TFMSClassificatorLinks

FIMAS
Class Tree
Index
Previous
Next (FDate)


Previous (FClassificatorLinks)
Next (FDouble)

Name
FDate

Parent
TFMSNewsItem

Visibility
PRIVATE

Source code
FDate : TDateTime

FIMAS
Class Tree
Index
Previous (FClassificatorLinks)
Next (FDouble)


Previous (FDate)
Next (FName)

Name
FDouble

Parent
TFMSNewsItem

Visibility
PRIVATE

Source code
FDouble : Double

FIMAS
Class Tree
Index
Previous (FDate)
Next (FName)


Previous (FDouble)
Next (FParticipantRoleLinks)

Name
FName

Parent
TFMSNewsItem

Visibility
PRIVATE

Source code
FName : string

FIMAS
Class Tree
Index
Previous (FDouble)
Next (FParticipantRoleLinks)


Previous (FName)
Next

Name
FParticipantRoleLinks

Parent
TFMSNewsItem

Visibility
PRIVATE

Source code
FParticipantRoleLinks : TFMSParticipantRoleLinks

FIMAS
Class Tree
Index
Previous (FName)
Next


Previous
Next (Date)

Name
ClassificatorLinks

Parent
TFMSNewsItem

Visibility
PUBLISHED

Source code
property ClassificatorLinks : TFMSClassificatorLinks read FClassificatorLinks write SetClassificatorLinks

Read Access
FClassificatorLinks

Write Access
SetClassificatorLinks

FIMAS
Class Tree
Index
Previous
Next (Date)


Previous (ClassificatorLinks)
Next (NAME)

Name
Date

Parent
TFMSNewsItem

Visibility
PUBLISHED

Source code
property Date : TDateTime read FDate write FDate

Read Access
FDate

Write Access
FDate

FIMAS
Class Tree
Index
Previous (ClassificatorLinks)
Next (NAME)


Previous (Date)
Next (ParticipantRoleLinks)

Name
NAME

Parent
TFMSNewsItem

Visibility
PUBLISHED

Source code
property Name : string read FName write FName

Read Access
FName

Write Access
FName

FIMAS
Class Tree
Index
Previous (Date)
Next (ParticipantRoleLinks)


Previous (NAME)
Next (Power)

Name
ParticipantRoleLinks

Parent
TFMSNewsItem

Visibility
PUBLISHED

Source code
property ParticipantRoleLinks : TFMSParticipantRoleLinks read FParticipantRoleLinks write SetParticipantRoleLinks

Read Access
FParticipantRoleLinks

Write Access
SetParticipantRoleLinks

FIMAS
Class Tree
Index
Previous (NAME)
Next (Power)


Previous (ParticipantRoleLinks)
Next

Name
Power

Parent
TFMSNewsItem

Visibility
PUBLISHED

Source code
property Power : Double read FDouble write FDouble

Read Access
FDouble

Write Access
FDouble

FIMAS
Class Tree
Index
Previous (ParticipantRoleLinks)
Next


Previous
Next (Create)

Name
Bind

Parent
TFMSNewsItem

Visibility
PUBLIC

Description
Adds reference to this news to objets that are linked to it.
Adds reference to this news to objets that are linked to it.

Source code
procedure Bind

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (Bind)
Next (Destroy)

Name
Create

Parent
TFMSNewsItem

Visibility
PUBLIC

Source code
constructor Create ( Collection : TCollection ) ; override

Parameters
Parameter | Description
Collection : TCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (Bind)
Next (Destroy)


Previous (Create)
Next (SetClassificatorLinks)

Name
Destroy

Parent
TFMSNewsItem

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (SetClassificatorLinks)


Previous (Destroy)
Next (SetParticipantRoleLinks)

Name
SetClassificatorLinks

Parent
TFMSNewsItem

Visibility
PRIVATE

Source code
procedure SetClassificatorLinks ( const Value : TFMSClassificatorLinks )

Parameters
Parameter | Description
Value : TFMSClassificatorLinks | &nbsp;

FIMAS
Class Tree
Index
Previous (Destroy)
Next (SetParticipantRoleLinks)


Previous (SetClassificatorLinks)
Next

Name
SetParticipantRoleLinks

Parent
TFMSNewsItem

Visibility
PRIVATE

Source code
procedure SetParticipantRoleLinks ( const Value : TFMSParticipantRoleLinks )

Parameters
Parameter | Description
Value : TFMSParticipantRoleLinks | &nbsp;

FIMAS
Class Tree
Index
Previous (SetClassificatorLinks)
Next


Previous (TFMSNewsItem)
Next (TFMSNewsItems)

Name
TFMSNewsItemList

Parent
FMSWorld

Class Hierarchy
TStrangeInterfacedOwnedPersistent

Visibility
PUBLIC

Description
List of TFMSNewsItems.

Members
Fields
Field | Description
FList (-) | Standard list field.

Methods
Method | Description
ADD (+) | Standard list method.
Assign (+) | Standard list method.
Clear (+) | Standard list method.
Create (+) | Standard list method.
Delete (+) | Standard list method.
Destroy (+) | Standard list method.
GetCount (-) | Standard list method.
GetItems (-) | Standard list method.
GetLastItem (+) | Standard list method.
REMOVE (+) | Standard list method.
SetCount (-) | Standard list method.
SetItems (-) | Standard list method.
SortByDate (+) | Non-standard procedure.

Properties
Property | Description
Count (+) | Standard list property.
Items (+) | Standard list property.

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSNewsItem)
Next (TFMSNewsItems)


Previous
Next

Name
FList

Parent
TFMSNewsItemList

Visibility
PRIVATE

Description
Standard list field.

Source code
FList : TList

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Items)

Name
Count

Parent
TFMSNewsItemList

Visibility
PUBLIC

Description
Standard list property.

Source code
property Count : Integer read GetCount write SetCount

Read Access
GetCount

Write Access
SetCount

FIMAS
Class Tree
Index
Previous
Next (Items)


Previous (Count)
Next

Name
Items

Parent
TFMSNewsItemList

Visibility
PUBLIC

Description
Standard list property.

Source code
property Items [ const Index : Integer ] : TFMSNewsItem read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous (Count)
Next


Previous
Next (Assign)

Name
ADD

Parent
TFMSNewsItemList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
procedure Add ( const AItem : TFMSNewsItem )

Parameters
Parameter | Description
AItem : TFMSNewsItem | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Assign)


Previous (ADD)
Next (Clear)

Name
Assign

Parent
TFMSNewsItemList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (Clear)


Previous (Assign)
Next (Create)

Name
Clear

Parent
TFMSNewsItemList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
procedure Clear

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Assign)
Next (Create)


Previous (Clear)
Next (Delete)

Name
Create

Parent
TFMSNewsItemList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
constructor Create ( AOwner : TPersistent ) ; override

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (Clear)
Next (Delete)


Previous (Create)
Next (Destroy)

Name
Delete

Parent
TFMSNewsItemList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
procedure Delete ( const AIndex : Integer )

Parameters
Parameter | Description
AIndex : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (Destroy)


Previous (Delete)
Next (GetCount)

Name
Destroy

Parent
TFMSNewsItemList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Delete)
Next (GetCount)


Previous (Destroy)
Next (GetItems)

Name
GetCount

Parent
TFMSNewsItemList

Visibility
PRIVATE

Description
Standard list method.
Standard list method.

Source code
function GetCount : Integer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Destroy)
Next (GetItems)


Previous (GetCount)
Next (GetLastItem)

Name
GetItems

Parent
TFMSNewsItemList

Visibility
PRIVATE

Description
Standard list method.
Standard list method.

Source code
function GetItems ( const Index : Integer ) : TFMSNewsItem

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetCount)
Next (GetLastItem)


Previous (GetItems)
Next (REMOVE)

Name
GetLastItem

Parent
TFMSNewsItemList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
function GetLastItem : TFMSNewsItem

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (REMOVE)


Previous (GetLastItem)
Next (SetCount)

Name
REMOVE

Parent
TFMSNewsItemList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
procedure Remove ( const AItem : TFMSNewsItem )

Parameters
Parameter | Description
AItem : TFMSNewsItem | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (SetCount)


Previous (REMOVE)
Next (SetItems)

Name
SetCount

Parent
TFMSNewsItemList

Visibility
PRIVATE

Description
Standard list method.
Standard list method.

Source code
procedure SetCount ( const Value : Integer )

Parameters
Parameter | Description
Value : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (REMOVE)
Next (SetItems)


Previous (SetCount)
Next (SortByDate)

Name
SetItems

Parent
TFMSNewsItemList

Visibility
PRIVATE

Description
Standard list method.
Standard list method.

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSNewsItem )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSNewsItem | &nbsp;

FIMAS
Class Tree
Index
Previous (SetCount)
Next (SortByDate)


Previous (SetItems)
Next

Name
SortByDate

Parent
TFMSNewsItemList

Visibility
PUBLIC

Description
Non-standard procedure.
Non-standard procedure.

Source code
procedure SortByDate

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetItems)
Next


Previous (TFMSNewsItemList)
Next (TFMSParticipant)

Name
TFMSNewsItems

Parent
FMSWorld

Class Hierarchy
TStrangeInterfacedOwnedCollection

Visibility
PUBLIC

Description
Collection of TFMSNewsItem. They are expected to be sorted, if used within TFMSWorld.

Members
Methods
Method | Description
ADD (+)
Create (+)
GetItems (-)
GetLastItem (+)
SetItems (-)
SortByDate (+) | Non-standard procedure.

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSNewsItemList)
Next (TFMSParticipant)


Previous
Next

Name
Items

Parent
TFMSNewsItems

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSNewsItem read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Create)

Name
ADD

Parent
TFMSNewsItems

Visibility
PUBLIC

Source code
function Add : TFMSNewsItem

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (ADD)
Next (GetItems)

Name
Create

Parent
TFMSNewsItems

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TPersistent )

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (GetItems)


Previous (Create)
Next (GetLastItem)

Name
GetItems

Parent
TFMSNewsItems

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSNewsItem

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (GetLastItem)


Previous (GetItems)
Next (SetItems)

Name
GetLastItem

Parent
TFMSNewsItems

Visibility
PUBLIC

Source code
function GetLastItem : TFMSNewsItem

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (SetItems)


Previous (GetLastItem)
Next (SortByDate)

Name
SetItems

Parent
TFMSNewsItems

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSNewsItem )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSNewsItem | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (SortByDate)


Previous (SetItems)
Next

Name
SortByDate

Parent
TFMSNewsItems

Visibility
PUBLIC

Description
Non-standard procedure.
Non-standard procedure.

Source code
procedure SortByDate

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetItems)
Next


Previous (TFMSNewsItems)
Next (TFMSParticipantRole)

Name
TFMSParticipant

Parent
FMSWorld

Class Hierarchy
TFMSUpdateAble

Visibility
PUBLIC

Description
An inhabitant of the virtual world, a company or a trader for example.

Members
Fields
Field Description
FCreationTime (-)
FRoles (-)

Methods
Method | Description
Assign (+)
Create (+)
Destroy (+)
DoCreateRoles (#) | Abstracted to be able to properly override Roles property.
FriendlyDescription (+)
FriendlyName (+)
GetAssets (-)
GetDebt (-)
GetNetAssets (-)
GetParent (#)
GetWorld (+)
SetRoles (-)
Step (#)

Properties
Property Description
Assets (*)
CreationTime (*)
Debt (*)
NetAssets (*)
Roles (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSNewsItems)
Next (TFMSParticipantRole)


Previous
Next (FRoles)

Name
FCreationTime

Parent
TFMSParticipant

Visibility
PRIVATE

Source code
FCreationTime : TDateTime

FIMAS
Class Tree
Index
Previous
Next (FRoles)


Previous (FCreationTime)
Next

Name
FRoles

Parent
TFMSParticipant

Visibility
PRIVATE

Source code
FRoles : TFMSParticipantRoles

FIMAS
Class Tree
Index
Previous (FCreationTime)
Next


Previous
Next (CreationTime)

Name
Assets

Parent
TFMSParticipant

Visibility
PUBLISHED

Source code
property Assets : Double read GetAssets

Read Access
GetAssets

FIMAS
Class Tree
Index
Previous
Next (CreationTime)


Previous (Assets)
Next (Debt)

Name
CreationTime

Parent
TFMSParticipant

Visibility
PUBLISHED

Source code
property CreationTime : TDateTime read FCreationTime stored True

Read Access
FCreationTime

FIMAS
Class Tree
Index
Previous (Assets)
Next (Debt)


Previous (CreationTime)
Next (NetAssets)

Name
Debt

Parent
TFMSParticipant

Visibility
PUBLISHED

Source code
property Debt : Double read GetDebt

Read Access
GetDebt

FIMAS
Class Tree
Index
Previous (CreationTime)
Next (NetAssets)


Previous (Debt)
Next (Roles)

Name
NetAssets

Parent
TFMSParticipant

Visibility
PUBLISHED

Source code
property NetAssets : Double read GetNetAssets

Read Access
GetNetAssets

FIMAS
Class Tree
Index
Previous (Debt)
Next (Roles)


Previous (NetAssets)
Next

Name
Roles

Parent
TFMSParticipant

Visibility
PUBLISHED

Source code
property Roles : TFMSParticipantRoles read FRoles write SetRoles

Read Access
FRoles

Write Access
SetRoles

FIMAS
Class Tree
Index
Previous (NetAssets)
Next


Previous
Next (Create)

Name
Assign

Parent
TFMSParticipant

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (Assign)
Next (Destroy)

Name
Create

Parent
TFMSParticipant

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TXCollection ) ; override

Parameters
Parameter | Description
AOwner : TXCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (Assign)
Next (Destroy)


Previous (Create)
Next (DoCreateRoles)

Name
Destroy

Parent
TFMSParticipant

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (DoCreateRoles)


Previous (Destroy)
Next (FriendlyDescription)

Name
DoCreateRoles

Parent
TFMSParticipant

Visibility
PROTECTED

Description
Abstracted to be able to properly override Roles property.
Abstracted to be able to properly override Roles property.

Source code
procedure DoCreateRoles ( var ARoles : TFMSParticipantRoles ) ; virtual

Parameters
Parameter | Description
ARoles : TFMSParticipantRoles | &nbsp;

FIMAS
Class Tree
Index
Previous (Destroy)
Next (FriendlyDescription)


Previous (DoCreateRoles)
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSParticipant

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoCreateRoles)
Next (FriendlyName)


Previous (FriendlyDescription)
Next (GetAssets)

Name
FriendlyName

Parent
TFMSParticipant

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next (GetAssets)


Previous (FriendlyName)
Next (GetDebt)

Name
GetAssets

Parent
TFMSParticipant

Visibility
PRIVATE

Source code
function GetAssets : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyName)
Next (GetDebt)


Previous (GetAssets)
Next (GetNetAssets)

Name
GetDebt

Parent
TFMSParticipant

Visibility
PRIVATE

Source code
function GetDebt : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetAssets)
Next (GetNetAssets)


Previous (GetDebt)
Next (GetParent)

Name
GetNetAssets

Parent
TFMSParticipant

Visibility
PRIVATE

Source code
function GetNetAssets : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetDebt)
Next (GetParent)


Previous (GetNetAssets)
Next (GetWorld)

Name
GetParent

Parent
TFMSParticipant

Visibility
PROTECTED

Source code
function GetParent : TFMSParticipants

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetNetAssets)
Next (GetWorld)


Previous (GetParent)
Next (SetRoles)

Name
GetWorld

Parent
TFMSParticipant

Visibility
PUBLIC

Source code
function GetWorld : TFMSWorld

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetParent)
Next (SetRoles)


Previous (GetWorld)
Next (Step)

Name
SetRoles

Parent
TFMSParticipant

Visibility
PRIVATE

Source code
procedure SetRoles ( Value : TFMSParticipantRoles )

Parameters
Parameter | Description
Value : TFMSParticipantRoles | &nbsp;

FIMAS
Class Tree
Index
Previous (GetWorld)
Next (Step)


Previous (SetRoles)
Next

Name
Step

Parent
TFMSParticipant

Visibility
PROTECTED

Source code
procedure Step ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetRoles)
Next


Previous (TFMSParticipant)
Next (TFMSParticipantRoleLink)

Name
TFMSParticipantRole

Parent
FMSWorld

Class Hierarchy
TFMSUpdateAble,IFMSParticipantRole

Visibility
PUBLIC

Description
A class that is similar to Participant.

Members
Fields
Field Description
FClassificatorLinks (-)
FPersonalNews (-)

Methods
Method | Description
Create (+)
Destroy (+) | Add-up Classificator news and ParticipantRole news.
DoCalculateAndSaveNewsBackground (#) | Add-up Classificator news and ParticipantRole news.
FriendlyDescription (+)
FriendlyName (+)
GetAssets (#)
GetDebt (#)
GetIntf (+) | Direct access to interface that this class implements.
GetNetAssets (#)
GetParent (#)
GetParticipant (+)
GetWorld (+)
SetClassificatorLinks (-)
SetPersonalNews (-)

Properties
Property Description
Assets (*)
ClassificatorLinks (*)
Debt (*)
NetAssets (*)
PersonalNews (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSParticipant)
Next (TFMSParticipantRoleLink)


Previous
Next (FPersonalNews)

Name
FClassificatorLinks

Parent
TFMSParticipantRole

Visibility
PRIVATE

Source code
FClassificatorLinks : TFMSClassificatorLinks

FIMAS
Class Tree
Index
Previous
Next (FPersonalNews)


Previous (FClassificatorLinks)
Next

Name
FPersonalNews

Parent
TFMSParticipantRole

Visibility
PRIVATE

Source code
FPersonalNews : TFMSParticipantRoleLinkList

FIMAS
Class Tree
Index
Previous (FClassificatorLinks)
Next


Previous
Next (ClassificatorLinks)

Name
Assets

Parent
TFMSParticipantRole

Visibility
PUBLISHED

Source code
property Assets : Double read GetAssets

Read Access
GetAssets

FIMAS
Class Tree
Index
Previous
Next (ClassificatorLinks)


Previous (Assets)
Next (Debt)

Name
ClassificatorLinks

Parent
TFMSParticipantRole

Visibility
PUBLISHED

Source code
property ClassificatorLinks : TFMSClassificatorLinks read FClassificatorLinks write SetClassificatorLinks

Read Access
FClassificatorLinks

Write Access
SetClassificatorLinks

FIMAS
Class Tree
Index
Previous (Assets)
Next (Debt)


Previous (ClassificatorLinks)
Next (NetAssets)

Name
Debt

Parent
TFMSParticipantRole

Visibility
PUBLISHED

Source code
property Debt : Double read GetDebt

Read Access
GetDebt

FIMAS
Class Tree
Index
Previous (ClassificatorLinks)
Next (NetAssets)


Previous (Debt)
Next (PersonalNews)

Name
NetAssets

Parent
TFMSParticipantRole

Visibility
PUBLISHED

Source code
property NetAssets : Double read GetNetAssets

Read Access
GetNetAssets

FIMAS
Class Tree
Index
Previous (Debt)
Next (PersonalNews)


Previous (NetAssets)
Next

Name
PersonalNews

Parent
TFMSParticipantRole

Visibility
PUBLISHED

Source code
property PersonalNews : TFMSParticipantRoleLinkList read FPersonalNews write SetPersonalNews

Read Access
FPersonalNews

Write Access
SetPersonalNews

FIMAS
Class Tree
Index
Previous (NetAssets)
Next


Previous
Next (Destroy)

Name
Create

Parent
TFMSParticipantRole

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TXCollection ) ; override

Parameters
Parameter | Description
AOwner : TXCollection | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Destroy)


Previous (Create)
Next (DoCalculateAndSaveNewsBackground)

Name
Destroy

Parent
TFMSParticipantRole

Visibility
PUBLIC

Description
Add-up Classificator news and ParticipantRole news.
Add-up Classificator news and ParticipantRole news.

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (DoCalculateAndSaveNewsBackground)


Previous (Destroy)
Next (FriendlyDescription)

Name
DoCalculateAndSaveNewsBackground

Parent
TFMSParticipantRole

Visibility
PROTECTED

Description
Add-up Classificator news and ParticipantRole news.
Add-up Classificator news and ParticipantRole news.

Source code
procedure DoCalculateAndSaveNewsBackground

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Destroy)
Next (FriendlyDescription)


Previous (DoCalculateAndSaveNewsBackground)
Next (FriendlyName)

Name
FriendlyDescription

Parent
TFMSParticipantRole

Visibility
PUBLIC

Source code
class function FriendlyDescription : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoCalculateAndSaveNewsBackground)
Next (FriendlyName)


Previous (FriendlyDescription)
Next (GetAssets)

Name
FriendlyName

Parent
TFMSParticipantRole

Visibility
PUBLIC

Source code
class function FriendlyName : string ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyDescription)
Next (GetAssets)


Previous (FriendlyName)
Next (GetDebt)

Name
GetAssets

Parent
TFMSParticipantRole

Visibility
PROTECTED

Source code
function GetAssets : Double ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FriendlyName)
Next (GetDebt)


Previous (GetAssets)
Next (GetIntf)

Name
GetDebt

Parent
TFMSParticipantRole

Visibility
PROTECTED

Source code
function GetDebt : Double ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetAssets)
Next (GetIntf)


Previous (GetDebt)
Next (GetNetAssets)

Name
GetIntf

Parent
TFMSParticipantRole

Visibility
PUBLIC

Description
Direct access to interface that this class implements.
Direct access to interface that this class implements.

Source code
function GetIntf : IFMSParticipantRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetDebt)
Next (GetNetAssets)


Previous (GetIntf)
Next (GetParent)

Name
GetNetAssets

Parent
TFMSParticipantRole

Visibility
PROTECTED

Source code
function GetNetAssets : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetIntf)
Next (GetParent)


Previous (GetNetAssets)
Next (GetParticipant)

Name
GetParent

Parent
TFMSParticipantRole

Visibility
PROTECTED

Source code
function GetParent : TFMSParticipantRoles

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetNetAssets)
Next (GetParticipant)


Previous (GetParent)
Next (GetWorld)

Name
GetParticipant

Parent
TFMSParticipantRole

Visibility
PUBLIC

Source code
function GetParticipant : TFMSParticipant

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetParent)
Next (GetWorld)


Previous (GetParticipant)
Next (SetClassificatorLinks)

Name
GetWorld

Parent
TFMSParticipantRole

Visibility
PUBLIC

Source code
function GetWorld : TFMSWorld

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetParticipant)
Next (SetClassificatorLinks)


Previous (GetWorld)
Next (SetPersonalNews)

Name
SetClassificatorLinks

Parent
TFMSParticipantRole

Visibility
PRIVATE

Source code
procedure SetClassificatorLinks ( const Value : TFMSClassificatorLinks )

Parameters
Parameter | Description
Value : TFMSClassificatorLinks | &nbsp;

FIMAS
Class Tree
Index
Previous (GetWorld)
Next (SetPersonalNews)


Previous (SetClassificatorLinks)
Next

Name
SetPersonalNews

Parent
TFMSParticipantRole

Visibility
PRIVATE

Source code
procedure SetPersonalNews ( const Value : TFMSParticipantRoleLinkList )

Parameters
Parameter | Description
Value : TFMSParticipantRoleLinkList | &nbsp;

FIMAS
Class Tree
Index
Previous (SetClassificatorLinks)
Next


Previous (TFMSParticipantRole)
Next (TFMSParticipantRoleLinkList)

Name
TFMSParticipantRoleLink

Parent
FMSWorld

Class Hierarchy
TStrangeInterfacedCollectionItem

Visibility
PUBLIC

Description
A link to a Classificator.

Members
Fields
Field Description
FLinkMultiplier (-)
FRole (-)

Methods
Method Description
Assign (+)
Create (+)
GetNewsItem (+)
GetParent (#)
SetRole (-)

Properties
Property Description
LinkMultiplier (*)
Role (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSParticipantRole)
Next (TFMSParticipantRoleLinkList)


Previous
Next (FRole)

Name
FLinkMultiplier

Parent
TFMSParticipantRoleLink

Visibility
PRIVATE

Source code
FLinkMultiplier : Double

FIMAS
Class Tree
Index
Previous
Next (FRole)


Previous (FLinkMultiplier)
Next

Name
FRole

Parent
TFMSParticipantRoleLink

Visibility
PRIVATE

Source code
FRole : TFMSParticipantRole

FIMAS
Class Tree
Index
Previous (FLinkMultiplier)
Next


Previous
Next (Role)

Name
LinkMultiplier

Parent
TFMSParticipantRoleLink

Visibility
PUBLISHED

Source code
property LinkMultiplier : Double read FLinkMultiplier write FLinkMultiplier

Read Access
FLinkMultiplier

Write Access
FLinkMultiplier

FIMAS
Class Tree
Index
Previous
Next (Role)


Previous (LinkMultiplier)
Next

Name
Role

Parent
TFMSParticipantRoleLink

Visibility
PUBLISHED

Source code
property Role : TFMSParticipantRole read FRole write SetRole

Read Access
FRole

Write Access
SetRole

FIMAS
Class Tree
Index
Previous (LinkMultiplier)
Next


Previous
Next (Create)

Name
Assign

Parent
TFMSParticipantRoleLink

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (Assign)
Next (GetNewsItem)

Name
Create

Parent
TFMSParticipantRoleLink

Visibility
PUBLIC

Source code
constructor Create ( Collection : TCollection ) ; override

Parameters
Parameter | Description
Collection : TCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (Assign)
Next (GetNewsItem)


Previous (Create)
Next (GetParent)

Name
GetNewsItem

Parent
TFMSParticipantRoleLink

Visibility
PUBLIC

Source code
function GetNewsItem : TFMSNewsItem

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (GetParent)


Previous (GetNewsItem)
Next (SetRole)

Name
GetParent

Parent
TFMSParticipantRoleLink

Visibility
PROTECTED

Source code
function GetParent : TFMSParticipantRoleLinks

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetNewsItem)
Next (SetRole)


Previous (GetParent)
Next

Name
SetRole

Parent
TFMSParticipantRoleLink

Visibility
PRIVATE

Source code
procedure SetRole ( const Value : TFMSParticipantRole )

Parameters
Parameter | Description
Value : TFMSParticipantRole | &nbsp;

FIMAS
Class Tree
Index
Previous (GetParent)
Next


Previous (TFMSParticipantRoleLink)
Next (TFMSParticipantRoleLinks)

Name
TFMSParticipantRoleLinkList

Parent
FMSWorld

Class Hierarchy
TStrangeInterfacedOwnedPersistent

Visibility
PUBLIC

Description
List of TFMSParticipantRoleLink.

Members
Fields
Field | Description
FList (-) | Standard list field.

Methods
Method | Description
ADD (+) | Standard list method.
Assign (+) | Standard list method.
Clear (+) | Standard list method.
Create (+) | Standard list method.
Delete (+) | Standard list method.
Destroy (+) | Standard list method.
GetCount (-) | Standard list method.
GetItems (-) | Standard list method.
GetLastItem (+) | Standard list method.
REMOVE (+) | Standard list method.
SetCount (-) | Standard list method.
SetItems (-) | Standard list method.

Properties
Property | Description
Count (+) | Standard list property.
Items (+) | Standard list property.

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSParticipantRoleLink)
Next (TFMSParticipantRoleLinks)


Previous
Next

Name
FList

Parent
TFMSParticipantRoleLinkList

Visibility
PRIVATE

Description
Standard list field.

Source code
FList : TList

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Items)

Name
Count

Parent
TFMSParticipantRoleLinkList

Visibility
PUBLIC

Description
Standard list property.

Source code
property Count : Integer read GetCount write SetCount

Read Access
GetCount

Write Access
SetCount

FIMAS
Class Tree
Index
Previous
Next (Items)


Previous (Count)
Next

Name
Items

Parent
TFMSParticipantRoleLinkList

Visibility
PUBLIC

Description
Standard list property.

Source code
property Items [ const Index : Integer ] : TFMSParticipantRoleLink read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous (Count)
Next


Previous
Next (Assign)

Name
ADD

Parent
TFMSParticipantRoleLinkList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
procedure Add ( const AItem : TFMSParticipantRoleLink )

Parameters
Parameter | Description
AItem : TFMSParticipantRoleLink | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Assign)


Previous (ADD)
Next (Clear)

Name
Assign

Parent
TFMSParticipantRoleLinkList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (Clear)


Previous (Assign)
Next (Create)

Name
Clear

Parent
TFMSParticipantRoleLinkList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
procedure Clear

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Assign)
Next (Create)


Previous (Clear)
Next (Delete)

Name
Create

Parent
TFMSParticipantRoleLinkList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
constructor Create ( AOwner : TPersistent ) ; override

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (Clear)
Next (Delete)


Previous (Create)
Next (Destroy)

Name
Delete

Parent
TFMSParticipantRoleLinkList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
procedure Delete ( const AIndex : Integer )

Parameters
Parameter | Description
AIndex : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (Destroy)


Previous (Delete)
Next (GetCount)

Name
Destroy

Parent
TFMSParticipantRoleLinkList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Delete)
Next (GetCount)


Previous (Destroy)
Next (GetItems)

Name
GetCount

Parent
TFMSParticipantRoleLinkList

Visibility
PRIVATE

Description
Standard list method.
Standard list method.

Source code
function GetCount : Integer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Destroy)
Next (GetItems)


Previous (GetCount)
Next (GetLastItem)

Name
GetItems

Parent
TFMSParticipantRoleLinkList

Visibility
PRIVATE

Description
Standard list method.
Standard list method.

Source code
function GetItems ( const Index : Integer ) : TFMSParticipantRoleLink

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetCount)
Next (GetLastItem)


Previous (GetItems)
Next (REMOVE)

Name
GetLastItem

Parent
TFMSParticipantRoleLinkList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
function GetLastItem : TFMSParticipantRoleLink

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (REMOVE)


Previous (GetLastItem)
Next (SetCount)

Name
REMOVE

Parent
TFMSParticipantRoleLinkList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
procedure Remove ( const AItem : TFMSParticipantRoleLink )

Parameters
Parameter | Description
AItem : TFMSParticipantRoleLink | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (SetCount)


Previous (REMOVE)
Next (SetItems)

Name
SetCount

Parent
TFMSParticipantRoleLinkList

Visibility
PRIVATE

Description
Standard list method.
Standard list method.

Source code
procedure SetCount ( const Value : Integer )

Parameters
Parameter | Description
Value : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (REMOVE)
Next (SetItems)


Previous (SetCount)
Next

Name
SetItems

Parent
TFMSParticipantRoleLinkList

Visibility
PRIVATE

Description
Standard list method.
Standard list method.

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSParticipantRoleLink )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSParticipantRoleLink | &nbsp;

FIMAS
Class Tree
Index
Previous (SetCount)
Next


Previous (TFMSParticipantRoleLinkList)
Next (TFMSParticipantRoleList)

Name
TFMSParticipantRoleLinks

Parent
FMSWorld

Class Hierarchy
TStrangeInterfacedOwnedCollection

Visibility
PUBLIC

Description
Collection of TFMSParticipantRoleLink.

Members
Methods
Method | Description
ADD (+)
AddInitialized (+) | Non-standard procedure.
Create (+)
GetItems (-)
GetLastItem (+)
GetNewsItem (#)
SetItems (-)

Properties
Property Description
Items (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSParticipantRoleLinkList)
Next (TFMSParticipantRoleList)


Previous
Next

Name
Items

Parent
TFMSParticipantRoleLinks

Visibility
PUBLIC

Source code
property Items [ const Index : Integer ] : TFMSParticipantRoleLink read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (AddInitialized)

Name
ADD

Parent
TFMSParticipantRoleLinks

Visibility
PUBLIC

Source code
function Add : TFMSParticipantRoleLink

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (AddInitialized)


Previous (ADD)
Next (Create)

Name
AddInitialized

Parent
TFMSParticipantRoleLinks

Visibility
PUBLIC

Description
Non-standard procedure.
Non-standard procedure.

Source code
function AddInitialized ( const ARole : TFMSParticipantRole ; const ALinkMultiplier : Double ) : TFMSParticipantRoleLink

Parameters
Parameter | Description
ARole : TFMSParticipantRole | &nbsp;
ALinkMultiplier : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (Create)


Previous (AddInitialized)
Next (GetItems)

Name
Create

Parent
TFMSParticipantRoleLinks

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TFMSNewsItem )

Parameters
Parameter | Description
AOwner : TFMSNewsItem | &nbsp;

FIMAS
Class Tree
Index
Previous (AddInitialized)
Next (GetItems)


Previous (Create)
Next (GetLastItem)

Name
GetItems

Parent
TFMSParticipantRoleLinks

Visibility
PRIVATE

Source code
function GetItems ( const Index : Integer ) : TFMSParticipantRoleLink

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (GetLastItem)


Previous (GetItems)
Next (GetNewsItem)

Name
GetLastItem

Parent
TFMSParticipantRoleLinks

Visibility
PUBLIC

Source code
function GetLastItem : TFMSParticipantRoleLink

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (GetNewsItem)


Previous (GetLastItem)
Next (SetItems)

Name
GetNewsItem

Parent
TFMSParticipantRoleLinks

Visibility
PROTECTED

Source code
function GetNewsItem : TFMSNewsItem

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (SetItems)


Previous (GetNewsItem)
Next

Name
SetItems

Parent
TFMSParticipantRoleLinks

Visibility
PRIVATE

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSParticipantRoleLink )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSParticipantRoleLink | &nbsp;

FIMAS
Class Tree
Index
Previous (GetNewsItem)
Next


Previous (TFMSParticipantRoleLinks)
Next (TFMSParticipantRoles)

Name
TFMSParticipantRoleList

Parent
FMSWorld

Class Hierarchy
TStrangeInterfacedOwnedPersistent

Visibility
PUBLIC

Description
List of TFMSParticipantRole.

Members
Fields
Field | Description
FList (-) | Standard list field.

Methods
Method | Description
ADD (+) | Standard list method.
Assign (+) | Standard list method.
Clear (+) | Standard list method.
Create (+) | Standard list method.
Delete (+) | Standard list method.
Destroy (+) | Standard list method.
GetActiveCount (+) | Standard list method.
GetCount (-) | Standard list method.
GetItems (-) | Standard list method.
GetLastItem (+) | Standard list method.
IndexOf (+) | Standard list method.
REMOVE (+) | Standard list method.
SetCount (-) | Standard list method.
SetItems (-) | Standard list method.
Step (+) | Standard list method.

Properties
Property | Description
Count (+) | Standard list property.
Items (+) | Standard list property.

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSParticipantRoleLinks)
Next (TFMSParticipantRoles)


Previous
Next

Name
FList

Parent
TFMSParticipantRoleList

Visibility
PRIVATE

Description
Standard list field.

Source code
FList : TList

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Items)

Name
Count

Parent
TFMSParticipantRoleList

Visibility
PUBLIC

Description
Standard list property.

Source code
property Count : Integer read GetCount write SetCount

Read Access
GetCount

Write Access
SetCount

FIMAS
Class Tree
Index
Previous
Next (Items)


Previous (Count)
Next

Name
Items

Parent
TFMSParticipantRoleList

Visibility
PUBLIC

Description
Standard list property.

Source code
property Items [ const Index : Integer ] : TFMSParticipantRole read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous (Count)
Next


Previous
Next (Assign)

Name
ADD

Parent
TFMSParticipantRoleList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
procedure Add ( const AItem : TFMSParticipantRole )

Parameters
Parameter | Description
AItem : TFMSParticipantRole | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Assign)


Previous (ADD)
Next (Clear)

Name
Assign

Parent
TFMSParticipantRoleList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (Clear)


Previous (Assign)
Next (Create)

Name
Clear

Parent
TFMSParticipantRoleList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
procedure Clear

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Assign)
Next (Create)


Previous (Clear)
Next (Delete)

Name
Create

Parent
TFMSParticipantRoleList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
constructor Create ( AOwner : TPersistent ) ; override

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (Clear)
Next (Delete)


Previous (Create)
Next (Destroy)

Name
Delete

Parent
TFMSParticipantRoleList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
procedure Delete ( const AIndex : Integer )

Parameters
Parameter | Description
AIndex : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (Destroy)


Previous (Delete)
Next (GetActiveCount)

Name
Destroy

Parent
TFMSParticipantRoleList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Delete)
Next (GetActiveCount)


Previous (Destroy)
Next (GetCount)

Name
GetActiveCount

Parent
TFMSParticipantRoleList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
function GetActiveCount : Integer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Destroy)
Next (GetCount)


Previous (GetActiveCount)
Next (GetItems)

Name
GetCount

Parent
TFMSParticipantRoleList

Visibility
PRIVATE

Description
Standard list method.
Standard list method.

Source code
function GetCount : Integer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetActiveCount)
Next (GetItems)


Previous (GetCount)
Next (GetLastItem)

Name
GetItems

Parent
TFMSParticipantRoleList

Visibility
PRIVATE

Description
Standard list method.
Standard list method.

Source code
function GetItems ( const Index : Integer ) : TFMSParticipantRole

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetCount)
Next (GetLastItem)


Previous (GetItems)
Next (IndexOf)

Name
GetLastItem

Parent
TFMSParticipantRoleList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
function GetLastItem : TFMSParticipantRole

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (IndexOf)


Previous (GetLastItem)
Next (REMOVE)

Name
IndexOf

Parent
TFMSParticipantRoleList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
function IndexOf ( const AItem : TFMSParticipantRole ) : Integer

Parameters
Parameter | Description
AItem : TFMSParticipantRole | &nbsp;

FIMAS
Class Tree
Index
Previous (GetLastItem)
Next (REMOVE)


Previous (IndexOf)
Next (SetCount)

Name
REMOVE

Parent
TFMSParticipantRoleList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
procedure Remove ( const AItem : TFMSParticipantRole )

Parameters
Parameter | Description
AItem : TFMSParticipantRole | &nbsp;

FIMAS
Class Tree
Index
Previous (IndexOf)
Next (SetCount)


Previous (REMOVE)
Next (SetItems)

Name
SetCount

Parent
TFMSParticipantRoleList

Visibility
PRIVATE

Description
Standard list method.
Standard list method.

Source code
procedure SetCount ( const Value : Integer )

Parameters
Parameter | Description
Value : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (REMOVE)
Next (SetItems)


Previous (SetCount)
Next (Step)

Name
SetItems

Parent
TFMSParticipantRoleList

Visibility
PRIVATE

Description
Standard list method.
Standard list method.

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSParticipantRole )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSParticipantRole | &nbsp;

FIMAS
Class Tree
Index
Previous (SetCount)
Next (Step)


Previous (SetItems)
Next

Name
Step

Parent
TFMSParticipantRoleList

Visibility
PUBLIC

Description
Standard list method.
Standard list method.

Source code
procedure Step

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetItems)
Next


Previous (TFMSParticipantRoleList)
Next (TFMSParticipants)

Name
TFMSParticipantRoles

Parent
FMSWorld

Class Hierarchy
TFMSUpdateAbles

Visibility
PUBLIC

Description
Collection of TFMSParticipantRole.

Members
Methods
Method | Description
ADD (+) | Standard XCollection method.
AddByID (+) | Standard XCollection method.
CanAdd (+) | Standard XCollection method.
GetAssets (+) | Non-standard method.
GetDebt (+) | Non-standard method.
GetItems (-) | Standard XCollection method.
GetNetAssets (+) | Non-standard method.
ItemsClass (+) | Standard XCollection method.
SetItems (-) | Standard XCollection method.

Properties
Property | Description
Items (+) | Standard XCollection property.

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSParticipantRoleList)
Next (TFMSParticipants)


Previous
Next

Name
Items

Parent
TFMSParticipantRoles

Visibility
PUBLIC

Description
Standard XCollection property.

Source code
property Items [ const Index : Integer ] : TFMSParticipantRole read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (AddByID)

Name
ADD

Parent
TFMSParticipantRoles

Visibility
PUBLIC

Description
Standard XCollection method.
Standard XCollection method.

Source code
function Add ( AClass : TFMSParticipantRoleClass ) : TFMSParticipantRole

Parameters
Parameter | Description
AClass : TFMSParticipantRoleClass | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (AddByID)


Previous (ADD)
Next (CanAdd)

Name
AddByID

Parent
TFMSParticipantRoles

Visibility
PUBLIC

Description
Standard XCollection method.
Standard XCollection method.

Source code
function AddByID ( AClass : TStrangeClassID ) : TFMSParticipantRole

Parameters
Parameter | Description
AClass : TStrangeClassID | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (CanAdd)


Previous (AddByID)
Next (GetAssets)

Name
CanAdd

Parent
TFMSParticipantRoles

Visibility
PUBLIC

Description
Standard XCollection method.
Standard XCollection method.

Source code
function CanAdd ( AClass : TXCollectionItemClass ) : Boolean ; override

Parameters
Parameter | Description
AClass : TXCollectionItemClass | &nbsp;

FIMAS
Class Tree
Index
Previous (AddByID)
Next (GetAssets)


Previous (CanAdd)
Next (GetDebt)

Name
GetAssets

Parent
TFMSParticipantRoles

Visibility
PUBLIC

Description
Non-standard method.
Non-standard method.

Source code
function GetAssets : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (CanAdd)
Next (GetDebt)


Previous (GetAssets)
Next (GetItems)

Name
GetDebt

Parent
TFMSParticipantRoles

Visibility
PUBLIC

Description
Non-standard method.
Non-standard method.

Source code
function GetDebt : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetAssets)
Next (GetItems)


Previous (GetDebt)
Next (GetNetAssets)

Name
GetItems

Parent
TFMSParticipantRoles

Visibility
PRIVATE

Description
Standard XCollection method.
Standard XCollection method.

Source code
function GetItems ( const Index : Integer ) : TFMSParticipantRole

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetDebt)
Next (GetNetAssets)


Previous (GetItems)
Next (ItemsClass)

Name
GetNetAssets

Parent
TFMSParticipantRoles

Visibility
PUBLIC

Description
Non-standard method.
Non-standard method.

Source code
function GetNetAssets : Double

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (ItemsClass)


Previous (GetNetAssets)
Next (SetItems)

Name
ItemsClass

Parent
TFMSParticipantRoles

Visibility
PUBLIC

Description
Standard XCollection method.
Standard XCollection method.

Source code
class function ItemsClass : TXCollectionItemClass ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetNetAssets)
Next (SetItems)


Previous (ItemsClass)
Next

Name
SetItems

Parent
TFMSParticipantRoles

Visibility
PRIVATE

Description
Standard XCollection method.
Standard XCollection method.

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSParticipantRole )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSParticipantRole | &nbsp;

FIMAS
Class Tree
Index
Previous (ItemsClass)
Next


Previous (TFMSParticipantRoles)
Next (TFMSRealTimeWorld)

Name
TFMSParticipants

Parent
FMSWorld

Class Hierarchy
TFMSUpdateAbles

Visibility
PUBLIC

Description
Collection of TFMSParticipant.

Members
Methods
Method | Description
ADD (+) | Standard XCollection method.
AddByID (+) | Standard XCollection method.
CanAdd (+) | Standard XCollection method.
Create (+) | Standard XCollection method.
GetItems (-) | Standard XCollection method.
ItemsClass (+) | Standard XCollection method.
SetItems (-) | Standard XCollection method.

Properties
Property | Description
Items (+) | Standard XCollection property.

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSParticipantRoles)
Next (TFMSRealTimeWorld)


Previous
Next

Name
Items

Parent
TFMSParticipants

Visibility
PUBLIC

Description
Standard XCollection property.

Source code
property Items [ const Index : Integer ] : TFMSParticipant read GetItems write SetItems ; default

Read Access
GetItems

Write Access
SetItems

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (AddByID)

Name
ADD

Parent
TFMSParticipants

Visibility
PUBLIC

Description
Standard XCollection method.
Standard XCollection method.

Source code
function Add ( AClass : TFMSParticipantClass ) : TFMSParticipant

Parameters
Parameter | Description
AClass : TFMSParticipantClass | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (AddByID)


Previous (ADD)
Next (CanAdd)

Name
AddByID

Parent
TFMSParticipants

Visibility
PUBLIC

Description
Standard XCollection method.
Standard XCollection method.

Source code
function AddByID ( AClass : TStrangeClassID ) : TFMSParticipant

Parameters
Parameter | Description
AClass : TStrangeClassID | &nbsp;

FIMAS
Class Tree
Index
Previous (ADD)
Next (CanAdd)


Previous (AddByID)
Next (Create)

Name
CanAdd

Parent
TFMSParticipants

Visibility
PUBLIC

Description
Standard XCollection method.
Standard XCollection method.

Source code
function CanAdd ( AClass : TXCollectionItemClass ) : Boolean ; override

Parameters
Parameter | Description
AClass : TXCollectionItemClass | &nbsp;

FIMAS
Class Tree
Index
Previous (AddByID)
Next (Create)


Previous (CanAdd)
Next (GetItems)

Name
Create

Parent
TFMSParticipants

Visibility
PUBLIC

Description
Standard XCollection method.
Standard XCollection method.

Source code
constructor Create ( AOwner : TPersistent ) ; override

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (CanAdd)
Next (GetItems)


Previous (Create)
Next (ItemsClass)

Name
GetItems

Parent
TFMSParticipants

Visibility
PRIVATE

Description
Standard XCollection method.
Standard XCollection method.

Source code
function GetItems ( const Index : Integer ) : TFMSParticipant

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (ItemsClass)


Previous (GetItems)
Next (SetItems)

Name
ItemsClass

Parent
TFMSParticipants

Visibility
PUBLIC

Description
Standard XCollection method.
Standard XCollection method.

Source code
class function ItemsClass : TXCollectionItemClass ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetItems)
Next (SetItems)


Previous (ItemsClass)
Next

Name
SetItems

Parent
TFMSParticipants

Visibility
PRIVATE

Description
Standard XCollection method.
Standard XCollection method.

Source code
procedure SetItems ( const Index : Integer ; const Value : TFMSParticipant )

Parameters
Parameter | Description
INDEX : INTEGER | &nbsp;
Value : TFMSParticipant | &nbsp;

FIMAS
Class Tree
Index
Previous (ItemsClass)
Next


Previous (TFMSParticipants)
Next (TFMSThread)

Name
TFMSRealTimeWorld

Parent
FMSWorld

Class Hierarchy
TFMSWorld,IStrangeCadenceAble

Visibility
PUBLIC

Description
A class that connects real time to virtual time.

Members
Fields
Field Description
FCurrentSimalationSpeed (-)
FLastRealTime (-)
FLastSimulationTime (-)
FRealTimeRatio (-)

Methods
Method Description
Assign (+)
Clear (+)
Create (+)
DoUpdateFromCadencer (-)
SetRealTimeRatio (-)
SetUpdatePeriod (#)

Properties
Property | Description
CurrentSimalationSpeed (*) | (in seconds)
RealTimeRatio (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSParticipants)
Next (TFMSThread)


Previous
Next (FLastRealTime)

Name
FCurrentSimalationSpeed

Parent
TFMSRealTimeWorld

Visibility
PRIVATE

Source code
FCurrentSimalationSpeed : Double

FIMAS
Class Tree
Index
Previous
Next (FLastRealTime)


Previous (FCurrentSimalationSpeed)
Next (FLastSimulationTime)

Name
FLastRealTime

Parent
TFMSRealTimeWorld

Visibility
PRIVATE

Source code
FLastRealTime : Double

FIMAS
Class Tree
Index
Previous (FCurrentSimalationSpeed)
Next (FLastSimulationTime)


Previous (FLastRealTime)
Next (FRealTimeRatio)

Name
FLastSimulationTime

Parent
TFMSRealTimeWorld

Visibility
PRIVATE

Source code
FLastSimulationTime : TDateTime

FIMAS
Class Tree
Index
Previous (FLastRealTime)
Next (FRealTimeRatio)


Previous (FLastSimulationTime)
Next

Name
FRealTimeRatio

Parent
TFMSRealTimeWorld

Visibility
PRIVATE

Source code
FRealTimeRatio : Integer

FIMAS
Class Tree
Index
Previous (FLastSimulationTime)
Next


Previous
Next (RealTimeRatio)

Name
CurrentSimalationSpeed

Parent
TFMSRealTimeWorld

Visibility
PUBLISHED

Description
(in seconds)

Source code
property CurrentSimalationSpeed : Double read FCurrentSimalationSpeed

Read Access
FCurrentSimalationSpeed

FIMAS
Class Tree
Index
Previous
Next (RealTimeRatio)


Previous (CurrentSimalationSpeed)
Next

Name
RealTimeRatio

Parent
TFMSRealTimeWorld

Visibility
PUBLISHED

Source code
property RealTimeRatio : Integer read FRealTimeRatio write SetRealTimeRatio default 300

Read Access
FRealTimeRatio

Write Access
SetRealTimeRatio

FIMAS
Class Tree
Index
Previous (CurrentSimalationSpeed)
Next


Previous
Next (Clear)

Name
Assign

Parent
TFMSRealTimeWorld

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Clear)


Previous (Assign)
Next (Create)

Name
Clear

Parent
TFMSRealTimeWorld

Visibility
PUBLIC

Source code
procedure Clear ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Assign)
Next (Create)


Previous (Clear)
Next (DoUpdateFromCadencer)

Name
Create

Parent
TFMSRealTimeWorld

Visibility
PUBLIC

Source code
constructor Create ( Owner : TComponent ) ; override

Parameters
Parameter | Description
Owner : TComponent | &nbsp;

FIMAS
Class Tree
Index
Previous (Clear)
Next (DoUpdateFromCadencer)


Previous (Create)
Next (SetRealTimeRatio)

Name
DoUpdateFromCadencer

Parent
TFMSRealTimeWorld

Visibility
PRIVATE

Source code
procedure DoUpdateFromCadencer ( DeltaTime , NewTime : Double )

Parameters
Parameter | Description
DeltaTime : DOUBLE | &nbsp;
NewTime : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (SetRealTimeRatio)


Previous (DoUpdateFromCadencer)
Next (SetUpdatePeriod)

Name
SetRealTimeRatio

Parent
TFMSRealTimeWorld

Visibility
PRIVATE

Source code
procedure SetRealTimeRatio ( const Value : Integer )

Parameters
Parameter | Description
Value : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (DoUpdateFromCadencer)
Next (SetUpdatePeriod)


Previous (SetRealTimeRatio)
Next

Name
SetUpdatePeriod

Parent
TFMSRealTimeWorld

Visibility
PROTECTED

Source code
procedure SetUpdatePeriod ( const Value : Integer ) ; override

Parameters
Parameter | Description
Value : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (SetRealTimeRatio)
Next


Previous (TFMSRealTimeWorld)
Next (TFMSThreadEx)

Name
TFMSThread

Parent
FMSWorld

Class Hierarchy
TStrangeThread

Visibility
PUBLIC

Description
Standard FMS thread class.

Members
Fields
Field Description
FFirstIndex (-)
FLastIndex (-)
FParticipants (-)

Methods
Method Description
Execute (#)

Properties
Property Description
FirstIndex (+)
LastIndex (+)
Participants (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSRealTimeWorld)
Next (TFMSThreadEx)


Previous
Next (FLastIndex)

Name
FFirstIndex

Parent
TFMSThread

Visibility
PRIVATE

Source code
FFirstIndex : Integer

FIMAS
Class Tree
Index
Previous
Next (FLastIndex)


Previous (FFirstIndex)
Next (FParticipants)

Name
FLastIndex

Parent
TFMSThread

Visibility
PRIVATE

Source code
FLastIndex : Integer

FIMAS
Class Tree
Index
Previous (FFirstIndex)
Next (FParticipants)


Previous (FLastIndex)
Next

Name
FParticipants

Parent
TFMSThread

Visibility
PRIVATE

Source code
FParticipants : TFMSParticipants

FIMAS
Class Tree
Index
Previous (FLastIndex)
Next


Previous
Next (LastIndex)

Name
FirstIndex

Parent
TFMSThread

Visibility
PUBLIC

Source code
property FirstIndex : Integer read FFirstIndex write FFirstIndex

Read Access
FFirstIndex

Write Access
FFirstIndex

FIMAS
Class Tree
Index
Previous
Next (LastIndex)


Previous (FirstIndex)
Next (Participants)

Name
LastIndex

Parent
TFMSThread

Visibility
PUBLIC

Source code
property LastIndex : Integer read FLastIndex write FLastIndex

Read Access
FLastIndex

Write Access
FLastIndex

FIMAS
Class Tree
Index
Previous (FirstIndex)
Next (Participants)


Previous (LastIndex)
Next

Name
Participants

Parent
TFMSThread

Visibility
PUBLIC

Source code
property Participants : TFMSParticipants read FParticipants write FParticipants

Read Access
FParticipants

Write Access
FParticipants

FIMAS
Class Tree
Index
Previous (LastIndex)
Next


Previous
Next

Name
Execute

Parent
TFMSThread

Visibility
PROTECTED

Source code
procedure Execute ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next


Previous (TFMSThread)
Next (TFMSWorld)

Name
TFMSThreadEx

Parent
FMSWorld

Class Hierarchy
TStrangeThread

Visibility
PUBLIC

Description
A specific FMS thread class, that allows to fully optimize to 2 threads.

Members
Fields
Field Description
FCounterIndex (-)
FFirstIndex (-)
FGoDown (-)
FLastIndex (-)
FOwnIndex (-)
FWorld (-)

Methods
Method Description
Execute (#)

Properties
Property Description
CounterIndex (+)
FirstIndex (+)
GoDown (+)
LastIndex (+)
OwnIndex (+)
World (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSThread)
Next (TFMSWorld)


Previous
Next (FFirstIndex)

Name
FCounterIndex

Parent
TFMSThreadEx

Visibility
PRIVATE

Source code
FCounterIndex : Integer

FIMAS
Class Tree
Index
Previous
Next (FFirstIndex)


Previous (FCounterIndex)
Next (FGoDown)

Name
FFirstIndex

Parent
TFMSThreadEx

Visibility
PRIVATE

Source code
FFirstIndex : Integer

FIMAS
Class Tree
Index
Previous (FCounterIndex)
Next (FGoDown)


Previous (FFirstIndex)
Next (FLastIndex)

Name
FGoDown

Parent
TFMSThreadEx

Visibility
PRIVATE

Source code
FGoDown : Boolean

FIMAS
Class Tree
Index
Previous (FFirstIndex)
Next (FLastIndex)


Previous (FGoDown)
Next (FOwnIndex)

Name
FLastIndex

Parent
TFMSThreadEx

Visibility
PRIVATE

Source code
FLastIndex : Integer

FIMAS
Class Tree
Index
Previous (FGoDown)
Next (FOwnIndex)


Previous (FLastIndex)
Next (FWorld)

Name
FOwnIndex

Parent
TFMSThreadEx

Visibility
PRIVATE

Source code
FOwnIndex : Integer

FIMAS
Class Tree
Index
Previous (FLastIndex)
Next (FWorld)


Previous (FOwnIndex)
Next

Name
FWorld

Parent
TFMSThreadEx

Visibility
PRIVATE

Source code
FWorld : TFMSWorld

FIMAS
Class Tree
Index
Previous (FOwnIndex)
Next


Previous
Next (FirstIndex)

Name
CounterIndex

Parent
TFMSThreadEx

Visibility
PUBLIC

Source code
property CounterIndex : Integer read FCounterIndex write FCounterIndex

Read Access
FCounterIndex

Write Access
FCounterIndex

FIMAS
Class Tree
Index
Previous
Next (FirstIndex)


Previous (CounterIndex)
Next (GoDown)

Name
FirstIndex

Parent
TFMSThreadEx

Visibility
PUBLIC

Source code
property FirstIndex : Integer read FFirstIndex write FFirstIndex

Read Access
FFirstIndex

Write Access
FFirstIndex

FIMAS
Class Tree
Index
Previous (CounterIndex)
Next (GoDown)


Previous (FirstIndex)
Next (LastIndex)

Name
GoDown

Parent
TFMSThreadEx

Visibility
PUBLIC

Source code
property GoDown : Boolean read FGoDown write FGoDown

Read Access
FGoDown

Write Access
FGoDown

FIMAS
Class Tree
Index
Previous (FirstIndex)
Next (LastIndex)


Previous (GoDown)
Next (OwnIndex)

Name
LastIndex

Parent
TFMSThreadEx

Visibility
PUBLIC

Source code
property LastIndex : Integer read FLastIndex write FLastIndex

Read Access
FLastIndex

Write Access
FLastIndex

FIMAS
Class Tree
Index
Previous (GoDown)
Next (OwnIndex)


Previous (LastIndex)
Next (World)

Name
OwnIndex

Parent
TFMSThreadEx

Visibility
PUBLIC

Source code
property OwnIndex : Integer read FOwnIndex write FOwnIndex

Read Access
FOwnIndex

Write Access
FOwnIndex

FIMAS
Class Tree
Index
Previous (LastIndex)
Next (World)


Previous (OwnIndex)
Next

Name
World

Parent
TFMSThreadEx

Visibility
PUBLIC

Source code
property World : TFMSWorld read FWorld write FWorld

Read Access
FWorld

Write Access
FWorld

FIMAS
Class Tree
Index
Previous (OwnIndex)
Next


Previous
Next

Name
Execute

Parent
TFMSThreadEx

Visibility
PROTECTED

Source code
procedure Execute ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next


Previous (TFMSThreadEx)
Next (TFMSWorldOptions)

Name
TFMSWorld

Parent
FMSWorld

Class Hierarchy
TComponent,IFMSWorld

Visibility
PUBLIC

Description
Controls time flow, main settings, classificators and news generation.

Members
Fields
Field Description
FClassificators (-)
FNews (-)
FOptions (-)
FParticipants (-)
FThreadProcessedItems (-)
FTime (-)
FUpdateAbleInterfaces (-)
FUpdateAbleObjects (-)
FUpdatePeriod (-)

Methods
Method | Description
Assign (+)
Clear (+)
Create (+)
Destroy (+)
DoCreateParticipants (#)
DoSplitParticipantsIntoThreads (#)
DoSplitParticipantsIntoThreadsEx (#)
DoUpdateParticipants (#)
ExecuteForEveryRole (+)
GetTime (#) | Implementing IFMSWorld.
SetClassificators (-)
SetNews (-)
SetOptions (-)
SetParticipants (-)
SetTime (-)
SetUpdateAbleInterfaces (-)
SetUpdateAbleObjects (-)
SetUpdatePeriod (#)
Step (#)

Properties
Property | Description
Classificators (*)
News (*) | Collection of all news.
Options (*)
Participants (*)
Time (*)
UpdateAbleInterfaces (+)
UpdateAbleObjects (*) | User Objects that need regular updating.
UpdatePeriod (*) | Period between updates (in seconds).

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSThreadEx)
Next (TFMSWorldOptions)


Previous
Next (FNews)

Name
FClassificators

Parent
TFMSWorld

Visibility
PRIVATE

Source code
FClassificators : TFMSClassificatorTypes

FIMAS
Class Tree
Index
Previous
Next (FNews)


Previous (FClassificators)
Next (FOptions)

Name
FNews

Parent
TFMSWorld

Visibility
PRIVATE

Source code
FNews : TFMSNewsItems

FIMAS
Class Tree
Index
Previous (FClassificators)
Next (FOptions)


Previous (FNews)
Next (FParticipants)

Name
FOptions

Parent
TFMSWorld

Visibility
PRIVATE

Source code
FOptions : TFMSWorldOptions

FIMAS
Class Tree
Index
Previous (FNews)
Next (FParticipants)


Previous (FOptions)
Next (FThreadProcessedItems)

Name
FParticipants

Parent
TFMSWorld

Visibility
PRIVATE

Source code
FParticipants : TFMSParticipants

FIMAS
Class Tree
Index
Previous (FOptions)
Next (FThreadProcessedItems)


Previous (FParticipants)
Next (FTime)

Name
FThreadProcessedItems

Parent
TFMSWorld

Visibility
PRIVATE

Source code
FThreadProcessedItems : array of Integer

FIMAS
Class Tree
Index
Previous (FParticipants)
Next (FTime)


Previous (FThreadProcessedItems)
Next (FUpdateAbleInterfaces)

Name
FTime

Parent
TFMSWorld

Visibility
PRIVATE

Source code
FTime : TFMSWorldTime

FIMAS
Class Tree
Index
Previous (FThreadProcessedItems)
Next (FUpdateAbleInterfaces)


Previous (FTime)
Next (FUpdateAbleObjects)

Name
FUpdateAbleInterfaces

Parent
TFMSWorld

Visibility
PRIVATE

Source code
FUpdateAbleInterfaces : TFMSWorldTimeUpdateAbleList

FIMAS
Class Tree
Index
Previous (FTime)
Next (FUpdateAbleObjects)


Previous (FUpdateAbleInterfaces)
Next (FUpdatePeriod)

Name
FUpdateAbleObjects

Parent
TFMSWorld

Visibility
PRIVATE

Source code
FUpdateAbleObjects : TFMSUpdateAbles

FIMAS
Class Tree
Index
Previous (FUpdateAbleInterfaces)
Next (FUpdatePeriod)


Previous (FUpdateAbleObjects)
Next

Name
FUpdatePeriod

Parent
TFMSWorld

Visibility
PRIVATE

Source code
FUpdatePeriod : Integer

FIMAS
Class Tree
Index
Previous (FUpdateAbleObjects)
Next


Previous
Next (News)

Name
Classificators

Parent
TFMSWorld

Visibility
PUBLISHED

Source code
property Classificators : TFMSClassificatorTypes read FClassificators write SetClassificators

Read Access
FClassificators

Write Access
SetClassificators

FIMAS
Class Tree
Index
Previous
Next (News)


Previous (Classificators)
Next (Options)

Name
News

Parent
TFMSWorld

Visibility
PUBLISHED

Description
Collection of all news.

Source code
property News : TFMSNewsItems read FNews write SetNews

Read Access
FNews

Write Access
SetNews

FIMAS
Class Tree
Index
Previous (Classificators)
Next (Options)


Previous (News)
Next (Participants)

Name
Options

Parent
TFMSWorld

Visibility
PUBLISHED

Source code
property Options : TFMSWorldOptions read FOptions write SetOptions

Read Access
FOptions

Write Access
SetOptions

FIMAS
Class Tree
Index
Previous (News)
Next (Participants)


Previous (Options)
Next (Time)

Name
Participants

Parent
TFMSWorld

Visibility
PUBLISHED

Source code
property Participants : TFMSParticipants read FParticipants write SetParticipants

Read Access
FParticipants

Write Access
SetParticipants

FIMAS
Class Tree
Index
Previous (Options)
Next (Time)


Previous (Participants)
Next (UpdateAbleInterfaces)

Name
Time

Parent
TFMSWorld

Visibility
PUBLISHED

Source code
property Time : TFMSWorldTime read FTime write SetTime

Read Access
FTime

Write Access
SetTime

FIMAS
Class Tree
Index
Previous (Participants)
Next (UpdateAbleInterfaces)


Previous (Time)
Next (UpdateAbleObjects)

Name
UpdateAbleInterfaces

Parent
TFMSWorld

Visibility
PUBLIC

Source code
property UpdateAbleInterfaces : TFMSWorldTimeUpdateAbleList read FUpdateAbleInterfaces write SetUpdateAbleInterfaces

Read Access
FUpdateAbleInterfaces

Write Access
SetUpdateAbleInterfaces

FIMAS
Class Tree
Index
Previous (Time)
Next (UpdateAbleObjects)


Previous (UpdateAbleInterfaces)
Next (UpdatePeriod)

Name
UpdateAbleObjects

Parent
TFMSWorld

Visibility
PUBLISHED

Description
User Objects that need regular updating.

Source code
property UpdateAbleObjects : TFMSUpdateAbles read FUpdateAbleObjects write SetUpdateAbleObjects

Read Access
FUpdateAbleObjects

Write Access
SetUpdateAbleObjects

FIMAS
Class Tree
Index
Previous (UpdateAbleInterfaces)
Next (UpdatePeriod)


Previous (UpdateAbleObjects)
Next

Name
UpdatePeriod

Parent
TFMSWorld

Visibility
PUBLISHED

Description
Period between updates (in seconds).

Source code
property UpdatePeriod : Integer read FUpdatePeriod write SetUpdatePeriod default 3

Read Access
FUpdatePeriod

Write Access
SetUpdatePeriod

FIMAS
Class Tree
Index
Previous (UpdateAbleObjects)
Next


Previous
Next (Clear)

Name
Assign

Parent
TFMSWorld

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Clear)


Previous (Assign)
Next (Create)

Name
Clear

Parent
TFMSWorld

Visibility
PUBLIC

Source code
procedure Clear ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Assign)
Next (Create)


Previous (Clear)
Next (Destroy)

Name
Create

Parent
TFMSWorld

Visibility
PUBLIC

Source code
constructor Create ( Owner : TComponent ) ; override

Parameters
Parameter | Description
Owner : TComponent | &nbsp;

FIMAS
Class Tree
Index
Previous (Clear)
Next (Destroy)


Previous (Create)
Next (DoCreateParticipants)

Name
Destroy

Parent
TFMSWorld

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next (DoCreateParticipants)


Previous (Destroy)
Next (DoSplitParticipantsIntoThreads)

Name
DoCreateParticipants

Parent
TFMSWorld

Visibility
PROTECTED

Source code
procedure DoCreateParticipants ( var AParticipants : TFMSParticipants ) ; virtual

Parameters
Parameter | Description
AParticipants : TFMSParticipants | &nbsp;

FIMAS
Class Tree
Index
Previous (Destroy)
Next (DoSplitParticipantsIntoThreads)


Previous (DoCreateParticipants)
Next (DoSplitParticipantsIntoThreadsEx)

Name
DoSplitParticipantsIntoThreads

Parent
TFMSWorld

Visibility
PROTECTED

Source code
procedure DoSplitParticipantsIntoThreads ( const AStartIndex , AEndIndex : Integer ; const AThreadCount : Integer ; const AExecutePartInCurrrentThread : Boolean ; const AParalellWaitingMode : Boolean = True ) ; virtual

Parameters
Parameter | Description
AStartIndex : INTEGER | &nbsp;
AEndIndex : INTEGER | &nbsp;
AThreadCount : INTEGER | &nbsp;
AExecutePartInCurrrentThread : BOOLEAN | &nbsp;
AParalellWaitingMode : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (DoCreateParticipants)
Next (DoSplitParticipantsIntoThreadsEx)


Previous (DoSplitParticipantsIntoThreads)
Next (DoUpdateParticipants)

Name
DoSplitParticipantsIntoThreadsEx

Parent
TFMSWorld

Visibility
PROTECTED

Source code
procedure DoSplitParticipantsIntoThreadsEx ( const AStartIndex , AEndIndex : Integer ; const AThreadCount : Integer ; const AExecutePartInCurrrentThread : Boolean ; const AParalellWaitingMode : Boolean = True ) ; virtual

Parameters
Parameter | Description
AStartIndex : INTEGER | &nbsp;
AEndIndex : INTEGER | &nbsp;
AThreadCount : INTEGER | &nbsp;
AExecutePartInCurrrentThread : BOOLEAN | &nbsp;
AParalellWaitingMode : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (DoSplitParticipantsIntoThreads)
Next (DoUpdateParticipants)


Previous (DoSplitParticipantsIntoThreadsEx)
Next (ExecuteForEveryRole)

Name
DoUpdateParticipants

Parent
TFMSWorld

Visibility
PROTECTED

Source code
procedure DoUpdateParticipants ( const AStartIndex , AEndIndex : Integer ) ; virtual

Parameters
Parameter | Description
AStartIndex : INTEGER | &nbsp;
AEndIndex : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (DoSplitParticipantsIntoThreadsEx)
Next (ExecuteForEveryRole)


Previous (DoUpdateParticipants)
Next (GetTime)

Name
ExecuteForEveryRole

Parent
TFMSWorld

Visibility
PUBLIC

Source code
procedure ExecuteForEveryRole ( AProc : TFMSParticipantRoleEvent )

Parameters
Parameter | Description
AProc : TFMSParticipantRoleEvent | &nbsp;

FIMAS
Class Tree
Index
Previous (DoUpdateParticipants)
Next (GetTime)


Previous (ExecuteForEveryRole)
Next (SetClassificators)

Name
GetTime

Parent
TFMSWorld

Visibility
PROTECTED

Description
Implementing IFMSWorld.
Implementing IFMSWorld.

Source code
function GetTime : IFMSWorldTime

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (ExecuteForEveryRole)
Next (SetClassificators)


Previous (GetTime)
Next (SetNews)

Name
SetClassificators

Parent
TFMSWorld

Visibility
PRIVATE

Source code
procedure SetClassificators ( const Value : TFMSClassificatorTypes )

Parameters
Parameter | Description
Value : TFMSClassificatorTypes | &nbsp;

FIMAS
Class Tree
Index
Previous (GetTime)
Next (SetNews)


Previous (SetClassificators)
Next (SetOptions)

Name
SetNews

Parent
TFMSWorld

Visibility
PRIVATE

Source code
procedure SetNews ( const Value : TFMSNewsItems )

Parameters
Parameter | Description
Value : TFMSNewsItems | &nbsp;

FIMAS
Class Tree
Index
Previous (SetClassificators)
Next (SetOptions)


Previous (SetNews)
Next (SetParticipants)

Name
SetOptions

Parent
TFMSWorld

Visibility
PRIVATE

Source code
procedure SetOptions ( const Value : TFMSWorldOptions )

Parameters
Parameter | Description
Value : TFMSWorldOptions | &nbsp;

FIMAS
Class Tree
Index
Previous (SetNews)
Next (SetParticipants)


Previous (SetOptions)
Next (SetTime)

Name
SetParticipants

Parent
TFMSWorld

Visibility
PRIVATE

Source code
procedure SetParticipants ( const Value : TFMSParticipants )

Parameters
Parameter | Description
Value : TFMSParticipants | &nbsp;

FIMAS
Class Tree
Index
Previous (SetOptions)
Next (SetTime)


Previous (SetParticipants)
Next (SetUpdateAbleInterfaces)

Name
SetTime

Parent
TFMSWorld

Visibility
PRIVATE

Source code
procedure SetTime ( const Value : TFMSWorldTime )

Parameters
Parameter | Description
Value : TFMSWorldTime | &nbsp;

FIMAS
Class Tree
Index
Previous (SetParticipants)
Next (SetUpdateAbleInterfaces)


Previous (SetTime)
Next (SetUpdateAbleObjects)

Name
SetUpdateAbleInterfaces

Parent
TFMSWorld

Visibility
PRIVATE

Source code
procedure SetUpdateAbleInterfaces ( const Value : TFMSWorldTimeUpdateAbleList )

Parameters
Parameter | Description
Value : TFMSWorldTimeUpdateAbleList | &nbsp;

FIMAS
Class Tree
Index
Previous (SetTime)
Next (SetUpdateAbleObjects)


Previous (SetUpdateAbleInterfaces)
Next (SetUpdatePeriod)

Name
SetUpdateAbleObjects

Parent
TFMSWorld

Visibility
PRIVATE

Source code
procedure SetUpdateAbleObjects ( const Value : TFMSUpdateAbles )

Parameters
Parameter | Description
Value : TFMSUpdateAbles | &nbsp;

FIMAS
Class Tree
Index
Previous (SetUpdateAbleInterfaces)
Next (SetUpdatePeriod)


Previous (SetUpdateAbleObjects)
Next (Step)

Name
SetUpdatePeriod

Parent
TFMSWorld

Visibility
PROTECTED

Source code
procedure SetUpdatePeriod ( const Value : Integer ) ; virtual

Parameters
Parameter | Description
Value : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (SetUpdateAbleObjects)
Next (Step)


Previous (SetUpdatePeriod)
Next

Name
Step

Parent
TFMSWorld

Visibility
PROTECTED

Source code
procedure Step ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetUpdatePeriod)
Next


Previous (TFMSWorld)
Next

Name
TFMSWorldOptions

Parent
FMSWorld

Class Hierarchy
TStrangeInterfacedOwnedPersistent

Visibility
PUBLIC

Description
Various options for World object, that are easier to store in a separate class. There are no options at this time.

Members
Fields
Field Description
FNewsUrgencyPeriodInDays (-)

Methods
Method Description
Assign (+)
Create (+)
GetWorld (#)

Properties
Property | Description
NewsUrgencyPeriodInDays (*) | News are considered to have effect on economics within this period. After that News are considered old and not actual.

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (TFMSWorld)
Next


Previous
Next

Name
FNewsUrgencyPeriodInDays

Parent
TFMSWorldOptions

Visibility
PRIVATE

Source code
FNewsUrgencyPeriodInDays : Double

FIMAS
Class Tree
Index
Previous
Next


Previous
Next

Name
NewsUrgencyPeriodInDays

Parent
TFMSWorldOptions

Visibility
PUBLISHED

Description
News are considered to have effect on economics within this period. After that News are considered old and not actual.

Source code
property NewsUrgencyPeriodInDays : Double read FNewsUrgencyPeriodInDays write FNewsUrgencyPeriodInDays

Read Access
FNewsUrgencyPeriodInDays

Write Access
FNewsUrgencyPeriodInDays

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (Create)

Name
Assign

Parent
TFMSWorldOptions

Visibility
PUBLIC

Source code
procedure Assign ( Source : TPersistent ) ; override

Parameters
Parameter | Description
Source : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (Create)


Previous (Assign)
Next (GetWorld)

Name
Create

Parent
TFMSWorldOptions

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TPersistent ) ; override

Parameters
Parameter | Description
AOwner : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (Assign)
Next (GetWorld)


Previous (Create)
Next

Name
GetWorld

Parent
TFMSWorldOptions

Visibility
PROTECTED

Source code
function GetWorld : TFMSWorld

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (Create)
Next


Previous
Next (TFMSWorldEvent)

Name
TFMSParticipantRoleEvent

Parent
FMSWorld

Visibility
PUBLIC

Source code
TFMSParticipantRoleEvent = procedure ( Sender : TFMSParticipantRole ) of object ;

Parameters
Parameter | Description
Sender : TFMSParticipantRole | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (TFMSWorldEvent)


Previous (TFMSParticipantRoleEvent)
Next

Name
TFMSWorldEvent

Parent
FMSWorld

Visibility
PUBLIC

Source code
TFMSWorldEvent = procedure ( Sender : TFMSWorld ) of object ;

Parameters
Parameter | Description
Sender : TFMSWorld | &nbsp;

FIMAS
Class Tree
Index
Previous (TFMSParticipantRoleEvent)
Next


Previous
Next

Name
NewsItemsSortByDateProcedure

Parent
FMSWorld

Visibility
PUBLIC

Source code
function NewsItemsSortByDateProcedure ( Item1 , Item2 : Pointer ) : Integer

Parameters
Parameter | Description
Item1 : Pointer | &nbsp;
Item2 : Pointer | &nbsp;

FIMAS
Class Tree
Index
Previous
Next


Previous (FMSWorld)
Next (uMainForm)

Name
uArrayAnalizerForm

Parent
FIMAS

Description
Application Array Analizer Form.

Classes
Class Description
TArrayAnalizerForm (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (FMSWorld)
Next (uMainForm)


Previous
Next

Name
TArrayAnalizerForm

Parent
uArrayAnalizerForm

Class Hierarchy
TStrangeSimpleNotificationSenderForm,IStrangeCadenceAble,I_FMS_ArrayAnalizerForm

Visibility
PUBLIC

Members
Fields
Field Description
asScriptEditorFrame (*)
btEditGraph (*)
btnLoad (*)
btnSave (*)
btnTogleScriptEditor (*)
btnTogleStats (*)
btSetCaption (*)
cbUpdatePeriod (*)
ChartPageControl (*)
ControlPanel (*)
ControlPanelParent (*)
FChartInformation (-)
FUpdateFrequency (-)
FWorld (-)
lbUpdatePeriod (*)
PageControl (*)
Panel1 (*)
Splitter1 (*)
Splitter2 (*)
StatsTabControl (*)
StrangeDragDropDestination1 (*)
TabSheet1 (*)
TabSheet2 (*)

Methods
Method Description
asScriptEditorFramebtApplyScriptClick (*)
asScriptEditorFrameCodeProposalExecute (*)
btEditGraphClick (*)
btnLoadClick (*)
btnSaveClick (*)
btnTogleScriptEditorClick (*)
btnTogleStatsClick (*)
btSetCaptionClick (*)
cbUpdatePeriodChange (*)
ControlPanelParentResize (*)
CreateInitialized (+)
DoUpdateAccordingToFrequency (#)
DoUpdateFromCadencer (#)
FormClose (*)
GetUpdateFrequency (-)
InitializeScriptEngine (+)
I_FMS_ArrayAnalizerForm (#)
I_FMS_ArrayAnalizerForm (#)
I_FMS_ArrayAnalizerForm (#)
I_FMS_ArrayAnalizerForm (#)
I_FMS_ArrayAnalizerForm (#)
LoadFromMemIniFile (+)
Notification (+)
SaveToMemIniFile (+)
SetChartInformation (-)
SetUpdateFrequency (-)
SetWorld (-)
StrangeDragDropDestination1Dropped (*)

Properties
Property Description
ChartInformation (*)
UpdateFrequency (*)
World (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (btEditGraph)

Name
asScriptEditorFrame

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
asScriptEditorFrame : TasScriptEditorFrame

FIMAS
Class Tree
Index
Previous
Next (btEditGraph)


Previous (asScriptEditorFrame)
Next (btnLoad)

Name
btEditGraph

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
btEditGraph : TBitBtn

FIMAS
Class Tree
Index
Previous (asScriptEditorFrame)
Next (btnLoad)


Previous (btEditGraph)
Next (btnSave)

Name
btnLoad

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
btnLoad : TBitBtn

FIMAS
Class Tree
Index
Previous (btEditGraph)
Next (btnSave)


Previous (btnLoad)
Next (btnTogleScriptEditor)

Name
btnSave

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
btnSave : TBitBtn

FIMAS
Class Tree
Index
Previous (btnLoad)
Next (btnTogleScriptEditor)


Previous (btnSave)
Next (btnTogleStats)

Name
btnTogleScriptEditor

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
btnTogleScriptEditor : TBitBtn

FIMAS
Class Tree
Index
Previous (btnSave)
Next (btnTogleStats)


Previous (btnTogleScriptEditor)
Next (btSetCaption)

Name
btnTogleStats

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
btnTogleStats : TBitBtn

FIMAS
Class Tree
Index
Previous (btnTogleScriptEditor)
Next (btSetCaption)


Previous (btnTogleStats)
Next (cbUpdatePeriod)

Name
btSetCaption

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
btSetCaption : TBitBtn

FIMAS
Class Tree
Index
Previous (btnTogleStats)
Next (cbUpdatePeriod)


Previous (btSetCaption)
Next (ChartPageControl)

Name
cbUpdatePeriod

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
cbUpdatePeriod : TComboBox

FIMAS
Class Tree
Index
Previous (btSetCaption)
Next (ChartPageControl)


Previous (cbUpdatePeriod)
Next (ControlPanel)

Name
ChartPageControl

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
ChartPageControl : TPageControl

FIMAS
Class Tree
Index
Previous (cbUpdatePeriod)
Next (ControlPanel)


Previous (ChartPageControl)
Next (ControlPanelParent)

Name
ControlPanel

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
ControlPanel : TPanel

FIMAS
Class Tree
Index
Previous (ChartPageControl)
Next (ControlPanelParent)


Previous (ControlPanel)
Next (FChartInformation)

Name
ControlPanelParent

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
ControlPanelParent : TPanel

FIMAS
Class Tree
Index
Previous (ControlPanel)
Next (FChartInformation)


Previous (ControlPanelParent)
Next (FUpdateFrequency)

Name
FChartInformation

Parent
TArrayAnalizerForm

Visibility
PRIVATE

Source code
FChartInformation : TStrangeChartInformation

FIMAS
Class Tree
Index
Previous (ControlPanelParent)
Next (FUpdateFrequency)


Previous (FChartInformation)
Next (FWorld)

Name
FUpdateFrequency

Parent
TArrayAnalizerForm

Visibility
PRIVATE

Source code
FUpdateFrequency : TFMSUpdateFrequency

FIMAS
Class Tree
Index
Previous (FChartInformation)
Next (FWorld)


Previous (FUpdateFrequency)
Next (lbUpdatePeriod)

Name
FWorld

Parent
TArrayAnalizerForm

Visibility
PRIVATE

Source code
FWorld : TFMSWorld

FIMAS
Class Tree
Index
Previous (FUpdateFrequency)
Next (lbUpdatePeriod)


Previous (FWorld)
Next (PageControl)

Name
lbUpdatePeriod

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
lbUpdatePeriod : TLabel

FIMAS
Class Tree
Index
Previous (FWorld)
Next (PageControl)


Previous (lbUpdatePeriod)
Next (Panel1)

Name
PageControl

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
PageControl : TPageControl

FIMAS
Class Tree
Index
Previous (lbUpdatePeriod)
Next (Panel1)


Previous (PageControl)
Next (Splitter1)

Name
Panel1

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
Panel1 : TPanel

FIMAS
Class Tree
Index
Previous (PageControl)
Next (Splitter1)


Previous (Panel1)
Next (Splitter2)

Name
Splitter1

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
Splitter1 : TSplitter

FIMAS
Class Tree
Index
Previous (Panel1)
Next (Splitter2)


Previous (Splitter1)
Next (StatsTabControl)

Name
Splitter2

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
Splitter2 : TSplitter

FIMAS
Class Tree
Index
Previous (Splitter1)
Next (StatsTabControl)


Previous (Splitter2)
Next (StrangeDragDropDestination1)

Name
StatsTabControl

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
StatsTabControl : TTabControl

FIMAS
Class Tree
Index
Previous (Splitter2)
Next (StrangeDragDropDestination1)


Previous (StatsTabControl)
Next (TabSheet1)

Name
StrangeDragDropDestination1

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
StrangeDragDropDestination1 : TStrangeDragDropDestination

FIMAS
Class Tree
Index
Previous (StatsTabControl)
Next (TabSheet1)


Previous (StrangeDragDropDestination1)
Next (TabSheet2)

Name
TabSheet1

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
TabSheet1 : TTabSheet

FIMAS
Class Tree
Index
Previous (StrangeDragDropDestination1)
Next (TabSheet2)


Previous (TabSheet1)
Next

Name
TabSheet2

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
TabSheet2 : TTabSheet

FIMAS
Class Tree
Index
Previous (TabSheet1)
Next


Previous
Next (UpdateFrequency)

Name
ChartInformation

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
property ChartInformation : TStrangeChartInformation read FChartInformation write SetChartInformation

Read Access
FChartInformation

Write Access
SetChartInformation

FIMAS
Class Tree
Index
Previous
Next (UpdateFrequency)


Previous (ChartInformation)
Next (World)

Name
UpdateFrequency

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
property UpdateFrequency : TFMSUpdateFrequency read FUpdateFrequency write FUpdateFrequency

Read Access
FUpdateFrequency

Write Access
FUpdateFrequency

FIMAS
Class Tree
Index
Previous (ChartInformation)
Next (World)


Previous (UpdateFrequency)
Next

Name
World

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
property World : TFMSWorld read FWorld write SetWorld

Read Access
FWorld

Write Access
SetWorld

FIMAS
Class Tree
Index
Previous (UpdateFrequency)
Next


Previous
Next (asScriptEditorFrameCodeProposalExecute)

Name
asScriptEditorFramebtApplyScriptClick

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
procedure asScriptEditorFramebtApplyScriptClick ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (asScriptEditorFrameCodeProposalExecute)


Previous (asScriptEditorFramebtApplyScriptClick)
Next (btEditGraphClick)

Name
asScriptEditorFrameCodeProposalExecute

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
procedure asScriptEditorFrameCodeProposalExecute ( Kind : TSynCompletionType ; Sender : TObject ; var CurrentInput : String ; var x , y : Integer ; var CanExecute : Boolean )

Parameters
Parameter | Description
Kind : TSynCompletionType | &nbsp;
Sender : TObject | &nbsp;
CurrentInput : STRING | &nbsp;
x : INTEGER | &nbsp;
y : INTEGER | &nbsp;
CanExecute : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (asScriptEditorFramebtApplyScriptClick)
Next (btEditGraphClick)


Previous (asScriptEditorFrameCodeProposalExecute)
Next (btnLoadClick)

Name
btEditGraphClick

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
procedure btEditGraphClick ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (asScriptEditorFrameCodeProposalExecute)
Next (btnLoadClick)


Previous (btEditGraphClick)
Next (btnSaveClick)

Name
btnLoadClick

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
procedure btnLoadClick ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (btEditGraphClick)
Next (btnSaveClick)


Previous (btnLoadClick)
Next (btnTogleScriptEditorClick)

Name
btnSaveClick

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
procedure btnSaveClick ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (btnLoadClick)
Next (btnTogleScriptEditorClick)


Previous (btnSaveClick)
Next (btnTogleStatsClick)

Name
btnTogleScriptEditorClick

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
procedure btnTogleScriptEditorClick ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (btnSaveClick)
Next (btnTogleStatsClick)


Previous (btnTogleScriptEditorClick)
Next (btSetCaptionClick)

Name
btnTogleStatsClick

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
procedure btnTogleStatsClick ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (btnTogleScriptEditorClick)
Next (btSetCaptionClick)


Previous (btnTogleStatsClick)
Next (cbUpdatePeriodChange)

Name
btSetCaptionClick

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
procedure btSetCaptionClick ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (btnTogleStatsClick)
Next (cbUpdatePeriodChange)


Previous (btSetCaptionClick)
Next (ControlPanelParentResize)

Name
cbUpdatePeriodChange

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
procedure cbUpdatePeriodChange ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (btSetCaptionClick)
Next (ControlPanelParentResize)


Previous (cbUpdatePeriodChange)
Next (CreateInitialized)

Name
ControlPanelParentResize

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
procedure ControlPanelParentResize ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (cbUpdatePeriodChange)
Next (CreateInitialized)


Previous (ControlPanelParentResize)
Next (DoUpdateAccordingToFrequency)

Name
CreateInitialized

Parent
TArrayAnalizerForm

Visibility
PUBLIC

Source code
constructor CreateInitialized ( AOwner : TComponent ; const AWorld : TFMSWorld )

Parameters
Parameter | Description
AOwner : TComponent | &nbsp;
AWorld : TFMSWorld | &nbsp;

FIMAS
Class Tree
Index
Previous (ControlPanelParentResize)
Next (DoUpdateAccordingToFrequency)


Previous (CreateInitialized)
Next (DoUpdateFromCadencer)

Name
DoUpdateAccordingToFrequency

Parent
TArrayAnalizerForm

Visibility
PROTECTED

Source code
procedure DoUpdateAccordingToFrequency ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (CreateInitialized)
Next (DoUpdateFromCadencer)


Previous (DoUpdateAccordingToFrequency)
Next (FormClose)

Name
DoUpdateFromCadencer

Parent
TArrayAnalizerForm

Visibility
PROTECTED

Source code
procedure DoUpdateFromCadencer ( DeltaTime , NewTime : Double ) ; virtual

Parameters
Parameter | Description
DeltaTime : DOUBLE | &nbsp;
NewTime : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (DoUpdateAccordingToFrequency)
Next (FormClose)


Previous (DoUpdateFromCadencer)
Next (GetUpdateFrequency)

Name
FormClose

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
procedure FormClose ( Sender : TObject ; var Action : TCloseAction )

Parameters
Parameter | Description
Sender : TObject | &nbsp;
Action : TCloseAction | &nbsp;

FIMAS
Class Tree
Index
Previous (DoUpdateFromCadencer)
Next (GetUpdateFrequency)


Previous (FormClose)
Next (InitializeScriptEngine)

Name
GetUpdateFrequency

Parent
TArrayAnalizerForm

Visibility
PRIVATE

Source code
function GetUpdateFrequency : TFMSUpdateFrequency

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FormClose)
Next (InitializeScriptEngine)


Previous (GetUpdateFrequency)
Next (I_FMS_ArrayAnalizerForm)

Name
InitializeScriptEngine

Parent
TArrayAnalizerForm

Visibility
PUBLIC

Source code
procedure InitializeScriptEngine

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetUpdateFrequency)
Next (I_FMS_ArrayAnalizerForm)


Previous (I_FMS_ArrayAnalizerForm)
Next (I_FMS_ArrayAnalizerForm)

Name
I_FMS_ArrayAnalizerForm

Parent
TArrayAnalizerForm

Visibility
PROTECTED

Source code
function I_FMS_ArrayAnalizerForm . FindComponent = FindComponentIntf

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (I_FMS_ArrayAnalizerForm)
Next (I_FMS_ArrayAnalizerForm)


Previous (I_FMS_ArrayAnalizerForm)
Next (Notification)

Name
LoadFromMemIniFile

Parent
TArrayAnalizerForm

Visibility
PUBLIC

Source code
procedure LoadFromMemIniFile ( const AMemIniFile : TStrangeCustomIniFile ; const ASectionName : string )

Parameters
Parameter | Description
AMemIniFile : TStrangeCustomIniFile | &nbsp;
ASectionName : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (I_FMS_ArrayAnalizerForm)
Next (Notification)


Previous (LoadFromMemIniFile)
Next (SaveToMemIniFile)

Name
Notification

Parent
TArrayAnalizerForm

Visibility
PUBLIC

Source code
procedure Notification ( AComponent : TComponent ; Operation : TOperation ) ; override

Parameters
Parameter | Description
AComponent : TComponent | &nbsp;
Operation : TOperation | &nbsp;

FIMAS
Class Tree
Index
Previous (LoadFromMemIniFile)
Next (SaveToMemIniFile)


Previous (Notification)
Next (SetChartInformation)

Name
SaveToMemIniFile

Parent
TArrayAnalizerForm

Visibility
PUBLIC

Source code
procedure SaveToMemIniFile ( const AMemIniFile : TStrangeCustomIniFile ; const ASectionName : string )

Parameters
Parameter | Description
AMemIniFile : TStrangeCustomIniFile | &nbsp;
ASectionName : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (Notification)
Next (SetChartInformation)


Previous (SaveToMemIniFile)
Next (SetUpdateFrequency)

Name
SetChartInformation

Parent
TArrayAnalizerForm

Visibility
PRIVATE

Source code
procedure SetChartInformation ( const Value : TStrangeChartInformation )

Parameters
Parameter | Description
Value : TStrangeChartInformation | &nbsp;

FIMAS
Class Tree
Index
Previous (SaveToMemIniFile)
Next (SetUpdateFrequency)


Previous (SetChartInformation)
Next (SetWorld)

Name
SetUpdateFrequency

Parent
TArrayAnalizerForm

Visibility
PRIVATE

Source code
procedure SetUpdateFrequency ( const Value : TFMSUpdateFrequency )

Parameters
Parameter | Description
Value : TFMSUpdateFrequency | &nbsp;

FIMAS
Class Tree
Index
Previous (SetChartInformation)
Next (SetWorld)


Previous (SetUpdateFrequency)
Next (StrangeDragDropDestination1Dropped)

Name
SetWorld

Parent
TArrayAnalizerForm

Visibility
PRIVATE

Source code
procedure SetWorld ( const Value : TFMSWorld )

Parameters
Parameter | Description
Value : TFMSWorld | &nbsp;

FIMAS
Class Tree
Index
Previous (SetUpdateFrequency)
Next (StrangeDragDropDestination1Dropped)


Previous (SetWorld)
Next

Name
StrangeDragDropDestination1Dropped

Parent
TArrayAnalizerForm

Visibility
PUBLISHED

Source code
procedure StrangeDragDropDestination1Dropped ( Sender : TObject ; Files : TStrings ; FileCount , X , Y : Integer )

Parameters
Parameter | Description
Sender : TObject | &nbsp;
Files : TStrings | &nbsp;
FileCount : INTEGER | &nbsp;
X : INTEGER | &nbsp;
Y : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (SetWorld)
Next


Previous (uArrayAnalizerForm)
Next (uOptionsForm)

Name
uMainForm

Parent
FIMAS

Description
Application Main Form.

Variables
Variable Description
MainForm (+)

Classes
Class Description
TMainForm (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (uArrayAnalizerForm)
Next (uOptionsForm)


Previous
Next

Name
TMainForm

Parent
uMainForm

Class Hierarchy
TStrangeSimpleNotificationSenderForm,IStrangeCadenceAble,I_FMS_MainForm

Visibility
PUBLIC

Members
Fields
Field Description
About1 (*)
ActionList (*)
ArrangeAll1 (*)
ArrayAnalyser1 (*)
ASAP1 (*)
Cascade1 (*)
cbTimerSpeed (*)
Close1 (*)
Commands1 (*)
Contents1 (*)
ControlBar1 (*)
Controls1 (*)
ControlsPauseAction (*)
ControlsStartAction (*)
ControlsStopResetAction (*)
ControlsTimerSpeedAction (*)
ControlsTimerSpeedChangeAction (*)
Editors1 (*)
EditorsArrayAnalyserAction (*)
EditorsPropertyEditorAction (*)
EditorsScenarioEditorAction (*)
EditorsScriptLogAction (*)
EditorsSimulationControlAction (*)
EditorsWatchListAction (*)
Exit1 (*)
FApplicationForm (-)
FCadencer (-)
FCompanyFinancialStats (-)
FCurrentFileName (-)
FFMSUtils (-)
FGlobalSettingsMemIniFile (-)
File1 (*)
FileExitAction (*)
FileNewAction (*)
FileOpenAction (*)
FilePrintAction (*)
FilePrintSetupAction (*)
FileSaveAction (*)
FileSaveAsAction (*)
FLoadingProject (-)
FMainScriptInfo (-)
FOptions (-)
FPluginManager (-)
FProcessedInputCommands (-)
FProgressForm (-)
FScenarioEditorForm (-)
FTimeEvents (-)
FTimeEventsIntf (-)
FTraderStats (-)
FTransactionsOverallStats (-)
FVCLStandardFunctions (-)
FVCLStandardObjects (-)
FWorld (-)
Help1 (*)
HelpAboutAction (*)
HelpCommandsAction (*)
HelpContentsAction (*)
HelpOptionsAction (*)
ImageList (*)
MainMenu1 (*)
MinimizeAll1 (*)
miPlugins (*)
miTimerSpeed (*)
N1 (*)
N10Dayss1 (*)
N1Days1 (*)
N2 (*)
N200Dayss1 (*)
N20Dayss1 (*)
N20Dayss2 (*)
N3 (*)
N40Dayss1 (*)
N50Dayss1 (*)
N5Dayss1 (*)
N600Dayss1 (*)
N80Dayss1 (*)
New1 (*)
Open1 (*)
Options1 (*)
Pause1 (*)
PluginManager1 (*)
PluginManagerAction (*)
Print1 (*)
PrintSetup1 (*)
PropertyEditor1 (*)
Save1 (*)
SaveAs1 (*)
ScenarioEditor1 (*)
ScriptLog1 (*)
SimulationControl1 (*)
Start1 (*)
StatusBar (*)
StopReset1 (*)
TileHorizontally1 (*)
TileVertically1 (*)
ToolBar1 (*)
ToolBar2 (*)
ToolBar3 (*)
ToolBar4 (*)
ToolBar5 (*)
ToolButton1 (*)
ToolButton10 (*)
ToolButton11 (*)
ToolButton16 (*)
ToolButton17 (*)
ToolButton18 (*)
ToolButton19 (*)
ToolButton2 (*)
ToolButton20 (*)
ToolButton21 (*)
ToolButton26 (*)
ToolButton27 (*)
ToolButton28 (*)
ToolButton29 (*)
ToolButton3 (*)
ToolButton4 (*)
ToolButton5 (*)
ToolButton6 (*)
ToolButton63 (*)
ToolButton64 (*)
ToolButton65 (*)
ToolButton66 (*)
ToolButton7 (*)
ToolButton8 (*)
ToolButton9 (*)
UPSTimer (*)
WatchList1 (*)
Window1 (*)
WindowArrangeAction (*)
WindowCascadeAction (*)
WindowCloseAction (*)
WindowMinimizeAllAction (*)
WindowTileHorizontalAction (*)
WindowTileVerticalAction (*)
XPManifest (*)

Methods
Method Description
ApplyAllEditorScripts (+)
CloseMDIChildren (+)
ControlsPauseActionExecute (*)
ControlsStartActionExecute (*)
ControlsStopActionExecute (*)
ControlsStopResetActionExecute (*)
ControlsTimerSpeedActionExecute (*)
ControlsTimerSpeedChangeActionExecute (*)
CreateArrayAnalizerForm (#)
CreatePropertyEditorForm (#)
CreateStandardScriptInformation (#)
CreateWatchListForm (#)
DoAfterCompile (#)
DoLoadFromFile (#)
DoOnScriptCompileErrors (#)
DoOnScriptExecuteErrors (#)
DoSaveToFile (#)
DoShowHint (#)
DoStartNewProject (#)
DoUpdateFromCadencer (#)
DoWorldInitialize (#)
EditorsArrayAnalyserActionExecute (*)
EditorsPropertyEditorActionExecute (*)
EditorsScenarioEditorActionExecute (*)
EditorsScriptLogActionExecute (*)
EditorsSimulationControlActionExecute (*)
EditorsWatchListActionExecute (*)
FileExitActionExecute (*)
FileNewActionExecute (*)
FileOpenActionAccept (*)
FilePrintActionAccept (*)
FilePrintSetupActionAccept (*)
FileSaveActionExecute (*)
FileSaveAsActionAccept (*)
FormClose (*)
FormCloseQuery (*)
FormCreate (*)
FormShow (*)
GenerateStandardScript (#)
GetCadencer (-)
GetCompanyFinancialStats (-)
GetFMSUtils (-)
GetMainScriptInfo (-)
GetOptions (-)
GetOrCreatePluginManagerForm (#)
GetOrCreateScriptLogForm (#)
GetOrCreateScriptLogForm_Intf (-)
GetOrCreateSimulationControlForm (#)
GetOrCreateSimulationControlForm_Intf (-)
GetPCurrentFileName (-)
GetProgressForm (-)
GetPShortFileName (-)
GetScenarioEditorForm (-)
GetShortFileName (#)
GetTransactionsOverallStats (-)
GetVCLStandardFunctions (-)
GetVCLStandardObjects (-)
GetWorld (-)
HelpAboutActionExecute (*)
HelpCommandsActionExecute (*)
HelpContentsActionExecute (*)
HelpOptionsActionExecute (*)
InitializeScriptInformation (#)
IsKnownFormType (#)
I_FMS_MainForm (-)
I_FMS_MainForm (#)
I_FMS_MainForm (-)
I_FMS_MainForm (#)
I_FMS_MainForm (#)
I_FMS_MainForm (#)
I_FMS_MainForm (-)
I_FMS_MainForm (-)
I_FMS_MainForm (-)
I_FMS_MainForm (#)
PluginManagerActionExecute (*)
Reset (+)
SetCadencer (-)
SetCompanyFinancialStats (-)
SetCurrentFileName (-)
SetMainScriptInfo (-)
SetOptions (-)
SetPCurrentFileName (-)
SetPluginManager (-)
SetTransactionsOverallStats (-)
SetWorld (-)
UnMinimizeMDIChildren (#)
UPSTimerTimer (*)
WindowArrangeActionExecute (*)
WindowCascadeActionExecute (*)
WindowCloseActionExecute (*)
WindowMinimizeAllActionExecute (*)
WindowTileHorizontalActionExecute (*)
WindowTileVerticalActionExecute (*)

Properties
Property Description
ApplicationForm (*)
Cadencer (*)
CompanyFinancialStats (*)
CurrentFileName (*)
FMSUtils (*)
MainScriptInfo (*)
Options (*)
PluginManager (*)
ScenerioEditorForm (*)
TimeEvents (*)
TransactionsOverallStats (*)
VCLStandardFunctions (*)
World (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (ActionList)

Name
About1

Parent
TMainForm

Visibility
PUBLISHED

Source code
About1 : TMenuItem

FIMAS
Class Tree
Index
Previous
Next (ActionList)


Previous (About1)
Next (ArrangeAll1)

Name
ActionList

Parent
TMainForm

Visibility
PUBLISHED

Source code
ActionList : TActionList

FIMAS
Class Tree
Index
Previous (About1)
Next (ArrangeAll1)


Previous (ActionList)
Next (ArrayAnalyser1)

Name
ArrangeAll1

Parent
TMainForm

Visibility
PUBLISHED

Source code
ArrangeAll1 : TMenuItem

FIMAS
Class Tree
Index
Previous (ActionList)
Next (ArrayAnalyser1)


Previous (ArrangeAll1)
Next (ASAP1)

Name
ArrayAnalyser1

Parent
TMainForm

Visibility
PUBLISHED

Source code
ArrayAnalyser1 : TMenuItem

FIMAS
Class Tree
Index
Previous (ArrangeAll1)
Next (ASAP1)


Previous (ArrayAnalyser1)
Next (Cascade1)

Name
ASAP1

Parent
TMainForm

Visibility
PUBLISHED

Source code
ASAP1 : TMenuItem

FIMAS
Class Tree
Index
Previous (ArrayAnalyser1)
Next (Cascade1)


Previous (ASAP1)
Next (cbTimerSpeed)

Name
Cascade1

Parent
TMainForm

Visibility
PUBLISHED

Source code
Cascade1 : TMenuItem

FIMAS
Class Tree
Index
Previous (ASAP1)
Next (cbTimerSpeed)


Previous (Cascade1)
Next (Close1)

Name
cbTimerSpeed

Parent
TMainForm

Visibility
PUBLISHED

Source code
cbTimerSpeed : TComboBox

FIMAS
Class Tree
Index
Previous (Cascade1)
Next (Close1)


Previous (cbTimerSpeed)
Next (Commands1)

Name
Close1

Parent
TMainForm

Visibility
PUBLISHED

Source code
Close1 : TMenuItem

FIMAS
Class Tree
Index
Previous (cbTimerSpeed)
Next (Commands1)


Previous (Close1)
Next (Contents1)

Name
Commands1

Parent
TMainForm

Visibility
PUBLISHED

Source code
Commands1 : TMenuItem

FIMAS
Class Tree
Index
Previous (Close1)
Next (Contents1)


Previous (Commands1)
Next (ControlBar1)

Name
Contents1

Parent
TMainForm

Visibility
PUBLISHED

Source code
Contents1 : TMenuItem

FIMAS
Class Tree
Index
Previous (Commands1)
Next (ControlBar1)


Previous (Contents1)
Next (Controls1)

Name
ControlBar1

Parent
TMainForm

Visibility
PUBLISHED

Source code
ControlBar1 : TControlBar

FIMAS
Class Tree
Index
Previous (Contents1)
Next (Controls1)


Previous (ControlBar1)
Next (ControlsPauseAction)

Name
Controls1

Parent
TMainForm

Visibility
PUBLISHED

Source code
Controls1 : TMenuItem

FIMAS
Class Tree
Index
Previous (ControlBar1)
Next (ControlsPauseAction)


Previous (Controls1)
Next (ControlsStartAction)

Name
ControlsPauseAction

Parent
TMainForm

Visibility
PUBLISHED

Source code
ControlsPauseAction : TAction

FIMAS
Class Tree
Index
Previous (Controls1)
Next (ControlsStartAction)


Previous (ControlsPauseAction)
Next (ControlsStopResetAction)

Name
ControlsStartAction

Parent
TMainForm

Visibility
PUBLISHED

Source code
ControlsStartAction : TAction

FIMAS
Class Tree
Index
Previous (ControlsPauseAction)
Next (ControlsStopResetAction)


Previous (ControlsStartAction)
Next (ControlsTimerSpeedAction)

Name
ControlsStopResetAction

Parent
TMainForm

Visibility
PUBLISHED

Source code
ControlsStopResetAction : TAction

FIMAS
Class Tree
Index
Previous (ControlsStartAction)
Next (ControlsTimerSpeedAction)


Previous (ControlsStopResetAction)
Next (ControlsTimerSpeedChangeAction)

Name
ControlsTimerSpeedAction

Parent
TMainForm

Visibility
PUBLISHED

Source code
ControlsTimerSpeedAction : TAction

FIMAS
Class Tree
Index
Previous (ControlsStopResetAction)
Next (ControlsTimerSpeedChangeAction)


Previous (ControlsTimerSpeedAction)
Next (Editors1)

Name
ControlsTimerSpeedChangeAction

Parent
TMainForm

Visibility
PUBLISHED

Source code
ControlsTimerSpeedChangeAction : TAction

FIMAS
Class Tree
Index
Previous (ControlsTimerSpeedAction)
Next (Editors1)


Previous (ControlsTimerSpeedChangeAction)
Next (EditorsArrayAnalyserAction)

Name
Editors1

Parent
TMainForm

Visibility
PUBLISHED

Source code
Editors1 : TMenuItem

FIMAS
Class Tree
Index
Previous (ControlsTimerSpeedChangeAction)
Next (EditorsArrayAnalyserAction)


Previous (Editors1)
Next (EditorsPropertyEditorAction)

Name
EditorsArrayAnalyserAction

Parent
TMainForm

Visibility
PUBLISHED

Source code
EditorsArrayAnalyserAction : TAction

FIMAS
Class Tree
Index
Previous (Editors1)
Next (EditorsPropertyEditorAction)


Previous (EditorsArrayAnalyserAction)
Next (EditorsScenarioEditorAction)

Name
EditorsPropertyEditorAction

Parent
TMainForm

Visibility
PUBLISHED

Source code
EditorsPropertyEditorAction : TAction

FIMAS
Class Tree
Index
Previous (EditorsArrayAnalyserAction)
Next (EditorsScenarioEditorAction)


Previous (EditorsPropertyEditorAction)
Next (EditorsScriptLogAction)

Name
EditorsScenarioEditorAction

Parent
TMainForm

Visibility
PUBLISHED

Source code
EditorsScenarioEditorAction : TAction

FIMAS
Class Tree
Index
Previous (EditorsPropertyEditorAction)
Next (EditorsScriptLogAction)


Previous (EditorsScenarioEditorAction)
Next (EditorsSimulationControlAction)

Name
EditorsScriptLogAction

Parent
TMainForm

Visibility
PUBLISHED

Source code
EditorsScriptLogAction : TAction

FIMAS
Class Tree
Index
Previous (EditorsScenarioEditorAction)
Next (EditorsSimulationControlAction)


Previous (EditorsScriptLogAction)
Next (EditorsWatchListAction)

Name
EditorsSimulationControlAction

Parent
TMainForm

Visibility
PUBLISHED

Source code
EditorsSimulationControlAction : TAction

FIMAS
Class Tree
Index
Previous (EditorsScriptLogAction)
Next (EditorsWatchListAction)


Previous (EditorsSimulationControlAction)
Next (Exit1)

Name
EditorsWatchListAction

Parent
TMainForm

Visibility
PUBLISHED

Source code
EditorsWatchListAction : TAction

FIMAS
Class Tree
Index
Previous (EditorsSimulationControlAction)
Next (Exit1)


Previous (EditorsWatchListAction)
Next (FApplicationForm)

Name
Exit1

Parent
TMainForm

Visibility
PUBLISHED

Source code
Exit1 : TMenuItem

FIMAS
Class Tree
Index
Previous (EditorsWatchListAction)
Next (FApplicationForm)


Previous (Exit1)
Next (FCadencer)

Name
FApplicationForm

Parent
TMainForm

Visibility
PRIVATE

Source code
FApplicationForm : I_FMS_MainForm

FIMAS
Class Tree
Index
Previous (Exit1)
Next (FCadencer)


Previous (FApplicationForm)
Next (FCompanyFinancialStats)

Name
FCadencer

Parent
TMainForm

Visibility
PRIVATE

Source code
FCadencer : TStrangeCadencer

FIMAS
Class Tree
Index
Previous (FApplicationForm)
Next (FCompanyFinancialStats)


Previous (FCadencer)
Next (FCurrentFileName)

Name
FCompanyFinancialStats

Parent
TMainForm

Visibility
PRIVATE

Source code
FCompanyFinancialStats : TFMSCompanyFinancialStatsCollection

FIMAS
Class Tree
Index
Previous (FCadencer)
Next (FCurrentFileName)


Previous (FCompanyFinancialStats)
Next (FFMSUtils)

Name
FCurrentFileName

Parent
TMainForm

Visibility
PRIVATE

Source code
FCurrentFileName : string

FIMAS
Class Tree
Index
Previous (FCompanyFinancialStats)
Next (FFMSUtils)


Previous (FCurrentFileName)
Next (FGlobalSettingsMemIniFile)

Name
FFMSUtils

Parent
TMainForm

Visibility
PRIVATE

Source code
FFMSUtils : TFMSUtils

FIMAS
Class Tree
Index
Previous (FCurrentFileName)
Next (FGlobalSettingsMemIniFile)


Previous (FFMSUtils)
Next (File1)

Name
FGlobalSettingsMemIniFile

Parent
TMainForm

Visibility
PRIVATE

Source code
FGlobalSettingsMemIniFile : TStrangeMemIniFile

FIMAS
Class Tree
Index
Previous (FFMSUtils)
Next (File1)


Previous (FGlobalSettingsMemIniFile)
Next (FileExitAction)

Name
File1

Parent
TMainForm

Visibility
PUBLISHED

Source code
File1 : TMenuItem

FIMAS
Class Tree
Index
Previous (FGlobalSettingsMemIniFile)
Next (FileExitAction)


Previous (File1)
Next (FileNewAction)

Name
FileExitAction

Parent
TMainForm

Visibility
PUBLISHED

Source code
FileExitAction : TAction

FIMAS
Class Tree
Index
Previous (File1)
Next (FileNewAction)


Previous (FileExitAction)
Next (FileOpenAction)

Name
FileNewAction

Parent
TMainForm

Visibility
PUBLISHED

Source code
FileNewAction : TAction

FIMAS
Class Tree
Index
Previous (FileExitAction)
Next (FileOpenAction)


Previous (FileNewAction)
Next (FilePrintAction)

Name
FileOpenAction

Parent
TMainForm

Visibility
PUBLISHED

Source code
FileOpenAction : TFileOpen

FIMAS
Class Tree
Index
Previous (FileNewAction)
Next (FilePrintAction)


Previous (FileOpenAction)
Next (FilePrintSetupAction)

Name
FilePrintAction

Parent
TMainForm

Visibility
PUBLISHED

Source code
FilePrintAction : TPrintDlg

FIMAS
Class Tree
Index
Previous (FileOpenAction)
Next (FilePrintSetupAction)


Previous (FilePrintAction)
Next (FileSaveAction)

Name
FilePrintSetupAction

Parent
TMainForm

Visibility
PUBLISHED

Source code
FilePrintSetupAction : TFilePrintSetup

FIMAS
Class Tree
Index
Previous (FilePrintAction)
Next (FileSaveAction)


Previous (FilePrintSetupAction)
Next (FileSaveAsAction)

Name
FileSaveAction

Parent
TMainForm

Visibility
PUBLISHED

Source code
FileSaveAction : TAction

FIMAS
Class Tree
Index
Previous (FilePrintSetupAction)
Next (FileSaveAsAction)


Previous (FileSaveAction)
Next (FLoadingProject)

Name
FileSaveAsAction

Parent
TMainForm

Visibility
PUBLISHED

Source code
FileSaveAsAction : TFileSaveAs

FIMAS
Class Tree
Index
Previous (FileSaveAction)
Next (FLoadingProject)


Previous (FileSaveAsAction)
Next (FMainScriptInfo)

Name
FLoadingProject

Parent
TMainForm

Visibility
PRIVATE

Source code
FLoadingProject : Boolean

FIMAS
Class Tree
Index
Previous (FileSaveAsAction)
Next (FMainScriptInfo)


Previous (FLoadingProject)
Next (FOptions)

Name
FMainScriptInfo

Parent
TMainForm

Visibility
PRIVATE

Source code
FMainScriptInfo : TasScriptInformation

FIMAS
Class Tree
Index
Previous (FLoadingProject)
Next (FOptions)


Previous (FMainScriptInfo)
Next (FPluginManager)

Name
FOptions

Parent
TMainForm

Visibility
PRIVATE

Source code
FOptions : TasOptions

FIMAS
Class Tree
Index
Previous (FMainScriptInfo)
Next (FPluginManager)


Previous (FOptions)
Next (FProcessedInputCommands)

Name
FPluginManager

Parent
TMainForm

Visibility
PRIVATE

Source code
FPluginManager : TStrangeIniFilePluginManager

FIMAS
Class Tree
Index
Previous (FOptions)
Next (FProcessedInputCommands)


Previous (FPluginManager)
Next (FProgressForm)

Name
FProcessedInputCommands

Parent
TMainForm

Visibility
PRIVATE

Source code
FProcessedInputCommands : Boolean

FIMAS
Class Tree
Index
Previous (FPluginManager)
Next (FProgressForm)


Previous (FProcessedInputCommands)
Next (FScenarioEditorForm)

Name
FProgressForm

Parent
TMainForm

Visibility
PRIVATE

Source code
FProgressForm : TProgressForm

FIMAS
Class Tree
Index
Previous (FProcessedInputCommands)
Next (FScenarioEditorForm)


Previous (FProgressForm)
Next (FTimeEvents)

Name
FScenarioEditorForm

Parent
TMainForm

Visibility
PRIVATE

Source code
FScenarioEditorForm : TScenarioEditorForm

FIMAS
Class Tree
Index
Previous (FProgressForm)
Next (FTimeEvents)


Previous (FScenarioEditorForm)
Next (FTimeEventsIntf)

Name
FTimeEvents

Parent
TMainForm

Visibility
PRIVATE

Source code
FTimeEvents : TFMSTimeEventsManager

FIMAS
Class Tree
Index
Previous (FScenarioEditorForm)
Next (FTimeEventsIntf)


Previous (FTimeEvents)
Next (FTraderStats)

Name
FTimeEventsIntf

Parent
TMainForm

Visibility
PRIVATE

Source code
FTimeEventsIntf : IFMSWorldTimeUpdateAble

FIMAS
Class Tree
Index
Previous (FTimeEvents)
Next (FTraderStats)


Previous (FTimeEventsIntf)
Next (FTransactionsOverallStats)

Name
FTraderStats

Parent
TMainForm

Visibility
PRIVATE

Source code
FTraderStats : TFMSTraderStats

FIMAS
Class Tree
Index
Previous (FTimeEventsIntf)
Next (FTransactionsOverallStats)


Previous (FTraderStats)
Next (FVCLStandardFunctions)

Name
FTransactionsOverallStats

Parent
TMainForm

Visibility
PRIVATE

Source code
FTransactionsOverallStats : TFMSShareTransactionsOverallStats

FIMAS
Class Tree
Index
Previous (FTraderStats)
Next (FVCLStandardFunctions)


Previous (FTransactionsOverallStats)
Next (FVCLStandardObjects)

Name
FVCLStandardFunctions

Parent
TMainForm

Visibility
PRIVATE

Source code
FVCLStandardFunctions : TStrangeVCLStandardFunctions

FIMAS
Class Tree
Index
Previous (FTransactionsOverallStats)
Next (FVCLStandardObjects)


Previous (FVCLStandardFunctions)
Next (FWorld)

Name
FVCLStandardObjects

Parent
TMainForm

Visibility
PRIVATE

Source code
FVCLStandardObjects : TStrangeVCLStandardObjects

FIMAS
Class Tree
Index
Previous (FVCLStandardFunctions)
Next (FWorld)


Previous (FVCLStandardObjects)
Next (Help1)

Name
FWorld

Parent
TMainForm

Visibility
PRIVATE

Source code
FWorld : TFMSRtStdEventDrivenWorld

FIMAS
Class Tree
Index
Previous (FVCLStandardObjects)
Next (Help1)


Previous (FWorld)
Next (HelpAboutAction)

Name
Help1

Parent
TMainForm

Visibility
PUBLISHED

Source code
Help1 : TMenuItem

FIMAS
Class Tree
Index
Previous (FWorld)
Next (HelpAboutAction)


Previous (Help1)
Next (HelpCommandsAction)

Name
HelpAboutAction

Parent
TMainForm

Visibility
PUBLISHED

Source code
HelpAboutAction : TAction

FIMAS
Class Tree
Index
Previous (Help1)
Next (HelpCommandsAction)


Previous (HelpAboutAction)
Next (HelpContentsAction)

Name
HelpCommandsAction

Parent
TMainForm

Visibility
PUBLISHED

Source code
HelpCommandsAction : TAction

FIMAS
Class Tree
Index
Previous (HelpAboutAction)
Next (HelpContentsAction)


Previous (HelpCommandsAction)
Next (HelpOptionsAction)

Name
HelpContentsAction

Parent
TMainForm

Visibility
PUBLISHED

Source code
HelpContentsAction : THelpContents

FIMAS
Class Tree
Index
Previous (HelpCommandsAction)
Next (HelpOptionsAction)


Previous (HelpContentsAction)
Next (ImageList)

Name
HelpOptionsAction

Parent
TMainForm

Visibility
PUBLISHED

Source code
HelpOptionsAction : TAction

FIMAS
Class Tree
Index
Previous (HelpContentsAction)
Next (ImageList)


Previous (HelpOptionsAction)
Next (MainMenu1)

Name
ImageList

Parent
TMainForm

Visibility
PUBLISHED

Source code
ImageList : TImageList

FIMAS
Class Tree
Index
Previous (HelpOptionsAction)
Next (MainMenu1)


Previous (ImageList)
Next (MinimizeAll1)

Name
MainMenu1

Parent
TMainForm

Visibility
PUBLISHED

Source code
MainMenu1 : TMainMenu

FIMAS
Class Tree
Index
Previous (ImageList)
Next (MinimizeAll1)


Previous (MainMenu1)
Next (miPlugins)

Name
MinimizeAll1

Parent
TMainForm

Visibility
PUBLISHED

Source code
MinimizeAll1 : TMenuItem

FIMAS
Class Tree
Index
Previous (MainMenu1)
Next (miPlugins)


Previous (MinimizeAll1)
Next (miTimerSpeed)

Name
miPlugins

Parent
TMainForm

Visibility
PUBLISHED

Source code
miPlugins : TMenuItem

FIMAS
Class Tree
Index
Previous (MinimizeAll1)
Next (miTimerSpeed)


Previous (miPlugins)
Next (N1)

Name
miTimerSpeed

Parent
TMainForm

Visibility
PUBLISHED

Source code
miTimerSpeed : TMenuItem

FIMAS
Class Tree
Index
Previous (miPlugins)
Next (N1)


Previous (miTimerSpeed)
Next (N10Dayss1)

Name
N1

Parent
TMainForm

Visibility
PUBLISHED

Source code
N1 : TMenuItem

FIMAS
Class Tree
Index
Previous (miTimerSpeed)
Next (N10Dayss1)


Previous (N1)
Next (N1Days1)

Name
N10Dayss1

Parent
TMainForm

Visibility
PUBLISHED

Source code
N10Dayss1 : TMenuItem

FIMAS
Class Tree
Index
Previous (N1)
Next (N1Days1)


Previous (N10Dayss1)
Next (N2)

Name
N1Days1

Parent
TMainForm

Visibility
PUBLISHED

Source code
N1Days1 : TMenuItem

FIMAS
Class Tree
Index
Previous (N10Dayss1)
Next (N2)


Previous (N1Days1)
Next (N200Dayss1)

Name
N2

Parent
TMainForm

Visibility
PUBLISHED

Source code
N2 : TMenuItem

FIMAS
Class Tree
Index
Previous (N1Days1)
Next (N200Dayss1)


Previous (N2)
Next (N20Dayss1)

Name
N200Dayss1

Parent
TMainForm

Visibility
PUBLISHED

Source code
N200Dayss1 : TMenuItem

FIMAS
Class Tree
Index
Previous (N2)
Next (N20Dayss1)


Previous (N200Dayss1)
Next (N20Dayss2)

Name
N20Dayss1

Parent
TMainForm

Visibility
PUBLISHED

Source code
N20Dayss1 : TMenuItem

FIMAS
Class Tree
Index
Previous (N200Dayss1)
Next (N20Dayss2)


Previous (N20Dayss1)
Next (N3)

Name
N20Dayss2

Parent
TMainForm

Visibility
PUBLISHED

Source code
N20Dayss2 : TMenuItem

FIMAS
Class Tree
Index
Previous (N20Dayss1)
Next (N3)


Previous (N20Dayss2)
Next (N40Dayss1)

Name
N3

Parent
TMainForm

Visibility
PUBLISHED

Source code
N3 : TMenuItem

FIMAS
Class Tree
Index
Previous (N20Dayss2)
Next (N40Dayss1)


Previous (N3)
Next (N50Dayss1)

Name
N40Dayss1

Parent
TMainForm

Visibility
PUBLISHED

Source code
N40Dayss1 : TMenuItem

FIMAS
Class Tree
Index
Previous (N3)
Next (N50Dayss1)


Previous (N40Dayss1)
Next (N5Dayss1)

Name
N50Dayss1

Parent
TMainForm

Visibility
PUBLISHED

Source code
N50Dayss1 : TMenuItem

FIMAS
Class Tree
Index
Previous (N40Dayss1)
Next (N5Dayss1)


Previous (N50Dayss1)
Next (N600Dayss1)

Name
N5Dayss1

Parent
TMainForm

Visibility
PUBLISHED

Source code
N5Dayss1 : TMenuItem

FIMAS
Class Tree
Index
Previous (N50Dayss1)
Next (N600Dayss1)


Previous (N5Dayss1)
Next (N80Dayss1)

Name
N600Dayss1

Parent
TMainForm

Visibility
PUBLISHED

Source code
N600Dayss1 : TMenuItem

FIMAS
Class Tree
Index
Previous (N5Dayss1)
Next (N80Dayss1)


Previous (N600Dayss1)
Next (New1)

Name
N80Dayss1

Parent
TMainForm

Visibility
PUBLISHED

Source code
N80Dayss1 : TMenuItem

FIMAS
Class Tree
Index
Previous (N600Dayss1)
Next (New1)


Previous (N80Dayss1)
Next (Open1)

Name
New1

Parent
TMainForm

Visibility
PUBLISHED

Source code
New1 : TMenuItem

FIMAS
Class Tree
Index
Previous (N80Dayss1)
Next (Open1)


Previous (New1)
Next (Options1)

Name
Open1

Parent
TMainForm

Visibility
PUBLISHED

Source code
Open1 : TMenuItem

FIMAS
Class Tree
Index
Previous (New1)
Next (Options1)


Previous (Open1)
Next (Pause1)

Name
Options1

Parent
TMainForm

Visibility
PUBLISHED

Source code
Options1 : TMenuItem

FIMAS
Class Tree
Index
Previous (Open1)
Next (Pause1)


Previous (Options1)
Next (PluginManager1)

Name
Pause1

Parent
TMainForm

Visibility
PUBLISHED

Source code
Pause1 : TMenuItem

FIMAS
Class Tree
Index
Previous (Options1)
Next (PluginManager1)


Previous (Pause1)
Next (PluginManagerAction)

Name
PluginManager1

Parent
TMainForm

Visibility
PUBLISHED

Source code
PluginManager1 : TMenuItem

FIMAS
Class Tree
Index
Previous (Pause1)
Next (PluginManagerAction)


Previous (PluginManager1)
Next (Print1)

Name
PluginManagerAction

Parent
TMainForm

Visibility
PUBLISHED

Source code
PluginManagerAction : TAction

FIMAS
Class Tree
Index
Previous (PluginManager1)
Next (Print1)


Previous (PluginManagerAction)
Next (PrintSetup1)

Name
Print1

Parent
TMainForm

Visibility
PUBLISHED

Source code
Print1 : TMenuItem

FIMAS
Class Tree
Index
Previous (PluginManagerAction)
Next (PrintSetup1)


Previous (Print1)
Next (PropertyEditor1)

Name
PrintSetup1

Parent
TMainForm

Visibility
PUBLISHED

Source code
PrintSetup1 : TMenuItem

FIMAS
Class Tree
Index
Previous (Print1)
Next (PropertyEditor1)


Previous (PrintSetup1)
Next (Save1)

Name
PropertyEditor1

Parent
TMainForm

Visibility
PUBLISHED

Source code
PropertyEditor1 : TMenuItem

FIMAS
Class Tree
Index
Previous (PrintSetup1)
Next (Save1)


Previous (PropertyEditor1)
Next (SaveAs1)

Name
Save1

Parent
TMainForm

Visibility
PUBLISHED

Source code
Save1 : TMenuItem

FIMAS
Class Tree
Index
Previous (PropertyEditor1)
Next (SaveAs1)


Previous (Save1)
Next (ScenarioEditor1)

Name
SaveAs1

Parent
TMainForm

Visibility
PUBLISHED

Source code
SaveAs1 : TMenuItem

FIMAS
Class Tree
Index
Previous (Save1)
Next (ScenarioEditor1)


Previous (SaveAs1)
Next (ScriptLog1)

Name
ScenarioEditor1

Parent
TMainForm

Visibility
PUBLISHED

Source code
ScenarioEditor1 : TMenuItem

FIMAS
Class Tree
Index
Previous (SaveAs1)
Next (ScriptLog1)


Previous (ScenarioEditor1)
Next (SimulationControl1)

Name
ScriptLog1

Parent
TMainForm

Visibility
PUBLISHED

Source code
ScriptLog1 : TMenuItem

FIMAS
Class Tree
Index
Previous (ScenarioEditor1)
Next (SimulationControl1)


Previous (ScriptLog1)
Next (Start1)

Name
SimulationControl1

Parent
TMainForm

Visibility
PUBLISHED

Source code
SimulationControl1 : TMenuItem

FIMAS
Class Tree
Index
Previous (ScriptLog1)
Next (Start1)


Previous (SimulationControl1)
Next (StatusBar)

Name
Start1

Parent
TMainForm

Visibility
PUBLISHED

Source code
Start1 : TMenuItem

FIMAS
Class Tree
Index
Previous (SimulationControl1)
Next (StatusBar)


Previous (Start1)
Next (StopReset1)

Name
StatusBar

Parent
TMainForm

Visibility
PUBLISHED

Source code
StatusBar : TStatusBar

FIMAS
Class Tree
Index
Previous (Start1)
Next (StopReset1)


Previous (StatusBar)
Next (TileHorizontally1)

Name
StopReset1

Parent
TMainForm

Visibility
PUBLISHED

Source code
StopReset1 : TMenuItem

FIMAS
Class Tree
Index
Previous (StatusBar)
Next (TileHorizontally1)


Previous (StopReset1)
Next (TileVertically1)

Name
TileHorizontally1

Parent
TMainForm

Visibility
PUBLISHED

Source code
TileHorizontally1 : TMenuItem

FIMAS
Class Tree
Index
Previous (StopReset1)
Next (TileVertically1)


Previous (TileHorizontally1)
Next (ToolBar1)

Name
TileVertically1

Parent
TMainForm

Visibility
PUBLISHED

Source code
TileVertically1 : TMenuItem

FIMAS
Class Tree
Index
Previous (TileHorizontally1)
Next (ToolBar1)


Previous (TileVertically1)
Next (ToolBar2)

Name
ToolBar1

Parent
TMainForm

Visibility
PUBLISHED

Source code
ToolBar1 : TToolBar

FIMAS
Class Tree
Index
Previous (TileVertically1)
Next (ToolBar2)


Previous (ToolBar1)
Next (ToolBar3)

Name
ToolBar2

Parent
TMainForm

Visibility
PUBLISHED

Source code
ToolBar2 : TToolBar

FIMAS
Class Tree
Index
Previous (ToolBar1)
Next (ToolBar3)


Previous (ToolBar2)
Next (ToolBar4)

Name
ToolBar3

Parent
TMainForm

Visibility
PUBLISHED

Source code
ToolBar3 : TToolBar

FIMAS
Class Tree
Index
Previous (ToolBar2)
Next (ToolBar4)


Previous (ToolBar3)
Next (ToolBar5)

Name
ToolBar4

Parent
TMainForm

Visibility
PUBLISHED

Source code
ToolBar4 : TToolBar

FIMAS
Class Tree
Index
Previous (ToolBar3)
Next (ToolBar5)


Previous (ToolBar4)
Next (ToolButton1)

Name
ToolBar5

Parent
TMainForm

Visibility
PUBLISHED

Source code
ToolBar5 : TToolBar

FIMAS
Class Tree
Index
Previous (ToolBar4)
Next (ToolButton1)


Previous (ToolBar5)
Next (ToolButton10)

Name
ToolButton1

Parent
TMainForm

Visibility
PUBLISHED

Source code
ToolButton1 : TToolButton

FIMAS
Class Tree
Index
Previous (ToolBar5)
Next (ToolButton10)


Previous (ToolButton1)
Next (ToolButton11)

Name
ToolButton10

Parent
TMainForm

Visibility
PUBLISHED

Source code
ToolButton10 : TToolButton

FIMAS
Class Tree
Index
Previous (ToolButton1)
Next (ToolButton11)


Previous (ToolButton10)
Next (ToolButton16)

Name
ToolButton11

Parent
TMainForm

Visibility
PUBLISHED

Source code
ToolButton11 : TToolButton

FIMAS
Class Tree
Index
Previous (ToolButton10)
Next (ToolButton16)


Previous (ToolButton11)
Next (ToolButton17)

Name
ToolButton16

Parent
TMainForm

Visibility
PUBLISHED

Source code
ToolButton16 : TToolButton

FIMAS
Class Tree
Index
Previous (ToolButton11)
Next (ToolButton17)


Previous (ToolButton16)
Next (ToolButton18)

Name
ToolButton17

Parent
TMainForm

Visibility
PUBLISHED

Source code
ToolButton17 : TToolButton

FIMAS
Class Tree
Index
Previous (ToolButton16)
Next (ToolButton18)


Previous (ToolButton17)
Next (ToolButton19)

Name
ToolButton18

Parent
TMainForm

Visibility
PUBLISHED

Source code
ToolButton18 : TToolButton

FIMAS
Class Tree
Index
Previous (ToolButton17)
Next (ToolButton19)


Previous (ToolButton18)
Next (ToolButton2)

Name
ToolButton19

Parent
TMainForm

Visibility
PUBLISHED

Source code
ToolButton19 : TToolButton

FIMAS
Class Tree
Index
Previous (ToolButton18)
Next (ToolButton2)


Previous (ToolButton19)
Next (ToolButton20)

Name
ToolButton2

Parent
TMainForm

Visibility
PUBLISHED

Source code
ToolButton2 : TToolButton

FIMAS
Class Tree
Index
Previous (ToolButton19)
Next (ToolButton20)


Previous (ToolButton2)
Next (ToolButton21)

Name
ToolButton20

Parent
TMainForm

Visibility
PUBLISHED

Source code
ToolButton20 : TToolButton

FIMAS
Class Tree
Index
Previous (ToolButton2)
Next (ToolButton21)


Previous (ToolButton20)
Next (ToolButton26)

Name
ToolButton21

Parent
TMainForm

Visibility
PUBLISHED

Source code
ToolButton21 : TToolButton

FIMAS
Class Tree
Index
Previous (ToolButton20)
Next (ToolButton26)


Previous (ToolButton21)
Next (ToolButton27)

Name
ToolButton26

Parent
TMainForm

Visibility
PUBLISHED

Source code
ToolButton26 : TToolButton

FIMAS
Class Tree
Index
Previous (ToolButton21)
Next (ToolButton27)


Previous (ToolButton26)
Next (ToolButton28)

Name
ToolButton27

Parent
TMainForm

Visibility
PUBLISHED

Source code
ToolButton27 : TToolButton

FIMAS
Class Tree
Index
Previous (ToolButton26)
Next (ToolButton28)


Previous (ToolButton27)
Next (ToolButton29)

Name
ToolButton28

Parent
TMainForm

Visibility
PUBLISHED

Source code
ToolButton28 : TToolButton

FIMAS
Class Tree
Index
Previous (ToolButton27)
Next (ToolButton29)


Previous (ToolButton28)
Next (ToolButton3)

Name
ToolButton29

Parent
TMainForm

Visibility
PUBLISHED

Source code
ToolButton29 : TToolButton

FIMAS
Class Tree
Index
Previous (ToolButton28)
Next (ToolButton3)


Previous (ToolButton29)
Next (ToolButton4)

Name
ToolButton3

Parent
TMainForm

Visibility
PUBLISHED

Source code
ToolButton3 : TToolButton

FIMAS
Class Tree
Index
Previous (ToolButton29)
Next (ToolButton4)


Previous (ToolButton3)
Next (ToolButton5)

Name
ToolButton4

Parent
TMainForm

Visibility
PUBLISHED

Source code
ToolButton4 : TToolButton

FIMAS
Class Tree
Index
Previous (ToolButton3)
Next (ToolButton5)


Previous (ToolButton4)
Next (ToolButton6)

Name
ToolButton5

Parent
TMainForm

Visibility
PUBLISHED

Source code
ToolButton5 : TToolButton

FIMAS
Class Tree
Index
Previous (ToolButton4)
Next (ToolButton6)


Previous (ToolButton5)
Next (ToolButton63)

Name
ToolButton6

Parent
TMainForm

Visibility
PUBLISHED

Source code
ToolButton6 : TToolButton

FIMAS
Class Tree
Index
Previous (ToolButton5)
Next (ToolButton63)


Previous (ToolButton6)
Next (ToolButton64)

Name
ToolButton63

Parent
TMainForm

Visibility
PUBLISHED

Source code
ToolButton63 : TToolButton

FIMAS
Class Tree
Index
Previous (ToolButton6)
Next (ToolButton64)


Previous (ToolButton63)
Next (ToolButton65)

Name
ToolButton64

Parent
TMainForm

Visibility
PUBLISHED

Source code
ToolButton64 : TToolButton

FIMAS
Class Tree
Index
Previous (ToolButton63)
Next (ToolButton65)


Previous (ToolButton64)
Next (ToolButton66)

Name
ToolButton65

Parent
TMainForm

Visibility
PUBLISHED

Source code
ToolButton65 : TToolButton

FIMAS
Class Tree
Index
Previous (ToolButton64)
Next (ToolButton66)


Previous (ToolButton65)
Next (ToolButton7)

Name
ToolButton66

Parent
TMainForm

Visibility
PUBLISHED

Source code
ToolButton66 : TToolButton

FIMAS
Class Tree
Index
Previous (ToolButton65)
Next (ToolButton7)


Previous (ToolButton66)
Next (ToolButton8)

Name
ToolButton7

Parent
TMainForm

Visibility
PUBLISHED

Source code
ToolButton7 : TToolButton

FIMAS
Class Tree
Index
Previous (ToolButton66)
Next (ToolButton8)


Previous (ToolButton7)
Next (ToolButton9)

Name
ToolButton8

Parent
TMainForm

Visibility
PUBLISHED

Source code
ToolButton8 : TToolButton

FIMAS
Class Tree
Index
Previous (ToolButton7)
Next (ToolButton9)


Previous (ToolButton8)
Next (UPSTimer)

Name
ToolButton9

Parent
TMainForm

Visibility
PUBLISHED

Source code
ToolButton9 : TToolButton

FIMAS
Class Tree
Index
Previous (ToolButton8)
Next (UPSTimer)


Previous (ToolButton9)
Next (WatchList1)

Name
UPSTimer

Parent
TMainForm

Visibility
PUBLISHED

Source code
UPSTimer : TTimer

FIMAS
Class Tree
Index
Previous (ToolButton9)
Next (WatchList1)


Previous (UPSTimer)
Next (Window1)

Name
WatchList1

Parent
TMainForm

Visibility
PUBLISHED

Source code
WatchList1 : TMenuItem

FIMAS
Class Tree
Index
Previous (UPSTimer)
Next (Window1)


Previous (WatchList1)
Next (WindowArrangeAction)

Name
Window1

Parent
TMainForm

Visibility
PUBLISHED

Source code
Window1 : TMenuItem

FIMAS
Class Tree
Index
Previous (WatchList1)
Next (WindowArrangeAction)


Previous (Window1)
Next (WindowCascadeAction)

Name
WindowArrangeAction

Parent
TMainForm

Visibility
PUBLISHED

Source code
WindowArrangeAction : TWindowArrange

FIMAS
Class Tree
Index
Previous (Window1)
Next (WindowCascadeAction)


Previous (WindowArrangeAction)
Next (WindowCloseAction)

Name
WindowCascadeAction

Parent
TMainForm

Visibility
PUBLISHED

Source code
WindowCascadeAction : TWindowCascade

FIMAS
Class Tree
Index
Previous (WindowArrangeAction)
Next (WindowCloseAction)


Previous (WindowCascadeAction)
Next (WindowMinimizeAllAction)

Name
WindowCloseAction

Parent
TMainForm

Visibility
PUBLISHED

Source code
WindowCloseAction : TWindowClose

FIMAS
Class Tree
Index
Previous (WindowCascadeAction)
Next (WindowMinimizeAllAction)


Previous (WindowCloseAction)
Next (WindowTileHorizontalAction)

Name
WindowMinimizeAllAction

Parent
TMainForm

Visibility
PUBLISHED

Source code
WindowMinimizeAllAction : TWindowMinimizeAll

FIMAS
Class Tree
Index
Previous (WindowCloseAction)
Next (WindowTileHorizontalAction)


Previous (WindowMinimizeAllAction)
Next (WindowTileVerticalAction)

Name
WindowTileHorizontalAction

Parent
TMainForm

Visibility
PUBLISHED

Source code
WindowTileHorizontalAction : TWindowTileHorizontal

FIMAS
Class Tree
Index
Previous (WindowMinimizeAllAction)
Next (WindowTileVerticalAction)


Previous (WindowTileHorizontalAction)
Next (XPManifest)

Name
WindowTileVerticalAction

Parent
TMainForm

Visibility
PUBLISHED

Source code
WindowTileVerticalAction : TWindowTileVertical

FIMAS
Class Tree
Index
Previous (WindowTileHorizontalAction)
Next (XPManifest)


Previous (WindowTileVerticalAction)
Next

Name
XPManifest

Parent
TMainForm

Visibility
PUBLISHED

Source code
XPManifest : TXPManifest

FIMAS
Class Tree
Index
Previous (WindowTileVerticalAction)
Next


Previous
Next (Cadencer)

Name
ApplicationForm

Parent
TMainForm

Visibility
PUBLISHED

Source code
property ApplicationForm : I_FMS_MainForm read FApplicationForm

Read Access
FApplicationForm

FIMAS
Class Tree
Index
Previous
Next (Cadencer)


Previous (ApplicationForm)
Next (CompanyFinancialStats)

Name
Cadencer

Parent
TMainForm

Visibility
PUBLISHED

Source code
property Cadencer : TStrangeCadencer read FCadencer write SetCadencer

Read Access
FCadencer

Write Access
SetCadencer

FIMAS
Class Tree
Index
Previous (ApplicationForm)
Next (CompanyFinancialStats)


Previous (Cadencer)
Next (CurrentFileName)

Name
CompanyFinancialStats

Parent
TMainForm

Visibility
PUBLISHED

Source code
property CompanyFinancialStats : TFMSCompanyFinancialStatsCollection read FCompanyFinancialStats write SetCompanyFinancialStats

Read Access
FCompanyFinancialStats

Write Access
SetCompanyFinancialStats

FIMAS
Class Tree
Index
Previous (Cadencer)
Next (CurrentFileName)


Previous (CompanyFinancialStats)
Next (FMSUtils)

Name
CurrentFileName

Parent
TMainForm

Visibility
PUBLISHED

Source code
property CurrentFileName : string read FCurrentFileName write SetCurrentFileName

Read Access
FCurrentFileName

Write Access
SetCurrentFileName

FIMAS
Class Tree
Index
Previous (CompanyFinancialStats)
Next (FMSUtils)


Previous (CurrentFileName)
Next (MainScriptInfo)

Name
FMSUtils

Parent
TMainForm

Visibility
PUBLISHED

Source code
property FMSUtils : TFMSUtils read FFMSUtils

Read Access
FFMSUtils

FIMAS
Class Tree
Index
Previous (CurrentFileName)
Next (MainScriptInfo)


Previous (FMSUtils)
Next (Options)

Name
MainScriptInfo

Parent
TMainForm

Visibility
PUBLISHED

Source code
property MainScriptInfo : TasScriptInformation read FMainScriptInfo write SetMainScriptInfo

Read Access
FMainScriptInfo

Write Access
SetMainScriptInfo

FIMAS
Class Tree
Index
Previous (FMSUtils)
Next (Options)


Previous (MainScriptInfo)
Next (PluginManager)

Name
Options

Parent
TMainForm

Visibility
PUBLISHED

Source code
property Options : TasOptions read FOptions write SetOptions

Read Access
FOptions

Write Access
SetOptions

FIMAS
Class Tree
Index
Previous (MainScriptInfo)
Next (PluginManager)


Previous (Options)
Next (ScenerioEditorForm)

Name
PluginManager

Parent
TMainForm

Visibility
PUBLISHED

Source code
property PluginManager : TStrangeIniFilePluginManager read FPluginManager write SetPluginManager

Read Access
FPluginManager

Write Access
SetPluginManager

FIMAS
Class Tree
Index
Previous (Options)
Next (ScenerioEditorForm)


Previous (PluginManager)
Next (TimeEvents)

Name
ScenerioEditorForm

Parent
TMainForm

Visibility
PUBLISHED

Source code
property ScenerioEditorForm : TScenarioEditorForm read FScenarioEditorForm

Read Access
FScenarioEditorForm

FIMAS
Class Tree
Index
Previous (PluginManager)
Next (TimeEvents)


Previous (ScenerioEditorForm)
Next (TransactionsOverallStats)

Name
TimeEvents

Parent
TMainForm

Visibility
PUBLISHED

Source code
property TimeEvents : TFMSTimeEventsManager read FTimeEvents

Read Access
FTimeEvents

FIMAS
Class Tree
Index
Previous (ScenerioEditorForm)
Next (TransactionsOverallStats)


Previous (TimeEvents)
Next (VCLStandardFunctions)

Name
TransactionsOverallStats

Parent
TMainForm

Visibility
PUBLISHED

Source code
property TransactionsOverallStats : TFMSShareTransactionsOverallStats read FTransactionsOverallStats write SetTransactionsOverallStats

Read Access
FTransactionsOverallStats

Write Access
SetTransactionsOverallStats

FIMAS
Class Tree
Index
Previous (TimeEvents)
Next (VCLStandardFunctions)


Previous (TransactionsOverallStats)
Next (World)

Name
VCLStandardFunctions

Parent
TMainForm

Visibility
PUBLISHED

Source code
property VCLStandardFunctions : TStrangeVCLStandardFunctions read FVCLStandardFunctions

Read Access
FVCLStandardFunctions

FIMAS
Class Tree
Index
Previous (TransactionsOverallStats)
Next (World)


Previous (VCLStandardFunctions)
Next

Name
World

Parent
TMainForm

Visibility
PUBLISHED

Source code
property World : TFMSRtStdEventDrivenWorld read FWorld write SetWorld

Read Access
FWorld

Write Access
SetWorld

FIMAS
Class Tree
Index
Previous (VCLStandardFunctions)
Next


Previous
Next (CloseMDIChildren)

Name
ApplyAllEditorScripts

Parent
TMainForm

Visibility
PUBLIC

Source code
procedure ApplyAllEditorScripts

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next (CloseMDIChildren)


Previous (ApplyAllEditorScripts)
Next (ControlsPauseActionExecute)

Name
CloseMDIChildren

Parent
TMainForm

Visibility
PUBLIC

Source code
function CloseMDIChildren : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (ApplyAllEditorScripts)
Next (ControlsPauseActionExecute)


Previous (CloseMDIChildren)
Next (ControlsStartActionExecute)

Name
ControlsPauseActionExecute

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure ControlsPauseActionExecute ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (CloseMDIChildren)
Next (ControlsStartActionExecute)


Previous (ControlsPauseActionExecute)
Next (ControlsStopActionExecute)

Name
ControlsStartActionExecute

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure ControlsStartActionExecute ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (ControlsPauseActionExecute)
Next (ControlsStopActionExecute)


Previous (ControlsStartActionExecute)
Next (ControlsStopResetActionExecute)

Name
ControlsStopActionExecute

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure ControlsStopActionExecute ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (ControlsStartActionExecute)
Next (ControlsStopResetActionExecute)


Previous (ControlsStopActionExecute)
Next (ControlsTimerSpeedActionExecute)

Name
ControlsStopResetActionExecute

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure ControlsStopResetActionExecute ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (ControlsStopActionExecute)
Next (ControlsTimerSpeedActionExecute)


Previous (ControlsStopResetActionExecute)
Next (ControlsTimerSpeedChangeActionExecute)

Name
ControlsTimerSpeedActionExecute

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure ControlsTimerSpeedActionExecute ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (ControlsStopResetActionExecute)
Next (ControlsTimerSpeedChangeActionExecute)


Previous (ControlsTimerSpeedActionExecute)
Next (CreateArrayAnalizerForm)

Name
ControlsTimerSpeedChangeActionExecute

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure ControlsTimerSpeedChangeActionExecute ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (ControlsTimerSpeedActionExecute)
Next (CreateArrayAnalizerForm)


Previous (ControlsTimerSpeedChangeActionExecute)
Next (CreatePropertyEditorForm)

Name
CreateArrayAnalizerForm

Parent
TMainForm

Visibility
PROTECTED

Source code
function CreateArrayAnalizerForm : TArrayAnalizerForm ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (ControlsTimerSpeedChangeActionExecute)
Next (CreatePropertyEditorForm)


Previous (CreateArrayAnalizerForm)
Next (CreateStandardScriptInformation)

Name
CreatePropertyEditorForm

Parent
TMainForm

Visibility
PROTECTED

Source code
function CreatePropertyEditorForm : TPropertyEditorForm ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (CreateArrayAnalizerForm)
Next (CreateStandardScriptInformation)


Previous (CreatePropertyEditorForm)
Next (CreateWatchListForm)

Name
CreateStandardScriptInformation

Parent
TMainForm

Visibility
PROTECTED

Source code
function CreateStandardScriptInformation ( const AParentForm : TForm ) : TasScriptInformation ; virtual

Parameters
Parameter | Description
AParentForm : TForm | &nbsp;

FIMAS
Class Tree
Index
Previous (CreatePropertyEditorForm)
Next (CreateWatchListForm)


Previous (CreateStandardScriptInformation)
Next (DoAfterCompile)

Name
CreateWatchListForm

Parent
TMainForm

Visibility
PROTECTED

Source code
function CreateWatchListForm : TWatchListForm ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (CreateStandardScriptInformation)
Next (DoAfterCompile)


Previous (CreateWatchListForm)
Next (DoLoadFromFile)

Name
DoAfterCompile

Parent
TMainForm

Visibility
PROTECTED

Source code
procedure DoAfterCompile ( Sender : TObject ) ; virtual

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (CreateWatchListForm)
Next (DoLoadFromFile)


Previous (DoAfterCompile)
Next (DoOnScriptCompileErrors)

Name
DoLoadFromFile

Parent
TMainForm

Visibility
PROTECTED

Source code
procedure DoLoadFromFile ( const AFileName : string ) ; virtual

Parameters
Parameter | Description
AFileName : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (DoAfterCompile)
Next (DoOnScriptCompileErrors)


Previous (DoLoadFromFile)
Next (DoOnScriptExecuteErrors)

Name
DoOnScriptCompileErrors

Parent
TMainForm

Visibility
PROTECTED

Source code
procedure DoOnScriptCompileErrors ( Sender : TasScriptInformation ) ; virtual

Parameters
Parameter | Description
Sender : TasScriptInformation | &nbsp;

FIMAS
Class Tree
Index
Previous (DoLoadFromFile)
Next (DoOnScriptExecuteErrors)


Previous (DoOnScriptCompileErrors)
Next (DoSaveToFile)

Name
DoOnScriptExecuteErrors

Parent
TMainForm

Visibility
PROTECTED

Source code
procedure DoOnScriptExecuteErrors ( Sender : TasScriptInformation ) ; virtual

Parameters
Parameter | Description
Sender : TasScriptInformation | &nbsp;

FIMAS
Class Tree
Index
Previous (DoOnScriptCompileErrors)
Next (DoSaveToFile)


Previous (DoOnScriptExecuteErrors)
Next (DoShowHint)

Name
DoSaveToFile

Parent
TMainForm

Visibility
PROTECTED

Source code
procedure DoSaveToFile ( const AFileName : string ) ; virtual

Parameters
Parameter | Description
AFileName : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (DoOnScriptExecuteErrors)
Next (DoShowHint)


Previous (DoSaveToFile)
Next (DoStartNewProject)

Name
DoShowHint

Parent
TMainForm

Visibility
PROTECTED

Source code
procedure DoShowHint ( Sender : TObject ) ; virtual

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (DoSaveToFile)
Next (DoStartNewProject)


Previous (DoShowHint)
Next (DoUpdateFromCadencer)

Name
DoStartNewProject

Parent
TMainForm

Visibility
PROTECTED

Source code
procedure DoStartNewProject ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoShowHint)
Next (DoUpdateFromCadencer)


Previous (DoStartNewProject)
Next (DoWorldInitialize)

Name
DoUpdateFromCadencer

Parent
TMainForm

Visibility
PROTECTED

Source code
procedure DoUpdateFromCadencer ( DeltaTime , NewTime : Double ) ; virtual

Parameters
Parameter | Description
DeltaTime : DOUBLE | &nbsp;
NewTime : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (DoStartNewProject)
Next (DoWorldInitialize)


Previous (DoUpdateFromCadencer)
Next (EditorsArrayAnalyserActionExecute)

Name
DoWorldInitialize

Parent
TMainForm

Visibility
PROTECTED

Source code
procedure DoWorldInitialize ( Sender : TFMSWorld ) ; virtual

Parameters
Parameter | Description
Sender : TFMSWorld | &nbsp;

FIMAS
Class Tree
Index
Previous (DoUpdateFromCadencer)
Next (EditorsArrayAnalyserActionExecute)


Previous (DoWorldInitialize)
Next (EditorsPropertyEditorActionExecute)

Name
EditorsArrayAnalyserActionExecute

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure EditorsArrayAnalyserActionExecute ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (DoWorldInitialize)
Next (EditorsPropertyEditorActionExecute)


Previous (EditorsArrayAnalyserActionExecute)
Next (EditorsScenarioEditorActionExecute)

Name
EditorsPropertyEditorActionExecute

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure EditorsPropertyEditorActionExecute ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (EditorsArrayAnalyserActionExecute)
Next (EditorsScenarioEditorActionExecute)


Previous (EditorsPropertyEditorActionExecute)
Next (EditorsScriptLogActionExecute)

Name
EditorsScenarioEditorActionExecute

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure EditorsScenarioEditorActionExecute ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (EditorsPropertyEditorActionExecute)
Next (EditorsScriptLogActionExecute)


Previous (EditorsScenarioEditorActionExecute)
Next (EditorsSimulationControlActionExecute)

Name
EditorsScriptLogActionExecute

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure EditorsScriptLogActionExecute ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (EditorsScenarioEditorActionExecute)
Next (EditorsSimulationControlActionExecute)


Previous (EditorsScriptLogActionExecute)
Next (EditorsWatchListActionExecute)

Name
EditorsSimulationControlActionExecute

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure EditorsSimulationControlActionExecute ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (EditorsScriptLogActionExecute)
Next (EditorsWatchListActionExecute)


Previous (EditorsSimulationControlActionExecute)
Next (FileExitActionExecute)

Name
EditorsWatchListActionExecute

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure EditorsWatchListActionExecute ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (EditorsSimulationControlActionExecute)
Next (FileExitActionExecute)


Previous (EditorsWatchListActionExecute)
Next (FileNewActionExecute)

Name
FileExitActionExecute

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure FileExitActionExecute ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (EditorsWatchListActionExecute)
Next (FileNewActionExecute)


Previous (FileExitActionExecute)
Next (FileOpenActionAccept)

Name
FileNewActionExecute

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure FileNewActionExecute ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (FileExitActionExecute)
Next (FileOpenActionAccept)


Previous (FileNewActionExecute)
Next (FilePrintActionAccept)

Name
FileOpenActionAccept

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure FileOpenActionAccept ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (FileNewActionExecute)
Next (FilePrintActionAccept)


Previous (FileOpenActionAccept)
Next (FilePrintSetupActionAccept)

Name
FilePrintActionAccept

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure FilePrintActionAccept ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (FileOpenActionAccept)
Next (FilePrintSetupActionAccept)


Previous (FilePrintActionAccept)
Next (FileSaveActionExecute)

Name
FilePrintSetupActionAccept

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure FilePrintSetupActionAccept ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (FilePrintActionAccept)
Next (FileSaveActionExecute)


Previous (FilePrintSetupActionAccept)
Next (FileSaveAsActionAccept)

Name
FileSaveActionExecute

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure FileSaveActionExecute ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (FilePrintSetupActionAccept)
Next (FileSaveAsActionAccept)


Previous (FileSaveActionExecute)
Next (FormClose)

Name
FileSaveAsActionAccept

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure FileSaveAsActionAccept ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (FileSaveActionExecute)
Next (FormClose)


Previous (FileSaveAsActionAccept)
Next (FormCloseQuery)

Name
FormClose

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure FormClose ( Sender : TObject ; var Action : TCloseAction )

Parameters
Parameter | Description
Sender : TObject | &nbsp;
Action : TCloseAction | &nbsp;

FIMAS
Class Tree
Index
Previous (FileSaveAsActionAccept)
Next (FormCloseQuery)


Previous (FormClose)
Next (FormCreate)

Name
FormCloseQuery

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure FormCloseQuery ( Sender : TObject ; var CanClose : Boolean )

Parameters
Parameter | Description
Sender : TObject | &nbsp;
CanClose : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (FormClose)
Next (FormCreate)


Previous (FormCloseQuery)
Next (FormShow)

Name
FormCreate

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure FormCreate ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (FormCloseQuery)
Next (FormShow)


Previous (FormCreate)
Next (GenerateStandardScript)

Name
FormShow

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure FormShow ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (FormCreate)
Next (GenerateStandardScript)


Previous (FormShow)
Next (GetCadencer)

Name
GenerateStandardScript

Parent
TMainForm

Visibility
PROTECTED

Source code
procedure GenerateStandardScript ( const AScript : TStrings ) ; virtual

Parameters
Parameter | Description
AScript : TStrings | &nbsp;

FIMAS
Class Tree
Index
Previous (FormShow)
Next (GetCadencer)


Previous (GenerateStandardScript)
Next (GetCompanyFinancialStats)

Name
GetCadencer

Parent
TMainForm

Visibility
PRIVATE

Source code
function GetCadencer : IStrangeCadencer

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GenerateStandardScript)
Next (GetCompanyFinancialStats)


Previous (GetCadencer)
Next (GetFMSUtils)

Name
GetCompanyFinancialStats

Parent
TMainForm

Visibility
PRIVATE

Source code
function GetCompanyFinancialStats : IFMSCompanyFinancialStatsCollection

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCadencer)
Next (GetFMSUtils)


Previous (GetCompanyFinancialStats)
Next (GetMainScriptInfo)

Name
GetFMSUtils

Parent
TMainForm

Visibility
PRIVATE

Source code
function GetFMSUtils : IFMSUtils

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCompanyFinancialStats)
Next (GetMainScriptInfo)


Previous (GetFMSUtils)
Next (GetOptions)

Name
GetMainScriptInfo

Parent
TMainForm

Visibility
PRIVATE

Source code
function GetMainScriptInfo : IasScriptInformation

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetFMSUtils)
Next (GetOptions)


Previous (GetMainScriptInfo)
Next (GetOrCreatePluginManagerForm)

Name
GetOptions

Parent
TMainForm

Visibility
PRIVATE

Source code
function GetOptions : IasOptions

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetMainScriptInfo)
Next (GetOrCreatePluginManagerForm)


Previous (GetOptions)
Next (GetOrCreateScriptLogForm)

Name
GetOrCreatePluginManagerForm

Parent
TMainForm

Visibility
PROTECTED

Source code
function GetOrCreatePluginManagerForm : TStrangePluginManagerForm ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetOptions)
Next (GetOrCreateScriptLogForm)


Previous (GetOrCreatePluginManagerForm)
Next (GetOrCreateScriptLogForm_Intf)

Name
GetOrCreateScriptLogForm

Parent
TMainForm

Visibility
PROTECTED

Source code
function GetOrCreateScriptLogForm : TScriptLogForm ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetOrCreatePluginManagerForm)
Next (GetOrCreateScriptLogForm_Intf)


Previous (GetOrCreateScriptLogForm)
Next (GetOrCreateSimulationControlForm)

Name
GetOrCreateScriptLogForm_Intf

Parent
TMainForm

Visibility
PRIVATE

Source code
function GetOrCreateScriptLogForm_Intf : I_FMS_ScriptLogForm

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetOrCreateScriptLogForm)
Next (GetOrCreateSimulationControlForm)


Previous (GetOrCreateScriptLogForm_Intf)
Next (GetOrCreateSimulationControlForm_Intf)

Name
GetOrCreateSimulationControlForm

Parent
TMainForm

Visibility
PROTECTED

Source code
function GetOrCreateSimulationControlForm : TSimulationControlForm ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetOrCreateScriptLogForm_Intf)
Next (GetOrCreateSimulationControlForm_Intf)


Previous (GetOrCreateSimulationControlForm)
Next (GetPCurrentFileName)

Name
GetOrCreateSimulationControlForm_Intf

Parent
TMainForm

Visibility
PRIVATE

Source code
function GetOrCreateSimulationControlForm_Intf : I_FMS_SimulationControlForm

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetOrCreateSimulationControlForm)
Next (GetPCurrentFileName)


Previous (GetOrCreateSimulationControlForm_Intf)
Next (GetProgressForm)

Name
GetPCurrentFileName

Parent
TMainForm

Visibility
PRIVATE

Source code
function GetPCurrentFileName : PChar

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetOrCreateSimulationControlForm_Intf)
Next (GetProgressForm)


Previous (GetPCurrentFileName)
Next (GetPShortFileName)

Name
GetProgressForm

Parent
TMainForm

Visibility
PRIVATE

Source code
function GetProgressForm : I_FMS_ProgressForm

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetPCurrentFileName)
Next (GetPShortFileName)


Previous (GetProgressForm)
Next (GetScenarioEditorForm)

Name
GetPShortFileName

Parent
TMainForm

Visibility
PRIVATE

Source code
function GetPShortFileName : PChar

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetProgressForm)
Next (GetScenarioEditorForm)


Previous (GetPShortFileName)
Next (GetShortFileName)

Name
GetScenarioEditorForm

Parent
TMainForm

Visibility
PRIVATE

Source code
function GetScenarioEditorForm : I_FMS_ScenarioEditorForm

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetPShortFileName)
Next (GetShortFileName)


Previous (GetScenarioEditorForm)
Next (GetTransactionsOverallStats)

Name
GetShortFileName

Parent
TMainForm

Visibility
PROTECTED

Source code
function GetShortFileName ( const AFullFileName : string = '' ) : string

Parameters
Parameter | Description
AFullFileName : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (GetScenarioEditorForm)
Next (GetTransactionsOverallStats)


Previous (GetShortFileName)
Next (GetVCLStandardFunctions)

Name
GetTransactionsOverallStats

Parent
TMainForm

Visibility
PRIVATE

Source code
function GetTransactionsOverallStats : IFMSShareTransactionsOverallStats

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetShortFileName)
Next (GetVCLStandardFunctions)


Previous (GetTransactionsOverallStats)
Next (GetVCLStandardObjects)

Name
GetVCLStandardFunctions

Parent
TMainForm

Visibility
PRIVATE

Source code
function GetVCLStandardFunctions : IStrangeVCLStandardFunctions

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetTransactionsOverallStats)
Next (GetVCLStandardObjects)


Previous (GetVCLStandardFunctions)
Next (GetWorld)

Name
GetVCLStandardObjects

Parent
TMainForm

Visibility
PRIVATE

Source code
function GetVCLStandardObjects : IStrangeVCLStandardObjects

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetVCLStandardFunctions)
Next (GetWorld)


Previous (GetVCLStandardObjects)
Next (HelpAboutActionExecute)

Name
GetWorld

Parent
TMainForm

Visibility
PRIVATE

Source code
function GetWorld : IFMSRtStdEventDrivenWorld

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetVCLStandardObjects)
Next (HelpAboutActionExecute)


Previous (GetWorld)
Next (HelpCommandsActionExecute)

Name
HelpAboutActionExecute

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure HelpAboutActionExecute ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (GetWorld)
Next (HelpCommandsActionExecute)


Previous (HelpAboutActionExecute)
Next (HelpContentsActionExecute)

Name
HelpCommandsActionExecute

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure HelpCommandsActionExecute ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (HelpAboutActionExecute)
Next (HelpContentsActionExecute)


Previous (HelpCommandsActionExecute)
Next (HelpOptionsActionExecute)

Name
HelpContentsActionExecute

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure HelpContentsActionExecute ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (HelpCommandsActionExecute)
Next (HelpOptionsActionExecute)


Previous (HelpContentsActionExecute)
Next (InitializeScriptInformation)

Name
HelpOptionsActionExecute

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure HelpOptionsActionExecute ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (HelpContentsActionExecute)
Next (InitializeScriptInformation)


Previous (HelpOptionsActionExecute)
Next (IsKnownFormType)

Name
InitializeScriptInformation

Parent
TMainForm

Visibility
PROTECTED

Source code
procedure InitializeScriptInformation ( const AScriptInformation : TasScriptInformation ; const AParentForm : TForm ) ; virtual

Parameters
Parameter | Description
AScriptInformation : TasScriptInformation | &nbsp;
AParentForm : TForm | &nbsp;

FIMAS
Class Tree
Index
Previous (HelpOptionsActionExecute)
Next (IsKnownFormType)


Previous (InitializeScriptInformation)
Next (I_FMS_MainForm)

Name
IsKnownFormType

Parent
TMainForm

Visibility
PROTECTED

Source code
function IsKnownFormType ( const AForm : TForm ) : Boolean

Parameters
Parameter | Description
AForm : TForm | &nbsp;

FIMAS
Class Tree
Index
Previous (InitializeScriptInformation)
Next (I_FMS_MainForm)


Previous (I_FMS_MainForm)
Next (I_FMS_MainForm)

Name
I_FMS_MainForm

Parent
TMainForm

Visibility
PROTECTED

Source code
function I_FMS_MainForm . GetOwner = GetOwnerIntf

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (I_FMS_MainForm)
Next (I_FMS_MainForm)


Previous (I_FMS_MainForm)
Next (Reset)

Name
PluginManagerActionExecute

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure PluginManagerActionExecute ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (I_FMS_MainForm)
Next (Reset)


Previous (PluginManagerActionExecute)
Next (SetCadencer)

Name
Reset

Parent
TMainForm

Visibility
PUBLIC

Source code
procedure Reset

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (PluginManagerActionExecute)
Next (SetCadencer)


Previous (Reset)
Next (SetCompanyFinancialStats)

Name
SetCadencer

Parent
TMainForm

Visibility
PRIVATE

Source code
procedure SetCadencer ( const Value : TStrangeCadencer )

Parameters
Parameter | Description
Value : TStrangeCadencer | &nbsp;

FIMAS
Class Tree
Index
Previous (Reset)
Next (SetCompanyFinancialStats)


Previous (SetCadencer)
Next (SetCurrentFileName)

Name
SetCompanyFinancialStats

Parent
TMainForm

Visibility
PRIVATE

Source code
procedure SetCompanyFinancialStats ( const Value : TFMSCompanyFinancialStatsCollection )

Parameters
Parameter | Description
Value : TFMSCompanyFinancialStatsCollection | &nbsp;

FIMAS
Class Tree
Index
Previous (SetCadencer)
Next (SetCurrentFileName)


Previous (SetCompanyFinancialStats)
Next (SetMainScriptInfo)

Name
SetCurrentFileName

Parent
TMainForm

Visibility
PRIVATE

Source code
procedure SetCurrentFileName ( const Value : string )

Parameters
Parameter | Description
Value : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (SetCompanyFinancialStats)
Next (SetMainScriptInfo)


Previous (SetCurrentFileName)
Next (SetOptions)

Name
SetMainScriptInfo

Parent
TMainForm

Visibility
PRIVATE

Source code
procedure SetMainScriptInfo ( const Value : TasScriptInformation )

Parameters
Parameter | Description
Value : TasScriptInformation | &nbsp;

FIMAS
Class Tree
Index
Previous (SetCurrentFileName)
Next (SetOptions)


Previous (SetMainScriptInfo)
Next (SetPCurrentFileName)

Name
SetOptions

Parent
TMainForm

Visibility
PRIVATE

Source code
procedure SetOptions ( const Value : TasOptions )

Parameters
Parameter | Description
Value : TasOptions | &nbsp;

FIMAS
Class Tree
Index
Previous (SetMainScriptInfo)
Next (SetPCurrentFileName)


Previous (SetOptions)
Next (SetPluginManager)

Name
SetPCurrentFileName

Parent
TMainForm

Visibility
PRIVATE

Source code
procedure SetPCurrentFileName ( const Value : PChar )

Parameters
Parameter | Description
Value : PCHAR | &nbsp;

FIMAS
Class Tree
Index
Previous (SetOptions)
Next (SetPluginManager)


Previous (SetPCurrentFileName)
Next (SetTransactionsOverallStats)

Name
SetPluginManager

Parent
TMainForm

Visibility
PRIVATE

Source code
procedure SetPluginManager ( const Value : TStrangeIniFilePluginManager )

Parameters
Parameter | Description
Value : TStrangeIniFilePluginManager | &nbsp;

FIMAS
Class Tree
Index
Previous (SetPCurrentFileName)
Next (SetTransactionsOverallStats)


Previous (SetPluginManager)
Next (SetWorld)

Name
SetTransactionsOverallStats

Parent
TMainForm

Visibility
PRIVATE

Source code
procedure SetTransactionsOverallStats ( const Value : TFMSShareTransactionsOverallStats )

Parameters
Parameter | Description
Value : TFMSShareTransactionsOverallStats | &nbsp;

FIMAS
Class Tree
Index
Previous (SetPluginManager)
Next (SetWorld)


Previous (SetTransactionsOverallStats)
Next (UnMinimizeMDIChildren)

Name
SetWorld

Parent
TMainForm

Visibility
PRIVATE

Source code
procedure SetWorld ( const Value : TFMSRtStdEventDrivenWorld )

Parameters
Parameter | Description
Value : TFMSRtStdEventDrivenWorld | &nbsp;

FIMAS
Class Tree
Index
Previous (SetTransactionsOverallStats)
Next (UnMinimizeMDIChildren)


Previous (SetWorld)
Next (UPSTimerTimer)

Name
UnMinimizeMDIChildren

Parent
TMainForm

Visibility
PROTECTED

Source code
procedure UnMinimizeMDIChildren

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SetWorld)
Next (UPSTimerTimer)


Previous (UnMinimizeMDIChildren)
Next (WindowArrangeActionExecute)

Name
UPSTimerTimer

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure UPSTimerTimer ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (UnMinimizeMDIChildren)
Next (WindowArrangeActionExecute)


Previous (UPSTimerTimer)
Next (WindowCascadeActionExecute)

Name
WindowArrangeActionExecute

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure WindowArrangeActionExecute ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (UPSTimerTimer)
Next (WindowCascadeActionExecute)


Previous (WindowArrangeActionExecute)
Next (WindowCloseActionExecute)

Name
WindowCascadeActionExecute

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure WindowCascadeActionExecute ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (WindowArrangeActionExecute)
Next (WindowCloseActionExecute)


Previous (WindowCascadeActionExecute)
Next (WindowMinimizeAllActionExecute)

Name
WindowCloseActionExecute

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure WindowCloseActionExecute ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (WindowCascadeActionExecute)
Next (WindowMinimizeAllActionExecute)


Previous (WindowCloseActionExecute)
Next (WindowTileHorizontalActionExecute)

Name
WindowMinimizeAllActionExecute

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure WindowMinimizeAllActionExecute ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (WindowCloseActionExecute)
Next (WindowTileHorizontalActionExecute)


Previous (WindowMinimizeAllActionExecute)
Next (WindowTileVerticalActionExecute)

Name
WindowTileHorizontalActionExecute

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure WindowTileHorizontalActionExecute ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (WindowMinimizeAllActionExecute)
Next (WindowTileVerticalActionExecute)


Previous (WindowTileHorizontalActionExecute)
Next

Name
WindowTileVerticalActionExecute

Parent
TMainForm

Visibility
PUBLISHED

Source code
procedure WindowTileVerticalActionExecute ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (WindowTileHorizontalActionExecute)
Next


Previous
Next

Name
MainForm

Parent
uMainForm

Visibility
PUBLIC

Source code
MainForm : TMainForm

FIMAS
Class Tree
Index
Previous
Next


Previous (uMainForm)
Next (uProgressForm)

Name
uOptionsForm

Parent
FIMAS

Description
Application Options Form.

Variables
Variable Description
OptionsForm (+)

Classes
Class Description
TOptionsForm (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (uMainForm)
Next (uProgressForm)


Previous
Next

Name
TOptionsForm

Parent
uOptionsForm

Class Hierarchy
TStrangeSimpleNotificationSenderForm

Visibility
PUBLIC

Members
Fields
Field Description
btClose (*)
cbDisplayReadOnly (*)
cbEditorReadOnly (*)
Edit1 (*)
Edit2 (*)
FOptions (-)
GroupBox1 (*)
GroupBox2 (*)
GroupBox4 (*)
PageControl (*)
Panel1 (*)
rgFirstStatusPanel (*)
rgProjectStorageFormat (*)
rgScriptVerboseMode (*)
rgSecondStatusPanel (*)
TabSheet1 (*)
tsGeneral (*)
udCyclePeriod (*)
udStatsUpdatePeriod (*)

Methods
Method Description
btCloseClick (*)
cbDisplayReadOnlyClick (*)
cbEditorReadOnlyClick (*)
FormClose (*)
GetOrCreate (+)
rgFirstStatusPanelClick (*)
rgProjectStorageFormatClick (*)
rgScriptVerboseModeClick (*)
rgSecondStatusPanelClick (*)
udCyclePeriodClick (*)
udStatsUpdatePeriodClick (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (cbDisplayReadOnly)

Name
btClose

Parent
TOptionsForm

Visibility
PUBLISHED

Source code
btClose : TButton

FIMAS
Class Tree
Index
Previous
Next (cbDisplayReadOnly)


Previous (btClose)
Next (cbEditorReadOnly)

Name
cbDisplayReadOnly

Parent
TOptionsForm

Visibility
PUBLISHED

Source code
cbDisplayReadOnly : TCheckBox

FIMAS
Class Tree
Index
Previous (btClose)
Next (cbEditorReadOnly)


Previous (cbDisplayReadOnly)
Next (Edit1)

Name
cbEditorReadOnly

Parent
TOptionsForm

Visibility
PUBLISHED

Source code
cbEditorReadOnly : TCheckBox

FIMAS
Class Tree
Index
Previous (cbDisplayReadOnly)
Next (Edit1)


Previous (cbEditorReadOnly)
Next (Edit2)

Name
Edit1

Parent
TOptionsForm

Visibility
PUBLISHED

Source code
Edit1 : TEdit

FIMAS
Class Tree
Index
Previous (cbEditorReadOnly)
Next (Edit2)


Previous (Edit1)
Next (FOptions)

Name
Edit2

Parent
TOptionsForm

Visibility
PUBLISHED

Source code
Edit2 : TEdit

FIMAS
Class Tree
Index
Previous (Edit1)
Next (FOptions)


Previous (Edit2)
Next (GroupBox1)

Name
FOptions

Parent
TOptionsForm

Visibility
PRIVATE

Source code
FOptions : TasOptions

FIMAS
Class Tree
Index
Previous (Edit2)
Next (GroupBox1)


Previous (FOptions)
Next (GroupBox2)

Name
GroupBox1

Parent
TOptionsForm

Visibility
PUBLISHED

Source code
GroupBox1 : TGroupBox

FIMAS
Class Tree
Index
Previous (FOptions)
Next (GroupBox2)


Previous (GroupBox1)
Next (GroupBox4)

Name
GroupBox2

Parent
TOptionsForm

Visibility
PUBLISHED

Source code
GroupBox2 : TGroupBox

FIMAS
Class Tree
Index
Previous (GroupBox1)
Next (GroupBox4)


Previous (GroupBox2)
Next (PageControl)

Name
GroupBox4

Parent
TOptionsForm

Visibility
PUBLISHED

Source code
GroupBox4 : TGroupBox

FIMAS
Class Tree
Index
Previous (GroupBox2)
Next (PageControl)


Previous (GroupBox4)
Next (Panel1)

Name
PageControl

Parent
TOptionsForm

Visibility
PUBLISHED

Source code
PageControl : TPageControl

FIMAS
Class Tree
Index
Previous (GroupBox4)
Next (Panel1)


Previous (PageControl)
Next (rgFirstStatusPanel)

Name
Panel1

Parent
TOptionsForm

Visibility
PUBLISHED

Source code
Panel1 : TPanel

FIMAS
Class Tree
Index
Previous (PageControl)
Next (rgFirstStatusPanel)


Previous (Panel1)
Next (rgProjectStorageFormat)

Name
rgFirstStatusPanel

Parent
TOptionsForm

Visibility
PUBLISHED

Source code
rgFirstStatusPanel : TRadioGroup

FIMAS
Class Tree
Index
Previous (Panel1)
Next (rgProjectStorageFormat)


Previous (rgFirstStatusPanel)
Next (rgScriptVerboseMode)

Name
rgProjectStorageFormat

Parent
TOptionsForm

Visibility
PUBLISHED

Source code
rgProjectStorageFormat : TRadioGroup

FIMAS
Class Tree
Index
Previous (rgFirstStatusPanel)
Next (rgScriptVerboseMode)


Previous (rgProjectStorageFormat)
Next (rgSecondStatusPanel)

Name
rgScriptVerboseMode

Parent
TOptionsForm

Visibility
PUBLISHED

Source code
rgScriptVerboseMode : TRadioGroup

FIMAS
Class Tree
Index
Previous (rgProjectStorageFormat)
Next (rgSecondStatusPanel)


Previous (rgScriptVerboseMode)
Next (TabSheet1)

Name
rgSecondStatusPanel

Parent
TOptionsForm

Visibility
PUBLISHED

Source code
rgSecondStatusPanel : TRadioGroup

FIMAS
Class Tree
Index
Previous (rgScriptVerboseMode)
Next (TabSheet1)


Previous (rgSecondStatusPanel)
Next (tsGeneral)

Name
TabSheet1

Parent
TOptionsForm

Visibility
PUBLISHED

Source code
TabSheet1 : TTabSheet

FIMAS
Class Tree
Index
Previous (rgSecondStatusPanel)
Next (tsGeneral)


Previous (TabSheet1)
Next (udCyclePeriod)

Name
tsGeneral

Parent
TOptionsForm

Visibility
PUBLISHED

Source code
tsGeneral : TTabSheet

FIMAS
Class Tree
Index
Previous (TabSheet1)
Next (udCyclePeriod)


Previous (tsGeneral)
Next (udStatsUpdatePeriod)

Name
udCyclePeriod

Parent
TOptionsForm

Visibility
PUBLISHED

Source code
udCyclePeriod : TUpDown

FIMAS
Class Tree
Index
Previous (tsGeneral)
Next (udStatsUpdatePeriod)


Previous (udCyclePeriod)
Next

Name
udStatsUpdatePeriod

Parent
TOptionsForm

Visibility
PUBLISHED

Source code
udStatsUpdatePeriod : TUpDown

FIMAS
Class Tree
Index
Previous (udCyclePeriod)
Next


Previous
Next (cbDisplayReadOnlyClick)

Name
btCloseClick

Parent
TOptionsForm

Visibility
PUBLISHED

Source code
procedure btCloseClick ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (cbDisplayReadOnlyClick)


Previous (btCloseClick)
Next (cbEditorReadOnlyClick)

Name
cbDisplayReadOnlyClick

Parent
TOptionsForm

Visibility
PUBLISHED

Source code
procedure cbDisplayReadOnlyClick ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (btCloseClick)
Next (cbEditorReadOnlyClick)


Previous (cbDisplayReadOnlyClick)
Next (FormClose)

Name
cbEditorReadOnlyClick

Parent
TOptionsForm

Visibility
PUBLISHED

Source code
procedure cbEditorReadOnlyClick ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (cbDisplayReadOnlyClick)
Next (FormClose)


Previous (cbEditorReadOnlyClick)
Next (GetOrCreate)

Name
FormClose

Parent
TOptionsForm

Visibility
PUBLISHED

Source code
procedure FormClose ( Sender : TObject ; var Action : TCloseAction )

Parameters
Parameter | Description
Sender : TObject | &nbsp;
Action : TCloseAction | &nbsp;

FIMAS
Class Tree
Index
Previous (cbEditorReadOnlyClick)
Next (GetOrCreate)


Previous (FormClose)
Next (rgFirstStatusPanelClick)

Name
GetOrCreate

Parent
TOptionsForm

Visibility
PUBLIC

Source code
class function GetOrCreate ( const AOwner : TComponent ; const AOptions : TasOptions ) : TOptionsForm

Parameters
Parameter | Description
AOwner : TComponent | &nbsp;
AOptions : TasOptions | &nbsp;

FIMAS
Class Tree
Index
Previous (FormClose)
Next (rgFirstStatusPanelClick)


Previous (GetOrCreate)
Next (rgProjectStorageFormatClick)

Name
rgFirstStatusPanelClick

Parent
TOptionsForm

Visibility
PUBLISHED

Source code
procedure rgFirstStatusPanelClick ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (GetOrCreate)
Next (rgProjectStorageFormatClick)


Previous (rgFirstStatusPanelClick)
Next (rgScriptVerboseModeClick)

Name
rgProjectStorageFormatClick

Parent
TOptionsForm

Visibility
PUBLISHED

Source code
procedure rgProjectStorageFormatClick ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (rgFirstStatusPanelClick)
Next (rgScriptVerboseModeClick)


Previous (rgProjectStorageFormatClick)
Next (rgSecondStatusPanelClick)

Name
rgScriptVerboseModeClick

Parent
TOptionsForm

Visibility
PUBLISHED

Source code
procedure rgScriptVerboseModeClick ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (rgProjectStorageFormatClick)
Next (rgSecondStatusPanelClick)


Previous (rgScriptVerboseModeClick)
Next (udCyclePeriodClick)

Name
rgSecondStatusPanelClick

Parent
TOptionsForm

Visibility
PUBLISHED

Source code
procedure rgSecondStatusPanelClick ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (rgScriptVerboseModeClick)
Next (udCyclePeriodClick)


Previous (rgSecondStatusPanelClick)
Next (udStatsUpdatePeriodClick)

Name
udCyclePeriodClick

Parent
TOptionsForm

Visibility
PUBLISHED

Source code
procedure udCyclePeriodClick ( Sender : TObject ; Button : TUDBtnType )

Parameters
Parameter | Description
Sender : TObject | &nbsp;
Button : TUDBtnType | &nbsp;

FIMAS
Class Tree
Index
Previous (rgSecondStatusPanelClick)
Next (udStatsUpdatePeriodClick)


Previous (udCyclePeriodClick)
Next

Name
udStatsUpdatePeriodClick

Parent
TOptionsForm

Visibility
PUBLISHED

Source code
procedure udStatsUpdatePeriodClick ( Sender : TObject ; Button : TUDBtnType )

Parameters
Parameter | Description
Sender : TObject | &nbsp;
Button : TUDBtnType | &nbsp;

FIMAS
Class Tree
Index
Previous (udCyclePeriodClick)
Next


Previous
Next

Name
OptionsForm

Parent
uOptionsForm

Visibility
PUBLIC

Source code
OptionsForm : TOptionsForm

FIMAS
Class Tree
Index
Previous
Next


Previous (uOptionsForm)
Next (uPropertyEditorForm)

Name
uProgressForm

Parent
FIMAS

Description
Application Progress Form.

Classes
Class Description
TProgressForm (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (uOptionsForm)
Next (uPropertyEditorForm)


Previous
Next

Name
TProgressForm

Parent
uProgressForm

Class Hierarchy
TStrangeInterfacedForm,I_FMS_ProgressForm

Visibility
PUBLIC

Members
Fields
Field Description
Image (*)
lbLoadingProgress (*)
lbMainText (*)
ProgressBar (*)

Methods
Method Description
I_FMS_ProgressForm (#)
I_FMS_ProgressForm (#)
I_FMS_ProgressForm (#)
I_FMS_ProgressForm (#)
I_FMS_ProgressForm (#)
I_FMS_ProgressForm (#)
Progress (+)
SetLoadingProgressInfoLabelVisible (#)
SetupProperties (+)
SetupPropertiesIntf (#)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (lbLoadingProgress)

Name
Image

Parent
TProgressForm

Visibility
PUBLISHED

Source code
Image : TImage

FIMAS
Class Tree
Index
Previous
Next (lbLoadingProgress)


Previous (Image)
Next (lbMainText)

Name
lbLoadingProgress

Parent
TProgressForm

Visibility
PUBLISHED

Source code
lbLoadingProgress : TLabel

FIMAS
Class Tree
Index
Previous (Image)
Next (lbMainText)


Previous (lbLoadingProgress)
Next (ProgressBar)

Name
lbMainText

Parent
TProgressForm

Visibility
PUBLISHED

Source code
lbMainText : TLabel

FIMAS
Class Tree
Index
Previous (lbLoadingProgress)
Next (ProgressBar)


Previous (lbMainText)
Next

Name
ProgressBar

Parent
TProgressForm

Visibility
PUBLISHED

Source code
ProgressBar : TProgressBar

FIMAS
Class Tree
Index
Previous (lbMainText)
Next


Previous (I_FMS_ProgressForm)
Next (I_FMS_ProgressForm)

Name
I_FMS_ProgressForm

Parent
TProgressForm

Visibility
PROTECTED

Source code
function I_FMS_ProgressForm . GetName = GetNameIntf

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (I_FMS_ProgressForm)
Next (I_FMS_ProgressForm)


Previous (I_FMS_ProgressForm)
Next (SetLoadingProgressInfoLabelVisible)

Name
Progress

Parent
TProgressForm

Visibility
PUBLIC

Source code
procedure Progress ( const AOperationPosition : Integer ; const AOperationDescription : PChar )

Parameters
Parameter | Description
AOperationPosition : INTEGER | &nbsp;
AOperationDescription : PCHAR | &nbsp;

FIMAS
Class Tree
Index
Previous (I_FMS_ProgressForm)
Next (SetLoadingProgressInfoLabelVisible)


Previous (Progress)
Next (SetupProperties)

Name
SetLoadingProgressInfoLabelVisible

Parent
TProgressForm

Visibility
PROTECTED

Source code
procedure SetLoadingProgressInfoLabelVisible ( const AValue : Boolean )

Parameters
Parameter | Description
AValue : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (Progress)
Next (SetupProperties)


Previous (SetLoadingProgressInfoLabelVisible)
Next (SetupPropertiesIntf)

Name
SetupProperties

Parent
TProgressForm

Visibility
PUBLIC

Source code
procedure SetupProperties ( const ACaption : string ; const AMinPosition , AMaxPosition , ACurrentPosition : Integer ; const ALoadingProgressInfoLabelVisible : Boolean = False ; const ALoadingProgressInfoLabelText : string = '[3/10 items loaded]' )

Parameters
Parameter | Description
ACaption : STRING | &nbsp;
AMinPosition : INTEGER | &nbsp;
AMaxPosition : INTEGER | &nbsp;
ACurrentPosition : INTEGER | &nbsp;
ALoadingProgressInfoLabelVisible : BOOLEAN | &nbsp;
ALoadingProgressInfoLabelText : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (SetLoadingProgressInfoLabelVisible)
Next (SetupPropertiesIntf)


Previous (SetupProperties)
Next

Name
SetupPropertiesIntf

Parent
TProgressForm

Visibility
PROTECTED

Source code
procedure SetupPropertiesIntf ( const ACaption : PChar ; const AMinPosition , AMaxPosition , ACurrentPosition : Integer ; const ALoadingProgressInfoLabelVisible : Boolean ; const ALoadingProgressInfoLabelText : PChar )

Parameters
Parameter | Description
ACaption : PCHAR | &nbsp;
AMinPosition : INTEGER | &nbsp;
AMaxPosition : INTEGER | &nbsp;
ACurrentPosition : INTEGER | &nbsp;
ALoadingProgressInfoLabelVisible : BOOLEAN | &nbsp;
ALoadingProgressInfoLabelText : PCHAR | &nbsp;

FIMAS
Class Tree
Index
Previous (SetupProperties)
Next


Previous (uProgressForm)
Next (uScenarioEditorForm)

Name
uPropertyEditorForm

Parent
FIMAS

Description
Application Property Editor Form.

Classes
Class Description
TPropertyEditorForm (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (uProgressForm)
Next (uScenarioEditorForm)


Previous
Next

Name
TPropertyEditorForm

Parent
uPropertyEditorForm

Class Hierarchy
TStrangeSimpleNotificationSenderForm,IStrangeCadenceAble,I_FMS_PropertyEditorForm

Visibility
PUBLIC

Members
Fields
Field Description
asScriptEditorFrame (*)
btnLoad (*)
btnRootObject (*)
btnSave (*)
btnTogleScriptEditor (*)
btSetCaption (*)
cbRunScriptOnUpdate (*)
cbUpdatePeriod (*)
ControlPanel (*)
ControlPanelParent (*)
FBaseCaption (-)
FInspectedObjectHistoryList (-)
FRootObject (-)
FUpdateFrequency (-)
FUpdatingInspectedObject (-)
FWorld (-)
lbInspectedObjectindex (*)
lbUpdatePeriod (*)
miAllowDuplicates (*)
miClear (*)
PageControl (*)
Panel1 (*)
pmInspectedObject (*)
PropertyInspector (*)
sbInspectedObject (*)
Splitter1 (*)
StrangeDragDropDestination1 (*)
TabSheet1 (*)
TabSheet2 (*)
TabSheet3 (*)
tiInspectedObjectList (*)

Methods
Method Description
asScriptEditorFrameCodeProposalExecute (*)
btnLoadClick (*)
btnRootObjectClick (*)
btnSaveClick (*)
btnTogleScriptEditorClick (*)
btSetCaptionClick (*)
cbUpdatePeriodChange (*)
ControlPanelParentResize (*)
CreateInitialized (+)
DoOnScriptCompile (+)
DoUpdateAccordingToFrequency (#)
DoUpdateFromCadencer (#)
FormClose (*)
FormCreate (*)
GetInspectedObject (-)
GetInspectedObjectHistoryLastObject (#)
GetInspectedObjectHistoryLastObjectIntf (-)
GetInspectedObjectIntf (-)
GetRootObject (-)
GetUpdateFrequency (-)
I_FMS_PropertyEditorForm (#)
I_FMS_PropertyEditorForm (#)
I_FMS_PropertyEditorForm (#)
I_FMS_PropertyEditorForm (#)
I_FMS_PropertyEditorForm (#)
I_FMS_PropertyEditorForm (-)
I_FMS_PropertyEditorForm (-)
I_FMS_PropertyEditorForm (-)
I_FMS_PropertyEditorForm (-)
LoadFromMemIniFile (+)
miAllowDuplicatesClick (*)
miClearClick (*)
Notification (+)
PropertyInspectorFilterProp (*)
SaveToMemIniFile (+)
sbInspectedObjectChange (*)
SetInspectedObject (-)
SetInspectedObjectIntf (-)
SetRootObject (-)
SetRootObjectIntf (-)
SetUpdateFrequency (-)
SetWorld (-)
StrangeDragDropDestination1Dropped (*)
tiInspectedObjectListTimer (*)
UpdateCaption (#)
UpdateInspectedObjectHistoryList (#)

Properties
Property Description
InspectedObject (+)
RootObject (+)
UpdateFrequency (*)
World (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (btnLoad)

Name
asScriptEditorFrame

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
asScriptEditorFrame : TasScriptEditorFrame

FIMAS
Class Tree
Index
Previous
Next (btnLoad)


Previous (asScriptEditorFrame)
Next (btnRootObject)

Name
btnLoad

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
btnLoad : TBitBtn

FIMAS
Class Tree
Index
Previous (asScriptEditorFrame)
Next (btnRootObject)


Previous (btnLoad)
Next (btnSave)

Name
btnRootObject

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
btnRootObject : TBitBtn

FIMAS
Class Tree
Index
Previous (btnLoad)
Next (btnSave)


Previous (btnRootObject)
Next (btnTogleScriptEditor)

Name
btnSave

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
btnSave : TBitBtn

FIMAS
Class Tree
Index
Previous (btnRootObject)
Next (btnTogleScriptEditor)


Previous (btnSave)
Next (btSetCaption)

Name
btnTogleScriptEditor

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
btnTogleScriptEditor : TBitBtn

FIMAS
Class Tree
Index
Previous (btnSave)
Next (btSetCaption)


Previous (btnTogleScriptEditor)
Next (cbRunScriptOnUpdate)

Name
btSetCaption

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
btSetCaption : TBitBtn

FIMAS
Class Tree
Index
Previous (btnTogleScriptEditor)
Next (cbRunScriptOnUpdate)


Previous (btSetCaption)
Next (cbUpdatePeriod)

Name
cbRunScriptOnUpdate

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
cbRunScriptOnUpdate : TCheckBox

FIMAS
Class Tree
Index
Previous (btSetCaption)
Next (cbUpdatePeriod)


Previous (cbRunScriptOnUpdate)
Next (ControlPanel)

Name
cbUpdatePeriod

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
cbUpdatePeriod : TComboBox

FIMAS
Class Tree
Index
Previous (cbRunScriptOnUpdate)
Next (ControlPanel)


Previous (cbUpdatePeriod)
Next (ControlPanelParent)

Name
ControlPanel

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
ControlPanel : TPanel

FIMAS
Class Tree
Index
Previous (cbUpdatePeriod)
Next (ControlPanelParent)


Previous (ControlPanel)
Next (FBaseCaption)

Name
ControlPanelParent

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
ControlPanelParent : TPanel

FIMAS
Class Tree
Index
Previous (ControlPanel)
Next (FBaseCaption)


Previous (ControlPanelParent)
Next (FInspectedObjectHistoryList)

Name
FBaseCaption

Parent
TPropertyEditorForm

Visibility
PRIVATE

Source code
FBaseCaption : string

FIMAS
Class Tree
Index
Previous (ControlPanelParent)
Next (FInspectedObjectHistoryList)


Previous (FBaseCaption)
Next (FRootObject)

Name
FInspectedObjectHistoryList

Parent
TPropertyEditorForm

Visibility
PRIVATE

Source code
FInspectedObjectHistoryList : TList

FIMAS
Class Tree
Index
Previous (FBaseCaption)
Next (FRootObject)


Previous (FInspectedObjectHistoryList)
Next (FUpdateFrequency)

Name
FRootObject

Parent
TPropertyEditorForm

Visibility
PRIVATE

Source code
FRootObject : TPersistent

FIMAS
Class Tree
Index
Previous (FInspectedObjectHistoryList)
Next (FUpdateFrequency)


Previous (FRootObject)
Next (FUpdatingInspectedObject)

Name
FUpdateFrequency

Parent
TPropertyEditorForm

Visibility
PRIVATE

Source code
FUpdateFrequency : TFMSUpdateFrequency

FIMAS
Class Tree
Index
Previous (FRootObject)
Next (FUpdatingInspectedObject)


Previous (FUpdateFrequency)
Next (FWorld)

Name
FUpdatingInspectedObject

Parent
TPropertyEditorForm

Visibility
PRIVATE

Source code
FUpdatingInspectedObject : Boolean

FIMAS
Class Tree
Index
Previous (FUpdateFrequency)
Next (FWorld)


Previous (FUpdatingInspectedObject)
Next (lbInspectedObjectindex)

Name
FWorld

Parent
TPropertyEditorForm

Visibility
PRIVATE

Source code
FWorld : TFMSWorld

FIMAS
Class Tree
Index
Previous (FUpdatingInspectedObject)
Next (lbInspectedObjectindex)


Previous (FWorld)
Next (lbUpdatePeriod)

Name
lbInspectedObjectindex

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
lbInspectedObjectindex : TLabel

FIMAS
Class Tree
Index
Previous (FWorld)
Next (lbUpdatePeriod)


Previous (lbInspectedObjectindex)
Next (miAllowDuplicates)

Name
lbUpdatePeriod

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
lbUpdatePeriod : TLabel

FIMAS
Class Tree
Index
Previous (lbInspectedObjectindex)
Next (miAllowDuplicates)


Previous (lbUpdatePeriod)
Next (miClear)

Name
miAllowDuplicates

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
miAllowDuplicates : TMenuItem

FIMAS
Class Tree
Index
Previous (lbUpdatePeriod)
Next (miClear)


Previous (miAllowDuplicates)
Next (PageControl)

Name
miClear

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
miClear : TMenuItem

FIMAS
Class Tree
Index
Previous (miAllowDuplicates)
Next (PageControl)


Previous (miClear)
Next (Panel1)

Name
PageControl

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
PageControl : TPageControl

FIMAS
Class Tree
Index
Previous (miClear)
Next (Panel1)


Previous (PageControl)
Next (pmInspectedObject)

Name
Panel1

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
Panel1 : TPanel

FIMAS
Class Tree
Index
Previous (PageControl)
Next (pmInspectedObject)


Previous (Panel1)
Next (PropertyInspector)

Name
pmInspectedObject

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
pmInspectedObject : TPopupMenu

FIMAS
Class Tree
Index
Previous (Panel1)
Next (PropertyInspector)


Previous (pmInspectedObject)
Next (sbInspectedObject)

Name
PropertyInspector

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
PropertyInspector : TELPropertyInspector

FIMAS
Class Tree
Index
Previous (pmInspectedObject)
Next (sbInspectedObject)


Previous (PropertyInspector)
Next (Splitter1)

Name
sbInspectedObject

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
sbInspectedObject : TScrollBar

FIMAS
Class Tree
Index
Previous (PropertyInspector)
Next (Splitter1)


Previous (sbInspectedObject)
Next (StrangeDragDropDestination1)

Name
Splitter1

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
Splitter1 : TSplitter

FIMAS
Class Tree
Index
Previous (sbInspectedObject)
Next (StrangeDragDropDestination1)


Previous (Splitter1)
Next (TabSheet1)

Name
StrangeDragDropDestination1

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
StrangeDragDropDestination1 : TStrangeDragDropDestination

FIMAS
Class Tree
Index
Previous (Splitter1)
Next (TabSheet1)


Previous (StrangeDragDropDestination1)
Next (TabSheet2)

Name
TabSheet1

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
TabSheet1 : TTabSheet

FIMAS
Class Tree
Index
Previous (StrangeDragDropDestination1)
Next (TabSheet2)


Previous (TabSheet1)
Next (TabSheet3)

Name
TabSheet2

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
TabSheet2 : TTabSheet

FIMAS
Class Tree
Index
Previous (TabSheet1)
Next (TabSheet3)


Previous (TabSheet2)
Next (tiInspectedObjectList)

Name
TabSheet3

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
TabSheet3 : TTabSheet

FIMAS
Class Tree
Index
Previous (TabSheet2)
Next (tiInspectedObjectList)


Previous (TabSheet3)
Next

Name
tiInspectedObjectList

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
tiInspectedObjectList : TTimer

FIMAS
Class Tree
Index
Previous (TabSheet3)
Next


Previous
Next (RootObject)

Name
InspectedObject

Parent
TPropertyEditorForm

Visibility
PUBLIC

Source code
property InspectedObject : TPersistent read GetInspectedObject write SetInspectedObject

Read Access
GetInspectedObject

Write Access
SetInspectedObject

FIMAS
Class Tree
Index
Previous
Next (RootObject)


Previous (InspectedObject)
Next (UpdateFrequency)

Name
RootObject

Parent
TPropertyEditorForm

Visibility
PUBLIC

Source code
property RootObject : TPersistent read FRootObject write SetRootObject

Read Access
FRootObject

Write Access
SetRootObject

FIMAS
Class Tree
Index
Previous (InspectedObject)
Next (UpdateFrequency)


Previous (RootObject)
Next (World)

Name
UpdateFrequency

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
property UpdateFrequency : TFMSUpdateFrequency read FUpdateFrequency write FUpdateFrequency

Read Access
FUpdateFrequency

Write Access
FUpdateFrequency

FIMAS
Class Tree
Index
Previous (RootObject)
Next (World)


Previous (UpdateFrequency)
Next

Name
World

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
property World : TFMSWorld read FWorld write SetWorld

Read Access
FWorld

Write Access
SetWorld

FIMAS
Class Tree
Index
Previous (UpdateFrequency)
Next


Previous
Next (btnLoadClick)

Name
asScriptEditorFrameCodeProposalExecute

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
procedure asScriptEditorFrameCodeProposalExecute ( Kind : TSynCompletionType ; Sender : TObject ; var CurrentInput : String ; var x , y : Integer ; var CanExecute : Boolean )

Parameters
Parameter | Description
Kind : TSynCompletionType | &nbsp;
Sender : TObject | &nbsp;
CurrentInput : STRING | &nbsp;
x : INTEGER | &nbsp;
y : INTEGER | &nbsp;
CanExecute : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (btnLoadClick)


Previous (asScriptEditorFrameCodeProposalExecute)
Next (btnRootObjectClick)

Name
btnLoadClick

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
procedure btnLoadClick ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (asScriptEditorFrameCodeProposalExecute)
Next (btnRootObjectClick)


Previous (btnLoadClick)
Next (btnSaveClick)

Name
btnRootObjectClick

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
procedure btnRootObjectClick ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (btnLoadClick)
Next (btnSaveClick)


Previous (btnRootObjectClick)
Next (btnTogleScriptEditorClick)

Name
btnSaveClick

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
procedure btnSaveClick ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (btnRootObjectClick)
Next (btnTogleScriptEditorClick)


Previous (btnSaveClick)
Next (btSetCaptionClick)

Name
btnTogleScriptEditorClick

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
procedure btnTogleScriptEditorClick ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (btnSaveClick)
Next (btSetCaptionClick)


Previous (btnTogleScriptEditorClick)
Next (cbUpdatePeriodChange)

Name
btSetCaptionClick

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
procedure btSetCaptionClick ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (btnTogleScriptEditorClick)
Next (cbUpdatePeriodChange)


Previous (btSetCaptionClick)
Next (ControlPanelParentResize)

Name
cbUpdatePeriodChange

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
procedure cbUpdatePeriodChange ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (btSetCaptionClick)
Next (ControlPanelParentResize)


Previous (cbUpdatePeriodChange)
Next (CreateInitialized)

Name
ControlPanelParentResize

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
procedure ControlPanelParentResize ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (cbUpdatePeriodChange)
Next (CreateInitialized)


Previous (ControlPanelParentResize)
Next (DoOnScriptCompile)

Name
CreateInitialized

Parent
TPropertyEditorForm

Visibility
PUBLIC

Source code
constructor CreateInitialized ( AOwner : TComponent ; const AWorld : TFMSWorld )

Parameters
Parameter | Description
AOwner : TComponent | &nbsp;
AWorld : TFMSWorld | &nbsp;

FIMAS
Class Tree
Index
Previous (ControlPanelParentResize)
Next (DoOnScriptCompile)


Previous (CreateInitialized)
Next (DoUpdateAccordingToFrequency)

Name
DoOnScriptCompile

Parent
TPropertyEditorForm

Visibility
PUBLIC

Source code
procedure DoOnScriptCompile ( Sender : TasScriptInformation ) ; virtual

Parameters
Parameter | Description
Sender : TasScriptInformation | &nbsp;

FIMAS
Class Tree
Index
Previous (CreateInitialized)
Next (DoUpdateAccordingToFrequency)


Previous (DoOnScriptCompile)
Next (DoUpdateFromCadencer)

Name
DoUpdateAccordingToFrequency

Parent
TPropertyEditorForm

Visibility
PROTECTED

Source code
procedure DoUpdateAccordingToFrequency ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoOnScriptCompile)
Next (DoUpdateFromCadencer)


Previous (DoUpdateAccordingToFrequency)
Next (FormClose)

Name
DoUpdateFromCadencer

Parent
TPropertyEditorForm

Visibility
PROTECTED

Source code
procedure DoUpdateFromCadencer ( DeltaTime , NewTime : Double ) ; virtual

Parameters
Parameter | Description
DeltaTime : DOUBLE | &nbsp;
NewTime : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (DoUpdateAccordingToFrequency)
Next (FormClose)


Previous (DoUpdateFromCadencer)
Next (FormCreate)

Name
FormClose

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
procedure FormClose ( Sender : TObject ; var Action : TCloseAction )

Parameters
Parameter | Description
Sender : TObject | &nbsp;
Action : TCloseAction | &nbsp;

FIMAS
Class Tree
Index
Previous (DoUpdateFromCadencer)
Next (FormCreate)


Previous (FormClose)
Next (GetInspectedObject)

Name
FormCreate

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
procedure FormCreate ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (FormClose)
Next (GetInspectedObject)


Previous (FormCreate)
Next (GetInspectedObjectHistoryLastObject)

Name
GetInspectedObject

Parent
TPropertyEditorForm

Visibility
PRIVATE

Source code
function GetInspectedObject : TPersistent

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FormCreate)
Next (GetInspectedObjectHistoryLastObject)


Previous (GetInspectedObject)
Next (GetInspectedObjectHistoryLastObjectIntf)

Name
GetInspectedObjectHistoryLastObject

Parent
TPropertyEditorForm

Visibility
PROTECTED

Source code
function GetInspectedObjectHistoryLastObject : TPersistent

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetInspectedObject)
Next (GetInspectedObjectHistoryLastObjectIntf)


Previous (GetInspectedObjectHistoryLastObject)
Next (GetInspectedObjectIntf)

Name
GetInspectedObjectHistoryLastObjectIntf

Parent
TPropertyEditorForm

Visibility
PRIVATE

Source code
function GetInspectedObjectHistoryLastObjectIntf : TObject

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetInspectedObjectHistoryLastObject)
Next (GetInspectedObjectIntf)


Previous (GetInspectedObjectHistoryLastObjectIntf)
Next (GetRootObject)

Name
GetInspectedObjectIntf

Parent
TPropertyEditorForm

Visibility
PRIVATE

Source code
function GetInspectedObjectIntf : TObject

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetInspectedObjectHistoryLastObjectIntf)
Next (GetRootObject)


Previous (GetInspectedObjectIntf)
Next (GetUpdateFrequency)

Name
GetRootObject

Parent
TPropertyEditorForm

Visibility
PRIVATE

Source code
function GetRootObject : TObject

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetInspectedObjectIntf)
Next (GetUpdateFrequency)


Previous (GetRootObject)
Next (I_FMS_PropertyEditorForm)

Name
GetUpdateFrequency

Parent
TPropertyEditorForm

Visibility
PRIVATE

Source code
function GetUpdateFrequency : TFMSUpdateFrequency

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetRootObject)
Next (I_FMS_PropertyEditorForm)


Previous (I_FMS_PropertyEditorForm)
Next (I_FMS_PropertyEditorForm)

Name
I_FMS_PropertyEditorForm

Parent
TPropertyEditorForm

Visibility
PRIVATE

Source code
procedure I_FMS_PropertyEditorForm . SetInspectedObject = SetInspectedObjectIntf

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (I_FMS_PropertyEditorForm)
Next (I_FMS_PropertyEditorForm)


Previous (I_FMS_PropertyEditorForm)
Next (miAllowDuplicatesClick)

Name
LoadFromMemIniFile

Parent
TPropertyEditorForm

Visibility
PUBLIC

Source code
procedure LoadFromMemIniFile ( const AMemIniFile : TStrangeCustomIniFile ; const ASectionName : string )

Parameters
Parameter | Description
AMemIniFile : TStrangeCustomIniFile | &nbsp;
ASectionName : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (I_FMS_PropertyEditorForm)
Next (miAllowDuplicatesClick)


Previous (LoadFromMemIniFile)
Next (miClearClick)

Name
miAllowDuplicatesClick

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
procedure miAllowDuplicatesClick ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (LoadFromMemIniFile)
Next (miClearClick)


Previous (miAllowDuplicatesClick)
Next (Notification)

Name
miClearClick

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
procedure miClearClick ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (miAllowDuplicatesClick)
Next (Notification)


Previous (miClearClick)
Next (PropertyInspectorFilterProp)

Name
Notification

Parent
TPropertyEditorForm

Visibility
PUBLIC

Source code
procedure Notification ( AComponent : TComponent ; Operation : TOperation ) ; override

Parameters
Parameter | Description
AComponent : TComponent | &nbsp;
Operation : TOperation | &nbsp;

FIMAS
Class Tree
Index
Previous (miClearClick)
Next (PropertyInspectorFilterProp)


Previous (Notification)
Next (SaveToMemIniFile)

Name
PropertyInspectorFilterProp

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
procedure PropertyInspectorFilterProp ( Sender : TObject ; AInstance : TPersistent ; APropInfo : PPropInfo ; var AIncludeProp : Boolean )

Parameters
Parameter | Description
Sender : TObject | &nbsp;
AInstance : TPersistent | &nbsp;
APropInfo : PPropInfo | &nbsp;
AIncludeProp : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (Notification)
Next (SaveToMemIniFile)


Previous (PropertyInspectorFilterProp)
Next (sbInspectedObjectChange)

Name
SaveToMemIniFile

Parent
TPropertyEditorForm

Visibility
PUBLIC

Source code
procedure SaveToMemIniFile ( const AMemIniFile : TStrangeCustomIniFile ; const ASectionName : string )

Parameters
Parameter | Description
AMemIniFile : TStrangeCustomIniFile | &nbsp;
ASectionName : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (PropertyInspectorFilterProp)
Next (sbInspectedObjectChange)


Previous (SaveToMemIniFile)
Next (SetInspectedObject)

Name
sbInspectedObjectChange

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
procedure sbInspectedObjectChange ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (SaveToMemIniFile)
Next (SetInspectedObject)


Previous (sbInspectedObjectChange)
Next (SetInspectedObjectIntf)

Name
SetInspectedObject

Parent
TPropertyEditorForm

Visibility
PRIVATE

Source code
procedure SetInspectedObject ( const Value : TPersistent )

Parameters
Parameter | Description
Value : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (sbInspectedObjectChange)
Next (SetInspectedObjectIntf)


Previous (SetInspectedObject)
Next (SetRootObject)

Name
SetInspectedObjectIntf

Parent
TPropertyEditorForm

Visibility
PRIVATE

Source code
procedure SetInspectedObjectIntf ( const Value : TObject )

Parameters
Parameter | Description
Value : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (SetInspectedObject)
Next (SetRootObject)


Previous (SetInspectedObjectIntf)
Next (SetRootObjectIntf)

Name
SetRootObject

Parent
TPropertyEditorForm

Visibility
PRIVATE

Source code
procedure SetRootObject ( const Value : TPersistent )

Parameters
Parameter | Description
Value : TPersistent | &nbsp;

FIMAS
Class Tree
Index
Previous (SetInspectedObjectIntf)
Next (SetRootObjectIntf)


Previous (SetRootObject)
Next (SetUpdateFrequency)

Name
SetRootObjectIntf

Parent
TPropertyEditorForm

Visibility
PRIVATE

Source code
procedure SetRootObjectIntf ( const Value : TObject )

Parameters
Parameter | Description
Value : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (SetRootObject)
Next (SetUpdateFrequency)


Previous (SetRootObjectIntf)
Next (SetWorld)

Name
SetUpdateFrequency

Parent
TPropertyEditorForm

Visibility
PRIVATE

Source code
procedure SetUpdateFrequency ( const Value : TFMSUpdateFrequency )

Parameters
Parameter | Description
Value : TFMSUpdateFrequency | &nbsp;

FIMAS
Class Tree
Index
Previous (SetRootObjectIntf)
Next (SetWorld)


Previous (SetUpdateFrequency)
Next (StrangeDragDropDestination1Dropped)

Name
SetWorld

Parent
TPropertyEditorForm

Visibility
PRIVATE

Source code
procedure SetWorld ( const Value : TFMSWorld )

Parameters
Parameter | Description
Value : TFMSWorld | &nbsp;

FIMAS
Class Tree
Index
Previous (SetUpdateFrequency)
Next (StrangeDragDropDestination1Dropped)


Previous (SetWorld)
Next (tiInspectedObjectListTimer)

Name
StrangeDragDropDestination1Dropped

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
procedure StrangeDragDropDestination1Dropped ( Sender : TObject ; Files : TStrings ; FileCount , X , Y : Integer )

Parameters
Parameter | Description
Sender : TObject | &nbsp;
Files : TStrings | &nbsp;
FileCount : INTEGER | &nbsp;
X : INTEGER | &nbsp;
Y : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (SetWorld)
Next (tiInspectedObjectListTimer)


Previous (StrangeDragDropDestination1Dropped)
Next (UpdateCaption)

Name
tiInspectedObjectListTimer

Parent
TPropertyEditorForm

Visibility
PUBLISHED

Source code
procedure tiInspectedObjectListTimer ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (StrangeDragDropDestination1Dropped)
Next (UpdateCaption)


Previous (tiInspectedObjectListTimer)
Next (UpdateInspectedObjectHistoryList)

Name
UpdateCaption

Parent
TPropertyEditorForm

Visibility
PROTECTED

Source code
procedure UpdateCaption ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (tiInspectedObjectListTimer)
Next (UpdateInspectedObjectHistoryList)


Previous (UpdateCaption)
Next

Name
UpdateInspectedObjectHistoryList

Parent
TPropertyEditorForm

Visibility
PROTECTED

Source code
procedure UpdateInspectedObjectHistoryList

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (UpdateCaption)
Next


Previous (uPropertyEditorForm)
Next (uScriptLogForm)

Name
uScenarioEditorForm

Parent
FIMAS

Description
Application Simulation Control Form.

Classes
Class Description
TScenarioEditorForm (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (uPropertyEditorForm)
Next (uScriptLogForm)


Previous
Next

Name
TScenarioEditorForm

Parent
uScenarioEditorForm

Class Hierarchy
TStrangeSimpleNotificationSenderForm,IStrangeCadenceAble,I_FMS_ScenarioEditorForm

Visibility
PUBLIC

Members
Fields
Field Description
CustomScriptDragDropDestination (*)
CustomScriptEditorFrame (*)
FOnAfterMainScriptCompile (-)
IncludeScriptsDragDropDestination (*)
IncludeScriptsEditorFrame (*)
PageControl (*)
ScenarioDragDropDestination (*)
ScenarioEditorFrame (*)
tsCustomScript (*)
tsIncludeScript (*)
tsScenario (*)

Methods
Method Description
Create (+)
CustomScriptDragDropDestinationDropped (*)
CustomScriptEditorFrameCodeProposalExecute (*)
DoUpdateFromCadencer (#)
FormClose (*)
FormCreate (*)
GetCustomScriptEditorFrame (#)
GetIncludeScriptsEditorFrame (#)
GetScenarioEditorFrame (#)
GetVisible (-)
IncludeScriptsDragDropDestinationDropped (*)
IncludeScriptsEditorFramebtApplyScriptClick (*)
IncludeScriptsEditorFrameCodeProposalExecute (*)
I_FMS_ScenarioEditorForm (#)
I_FMS_ScenarioEditorForm (#)
I_FMS_ScenarioEditorForm (#)
I_FMS_ScenarioEditorForm (#)
I_FMS_ScenarioEditorForm (#)
LoadFromMemIniFile (+)
Notification (+)
SaveToMemIniFile (+)
ScenarioDragDropDestinationDropped (*)
ScenarioEditorFramebtApplyScriptClick (*)
ScenarioEditorFrameCodeProposalExecute (*)
SetVisible (-)

Properties
Property Description
OnAfterMainScriptCompile (*)
Visible (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (CustomScriptEditorFrame)

Name
CustomScriptDragDropDestination

Parent
TScenarioEditorForm

Visibility
PUBLISHED

Source code
CustomScriptDragDropDestination : TStrangeDragDropDestination

FIMAS
Class Tree
Index
Previous
Next (CustomScriptEditorFrame)


Previous (CustomScriptDragDropDestination)
Next (FOnAfterMainScriptCompile)

Name
CustomScriptEditorFrame

Parent
TScenarioEditorForm

Visibility
PUBLISHED

Source code
CustomScriptEditorFrame : TasScriptEditorFrame

FIMAS
Class Tree
Index
Previous (CustomScriptDragDropDestination)
Next (FOnAfterMainScriptCompile)


Previous (CustomScriptEditorFrame)
Next (IncludeScriptsDragDropDestination)

Name
FOnAfterMainScriptCompile

Parent
TScenarioEditorForm

Visibility
PRIVATE

Source code
FOnAfterMainScriptCompile : TNotifyEvent

FIMAS
Class Tree
Index
Previous (CustomScriptEditorFrame)
Next (IncludeScriptsDragDropDestination)


Previous (FOnAfterMainScriptCompile)
Next (IncludeScriptsEditorFrame)

Name
IncludeScriptsDragDropDestination

Parent
TScenarioEditorForm

Visibility
PUBLISHED

Source code
IncludeScriptsDragDropDestination : TStrangeDragDropDestination

FIMAS
Class Tree
Index
Previous (FOnAfterMainScriptCompile)
Next (IncludeScriptsEditorFrame)


Previous (IncludeScriptsDragDropDestination)
Next (PageControl)

Name
IncludeScriptsEditorFrame

Parent
TScenarioEditorForm

Visibility
PUBLISHED

Source code
IncludeScriptsEditorFrame : TasScriptEditorFrame

FIMAS
Class Tree
Index
Previous (IncludeScriptsDragDropDestination)
Next (PageControl)


Previous (IncludeScriptsEditorFrame)
Next (ScenarioDragDropDestination)

Name
PageControl

Parent
TScenarioEditorForm

Visibility
PUBLISHED

Source code
PageControl : TPageControl

FIMAS
Class Tree
Index
Previous (IncludeScriptsEditorFrame)
Next (ScenarioDragDropDestination)


Previous (PageControl)
Next (ScenarioEditorFrame)

Name
ScenarioDragDropDestination

Parent
TScenarioEditorForm

Visibility
PUBLISHED

Source code
ScenarioDragDropDestination : TStrangeDragDropDestination

FIMAS
Class Tree
Index
Previous (PageControl)
Next (ScenarioEditorFrame)


Previous (ScenarioDragDropDestination)
Next (tsCustomScript)

Name
ScenarioEditorFrame

Parent
TScenarioEditorForm

Visibility
PUBLISHED

Source code
ScenarioEditorFrame : TasScriptEditorFrame

FIMAS
Class Tree
Index
Previous (ScenarioDragDropDestination)
Next (tsCustomScript)


Previous (ScenarioEditorFrame)
Next (tsIncludeScript)

Name
tsCustomScript

Parent
TScenarioEditorForm

Visibility
PUBLISHED

Source code
tsCustomScript : TTabSheet

FIMAS
Class Tree
Index
Previous (ScenarioEditorFrame)
Next (tsIncludeScript)


Previous (tsCustomScript)
Next (tsScenario)

Name
tsIncludeScript

Parent
TScenarioEditorForm

Visibility
PUBLISHED

Source code
tsIncludeScript : TTabSheet

FIMAS
Class Tree
Index
Previous (tsCustomScript)
Next (tsScenario)


Previous (tsIncludeScript)
Next

Name
tsScenario

Parent
TScenarioEditorForm

Visibility
PUBLISHED

Source code
tsScenario : TTabSheet

FIMAS
Class Tree
Index
Previous (tsIncludeScript)
Next


Previous
Next (Visible)

Name
OnAfterMainScriptCompile

Parent
TScenarioEditorForm

Visibility
PUBLISHED

Source code
property OnAfterMainScriptCompile : TNotifyEvent read FOnAfterMainScriptCompile write FOnAfterMainScriptCompile

Read Access
FOnAfterMainScriptCompile

Write Access
FOnAfterMainScriptCompile

FIMAS
Class Tree
Index
Previous
Next (Visible)


Previous (OnAfterMainScriptCompile)
Next

Name
Visible

Parent
TScenarioEditorForm

Visibility
PUBLISHED

Source code
property Visible : Boolean read GetVisible write SetVisible

Read Access
GetVisible

Write Access
SetVisible

FIMAS
Class Tree
Index
Previous (OnAfterMainScriptCompile)
Next


Previous
Next (CustomScriptDragDropDestinationDropped)

Name
Create

Parent
TScenarioEditorForm

Visibility
PUBLIC

Source code
constructor Create ( AOwner : TComponent ) ; override

Parameters
Parameter | Description
AOwner : TComponent | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (CustomScriptDragDropDestinationDropped)


Previous (Create)
Next (CustomScriptEditorFrameCodeProposalExecute)

Name
CustomScriptDragDropDestinationDropped

Parent
TScenarioEditorForm

Visibility
PUBLISHED

Source code
procedure CustomScriptDragDropDestinationDropped ( Sender : TObject ; Files : TStrings ; FileCount , X , Y : Integer )

Parameters
Parameter | Description
Sender : TObject | &nbsp;
Files : TStrings | &nbsp;
FileCount : INTEGER | &nbsp;
X : INTEGER | &nbsp;
Y : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (Create)
Next (CustomScriptEditorFrameCodeProposalExecute)


Previous (CustomScriptDragDropDestinationDropped)
Next (DoUpdateFromCadencer)

Name
CustomScriptEditorFrameCodeProposalExecute

Parent
TScenarioEditorForm

Visibility
PUBLISHED

Source code
procedure CustomScriptEditorFrameCodeProposalExecute ( Kind : TSynCompletionType ; Sender : TObject ; var CurrentInput : String ; var x , y : Integer ; var CanExecute : Boolean )

Parameters
Parameter | Description
Kind : TSynCompletionType | &nbsp;
Sender : TObject | &nbsp;
CurrentInput : STRING | &nbsp;
x : INTEGER | &nbsp;
y : INTEGER | &nbsp;
CanExecute : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (CustomScriptDragDropDestinationDropped)
Next (DoUpdateFromCadencer)


Previous (CustomScriptEditorFrameCodeProposalExecute)
Next (FormClose)

Name
DoUpdateFromCadencer

Parent
TScenarioEditorForm

Visibility
PROTECTED

Source code
procedure DoUpdateFromCadencer ( DeltaTime , NewTime : Double ) ; virtual

Parameters
Parameter | Description
DeltaTime : DOUBLE | &nbsp;
NewTime : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (CustomScriptEditorFrameCodeProposalExecute)
Next (FormClose)


Previous (DoUpdateFromCadencer)
Next (FormCreate)

Name
FormClose

Parent
TScenarioEditorForm

Visibility
PUBLISHED

Source code
procedure FormClose ( Sender : TObject ; var Action : TCloseAction )

Parameters
Parameter | Description
Sender : TObject | &nbsp;
Action : TCloseAction | &nbsp;

FIMAS
Class Tree
Index
Previous (DoUpdateFromCadencer)
Next (FormCreate)


Previous (FormClose)
Next (GetCustomScriptEditorFrame)

Name
FormCreate

Parent
TScenarioEditorForm

Visibility
PUBLISHED

Source code
procedure FormCreate ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (FormClose)
Next (GetCustomScriptEditorFrame)


Previous (FormCreate)
Next (GetIncludeScriptsEditorFrame)

Name
GetCustomScriptEditorFrame

Parent
TScenarioEditorForm

Visibility
PROTECTED

Source code
function GetCustomScriptEditorFrame : IasScriptEditorFrame

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FormCreate)
Next (GetIncludeScriptsEditorFrame)


Previous (GetCustomScriptEditorFrame)
Next (GetScenarioEditorFrame)

Name
GetIncludeScriptsEditorFrame

Parent
TScenarioEditorForm

Visibility
PROTECTED

Source code
function GetIncludeScriptsEditorFrame : IasScriptEditorFrame

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCustomScriptEditorFrame)
Next (GetScenarioEditorFrame)


Previous (GetIncludeScriptsEditorFrame)
Next (GetVisible)

Name
GetScenarioEditorFrame

Parent
TScenarioEditorForm

Visibility
PROTECTED

Source code
function GetScenarioEditorFrame : IasScriptEditorFrame

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetIncludeScriptsEditorFrame)
Next (GetVisible)


Previous (GetScenarioEditorFrame)
Next (IncludeScriptsDragDropDestinationDropped)

Name
GetVisible

Parent
TScenarioEditorForm

Visibility
PRIVATE

Source code
function GetVisible : Boolean

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetScenarioEditorFrame)
Next (IncludeScriptsDragDropDestinationDropped)


Previous (GetVisible)
Next (IncludeScriptsEditorFramebtApplyScriptClick)

Name
IncludeScriptsDragDropDestinationDropped

Parent
TScenarioEditorForm

Visibility
PUBLISHED

Source code
procedure IncludeScriptsDragDropDestinationDropped ( Sender : TObject ; Files : TStrings ; FileCount , X , Y : Integer )

Parameters
Parameter | Description
Sender : TObject | &nbsp;
Files : TStrings | &nbsp;
FileCount : INTEGER | &nbsp;
X : INTEGER | &nbsp;
Y : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (GetVisible)
Next (IncludeScriptsEditorFramebtApplyScriptClick)


Previous (IncludeScriptsDragDropDestinationDropped)
Next (IncludeScriptsEditorFrameCodeProposalExecute)

Name
IncludeScriptsEditorFramebtApplyScriptClick

Parent
TScenarioEditorForm

Visibility
PUBLISHED

Source code
procedure IncludeScriptsEditorFramebtApplyScriptClick ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (IncludeScriptsDragDropDestinationDropped)
Next (IncludeScriptsEditorFrameCodeProposalExecute)


Previous (IncludeScriptsEditorFramebtApplyScriptClick)
Next (I_FMS_ScenarioEditorForm)

Name
IncludeScriptsEditorFrameCodeProposalExecute

Parent
TScenarioEditorForm

Visibility
PUBLISHED

Source code
procedure IncludeScriptsEditorFrameCodeProposalExecute ( Kind : TSynCompletionType ; Sender : TObject ; var CurrentInput : String ; var x , y : Integer ; var CanExecute : Boolean )

Parameters
Parameter | Description
Kind : TSynCompletionType | &nbsp;
Sender : TObject | &nbsp;
CurrentInput : STRING | &nbsp;
x : INTEGER | &nbsp;
y : INTEGER | &nbsp;
CanExecute : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (IncludeScriptsEditorFramebtApplyScriptClick)
Next (I_FMS_ScenarioEditorForm)


Previous (I_FMS_ScenarioEditorForm)
Next (I_FMS_ScenarioEditorForm)

Name
I_FMS_ScenarioEditorForm

Parent
TScenarioEditorForm

Visibility
PROTECTED

Source code
function I_FMS_ScenarioEditorForm . GetName = GetNameIntf

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (I_FMS_ScenarioEditorForm)
Next (I_FMS_ScenarioEditorForm)


Previous (I_FMS_ScenarioEditorForm)
Next (Notification)

Name
LoadFromMemIniFile

Parent
TScenarioEditorForm

Visibility
PUBLIC

Source code
procedure LoadFromMemIniFile ( const AMemIniFile : TStrangeCustomIniFile ; const ASectionName : string )

Parameters
Parameter | Description
AMemIniFile : TStrangeCustomIniFile | &nbsp;
ASectionName : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (I_FMS_ScenarioEditorForm)
Next (Notification)


Previous (LoadFromMemIniFile)
Next (SaveToMemIniFile)

Name
Notification

Parent
TScenarioEditorForm

Visibility
PUBLIC

Source code
procedure Notification ( AComponent : TComponent ; Operation : TOperation ) ; override

Parameters
Parameter | Description
AComponent : TComponent | &nbsp;
Operation : TOperation | &nbsp;

FIMAS
Class Tree
Index
Previous (LoadFromMemIniFile)
Next (SaveToMemIniFile)


Previous (Notification)
Next (ScenarioDragDropDestinationDropped)

Name
SaveToMemIniFile

Parent
TScenarioEditorForm

Visibility
PUBLIC

Source code
procedure SaveToMemIniFile ( const AMemIniFile : TStrangeCustomIniFile ; const ASectionName : string )

Parameters
Parameter | Description
AMemIniFile : TStrangeCustomIniFile | &nbsp;
ASectionName : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (Notification)
Next (ScenarioDragDropDestinationDropped)


Previous (SaveToMemIniFile)
Next (ScenarioEditorFramebtApplyScriptClick)

Name
ScenarioDragDropDestinationDropped

Parent
TScenarioEditorForm

Visibility
PUBLISHED

Source code
procedure ScenarioDragDropDestinationDropped ( Sender : TObject ; Files : TStrings ; FileCount , X , Y : Integer )

Parameters
Parameter | Description
Sender : TObject | &nbsp;
Files : TStrings | &nbsp;
FileCount : INTEGER | &nbsp;
X : INTEGER | &nbsp;
Y : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (SaveToMemIniFile)
Next (ScenarioEditorFramebtApplyScriptClick)


Previous (ScenarioDragDropDestinationDropped)
Next (ScenarioEditorFrameCodeProposalExecute)

Name
ScenarioEditorFramebtApplyScriptClick

Parent
TScenarioEditorForm

Visibility
PUBLISHED

Source code
procedure ScenarioEditorFramebtApplyScriptClick ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (ScenarioDragDropDestinationDropped)
Next (ScenarioEditorFrameCodeProposalExecute)


Previous (ScenarioEditorFramebtApplyScriptClick)
Next (SetVisible)

Name
ScenarioEditorFrameCodeProposalExecute

Parent
TScenarioEditorForm

Visibility
PUBLISHED

Source code
procedure ScenarioEditorFrameCodeProposalExecute ( Kind : TSynCompletionType ; Sender : TObject ; var CurrentInput : String ; var x , y : Integer ; var CanExecute : Boolean )

Parameters
Parameter | Description
Kind : TSynCompletionType | &nbsp;
Sender : TObject | &nbsp;
CurrentInput : STRING | &nbsp;
x : INTEGER | &nbsp;
y : INTEGER | &nbsp;
CanExecute : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (ScenarioEditorFramebtApplyScriptClick)
Next (SetVisible)


Previous (ScenarioEditorFrameCodeProposalExecute)
Next

Name
SetVisible

Parent
TScenarioEditorForm

Visibility
PRIVATE

Source code
procedure SetVisible ( const Value : Boolean )

Parameters
Parameter | Description
Value : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (ScenarioEditorFrameCodeProposalExecute)
Next


Previous (uScenarioEditorForm)
Next (uSimulationControlForm)

Name
uScriptLogForm

Parent
FIMAS

Description
Application Script Log Form.

Variables
Variable Description
vScriptLogForm (+)

Classes
Class Description
TScriptLogForm (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (uScenarioEditorForm)
Next (uSimulationControlForm)


Previous
Next

Name
TScriptLogForm

Parent
uScriptLogForm

Class Hierarchy
TStrangeSimpleNotificationSenderForm,IStrangeCadenceAble,I_FMS_ScriptLogForm

Visibility
PUBLIC

Members
Fields
Field Description
btClose (*)
ControlPanelParent (*)
ListBox1 (*)
ListBox2 (*)
ListBox3 (*)
ListBoxErrors (*)
Memo1 (*)
Memo2 (*)
Memo3 (*)
miClear (*)
miCopyAll (*)
miCopySelected (*)
PageControl (*)
PopupMenu (*)
TabSheet1 (*)
TabSheet3 (*)
TabSheet4 (*)
TabSheet5 (*)
TabSheet6 (*)
tsGeneral (*)
tsSimulation (*)

Methods
Method Description
btCloseClick (*)
ControlPanelParentResize (*)
Destroy (+)
DoUpdateFromCadencer (#)
FormClose (*)
GetCurrentListBox (-)
GetInstance (+)
GetOrCreate (+)
I_FMS_ScriptLogForm (#)
I_FMS_ScriptLogForm (#)
I_FMS_ScriptLogForm (#)
I_FMS_ScriptLogForm (#)
I_FMS_ScriptLogForm (#)
LoadFromMemIniFile (+)
miClearClick (*)
miCopyAllClick (*)
miCopySelectedClick (*)
SaveToMemIniFile (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (ControlPanelParent)

Name
btClose

Parent
TScriptLogForm

Visibility
PUBLISHED

Source code
btClose : TButton

FIMAS
Class Tree
Index
Previous
Next (ControlPanelParent)


Previous (btClose)
Next (ListBox1)

Name
ControlPanelParent

Parent
TScriptLogForm

Visibility
PUBLISHED

Source code
ControlPanelParent : TPanel

FIMAS
Class Tree
Index
Previous (btClose)
Next (ListBox1)


Previous (ControlPanelParent)
Next (ListBox2)

Name
ListBox1

Parent
TScriptLogForm

Visibility
PUBLISHED

Source code
ListBox1 : TListBox

FIMAS
Class Tree
Index
Previous (ControlPanelParent)
Next (ListBox2)


Previous (ListBox1)
Next (ListBox3)

Name
ListBox2

Parent
TScriptLogForm

Visibility
PUBLISHED

Source code
ListBox2 : TListBox

FIMAS
Class Tree
Index
Previous (ListBox1)
Next (ListBox3)


Previous (ListBox2)
Next (ListBoxErrors)

Name
ListBox3

Parent
TScriptLogForm

Visibility
PUBLISHED

Source code
ListBox3 : TListBox

FIMAS
Class Tree
Index
Previous (ListBox2)
Next (ListBoxErrors)


Previous (ListBox3)
Next (Memo1)

Name
ListBoxErrors

Parent
TScriptLogForm

Visibility
PUBLISHED

Source code
ListBoxErrors : TListBox

FIMAS
Class Tree
Index
Previous (ListBox3)
Next (Memo1)


Previous (ListBoxErrors)
Next (Memo2)

Name
Memo1

Parent
TScriptLogForm

Visibility
PUBLISHED

Source code
Memo1 : TMemo

FIMAS
Class Tree
Index
Previous (ListBoxErrors)
Next (Memo2)


Previous (Memo1)
Next (Memo3)

Name
Memo2

Parent
TScriptLogForm

Visibility
PUBLISHED

Source code
Memo2 : TMemo

FIMAS
Class Tree
Index
Previous (Memo1)
Next (Memo3)


Previous (Memo2)
Next (miClear)

Name
Memo3

Parent
TScriptLogForm

Visibility
PUBLISHED

Source code
Memo3 : TMemo

FIMAS
Class Tree
Index
Previous (Memo2)
Next (miClear)


Previous (Memo3)
Next (miCopyAll)

Name
miClear

Parent
TScriptLogForm

Visibility
PUBLISHED

Source code
miClear : TMenuItem

FIMAS
Class Tree
Index
Previous (Memo3)
Next (miCopyAll)


Previous (miClear)
Next (miCopySelected)

Name
miCopyAll

Parent
TScriptLogForm

Visibility
PUBLISHED

Source code
miCopyAll : TMenuItem

FIMAS
Class Tree
Index
Previous (miClear)
Next (miCopySelected)


Previous (miCopyAll)
Next (PageControl)

Name
miCopySelected

Parent
TScriptLogForm

Visibility
PUBLISHED

Source code
miCopySelected : TMenuItem

FIMAS
Class Tree
Index
Previous (miCopyAll)
Next (PageControl)


Previous (miCopySelected)
Next (PopupMenu)

Name
PageControl

Parent
TScriptLogForm

Visibility
PUBLISHED

Source code
PageControl : TPageControl

FIMAS
Class Tree
Index
Previous (miCopySelected)
Next (PopupMenu)


Previous (PageControl)
Next (TabSheet1)

Name
PopupMenu

Parent
TScriptLogForm

Visibility
PUBLISHED

Source code
PopupMenu : TPopupMenu

FIMAS
Class Tree
Index
Previous (PageControl)
Next (TabSheet1)


Previous (PopupMenu)
Next (TabSheet3)

Name
TabSheet1

Parent
TScriptLogForm

Visibility
PUBLISHED

Source code
TabSheet1 : TTabSheet

FIMAS
Class Tree
Index
Previous (PopupMenu)
Next (TabSheet3)


Previous (TabSheet1)
Next (TabSheet4)

Name
TabSheet3

Parent
TScriptLogForm

Visibility
PUBLISHED

Source code
TabSheet3 : TTabSheet

FIMAS
Class Tree
Index
Previous (TabSheet1)
Next (TabSheet4)


Previous (TabSheet3)
Next (TabSheet5)

Name
TabSheet4

Parent
TScriptLogForm

Visibility
PUBLISHED

Source code
TabSheet4 : TTabSheet

FIMAS
Class Tree
Index
Previous (TabSheet3)
Next (TabSheet5)


Previous (TabSheet4)
Next (TabSheet6)

Name
TabSheet5

Parent
TScriptLogForm

Visibility
PUBLISHED

Source code
TabSheet5 : TTabSheet

FIMAS
Class Tree
Index
Previous (TabSheet4)
Next (TabSheet6)


Previous (TabSheet5)
Next (tsGeneral)

Name
TabSheet6

Parent
TScriptLogForm

Visibility
PUBLISHED

Source code
TabSheet6 : TTabSheet

FIMAS
Class Tree
Index
Previous (TabSheet5)
Next (tsGeneral)


Previous (TabSheet6)
Next (tsSimulation)

Name
tsGeneral

Parent
TScriptLogForm

Visibility
PUBLISHED

Source code
tsGeneral : TTabSheet

FIMAS
Class Tree
Index
Previous (TabSheet6)
Next (tsSimulation)


Previous (tsGeneral)
Next

Name
tsSimulation

Parent
TScriptLogForm

Visibility
PUBLISHED

Source code
tsSimulation : TTabSheet

FIMAS
Class Tree
Index
Previous (tsGeneral)
Next


Previous
Next (ControlPanelParentResize)

Name
btCloseClick

Parent
TScriptLogForm

Visibility
PUBLISHED

Source code
procedure btCloseClick ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (ControlPanelParentResize)


Previous (btCloseClick)
Next (Destroy)

Name
ControlPanelParentResize

Parent
TScriptLogForm

Visibility
PUBLISHED

Source code
procedure ControlPanelParentResize ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (btCloseClick)
Next (Destroy)


Previous (ControlPanelParentResize)
Next (DoUpdateFromCadencer)

Name
Destroy

Parent
TScriptLogForm

Visibility
PUBLIC

Source code
destructor Destroy ; override

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (ControlPanelParentResize)
Next (DoUpdateFromCadencer)


Previous (Destroy)
Next (FormClose)

Name
DoUpdateFromCadencer

Parent
TScriptLogForm

Visibility
PROTECTED

Source code
procedure DoUpdateFromCadencer ( DeltaTime , NewTime : Double ) ; virtual

Parameters
Parameter | Description
DeltaTime : DOUBLE | &nbsp;
NewTime : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (Destroy)
Next (FormClose)


Previous (DoUpdateFromCadencer)
Next (GetCurrentListBox)

Name
FormClose

Parent
TScriptLogForm

Visibility
PUBLISHED

Source code
procedure FormClose ( Sender : TObject ; var Action : TCloseAction )

Parameters
Parameter | Description
Sender : TObject | &nbsp;
Action : TCloseAction | &nbsp;

FIMAS
Class Tree
Index
Previous (DoUpdateFromCadencer)
Next (GetCurrentListBox)


Previous (FormClose)
Next (GetInstance)

Name
GetCurrentListBox

Parent
TScriptLogForm

Visibility
PRIVATE

Source code
function GetCurrentListBox : TListBox

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FormClose)
Next (GetInstance)


Previous (GetCurrentListBox)
Next (GetOrCreate)

Name
GetInstance

Parent
TScriptLogForm

Visibility
PUBLIC

Source code
class function GetInstance : TScriptLogForm

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetCurrentListBox)
Next (GetOrCreate)


Previous (GetInstance)
Next (I_FMS_ScriptLogForm)

Name
GetOrCreate

Parent
TScriptLogForm

Visibility
PUBLIC

Source code
class function GetOrCreate ( const AOwner : TComponent ) : TScriptLogForm

Parameters
Parameter | Description
AOwner : TComponent | &nbsp;

FIMAS
Class Tree
Index
Previous (GetInstance)
Next (I_FMS_ScriptLogForm)


Previous (I_FMS_ScriptLogForm)
Next (I_FMS_ScriptLogForm)

Name
I_FMS_ScriptLogForm

Parent
TScriptLogForm

Visibility
PROTECTED

Source code
procedure I_FMS_ScriptLogForm . SetName = SetNameIntf

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (I_FMS_ScriptLogForm)
Next (I_FMS_ScriptLogForm)


Previous (I_FMS_ScriptLogForm)
Next (miClearClick)

Name
LoadFromMemIniFile

Parent
TScriptLogForm

Visibility
PUBLIC

Source code
procedure LoadFromMemIniFile ( const AMemIniFile : TStrangeCustomIniFile ; const ASectionName : string )

Parameters
Parameter | Description
AMemIniFile : TStrangeCustomIniFile | &nbsp;
ASectionName : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (I_FMS_ScriptLogForm)
Next (miClearClick)


Previous (LoadFromMemIniFile)
Next (miCopyAllClick)

Name
miClearClick

Parent
TScriptLogForm

Visibility
PUBLISHED

Source code
procedure miClearClick ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (LoadFromMemIniFile)
Next (miCopyAllClick)


Previous (miClearClick)
Next (miCopySelectedClick)

Name
miCopyAllClick

Parent
TScriptLogForm

Visibility
PUBLISHED

Source code
procedure miCopyAllClick ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (miClearClick)
Next (miCopySelectedClick)


Previous (miCopyAllClick)
Next (SaveToMemIniFile)

Name
miCopySelectedClick

Parent
TScriptLogForm

Visibility
PUBLISHED

Source code
procedure miCopySelectedClick ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (miCopyAllClick)
Next (SaveToMemIniFile)


Previous (miCopySelectedClick)
Next

Name
SaveToMemIniFile

Parent
TScriptLogForm

Visibility
PUBLIC

Source code
procedure SaveToMemIniFile ( const AMemIniFile : TStrangeCustomIniFile ; const ASectionName : string )

Parameters
Parameter | Description
AMemIniFile : TStrangeCustomIniFile | &nbsp;
ASectionName : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (miCopySelectedClick)
Next


Previous
Next

Name
vScriptLogForm

Parent
uScriptLogForm

Visibility
PUBLIC

Source code
vScriptLogForm : TScriptLogForm = nil

FIMAS
Class Tree
Index
Previous
Next


Previous (uScriptLogForm)
Next (uWatchListForm)

Name
uSimulationControlForm

Parent
FIMAS

Description
Application Simulation Control Form.

Variables
Variable Description
SimulationControlForm (+)

Methods
Method Description
GetSimulationControlForm (+)

Classes
Class Description
TSimulationControlForm (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (uScriptLogForm)
Next (uWatchListForm)


Previous
Next

Name
TSimulationControlForm

Parent
uSimulationControlForm

Class Hierarchy
TStrangeSimpleNotificationSenderForm,IStrangeCadenceAble,I_FMS_SimulationControlForm

Visibility
PUBLIC

Members
Fields
Field Description
btPause (*)
btStart (*)
cbTimerSpeed (*)
FOptions (-)
GroupBox1 (*)
GroupBox2 (*)
GroupBox3 (*)
Label1 (*)
Label2 (*)
Label3 (*)
Label4 (*)
Label5 (*)
lbRealSpeed (*)
lbRealTime (*)
lbSimulationSpeed (*)
lbSimulationTime (*)
lbSimulationTimeFromStart (*)

Methods
Method Description
DoUpdateFromCadencer (#)
FormClose (*)
GetOrCreate (+)
I_FMS_SimulationControlForm (#)
I_FMS_SimulationControlForm (#)
I_FMS_SimulationControlForm (#)
I_FMS_SimulationControlForm (#)
I_FMS_SimulationControlForm (#)
UpdateStatusLabels (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (btStart)

Name
btPause

Parent
TSimulationControlForm

Visibility
PUBLISHED

Source code
btPause : TBitBtn

FIMAS
Class Tree
Index
Previous
Next (btStart)


Previous (btPause)
Next (cbTimerSpeed)

Name
btStart

Parent
TSimulationControlForm

Visibility
PUBLISHED

Source code
btStart : TBitBtn

FIMAS
Class Tree
Index
Previous (btPause)
Next (cbTimerSpeed)


Previous (btStart)
Next (FOptions)

Name
cbTimerSpeed

Parent
TSimulationControlForm

Visibility
PUBLISHED

Source code
cbTimerSpeed : TComboBox

FIMAS
Class Tree
Index
Previous (btStart)
Next (FOptions)


Previous (cbTimerSpeed)
Next (GroupBox1)

Name
FOptions

Parent
TSimulationControlForm

Visibility
PRIVATE

Source code
FOptions : TasOptions

FIMAS
Class Tree
Index
Previous (cbTimerSpeed)
Next (GroupBox1)


Previous (FOptions)
Next (GroupBox2)

Name
GroupBox1

Parent
TSimulationControlForm

Visibility
PUBLISHED

Source code
GroupBox1 : TGroupBox

FIMAS
Class Tree
Index
Previous (FOptions)
Next (GroupBox2)


Previous (GroupBox1)
Next (GroupBox3)

Name
GroupBox2

Parent
TSimulationControlForm

Visibility
PUBLISHED

Source code
GroupBox2 : TGroupBox

FIMAS
Class Tree
Index
Previous (GroupBox1)
Next (GroupBox3)


Previous (GroupBox2)
Next (Label1)

Name
GroupBox3

Parent
TSimulationControlForm

Visibility
PUBLISHED

Source code
GroupBox3 : TGroupBox

FIMAS
Class Tree
Index
Previous (GroupBox2)
Next (Label1)


Previous (GroupBox3)
Next (Label2)

Name
Label1

Parent
TSimulationControlForm

Visibility
PUBLISHED

Source code
Label1 : TLabel

FIMAS
Class Tree
Index
Previous (GroupBox3)
Next (Label2)


Previous (Label1)
Next (Label3)

Name
Label2

Parent
TSimulationControlForm

Visibility
PUBLISHED

Source code
Label2 : TLabel

FIMAS
Class Tree
Index
Previous (Label1)
Next (Label3)


Previous (Label2)
Next (Label4)

Name
Label3

Parent
TSimulationControlForm

Visibility
PUBLISHED

Source code
Label3 : TLabel

FIMAS
Class Tree
Index
Previous (Label2)
Next (Label4)


Previous (Label3)
Next (Label5)

Name
Label4

Parent
TSimulationControlForm

Visibility
PUBLISHED

Source code
Label4 : TLabel

FIMAS
Class Tree
Index
Previous (Label3)
Next (Label5)


Previous (Label4)
Next (lbRealSpeed)

Name
Label5

Parent
TSimulationControlForm

Visibility
PUBLISHED

Source code
Label5 : TLabel

FIMAS
Class Tree
Index
Previous (Label4)
Next (lbRealSpeed)


Previous (Label5)
Next (lbRealTime)

Name
lbRealSpeed

Parent
TSimulationControlForm

Visibility
PUBLISHED

Source code
lbRealSpeed : TLabel

FIMAS
Class Tree
Index
Previous (Label5)
Next (lbRealTime)


Previous (lbRealSpeed)
Next (lbSimulationSpeed)

Name
lbRealTime

Parent
TSimulationControlForm

Visibility
PUBLISHED

Source code
lbRealTime : TLabel

FIMAS
Class Tree
Index
Previous (lbRealSpeed)
Next (lbSimulationSpeed)


Previous (lbRealTime)
Next (lbSimulationTime)

Name
lbSimulationSpeed

Parent
TSimulationControlForm

Visibility
PUBLISHED

Source code
lbSimulationSpeed : TLabel

FIMAS
Class Tree
Index
Previous (lbRealTime)
Next (lbSimulationTime)


Previous (lbSimulationSpeed)
Next (lbSimulationTimeFromStart)

Name
lbSimulationTime

Parent
TSimulationControlForm

Visibility
PUBLISHED

Source code
lbSimulationTime : TLabel

FIMAS
Class Tree
Index
Previous (lbSimulationSpeed)
Next (lbSimulationTimeFromStart)


Previous (lbSimulationTime)
Next

Name
lbSimulationTimeFromStart

Parent
TSimulationControlForm

Visibility
PUBLISHED

Source code
lbSimulationTimeFromStart : TLabel

FIMAS
Class Tree
Index
Previous (lbSimulationTime)
Next


Previous
Next (FormClose)

Name
DoUpdateFromCadencer

Parent
TSimulationControlForm

Visibility
PROTECTED

Source code
procedure DoUpdateFromCadencer ( DeltaTime , NewTime : Double ) ; virtual

Parameters
Parameter | Description
DeltaTime : DOUBLE | &nbsp;
NewTime : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (FormClose)


Previous (DoUpdateFromCadencer)
Next (GetOrCreate)

Name
FormClose

Parent
TSimulationControlForm

Visibility
PUBLISHED

Source code
procedure FormClose ( Sender : TObject ; var Action : TCloseAction )

Parameters
Parameter | Description
Sender : TObject | &nbsp;
Action : TCloseAction | &nbsp;

FIMAS
Class Tree
Index
Previous (DoUpdateFromCadencer)
Next (GetOrCreate)


Previous (FormClose)
Next (I_FMS_SimulationControlForm)

Name
GetOrCreate

Parent
TSimulationControlForm

Visibility
PUBLIC

Source code
class function GetOrCreate ( AOwner : TComponent ; const StartAction , PauseAction : TAction ; const MaincbTimerSpeed : TComboBox ; const AOptions : TasOptions ) : TSimulationControlForm

Parameters
Parameter | Description
AOwner : TComponent | &nbsp;
StartAction : TAction | &nbsp;
PauseAction : TAction | &nbsp;
MaincbTimerSpeed : TComboBox | &nbsp;
AOptions : TasOptions | &nbsp;

FIMAS
Class Tree
Index
Previous (FormClose)
Next (I_FMS_SimulationControlForm)


Previous (I_FMS_SimulationControlForm)
Next (I_FMS_SimulationControlForm)

Name
I_FMS_SimulationControlForm

Parent
TSimulationControlForm

Visibility
PROTECTED

Source code
function I_FMS_SimulationControlForm . GetOwner = GetOwnerIntf

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (I_FMS_SimulationControlForm)
Next (I_FMS_SimulationControlForm)


Previous (I_FMS_SimulationControlForm)
Next

Name
UpdateStatusLabels

Parent
TSimulationControlForm

Visibility
PUBLIC

Source code
procedure UpdateStatusLabels ( const APaused : Boolean )

Parameters
Parameter | Description
APaused : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (I_FMS_SimulationControlForm)
Next


Previous
Next

Name
SimulationControlForm

Parent
uSimulationControlForm

Visibility
PUBLIC

Source code
SimulationControlForm : TSimulationControlForm = nil

FIMAS
Class Tree
Index
Previous
Next


Previous
Next

Name
GetSimulationControlForm

Parent
uSimulationControlForm

Visibility
PUBLIC

Source code
function GetSimulationControlForm : TSimulationControlForm

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous
Next


Previous (uSimulationControlForm)
Next

Name
uWatchListForm

Parent
FIMAS

Description
Application Watch List Form.

Classes
Class Description
TWatchListForm (+)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous (uSimulationControlForm)
Next


Previous
Next

Name
TWatchListForm

Parent
uWatchListForm

Class Hierarchy
TStrangeSimpleNotificationSenderForm,IStrangeCadenceAble,I_FMS_WatchListForm

Visibility
PUBLIC

Members
Fields
Field Description
asScriptEditorFrame (*)
btAdd (*)
btnLoad (*)
btnSave (*)
btnTogleScriptEditor (*)
btRemove (*)
btSetCaption (*)
cbUpdatePeriod (*)
ControlPanel (*)
ControlPanelParent (*)
FUpdateFrequency (-)
FWatchListEditor (-)
FWorld (-)
lbUpdatePeriod (*)
PageControl (*)
plWatchListParent (*)
Splitter1 (*)
StrangeDragDropDestination1 (*)
TabSheet1 (*)
TabSheet2 (*)

Methods
Method Description
asScriptEditorFramebtApplyScriptClick (*)
asScriptEditorFramecbScriptFileListChange (*)
asScriptEditorFrameCodeProposalExecute (*)
asScriptEditorFrameSynEditChange (*)
btAddClick (*)
btnTogleScriptEditorClick (*)
btRemoveClick (*)
btSetCaptionClick (*)
cbUpdatePeriodChange (*)
ControlPanelParentResize (*)
CreateInitialized (+)
DoExecuteWatchListScript (#)
DoExecuteWatchListScripts (#)
DoOnSelectCell (-)
DoUpdateAccordingToFrequency (#)
DoUpdateFromCadencer (#)
FormClose (*)
FormCreate (*)
FormDestroy (*)
GetUpdateFrequency (-)
GetWatchListEditor (-)
InitializeScriptEngine (+)
I_FMS_WatchListForm (#)
I_FMS_WatchListForm (#)
I_FMS_WatchListForm (#)
I_FMS_WatchListForm (#)
I_FMS_WatchListForm (#)
LoadFromMemIniFile (+)
Notification (+)
SaveToMemIniFile (+)
SelectLastScript (+)
SetUpdateFrequency (-)
SetWorld (-)
StrangeDragDropDestination1Dropped (*)
UpdatebtRemoveStatus (+)

Properties
Property Description
UpdateFrequency (*)
WatchListEditor (+)
World (*)

Legend
Symbol | Visibility
- Private
# Protected
+ Public
* Published
A | Automated
S | Strict

FIMAS
Class Tree
Index
Previous
Next


Previous
Next (btAdd)

Name
asScriptEditorFrame

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
asScriptEditorFrame : TasScriptEditorFrame

FIMAS
Class Tree
Index
Previous
Next (btAdd)


Previous (asScriptEditorFrame)
Next (btnLoad)

Name
btAdd

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
btAdd : TBitBtn

FIMAS
Class Tree
Index
Previous (asScriptEditorFrame)
Next (btnLoad)


Previous (btAdd)
Next (btnSave)

Name
btnLoad

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
btnLoad : TBitBtn

FIMAS
Class Tree
Index
Previous (btAdd)
Next (btnSave)


Previous (btnLoad)
Next (btnTogleScriptEditor)

Name
btnSave

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
btnSave : TBitBtn

FIMAS
Class Tree
Index
Previous (btnLoad)
Next (btnTogleScriptEditor)


Previous (btnSave)
Next (btRemove)

Name
btnTogleScriptEditor

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
btnTogleScriptEditor : TBitBtn

FIMAS
Class Tree
Index
Previous (btnSave)
Next (btRemove)


Previous (btnTogleScriptEditor)
Next (btSetCaption)

Name
btRemove

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
btRemove : TBitBtn

FIMAS
Class Tree
Index
Previous (btnTogleScriptEditor)
Next (btSetCaption)


Previous (btRemove)
Next (cbUpdatePeriod)

Name
btSetCaption

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
btSetCaption : TBitBtn

FIMAS
Class Tree
Index
Previous (btRemove)
Next (cbUpdatePeriod)


Previous (btSetCaption)
Next (ControlPanel)

Name
cbUpdatePeriod

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
cbUpdatePeriod : TComboBox

FIMAS
Class Tree
Index
Previous (btSetCaption)
Next (ControlPanel)


Previous (cbUpdatePeriod)
Next (ControlPanelParent)

Name
ControlPanel

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
ControlPanel : TPanel

FIMAS
Class Tree
Index
Previous (cbUpdatePeriod)
Next (ControlPanelParent)


Previous (ControlPanel)
Next (FUpdateFrequency)

Name
ControlPanelParent

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
ControlPanelParent : TPanel

FIMAS
Class Tree
Index
Previous (ControlPanel)
Next (FUpdateFrequency)


Previous (ControlPanelParent)
Next (FWatchListEditor)

Name
FUpdateFrequency

Parent
TWatchListForm

Visibility
PRIVATE

Source code
FUpdateFrequency : TFMSUpdateFrequency

FIMAS
Class Tree
Index
Previous (ControlPanelParent)
Next (FWatchListEditor)


Previous (FUpdateFrequency)
Next (FWorld)

Name
FWatchListEditor

Parent
TWatchListForm

Visibility
PRIVATE

Source code
FWatchListEditor : TasWatchListEditor

FIMAS
Class Tree
Index
Previous (FUpdateFrequency)
Next (FWorld)


Previous (FWatchListEditor)
Next (lbUpdatePeriod)

Name
FWorld

Parent
TWatchListForm

Visibility
PRIVATE

Source code
FWorld : TFMSWorld

FIMAS
Class Tree
Index
Previous (FWatchListEditor)
Next (lbUpdatePeriod)


Previous (FWorld)
Next (PageControl)

Name
lbUpdatePeriod

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
lbUpdatePeriod : TLabel

FIMAS
Class Tree
Index
Previous (FWorld)
Next (PageControl)


Previous (lbUpdatePeriod)
Next (plWatchListParent)

Name
PageControl

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
PageControl : TPageControl

FIMAS
Class Tree
Index
Previous (lbUpdatePeriod)
Next (plWatchListParent)


Previous (PageControl)
Next (Splitter1)

Name
plWatchListParent

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
plWatchListParent : TPanel

FIMAS
Class Tree
Index
Previous (PageControl)
Next (Splitter1)


Previous (plWatchListParent)
Next (StrangeDragDropDestination1)

Name
Splitter1

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
Splitter1 : TSplitter

FIMAS
Class Tree
Index
Previous (plWatchListParent)
Next (StrangeDragDropDestination1)


Previous (Splitter1)
Next (TabSheet1)

Name
StrangeDragDropDestination1

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
StrangeDragDropDestination1 : TStrangeDragDropDestination

FIMAS
Class Tree
Index
Previous (Splitter1)
Next (TabSheet1)


Previous (StrangeDragDropDestination1)
Next (TabSheet2)

Name
TabSheet1

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
TabSheet1 : TTabSheet

FIMAS
Class Tree
Index
Previous (StrangeDragDropDestination1)
Next (TabSheet2)


Previous (TabSheet1)
Next

Name
TabSheet2

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
TabSheet2 : TTabSheet

FIMAS
Class Tree
Index
Previous (TabSheet1)
Next


Previous
Next (WatchListEditor)

Name
UpdateFrequency

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
property UpdateFrequency : TFMSUpdateFrequency read FUpdateFrequency write FUpdateFrequency

Read Access
FUpdateFrequency

Write Access
FUpdateFrequency

FIMAS
Class Tree
Index
Previous
Next (WatchListEditor)


Previous (UpdateFrequency)
Next (World)

Name
WatchListEditor

Parent
TWatchListForm

Visibility
PUBLIC

Source code
property WatchListEditor : TasWatchListEditor read FWatchListEditor

Read Access
FWatchListEditor

FIMAS
Class Tree
Index
Previous (UpdateFrequency)
Next (World)


Previous (WatchListEditor)
Next

Name
World

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
property World : TFMSWorld read FWorld write SetWorld

Read Access
FWorld

Write Access
SetWorld

FIMAS
Class Tree
Index
Previous (WatchListEditor)
Next


Previous
Next (asScriptEditorFramecbScriptFileListChange)

Name
asScriptEditorFramebtApplyScriptClick

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
procedure asScriptEditorFramebtApplyScriptClick ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous
Next (asScriptEditorFramecbScriptFileListChange)


Previous (asScriptEditorFramebtApplyScriptClick)
Next (asScriptEditorFrameCodeProposalExecute)

Name
asScriptEditorFramecbScriptFileListChange

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
procedure asScriptEditorFramecbScriptFileListChange ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (asScriptEditorFramebtApplyScriptClick)
Next (asScriptEditorFrameCodeProposalExecute)


Previous (asScriptEditorFramecbScriptFileListChange)
Next (asScriptEditorFrameSynEditChange)

Name
asScriptEditorFrameCodeProposalExecute

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
procedure asScriptEditorFrameCodeProposalExecute ( Kind : TSynCompletionType ; Sender : TObject ; var CurrentInput : String ; var x , y : Integer ; var CanExecute : Boolean )

Parameters
Parameter | Description
Kind : TSynCompletionType | &nbsp;
Sender : TObject | &nbsp;
CurrentInput : STRING | &nbsp;
x : INTEGER | &nbsp;
y : INTEGER | &nbsp;
CanExecute : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (asScriptEditorFramecbScriptFileListChange)
Next (asScriptEditorFrameSynEditChange)


Previous (asScriptEditorFrameCodeProposalExecute)
Next (btAddClick)

Name
asScriptEditorFrameSynEditChange

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
procedure asScriptEditorFrameSynEditChange ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (asScriptEditorFrameCodeProposalExecute)
Next (btAddClick)


Previous (asScriptEditorFrameSynEditChange)
Next (btnTogleScriptEditorClick)

Name
btAddClick

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
procedure btAddClick ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (asScriptEditorFrameSynEditChange)
Next (btnTogleScriptEditorClick)


Previous (btAddClick)
Next (btRemoveClick)

Name
btnTogleScriptEditorClick

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
procedure btnTogleScriptEditorClick ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (btAddClick)
Next (btRemoveClick)


Previous (btnTogleScriptEditorClick)
Next (btSetCaptionClick)

Name
btRemoveClick

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
procedure btRemoveClick ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (btnTogleScriptEditorClick)
Next (btSetCaptionClick)


Previous (btRemoveClick)
Next (cbUpdatePeriodChange)

Name
btSetCaptionClick

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
procedure btSetCaptionClick ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (btRemoveClick)
Next (cbUpdatePeriodChange)


Previous (btSetCaptionClick)
Next (ControlPanelParentResize)

Name
cbUpdatePeriodChange

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
procedure cbUpdatePeriodChange ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (btSetCaptionClick)
Next (ControlPanelParentResize)


Previous (cbUpdatePeriodChange)
Next (CreateInitialized)

Name
ControlPanelParentResize

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
procedure ControlPanelParentResize ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (cbUpdatePeriodChange)
Next (CreateInitialized)


Previous (ControlPanelParentResize)
Next (DoExecuteWatchListScript)

Name
CreateInitialized

Parent
TWatchListForm

Visibility
PUBLIC

Source code
constructor CreateInitialized ( AOwner : TComponent ; const AWorld : TFMSWorld )

Parameters
Parameter | Description
AOwner : TComponent | &nbsp;
AWorld : TFMSWorld | &nbsp;

FIMAS
Class Tree
Index
Previous (ControlPanelParentResize)
Next (DoExecuteWatchListScript)


Previous (CreateInitialized)
Next (DoExecuteWatchListScripts)

Name
DoExecuteWatchListScript

Parent
TWatchListForm

Visibility
PROTECTED

Source code
procedure DoExecuteWatchListScript ( const AIndex : Integer )

Parameters
Parameter | Description
AIndex : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (CreateInitialized)
Next (DoExecuteWatchListScripts)


Previous (DoExecuteWatchListScript)
Next (DoOnSelectCell)

Name
DoExecuteWatchListScripts

Parent
TWatchListForm

Visibility
PROTECTED

Source code
procedure DoExecuteWatchListScripts

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoExecuteWatchListScript)
Next (DoOnSelectCell)


Previous (DoExecuteWatchListScripts)
Next (DoUpdateAccordingToFrequency)

Name
DoOnSelectCell

Parent
TWatchListForm

Visibility
PRIVATE

Source code
procedure DoOnSelectCell ( Sender : TObject ; ACol , ARow : Longint ; var CanSelect : Boolean )

Parameters
Parameter | Description
Sender : TObject | &nbsp;
ACol : LONGINT | &nbsp;
ARow : LONGINT | &nbsp;
CanSelect : BOOLEAN | &nbsp;

FIMAS
Class Tree
Index
Previous (DoExecuteWatchListScripts)
Next (DoUpdateAccordingToFrequency)


Previous (DoOnSelectCell)
Next (DoUpdateFromCadencer)

Name
DoUpdateAccordingToFrequency

Parent
TWatchListForm

Visibility
PROTECTED

Source code
procedure DoUpdateAccordingToFrequency ; virtual

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (DoOnSelectCell)
Next (DoUpdateFromCadencer)


Previous (DoUpdateAccordingToFrequency)
Next (FormClose)

Name
DoUpdateFromCadencer

Parent
TWatchListForm

Visibility
PROTECTED

Source code
procedure DoUpdateFromCadencer ( DeltaTime , NewTime : Double ) ; virtual

Parameters
Parameter | Description
DeltaTime : DOUBLE | &nbsp;
NewTime : DOUBLE | &nbsp;

FIMAS
Class Tree
Index
Previous (DoUpdateAccordingToFrequency)
Next (FormClose)


Previous (DoUpdateFromCadencer)
Next (FormCreate)

Name
FormClose

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
procedure FormClose ( Sender : TObject ; var Action : TCloseAction )

Parameters
Parameter | Description
Sender : TObject | &nbsp;
Action : TCloseAction | &nbsp;

FIMAS
Class Tree
Index
Previous (DoUpdateFromCadencer)
Next (FormCreate)


Previous (FormClose)
Next (FormDestroy)

Name
FormCreate

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
procedure FormCreate ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (FormClose)
Next (FormDestroy)


Previous (FormCreate)
Next (GetUpdateFrequency)

Name
FormDestroy

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
procedure FormDestroy ( Sender : TObject )

Parameters
Parameter | Description
Sender : TObject | &nbsp;

FIMAS
Class Tree
Index
Previous (FormCreate)
Next (GetUpdateFrequency)


Previous (FormDestroy)
Next (GetWatchListEditor)

Name
GetUpdateFrequency

Parent
TWatchListForm

Visibility
PRIVATE

Source code
function GetUpdateFrequency : TFMSUpdateFrequency

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (FormDestroy)
Next (GetWatchListEditor)


Previous (GetUpdateFrequency)
Next (InitializeScriptEngine)

Name
GetWatchListEditor

Parent
TWatchListForm

Visibility
PRIVATE

Source code
function GetWatchListEditor : IasWatchListEditor

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetUpdateFrequency)
Next (InitializeScriptEngine)


Previous (GetWatchListEditor)
Next (I_FMS_WatchListForm)

Name
InitializeScriptEngine

Parent
TWatchListForm

Visibility
PUBLIC

Source code
procedure InitializeScriptEngine

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (GetWatchListEditor)
Next (I_FMS_WatchListForm)


Previous (I_FMS_WatchListForm)
Next (I_FMS_WatchListForm)

Name
I_FMS_WatchListForm

Parent
TWatchListForm

Visibility
PROTECTED

Source code
procedure I_FMS_WatchListForm . SetName = SetNameIntf

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (I_FMS_WatchListForm)
Next (I_FMS_WatchListForm)


Previous (I_FMS_WatchListForm)
Next (Notification)

Name
LoadFromMemIniFile

Parent
TWatchListForm

Visibility
PUBLIC

Source code
procedure LoadFromMemIniFile ( const AMemIniFile : TStrangeCustomIniFile ; const ASectionName : string )

Parameters
Parameter | Description
AMemIniFile : TStrangeCustomIniFile | &nbsp;
ASectionName : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (I_FMS_WatchListForm)
Next (Notification)


Previous (LoadFromMemIniFile)
Next (SaveToMemIniFile)

Name
Notification

Parent
TWatchListForm

Visibility
PUBLIC

Source code
procedure Notification ( AComponent : TComponent ; Operation : TOperation ) ; override

Parameters
Parameter | Description
AComponent : TComponent | &nbsp;
Operation : TOperation | &nbsp;

FIMAS
Class Tree
Index
Previous (LoadFromMemIniFile)
Next (SaveToMemIniFile)


Previous (Notification)
Next (SelectLastScript)

Name
SaveToMemIniFile

Parent
TWatchListForm

Visibility
PUBLIC

Source code
procedure SaveToMemIniFile ( const AMemIniFile : TStrangeCustomIniFile ; const ASectionName : string )

Parameters
Parameter | Description
AMemIniFile : TStrangeCustomIniFile | &nbsp;
ASectionName : STRING | &nbsp;

FIMAS
Class Tree
Index
Previous (Notification)
Next (SelectLastScript)


Previous (SaveToMemIniFile)
Next (SetUpdateFrequency)

Name
SelectLastScript

Parent
TWatchListForm

Visibility
PUBLIC

Source code
procedure SelectLastScript ( )

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (SaveToMemIniFile)
Next (SetUpdateFrequency)


Previous (SelectLastScript)
Next (SetWorld)

Name
SetUpdateFrequency

Parent
TWatchListForm

Visibility
PRIVATE

Source code
procedure SetUpdateFrequency ( const Value : TFMSUpdateFrequency )

Parameters
Parameter | Description
Value : TFMSUpdateFrequency | &nbsp;

FIMAS
Class Tree
Index
Previous (SelectLastScript)
Next (SetWorld)


Previous (SetUpdateFrequency)
Next (StrangeDragDropDestination1Dropped)

Name
SetWorld

Parent
TWatchListForm

Visibility
PRIVATE

Source code
procedure SetWorld ( const Value : TFMSWorld )

Parameters
Parameter | Description
Value : TFMSWorld | &nbsp;

FIMAS
Class Tree
Index
Previous (SetUpdateFrequency)
Next (StrangeDragDropDestination1Dropped)


Previous (SetWorld)
Next (UpdatebtRemoveStatus)

Name
StrangeDragDropDestination1Dropped

Parent
TWatchListForm

Visibility
PUBLISHED

Source code
procedure StrangeDragDropDestination1Dropped ( Sender : TObject ; Files : TStrings ; FileCount , X , Y : Integer )

Parameters
Parameter | Description
Sender : TObject | &nbsp;
Files : TStrings | &nbsp;
FileCount : INTEGER | &nbsp;
X : INTEGER | &nbsp;
Y : INTEGER | &nbsp;

FIMAS
Class Tree
Index
Previous (SetWorld)
Next (UpdatebtRemoveStatus)


Previous (StrangeDragDropDestination1Dropped)
Next

Name
UpdatebtRemoveStatus

Parent
TWatchListForm

Visibility
PUBLIC

Source code
procedure UpdatebtRemoveStatus ( )

Parameters
Parameter Description

FIMAS
Class Tree
Index
Previous (StrangeDragDropDestination1Dropped)
Next